/*
 * vis-charts
 * http://visjs.org/
 *
 * A dynamic, browser-based visualization library.
 *
 * @version 1.0.2
 * @date    2019-08-31T18:29:12Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2018-2019 visjs contributors, https://github.com/visjs
 *
 * @license 
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */(function(global,factory){"object"==typeof exports&&"undefined"!=typeof module?module.exports=factory():"function"==typeof define&&define.amd?define(factory):(global=global||self,global.vis=factory())})(this,function(){'use strict';var _MathLN=Math.LN10,_Mathlog=Math.log,_Mathcos=Math.cos,_Mathsin=Math.sin,_Mathround=Math.round,_Mathpow=Math.pow,_Stringprototype=String.prototype,_Mathceil=Math.ceil,_Mathabs=Math.abs,_MathPI=Math.PI,_Mathatan=Math.atan2,_Mathsqrt=Math.sqrt,_Mathfloor=Math.floor,_Mathmax=Math.max,_Mathmin=Math.min;function commonjsRequire(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function createCommonjsModule(fn,module){return module={exports:{}},fn(module,module.exports),module.exports}function _typeof(obj){return _typeof="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(obj){return typeof obj}:function(obj){return obj&&"function"==typeof Symbol&&obj.constructor===Symbol&&obj!==Symbol.prototype?"symbol":typeof obj},_typeof(obj)}function _defineProperty(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);return Object.getOwnPropertySymbols&&keys.push.apply(keys,Object.getOwnPropertySymbols(object)),enumerableOnly&&(keys=keys.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable})),keys}function _objectSpread2(target){for(var i=1,source;i<arguments.length;i++)source=null==arguments[i]?{}:arguments[i],i%2?ownKeys(source,!0).forEach(function(key){_defineProperty(target,key,source[key])}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys(source).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key))});return target}function _toConsumableArray(arr){return _arrayWithoutHoles(arr)||_iterableToArray(arr)||_nonIterableSpread()}function _arrayWithoutHoles(arr){if(Array.isArray(arr)){for(var i=0,arr2=Array(arr.length);i<arr.length;i++)arr2[i]=arr[i];return arr2}}function _iterableToArray(iter){if(Symbol.iterator in Object(iter)||"[object Arguments]"===Object.prototype.toString.call(iter))return Array.from(iter)}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance")}function stringifyUUID(buf,offset){var i=offset||0,bth=byteToHex;return bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]}function uuid4(){var options=0<arguments.length&&void 0!==arguments[0]?arguments[0]:{},buf=1<arguments.length?arguments[1]:void 0,offset=2<arguments.length?arguments[2]:void 0,i=buf&&offset||0;"string"==typeof options&&(buf="binary"===options?Array(16):void 0,options={});var rnds=options.random||(options.rng||random)();if(rnds[6]=64|15&rnds[6],rnds[8]=128|63&rnds[8],buf)for(var ii=0;16>ii;ii++)buf[i+ii]=rnds[ii];return buf||stringifyUUID(rnds)}function isNumber(value){return value instanceof Number||"number"==typeof value}function recursiveDOMDelete(DOMobject){if(DOMobject)for(;!0===DOMobject.hasChildNodes();){var child=DOMobject.firstChild;child&&(recursiveDOMDelete(child),DOMobject.removeChild(child))}}function isString(value){return value instanceof String||"string"==typeof value}function isObject(value){return"object"===_typeof(value)&&null!==value}function isDate(value){if(value instanceof Date)return!0;if(isString(value)){var match=ASPDateRegex.exec(value);if(match)return!0;if(!isNaN(Date.parse(value)))return!0}return!1}function isMoment(value){return moment.isMoment(value)}function copyOrDelete(a,b,prop,allowDeletion){var doDeletion=!1;!0===allowDeletion&&(doDeletion=null===b[prop]&&a[prop]!==void 0),doDeletion?delete a[prop]:a[prop]=b[prop]}function fillIfDefined(a,b){var allowDeletion=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2];for(var prop in a)if(b[prop]!==void 0)if(null===b[prop]||"object"!==_typeof(b[prop]))copyOrDelete(a,b,prop,allowDeletion);else{var aProp=a[prop],bProp=b[prop];isObject(aProp)&&isObject(bProp)&&fillIfDefined(aProp,bProp,allowDeletion)}}function selectiveExtend(props,a){if(!Array.isArray(props))throw new Error("Array with property names expected as first argument");for(var _len=arguments.length,others=Array(2<_len?_len-2:0),_key=2;_key<_len;_key++)others[_key-2]=arguments[_key];for(var _i=0,_others=others,other;_i<_others.length;_i++){other=_others[_i];for(var p=0,prop;p<props.length;p++)prop=props[p],other&&Object.prototype.hasOwnProperty.call(other,prop)&&(a[prop]=other[prop])}return a}function selectiveDeepExtend(props,a,b){var allowDeletion=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3];if(Array.isArray(b))throw new TypeError("Arrays are not supported by deepExtend");for(var p=0,prop;p<props.length;p++)if(prop=props[p],Object.prototype.hasOwnProperty.call(b,prop))if(b[prop]&&b[prop].constructor===Object)void 0===a[prop]&&(a[prop]={}),a[prop].constructor===Object?deepExtend(a[prop],b[prop],!1,allowDeletion):copyOrDelete(a,b,prop,allowDeletion);else if(Array.isArray(b[prop]))throw new TypeError("Arrays are not supported by deepExtend");else copyOrDelete(a,b,prop,allowDeletion);return a}function selectiveNotDeepExtend(propsToExclude,a,b){var allowDeletion=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3];if(Array.isArray(b))throw new TypeError("Arrays are not supported by deepExtend");for(var prop in b)if(Object.prototype.hasOwnProperty.call(b,prop)&&-1===propsToExclude.indexOf(prop))if(b[prop]&&b[prop].constructor===Object)void 0===a[prop]&&(a[prop]={}),a[prop].constructor===Object?deepExtend(a[prop],b[prop]):copyOrDelete(a,b,prop,allowDeletion);else if(Array.isArray(b[prop])){a[prop]=[];for(var i=0;i<b[prop].length;i++)a[prop].push(b[prop][i])}else copyOrDelete(a,b,prop,allowDeletion);return a}function deepExtend(a,b){var protoExtend=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2],allowDeletion=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3];for(var prop in b)(Object.prototype.hasOwnProperty.call(b,prop)||!0===protoExtend)&&(b[prop]&&Object.getPrototypeOf(b[prop])===Object.prototype?void 0===a[prop]?a[prop]=deepExtend({},b[prop],protoExtend):a[prop]&&Object.getPrototypeOf(a[prop])===Object.prototype?deepExtend(a[prop],b[prop],protoExtend):copyOrDelete(a,b,prop,allowDeletion):Array.isArray(b[prop])?a[prop]=b[prop].slice():copyOrDelete(a,b,prop,allowDeletion));return a}function equalArray(a,b){if(a.length!==b.length)return!1;for(var i=0,len=a.length;i<len;i++)if(a[i]!=b[i])return!1;return!0}function convert(object,type){var match;if(void 0!==object){if(null===object)return null;if(!type)return object;if("string"!=typeof type&&!(type instanceof String))throw new Error("Type must be a string");switch(type){case"boolean":case"Boolean":return!!object;case"number":case"Number":return isString(object)&&!isNaN(Date.parse(object))?moment(object).valueOf():+object.valueOf();case"string":case"String":return object+"";case"Date":if(isNumber(object))return new Date(object);if(object instanceof Date)return new Date(object.valueOf());if(isMoment(object))return new Date(object.valueOf());if(isString(object))return match=ASPDateRegex.exec(object),match?new Date(+match[1]):moment(new Date(object)).toDate();throw new Error("Cannot convert object of type "+getType(object)+" to type Date");case"Moment":if(isNumber(object))return moment(object);if(object instanceof Date)return moment(object.valueOf());if(isMoment(object))return moment(object);if(isString(object))return match=ASPDateRegex.exec(object),match?moment(+match[1]):moment(object);throw new Error("Cannot convert object of type "+getType(object)+" to type Date");case"ISODate":if(isNumber(object))return new Date(object);if(object instanceof Date)return object.toISOString();if(isMoment(object))return object.toDate().toISOString();if(isString(object))return match=ASPDateRegex.exec(object),match?new Date(+match[1]).toISOString():moment(object).format();throw new Error("Cannot convert object of type "+getType(object)+" to type ISODate");case"ASPDate":if(isNumber(object))return"/Date("+object+")/";if(object instanceof Date||isMoment(object))return"/Date("+object.valueOf()+")/";if(isString(object)){match=ASPDateRegex.exec(object);var _value;return _value=match?new Date(+match[1]).valueOf():new Date(object).valueOf(),"/Date("+_value+")/"}throw new Error("Cannot convert object of type "+getType(object)+" to type ASPDate");default:throw new Error("Unknown type ".concat(type));}}}function getType(object){var type=_typeof(object);return"object"===type?null===object?"null":object instanceof Boolean?"Boolean":object instanceof Number?"Number":object instanceof String?"String":Array.isArray(object)?"Array":object instanceof Date?"Date":"Object":"number"===type?"Number":"boolean"===type?"Boolean":"string"===type?"String":void 0===type?"undefined":type}function copyAndExtendArray(arr,newValue){return[].concat(_toConsumableArray(arr),[newValue])}function copyArray(arr){return arr.slice()}function getAbsoluteLeft(elem){return elem.getBoundingClientRect().left}function getAbsoluteRight(elem){return elem.getBoundingClientRect().right}function getAbsoluteTop(elem){return elem.getBoundingClientRect().top}function addClassName(elem,classNames){var classes=elem.className.split(" "),newClasses=classNames.split(" ");classes=classes.concat(newClasses.filter(function(className){return 0>classes.indexOf(className)})),elem.className=classes.join(" ")}function removeClassName(elem,classNames){var classes=elem.className.split(" "),oldClasses=classNames.split(" ");classes=classes.filter(function(className){return 0>oldClasses.indexOf(className)}),elem.className=classes.join(" ")}function forEach(object,callback){if(Array.isArray(object))for(var len=object.length,i=0;i<len;i++)callback(object[i],i,object);else for(var _key2 in object)Object.prototype.hasOwnProperty.call(object,_key2)&&callback(object[_key2],_key2,object)}function updateProperty(object,key,value){return object[key]!==value&&(object[key]=value,!0)}function throttle(fn){var scheduled=!1;return function(){scheduled||(scheduled=!0,requestAnimationFrame(function(){scheduled=!1,fn()}))}}function addEventListener(element,action,listener,useCapture){element.addEventListener?(useCapture===void 0&&(useCapture=!1),"mousewheel"===action&&0<=navigator.userAgent.indexOf("Firefox")&&(action="DOMMouseScroll"),element.addEventListener(action,listener,useCapture)):element.attachEvent("on"+action,listener)}function removeEventListener(element,action,listener,useCapture){element.removeEventListener?(useCapture===void 0&&(useCapture=!1),"mousewheel"===action&&0<=navigator.userAgent.indexOf("Firefox")&&(action="DOMMouseScroll"),element.removeEventListener(action,listener,useCapture)):element.detachEvent("on"+action,listener)}function preventDefault(event){if(event||(event=window.event),!event);else event.preventDefault?event.preventDefault():event.returnValue=!1}function getTarget(){var event=0<arguments.length&&arguments[0]!==void 0?arguments[0]:window.event,target=null;if(!event);else event.target?target=event.target:event.srcElement&&(target=event.srcElement);return target instanceof Element?null!=target.nodeType&&3==target.nodeType&&(target=target.parentNode,!(target instanceof Element))?null:target:null}function hasParent(element,parent){for(var elem=element;elem;){if(elem===parent)return!0;if(elem.parentNode)elem=elem.parentNode;else return!1}return!1}function hexToRGB(hex){var result;switch(hex.length){case 3:case 4:return result=shortHexRE.exec(hex),result?{r:parseInt(result[1]+result[1],16),g:parseInt(result[2]+result[2],16),b:parseInt(result[3]+result[3],16)}:null;case 6:case 7:return result=fullHexRE.exec(hex),result?{r:parseInt(result[1],16),g:parseInt(result[2],16),b:parseInt(result[3],16)}:null;default:return null;}}function overrideOpacity(color,opacity){if(-1!==color.indexOf("rgba"))return color;if(-1!==color.indexOf("rgb")){var rgb=color.substr(color.indexOf("(")+1).replace(")","").split(",");return"rgba("+rgb[0]+","+rgb[1]+","+rgb[2]+","+opacity+")"}var _rgb=hexToRGB(color);return null==_rgb?color:"rgba("+_rgb.r+","+_rgb.g+","+_rgb.b+","+opacity+")"}function RGBToHex(red,green,blue){return"#"+(16777216+(red<<16)+(green<<8)+blue).toString(16).slice(1)}function parseColor(inputColor,defaultColor){if(isString(inputColor)){var colorStr=inputColor;if(isValidRGB(colorStr)){var rgb=colorStr.substr(4).substr(0,colorStr.length-5).split(",").map(function(value){return parseInt(value)});colorStr=RGBToHex(rgb[0],rgb[1],rgb[2])}if(!0===isValidHex(colorStr)){var hsv=hexToHSV(colorStr),lighterColorHSV={h:hsv.h,s:.8*hsv.s,v:_Mathmin(1,1.02*hsv.v)},darkerColorHSV={h:hsv.h,s:_Mathmin(1,1.25*hsv.s),v:.8*hsv.v},darkerColorHex=HSVToHex(darkerColorHSV.h,darkerColorHSV.s,darkerColorHSV.v),lighterColorHex=HSVToHex(lighterColorHSV.h,lighterColorHSV.s,lighterColorHSV.v);return{background:colorStr,border:darkerColorHex,highlight:{background:lighterColorHex,border:darkerColorHex},hover:{background:lighterColorHex,border:darkerColorHex}}}return{background:colorStr,border:colorStr,highlight:{background:colorStr,border:colorStr},hover:{background:colorStr,border:colorStr}}}if(defaultColor){var color={background:inputColor.background||defaultColor.background,border:inputColor.border||defaultColor.border,highlight:isString(inputColor.highlight)?{border:inputColor.highlight,background:inputColor.highlight}:{background:inputColor.highlight&&inputColor.highlight.background||defaultColor.highlight.background,border:inputColor.highlight&&inputColor.highlight.border||defaultColor.highlight.border},hover:isString(inputColor.hover)?{border:inputColor.hover,background:inputColor.hover}:{border:inputColor.hover&&inputColor.hover.border||defaultColor.hover.border,background:inputColor.hover&&inputColor.hover.background||defaultColor.hover.background}};return color}var _color={background:inputColor.background||void 0,border:inputColor.border||void 0,highlight:isString(inputColor.highlight)?{border:inputColor.highlight,background:inputColor.highlight}:{background:inputColor.highlight&&inputColor.highlight.background||void 0,border:inputColor.highlight&&inputColor.highlight.border||void 0},hover:isString(inputColor.hover)?{border:inputColor.hover,background:inputColor.hover}:{border:inputColor.hover&&inputColor.hover.border||void 0,background:inputColor.hover&&inputColor.hover.background||void 0}};return _color}function RGBToHSV(red,green,blue){red/=255,green/=255,blue/=255;var minRGB=_Mathmin(red,_Mathmin(green,blue)),maxRGB=_Mathmax(red,_Mathmax(green,blue));if(minRGB===maxRGB)return{h:0,s:0,v:minRGB};var d=red===minRGB?green-blue:blue===minRGB?red-green:blue-red,h=red===minRGB?3:blue===minRGB?1:5;return{h:60*(h-d/(maxRGB-minRGB))/360,s:(maxRGB-minRGB)/maxRGB,v:maxRGB}}function addCssText(element,cssText){var currentStyles=cssUtil.split(element.style.cssText),newStyles=cssUtil.split(cssText),styles=_objectSpread2({},currentStyles,{},newStyles);element.style.cssText=cssUtil.join(styles)}function removeCssText(element,cssText){var styles=cssUtil.split(element.style.cssText),removeStyles=cssUtil.split(cssText);for(var _key4 in removeStyles)Object.prototype.hasOwnProperty.call(removeStyles,_key4)&&delete styles[_key4];element.style.cssText=cssUtil.join(styles)}function HSVToRGB(h,s,v){var i=_Mathfloor(6*h),f=6*h-i,p=v*(1-s),q=v*(1-f*s),t=v*(1-(1-f)*s),r,g,b;switch(i%6){case 0:r=v,g=t,b=p;break;case 1:r=q,g=v,b=p;break;case 2:r=p,g=v,b=t;break;case 3:r=p,g=q,b=v;break;case 4:r=t,g=p,b=v;break;case 5:r=v,g=p,b=q;}return{r:_Mathfloor(255*r),g:_Mathfloor(255*g),b:_Mathfloor(255*b)}}function HSVToHex(h,s,v){var rgb=HSVToRGB(h,s,v);return RGBToHex(rgb.r,rgb.g,rgb.b)}function hexToHSV(hex){var rgb=hexToRGB(hex);if(!rgb)throw new TypeError("'".concat(hex,"' is not a valid color."));return RGBToHSV(rgb.r,rgb.g,rgb.b)}function isValidHex(hex){var isOk=/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(hex);return isOk}function isValidRGB(rgb){return rgbRE.test(rgb)}function isValidRGBA(rgba){return rgbaRE.test(rgba)}function selectiveBridgeObject(fields,referenceObject){if(null!==referenceObject&&"object"===_typeof(referenceObject)){for(var objectTo=Object.create(referenceObject),i=0;i<fields.length;i++)Object.prototype.hasOwnProperty.call(referenceObject,fields[i])&&"object"==_typeof(referenceObject[fields[i]])&&(objectTo[fields[i]]=bridgeObject(referenceObject[fields[i]]));return objectTo}return null}function bridgeObject(referenceObject){if(null===referenceObject||"object"!==_typeof(referenceObject))return null;if(referenceObject instanceof Element)return referenceObject;var objectTo=Object.create(referenceObject);for(var i in referenceObject)Object.prototype.hasOwnProperty.call(referenceObject,i)&&"object"==_typeof(referenceObject[i])&&(objectTo[i]=bridgeObject(referenceObject[i]));return objectTo}function insertSort(a,compare){for(var i=0;i<a.length;i++){var k=a[i],j=void 0;for(j=i;0<j&&0>compare(k,a[j-1]);j--)a[j]=a[j-1];a[j]=k}return a}function mergeOptions(mergeTarget,options,option){var globalOptions=3<arguments.length&&arguments[3]!==void 0?arguments[3]:{},isPresent=function(obj){return null!==obj&&obj!==void 0},isObject=function(obj){return null!==obj&&"object"===_typeof(obj)};if(!isObject(mergeTarget))throw new Error("Parameter mergeTarget must be an object");if(!isObject(options))throw new Error("Parameter options must be an object");if(!isPresent(option))throw new Error("Parameter option must have a value");if(!isObject(globalOptions))throw new Error("Parameter globalOptions must be an object");var doMerge=function(target,options,option){isObject(target[option])||(target[option]={});var src=options[option],dst=target[option];for(var prop in src)Object.prototype.hasOwnProperty.call(src,prop)&&(dst[prop]=src[prop])},srcOption=options[option],globalPassed=isObject(globalOptions)&&!function(obj){for(var x in obj)if(Object.prototype.hasOwnProperty.call(obj,x))return!1;return!0}(globalOptions),globalOption=globalPassed?globalOptions[option]:void 0,globalEnabled=globalOption?globalOption.enabled:void 0;if(void 0!==srcOption){if("boolean"==typeof srcOption)return isObject(mergeTarget[option])||(mergeTarget[option]={}),void(mergeTarget[option].enabled=srcOption);if(null===srcOption&&!isObject(mergeTarget[option]))if(isPresent(globalOption))mergeTarget[option]=Object.create(globalOption);else return;if(isObject(srcOption)){var enabled=!0;void 0===srcOption.enabled?void 0!==globalEnabled&&(enabled=globalOption.enabled):enabled=srcOption.enabled,doMerge(mergeTarget,options,option),mergeTarget[option].enabled=enabled}}}function binarySearchCustom(orderedItems,comparator,field,field2){for(var iteration=0,low=0,high=orderedItems.length-1;low<=high&&iteration<1e4;){var middle=_Mathfloor((low+high)/2),item=orderedItems[middle],_value3=field2===void 0?item[field]:item[field][field2],searchResult=comparator(_value3);if(0==searchResult)return middle;-1==searchResult?low=middle+1:high=middle-1;iteration++}return-1}function binarySearchValue(orderedItems,target,field,sidePreference,comparator){var iteration=0,low=0,high=orderedItems.length-1,prevValue,value,nextValue,middle;for(comparator=null==comparator?function(a,b){return a==b?0:a<b?-1:1}:comparator;low<=high&&10000>iteration;){if(middle=_Mathfloor(.5*(high+low)),prevValue=orderedItems[_Mathmax(0,middle-1)][field],value=orderedItems[middle][field],nextValue=orderedItems[_Mathmin(orderedItems.length-1,middle+1)][field],0==comparator(value,target))return middle;if(0>comparator(prevValue,target)&&0<comparator(value,target))return"before"==sidePreference?_Mathmax(0,middle-1):middle;if(0>comparator(value,target)&&0<comparator(nextValue,target))return"before"==sidePreference?middle:_Mathmin(orderedItems.length-1,middle+1);0>comparator(value,target)?low=middle+1:high=middle-1,iteration++}return-1}function getScrollBarWidth(){var inner=document.createElement("p");inner.style.width="100%",inner.style.height="200px";var outer=document.createElement("div");outer.style.position="absolute",outer.style.top="0px",outer.style.left="0px",outer.style.visibility="hidden",outer.style.width="200px",outer.style.height="150px",outer.style.overflow="hidden",outer.appendChild(inner),document.body.appendChild(outer);var w1=inner.offsetWidth;outer.style.overflow="scroll";var w2=inner.offsetWidth;return w1==w2&&(w2=outer.clientWidth),document.body.removeChild(outer),w1-w2}function topMost(pile,accessors){var candidate;Array.isArray(accessors)||(accessors=[accessors]);var _iteratorNormalCompletion=!0,_didIteratorError=!1,_iteratorError=void 0;try{for(var _iterator=pile[Symbol.iterator](),_step,member;!(_iteratorNormalCompletion=(_step=_iterator.next()).done);_iteratorNormalCompletion=!0)if(member=_step.value,member){candidate=member[accessors[0]];for(var i=1;i<accessors.length;i++)candidate&&(candidate=candidate[accessors[i]]);if("undefined"!=typeof candidate)break}}catch(err){_didIteratorError=!0,_iteratorError=err}finally{try{_iteratorNormalCompletion||null==_iterator.return||_iterator.return()}finally{if(_didIteratorError)throw _iteratorError}}return candidate}function createCommonjsModule$1(fn,module){return module={exports:{}},fn(module,module.exports),module.exports}function _defineProperty$1(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}function _arrayWithoutHoles$1(arr){if(Array.isArray(arr)){for(var i=0,arr2=Array(arr.length);i<arr.length;i++)arr2[i]=arr[i];return arr2}}function _iterableToArray$1(iter){if(Symbol.iterator in Object(iter)||"[object Arguments]"===Object.prototype.toString.call(iter))return Array.from(iter)}function _nonIterableSpread$1(){throw new TypeError("Invalid attempt to spread non-iterable instance")}function _toConsumableArray$1(arr){return arrayWithoutHoles(arr)||iterableToArray(arr)||nonIterableSpread()}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor))throw new TypeError("Cannot call a class as a function")}function _defineProperties(target,props){for(var i=0,descriptor;i<props.length;i++)descriptor=props[i],descriptor.enumerable=descriptor.enumerable||!1,descriptor.configurable=!0,"value"in descriptor&&(descriptor.writable=!0),Object.defineProperty(target,descriptor.key,descriptor)}function _createClass(Constructor,protoProps,staticProps){return protoProps&&_defineProperties(Constructor.prototype,protoProps),staticProps&&_defineProperties(Constructor,staticProps),Constructor}function _assertThisInitialized(self){if(void 0===self)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return self}function _possibleConstructorReturn(self,call){return call&&("object"===_typeof_1(call)||"function"==typeof call)?call:assertThisInitialized(self)}function _inherits(subClass,superClass){if("function"!=typeof superClass&&null!==superClass)throw new TypeError("Super expression must either be null or a function");subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,writable:!0,configurable:!0}}),superClass&&setPrototypeOf$1(subClass,superClass)}function stringifyUUID$1(buf,offset){var i=offset||0,bth=byteToHex$2;return bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+"-"+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]+bth[buf[i++]]}function uuid4$1(){var options=0<arguments.length&&void 0!==arguments[0]?arguments[0]:{},buf=1<arguments.length?arguments[1]:void 0,offset=2<arguments.length?arguments[2]:void 0,i=buf&&offset||0;"string"==typeof options&&(buf="binary"===options?Array(16):void 0,options={});var rnds=options.random||(options.rng||random$1)();if(rnds[6]=64|15&rnds[6],rnds[8]=128|63&rnds[8],buf)for(var ii=0;16>ii;ii++)buf[i+ii]=rnds[ii];return buf||stringifyUUID$1(rnds)}function _typeof$1(obj){return _typeof$1="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(obj){return typeof obj}:function(obj){return obj&&"function"==typeof Symbol&&obj.constructor===Symbol&&obj!==Symbol.prototype?"symbol":typeof obj},_typeof$1(obj)}function commonjsRequire$1(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function createCommonjsModule$1$1(fn,module){return module={exports:{}},fn(module,module.exports),module.exports}function isNumber$1(value){return value instanceof Number||"number"==typeof value}function isString$1(value){return value instanceof String||"string"==typeof value}function isMoment$1(value){return moment$1.isMoment(value)}function copyOrDelete$1(a,b,prop,allowDeletion){var doDeletion=!1;!0===allowDeletion&&(doDeletion=null===b[prop]&&a[prop]!==void 0),doDeletion?delete a[prop]:a[prop]=b[prop]}function deepExtend$1(a,b){var protoExtend=!!(2<arguments.length&&arguments[2]!==void 0)&&arguments[2],allowDeletion=!!(3<arguments.length&&arguments[3]!==void 0)&&arguments[3];for(var prop in b)if(Object.prototype.hasOwnProperty.call(b,prop)||!0===protoExtend)if(b[prop]&&b[prop].constructor===Object)void 0===a[prop]&&(a[prop]={}),a[prop].constructor===Object?deepExtend$1(a[prop],b[prop],protoExtend):copyOrDelete$1(a,b,prop,allowDeletion);else if(Array.isArray(b[prop])){a[prop]=[];for(var i=0;i<b[prop].length;i++)a[prop].push(b[prop][i])}else copyOrDelete$1(a,b,prop,allowDeletion);return a}function convert$1(object,type){var match;if(void 0!==object){if(null===object)return null;if(!type)return object;if("string"!=typeof type&&!(type instanceof String))throw new Error("Type must be a string");switch(type){case"boolean":case"Boolean":return!!object;case"number":case"Number":return isString$1(object)&&!isNaN(Date.parse(object))?moment$1(object).valueOf():+object.valueOf();case"string":case"String":return object+"";case"Date":if(isNumber$1(object))return new Date(object);if(object instanceof Date)return new Date(object.valueOf());if(isMoment$1(object))return new Date(object.valueOf());if(isString$1(object))return match=ASPDateRegex$1.exec(object),match?new Date(+match[1]):moment$1(new Date(object)).toDate();throw new Error("Cannot convert object of type "+getType$1(object)+" to type Date");case"Moment":if(isNumber$1(object))return moment$1(object);if(object instanceof Date)return moment$1(object.valueOf());if(isMoment$1(object))return moment$1(object);if(isString$1(object))return match=ASPDateRegex$1.exec(object),match?moment$1(+match[1]):moment$1(object);throw new Error("Cannot convert object of type "+getType$1(object)+" to type Date");case"ISODate":if(isNumber$1(object))return new Date(object);if(object instanceof Date)return object.toISOString();if(isMoment$1(object))return object.toDate().toISOString();if(isString$1(object))return match=ASPDateRegex$1.exec(object),match?new Date(+match[1]).toISOString():moment$1(object).format();throw new Error("Cannot convert object of type "+getType$1(object)+" to type ISODate");case"ASPDate":if(isNumber$1(object))return"/Date("+object+")/";if(object instanceof Date)return"/Date("+object.valueOf()+")/";if(isString$1(object)){match=ASPDateRegex$1.exec(object);var _value;return _value=match?new Date(+match[1]).valueOf():new Date(object).valueOf(),"/Date("+_value+")/"}throw new Error("Cannot convert object of type "+getType$1(object)+" to type ASPDate");default:throw new Error("Unknown type ".concat(type));}}}function getType$1(object){var type=_typeof$1(object);return"object"===type?null===object?"null":object instanceof Boolean?"Boolean":object instanceof Number?"Number":object instanceof String?"String":Array.isArray(object)?"Array":object instanceof Date?"Date":"Object":"number"===type?"Number":"boolean"===type?"Boolean":"string"===type?"String":void 0===type?"undefined":type}function isId(value){return"string"==typeof value||"number"==typeof value}function _iterableToArrayLimit(arr,i){var _arr=[],_n=!0,_d=!1,_e=void 0;try{for(var _i=arr[Symbol.iterator](),_s;!(_n=(_s=_i.next()).done)&&(_arr.push(_s.value),!(i&&_arr.length===i));_n=!0);}catch(err){_d=!0,_e=err}finally{try{_n||null==_i["return"]||_i["return"]()}finally{if(_d)throw _e}}return _arr}function _slicedToArray(arr,i){return arrayWithHoles(arr)||iterableToArrayLimit(arr,i)||nonIterableRest()}function ownKeys$1(object,enumerableOnly){var keys=Object.keys(object);return Object.getOwnPropertySymbols&&keys.push.apply(keys,Object.getOwnPropertySymbols(object)),enumerableOnly&&(keys=keys.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable})),keys}function _objectSpread(target){for(var i=1,source;i<arguments.length;i++)source=null==arguments[i]?{}:arguments[i],i%2?ownKeys$1(source,!0).forEach(function(key){defineProperty$1(target,key,source[key])}):Object.getOwnPropertyDescriptors?Object.defineProperties(target,Object.getOwnPropertyDescriptors(source)):ownKeys$1(source).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key))});return target}function commonjsRequire$2(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function createCommonjsModule$2(fn,module){return module={exports:{}},fn(module,module.exports),module.exports}function parseDOT(data){return dot=data,parseGraph()}function first(){index$1=0,c=dot.charAt(0)}function next(){index$1++,c=dot.charAt(index$1)}function nextPreview(){return dot.charAt(index$1+1)}function isAlphaNumeric(c){return regexAlphaNumeric.test(c)}function merge(a,b){if(a||(a={}),b)for(var name in b)b.hasOwnProperty(name)&&(a[name]=b[name]);return a}function setValue(obj,path,value){for(var keys=path.split("."),o=obj;keys.length;){var key=keys.shift();keys.length?(!o[key]&&(o[key]={}),o=o[key]):o[key]=value}}function addNode(graph,node){for(var current=null,graphs=[graph],root=graph,i,len;root.parent;)graphs.push(root.parent),root=root.parent;if(root.nodes)for(i=0,len=root.nodes.length;i<len;i++)if(node.id===root.nodes[i].id){current=root.nodes[i];break}for(current||(current={id:node.id},graph.node&&(current.attr=merge(current.attr,graph.node))),i=graphs.length-1;0<=i;i--){var g=graphs[i];g.nodes||(g.nodes=[]),-1===g.nodes.indexOf(current)&&g.nodes.push(current)}node.attr&&(current.attr=merge(current.attr,node.attr))}function addEdge(graph,edge){if(graph.edges||(graph.edges=[]),graph.edges.push(edge),graph.edge){var attr=merge({},graph.edge);edge.attr=merge(attr,edge.attr)}}function createEdge(graph,from,to,type,attr){var edge={from:from,to:to,type:type};return graph.edge&&(edge.attr=merge({},graph.edge)),edge.attr=merge(edge.attr||{},attr),null!=attr&&attr.hasOwnProperty("arrows")&&null!=attr.arrows&&(edge.arrows={to:{enabled:!0,type:attr.arrows.type}},attr.arrows=null),edge}function getToken(){for(tokenType=TOKENTYPE.NULL,token="";" "===c||"\t"===c||"\n"===c||"\r"===c;)next();do{var isComment=!1;if("#"===c){for(var i=index$1-1;" "===dot.charAt(i)||"\t"===dot.charAt(i);)i--;if("\n"===dot.charAt(i)||""===dot.charAt(i)){for(;""!=c&&"\n"!=c;)next();isComment=!0}}if("/"===c&&"/"===nextPreview()){for(;""!=c&&"\n"!=c;)next();isComment=!0}if("/"===c&&"*"===nextPreview()){for(;""!=c;)if("*"===c&&"/"===nextPreview()){next(),next();break}else next();isComment=!0}for(;" "===c||"\t"===c||"\n"===c||"\r"===c;)next()}while(isComment);if(""===c)return void(tokenType=TOKENTYPE.DELIMITER);var c2=c+nextPreview();if(DELIMITERS[c2])return tokenType=TOKENTYPE.DELIMITER,token=c2,next(),void next();if(DELIMITERS[c])return tokenType=TOKENTYPE.DELIMITER,token=c,void next();if(isAlphaNumeric(c)||"-"===c){for(token+=c,next();isAlphaNumeric(c);)token+=c,next();return"false"===token?token=!1:"true"===token?token=!0:!isNaN(+token)&&(token=+token),void(tokenType=TOKENTYPE.IDENTIFIER)}if("\""===c){for(next();""!=c&&("\""!=c||"\""===c&&"\""===nextPreview());)"\""===c?(token+=c,next()):"\\"===c&&"n"===nextPreview()?(token+="\n",next()):token+=c,next();if("\""!=c)throw newSyntaxError("End of string \" expected");return next(),void(tokenType=TOKENTYPE.IDENTIFIER)}for(tokenType=TOKENTYPE.UNKNOWN;""!=c;)token+=c,next();throw new SyntaxError("Syntax error in part \""+chop(token,30)+"\"")}function parseGraph(){var graph={};if(first(),getToken(),"strict"===token&&(graph.strict=!0,getToken()),("graph"===token||"digraph"===token)&&(graph.type=token,getToken()),tokenType===TOKENTYPE.IDENTIFIER&&(graph.id=token,getToken()),"{"!=token)throw newSyntaxError("Angle bracket { expected");if(getToken(),parseStatements(graph),"}"!=token)throw newSyntaxError("Angle bracket } expected");if(getToken(),""!==token)throw newSyntaxError("End of file expected");return getToken(),delete graph.node,delete graph.edge,delete graph.graph,graph}function parseStatements(graph){for(;""!==token&&"}"!=token;)parseStatement(graph),";"===token&&getToken()}function parseStatement(graph){var subgraph=parseSubgraph(graph);if(subgraph)return void parseEdge(graph,subgraph);var attr=parseAttributeStatement(graph);if(!attr){if(tokenType!=TOKENTYPE.IDENTIFIER)throw newSyntaxError("Identifier expected");var id=token;if(getToken(),"="===token){if(getToken(),tokenType!=TOKENTYPE.IDENTIFIER)throw newSyntaxError("Identifier expected");graph[id]=token,getToken()}else parseNodeStatement(graph,id)}}function parseSubgraph(graph){var subgraph=null;if("subgraph"===token&&(subgraph={},subgraph.type="subgraph",getToken(),tokenType===TOKENTYPE.IDENTIFIER&&(subgraph.id=token,getToken())),"{"===token){if(getToken(),subgraph||(subgraph={}),subgraph.parent=graph,subgraph.node=graph.node,subgraph.edge=graph.edge,subgraph.graph=graph.graph,parseStatements(subgraph),"}"!=token)throw newSyntaxError("Angle bracket } expected");getToken(),delete subgraph.node,delete subgraph.edge,delete subgraph.graph,delete subgraph.parent,graph.subgraphs||(graph.subgraphs=[]),graph.subgraphs.push(subgraph)}return subgraph}function parseAttributeStatement(graph){return"node"===token?(getToken(),graph.node=parseAttributeList(),"node"):"edge"===token?(getToken(),graph.edge=parseAttributeList(),"edge"):"graph"===token?(getToken(),graph.graph=parseAttributeList(),"graph"):null}function parseNodeStatement(graph,id){var node={id:id},attr=parseAttributeList();attr&&(node.attr=attr),addNode(graph,node),parseEdge(graph,id)}function parseEdge(graph,from){for(;"->"===token||"--"===token;){var type=token,to;getToken();var subgraph=parseSubgraph(graph);if(subgraph)to=subgraph;else{if(tokenType!=TOKENTYPE.IDENTIFIER)throw newSyntaxError("Identifier or subgraph expected");to=token,addNode(graph,{id:to}),getToken()}var attr=parseAttributeList(),edge=createEdge(graph,from,to,type,attr);addEdge(graph,edge),from=to}}function parseAttributeList(){for(var attr=null,edgeStyles={dashed:!0,solid:!1,dotted:[1,5]},arrowTypes={dot:"circle",box:"box",crow:"crow",curve:"curve",icurve:"inv_curve",normal:"triangle",inv:"inv_triangle",diamond:"diamond",tee:"bar",vee:"vee"},attr_list=[],attr_names=[],i;"["===token;){for(getToken(),attr={};""!==token&&"]"!=token;){if(tokenType!=TOKENTYPE.IDENTIFIER)throw newSyntaxError("Attribute name expected");var name=token;if(getToken(),"="!=token)throw newSyntaxError("Equal sign = expected");if(getToken(),tokenType!=TOKENTYPE.IDENTIFIER)throw newSyntaxError("Attribute value expected");var value=token;"style"===name&&(value=edgeStyles[value]);var arrowType;"arrowhead"===name&&(arrowType=arrowTypes[value],name="arrows",value={to:{enabled:!0,type:arrowType}}),"arrowtail"===name&&(arrowType=arrowTypes[value],name="arrows",value={from:{enabled:!0,type:arrowType}}),attr_list.push({attr:attr,name:name,value:value}),attr_names.push(name),getToken(),","==token&&getToken()}if("]"!=token)throw newSyntaxError("Bracket ] expected");getToken()}if(attr_names.includes("dir")){var idx={arrows:{}};for(i=0;i<attr_list.length;i++)if(!("arrows"===attr_list[i].name))"dir"===attr_list[i].name&&(idx.dir=i);else if(null!=attr_list[i].value.to)idx.arrows.to=i;else if(null!=attr_list[i].value.from)idx.arrows.from=i;else throw newSyntaxError("Invalid value of arrows");var dir_type=attr_list[idx.dir].value;if(!attr_names.includes("arrows"))if("both"===dir_type)attr_list.push({attr:attr_list[idx.dir].attr,name:"arrows",value:{to:{enabled:!0}}}),idx.arrows.to=attr_list.length-1,attr_list.push({attr:attr_list[idx.dir].attr,name:"arrows",value:{from:{enabled:!0}}}),idx.arrows.from=attr_list.length-1;else if("forward"===dir_type)attr_list.push({attr:attr_list[idx.dir].attr,name:"arrows",value:{to:{enabled:!0}}}),idx.arrows.to=attr_list.length-1;else if("back"===dir_type)attr_list.push({attr:attr_list[idx.dir].attr,name:"arrows",value:{from:{enabled:!0}}}),idx.arrows.from=attr_list.length-1;else if("none"===dir_type)attr_list.push({attr:attr_list[idx.dir].attr,name:"arrows",value:""}),idx.arrows.to=attr_list.length-1;else throw newSyntaxError("Invalid dir type \""+dir_type+"\"");var from_type,to_type;if("both"===dir_type)idx.arrows.to&&idx.arrows.from?(to_type=attr_list[idx.arrows.to].value.to.type,from_type=attr_list[idx.arrows.from].value.from.type,attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}},attr_list.splice(idx.arrows.from,1)):idx.arrows.to?(to_type=attr_list[idx.arrows.to].value.to.type,from_type="arrow",attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}):idx.arrows.from&&(to_type="arrow",from_type=attr_list[idx.arrows.from].value.from.type,attr_list[idx.arrows.from]={attr:attr_list[idx.arrows.from].attr,name:attr_list[idx.arrows.from].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}});else if("back"===dir_type)idx.arrows.to&&idx.arrows.from?(to_type="",from_type=attr_list[idx.arrows.from].value.from.type,attr_list[idx.arrows.from]={attr:attr_list[idx.arrows.from].attr,name:attr_list[idx.arrows.from].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}):idx.arrows.to?(to_type="",from_type="arrow",idx.arrows.from=idx.arrows.to,attr_list[idx.arrows.from]={attr:attr_list[idx.arrows.from].attr,name:attr_list[idx.arrows.from].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}):idx.arrows.from&&(to_type="",from_type=attr_list[idx.arrows.from].value.from.type,attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.from].attr,name:attr_list[idx.arrows.from].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}),attr_list[idx.arrows.from]={attr:attr_list[idx.arrows.from].attr,name:attr_list[idx.arrows.from].name,value:{from:{enabled:!0,type:attr_list[idx.arrows.from].value.from.type}}};else if("none"===dir_type){var idx_arrow;idx_arrow=idx.arrows.to?idx.arrows.to:idx.arrows.from,attr_list[idx_arrow]={attr:attr_list[idx_arrow].attr,name:attr_list[idx_arrow].name,value:""}}else if("forward"===dir_type)idx.arrows.to&&idx.arrows.from?(to_type=attr_list[idx.arrows.to].value.to.type,from_type="",attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}):idx.arrows.to?(to_type=attr_list[idx.arrows.to].value.to.type,from_type="",attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}):idx.arrows.from&&(to_type="arrow",from_type="",idx.arrows.to=idx.arrows.from,attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:to_type},from:{enabled:!0,type:from_type}}}),attr_list[idx.arrows.to]={attr:attr_list[idx.arrows.to].attr,name:attr_list[idx.arrows.to].name,value:{to:{enabled:!0,type:attr_list[idx.arrows.to].value.to.type}}};else throw newSyntaxError("Invalid dir type \""+dir_type+"\"");attr_list.splice(idx.dir,1)}var nof_attr_list;if(attr_names.includes("penwidth")){var tmp_attr_list=[];for(nof_attr_list=attr_list.length,i=0;i<nof_attr_list;i++)"width"!==attr_list[i].name&&("penwidth"===attr_list[i].name&&(attr_list[i].name="width"),tmp_attr_list.push(attr_list[i]));attr_list=tmp_attr_list}for(nof_attr_list=attr_list.length,i=0;i<nof_attr_list;i++)setValue(attr_list[i].attr,attr_list[i].name,attr_list[i].value);return attr}function newSyntaxError(message){return new SyntaxError(message+", got \""+chop(token,30)+"\" (char "+index$1+")")}function chop(text,maxLength){return text.length<=maxLength?text:text.substr(0,27)+"..."}function forEach2(array1,array2,fn){Array.isArray(array1)?array1.forEach(function(elem1){Array.isArray(array2)?array2.forEach(function(elem2){fn(elem1,elem2)}):fn(elem1,array2)}):Array.isArray(array2)?array2.forEach(function(elem2){fn(array1,elem2)}):fn(array1,array2)}function setProp(object,path,value){for(var names=path.split("."),prop=names.pop(),obj=object,i=0,name;i<names.length;i++)name=names[i],name in obj||(obj[name]={}),obj=obj[name];return obj[prop]=value,object}function convertAttr(attr,mapping){var converted={};for(var prop in attr)if(attr.hasOwnProperty(prop)){var visProp=mapping[prop];Array.isArray(visProp)?visProp.forEach(function(visPropI){setProp(converted,visPropI,attr[prop])}):"string"==typeof visProp?setProp(converted,visProp,attr[prop]):setProp(converted,prop,attr[prop])}return converted}function parseGephi(gephiJSON,optionsObj){const options={edges:{inheritColor:!1},nodes:{fixed:!1,parseColor:!1}};null!=optionsObj&&(null!=optionsObj.fixed&&(options.nodes.fixed=optionsObj.fixed),null!=optionsObj.parseColor&&(options.nodes.parseColor=optionsObj.parseColor),null!=optionsObj.inheritColor&&(options.edges.inheritColor=optionsObj.inheritColor));const gEdges=gephiJSON.edges,vEdges=gEdges.map(gEdge=>{const vEdge={from:gEdge.source,id:gEdge.id,to:gEdge.target};return null!=gEdge.attributes&&(vEdge.attributes=gEdge.attributes),null!=gEdge.label&&(vEdge.label=gEdge.label),null!=gEdge.attributes&&null!=gEdge.attributes.title&&(vEdge.title=gEdge.attributes.title),"Directed"===gEdge.type&&(vEdge.arrows="to"),gEdge.color&&!1===options.edges.inheritColor&&(vEdge.color=gEdge.color),vEdge}),vNodes=gephiJSON.nodes.map(gNode=>{const vNode={id:gNode.id,fixed:options.nodes.fixed&&null!=gNode.x&&null!=gNode.y};return null!=gNode.attributes&&(vNode.attributes=gNode.attributes),null!=gNode.label&&(vNode.label=gNode.label),null!=gNode.size&&(vNode.size=gNode.size),null!=gNode.attributes&&null!=gNode.attributes.title&&(vNode.title=gNode.attributes.title),null!=gNode.title&&(vNode.title=gNode.title),null!=gNode.x&&(vNode.x=gNode.x),null!=gNode.y&&(vNode.y=gNode.y),null!=gNode.color&&(!0===options.nodes.parseColor?vNode.color=gNode.color:vNode.color={background:gNode.color,border:gNode.color,highlight:{background:gNode.color,border:gNode.color},hover:{background:gNode.color,border:gNode.color}}),vNode});return{nodes:vNodes,edges:vEdges}}function _extends(){return _extends=Object.assign||function(target){for(var i=1,source;i<arguments.length;i++)for(var key in source=arguments[i],source)Object.prototype.hasOwnProperty.call(source,key)&&(target[key]=source[key]);return target},_extends.apply(this,arguments)}function _inheritsLoose(subClass,superClass){subClass.prototype=Object.create(superClass.prototype),subClass.prototype.constructor=subClass,subClass.__proto__=superClass}function _assertThisInitialized$1(self){if(void 0===self)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return self}function prefixed(obj,property){for(var camelProp=property[0].toUpperCase()+property.slice(1),i=0,prefix,prop;i<VENDOR_PREFIXES.length;){if(prefix=VENDOR_PREFIXES[i],prop=prefix?prefix+camelProp:property,prop in obj)return prop;i++}}function getTouchActionProps(){if(!NATIVE_TOUCH_ACTION)return!1;var touchMap={},cssSupports=win.CSS&&win.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach(function(val){return touchMap[val]=!cssSupports||win.CSS.supports("touch-action",val)}),touchMap}function each(obj,iterator,context){if(obj)if(obj.forEach)obj.forEach(iterator,context);else if(void 0!==obj.length)for(i=0;i<obj.length;)iterator.call(context,obj[i],i,obj),i++;else for(var i in obj)obj.hasOwnProperty(i)&&iterator.call(context,obj[i],i,obj)}function boolOrFn(val,args){return"function"===typeof val?val.apply(args?args[0]||void 0:void 0,args):val}function inStr(str,find){return-1<str.indexOf(find)}function cleanTouchActions(actions){if(inStr(actions,"none"))return"none";var hasPanX=inStr(actions,"pan-x"),hasPanY=inStr(actions,"pan-y");return hasPanX&&hasPanY?"none":hasPanX||hasPanY?hasPanX?"pan-x":"pan-y":inStr(actions,"manipulation")?"manipulation":"auto"}function hasParent$1(node,parent){for(;node;){if(node===parent)return!0;node=node.parentNode}return!1}function getCenter(pointers){var pointersLength=pointers.length;if(1===pointersLength)return{x:round(pointers[0].clientX),y:round(pointers[0].clientY)};for(var x=0,y=0,i=0;i<pointersLength;)x+=pointers[i].clientX,y+=pointers[i].clientY,i++;return{x:round(x/pointersLength),y:round(y/pointersLength)}}function simpleCloneInputData(input){for(var pointers=[],i=0;i<input.pointers.length;)pointers[i]={clientX:round(input.pointers[i].clientX),clientY:round(input.pointers[i].clientY)},i++;return{timeStamp:now(),pointers:pointers,center:getCenter(pointers),deltaX:input.deltaX,deltaY:input.deltaY}}function getDistance(p1,p2,props){props||(props=PROPS_XY);var x=p2[props[0]]-p1[props[0]],y=p2[props[1]]-p1[props[1]];return _Mathsqrt(x*x+y*y)}function getAngle(p1,p2,props){props||(props=PROPS_XY);var x=p2[props[0]]-p1[props[0]],y=p2[props[1]]-p1[props[1]];return 180*_Mathatan(y,x)/_MathPI}function getDirection(x,y){return x===y?1:abs(x)>=abs(y)?0>x?2:4:0>y?8:16}function computeDeltaXY(session,input){var center=input.center,offset=session.offsetDelta||{},prevDelta=session.prevDelta||{},prevInput=session.prevInput||{};(input.eventType===1||prevInput.eventType===4)&&(prevDelta=session.prevDelta={x:prevInput.deltaX||0,y:prevInput.deltaY||0},offset=session.offsetDelta={x:center.x,y:center.y}),input.deltaX=prevDelta.x+(center.x-offset.x),input.deltaY=prevDelta.y+(center.y-offset.y)}function getVelocity(deltaTime,x,y){return{x:x/deltaTime||0,y:y/deltaTime||0}}function getScale(start,end){return getDistance(end[0],end[1],PROPS_CLIENT_XY)/getDistance(start[0],start[1],PROPS_CLIENT_XY)}function getRotation(start,end){return getAngle(end[1],end[0],PROPS_CLIENT_XY)+getAngle(start[1],start[0],PROPS_CLIENT_XY)}function computeIntervalInputData(session,input){var last=session.lastInterval||input,deltaTime=input.timeStamp-last.timeStamp,velocity,velocityX,velocityY,direction;if(input.eventType!==8&&(deltaTime>25||last.velocity===void 0)){var deltaX=input.deltaX-last.deltaX,deltaY=input.deltaY-last.deltaY,v=getVelocity(deltaTime,deltaX,deltaY);velocityX=v.x,velocityY=v.y,velocity=abs(v.x)>abs(v.y)?v.x:v.y,direction=getDirection(deltaX,deltaY),session.lastInterval=input}else velocity=last.velocity,velocityX=last.velocityX,velocityY=last.velocityY,direction=last.direction;input.velocity=velocity,input.velocityX=velocityX,input.velocityY=velocityY,input.direction=direction}function computeInputData(manager,input){var session=manager.session,pointers=input.pointers,pointersLength=pointers.length;session.firstInput||(session.firstInput=simpleCloneInputData(input)),1<pointersLength&&!session.firstMultiple?session.firstMultiple=simpleCloneInputData(input):1===pointersLength&&(session.firstMultiple=!1);var firstInput=session.firstInput,firstMultiple=session.firstMultiple,offsetCenter=firstMultiple?firstMultiple.center:firstInput.center,center=input.center=getCenter(pointers);input.timeStamp=now(),input.deltaTime=input.timeStamp-firstInput.timeStamp,input.angle=getAngle(offsetCenter,center),input.distance=getDistance(offsetCenter,center),computeDeltaXY(session,input),input.offsetDirection=getDirection(input.deltaX,input.deltaY);var overallVelocity=getVelocity(input.deltaTime,input.deltaX,input.deltaY);input.overallVelocityX=overallVelocity.x,input.overallVelocityY=overallVelocity.y,input.overallVelocity=abs(overallVelocity.x)>abs(overallVelocity.y)?overallVelocity.x:overallVelocity.y,input.scale=firstMultiple?getScale(firstMultiple.pointers,pointers):1,input.rotation=firstMultiple?getRotation(firstMultiple.pointers,pointers):0,input.maxPointers=session.prevInput?input.pointers.length>session.prevInput.maxPointers?input.pointers.length:session.prevInput.maxPointers:input.pointers.length,computeIntervalInputData(session,input);var target=manager.element;hasParent$1(input.srcEvent.target,target)&&(target=input.srcEvent.target),input.target=target}function inputHandler(manager,eventType,input){var pointersLen=input.pointers.length,changedPointersLen=input.changedPointers.length,isFirst=eventType&1&&0==pointersLen-changedPointersLen;input.isFirst=!!isFirst,input.isFinal=!!(eventType&12&&0==pointersLen-changedPointersLen),isFirst&&(manager.session={}),input.eventType=eventType,computeInputData(manager,input),manager.emit("hammer.input",input),manager.recognize(input),manager.session.prevInput=input}function splitStr(str){return str.trim().split(/\s+/g)}function addEventListeners(target,types,handler){each(splitStr(types),function(type){target.addEventListener(type,handler,!1)})}function removeEventListeners(target,types,handler){each(splitStr(types),function(type){target.removeEventListener(type,handler,!1)})}function getWindowForElement(element){var doc=element.ownerDocument||element;return doc.defaultView||doc.parentWindow||window}function inArray(src,find,findByKey){if(src.indexOf&&!findByKey)return src.indexOf(find);for(var i=0;i<src.length;){if(findByKey&&src[i][findByKey]==find||!findByKey&&src[i]===find)return i;i++}return-1}function toArray$1(obj){return Array.prototype.slice.call(obj,0)}function uniqueArray(src,key,sort){for(var results=[],values=[],i=0,val;i<src.length;)val=key?src[i][key]:src[i],0>inArray(values,val)&&results.push(src[i]),values[i]=val,i++;return sort&&(key?results=results.sort(function(a,b){return a[key]>b[key]}):results=results.sort()),results}function getTouches(ev,type){var allTouches=toArray$1(ev.touches),targetIds=this.targetIds;if(3&type&&1===allTouches.length)return targetIds[allTouches[0].identifier]=!0,[allTouches,allTouches];var changedTouches=toArray$1(ev.changedTouches),changedTargetTouches=[],target=this.target,i,targetTouches;if(targetTouches=allTouches.filter(function(touch){return hasParent$1(touch.target,target)}),1===type)for(i=0;i<targetTouches.length;)targetIds[targetTouches[i].identifier]=!0,i++;for(i=0;i<changedTouches.length;)targetIds[changedTouches[i].identifier]&&changedTargetTouches.push(changedTouches[i]),12&type&&delete targetIds[changedTouches[i].identifier],i++;return changedTargetTouches.length?[uniqueArray(targetTouches.concat(changedTargetTouches),"identifier",!0),changedTargetTouches]:void 0}function setLastTouch(eventData){var _eventData$changedPoi=eventData.changedPointers,touch=_eventData$changedPoi[0];if(touch.identifier===this.primaryTouch){var lastTouch={x:touch.clientX,y:touch.clientY},lts=this.lastTouches;this.lastTouches.push(lastTouch);var removeLastTouch=function(){var i=lts.indexOf(lastTouch);-1<i&&lts.splice(i,1)};setTimeout(removeLastTouch,2500)}}function recordTouches(eventType,eventData){eventType&1?(this.primaryTouch=eventData.changedPointers[0].identifier,setLastTouch.call(this,eventData)):eventType&12&&setLastTouch.call(this,eventData)}function isSyntheticEvent(eventData){for(var x=eventData.srcEvent.clientX,y=eventData.srcEvent.clientY,i=0;i<this.lastTouches.length;i++){var t=this.lastTouches[i],dx=_Mathabs(x-t.x),dy=_Mathabs(y-t.y);if(dx<=25&&dy<=25)return!0}return!1}function createInputInstance(manager){var inputClass=manager.options.inputClass,Type;return Type=inputClass?inputClass:SUPPORT_POINTER_EVENTS?PointerEventInput:SUPPORT_ONLY_TOUCH?TouchInput:SUPPORT_TOUCH?TouchMouseInput:MouseInput,new Type(manager,inputHandler)}function invokeArrayArg(arg,fn,context){return!!Array.isArray(arg)&&(each(arg,context[fn],context),!0)}function uniqueId(){return _uniqueId++}function getRecognizerByNameIfManager(otherRecognizer,recognizer){var manager=recognizer.manager;return manager?manager.get(otherRecognizer):otherRecognizer}function stateStr(state){if(state&16)return"cancel";return 8&state?"end":4&state?"move":2&state?"start":""}function toggleCssProps(manager,add){var element=manager.element;if(element.style){var prop;each(manager.options.cssProps,function(value,name){prop=prefixed(element.style,name),add?(manager.oldCssProps[prop]=element.style[prop],element.style[prop]=value):element.style[prop]=manager.oldCssProps[prop]||""}),add||(manager.oldCssProps={})}}function triggerDomEvent(event,data){var gestureEvent=document.createEvent("Event");gestureEvent.initEvent(event,!0,!0),gestureEvent.gesture=data,data.target.dispatchEvent(gestureEvent)}function normalizeSingleTouches(ev,type){var all=toArray$1(ev.touches),changed=toArray$1(ev.changedTouches);return 12&type&&(all=uniqueArray(all.concat(changed),"identifier",!0)),[all,changed]}function directionStr(direction){if(direction===16)return"down";return 8===direction?"up":2===direction?"left":4===direction?"right":""}function deprecate(method,name,message){return function(){var e=new Error("get-stack-trace"),stack=e&&e.stack?e.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",log=window.console&&(window.console.warn||window.console.log);return log&&log.call(window.console,"DEPRECATED METHOD: "+name+"\n"+message+" AT \n",stack),method.apply(this,arguments)}}function inherit(child,base,properties){var baseP=base.prototype,childP;childP=child.prototype=Object.create(baseP),childP.constructor=child,childP._super=baseP,properties&&assign$1(childP,properties)}function bindFn(fn,context){return function(){return fn.apply(context,arguments)}}function Activator$1(container){this.active=!1,this.dom={container:container},this.dom.overlay=document.createElement("div"),this.dom.overlay.className="vis-overlay",this.dom.container.appendChild(this.dom.overlay),this.hammer=hammer(this.dom.overlay),this.hammer.on("tap",this._onTapOverlay.bind(this));var me=this;["tap","doubletap","press","pinch","pan","panstart","panmove","panend"].forEach(function(event){me.hammer.on(event,function(event){event.stopPropagation()})}),document&&document.body&&(this.onClick=function(event){_hasParent(event.target,container)||me.deactivate()},document.body.addEventListener("click",this.onClick)),this.keycharm!==void 0&&this.keycharm.destroy(),this.keycharm=keycharm(),this.escListener=this.deactivate.bind(this)}function _hasParent(element,parent){for(;element;){if(element===parent)return!0;element=element.parentNode}return!1}function _initRequestAnimationFrame(){var func;window!==void 0&&(func=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame),window.requestAnimationFrame=void 0===func?function(callback){callback()}:func}function Network(container,data,options){if(!(this instanceof Network))throw new SyntaxError("Constructor must be called with the new operator");this.options={},this.defaultOptions={locale:"en",locales:locales,clickToUse:!1},util.extend(this.options,this.defaultOptions),this.body={container:container,nodes:{},nodeIndices:[],edges:{},edgeIndices:[],emitter:{on:this.on.bind(this),off:this.off.bind(this),emit:this.emit.bind(this),once:this.once.bind(this)},eventListeners:{onTap:function(){},onTouch:function(){},onDoubleTap:function(){},onHold:function(){},onDragStart:function(){},onDrag:function(){},onDragEnd:function(){},onMouseWheel:function(){},onPinch:function(){},onMouseMove:function(){},onRelease:function(){},onContext:function(){}},data:{nodes:null,edges:null},functions:{createNode:function(){},createEdge:function(){},getPointer:function(){}},modules:{},view:{scale:1,translation:{x:0,y:0}}},this.bindEventListeners(),this.images=new Images(()=>this.body.emitter.emit("_requestRedraw")),this.groups=new Groups,this.canvas=new Canvas(this.body),this.selectionHandler=new SelectionHandler(this.body,this.canvas),this.interactionHandler=new InteractionHandler(this.body,this.canvas,this.selectionHandler),this.view=new View(this.body,this.canvas),this.renderer=new CanvasRenderer(this.body,this.canvas),this.physics=new PhysicsEngine(this.body),this.layoutEngine=new LayoutEngine(this.body),this.clustering=new ClusterEngine(this.body),this.manipulation=new ManipulationSystem(this.body,this.canvas,this.selectionHandler),this.nodesHandler=new NodesHandler(this.body,this.images,this.groups,this.layoutEngine),this.edgesHandler=new EdgesHandler(this.body,this.images,this.groups),this.body.modules.kamadaKawai=new KamadaKawai(this.body,150,.05),this.body.modules.clustering=this.clustering,this.canvas._create(),this.setOptions(options),this.setData(data)}function Emitter(obj){if(obj)return mixin(obj)}function mixin(obj){for(var key in Emitter.prototype)obj[key]=Emitter.prototype[key];return obj}function Point3d(x,y,z){this.x=x===void 0?0:x,this.y=y===void 0?0:y,this.z=z===void 0?0:z}function Slider(container,options){if(void 0===container)throw new Error("No container element defined");if(this.container=container,this.visible=!(options&&null!=options.visible)||options.visible,this.visible){this.frame=document.createElement("DIV"),this.frame.style.width="100%",this.frame.style.position="relative",this.container.appendChild(this.frame),this.frame.prev=document.createElement("INPUT"),this.frame.prev.type="BUTTON",this.frame.prev.value="Prev",this.frame.appendChild(this.frame.prev),this.frame.play=document.createElement("INPUT"),this.frame.play.type="BUTTON",this.frame.play.value="Play",this.frame.appendChild(this.frame.play),this.frame.next=document.createElement("INPUT"),this.frame.next.type="BUTTON",this.frame.next.value="Next",this.frame.appendChild(this.frame.next),this.frame.bar=document.createElement("INPUT"),this.frame.bar.type="BUTTON",this.frame.bar.style.position="absolute",this.frame.bar.style.border="1px solid red",this.frame.bar.style.width="100px",this.frame.bar.style.height="6px",this.frame.bar.style.borderRadius="2px",this.frame.bar.style.MozBorderRadius="2px",this.frame.bar.style.border="1px solid #7F7F7F",this.frame.bar.style.backgroundColor="#E5E5E5",this.frame.appendChild(this.frame.bar),this.frame.slide=document.createElement("INPUT"),this.frame.slide.type="BUTTON",this.frame.slide.style.margin="0px",this.frame.slide.value=" ",this.frame.slide.style.position="relative",this.frame.slide.style.left="-100px",this.frame.appendChild(this.frame.slide);var me=this;this.frame.slide.onmousedown=function(event){me._onMouseDown(event)},this.frame.prev.onclick=function(event){me.prev(event)},this.frame.play.onclick=function(event){me.togglePlay(event)},this.frame.next.onclick=function(event){me.next(event)}}this.onChangeCallback=void 0,this.values=[],this.index=void 0,this.playTimeout=void 0,this.playInterval=1e3,this.playLoop=!0}function StepNumber(start,end,step,prettyStep){this._start=0,this._end=0,this._step=1,this.prettyStep=!0,this.precision=5,this._current=0,this.setRange(start,end,step,prettyStep)}function Camera(){this.armLocation=new Point3d_1,this.armRotation={},this.armRotation.horizontal=0,this.armRotation.vertical=0,this.armLength=1.7,this.cameraOffset=new Point3d_1,this.offsetMultiplier=.6,this.cameraLocation=new Point3d_1,this.cameraRotation=new Point3d_1(.5*_MathPI,0,0),this.calculateCameraOrientation()}function isEmpty(obj){for(var prop in obj)if(obj.hasOwnProperty(prop))return!1;return!0}function capitalize(str){return void 0===str||""===str||"string"!=typeof str?str:str.charAt(0).toUpperCase()+str.slice(1)}function prefixFieldName(prefix,fieldName){return void 0===prefix||""===prefix?fieldName:prefix+capitalize(fieldName)}function forceCopy(src,dst,fields,prefix){for(var i=0,srcKey,dstKey;i<fields.length;++i)srcKey=fields[i],dstKey=prefixFieldName(prefix,srcKey),dst[dstKey]=src[srcKey]}function safeCopy(src,dst,fields,prefix){for(var i=0,srcKey,dstKey;i<fields.length;++i)srcKey=fields[i],void 0===src[srcKey]||(dstKey=prefixFieldName(prefix,srcKey),dst[dstKey]=src[srcKey])}function setOptions(options,dst){if(void 0!==options){if(void 0===dst)throw new Error("No dst passed");if(void 0===DEFAULTS||isEmpty(DEFAULTS))throw new Error("DEFAULTS not set for module Settings");safeCopy(options,dst,OPTIONKEYS),safeCopy(options,dst,PREFIXEDOPTIONKEYS,"default"),setSpecialSettings(options,dst)}}function setSpecialSettings(src,dst){src.backgroundColor!==void 0&&setBackgroundColor(src.backgroundColor,dst),setDataColor(src.dataColor,dst),setStyle(src.style,dst),setShowLegend(src.showLegend,dst),setCameraPosition(src.cameraPosition,dst),src.tooltip!==void 0&&(dst.showTooltip=src.tooltip),src.onclick!=null&&(dst.onclick_callback=src.onclick),src.tooltipStyle!==void 0&&util.selectiveDeepExtend(["tooltipStyle"],dst,src)}function setShowLegend(showLegend,dst){if(showLegend===void 0){var isAutoByDefault=DEFAULTS.showLegend===void 0;if(isAutoByDefault){var isLegendGraphStyle=dst.style===STYLE.DOTCOLOR||dst.style===STYLE.DOTSIZE;dst.showLegend=isLegendGraphStyle}}else dst.showLegend=showLegend}function getStyleNumberByName(styleName){var number=STYLENAME[styleName];return void 0===number?-1:number}function checkStyleNumber(style){var valid=!1;for(var n in STYLE)if(STYLE[n]===style){valid=!0;break}return valid}function setStyle(style,dst){if(void 0!==style){var styleNumber;if("string"!=typeof style){if(!checkStyleNumber(style))throw new Error("Style '"+style+"' is invalid");styleNumber=style}else if(styleNumber=getStyleNumberByName(style),-1===styleNumber)throw new Error("Style '"+style+"' is invalid");dst.style=styleNumber}}function setBackgroundColor(backgroundColor,dst){var fill="white",stroke="gray",strokeWidth=1;if("string"==typeof backgroundColor)fill=backgroundColor,stroke="none",strokeWidth=0;else if("object"==typeof backgroundColor)void 0!==backgroundColor.fill&&(fill=backgroundColor.fill),void 0!==backgroundColor.stroke&&(stroke=backgroundColor.stroke),void 0!==backgroundColor.strokeWidth&&(strokeWidth=backgroundColor.strokeWidth);else throw new Error("Unsupported type of backgroundColor");dst.frame.style.backgroundColor=fill,dst.frame.style.borderColor=stroke,dst.frame.style.borderWidth=strokeWidth+"px",dst.frame.style.borderStyle="solid"}function setDataColor(dataColor,dst){void 0===dataColor||(dst.dataColor===void 0&&(dst.dataColor={}),"string"==typeof dataColor?(dst.dataColor.fill=dataColor,dst.dataColor.stroke=dataColor):(dataColor.fill&&(dst.dataColor.fill=dataColor.fill),dataColor.stroke&&(dst.dataColor.stroke=dataColor.stroke),dataColor.strokeWidth!==void 0&&(dst.dataColor.strokeWidth=dataColor.strokeWidth)))}function setCameraPosition(cameraPosition,dst){var camPos=cameraPosition;void 0===camPos||(dst.camera===void 0&&(dst.camera=new Camera_1),dst.camera.setArmRotation(camPos.horizontal,camPos.vertical),dst.camera.setArmLength(camPos.distance))}function Range(){this.min=void 0,this.max=void 0}function Filter(dataGroup,column,graph){this.dataGroup=dataGroup,this.column=column,this.graph=graph,this.index=void 0,this.value=void 0,this.values=dataGroup.getDistinctValues(this.column),0<this.values.length&&this.selectValue(0),this.dataPoints=[],this.loaded=!1,this.onLoadCallback=void 0,graph.animationPreload?(this.loaded=!1,this.loadInBackground()):this.loaded=!0}function DataGroup(){this.dataTable=null}function Graph3d(container,data,options){if(!(this instanceof Graph3d))throw new SyntaxError("Constructor must be called with the new operator");this.containerElement=container,this.dataGroup=new DataGroup_1,this.dataPoints=null,this.create(),Settings.setDefaults(Graph3d.DEFAULTS,this),this.colX=void 0,this.colY=void 0,this.colZ=void 0,this.colValue=void 0,this.setOptions(options),this.setData(data)}function getMouseX(event){return"clientX"in event?event.clientX:event.targetTouches[0]&&event.targetTouches[0].clientX||0}function getMouseY(event){return"clientY"in event?event.clientY:event.targetTouches[0]&&event.targetTouches[0].clientY||0}function Component(){this.options=null,this.props=null}function Range$1(body,options){var now=moment$5().hours(0).minutes(0).seconds(0).milliseconds(0),start=now.clone().add(-3,"days").valueOf(),end=now.clone().add(3,"days").valueOf();this.millisecondsPerPixelCache=void 0,options===void 0?(this.start=start,this.end=end):(this.start=options.start||start,this.end=options.end||end),this.rolling=!1,this.body=body,this.deltaDifference=0,this.scaleOffset=0,this.startToFront=!1,this.endToFront=!0,this.defaultOptions={rtl:!1,start:null,end:null,moment:moment$5,direction:"horizontal",moveable:!0,zoomable:!0,min:null,max:null,zoomMin:10,zoomMax:315360000000000,rollingMode:{follow:!1,offset:.5}},this.options=util.extend({},this.defaultOptions),this.props={touch:{}},this.animationTimer=null,this.body.emitter.on("panstart",this._onDragStart.bind(this)),this.body.emitter.on("panmove",this._onDrag.bind(this)),this.body.emitter.on("panend",this._onDragEnd.bind(this)),this.body.emitter.on("mousewheel",this._onMouseWheel.bind(this)),this.body.emitter.on("touch",this._onTouch.bind(this)),this.body.emitter.on("pinch",this._onPinch.bind(this)),this.body.dom.rollingModeBtn.addEventListener("click",this.startRolling.bind(this)),this.setOptions(options)}function validateDirection(direction){if("horizontal"!=direction&&"vertical"!=direction)throw new TypeError("Unknown direction \""+direction+"\". Choose \"horizontal\" or \"vertical\".")}function TimeStep(start,end,minimumStep,hiddenDates,options){this.moment=moment$5,this.current=this.moment(),this._start=this.moment(),this._end=this.moment(),this.autoScale=!0,this.scale="day",this.step=1,this.setRange(start,end,minimumStep),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,this.hiddenDates=Array.isArray(hiddenDates)?hiddenDates:null==hiddenDates?[]:[hiddenDates],this.format=TimeStep.FORMAT,this.options=options?options:{}}function TimeAxis(body,options){this.dom={foreground:null,lines:[],majorTexts:[],minorTexts:[],redundant:{lines:[],majorTexts:[],minorTexts:[]}},this.props={range:{start:0,end:0,minimumStep:0},lineTop:0},this.defaultOptions={orientation:{axis:"bottom"},showMinorLabels:!0,showMajorLabels:!0,maxMinorChars:7,format:TimeStep_1.FORMAT,moment:moment$5,timeAxis:null},this.options=util.extend({},this.defaultOptions),this.body=body,this._create(),this.setOptions(options)}function Activator$2(container){this.active=!1,this.dom={container:container},this.dom.overlay=document.createElement("div"),this.dom.overlay.className="vis-overlay",this.dom.container.appendChild(this.dom.overlay),this.hammer=hammer$3(this.dom.overlay),this.hammer.on("tap",this._onTapOverlay.bind(this));var me=this;["tap","doubletap","press","pinch","pan","panstart","panmove","panend"].forEach(function(event){me.hammer.on(event,function(event){event.stopPropagation()})}),document&&document.body&&(this.onClick=function(event){_hasParent$1(event.target,container)||me.deactivate()},document.body.addEventListener("click",this.onClick)),this.keycharm!==void 0&&this.keycharm.destroy(),this.keycharm=keycharm(),this.escListener=this.deactivate.bind(this)}function _hasParent$1(element,parent){for(;element;){if(element===parent)return!0;element=element.parentNode}return!1}function CustomTime(body,options){this.body=body,this.defaultOptions={moment:moment$5,locales:locales$1,locale:"en",id:void 0,title:void 0,editable:!0},this.options=util.extend({},this.defaultOptions),this.customTime=options&&options.time?options.time:new Date,this.eventParams={},this.setOptions(options),this._create()}function Core(){}function CurrentTime(body,options){this.body=body,this.defaultOptions={rtl:!1,showCurrentTime:!0,alignCurrentTime:void 0,moment:moment$5,locales:locales$1,locale:"en"},this.options=util.extend({},this.defaultOptions),this.offset=0,this._create(),this.setOptions(options)}function Group(groupId,data,itemSet){if(this.groupId=groupId,this.subgroups={},this.subgroupStack={},this.subgroupStackAll=!1,this.doInnerStack=!1,this.shouldBailStackItems=!1,this.subgroupIndex=0,this.subgroupOrderer=data&&data.subgroupOrder,this.itemSet=itemSet,this.isVisible=null,this.stackDirty=!0,data&&data.nestedGroups&&(this.nestedGroups=data.nestedGroups,this.showNested=!1!=data.showNested),data&&data.subgroupStack)if("boolean"==typeof data.subgroupStack)this.doInnerStack=data.subgroupStack,this.subgroupStackAll=data.subgroupStack;else for(var key in data.subgroupStack)this.subgroupStack[key]=data.subgroupStack[key],this.doInnerStack=this.doInnerStack||data.subgroupStack[key];this.heightMode=data&&data.heightMode?data.heightMode:itemSet.options.groupHeightMode,this.nestedInGroup=null,this.dom={},this.props={label:{width:0,height:0}},this.className=null,this.items={},this.visibleItems=[],this.itemsInRange=[],this.orderedItems={byStart:[],byEnd:[]},this.checkRangedItems=!1;var me=this;this.itemSet.body.emitter.on("checkRangedItems",function(){me.checkRangedItems=!0}),this._create(),this.setData(data)}function BackgroundGroup(groupId,data,itemSet){Group_1.call(this,groupId,data,itemSet),this.width=0,this.height=0,this.top=0,this.left=0}function Item(data,conversion,options){this.id=null,this.parent=null,this.data=data,this.dom=null,this.conversion=conversion||{},this.options=options||{},this.selected=!1,this.displayed=!1,this.groupShowing=!0,this.dirty=!0,this.top=null,this.right=null,this.left=null,this.width=null,this.height=null,this.editable=null,this._updateEditStatus()}function BoxItem(data,conversion,options){if(this.props={dot:{width:0,height:0},line:{width:0,height:0}},this.options=options,data&&null==data.start)throw new Error("Property \"start\" missing in item "+data);Item.call(this,data,conversion,options)}function PointItem(data,conversion,options){if(this.props={dot:{top:0,width:0,height:0},content:{height:0,marginLeft:0,marginRight:0}},this.options=options,data&&null==data.start)throw new Error("Property \"start\" missing in item "+data);Item.call(this,data,conversion,options)}function RangeItem(data,conversion,options){if(this.props={content:{width:0}},this.overflow=!1,this.options=options,data){if(null==data.start)throw new Error("Property \"start\" missing in item "+data.id);if(null==data.end)throw new Error("Property \"end\" missing in item "+data.id)}Item.call(this,data,conversion,options)}function BackgroundItem(data,conversion,options){if(this.props={content:{width:0}},this.overflow=!1,data){if(null==data.start)throw new Error("Property \"start\" missing in item "+data.id);if(null==data.end)throw new Error("Property \"end\" missing in item "+data.id)}Item.call(this,data,conversion,options)}function ItemSet(body,options){this.body=body,this.defaultOptions={type:null,orientation:{item:"bottom"},align:"auto",stack:!0,stackSubgroups:!0,groupOrderSwap:function(fromGroup,toGroup){var targetOrder=toGroup.order;toGroup.order=fromGroup.order,fromGroup.order=targetOrder},groupOrder:"order",selectable:!0,multiselect:!1,itemsAlwaysDraggable:{item:!1,range:!1},editable:{updateTime:!1,updateGroup:!1,add:!1,remove:!1,overrideItems:!1},groupEditable:{order:!1,add:!1,remove:!1},snap:TimeStep_1.snap,onDropObjectOnItem:function(objectData,item,callback){callback(item)},onAdd:function(item,callback){callback(item)},onUpdate:function(item,callback){callback(item)},onMove:function(item,callback){callback(item)},onRemove:function(item,callback){callback(item)},onMoving:function(item,callback){callback(item)},onAddGroup:function(item,callback){callback(item)},onMoveGroup:function(item,callback){callback(item)},onRemoveGroup:function(item,callback){callback(item)},margin:{item:{horizontal:10,vertical:10},axis:20},showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip"},tooltipOnItemUpdateTime:!1},this.options=util.extend({},this.defaultOptions),this.options.rtl=options.rtl,this.options.onTimeout=options.onTimeout,this.itemOptions={type:{start:"Date",end:"Date"}},this.conversion={toScreen:body.util.toScreen,toTime:body.util.toTime},this.dom={},this.props={},this.hammer=null;var me=this;this.itemsData=null,this.groupsData=null,this.itemsSettingTime=null,this.initialItemSetDrawn=!1,this.userContinueNotBail=null,this.itemListeners={add:function(event,params){me._onAdd(params.items)},update:function(event,params){me._onUpdate(params.items)},remove:function(event,params){me._onRemove(params.items)}},this.groupListeners={add:function(event,params,senderId){if(me._onAddGroups(params.items),me.groupsData&&0<me.groupsData.length){var groupsData=me.groupsData.getDataSet();groupsData.get().forEach(function(groupData){if(groupData.nestedGroups){!1!=groupData.showNested&&(groupData.showNested=!0);var updatedGroups=[];groupData.nestedGroups.forEach(function(nestedGroupId){var updatedNestedGroup=groupsData.get(nestedGroupId);updatedNestedGroup&&(updatedNestedGroup.nestedInGroup=groupData.id,!1==groupData.showNested&&(updatedNestedGroup.visible=!1),updatedGroups=updatedGroups.concat(updatedNestedGroup))}),groupsData.update(updatedGroups,senderId)}})}},update:function(event,params){me._onUpdateGroups(params.items)},remove:function(event,params){me._onRemoveGroups(params.items)}},this.items={},this.groups={},this.groupIds=[],this.selection=[],this.popup=null,this.popupTimer=null,this.touchParams={},this.groupTouchParams={},this._create(),this.setOptions(options)}function Timeline(container,items,groups,options){if(this.initTime=new Date,this.itemsDone=!1,!(this instanceof Timeline))throw new SyntaxError("Constructor must be called with the new operator");if(!(Array.isArray(groups)||groups instanceof DataSet$2||groups instanceof DataView$3)&&groups instanceof Object){var forthArgument=options;options=groups,groups=forthArgument}options&&options.throttleRedraw&&console.warn("Timeline option \"throttleRedraw\" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.");var me=this;if(this.defaultOptions={start:null,end:null,autoResize:!0,orientation:{axis:"bottom",item:"bottom"},moment:moment$5,width:null,height:null,maxHeight:null,minHeight:null},this.options=util.deepExtend({},this.defaultOptions),this._create(container),!options||options&&"undefined"==typeof options.rtl){this.dom.root.style.visibility="hidden";for(var domNode=this.dom.root,directionFromDom;!directionFromDom&&domNode;)directionFromDom=window.getComputedStyle(domNode,null).direction,domNode=domNode.parentElement;this.options.rtl=directionFromDom&&"rtl"==directionFromDom.toLowerCase()}else this.options.rtl=options.rtl;this.options.rollingMode=options&&options.rollingMode,this.options.onInitialDrawComplete=options&&options.onInitialDrawComplete,this.options.onTimeout=options&&options.onTimeout,this.options.loadingScreenTemplate=options&&options.loadingScreenTemplate;var loadingScreenFragment=document.createElement("div");if(this.options.loadingScreenTemplate){var templateFunction=this.options.loadingScreenTemplate.bind(this),loadingScreen=templateFunction(this.dom.loadingScreen);loadingScreen instanceof Object&&!(loadingScreen instanceof Element)?templateFunction(loadingScreenFragment):loadingScreen instanceof Element?(loadingScreenFragment.innerHTML="",loadingScreenFragment.appendChild(loadingScreen)):null!=loadingScreen&&(loadingScreenFragment.innerHTML=loadingScreen)}this.dom.loadingScreen.appendChild(loadingScreenFragment),this.components=[],this.body={dom:this.dom,domProps:this.props,emitter:{on:this.on.bind(this),off:this.off.bind(this),emit:this.emit.bind(this)},hiddenDates:[],util:{getScale:function(){return me.timeAxis.step.scale},getStep:function(){return me.timeAxis.step.step},toScreen:me._toScreen.bind(me),toGlobalScreen:me._toGlobalScreen.bind(me),toTime:me._toTime.bind(me),toGlobalTime:me._toGlobalTime.bind(me)}},this.range=new Range_1$1(this.body,this.options),this.components.push(this.range),this.body.range=this.range,this.timeAxis=new TimeAxis(this.body,this.options),this.timeAxis2=null,this.components.push(this.timeAxis),this.currentTime=new CurrentTime_1(this.body,this.options),this.components.push(this.currentTime),this.itemSet=new ItemSet(this.body,this.options),this.components.push(this.itemSet),this.itemsData=null,this.groupsData=null,this.dom.root.onclick=function(event){me.emit("click",me.getEventProperties(event))},this.dom.root.ondblclick=function(event){me.emit("doubleClick",me.getEventProperties(event))},this.dom.root.oncontextmenu=function(event){me.emit("contextmenu",me.getEventProperties(event))},this.dom.root.onmouseover=function(event){me.emit("mouseOver",me.getEventProperties(event))},window.PointerEvent?(this.dom.root.onpointerdown=function(event){me.emit("mouseDown",me.getEventProperties(event))},this.dom.root.onpointermove=function(event){me.emit("mouseMove",me.getEventProperties(event))},this.dom.root.onpointerup=function(event){me.emit("mouseUp",me.getEventProperties(event))}):(this.dom.root.onmousemove=function(event){me.emit("mouseMove",me.getEventProperties(event))},this.dom.root.onmousedown=function(event){me.emit("mouseDown",me.getEventProperties(event))},this.dom.root.onmouseup=function(event){me.emit("mouseUp",me.getEventProperties(event))}),this.initialFitDone=!1,this.on("changed",function(){if(null!=me.itemsData){if(!me.initialFitDone&&!me.options.rollingMode)if(me.initialFitDone=!0,null!=me.options.start||null!=me.options.end){if(null==me.options.start||null==me.options.end)var range=me.getItemRange();var start=null==me.options.start?range.min:me.options.start,end=null==me.options.end?range.max:me.options.end;me.setWindow(start,end,{animation:!1})}else me.fit({animation:!1});me.initialDrawDone||!me.initialRangeChangeDone&&(me.options.start||me.options.end)&&!me.options.rollingMode||(me.initialDrawDone=!0,me.itemSet.initialDrawDone=!0,me.dom.root.style.visibility="visible",me.dom.loadingScreen.parentNode.removeChild(me.dom.loadingScreen),me.options.onInitialDrawComplete&&setTimeout(()=>me.options.onInitialDrawComplete(),0))}}),this.on("destroyTimeline",()=>{me.destroy()}),options&&this.setOptions(options),groups&&this.setGroups(groups),items&&this.setItems(items),this._redraw()}function getStart(item){return util.convert(item.data.start,"Date").valueOf()}function getEnd(item){var end=item.data.end==null?item.data.start:item.data.end;return util.convert(end,"Date").valueOf()}function getItemVerticalScroll(timeline,item){if(!item.parent)return!1;var leftHeight=timeline.props.leftContainer.height,contentHeight=timeline.props.left.height,group=item.parent,offset=group.top,shouldScroll=!0,orientation=timeline.timeAxis.options.orientation.axis,itemTop=function(){return"bottom"==orientation?group.height-item.top-item.height:item.top},currentScrollHeight=-1*timeline._getScrollTop(),targetOffset=offset+itemTop(),height=item.height;return targetOffset<currentScrollHeight?offset+leftHeight<=offset+itemTop()+height&&(offset+=itemTop()-timeline.itemSet.options.margin.item.vertical):targetOffset+height>currentScrollHeight+leftHeight?offset+=itemTop()+height-leftHeight+timeline.itemSet.options.margin.item.vertical:shouldScroll=!1,offset=_Mathmin(offset,contentHeight-leftHeight),{shouldScroll:shouldScroll,scrollOffset:offset,itemTop:targetOffset}}function DataScale(start,end,autoScaleStart,autoScaleEnd,containerHeight,majorCharHeight,zeroAlign=!1,formattingFunction=!1){if(this.majorSteps=[1,2,5,10],this.minorSteps=[.25,.5,1,2],this.customLines=null,this.containerHeight=containerHeight,this.majorCharHeight=majorCharHeight,this._start=start,this._end=end,this.scale=1,this.minorStepIdx=-1,this.magnitudefactor=1,this.determineScale(),this.zeroAlign=zeroAlign,this.autoScaleStart=autoScaleStart,this.autoScaleEnd=autoScaleEnd,this.formattingFunction=formattingFunction,autoScaleStart||autoScaleEnd){var me=this,roundToMinor=function(value){var rounded=value-value%(me.magnitudefactor*me.minorSteps[me.minorStepIdx]);return value%(me.magnitudefactor*me.minorSteps[me.minorStepIdx])>.5*(me.magnitudefactor*me.minorSteps[me.minorStepIdx])?rounded+me.magnitudefactor*me.minorSteps[me.minorStepIdx]:rounded};autoScaleStart&&(this._start-=2*this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._start=roundToMinor(this._start)),autoScaleEnd&&(this._end+=this.magnitudefactor*this.minorSteps[this.minorStepIdx],this._end=roundToMinor(this._end)),this.determineScale()}}function DataAxis(body,options,svg,linegraphOptions){this.id=util.randomUUID(),this.body=body,this.defaultOptions={orientation:"left",showMinorLabels:!0,showMajorLabels:!0,icons:!1,majorLinesOffset:7,minorLinesOffset:4,labelOffsetX:10,labelOffsetY:2,iconWidth:20,width:"40px",visible:!0,alignZeros:!0,left:{range:{min:void 0,max:void 0},format:function(value){return""+parseFloat(value.toPrecision(3))},title:{text:void 0,style:void 0}},right:{range:{min:void 0,max:void 0},format:function(value){return""+parseFloat(value.toPrecision(3))},title:{text:void 0,style:void 0}}},this.linegraphOptions=linegraphOptions,this.linegraphSVG=svg,this.props={},this.DOMelements={lines:{},labels:{},title:{}},this.dom={},this.scale=void 0,this.range={start:0,end:0},this.options=util.extend({},this.defaultOptions),this.conversionFactor=1,this.setOptions(options),this.width=+(""+this.options.width).replace("px",""),this.minWidth=this.width,this.height=this.linegraphSVG.getBoundingClientRect().height,this.hidden=!1,this.stepPixels=25,this.zeroCrossing=-1,this.amountOfSteps=-1,this.lineOffset=0,this.master=!0,this.masterAxis=null,this.svgElements={},this.iconsRemoved=!1,this.groups={},this.amountOfGroups=0,this._create(),this.scale==null&&this._redrawLabels(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups};var me=this;this.body.emitter.on("verticalDrag",function(){me.dom.lineContainer.style.top=me.body.domProps.scrollTop+"px"})}function Points(){}function getGroupTemplate(group,callbackResult){return callbackResult="undefined"==typeof callbackResult?{}:callbackResult,{style:callbackResult.style||group.options.drawPoints.style,styles:callbackResult.styles||group.options.drawPoints.styles,size:callbackResult.size||group.options.drawPoints.size,className:callbackResult.className||group.className}}function getCallback(framework,group){var callback;return framework.options&&framework.options.drawPoints&&framework.options.drawPoints.onRender&&"function"==typeof framework.options.drawPoints.onRender&&(callback=framework.options.drawPoints.onRender),group.group.options&&group.group.options.drawPoints&&group.group.options.drawPoints.onRender&&"function"==typeof group.group.options.drawPoints.onRender&&(callback=group.group.options.drawPoints.onRender),callback}function Bargraph(){}function Line(){}function GraphGroup(group,groupId,options,groupsUsingDefaultStyles){this.id=groupId;this.options=util.selectiveBridgeObject(["sampling","style","sort","yAxisOrientation","barChart","drawPoints","shaded","interpolation","zIndex","excludeFromStacking","excludeFromLegend"],options),this.usingDefaultStyle=group.className===void 0,this.groupsUsingDefaultStyles=groupsUsingDefaultStyles,this.zeroPosition=0,this.update(group),!0==this.usingDefaultStyle&&(this.groupsUsingDefaultStyles[0]+=1),this.itemsData=[],this.visible=!(group.visible!==void 0)||group.visible}function Legend(body,options,side,linegraphOptions){this.body=body,this.defaultOptions={enabled:!1,icons:!0,iconSize:20,iconSpacing:6,left:{visible:!0,position:"top-left"},right:{visible:!0,position:"top-right"}},this.side=side,this.options=util.extend({},this.defaultOptions),this.linegraphOptions=linegraphOptions,this.svgElements={},this.dom={},this.groups={},this.amountOfGroups=0,this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups},this.setOptions(options)}function LineGraph(body,options){this.id=util.randomUUID(),this.body=body,this.defaultOptions={yAxisOrientation:"left",defaultGroup:"default",sort:!0,sampling:!0,stack:!1,graphHeight:"400px",shaded:{enabled:!1,orientation:"bottom"},style:"line",barChart:{width:50,sideBySide:!1,align:"center"},interpolation:{enabled:!0,parametrization:"centripetal",alpha:.5},drawPoints:{enabled:!0,size:6,style:"square"},dataAxis:{},legend:{},groups:{visibility:{}}},this.options=util.extend({},this.defaultOptions),this.dom={},this.props={},this.hammer=null,this.groups={},this.abortedGraphUpdate=!1,this.updateSVGheight=!1,this.updateSVGheightOnResize=!1,this.forceGraphUpdate=!0;var me=this;this.itemsData=null,this.groupsData=null,this.itemListeners={add:function(event,params){me._onAdd(params.items)},update:function(event,params){me._onUpdate(params.items)},remove:function(event,params){me._onRemove(params.items)}},this.groupListeners={add:function(event,params){me._onAddGroups(params.items)},update:function(event,params){me._onUpdateGroups(params.items)},remove:function(event,params){me._onRemoveGroups(params.items)}},this.items={},this.selection=[],this.lastStart=this.body.range.start,this.touchParams={},this.svgElements={},this.setOptions(options),this.groupsUsingDefaultStyles=[0],this.body.emitter.on("rangechanged",function(){me.lastStart=me.body.range.start,me.svg.style.left=util.option.asSize(-me.props.width),me.forceGraphUpdate=!0,me.redraw.call(me)}),this._create(),this.framework={svg:this.svg,svgElements:this.svgElements,options:this.options,groups:this.groups}}function Graph2d(container,items,groups,options){if(!(Array.isArray(groups)||groups instanceof DataSet$4||groups instanceof DataView$5)&&groups instanceof Object){var forthArgument=options;options=groups,groups=forthArgument}options&&options.throttleRedraw&&console.warn("Graph2d option \"throttleRedraw\" is DEPRICATED and no longer supported. It will be removed in the next MAJOR release.");var me=this;this.defaultOptions={start:null,end:null,autoResize:!0,orientation:{axis:"bottom",item:"bottom"},moment:moment$5,width:null,height:null,maxHeight:null,minHeight:null},this.options=util.deepExtend({},this.defaultOptions),this._create(container),this.components=[],this.body={dom:this.dom,domProps:this.props,emitter:{on:this.on.bind(this),off:this.off.bind(this),emit:this.emit.bind(this)},hiddenDates:[],util:{toScreen:me._toScreen.bind(me),toGlobalScreen:me._toGlobalScreen.bind(me),toTime:me._toTime.bind(me),toGlobalTime:me._toGlobalTime.bind(me)}},this.range=new Range_1$1(this.body),this.components.push(this.range),this.body.range=this.range,this.timeAxis=new TimeAxis(this.body),this.components.push(this.timeAxis),this.currentTime=new CurrentTime_1(this.body),this.components.push(this.currentTime),this.linegraph=new LineGraph_1(this.body),this.components.push(this.linegraph),this.itemsData=null,this.groupsData=null,this.on("tap",function(event){me.emit("click",me.getEventProperties(event))}),this.on("doubletap",function(event){me.emit("doubleClick",me.getEventProperties(event))}),this.dom.root.oncontextmenu=function(event){me.emit("contextmenu",me.getEventProperties(event))},this.initialFitDone=!1,this.on("changed",function(){if(null!=me.itemsData){if(!me.initialFitDone&&!me.options.rollingMode)if(me.initialFitDone=!0,null!=me.options.start||null!=me.options.end){if(null==me.options.start||null==me.options.end)var range=me.getItemRange();var start=null==me.options.start?range.min:me.options.start,end=null==me.options.end?range.max:me.options.end;me.setWindow(start,end,{animation:!1})}else me.fit({animation:!1});me.initialDrawDone||!me.initialRangeChangeDone&&(me.options.start||me.options.end)&&!me.options.rollingMode||(me.initialDrawDone=!0,me.itemSet.initialDrawDone=!0,me.dom.root.style.visibility="visible",me.dom.loadingScreen.parentNode.removeChild(me.dom.loadingScreen),me.options.onInitialDrawComplete&&setTimeout(()=>me.options.onInitialDrawComplete(),0))}}),options&&this.setOptions(options),groups&&this.setGroups(groups),items&&this.setItems(items),this._redraw()}var commonjsGlobal="undefined"==typeof globalThis?"undefined"==typeof window?"undefined"==typeof global?"undefined"==typeof self?{}:self:global:window:globalThis,_global=createCommonjsModule(function(module){var global=module.exports="undefined"!=typeof window&&window.Math==Math?window:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")();"number"==typeof __g&&(__g=global)}),_core=createCommonjsModule(function(module){var core=module.exports={version:"2.6.9"};"number"==typeof __e&&(__e=core)}),_core_1=_core.version,_shared=createCommonjsModule(function(module){var store=_global["__core-js_shared__"]||(_global["__core-js_shared__"]={});(module.exports=function(key,value){return store[key]||(store[key]=value===void 0?{}:value)})("versions",[]).push({version:_core.version,mode:"global",copyright:"\xA9 2019 Denis Pushkarev (zloirock.ru)"})}),id=0,px=Math.random(),_uid=function(key){return"Symbol(".concat(key===void 0?"":key,")_",(++id+px).toString(36))},_wks=createCommonjsModule(function(module){var store=_shared("wks"),Symbol=_global.Symbol,USE_SYMBOL="function"==typeof Symbol,$exports=module.exports=function(name){return store[name]||(store[name]=USE_SYMBOL&&Symbol[name]||(USE_SYMBOL?Symbol:_uid)("Symbol."+name))};$exports.store=store}),_wksExt={f:_wks},_isObject=function(it){return"object"==typeof it?null!==it:"function"==typeof it},_anObject=function(it){if(!_isObject(it))throw TypeError(it+" is not an object!");return it},_fails=function(exec){try{return!!exec()}catch(e){return!0}},_descriptors=!_fails(function(){return 7!=Object.defineProperty({},"a",{get:function(){return 7}}).a}),document$1=_global.document,is=_isObject(document$1)&&_isObject(document$1.createElement),_domCreate=function(it){return is?document$1.createElement(it):{}},_ie8DomDefine=!_descriptors&&!_fails(function(){return 7!=Object.defineProperty(_domCreate("div"),"a",{get:function(){return 7}}).a}),_toPrimitive=function(it,S){if(!_isObject(it))return it;var fn,val;if(S&&"function"==typeof(fn=it.toString)&&!_isObject(val=fn.call(it)))return val;if("function"==typeof(fn=it.valueOf)&&!_isObject(val=fn.call(it)))return val;if(!S&&"function"==typeof(fn=it.toString)&&!_isObject(val=fn.call(it)))return val;throw TypeError("Can't convert object to primitive value")},dP=Object.defineProperty,f$1=_descriptors?Object.defineProperty:function(O,P,Attributes){if(_anObject(O),P=_toPrimitive(P,!0),_anObject(Attributes),_ie8DomDefine)try{return dP(O,P,Attributes)}catch(e){}if("get"in Attributes||"set"in Attributes)throw TypeError("Accessors not supported!");return"value"in Attributes&&(O[P]=Attributes.value),O},_objectDp={f:f$1},defineProperty=_objectDp.f,_wksDefine=function(name){var $Symbol=_core.Symbol||(_core.Symbol=_global.Symbol||{});"_"==name.charAt(0)||name in $Symbol||defineProperty($Symbol,name,{value:_wksExt.f(name)})};_wksDefine("asyncIterator");var hasOwnProperty={}.hasOwnProperty,_has=function(it,key){return hasOwnProperty.call(it,key)},_propertyDesc=function(bitmap,value){return{enumerable:!(1&bitmap),configurable:!(2&bitmap),writable:!(4&bitmap),value:value}},_hide=_descriptors?function(object,key,value){return _objectDp.f(object,key,_propertyDesc(1,value))}:function(object,key,value){return object[key]=value,object},_functionToString=_shared("native-function-to-string",Function.toString),_redefine=createCommonjsModule(function(module){var SRC=_uid("src"),TO_STRING="toString",TPL=(""+_functionToString).split(TO_STRING);_core.inspectSource=function(it){return _functionToString.call(it)},(module.exports=function(O,key,val,safe){var isFunction="function"==typeof val;isFunction&&(_has(val,"name")||_hide(val,"name",key));O[key]===val||(isFunction&&(_has(val,SRC)||_hide(val,SRC,O[key]?""+O[key]:TPL.join(key+""))),O===_global?O[key]=val:safe?O[key]?O[key]=val:_hide(O,key,val):(delete O[key],_hide(O,key,val)))})(Function.prototype,TO_STRING,function(){return"function"==typeof this&&this[SRC]||_functionToString.call(this)})}),_aFunction=function(it){if("function"!=typeof it)throw TypeError(it+" is not a function!");return it},_ctx=function(fn,that,length){return(_aFunction(fn),void 0===that)?fn:1===length?function(a){return fn.call(that,a)}:2===length?function(a,b){return fn.call(that,a,b)}:3===length?function(a,b,c){return fn.call(that,a,b,c)}:function(){return fn.apply(that,arguments)}},PROTOTYPE="prototype",$export=function(type,name,source){var IS_FORCED=type&$export.F,IS_GLOBAL=type&$export.G,IS_STATIC=type&$export.S,IS_PROTO=type&$export.P,IS_BIND=type&$export.B,target=IS_GLOBAL?_global:IS_STATIC?_global[name]||(_global[name]={}):(_global[name]||{})[PROTOTYPE],exports=IS_GLOBAL?_core:_core[name]||(_core[name]={}),expProto=exports[PROTOTYPE]||(exports[PROTOTYPE]={}),key,own,out,exp;for(key in IS_GLOBAL&&(source=name),source)own=!IS_FORCED&&target&&void 0!==target[key],out=(own?target:source)[key],exp=IS_BIND&&own?_ctx(out,_global):IS_PROTO&&"function"==typeof out?_ctx(Function.call,out):out,target&&_redefine(target,key,out,type&$export.U),exports[key]!=out&&_hide(exports,key,exp),IS_PROTO&&expProto[key]!=out&&(expProto[key]=out)};_global.core=_core,$export.F=1,$export.G=2,$export.S=4,$export.P=8,$export.B=16,$export.W=32,$export.U=64,$export.R=128;var _export=$export,_meta=createCommonjsModule(function(module){var META=_uid("meta"),setDesc=_objectDp.f,id=0,isExtensible=Object.isExtensible||function(){return!0},FREEZE=!_fails(function(){return isExtensible(Object.preventExtensions({}))}),setMeta=function(it){setDesc(it,META,{value:{i:"O"+ ++id,w:{}}})},meta=module.exports={KEY:META,NEED:!1,fastKey:function(it,create){if(!_isObject(it))return"symbol"==typeof it?it:("string"==typeof it?"S":"P")+it;if(!_has(it,META)){if(!isExtensible(it))return"F";if(!create)return"E";setMeta(it)}return it[META].i},getWeak:function(it,create){if(!_has(it,META)){if(!isExtensible(it))return!0;if(!create)return!1;setMeta(it)}return it[META].w},onFreeze:function(it){return FREEZE&&meta.NEED&&isExtensible(it)&&!_has(it,META)&&setMeta(it),it}}}),_meta_1=_meta.KEY,_meta_2=_meta.NEED,_meta_3=_meta.fastKey,_meta_4=_meta.getWeak,_meta_5=_meta.onFreeze,def=_objectDp.f,TAG=_wks("toStringTag"),_setToStringTag=function(it,tag,stat){it&&!_has(it=stat?it:it.prototype,TAG)&&def(it,TAG,{configurable:!0,value:tag})},toString={}.toString,_cof=function(it){return toString.call(it).slice(8,-1)},_iobject=Object("z").propertyIsEnumerable(0)?Object:function(it){return"String"==_cof(it)?it.split(""):Object(it)},_defined=function(it){if(it==null)throw TypeError("Can't call method on  "+it);return it},_toIobject=function(it){return _iobject(_defined(it))},_toInteger=function(it){return isNaN(it=+it)?0:(0<it?_Mathfloor:_Mathceil)(it)},_toLength=function(it){return 0<it?_Mathmin(_toInteger(it),9007199254740991):0},_toAbsoluteIndex=function(index,length){return index=_toInteger(index),0>index?_Mathmax(index+length,0):_Mathmin(index,length)},shared=_shared("keys"),_sharedKey=function(key){return shared[key]||(shared[key]=_uid(key))},arrayIndexOf=function(IS_INCLUDES){return function($this,el,fromIndex){var O=_toIobject($this),length=_toLength(O.length),index=_toAbsoluteIndex(fromIndex,length),value;if(IS_INCLUDES&&el!=el){for(;length>index;)if(value=O[index++],value!=value)return!0;}else for(;length>index;index++)if((IS_INCLUDES||index in O)&&O[index]===el)return IS_INCLUDES||index||0;return!IS_INCLUDES&&-1}}(!1),IE_PROTO=_sharedKey("IE_PROTO"),_objectKeysInternal=function(object,names){var O=_toIobject(object),i=0,result=[],key;for(key in O)key!=IE_PROTO&&_has(O,key)&&result.push(key);for(;names.length>i;)_has(O,key=names[i++])&&(~arrayIndexOf(result,key)||result.push(key));return result},_enumBugKeys=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],_objectKeys=Object.keys||function(O){return _objectKeysInternal(O,_enumBugKeys)},f$2=Object.getOwnPropertySymbols,_objectGops={f:f$2},f$3={}.propertyIsEnumerable,_objectPie={f:f$3},_enumKeys=function(it){var result=_objectKeys(it),getSymbols=_objectGops.f;if(getSymbols)for(var symbols=getSymbols(it),isEnum=_objectPie.f,i=0,key;symbols.length>i;)isEnum.call(it,key=symbols[i++])&&result.push(key);return result},_isArray=Array.isArray||function(arg){return"Array"==_cof(arg)},_toObject=function(it){return Object(_defined(it))},_objectDps=_descriptors?Object.defineProperties:function(O,Properties){_anObject(O);for(var keys=_objectKeys(Properties),length=keys.length,i=0,P;length>i;)_objectDp.f(O,P=keys[i++],Properties[P]);return O},document$2=_global.document,_html=document$2&&document$2.documentElement,IE_PROTO$1=_sharedKey("IE_PROTO"),Empty=function(){},PROTOTYPE$1="prototype",createDict=function(){var iframe=_domCreate("iframe"),i=_enumBugKeys.length,lt="<",gt=">",iframeDocument;for(iframe.style.display="none",_html.appendChild(iframe),iframe.src="javascript:",iframeDocument=iframe.contentWindow.document,iframeDocument.open(),iframeDocument.write(lt+"script"+gt+"document.F=Object"+lt+"/script"+gt),iframeDocument.close(),createDict=iframeDocument.F;i--;)delete createDict[PROTOTYPE$1][_enumBugKeys[i]];return createDict()},_objectCreate=Object.create||function(O,Properties){var result;return null===O?result=createDict():(Empty[PROTOTYPE$1]=_anObject(O),result=new Empty,Empty[PROTOTYPE$1]=null,result[IE_PROTO$1]=O),void 0===Properties?result:_objectDps(result,Properties)},hiddenKeys=_enumBugKeys.concat("length","prototype"),f$4=Object.getOwnPropertyNames||function(O){return _objectKeysInternal(O,hiddenKeys)},_objectGopn={f:f$4},gOPN=_objectGopn.f,toString$1={}.toString,windowNames="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],getWindowNames=function(it){try{return gOPN(it)}catch(e){return windowNames.slice()}},_objectGopnExt={f:function(it){return windowNames&&"[object Window]"==toString$1.call(it)?getWindowNames(it):gOPN(_toIobject(it))}},gOPD=Object.getOwnPropertyDescriptor,f$6=_descriptors?gOPD:function(O,P){if(O=_toIobject(O),P=_toPrimitive(P,!0),_ie8DomDefine)try{return gOPD(O,P)}catch(e){}return _has(O,P)?_propertyDesc(!_objectPie.f.call(O,P),O[P]):void 0},_objectGopd={f:f$6},META=_meta.KEY,gOPD$1=_objectGopd.f,dP$1=_objectDp.f,gOPN$1=_objectGopnExt.f,$Symbol=_global.Symbol,$JSON=_global.JSON,_stringify=$JSON&&$JSON.stringify,PROTOTYPE$2="prototype",HIDDEN=_wks("_hidden"),TO_PRIMITIVE=_wks("toPrimitive"),isEnum={}.propertyIsEnumerable,SymbolRegistry=_shared("symbol-registry"),AllSymbols=_shared("symbols"),OPSymbols=_shared("op-symbols"),ObjectProto=Object[PROTOTYPE$2],USE_NATIVE="function"==typeof $Symbol&&!!_objectGops.f,QObject=_global.QObject,setter=!QObject||!QObject[PROTOTYPE$2]||!QObject[PROTOTYPE$2].findChild,setSymbolDesc=_descriptors&&_fails(function(){return 7!=_objectCreate(dP$1({},"a",{get:function(){return dP$1(this,"a",{value:7}).a}})).a})?function(it,key,D){var protoDesc=gOPD$1(ObjectProto,key);protoDesc&&delete ObjectProto[key],dP$1(it,key,D),protoDesc&&it!==ObjectProto&&dP$1(ObjectProto,key,protoDesc)}:dP$1,wrap=function(tag){var sym=AllSymbols[tag]=_objectCreate($Symbol[PROTOTYPE$2]);return sym._k=tag,sym},isSymbol=USE_NATIVE&&"symbol"==typeof $Symbol.iterator?function(it){return"symbol"==typeof it}:function(it){return it instanceof $Symbol},$defineProperty=function(it,key,D){return it===ObjectProto&&$defineProperty(OPSymbols,key,D),_anObject(it),key=_toPrimitive(key,!0),_anObject(D),_has(AllSymbols,key)?(D.enumerable?(_has(it,HIDDEN)&&it[HIDDEN][key]&&(it[HIDDEN][key]=!1),D=_objectCreate(D,{enumerable:_propertyDesc(0,!1)})):(!_has(it,HIDDEN)&&dP$1(it,HIDDEN,_propertyDesc(1,{})),it[HIDDEN][key]=!0),setSymbolDesc(it,key,D)):dP$1(it,key,D)},$defineProperties=function(it,P){_anObject(it);for(var keys=_enumKeys(P=_toIobject(P)),i=0,l=keys.length,key;l>i;)$defineProperty(it,key=keys[i++],P[key]);return it},$propertyIsEnumerable=function(key){var E=isEnum.call(this,key=_toPrimitive(key,!0));return(this!==ObjectProto||!_has(AllSymbols,key)||_has(OPSymbols,key))&&(!(E||!_has(this,key)||!_has(AllSymbols,key)||_has(this,HIDDEN)&&this[HIDDEN][key])||E)},$getOwnPropertyDescriptor=function(it,key){if(it=_toIobject(it),key=_toPrimitive(key,!0),it!==ObjectProto||!_has(AllSymbols,key)||_has(OPSymbols,key)){var D=gOPD$1(it,key);return D&&_has(AllSymbols,key)&&!(_has(it,HIDDEN)&&it[HIDDEN][key])&&(D.enumerable=!0),D}},$getOwnPropertyNames=function(it){for(var names=gOPN$1(_toIobject(it)),result=[],i=0,key;names.length>i;)_has(AllSymbols,key=names[i++])||key==HIDDEN||key==META||result.push(key);return result},$getOwnPropertySymbols=function(it){for(var IS_OP=it===ObjectProto,names=gOPN$1(IS_OP?OPSymbols:_toIobject(it)),result=[],i=0,key;names.length>i;)_has(AllSymbols,key=names[i++])&&(!IS_OP||_has(ObjectProto,key))&&result.push(AllSymbols[key]);return result};USE_NATIVE||($Symbol=function(){if(this instanceof $Symbol)throw TypeError("Symbol is not a constructor!");var tag=_uid(0<arguments.length?arguments[0]:void 0),$set=function(value){this===ObjectProto&&$set.call(OPSymbols,value),_has(this,HIDDEN)&&_has(this[HIDDEN],tag)&&(this[HIDDEN][tag]=!1),setSymbolDesc(this,tag,_propertyDesc(1,value))};return _descriptors&&setter&&setSymbolDesc(ObjectProto,tag,{configurable:!0,set:$set}),wrap(tag)},_redefine($Symbol[PROTOTYPE$2],"toString",function(){return this._k}),_objectGopd.f=$getOwnPropertyDescriptor,_objectDp.f=$defineProperty,_objectGopn.f=_objectGopnExt.f=$getOwnPropertyNames,_objectPie.f=$propertyIsEnumerable,_objectGops.f=$getOwnPropertySymbols,_descriptors&&!!1&&_redefine(ObjectProto,"propertyIsEnumerable",$propertyIsEnumerable,!0),_wksExt.f=function(name){return wrap(_wks(name))}),_export(_export.G+_export.W+_export.F*!USE_NATIVE,{Symbol:$Symbol});for(var es6Symbols=["hasInstance","isConcatSpreadable","iterator","match","replace","search","species","split","toPrimitive","toStringTag","unscopables"],j=0;es6Symbols.length>j;)_wks(es6Symbols[j++]);for(var wellKnownSymbols=_objectKeys(_wks.store),k=0;wellKnownSymbols.length>k;)_wksDefine(wellKnownSymbols[k++]);_export(_export.S+_export.F*!USE_NATIVE,"Symbol",{for:function(key){return _has(SymbolRegistry,key+="")?SymbolRegistry[key]:SymbolRegistry[key]=$Symbol(key)},keyFor:function(sym){if(!isSymbol(sym))throw TypeError(sym+" is not a symbol!");for(var key in SymbolRegistry)if(SymbolRegistry[key]===sym)return key},useSetter:function(){setter=!0},useSimple:function(){setter=!1}}),_export(_export.S+_export.F*!USE_NATIVE,"Object",{create:function(it,P){return P===void 0?_objectCreate(it):$defineProperties(_objectCreate(it),P)},defineProperty:$defineProperty,defineProperties:$defineProperties,getOwnPropertyDescriptor:$getOwnPropertyDescriptor,getOwnPropertyNames:$getOwnPropertyNames,getOwnPropertySymbols:$getOwnPropertySymbols});var FAILS_ON_PRIMITIVES=_fails(function(){_objectGops.f(1)});_export(_export.S+_export.F*FAILS_ON_PRIMITIVES,"Object",{getOwnPropertySymbols:function(it){return _objectGops.f(_toObject(it))}}),$JSON&&_export(_export.S+_export.F*(!USE_NATIVE||_fails(function(){var S=$Symbol();return"[null]"!=_stringify([S])||"{}"!=_stringify({a:S})||"{}"!=_stringify(Object(S))})),"JSON",{stringify:function(it){for(var args=[it],i=1,replacer,$replacer;arguments.length>i;)args.push(arguments[i++]);if($replacer=replacer=args[1],(_isObject(replacer)||void 0!==it)&&!isSymbol(it))return _isArray(replacer)||(replacer=function(key,value){if("function"==typeof $replacer&&(value=$replacer.call(this,key,value)),!isSymbol(value))return value}),args[1]=replacer,_stringify.apply($JSON,args)}}),$Symbol[PROTOTYPE$2][TO_PRIMITIVE]||_hide($Symbol[PROTOTYPE$2],TO_PRIMITIVE,$Symbol[PROTOTYPE$2].valueOf),_setToStringTag($Symbol,"Symbol"),_setToStringTag(Math,"Math",!0),_setToStringTag(_global.JSON,"JSON",!0);(function(KEY,exec){var fn=(_core.Object||{})[KEY]||Object[KEY],exp={};exp[KEY]=exec(fn),_export(_export.S+_export.F*_fails(function(){fn(1)}),"Object",exp)})("keys",function(){return function(it){return _objectKeys(_toObject(it))}});var _flags=function(){var that=_anObject(this),result="";return that.global&&(result+="g"),that.ignoreCase&&(result+="i"),that.multiline&&(result+="m"),that.unicode&&(result+="u"),that.sticky&&(result+="y"),result};_descriptors&&"g"!=/./g.flags&&_objectDp.f(RegExp.prototype,"flags",{configurable:!0,get:_flags});var $toString=/./.toString,define=function(fn){_redefine(RegExp.prototype,"toString",fn,!0)};_fails(function(){return"/a/b"!=$toString.call({source:"a",flags:"b"})})?define(function(){var R=_anObject(this);return"/".concat(R.source,"/","flags"in R?R.flags:!_descriptors&&R instanceof RegExp?_flags.call(R):void 0)}):$toString.name!="toString"&&define(function(){return $toString.call(this)});var at=function(TO_STRING){return function(that,pos){var s=_defined(that)+"",i=_toInteger(pos),l=s.length,a,b;return 0>i||i>=l?TO_STRING?"":void 0:(a=s.charCodeAt(i),55296>a||56319<a||i+1===l||56320>(b=s.charCodeAt(i+1))||57343<b?TO_STRING?s.charAt(i):a:TO_STRING?s.slice(i,i+2):(a-55296<<10)+(b-56320)+65536)}}(!0),_advanceStringIndex=function(S,index,unicode){return index+(unicode?at(S,index).length:1)},TAG$1=_wks("toStringTag"),ARG="Arguments"==_cof(function(){return arguments}()),tryGet=function(it,key){try{return it[key]}catch(e){}},_classof=function(it){var O,T,B;return it===void 0?"Undefined":null===it?"Null":"string"==typeof(T=tryGet(O=Object(it),TAG$1))?T:ARG?_cof(O):"Object"==(B=_cof(O))&&"function"==typeof O.callee?"Arguments":B},builtinExec=RegExp.prototype.exec,_regexpExecAbstract=function(R,S){var exec=R.exec;if("function"==typeof exec){var result=exec.call(R,S);if("object"!=typeof result)throw new TypeError("RegExp exec method returned something other than an Object or null");return result}if("RegExp"!==_classof(R))throw new TypeError("RegExp#exec called on incompatible receiver");return builtinExec.call(R,S)},nativeExec=RegExp.prototype.exec,nativeReplace=_Stringprototype.replace,patchedExec=nativeExec,LAST_INDEX="lastIndex",UPDATES_LAST_INDEX_WRONG=function(){var re1=/a/,re2=/b*/g;return nativeExec.call(re1,"a"),nativeExec.call(re2,"a"),0!==re1[LAST_INDEX]||0!==re2[LAST_INDEX]}(),NPCG_INCLUDED=/()??/.exec("")[1]!==void 0;(UPDATES_LAST_INDEX_WRONG||NPCG_INCLUDED)&&(patchedExec=function(str){var re=this,lastIndex,reCopy,match,i;return NPCG_INCLUDED&&(reCopy=new RegExp("^"+re.source+"$(?!\\s)",_flags.call(re))),UPDATES_LAST_INDEX_WRONG&&(lastIndex=re[LAST_INDEX]),match=nativeExec.call(re,str),UPDATES_LAST_INDEX_WRONG&&match&&(re[LAST_INDEX]=re.global?match.index+match[0].length:lastIndex),NPCG_INCLUDED&&match&&1<match.length&&nativeReplace.call(match[0],reCopy,function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(match[i]=void 0)}),match});var _regexpExec=patchedExec;_export({target:"RegExp",proto:!0,forced:_regexpExec!==/./.exec},{exec:_regexpExec});var SPECIES=_wks("species"),REPLACE_SUPPORTS_NAMED_GROUPS=!_fails(function(){var re=/./;return re.exec=function(){var result=[];return result.groups={a:"7"},result},"7"!=="".replace(re,"$<a>")}),SPLIT_WORKS_WITH_OVERWRITTEN_EXEC=function(){var re=/(?:)/,originalExec=re.exec;re.exec=function(){return originalExec.apply(this,arguments)};var result="ab".split(re);return 2===result.length&&"a"===result[0]&&"b"===result[1]}(),_fixReWks=function(KEY,length,exec){var SYMBOL=_wks(KEY),DELEGATES_TO_SYMBOL=!_fails(function(){var O={};return O[SYMBOL]=function(){return 7},7!=""[KEY](O)}),DELEGATES_TO_EXEC=DELEGATES_TO_SYMBOL?!_fails(function(){var execCalled=!1,re=/a/;return re.exec=function(){return execCalled=!0,null},"split"===KEY&&(re.constructor={},re.constructor[SPECIES]=function(){return re}),re[SYMBOL](""),!execCalled}):void 0;if(!DELEGATES_TO_SYMBOL||!DELEGATES_TO_EXEC||"replace"===KEY&&!REPLACE_SUPPORTS_NAMED_GROUPS||"split"===KEY&&!SPLIT_WORKS_WITH_OVERWRITTEN_EXEC){var nativeRegExpMethod=/./[SYMBOL],fns=exec(_defined,SYMBOL,""[KEY],function(nativeMethod,regexp,str,arg2,forceStringMethod){return regexp.exec===_regexpExec?DELEGATES_TO_SYMBOL&&!forceStringMethod?{done:!0,value:nativeRegExpMethod.call(regexp,str,arg2)}:{done:!0,value:nativeMethod.call(str,regexp,arg2)}:{done:!1}}),strfn=fns[0],rxfn=fns[1];_redefine(String.prototype,KEY,strfn),_hide(RegExp.prototype,SYMBOL,2==length?function(string,arg){return rxfn.call(string,this,arg)}:function(string){return rxfn.call(string,this)})}},SUBSTITUTION_SYMBOLS=/\$([$&`']|\d\d?|<[^>]*>)/g,SUBSTITUTION_SYMBOLS_NO_NAMED=/\$([$&`']|\d\d?)/g,maybeToString=function(it){return it===void 0?it:it+""};_fixReWks("replace",2,function(defined,REPLACE,$replace,maybeCallNative){function getSubstitution(matched,str,position,captures,namedCaptures,replacement){var tailPos=position+matched.length,m=captures.length,symbols=SUBSTITUTION_SYMBOLS_NO_NAMED;return void 0!==namedCaptures&&(namedCaptures=_toObject(namedCaptures),symbols=SUBSTITUTION_SYMBOLS),$replace.call(replacement,symbols,function(match,ch){var capture;switch(ch.charAt(0)){case"$":return"$";case"&":return matched;case"`":return str.slice(0,position);case"'":return str.slice(tailPos);case"<":capture=namedCaptures[ch.slice(1,-1)];break;default:var n=+ch;if(0==n)return match;if(n>m){var f=_Mathfloor(n/10);return 0===f?match:f<=m?void 0===captures[f-1]?ch.charAt(1):captures[f-1]+ch.charAt(1):match}capture=captures[n-1];}return void 0===capture?"":capture})}return[function(searchValue,replaceValue){var O=defined(this),fn=searchValue==null?void 0:searchValue[REPLACE];return fn===void 0?$replace.call(O+"",searchValue,replaceValue):fn.call(searchValue,O,replaceValue)},function(regexp,replaceValue){var res=maybeCallNative($replace,regexp,this,replaceValue);if(res.done)return res.value;var rx=_anObject(regexp),S=this+"",functionalReplace="function"==typeof replaceValue;functionalReplace||(replaceValue=replaceValue+"");var global=rx.global;if(global){var fullUnicode=rx.unicode;rx.lastIndex=0}for(var results=[],result;(result=_regexpExecAbstract(rx,S),null!==result)&&!(results.push(result),!global);){var matchStr=result[0]+"";""==matchStr&&(rx.lastIndex=_advanceStringIndex(S,_toLength(rx.lastIndex),fullUnicode))}for(var accumulatedResult="",nextSourcePosition=0,i=0;i<results.length;i++){result=results[i];for(var matched=result[0]+"",position=_Mathmax(_Mathmin(_toInteger(result.index),S.length),0),captures=[],j=1;j<result.length;j++)captures.push(maybeToString(result[j]));var namedCaptures=result.groups;if(functionalReplace){var replacerArgs=[matched].concat(captures,position,S);namedCaptures!==void 0&&replacerArgs.push(namedCaptures);var replacement=replaceValue.apply(void 0,replacerArgs)+""}else replacement=getSubstitution(matched,S,position,captures,namedCaptures,replaceValue);position>=nextSourcePosition&&(accumulatedResult+=S.slice(nextSourcePosition,position)+replacement,nextSourcePosition=position+matched.length)}return accumulatedResult+S.slice(nextSourcePosition)}]});var UNSCOPABLES=_wks("unscopables"),ArrayProto=Array.prototype;ArrayProto[UNSCOPABLES]==null&&_hide(ArrayProto,UNSCOPABLES,{});var _addToUnscopables=function(key){ArrayProto[UNSCOPABLES][key]=!0},_iterStep=function(done,value){return{value:value,done:!!done}},_iterators={},IteratorPrototype={};_hide(IteratorPrototype,_wks("iterator"),function(){return this});var _iterCreate=function(Constructor,NAME,next){Constructor.prototype=_objectCreate(IteratorPrototype,{next:_propertyDesc(1,next)}),_setToStringTag(Constructor,NAME+" Iterator")},IE_PROTO$2=_sharedKey("IE_PROTO"),ObjectProto$1=Object.prototype,_objectGpo=Object.getPrototypeOf||function(O){return O=_toObject(O),_has(O,IE_PROTO$2)?O[IE_PROTO$2]:"function"==typeof O.constructor&&O instanceof O.constructor?O.constructor.prototype:O instanceof Object?ObjectProto$1:null},ITERATOR=_wks("iterator"),BUGGY=!([].keys&&"next"in[].keys()),KEYS="keys",VALUES="values",returnThis=function(){return this},_iterDefine=function(Base,NAME,Constructor,next,DEFAULT,IS_SET,FORCED){_iterCreate(Constructor,NAME,next);var getMethod=function(kind){return!BUGGY&&kind in proto?proto[kind]:kind===KEYS?function(){return new Constructor(this,kind)}:kind===VALUES?function(){return new Constructor(this,kind)}:function(){return new Constructor(this,kind)}},TAG=NAME+" Iterator",DEF_VALUES=DEFAULT==VALUES,VALUES_BUG=!1,proto=Base.prototype,$native=proto[ITERATOR]||proto["@@iterator"]||DEFAULT&&proto[DEFAULT],$default=$native||getMethod(DEFAULT),$entries=DEFAULT?DEF_VALUES?getMethod("entries"):$default:void 0,$anyNative="Array"==NAME?proto.entries||$native:$native,methods,key,IteratorPrototype;if($anyNative&&(IteratorPrototype=_objectGpo($anyNative.call(new Base)),IteratorPrototype!==Object.prototype&&IteratorPrototype.next&&(_setToStringTag(IteratorPrototype,TAG,!0),"function"!=typeof IteratorPrototype[ITERATOR]&&_hide(IteratorPrototype,ITERATOR,returnThis))),DEF_VALUES&&$native&&$native.name!==VALUES&&(VALUES_BUG=!0,$default=function(){return $native.call(this)}),(BUGGY||VALUES_BUG||!proto[ITERATOR])&&_hide(proto,ITERATOR,$default),_iterators[NAME]=$default,_iterators[TAG]=returnThis,DEFAULT)if(methods={values:DEF_VALUES?$default:getMethod(VALUES),keys:IS_SET?$default:getMethod(KEYS),entries:$entries},FORCED)for(key in methods)key in proto||_redefine(proto,key,methods[key]);else _export(_export.P+_export.F*(BUGGY||VALUES_BUG),NAME,methods);return methods},es6_array_iterator=_iterDefine(Array,"Array",function(iterated,kind){this._t=_toIobject(iterated),this._i=0,this._k=kind},function(){var O=this._t,kind=this._k,index=this._i++;return!O||index>=O.length?(this._t=void 0,_iterStep(1)):"keys"==kind?_iterStep(0,index):"values"==kind?_iterStep(0,O[index]):_iterStep(0,[index,O[index]])},"values");_iterators.Arguments=_iterators.Array,_addToUnscopables("keys"),_addToUnscopables("values"),_addToUnscopables("entries");for(var ITERATOR$1=_wks("iterator"),TO_STRING_TAG=_wks("toStringTag"),ArrayValues=_iterators.Array,DOMIterables={CSSRuleList:!0,CSSStyleDeclaration:!1,CSSValueList:!1,ClientRectList:!1,DOMRectList:!1,DOMStringList:!1,DOMTokenList:!0,DataTransferItemList:!1,FileList:!1,HTMLAllCollection:!1,HTMLCollection:!1,HTMLFormElement:!1,HTMLSelectElement:!1,MediaList:!0,MimeTypeArray:!1,NamedNodeMap:!1,NodeList:!0,PaintRequestList:!1,Plugin:!1,PluginArray:!1,SVGLengthList:!1,SVGNumberList:!1,SVGPathSegList:!1,SVGPointList:!1,SVGStringList:!1,SVGTransformList:!1,SourceBufferList:!1,StyleSheetList:!0,TextTrackCueList:!1,TextTrackList:!1,TouchList:!1},collections=_objectKeys(DOMIterables),i=0;i<collections.length;i++){var NAME=collections[i],explicit=DOMIterables[NAME],Collection=_global[NAME],proto=Collection&&Collection.prototype,key;if(proto&&(proto[ITERATOR$1]||_hide(proto,ITERATOR$1,ArrayValues),proto[TO_STRING_TAG]||_hide(proto,TO_STRING_TAG,NAME),_iterators[NAME]=ArrayValues,explicit))for(key in es6_array_iterator)proto[key]||_redefine(proto,key,es6_array_iterator[key],!0)}({})[_wks("toStringTag")]="z",_redefine(Object.prototype,"toString",function(){return"[object "+_classof(this)+"]"},!0);var isEnum$1=_objectPie.f,$values=function(isEntries){return function(it){for(var O=_toIobject(it),keys=_objectKeys(O),length=keys.length,i=0,result=[],key;length>i;)key=keys[i++],(!_descriptors||isEnum$1.call(O,key))&&result.push(isEntries?[key,O[key]]:O[key]);return result}}(!1);_export(_export.S,"Object",{values:function(it){return $values(it)}});var MATCH=_wks("match"),_isRegexp=function(it){var isRegExp;return _isObject(it)&&((isRegExp=it[MATCH])===void 0?"RegExp"==_cof(it):!!isRegExp)},SPECIES$1=_wks("species"),_speciesConstructor=function(O,D){var C=_anObject(O).constructor,S;return C===void 0||(S=_anObject(C)[SPECIES$1])==null?D:_aFunction(S)},$push=[].push,$SPLIT="split",LENGTH="length",LAST_INDEX$1="lastIndex",MAX_UINT32=4294967295,SUPPORTS_Y=!_fails(function(){RegExp(MAX_UINT32,"y")});_fixReWks("split",2,function(defined,SPLIT,$split,maybeCallNative){var internalSplit;return internalSplit="c"=="abbc"[$SPLIT](/(b)*/)[1]||4!="test"[$SPLIT](/(?:)/,-1)[LENGTH]||2!="ab"[$SPLIT](/(?:ab)*/)[LENGTH]||4!="."[$SPLIT](/(.?)(.?)/)[LENGTH]||1<"."[$SPLIT](/()()/)[LENGTH]||""[$SPLIT](/.?/)[LENGTH]?function(separator,limit){var string=this+"";if(void 0===separator&&0===limit)return[];if(!_isRegexp(separator))return $split.call(string,separator,limit);for(var output=[],flags=(separator.ignoreCase?"i":"")+(separator.multiline?"m":"")+(separator.unicode?"u":"")+(separator.sticky?"y":""),lastLastIndex=0,splitLimit=void 0===limit?MAX_UINT32:limit>>>0,separatorCopy=new RegExp(separator.source,flags+"g"),match,lastIndex,lastLength;(match=_regexpExec.call(separatorCopy,string))&&(lastIndex=separatorCopy[LAST_INDEX$1],!(lastIndex>lastLastIndex&&(output.push(string.slice(lastLastIndex,match.index)),1<match[LENGTH]&&match.index<string[LENGTH]&&$push.apply(output,match.slice(1)),lastLength=match[0][LENGTH],lastLastIndex=lastIndex,output[LENGTH]>=splitLimit)));)separatorCopy[LAST_INDEX$1]===match.index&&separatorCopy[LAST_INDEX$1]++;return lastLastIndex===string[LENGTH]?(lastLength||!separatorCopy.test(""))&&output.push(""):output.push(string.slice(lastLastIndex)),output[LENGTH]>splitLimit?output.slice(0,splitLimit):output}:"0"[$SPLIT](void 0,0)[LENGTH]?function(separator,limit){return void 0===separator&&0===limit?[]:$split.call(this,separator,limit)}:$split,[function(separator,limit){var O=defined(this),splitter=null==separator?void 0:separator[SPLIT];return void 0===splitter?internalSplit.call(O+"",separator,limit):splitter.call(separator,O,limit)},function(regexp,limit){var res=maybeCallNative(internalSplit,regexp,this,limit,internalSplit!==$split);if(res.done)return res.value;var rx=_anObject(regexp),S=this+"",C=_speciesConstructor(rx,RegExp),unicodeMatching=rx.unicode,flags=(rx.ignoreCase?"i":"")+(rx.multiline?"m":"")+(rx.unicode?"u":"")+(SUPPORTS_Y?"y":"g"),splitter=new C(SUPPORTS_Y?rx:"^(?:"+rx.source+")",flags),lim=void 0===limit?MAX_UINT32:limit>>>0;if(0===lim)return[];if(0===S.length)return null===_regexpExecAbstract(splitter,S)?[S]:[];for(var p=0,q=0,A=[];q<S.length;){splitter.lastIndex=SUPPORTS_Y?q:0;var z=_regexpExecAbstract(splitter,SUPPORTS_Y?S:S.slice(q)),e;if(null===z||(e=_Mathmin(_toLength(splitter.lastIndex+(SUPPORTS_Y?0:q)),S.length))===p)q=_advanceStringIndex(S,q,unicodeMatching);else{if(A.push(S.slice(p,q)),A.length===lim)return A;for(var i=1;i<=z.length-1;i++)if(A.push(z[i]),A.length===lim)return A;q=p=e}}return A.push(S.slice(p)),A}]});var $assign=Object.assign,_objectAssign=!$assign||_fails(function(){var A={},B={},S=Symbol(),K="abcdefghijklmnopqrst";return A[S]=7,K.split("").forEach(function(k){B[k]=k}),7!=$assign({},A)[S]||Object.keys($assign({},B)).join("")!=K})?function(target){for(var T=_toObject(target),aLen=arguments.length,index=1,getSymbols=_objectGops.f,isEnum=_objectPie.f;aLen>index;)for(var S=_iobject(arguments[index++]),keys=getSymbols?_objectKeys(S).concat(getSymbols(S)):_objectKeys(S),length=keys.length,j=0,key;length>j;)key=keys[j++],(!_descriptors||isEnum.call(S,key))&&(T[key]=S[key]);return T}:$assign;_export(_export.S+_export.F,"Object",{assign:_objectAssign});var check=function(O,proto){if(_anObject(O),!_isObject(proto)&&null!==proto)throw TypeError(proto+": can't set as prototype!")},_setProto={set:Object.setPrototypeOf||("__proto__"in{}?function(test,buggy,set){try{set=_ctx(Function.call,_objectGopd.f(Object.prototype,"__proto__").set,2),set(test,[]),buggy=!(test instanceof Array)}catch(e){buggy=!0}return function(O,proto){return check(O,proto),buggy?O.__proto__=proto:set(O,proto),O}}({},!1):void 0),check:check},setPrototypeOf=_setProto.set,_inheritIfRequired=function(that,target,C){var S=target.constructor,P;return S!==C&&"function"==typeof S&&(P=S.prototype)!==C.prototype&&_isObject(P)&&setPrototypeOf&&setPrototypeOf(that,P),that},_stringWs="\t\n\x0B\f\r \xA0\u1680\u180E\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029\uFEFF",space="["+_stringWs+"]",non="\u200B\x85",ltrim=RegExp("^"+space+space+"*"),rtrim=RegExp(space+space+"*$"),exporter=function(KEY,exec,ALIAS){var exp={},FORCE=_fails(function(){return!!_stringWs[KEY]()||non[KEY]()!=non}),fn=exp[KEY]=FORCE?exec(trim):_stringWs[KEY];ALIAS&&(exp[ALIAS]=fn),_export(_export.P+_export.F*FORCE,"String",exp)},trim=exporter.trim=function(string,TYPE){return string=_defined(string)+"",1&TYPE&&(string=string.replace(ltrim,"")),2&TYPE&&(string=string.replace(rtrim,"")),string},gOPN$2=_objectGopn.f,gOPD$2=_objectGopd.f,dP$2=_objectDp.f,$trim=exporter.trim,NUMBER="Number",$Number=_global[NUMBER],Base=$Number,proto$1=$Number.prototype,BROKEN_COF=_cof(_objectCreate(proto$1))==NUMBER,TRIM="trim"in _Stringprototype,toNumber=function(argument){var it=_toPrimitive(argument,!1);if("string"==typeof it&&2<it.length){it=TRIM?it.trim():$trim(it,3);var first=it.charCodeAt(0),third,radix,maxCode;if(43===first||45===first){if(third=it.charCodeAt(2),88===third||120===third)return NaN;}else if(48===first){switch(it.charCodeAt(1)){case 66:case 98:radix=2,maxCode=49;break;case 79:case 111:radix=8,maxCode=55;break;default:return+it;}for(var digits=it.slice(2),i=0,l=digits.length,code;i<l;i++)if(code=digits.charCodeAt(i),48>code||code>maxCode)return NaN;return parseInt(digits,radix)}}return+it};if(!$Number(" 0o1")||!$Number("0b1")||$Number("+0x1")){$Number=function(value){var it=1>arguments.length?0:value,that=this;return that instanceof $Number&&(BROKEN_COF?_fails(function(){proto$1.valueOf.call(that)}):_cof(that)!=NUMBER)?_inheritIfRequired(new Base(toNumber(it)),that,$Number):toNumber(it)};for(var keys=_descriptors?gOPN$2(Base):"MAX_VALUE,MIN_VALUE,NaN,NEGATIVE_INFINITY,POSITIVE_INFINITY,EPSILON,isFinite,isInteger,isNaN,isSafeInteger,MAX_SAFE_INTEGER,MIN_SAFE_INTEGER,parseFloat,parseInt,isInteger".split(","),j$1=0,key$1;keys.length>j$1;j$1++)_has(Base,key$1=keys[j$1])&&!_has($Number,key$1)&&dP$2($Number,key$1,gOPD$2(Base,key$1));$Number.prototype=proto$1,proto$1.constructor=$Number,_redefine(_global,NUMBER,$Number)}for(var moment=createCommonjsModule(function(module){(function(global,factory){module.exports=factory()})(commonjsGlobal,function(){function hooks(){return hookCallback.apply(null,arguments)}function isArray(input){return input instanceof Array||"[object Array]"===Object.prototype.toString.call(input)}function isObject(input){return null!=input&&"[object Object]"===Object.prototype.toString.call(input)}function isObjectEmpty(obj){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(obj).length;for(var k in obj)if(obj.hasOwnProperty(k))return!1;return!0}function isUndefined(input){return void 0===input}function isNumber(input){return"number"==typeof input||"[object Number]"===Object.prototype.toString.call(input)}function isDate(input){return input instanceof Date||"[object Date]"===Object.prototype.toString.call(input)}function map(arr,fn){var res=[],i;for(i=0;i<arr.length;++i)res.push(fn(arr[i],i));return res}function hasOwnProp(a,b){return Object.prototype.hasOwnProperty.call(a,b)}function extend(a,b){for(var i in b)hasOwnProp(b,i)&&(a[i]=b[i]);return hasOwnProp(b,"toString")&&(a.toString=b.toString),hasOwnProp(b,"valueOf")&&(a.valueOf=b.valueOf),a}function createUTC(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!0).utc()}function defaultParsingFlags(){return{empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}}function getParsingFlags(m){return null==m._pf&&(m._pf=defaultParsingFlags()),m._pf}function isValid(m){if(null==m._isValid){var flags=getParsingFlags(m),parsedParts=some.call(flags.parsedDateParts,function(i){return null!=i}),isNowValid=!isNaN(m._d.getTime())&&0>flags.overflow&&!flags.empty&&!flags.invalidMonth&&!flags.invalidWeekday&&!flags.weekdayMismatch&&!flags.nullInput&&!flags.invalidFormat&&!flags.userInvalidated&&(!flags.meridiem||flags.meridiem&&parsedParts);if(m._strict&&(isNowValid=isNowValid&&0===flags.charsLeftOver&&0===flags.unusedTokens.length&&void 0===flags.bigHour),null==Object.isFrozen||!Object.isFrozen(m))m._isValid=isNowValid;else return isNowValid}return m._isValid}function createInvalid(flags){var m=createUTC(NaN);return null==flags?getParsingFlags(m).userInvalidated=!0:extend(getParsingFlags(m),flags),m}function copyConfig(to,from){var i,prop,val;if(isUndefined(from._isAMomentObject)||(to._isAMomentObject=from._isAMomentObject),isUndefined(from._i)||(to._i=from._i),isUndefined(from._f)||(to._f=from._f),isUndefined(from._l)||(to._l=from._l),isUndefined(from._strict)||(to._strict=from._strict),isUndefined(from._tzm)||(to._tzm=from._tzm),isUndefined(from._isUTC)||(to._isUTC=from._isUTC),isUndefined(from._offset)||(to._offset=from._offset),isUndefined(from._pf)||(to._pf=getParsingFlags(from)),isUndefined(from._locale)||(to._locale=from._locale),0<momentProperties.length)for(i=0;i<momentProperties.length;i++)prop=momentProperties[i],val=from[prop],isUndefined(val)||(to[prop]=val);return to}function Moment(config){copyConfig(this,config),this._d=new Date(null==config._d?NaN:config._d.getTime()),this.isValid()||(this._d=new Date(NaN)),!1===updateInProgress&&(updateInProgress=!0,hooks.updateOffset(this),updateInProgress=!1)}function isMoment(obj){return obj instanceof Moment||null!=obj&&null!=obj._isAMomentObject}function absFloor(number){return 0>number?_Mathceil(number)||0:_Mathfloor(number)}function toInt(argumentForCoercion){var coercedNumber=+argumentForCoercion,value=0;return 0!=coercedNumber&&isFinite(coercedNumber)&&(value=absFloor(coercedNumber)),value}function compareArrays(array1,array2,dontConvert){var len=_Mathmin(array1.length,array2.length),lengthDiff=_Mathabs(array1.length-array2.length),diffs=0,i;for(i=0;i<len;i++)(dontConvert&&array1[i]!==array2[i]||!dontConvert&&toInt(array1[i])!==toInt(array2[i]))&&diffs++;return diffs+lengthDiff}function warn(msg){!1===hooks.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+msg)}function deprecate(msg,fn){var firstTime=!0;return extend(function(){if(null!=hooks.deprecationHandler&&hooks.deprecationHandler(null,msg),firstTime){for(var args=[],i=0,arg;i<arguments.length;i++){if(arg="","object"==typeof arguments[i]){for(var key in arg+="\n["+i+"] ",arguments[0])arg+=key+": "+arguments[0][key]+", ";arg=arg.slice(0,-2)}else arg=arguments[i];args.push(arg)}warn(msg+"\nArguments: "+Array.prototype.slice.call(args).join("")+"\n"+new Error().stack),firstTime=!1}return fn.apply(this,arguments)},fn)}function deprecateSimple(name,msg){null!=hooks.deprecationHandler&&hooks.deprecationHandler(name,msg),deprecations[name]||(warn(msg),deprecations[name]=!0)}function isFunction(input){return input instanceof Function||"[object Function]"===Object.prototype.toString.call(input)}function set(config){var prop,i;for(i in config)prop=config[i],isFunction(prop)?this[i]=prop:this["_"+i]=prop;this._config=config,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)}function mergeConfigs(parentConfig,childConfig){var res=extend({},parentConfig),prop;for(prop in childConfig)hasOwnProp(childConfig,prop)&&(isObject(parentConfig[prop])&&isObject(childConfig[prop])?(res[prop]={},extend(res[prop],parentConfig[prop]),extend(res[prop],childConfig[prop])):null==childConfig[prop]?delete res[prop]:res[prop]=childConfig[prop]);for(prop in parentConfig)hasOwnProp(parentConfig,prop)&&!hasOwnProp(childConfig,prop)&&isObject(parentConfig[prop])&&(res[prop]=extend({},res[prop]));return res}function Locale(config){null!=config&&this.set(config)}function calendar(key,mom,now){var output=this._calendar[key]||this._calendar.sameElse;return isFunction(output)?output.call(mom,now):output}function longDateFormat(key){var format=this._longDateFormat[key],formatUpper=this._longDateFormat[key.toUpperCase()];return format||!formatUpper?format:(this._longDateFormat[key]=formatUpper.replace(/MMMM|MM|DD|dddd/g,function(val){return val.slice(1)}),this._longDateFormat[key])}function addUnitAlias(unit,shorthand){var lowerCase=unit.toLowerCase();aliases[lowerCase]=aliases[lowerCase+"s"]=aliases[shorthand]=unit}function normalizeUnits(units){return"string"==typeof units?aliases[units]||aliases[units.toLowerCase()]:void 0}function normalizeObjectUnits(inputObject){var normalizedInput={},normalizedProp,prop;for(prop in inputObject)hasOwnProp(inputObject,prop)&&(normalizedProp=normalizeUnits(prop),normalizedProp&&(normalizedInput[normalizedProp]=inputObject[prop]));return normalizedInput}function addUnitPriority(unit,priority){priorities[unit]=priority}function getPrioritizedUnits(unitsObj){var units=[];for(var u in unitsObj)units.push({unit:u,priority:priorities[u]});return units.sort(function(a,b){return a.priority-b.priority}),units}function zeroFill(number,targetLength,forceSign){var absNumber=""+_Mathabs(number),zerosToFill=targetLength-absNumber.length;return(0<=number?forceSign?"+":"":"-")+_Mathpow(10,_Mathmax(0,zerosToFill)).toString().substr(1)+absNumber}function addFormatToken(token,padded,ordinal,callback){var func=callback;"string"==typeof callback&&(func=function(){return this[callback]()}),token&&(formatTokenFunctions[token]=func),padded&&(formatTokenFunctions[padded[0]]=function(){return zeroFill(func.apply(this,arguments),padded[1],padded[2])}),ordinal&&(formatTokenFunctions[ordinal]=function(){return this.localeData().ordinal(func.apply(this,arguments),token)})}function removeFormattingTokens(input){return input.match(/\[[\s\S]/)?input.replace(/^\[|\]$/g,""):input.replace(/\\/g,"")}function makeFormatFunction(format){var array=format.match(formattingTokens),i,length;for(i=0,length=array.length;i<length;i++)array[i]=formatTokenFunctions[array[i]]?formatTokenFunctions[array[i]]:removeFormattingTokens(array[i]);return function(mom){var output="",i;for(i=0;i<length;i++)output+=isFunction(array[i])?array[i].call(mom,format):array[i];return output}}function formatMoment(m,format){return m.isValid()?(format=expandFormat(format,m.localeData()),formatFunctions[format]=formatFunctions[format]||makeFormatFunction(format),formatFunctions[format](m)):m.localeData().invalidDate()}function expandFormat(format,locale){function replaceLongDateFormatTokens(input){return locale.longDateFormat(input)||input}var i=5;for(localFormattingTokens.lastIndex=0;0<=i&&localFormattingTokens.test(format);)format=format.replace(localFormattingTokens,replaceLongDateFormatTokens),localFormattingTokens.lastIndex=0,i-=1;return format}function addRegexToken(token,regex,strictRegex){regexes[token]=isFunction(regex)?regex:function(isStrict){return isStrict&&strictRegex?strictRegex:regex}}function getParseRegexForToken(token,config){return hasOwnProp(regexes,token)?regexes[token](config._strict,config._locale):new RegExp(unescapeFormat(token))}function unescapeFormat(s){return regexEscape(s.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,function(matched,p1,p2,p3,p4){return p1||p2||p3||p4}))}function regexEscape(s){return s.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}function addParseToken(token,callback){var func=callback,i;for("string"==typeof token&&(token=[token]),isNumber(callback)&&(func=function(input,array){array[callback]=toInt(input)}),i=0;i<token.length;i++)tokens[token[i]]=func}function addWeekParseToken(token,callback){addParseToken(token,function(input,array,config,token){config._w=config._w||{},callback(input,config._w,config,token)})}function addTimeToArrayFromToken(token,input,config){null!=input&&hasOwnProp(tokens,token)&&tokens[token](input,config._a,config,token)}function daysInYear(year){return isLeapYear(year)?366:365}function isLeapYear(year){return 0==year%4&&0!=year%100||0==year%400}function makeGetSet(unit,keepTime){return function(value){return null==value?get(this,unit):(set$1(this,unit,value),hooks.updateOffset(this,keepTime),this)}}function get(mom,unit){return mom.isValid()?mom._d["get"+(mom._isUTC?"UTC":"")+unit]():NaN}function set$1(mom,unit,value){mom.isValid()&&!isNaN(value)&&("FullYear"===unit&&isLeapYear(mom.year())&&1===mom.month()&&29===mom.date()?mom._d["set"+(mom._isUTC?"UTC":"")+unit](value,mom.month(),daysInMonth(value,mom.month())):mom._d["set"+(mom._isUTC?"UTC":"")+unit](value))}function stringSet(units,value){if("object"==typeof units){units=normalizeObjectUnits(units);for(var prioritized=getPrioritizedUnits(units),i=0;i<prioritized.length;i++)this[prioritized[i].unit](units[prioritized[i].unit])}else if(units=normalizeUnits(units),isFunction(this[units]))return this[units](value);return this}function mod(n,x){return(n%x+x)%x}function daysInMonth(year,month){if(isNaN(year)||isNaN(month))return NaN;var modMonth=mod(month,12);return year+=(month-modMonth)/12,1===modMonth?isLeapYear(year)?29:28:31-modMonth%7%2}function handleStrictParse(monthName,format,strict){var llc=monthName.toLocaleLowerCase(),i,ii,mom;if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],i=0;12>i;++i)mom=createUTC([2e3,i]),this._shortMonthsParse[i]=this.monthsShort(mom,"").toLocaleLowerCase(),this._longMonthsParse[i]=this.months(mom,"").toLocaleLowerCase();return strict?"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii)}function localeMonthsParse(monthName,format,strict){var i,mom,regex;if(this._monthsParseExact)return handleStrictParse.call(this,monthName,format,strict);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),i=0;12>i;i++){if(mom=createUTC([2e3,i]),strict&&!this._longMonthsParse[i]&&(this._longMonthsParse[i]=new RegExp("^"+this.months(mom,"").replace(".","")+"$","i"),this._shortMonthsParse[i]=new RegExp("^"+this.monthsShort(mom,"").replace(".","")+"$","i")),strict||this._monthsParse[i]||(regex="^"+this.months(mom,"")+"|^"+this.monthsShort(mom,""),this._monthsParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"MMMM"===format&&this._longMonthsParse[i].test(monthName))return i;if(strict&&"MMM"===format&&this._shortMonthsParse[i].test(monthName))return i;if(!strict&&this._monthsParse[i].test(monthName))return i}}function setMonth(mom,value){var dayOfMonth;if(!mom.isValid())return mom;if("string"==typeof value)if(/^\d+$/.test(value))value=toInt(value);else if(value=mom.localeData().monthsParse(value),!isNumber(value))return mom;return dayOfMonth=_Mathmin(mom.date(),daysInMonth(mom.year(),value)),mom._d["set"+(mom._isUTC?"UTC":"")+"Month"](value,dayOfMonth),mom}function getSetMonth(value){return null==value?get(this,"Month"):(setMonth(this,value),hooks.updateOffset(this,!0),this)}function computeMonthsParse(){function cmpLenRev(a,b){return b.length-a.length}var shortPieces=[],longPieces=[],mixedPieces=[],i,mom;for(i=0;12>i;i++)mom=createUTC([2e3,i]),shortPieces.push(this.monthsShort(mom,"")),longPieces.push(this.months(mom,"")),mixedPieces.push(this.months(mom,"")),mixedPieces.push(this.monthsShort(mom,""));for(shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;12>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]);for(i=0;24>i;i++)mixedPieces[i]=regexEscape(mixedPieces[i]);this._monthsRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i")}function createDate(y,m,d,h,M,s,ms){var date;return 100>y&&0<=y?(date=new Date(y+400,m,d,h,M,s,ms),isFinite(date.getFullYear())&&date.setFullYear(y)):date=new Date(y,m,d,h,M,s,ms),date}function createUTCDate(y){var date;if(100>y&&0<=y){var args=Array.prototype.slice.call(arguments);args[0]=y+400,date=new Date(Date.UTC.apply(null,args)),isFinite(date.getUTCFullYear())&&date.setUTCFullYear(y)}else date=new Date(Date.UTC.apply(null,arguments));return date}function firstWeekOffset(year,dow,doy){var fwd=7+dow-doy,fwdlw=(7+createUTCDate(year,0,fwd).getUTCDay()-dow)%7;return-fwdlw+fwd-1}function dayOfYearFromWeeks(year,week,weekday,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),dayOfYear=1+7*(week-1)+(7+weekday-dow)%7+weekOffset,resYear,resDayOfYear;return 0>=dayOfYear?(resYear=year-1,resDayOfYear=daysInYear(resYear)+dayOfYear):dayOfYear>daysInYear(year)?(resYear=year+1,resDayOfYear=dayOfYear-daysInYear(year)):(resYear=year,resDayOfYear=dayOfYear),{year:resYear,dayOfYear:resDayOfYear}}function weekOfYear(mom,dow,doy){var weekOffset=firstWeekOffset(mom.year(),dow,doy),week=_Mathfloor((mom.dayOfYear()-weekOffset-1)/7)+1,resWeek,resYear;return 1>week?(resYear=mom.year()-1,resWeek=week+weeksInYear(resYear,dow,doy)):week>weeksInYear(mom.year(),dow,doy)?(resWeek=week-weeksInYear(mom.year(),dow,doy),resYear=mom.year()+1):(resYear=mom.year(),resWeek=week),{week:resWeek,year:resYear}}function weeksInYear(year,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),weekOffsetNext=firstWeekOffset(year+1,dow,doy);return(daysInYear(year)-weekOffset+weekOffsetNext)/7}function parseWeekday(input,locale){return"string"==typeof input?isNaN(input)?(input=locale.weekdaysParse(input),"number"==typeof input?input:null):parseInt(input,10):input}function parseIsoWeekday(input,locale){return"string"==typeof input?locale.weekdaysParse(input)%7||7:isNaN(input)?null:input}function shiftWeekdays(ws,n){return ws.slice(n,7).concat(ws.slice(0,n))}function handleStrictParse$1(weekdayName,format,strict){var llc=weekdayName.toLocaleLowerCase(),i,ii,mom;if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],i=0;7>i;++i)mom=createUTC([2e3,1]).day(i),this._minWeekdaysParse[i]=this.weekdaysMin(mom,"").toLocaleLowerCase(),this._shortWeekdaysParse[i]=this.weekdaysShort(mom,"").toLocaleLowerCase(),this._weekdaysParse[i]=this.weekdays(mom,"").toLocaleLowerCase();return strict?"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii)}function localeWeekdaysParse(weekdayName,format,strict){var i,mom,regex;if(this._weekdaysParseExact)return handleStrictParse$1.call(this,weekdayName,format,strict);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),i=0;7>i;i++){if(mom=createUTC([2e3,1]).day(i),strict&&!this._fullWeekdaysParse[i]&&(this._fullWeekdaysParse[i]=new RegExp("^"+this.weekdays(mom,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[i]=new RegExp("^"+this.weekdaysShort(mom,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[i]=new RegExp("^"+this.weekdaysMin(mom,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[i]||(regex="^"+this.weekdays(mom,"")+"|^"+this.weekdaysShort(mom,"")+"|^"+this.weekdaysMin(mom,""),this._weekdaysParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"dddd"===format&&this._fullWeekdaysParse[i].test(weekdayName))return i;if(strict&&"ddd"===format&&this._shortWeekdaysParse[i].test(weekdayName))return i;if(strict&&"dd"===format&&this._minWeekdaysParse[i].test(weekdayName))return i;if(!strict&&this._weekdaysParse[i].test(weekdayName))return i}}function computeWeekdaysParse(){function cmpLenRev(a,b){return b.length-a.length}var minPieces=[],shortPieces=[],longPieces=[],mixedPieces=[],i,mom,minp,shortp,longp;for(i=0;7>i;i++)mom=createUTC([2e3,1]).day(i),minp=this.weekdaysMin(mom,""),shortp=this.weekdaysShort(mom,""),longp=this.weekdays(mom,""),minPieces.push(minp),shortPieces.push(shortp),longPieces.push(longp),mixedPieces.push(minp),mixedPieces.push(shortp),mixedPieces.push(longp);for(minPieces.sort(cmpLenRev),shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;7>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]),mixedPieces[i]=regexEscape(mixedPieces[i]);this._weekdaysRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+minPieces.join("|")+")","i")}function hFormat(){return this.hours()%12||12}function meridiem(token,lowercase){addFormatToken(token,0,0,function(){return this.localeData().meridiem(this.hours(),this.minutes(),lowercase)})}function matchMeridiem(isStrict,locale){return locale._meridiemParse}function normalizeLocale(key){return key?key.toLowerCase().replace("_","-"):key}function chooseLocale(names){for(var i=0,j,next,locale,split;i<names.length;){for(split=normalizeLocale(names[i]).split("-"),j=split.length,next=normalizeLocale(names[i+1]),next=next?next.split("-"):null;0<j;){if(locale=loadLocale(split.slice(0,j).join("-")),locale)return locale;if(next&&next.length>=j&&compareArrays(split,next,!0)>=j-1)break;j--}i++}return globalLocale}function loadLocale(name){var oldLocale=null;if(!locales[name]&&!0&&module&&module.exports)try{oldLocale=globalLocale._abbr;commonjsRequire("./locale/"+name),getSetGlobalLocale(oldLocale)}catch(e){}return locales[name]}function getSetGlobalLocale(key,values){var data;return key&&(data=isUndefined(values)?getLocale(key):defineLocale(key,values),data?globalLocale=data:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+key+" not found. Did you forget to load it?")),globalLocale._abbr}function defineLocale(name,config){if(null!==config){var parentConfig=baseConfig,locale;if(config.abbr=name,null!=locales[name])deprecateSimple("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),parentConfig=locales[name]._config;else if(null!=config.parentLocale)if(null!=locales[config.parentLocale])parentConfig=locales[config.parentLocale]._config;else if(locale=loadLocale(config.parentLocale),null!=locale)parentConfig=locale._config;else return localeFamilies[config.parentLocale]||(localeFamilies[config.parentLocale]=[]),localeFamilies[config.parentLocale].push({name:name,config:config}),null;return locales[name]=new Locale(mergeConfigs(parentConfig,config)),localeFamilies[name]&&localeFamilies[name].forEach(function(x){defineLocale(x.name,x.config)}),getSetGlobalLocale(name),locales[name]}return delete locales[name],null}function getLocale(key){var locale;if(key&&key._locale&&key._locale._abbr&&(key=key._locale._abbr),!key)return globalLocale;if(!isArray(key)){if(locale=loadLocale(key),locale)return locale;key=[key]}return chooseLocale(key)}function listLocales(){return keys(locales)}function checkOverflow(m){var a=m._a,overflow;return a&&-2===getParsingFlags(m).overflow&&(overflow=0>a[1]||11<a[1]?1:1>a[2]||a[2]>daysInMonth(a[0],a[1])?2:0>a[3]||24<a[3]||24===a[3]&&(0!==a[4]||0!==a[5]||0!==a[6])?3:0>a[4]||59<a[4]?4:0>a[5]||59<a[5]?5:0>a[6]||999<a[6]?6:-1,getParsingFlags(m)._overflowDayOfYear&&(0>overflow||2<overflow)&&(overflow=2),getParsingFlags(m)._overflowWeeks&&-1===overflow&&(overflow=7),getParsingFlags(m)._overflowWeekday&&-1===overflow&&(overflow=8),getParsingFlags(m).overflow=overflow),m}function defaults(a,b,c){return null==a?null==b?c:b:a}function currentDateArray(config){var nowValue=new Date(hooks.now());return config._useUTC?[nowValue.getUTCFullYear(),nowValue.getUTCMonth(),nowValue.getUTCDate()]:[nowValue.getFullYear(),nowValue.getMonth(),nowValue.getDate()]}function configFromArray(config){var input=[],i,date,currentDate,expectedWeekday,yearToUse;if(!config._d){for(currentDate=currentDateArray(config),config._w&&null==config._a[2]&&null==config._a[1]&&dayOfYearFromWeekInfo(config),null!=config._dayOfYear&&(yearToUse=defaults(config._a[0],currentDate[0]),(config._dayOfYear>daysInYear(yearToUse)||0===config._dayOfYear)&&(getParsingFlags(config)._overflowDayOfYear=!0),date=createUTCDate(yearToUse,0,config._dayOfYear),config._a[1]=date.getUTCMonth(),config._a[2]=date.getUTCDate()),i=0;3>i&&null==config._a[i];++i)config._a[i]=input[i]=currentDate[i];for(;7>i;i++)config._a[i]=input[i]=null==config._a[i]?2===i?1:0:config._a[i];24===config._a[3]&&0===config._a[4]&&0===config._a[5]&&0===config._a[6]&&(config._nextDay=!0,config._a[3]=0),config._d=(config._useUTC?createUTCDate:createDate).apply(null,input),expectedWeekday=config._useUTC?config._d.getUTCDay():config._d.getDay(),null!=config._tzm&&config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),config._nextDay&&(config._a[3]=24),config._w&&"undefined"!=typeof config._w.d&&config._w.d!==expectedWeekday&&(getParsingFlags(config).weekdayMismatch=!0)}}function dayOfYearFromWeekInfo(config){var w,weekYear,week,weekday,dow,doy,temp,weekdayOverflow;if(w=config._w,null!=w.GG||null!=w.W||null!=w.E)dow=1,doy=4,weekYear=defaults(w.GG,config._a[0],weekOfYear(createLocal(),1,4).year),week=defaults(w.W,1),weekday=defaults(w.E,1),(1>weekday||7<weekday)&&(weekdayOverflow=!0);else{dow=config._locale._week.dow,doy=config._locale._week.doy;var curWeek=weekOfYear(createLocal(),dow,doy);weekYear=defaults(w.gg,config._a[0],curWeek.year),week=defaults(w.w,curWeek.week),null==w.d?null==w.e?weekday=dow:(weekday=w.e+dow,(0>w.e||6<w.e)&&(weekdayOverflow=!0)):(weekday=w.d,(0>weekday||6<weekday)&&(weekdayOverflow=!0))}1>week||week>weeksInYear(weekYear,dow,doy)?getParsingFlags(config)._overflowWeeks=!0:null==weekdayOverflow?(temp=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),config._a[0]=temp.year,config._dayOfYear=temp.dayOfYear):getParsingFlags(config)._overflowWeekday=!0}function configFromISO(config){var string=config._i,match=extendedIsoRegex.exec(string)||basicIsoRegex.exec(string),i,l,allowTime,dateFormat,timeFormat,tzFormat;if(match){for(getParsingFlags(config).iso=!0,i=0,l=isoDates.length;i<l;i++)if(isoDates[i][1].exec(match[1])){dateFormat=isoDates[i][0],allowTime=!1!==isoDates[i][2];break}if(null==dateFormat)return void(config._isValid=!1);if(match[3]){for(i=0,l=isoTimes.length;i<l;i++)if(isoTimes[i][1].exec(match[3])){timeFormat=(match[2]||" ")+isoTimes[i][0];break}if(null==timeFormat)return void(config._isValid=!1)}if(!allowTime&&null!=timeFormat)return void(config._isValid=!1);if(match[4])if(tzRegex.exec(match[4]))tzFormat="Z";else return void(config._isValid=!1);config._f=dateFormat+(timeFormat||"")+(tzFormat||""),configFromStringAndFormat(config)}else config._isValid=!1}function extractFromRFC2822Strings(yearStr,monthStr,dayStr,hourStr,minuteStr,secondStr){var result=[untruncateYear(yearStr),defaultLocaleMonthsShort.indexOf(monthStr),parseInt(dayStr,10),parseInt(hourStr,10),parseInt(minuteStr,10)];return secondStr&&result.push(parseInt(secondStr,10)),result}function untruncateYear(yearStr){var year=parseInt(yearStr,10);return 49>=year?2e3+year:999>=year?1900+year:year}function preprocessRFC2822(s){return s.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,"")}function checkWeekday(weekdayStr,parsedInput,config){if(weekdayStr){var weekdayProvided=defaultLocaleWeekdaysShort.indexOf(weekdayStr),weekdayActual=new Date(parsedInput[0],parsedInput[1],parsedInput[2]).getDay();if(weekdayProvided!==weekdayActual)return getParsingFlags(config).weekdayMismatch=!0,config._isValid=!1,!1}return!0}function calculateOffset(obsOffset,militaryOffset,numOffset){if(obsOffset)return obsOffsets[obsOffset];if(militaryOffset)return 0;var hm=parseInt(numOffset,10),m=hm%100;return 60*((hm-m)/100)+m}function configFromRFC2822(config){var match=rfc2822.exec(preprocessRFC2822(config._i));if(match){var parsedArray=extractFromRFC2822Strings(match[4],match[3],match[2],match[5],match[6],match[7]);if(!checkWeekday(match[1],parsedArray,config))return;config._a=parsedArray,config._tzm=calculateOffset(match[8],match[9],match[10]),config._d=createUTCDate.apply(null,config._a),config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),getParsingFlags(config).rfc2822=!0}else config._isValid=!1}function configFromString(config){var matched=aspNetJsonRegex.exec(config._i);if(null!==matched)return void(config._d=new Date(+matched[1]));if(configFromISO(config),!1===config._isValid)delete config._isValid;else return;if(configFromRFC2822(config),!1===config._isValid)delete config._isValid;else return;hooks.createFromInputFallback(config)}function configFromStringAndFormat(config){if(config._f===hooks.ISO_8601)return void configFromISO(config);if(config._f===hooks.RFC_2822)return void configFromRFC2822(config);config._a=[],getParsingFlags(config).empty=!0;var string=""+config._i,stringLength=string.length,totalParsedInputLength=0,i,parsedInput,tokens,token,skipped;for(tokens=expandFormat(config._f,config._locale).match(formattingTokens)||[],i=0;i<tokens.length;i++)token=tokens[i],parsedInput=(string.match(getParseRegexForToken(token,config))||[])[0],parsedInput&&(skipped=string.substr(0,string.indexOf(parsedInput)),0<skipped.length&&getParsingFlags(config).unusedInput.push(skipped),string=string.slice(string.indexOf(parsedInput)+parsedInput.length),totalParsedInputLength+=parsedInput.length),formatTokenFunctions[token]?(parsedInput?getParsingFlags(config).empty=!1:getParsingFlags(config).unusedTokens.push(token),addTimeToArrayFromToken(token,parsedInput,config)):config._strict&&!parsedInput&&getParsingFlags(config).unusedTokens.push(token);getParsingFlags(config).charsLeftOver=stringLength-totalParsedInputLength,0<string.length&&getParsingFlags(config).unusedInput.push(string),12>=config._a[3]&&!0===getParsingFlags(config).bigHour&&0<config._a[3]&&(getParsingFlags(config).bigHour=void 0),getParsingFlags(config).parsedDateParts=config._a.slice(0),getParsingFlags(config).meridiem=config._meridiem,config._a[3]=meridiemFixWrap(config._locale,config._a[3],config._meridiem),configFromArray(config),checkOverflow(config)}function meridiemFixWrap(locale,hour,meridiem){var isPm;return null==meridiem?hour:null==locale.meridiemHour?null==locale.isPM?hour:(isPm=locale.isPM(meridiem),isPm&&12>hour&&(hour+=12),isPm||12!==hour||(hour=0),hour):locale.meridiemHour(hour,meridiem)}function configFromStringAndArray(config){var tempConfig,bestMoment,scoreToBeat,i,currentScore;if(0===config._f.length)return getParsingFlags(config).invalidFormat=!0,void(config._d=new Date(NaN));for(i=0;i<config._f.length;i++)(currentScore=0,tempConfig=copyConfig({},config),null!=config._useUTC&&(tempConfig._useUTC=config._useUTC),tempConfig._f=config._f[i],configFromStringAndFormat(tempConfig),!!isValid(tempConfig))&&(currentScore+=getParsingFlags(tempConfig).charsLeftOver,currentScore+=10*getParsingFlags(tempConfig).unusedTokens.length,getParsingFlags(tempConfig).score=currentScore,(null==scoreToBeat||currentScore<scoreToBeat)&&(scoreToBeat=currentScore,bestMoment=tempConfig));extend(config,bestMoment||tempConfig)}function configFromObject(config){if(!config._d){var i=normalizeObjectUnits(config._i);config._a=map([i.year,i.month,i.day||i.date,i.hour,i.minute,i.second,i.millisecond],function(obj){return obj&&parseInt(obj,10)}),configFromArray(config)}}function createFromConfig(config){var res=new Moment(checkOverflow(prepareConfig(config)));return res._nextDay&&(res.add(1,"d"),res._nextDay=void 0),res}function prepareConfig(config){var input=config._i,format=config._f;return(config._locale=config._locale||getLocale(config._l),null===input||void 0===format&&""===input)?createInvalid({nullInput:!0}):("string"==typeof input&&(config._i=input=config._locale.preparse(input)),isMoment(input))?new Moment(checkOverflow(input)):(isDate(input)?config._d=input:isArray(format)?configFromStringAndArray(config):format?configFromStringAndFormat(config):configFromInput(config),isValid(config)||(config._d=null),config)}function configFromInput(config){var input=config._i;isUndefined(input)?config._d=new Date(hooks.now()):isDate(input)?config._d=new Date(input.valueOf()):"string"==typeof input?configFromString(config):isArray(input)?(config._a=map(input.slice(0),function(obj){return parseInt(obj,10)}),configFromArray(config)):isObject(input)?configFromObject(config):isNumber(input)?config._d=new Date(input):hooks.createFromInputFallback(config)}function createLocalOrUTC(input,format,locale,strict,isUTC){var c={};return(!0===locale||!1===locale)&&(strict=locale,locale=void 0),(isObject(input)&&isObjectEmpty(input)||isArray(input)&&0===input.length)&&(input=void 0),c._isAMomentObject=!0,c._useUTC=c._isUTC=isUTC,c._l=locale,c._i=input,c._f=format,c._strict=strict,createFromConfig(c)}function createLocal(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!1)}function pickBy(fn,moments){var res,i;if(1===moments.length&&isArray(moments[0])&&(moments=moments[0]),!moments.length)return createLocal();for(res=moments[0],i=1;i<moments.length;++i)(!moments[i].isValid()||moments[i][fn](res))&&(res=moments[i]);return res}function isDurationValid(m){for(var key in m)if(-1===indexOf.call(ordering,key)||null!=m[key]&&isNaN(m[key]))return!1;for(var unitHasDecimal=!1,i=0;i<ordering.length;++i)if(m[ordering[i]]){if(unitHasDecimal)return!1;parseFloat(m[ordering[i]])!==toInt(m[ordering[i]])&&(unitHasDecimal=!0)}return!0}function Duration(duration){var normalizedInput=normalizeObjectUnits(duration),years=normalizedInput.year||0,quarters=normalizedInput.quarter||0,months=normalizedInput.month||0,weeks=normalizedInput.week||normalizedInput.isoWeek||0,days=normalizedInput.day||0,hours=normalizedInput.hour||0,minutes=normalizedInput.minute||0,seconds=normalizedInput.second||0,milliseconds=normalizedInput.millisecond||0;this._isValid=isDurationValid(normalizedInput),this._milliseconds=+milliseconds+1e3*seconds+6e4*minutes+60*(60*(1e3*hours)),this._days=+days+7*weeks,this._months=+months+3*quarters+12*years,this._data={},this._locale=getLocale(),this._bubble()}function isDuration(obj){return obj instanceof Duration}function absRound(number){return 0>number?-1*_Mathround(-1*number):_Mathround(number)}function offset(token,separator){addFormatToken(token,0,0,function(){var offset=this.utcOffset(),sign="+";return 0>offset&&(offset=-offset,sign="-"),sign+zeroFill(~~(offset/60),2)+separator+zeroFill(~~offset%60,2)})}function offsetFromString(matcher,string){var matches=(string||"").match(matcher);if(null===matches)return null;var chunk=matches[matches.length-1]||[],parts=(chunk+"").match(chunkOffset)||["-",0,0],minutes=+(60*parts[1])+toInt(parts[2]);return 0===minutes?0:"+"===parts[0]?minutes:-minutes}function cloneWithOffset(input,model){var res,diff;return model._isUTC?(res=model.clone(),diff=(isMoment(input)||isDate(input)?input.valueOf():createLocal(input).valueOf())-res.valueOf(),res._d.setTime(res._d.valueOf()+diff),hooks.updateOffset(res,!1),res):createLocal(input).local()}function getDateOffset(m){return 15*-_Mathround(m._d.getTimezoneOffset()/15)}function isDaylightSavingTimeShifted(){if(!isUndefined(this._isDSTShifted))return this._isDSTShifted;var c={};if(copyConfig(c,this),c=prepareConfig(c),c._a){var other=c._isUTC?createUTC(c._a):createLocal(c._a);this._isDSTShifted=this.isValid()&&0<compareArrays(c._a,other.toArray())}else this._isDSTShifted=!1;return this._isDSTShifted}function isUtc(){return!!this.isValid()&&this._isUTC&&0===this._offset}function createDuration(input,key){var duration=input,match=null,sign,ret,diffRes;return isDuration(input)?duration={ms:input._milliseconds,d:input._days,M:input._months}:isNumber(input)?(duration={},key?duration[key]=input:duration.milliseconds=input):(match=aspNetRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:0,d:toInt(match[2])*sign,h:toInt(match[3])*sign,m:toInt(match[4])*sign,s:toInt(match[5])*sign,ms:toInt(absRound(1e3*match[6]))*sign}):(match=isoRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:parseIso(match[2],sign),M:parseIso(match[3],sign),w:parseIso(match[4],sign),d:parseIso(match[5],sign),h:parseIso(match[6],sign),m:parseIso(match[7],sign),s:parseIso(match[8],sign)}):null==duration?duration={}:"object"==typeof duration&&(("from"in duration)||("to"in duration))&&(diffRes=momentsDifference(createLocal(duration.from),createLocal(duration.to)),duration={},duration.ms=diffRes.milliseconds,duration.M=diffRes.months),ret=new Duration(duration),isDuration(input)&&hasOwnProp(input,"_locale")&&(ret._locale=input._locale),ret}function parseIso(inp,sign){var res=inp&&parseFloat(inp.replace(",","."));return(isNaN(res)?0:res)*sign}function positiveMomentsDifference(base,other){var res={};return res.months=other.month()-base.month()+12*(other.year()-base.year()),base.clone().add(res.months,"M").isAfter(other)&&--res.months,res.milliseconds=+other-+base.clone().add(res.months,"M"),res}function momentsDifference(base,other){var res;return base.isValid()&&other.isValid()?(other=cloneWithOffset(other,base),base.isBefore(other)?res=positiveMomentsDifference(base,other):(res=positiveMomentsDifference(other,base),res.milliseconds=-res.milliseconds,res.months=-res.months),res):{milliseconds:0,months:0}}function createAdder(direction,name){return function(val,period){var dur,tmp;return null===period||isNaN(+period)||(deprecateSimple(name,"moment()."+name+"(period, number) is deprecated. Please use moment()."+name+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),tmp=val,val=period,period=tmp),val="string"==typeof val?+val:val,dur=createDuration(val,period),addSubtract(this,dur,direction),this}}function addSubtract(mom,duration,isAdding,updateOffset){var milliseconds=duration._milliseconds,days=absRound(duration._days),months=absRound(duration._months);mom.isValid()&&(updateOffset=null==updateOffset||updateOffset,months&&setMonth(mom,get(mom,"Month")+months*isAdding),days&&set$1(mom,"Date",get(mom,"Date")+days*isAdding),milliseconds&&mom._d.setTime(mom._d.valueOf()+milliseconds*isAdding),updateOffset&&hooks.updateOffset(mom,days||months))}function monthDiff(a,b){var wholeMonthDiff=12*(b.year()-a.year())+(b.month()-a.month()),anchor=a.clone().add(wholeMonthDiff,"months"),anchor2,adjust;return 0>b-anchor?(anchor2=a.clone().add(wholeMonthDiff-1,"months"),adjust=(b-anchor)/(anchor-anchor2)):(anchor2=a.clone().add(wholeMonthDiff+1,"months"),adjust=(b-anchor)/(anchor2-anchor)),-(wholeMonthDiff+adjust)||0}function locale(key){var newLocaleData;return void 0===key?this._locale._abbr:(newLocaleData=getLocale(key),null!=newLocaleData&&(this._locale=newLocaleData),this)}function localeData(){return this._locale}function mod$1(dividend,divisor){return(dividend%divisor+divisor)%divisor}function localStartOfDate(y,m,d){return 100>y&&0<=y?new Date(y+400,m,d)-12622780800000:new Date(y,m,d).valueOf()}function utcStartOfDate(y,m,d){return 100>y&&0<=y?Date.UTC(y+400,m,d)-12622780800000:Date.UTC(y,m,d)}function addWeekYearFormatToken(token,getter){addFormatToken(0,[token,token.length],0,getter)}function getSetWeekYearHelper(input,week,weekday,dow,doy){var weeksTarget;return null==input?weekOfYear(this,dow,doy).year:(weeksTarget=weeksInYear(input,dow,doy),week>weeksTarget&&(week=weeksTarget),setWeekAll.call(this,input,week,weekday,dow,doy))}function setWeekAll(weekYear,week,weekday,dow,doy){var dayOfYearData=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),date=createUTCDate(dayOfYearData.year,0,dayOfYearData.dayOfYear);return this.year(date.getUTCFullYear()),this.month(date.getUTCMonth()),this.date(date.getUTCDate()),this}function parseMs(input,array){array[6]=toInt(1e3*("0."+input))}function preParsePostFormat(string){return string}function get$1(format,index,field,setter){var locale=getLocale(),utc=createUTC().set(setter,index);return locale[field](utc,format)}function listMonthsImpl(format,index,field){if(isNumber(format)&&(index=format,format=void 0),format=format||"",null!=index)return get$1(format,index,field,"month");var out=[],i;for(i=0;12>i;i++)out[i]=get$1(format,i,field,"month");return out}function listWeekdaysImpl(localeSorted,format,index,field){"boolean"==typeof localeSorted?(isNumber(format)&&(index=format,format=void 0),format=format||""):(format=localeSorted,index=format,localeSorted=!1,isNumber(format)&&(index=format,format=void 0),format=format||"");var locale=getLocale(),shift=localeSorted?locale._week.dow:0;if(null!=index)return get$1(format,(index+shift)%7,field,"day");var out=[],i;for(i=0;7>i;i++)out[i]=get$1(format,(i+shift)%7,field,"day");return out}function addSubtract$1(duration,input,value,direction){var other=createDuration(input,value);return duration._milliseconds+=direction*other._milliseconds,duration._days+=direction*other._days,duration._months+=direction*other._months,duration._bubble()}function absCeil(number){return 0>number?_Mathfloor(number):_Mathceil(number)}function daysToMonths(days){return 4800*days/146097}function monthsToDays(months){return 146097*months/4800}function makeAs(alias){return function(){return this.as(alias)}}function makeGetter(name){return function(){return this.isValid()?this._data[name]:NaN}}function substituteTimeAgo(string,number,withoutSuffix,isFuture,locale){return locale.relativeTime(number||1,!!withoutSuffix,string,isFuture)}function relativeTime$1(posNegDuration,withoutSuffix,locale){var duration=createDuration(posNegDuration).abs(),seconds=round(duration.as("s")),minutes=round(duration.as("m")),hours=round(duration.as("h")),days=round(duration.as("d")),months=round(duration.as("M")),years=round(duration.as("y")),a=seconds<=thresholds.ss&&["s",seconds]||seconds<thresholds.s&&["ss",seconds]||1>=minutes&&["m"]||minutes<thresholds.m&&["mm",minutes]||1>=hours&&["h"]||hours<thresholds.h&&["hh",hours]||1>=days&&["d"]||days<thresholds.d&&["dd",days]||1>=months&&["M"]||months<thresholds.M&&["MM",months]||1>=years&&["y"]||["yy",years];return a[2]=withoutSuffix,a[3]=0<+posNegDuration,a[4]=locale,substituteTimeAgo.apply(null,a)}function getSetRelativeTimeRounding(roundingFunction){return void 0===roundingFunction?round:"function"==typeof roundingFunction&&(round=roundingFunction,!0)}function sign(x){return(0<x)-(0>x)||+x}function toISOString$1(){if(!this.isValid())return this.localeData().invalidDate();var seconds=abs$1(this._milliseconds)/1e3,days=abs$1(this._days),months=abs$1(this._months),minutes,hours,years;minutes=absFloor(seconds/60),hours=absFloor(minutes/60),seconds%=60,minutes%=60,years=absFloor(months/12),months%=12;var Y=years,M=months,D=days,h=hours,m=minutes,s=seconds?seconds.toFixed(3).replace(/\.?0+$/,""):"",total=this.asSeconds();if(!total)return"P0D";var totalSign=0>total?"-":"",ymSign=sign(this._months)===sign(total)?"":"-",daysSign=sign(this._days)===sign(total)?"":"-",hmsSign=sign(this._milliseconds)===sign(total)?"":"-";return totalSign+"P"+(Y?ymSign+Y+"Y":"")+(M?ymSign+M+"M":"")+(D?daysSign+D+"D":"")+(h||m||s?"T":"")+(h?hmsSign+h+"H":"")+(m?hmsSign+m+"M":"")+(s?hmsSign+s+"S":"")}var hookCallback,some;some=Array.prototype.some?Array.prototype.some:function(fun){for(var t=Object(this),len=t.length>>>0,i=0;i<len;i++)if((i in t)&&fun.call(this,t[i],i,t))return!0;return!1};var momentProperties=hooks.momentProperties=[],updateInProgress=!1,deprecations={};hooks.suppressDeprecationWarnings=!1,hooks.deprecationHandler=null;var keys=Object.keys?Object.keys:function(obj){var res=[],i;for(i in obj)hasOwnProp(obj,i)&&res.push(i);return res};var defaultDayOfMonthOrdinalParse=/\d{1,2}/,aliases={},priorities={},formattingTokens=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,localFormattingTokens=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,formatFunctions={},formatTokenFunctions={},match1=/\d/,match2=/\d\d/,match3=/\d{3}/,match4=/\d{4}/,match6=/[+-]?\d{6}/,match1to2=/\d\d?/,match3to4=/\d\d\d\d?/,match5to6=/\d\d\d\d\d\d?/,match1to3=/\d{1,3}/,match1to4=/\d{1,4}/,match1to6=/[+-]?\d{1,6}/,matchUnsigned=/\d+/,matchSigned=/[+-]?\d+/,matchOffset=/Z|[+-]\d\d:?\d\d/gi,matchShortOffset=/Z|[+-]\d\d(?::?\d\d)?/gi,matchTimestamp=/[+-]?\d+(\.\d{1,3})?/,matchWord=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,regexes={},tokens={},YEAR=0,MONTH=1,DATE=2,HOUR=3,MINUTE=4,SECOND=5;addFormatToken("Y",0,0,function(){var y=this.year();return 9999>=y?""+y:"+"+y}),addFormatToken(0,["YY",2],0,function(){return this.year()%100}),addFormatToken(0,["YYYY",4],0,"year"),addFormatToken(0,["YYYYY",5],0,"year"),addFormatToken(0,["YYYYYY",6,!0],0,"year"),addUnitAlias("year","y"),addUnitPriority("year",1),addRegexToken("Y",matchSigned),addRegexToken("YY",match1to2,match2),addRegexToken("YYYY",match1to4,match4),addRegexToken("YYYYY",match1to6,match6),addRegexToken("YYYYYY",match1to6,match6),addParseToken(["YYYYY","YYYYYY"],YEAR),addParseToken("YYYY",function(input,array){array[YEAR]=2===input.length?hooks.parseTwoDigitYear(input):toInt(input)}),addParseToken("YY",function(input,array){array[YEAR]=hooks.parseTwoDigitYear(input)}),addParseToken("Y",function(input,array){array[YEAR]=parseInt(input,10)}),hooks.parseTwoDigitYear=function(input){return toInt(input)+(68<toInt(input)?1900:2e3)};var getSetYear=makeGetSet("FullYear",!0),indexOf;indexOf=Array.prototype.indexOf?Array.prototype.indexOf:function(o){var i;for(i=0;i<this.length;++i)if(this[i]===o)return i;return-1},addFormatToken("M",["MM",2],"Mo",function(){return this.month()+1}),addFormatToken("MMM",0,0,function(format){return this.localeData().monthsShort(this,format)}),addFormatToken("MMMM",0,0,function(format){return this.localeData().months(this,format)}),addUnitAlias("month","M"),addUnitPriority("month",8),addRegexToken("M",match1to2),addRegexToken("MM",match1to2,match2),addRegexToken("MMM",function(isStrict,locale){return locale.monthsShortRegex(isStrict)}),addRegexToken("MMMM",function(isStrict,locale){return locale.monthsRegex(isStrict)}),addParseToken(["M","MM"],function(input,array){array[MONTH]=toInt(input)-1}),addParseToken(["MMM","MMMM"],function(input,array,config,token){var month=config._locale.monthsParse(input,token,config._strict);null==month?getParsingFlags(config).invalidMonth=input:array[MONTH]=month});var MONTHS_IN_FORMAT=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,defaultLocaleMonthsShort=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];addFormatToken("w",["ww",2],"wo","week"),addFormatToken("W",["WW",2],"Wo","isoWeek"),addUnitAlias("week","w"),addUnitAlias("isoWeek","W"),addUnitPriority("week",5),addUnitPriority("isoWeek",5),addRegexToken("w",match1to2),addRegexToken("ww",match1to2,match2),addRegexToken("W",match1to2),addRegexToken("WW",match1to2,match2),addWeekParseToken(["w","ww","W","WW"],function(input,week,config,token){week[token.substr(0,1)]=toInt(input)});addFormatToken("d",0,"do","day"),addFormatToken("dd",0,0,function(format){return this.localeData().weekdaysMin(this,format)}),addFormatToken("ddd",0,0,function(format){return this.localeData().weekdaysShort(this,format)}),addFormatToken("dddd",0,0,function(format){return this.localeData().weekdays(this,format)}),addFormatToken("e",0,0,"weekday"),addFormatToken("E",0,0,"isoWeekday"),addUnitAlias("day","d"),addUnitAlias("weekday","e"),addUnitAlias("isoWeekday","E"),addUnitPriority("day",11),addUnitPriority("weekday",11),addUnitPriority("isoWeekday",11),addRegexToken("d",match1to2),addRegexToken("e",match1to2),addRegexToken("E",match1to2),addRegexToken("dd",function(isStrict,locale){return locale.weekdaysMinRegex(isStrict)}),addRegexToken("ddd",function(isStrict,locale){return locale.weekdaysShortRegex(isStrict)}),addRegexToken("dddd",function(isStrict,locale){return locale.weekdaysRegex(isStrict)}),addWeekParseToken(["dd","ddd","dddd"],function(input,week,config,token){var weekday=config._locale.weekdaysParse(input,token,config._strict);null==weekday?getParsingFlags(config).invalidWeekday=input:week.d=weekday}),addWeekParseToken(["d","e","E"],function(input,week,config,token){week[token]=toInt(input)});var defaultLocaleWeekdaysShort=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];addFormatToken("H",["HH",2],0,"hour"),addFormatToken("h",["hh",2],0,hFormat),addFormatToken("k",["kk",2],0,function(){return this.hours()||24}),addFormatToken("hmm",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)}),addFormatToken("hmmss",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),addFormatToken("Hmm",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)}),addFormatToken("Hmmss",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),meridiem("a",!0),meridiem("A",!1),addUnitAlias("hour","h"),addUnitPriority("hour",13),addRegexToken("a",matchMeridiem),addRegexToken("A",matchMeridiem),addRegexToken("H",match1to2),addRegexToken("h",match1to2),addRegexToken("k",match1to2),addRegexToken("HH",match1to2,match2),addRegexToken("hh",match1to2,match2),addRegexToken("kk",match1to2,match2),addRegexToken("hmm",match3to4),addRegexToken("hmmss",match5to6),addRegexToken("Hmm",match3to4),addRegexToken("Hmmss",match5to6),addParseToken(["H","HH"],HOUR),addParseToken(["k","kk"],function(input,array){var kInput=toInt(input);array[HOUR]=24===kInput?0:kInput}),addParseToken(["a","A"],function(input,array,config){config._isPm=config._locale.isPM(input),config._meridiem=input}),addParseToken(["h","hh"],function(input,array,config){array[HOUR]=toInt(input),getParsingFlags(config).bigHour=!0}),addParseToken("hmm",function(input,array,config){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos)),getParsingFlags(config).bigHour=!0}),addParseToken("hmmss",function(input,array,config){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2)),getParsingFlags(config).bigHour=!0}),addParseToken("Hmm",function(input,array){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos))}),addParseToken("Hmmss",function(input,array){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2))});var defaultLocaleMeridiemParse=/[ap]\.?m?\.?/i,getSetHour=makeGetSet("Hours",!0),baseConfig={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:defaultDayOfMonthOrdinalParse,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:defaultLocaleMonthsShort,week:{dow:0,doy:6},weekdays:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],weekdaysMin:["Su","Mo","Tu","We","Th","Fr","Sa"],weekdaysShort:defaultLocaleWeekdaysShort,meridiemParse:defaultLocaleMeridiemParse},locales={},localeFamilies={},extendedIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,basicIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,tzRegex=/Z|[+-]\d\d(?::?\d\d)?/,isoDates=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],isoTimes=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],aspNetJsonRegex=/^\/?Date\((\-?\d+)/i,rfc2822=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/,obsOffsets={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480},globalLocale;hooks.createFromInputFallback=deprecate("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",function(config){config._d=new Date(config._i+(config._useUTC?" UTC":""))}),hooks.ISO_8601=function(){},hooks.RFC_2822=function(){};var prototypeMin=deprecate("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other<this?this:other:createInvalid()}),prototypeMax=deprecate("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other>this?this:other:createInvalid()}),ordering=["year","quarter","month","week","day","hour","minute","second","millisecond"];offset("Z",":"),offset("ZZ",""),addRegexToken("Z",matchShortOffset),addRegexToken("ZZ",matchShortOffset),addParseToken(["Z","ZZ"],function(input,array,config){config._useUTC=!0,config._tzm=offsetFromString(matchShortOffset,input)});var chunkOffset=/([\+\-]|\d\d)/gi;hooks.updateOffset=function(){};var aspNetRegex=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,isoRegex=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;createDuration.fn=Duration.prototype,createDuration.invalid=function(){return createDuration(NaN)};var add=createAdder(1,"add"),subtract=createAdder(-1,"subtract");hooks.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",hooks.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var lang=deprecate("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",function(key){return void 0===key?this.localeData():this.locale(key)});addFormatToken(0,["gg",2],0,function(){return this.weekYear()%100}),addFormatToken(0,["GG",2],0,function(){return this.isoWeekYear()%100}),addWeekYearFormatToken("gggg","weekYear"),addWeekYearFormatToken("ggggg","weekYear"),addWeekYearFormatToken("GGGG","isoWeekYear"),addWeekYearFormatToken("GGGGG","isoWeekYear"),addUnitAlias("weekYear","gg"),addUnitAlias("isoWeekYear","GG"),addUnitPriority("weekYear",1),addUnitPriority("isoWeekYear",1),addRegexToken("G",matchSigned),addRegexToken("g",matchSigned),addRegexToken("GG",match1to2,match2),addRegexToken("gg",match1to2,match2),addRegexToken("GGGG",match1to4,match4),addRegexToken("gggg",match1to4,match4),addRegexToken("GGGGG",match1to6,match6),addRegexToken("ggggg",match1to6,match6),addWeekParseToken(["gggg","ggggg","GGGG","GGGGG"],function(input,week,config,token){week[token.substr(0,2)]=toInt(input)}),addWeekParseToken(["gg","GG"],function(input,week,config,token){week[token]=hooks.parseTwoDigitYear(input)}),addFormatToken("Q",0,"Qo","quarter"),addUnitAlias("quarter","Q"),addUnitPriority("quarter",7),addRegexToken("Q",match1),addParseToken("Q",function(input,array){array[MONTH]=3*(toInt(input)-1)}),addFormatToken("D",["DD",2],"Do","date"),addUnitAlias("date","D"),addUnitPriority("date",9),addRegexToken("D",match1to2),addRegexToken("DD",match1to2,match2),addRegexToken("Do",function(isStrict,locale){return isStrict?locale._dayOfMonthOrdinalParse||locale._ordinalParse:locale._dayOfMonthOrdinalParseLenient}),addParseToken(["D","DD"],DATE),addParseToken("Do",function(input,array){array[DATE]=toInt(input.match(match1to2)[0])});var getSetDayOfMonth=makeGetSet("Date",!0);addFormatToken("DDD",["DDDD",3],"DDDo","dayOfYear"),addUnitAlias("dayOfYear","DDD"),addUnitPriority("dayOfYear",4),addRegexToken("DDD",match1to3),addRegexToken("DDDD",match3),addParseToken(["DDD","DDDD"],function(input,array,config){config._dayOfYear=toInt(input)}),addFormatToken("m",["mm",2],0,"minute"),addUnitAlias("minute","m"),addUnitPriority("minute",14),addRegexToken("m",match1to2),addRegexToken("mm",match1to2,match2),addParseToken(["m","mm"],MINUTE);var getSetMinute=makeGetSet("Minutes",!1);addFormatToken("s",["ss",2],0,"second"),addUnitAlias("second","s"),addUnitPriority("second",15),addRegexToken("s",match1to2),addRegexToken("ss",match1to2,match2),addParseToken(["s","ss"],SECOND);var getSetSecond=makeGetSet("Seconds",!1);addFormatToken("S",0,0,function(){return~~(this.millisecond()/100)}),addFormatToken(0,["SS",2],0,function(){return~~(this.millisecond()/10)}),addFormatToken(0,["SSS",3],0,"millisecond"),addFormatToken(0,["SSSS",4],0,function(){return 10*this.millisecond()}),addFormatToken(0,["SSSSS",5],0,function(){return 100*this.millisecond()}),addFormatToken(0,["SSSSSS",6],0,function(){return 1e3*this.millisecond()}),addFormatToken(0,["SSSSSSS",7],0,function(){return 1e4*this.millisecond()}),addFormatToken(0,["SSSSSSSS",8],0,function(){return 1e5*this.millisecond()}),addFormatToken(0,["SSSSSSSSS",9],0,function(){return 1e6*this.millisecond()}),addUnitAlias("millisecond","ms"),addUnitPriority("millisecond",16),addRegexToken("S",match1to3,match1),addRegexToken("SS",match1to3,match2),addRegexToken("SSS",match1to3,match3);var token;for(token="SSSS";9>=token.length;token+="S")addRegexToken(token,matchUnsigned);for(token="S";9>=token.length;token+="S")addParseToken(token,parseMs);var getSetMillisecond=makeGetSet("Milliseconds",!1);addFormatToken("z",0,0,"zoneAbbr"),addFormatToken("zz",0,0,"zoneName");var proto=Moment.prototype;proto.add=add,proto.calendar=function(time,formats){var now=time||createLocal(),sod=cloneWithOffset(now,this).startOf("day"),format=hooks.calendarFormat(this,sod)||"sameElse",output=formats&&(isFunction(formats[format])?formats[format].call(this,now):formats[format]);return this.format(output||this.localeData().calendar(format,this,createLocal(now)))},proto.clone=function(){return new Moment(this)},proto.diff=function(input,units,asFloat){var that,zoneDelta,output;return this.isValid()?(that=cloneWithOffset(input,this),!that.isValid())?NaN:(zoneDelta=6e4*(that.utcOffset()-this.utcOffset()),units=normalizeUnits(units),(output="year"===units?monthDiff(this,that)/12:"month"===units?monthDiff(this,that):"quarter"===units?monthDiff(this,that)/3:"second"===units?(this-that)/1e3:"minute"===units?(this-that)/6e4:"hour"===units?(this-that)/36e5:"day"===units?(this-that-zoneDelta)/864e5:"week"===units?(this-that-zoneDelta)/6048e5:this-that,asFloat?output:absFloor(output))):NaN},proto.endOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year()+1,0,1)-1:"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3+3,1)-1:"month"===units?time=startOfDate(this.year(),this.month()+1,1)-1:"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()+7)-1:"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1:"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()+1)-1:"hour"===units?(time=this._d.valueOf(),time+=3600000-mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)-1):"minute"===units?(time=this._d.valueOf(),time+=60000-mod$1(time,60000)-1):"second"===units?(time=this._d.valueOf(),time+=1000-mod$1(time,1000)-1):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.format=function(inputString){inputString||(inputString=this.isUtc()?hooks.defaultFormatUtc:hooks.defaultFormat);var output=formatMoment(this,inputString);return this.localeData().postformat(output)},proto.from=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({to:this,from:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.fromNow=function(withoutSuffix){return this.from(createLocal(),withoutSuffix)},proto.to=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({from:this,to:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.toNow=function(withoutSuffix){return this.to(createLocal(),withoutSuffix)},proto.get=function(units){return units=normalizeUnits(units),isFunction(this[units])?this[units]():this},proto.invalidAt=function(){return getParsingFlags(this).overflow},proto.isAfter=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()>localInput.valueOf():localInput.valueOf()<this.clone().startOf(units).valueOf())},proto.isBefore=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()<localInput.valueOf():this.clone().endOf(units).valueOf()<localInput.valueOf())},proto.isBetween=function(from,to,units,inclusivity){var localFrom=isMoment(from)?from:createLocal(from),localTo=isMoment(to)?to:createLocal(to);return!!(this.isValid()&&localFrom.isValid()&&localTo.isValid())&&(inclusivity=inclusivity||"()",("("===inclusivity[0]?this.isAfter(localFrom,units):!this.isBefore(localFrom,units))&&(")"===inclusivity[1]?this.isBefore(localTo,units):!this.isAfter(localTo,units)))},proto.isSame=function(input,units){var localInput=isMoment(input)?input:createLocal(input),inputMs;return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()===localInput.valueOf():(inputMs=localInput.valueOf(),this.clone().startOf(units).valueOf()<=inputMs&&inputMs<=this.clone().endOf(units).valueOf()))},proto.isSameOrAfter=function(input,units){return this.isSame(input,units)||this.isAfter(input,units)},proto.isSameOrBefore=function(input,units){return this.isSame(input,units)||this.isBefore(input,units)},proto.isValid=function(){return isValid(this)},proto.lang=lang,proto.locale=locale,proto.localeData=localeData,proto.max=prototypeMax,proto.min=prototypeMin,proto.parsingFlags=function(){return extend({},getParsingFlags(this))},proto.set=stringSet,proto.startOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year(),0,1):"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3,1):"month"===units?time=startOfDate(this.year(),this.month(),1):"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()):"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)):"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()):"hour"===units?(time=this._d.valueOf(),time-=mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)):"minute"===units?(time=this._d.valueOf(),time-=mod$1(time,60000)):"second"===units?(time=this._d.valueOf(),time-=mod$1(time,1000)):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.subtract=subtract,proto.toArray=function(){var m=this;return[m.year(),m.month(),m.date(),m.hour(),m.minute(),m.second(),m.millisecond()]},proto.toObject=function(){var m=this;return{years:m.year(),months:m.month(),date:m.date(),hours:m.hours(),minutes:m.minutes(),seconds:m.seconds(),milliseconds:m.milliseconds()}},proto.toDate=function(){return new Date(this.valueOf())},proto.toISOString=function(keepOffset){if(!this.isValid())return null;var utc=!0!==keepOffset,m=utc?this.clone().utc():this;return 0>m.year()||9999<m.year()?formatMoment(m,utc?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):isFunction(Date.prototype.toISOString)?utc?this.toDate().toISOString():new Date(this.valueOf()+1e3*(60*this.utcOffset())).toISOString().replace("Z",formatMoment(m,"Z")):formatMoment(m,utc?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},proto.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var func="moment",zone="";this.isLocal()||(func=0===this.utcOffset()?"moment.utc":"moment.parseZone",zone="Z");var prefix="["+func+"(\"]",year=0<=this.year()&&9999>=this.year()?"YYYY":"YYYYYY",suffix=zone+"[\")]";return this.format(prefix+year+"-MM-DD[T]HH:mm:ss.SSS"+suffix)},proto.toJSON=function(){return this.isValid()?this.toISOString():null},proto.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},proto.unix=function(){return _Mathfloor(this.valueOf()/1e3)},proto.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},proto.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},proto.year=getSetYear,proto.isLeapYear=function(){return isLeapYear(this.year())},proto.weekYear=function(input){return getSetWeekYearHelper.call(this,input,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},proto.isoWeekYear=function(input){return getSetWeekYearHelper.call(this,input,this.isoWeek(),this.isoWeekday(),1,4)},proto.quarter=proto.quarters=function(input){return null==input?_Mathceil((this.month()+1)/3):this.month(3*(input-1)+this.month()%3)},proto.month=getSetMonth,proto.daysInMonth=function(){return daysInMonth(this.year(),this.month())},proto.week=proto.weeks=function(input){var week=this.localeData().week(this);return null==input?week:this.add(7*(input-week),"d")},proto.isoWeek=proto.isoWeeks=function(input){var week=weekOfYear(this,1,4).week;return null==input?week:this.add(7*(input-week),"d")},proto.weeksInYear=function(){var weekInfo=this.localeData()._week;return weeksInYear(this.year(),weekInfo.dow,weekInfo.doy)},proto.isoWeeksInYear=function(){return weeksInYear(this.year(),1,4)},proto.date=getSetDayOfMonth,proto.day=proto.days=function(input){if(!this.isValid())return null==input?NaN:this;var day=this._isUTC?this._d.getUTCDay():this._d.getDay();return null==input?day:(input=parseWeekday(input,this.localeData()),this.add(input-day,"d"))},proto.weekday=function(input){if(!this.isValid())return null==input?NaN:this;var weekday=(this.day()+7-this.localeData()._week.dow)%7;return null==input?weekday:this.add(input-weekday,"d")},proto.isoWeekday=function(input){if(!this.isValid())return null==input?NaN:this;if(null!=input){var weekday=parseIsoWeekday(input,this.localeData());return this.day(this.day()%7?weekday:weekday-7)}return this.day()||7},proto.dayOfYear=function(input){var dayOfYear=_Mathround((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==input?dayOfYear:this.add(input-dayOfYear,"d")},proto.hour=proto.hours=getSetHour,proto.minute=proto.minutes=getSetMinute,proto.second=proto.seconds=getSetSecond,proto.millisecond=proto.milliseconds=getSetMillisecond,proto.utcOffset=function(input,keepLocalTime,keepMinutes){var offset=this._offset||0,localAdjust;if(!this.isValid())return null==input?NaN:this;if(null!=input){if("string"!=typeof input)16>_Mathabs(input)&&!keepMinutes&&(input*=60);else if(input=offsetFromString(matchShortOffset,input),null===input)return this;return!this._isUTC&&keepLocalTime&&(localAdjust=getDateOffset(this)),this._offset=input,this._isUTC=!0,null!=localAdjust&&this.add(localAdjust,"m"),offset!==input&&(!keepLocalTime||this._changeInProgress?addSubtract(this,createDuration(input-offset,"m"),1,!1):!this._changeInProgress&&(this._changeInProgress=!0,hooks.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?offset:getDateOffset(this)},proto.utc=function(keepLocalTime){return this.utcOffset(0,keepLocalTime)},proto.local=function(keepLocalTime){return this._isUTC&&(this.utcOffset(0,keepLocalTime),this._isUTC=!1,keepLocalTime&&this.subtract(getDateOffset(this),"m")),this},proto.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var tZone=offsetFromString(matchOffset,this._i);null==tZone?this.utcOffset(0,!0):this.utcOffset(tZone)}return this},proto.hasAlignedHourOffset=function(input){return!!this.isValid()&&(input=input?createLocal(input).utcOffset():0,0==(this.utcOffset()-input)%60)},proto.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},proto.isLocal=function(){return!!this.isValid()&&!this._isUTC},proto.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},proto.isUtc=isUtc,proto.isUTC=isUtc,proto.zoneAbbr=function(){return this._isUTC?"UTC":""},proto.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},proto.dates=deprecate("dates accessor is deprecated. Use date instead.",getSetDayOfMonth),proto.months=deprecate("months accessor is deprecated. Use month instead",getSetMonth),proto.years=deprecate("years accessor is deprecated. Use year instead",getSetYear),proto.zone=deprecate("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",function(input,keepLocalTime){return null==input?-this.utcOffset():("string"!=typeof input&&(input=-input),this.utcOffset(input,keepLocalTime),this)}),proto.isDSTShifted=deprecate("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",isDaylightSavingTimeShifted);var proto$1=Locale.prototype;proto$1.calendar=calendar,proto$1.longDateFormat=longDateFormat,proto$1.invalidDate=function(){return this._invalidDate},proto$1.ordinal=function(number){return this._ordinal.replace("%d",number)},proto$1.preparse=preParsePostFormat,proto$1.postformat=preParsePostFormat,proto$1.relativeTime=function(number,withoutSuffix,string,isFuture){var output=this._relativeTime[string];return isFunction(output)?output(number,withoutSuffix,string,isFuture):output.replace(/%d/i,number)},proto$1.pastFuture=function(diff,output){var format=this._relativeTime[0<diff?"future":"past"];return isFunction(format)?format(output):format.replace(/%s/i,output)},proto$1.set=set,proto$1.months=function(m,format){return m?isArray(this._months)?this._months[m.month()]:this._months[(this._months.isFormat||MONTHS_IN_FORMAT).test(format)?"format":"standalone"][m.month()]:isArray(this._months)?this._months:this._months.standalone},proto$1.monthsShort=function(m,format){return m?isArray(this._monthsShort)?this._monthsShort[m.month()]:this._monthsShort[MONTHS_IN_FORMAT.test(format)?"format":"standalone"][m.month()]:isArray(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},proto$1.monthsParse=localeMonthsParse,proto$1.monthsRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsStrictRegex:this._monthsRegex):(hasOwnProp(this,"_monthsRegex")||(this._monthsRegex=matchWord),this._monthsStrictRegex&&isStrict?this._monthsStrictRegex:this._monthsRegex)},proto$1.monthsShortRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsShortStrictRegex:this._monthsShortRegex):(hasOwnProp(this,"_monthsShortRegex")||(this._monthsShortRegex=matchWord),this._monthsShortStrictRegex&&isStrict?this._monthsShortStrictRegex:this._monthsShortRegex)},proto$1.week=function(mom){return weekOfYear(mom,this._week.dow,this._week.doy).week},proto$1.firstDayOfYear=function(){return this._week.doy},proto$1.firstDayOfWeek=function(){return this._week.dow},proto$1.weekdays=function(m,format){var weekdays=isArray(this._weekdays)?this._weekdays:this._weekdays[m&&!0!==m&&this._weekdays.isFormat.test(format)?"format":"standalone"];return!0===m?shiftWeekdays(weekdays,this._week.dow):m?weekdays[m.day()]:weekdays},proto$1.weekdaysMin=function(m){return!0===m?shiftWeekdays(this._weekdaysMin,this._week.dow):m?this._weekdaysMin[m.day()]:this._weekdaysMin},proto$1.weekdaysShort=function(m){return!0===m?shiftWeekdays(this._weekdaysShort,this._week.dow):m?this._weekdaysShort[m.day()]:this._weekdaysShort},proto$1.weekdaysParse=localeWeekdaysParse,proto$1.weekdaysRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysStrictRegex:this._weekdaysRegex):(hasOwnProp(this,"_weekdaysRegex")||(this._weekdaysRegex=matchWord),this._weekdaysStrictRegex&&isStrict?this._weekdaysStrictRegex:this._weekdaysRegex)},proto$1.weekdaysShortRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(hasOwnProp(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=matchWord),this._weekdaysShortStrictRegex&&isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},proto$1.weekdaysMinRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(hasOwnProp(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=matchWord),this._weekdaysMinStrictRegex&&isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},proto$1.isPM=function(input){return"p"===(input+"").toLowerCase().charAt(0)},proto$1.meridiem=function(hours,minutes,isLower){return 11<hours?isLower?"pm":"PM":isLower?"am":"AM"},getSetGlobalLocale("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(number){var b=number%10,output=1===toInt(number%100/10)?"th":1==b?"st":2==b?"nd":3==b?"rd":"th";return number+output}}),hooks.lang=deprecate("moment.lang is deprecated. Use moment.locale instead.",getSetGlobalLocale),hooks.langData=deprecate("moment.langData is deprecated. Use moment.localeData instead.",getLocale);var mathAbs=_Mathabs,asMilliseconds=makeAs("ms"),asSeconds=makeAs("s"),asMinutes=makeAs("m"),asHours=makeAs("h"),asDays=makeAs("d"),asWeeks=makeAs("w"),asMonths=makeAs("M"),asQuarters=makeAs("Q"),asYears=makeAs("y"),milliseconds=makeGetter("milliseconds"),seconds=makeGetter("seconds"),minutes=makeGetter("minutes"),hours=makeGetter("hours"),days=makeGetter("days"),months=makeGetter("months"),years=makeGetter("years"),round=_Mathround,thresholds={ss:44,s:45,m:45,h:22,d:26,M:11},abs$1=_Mathabs,proto$2=Duration.prototype;return proto$2.isValid=function(){return this._isValid},proto$2.abs=function(){var data=this._data;return this._milliseconds=mathAbs(this._milliseconds),this._days=mathAbs(this._days),this._months=mathAbs(this._months),data.milliseconds=mathAbs(data.milliseconds),data.seconds=mathAbs(data.seconds),data.minutes=mathAbs(data.minutes),data.hours=mathAbs(data.hours),data.months=mathAbs(data.months),data.years=mathAbs(data.years),this},proto$2.add=function(input,value){return addSubtract$1(this,input,value,1)},proto$2.subtract=function(input,value){return addSubtract$1(this,input,value,-1)},proto$2.as=function(units){if(!this.isValid())return NaN;var milliseconds=this._milliseconds,days,months;if(units=normalizeUnits(units),"month"===units||"quarter"===units||"year"===units)switch(days=this._days+milliseconds/864e5,months=this._months+daysToMonths(days),units){case"month":return months;case"quarter":return months/3;case"year":return months/12;}else switch(days=this._days+_Mathround(monthsToDays(this._months)),units){case"week":return days/7+milliseconds/6048e5;case"day":return days+milliseconds/864e5;case"hour":return 24*days+milliseconds/36e5;case"minute":return 1440*days+milliseconds/6e4;case"second":return 86400*days+milliseconds/1e3;case"millisecond":return _Mathfloor(864e5*days)+milliseconds;default:throw new Error("Unknown unit "+units);}},proto$2.asMilliseconds=asMilliseconds,proto$2.asSeconds=asSeconds,proto$2.asMinutes=asMinutes,proto$2.asHours=asHours,proto$2.asDays=asDays,proto$2.asWeeks=asWeeks,proto$2.asMonths=asMonths,proto$2.asQuarters=asQuarters,proto$2.asYears=asYears,proto$2.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+2592e6*(this._months%12)+31536e6*toInt(this._months/12):NaN},proto$2._bubble=function(){var milliseconds=this._milliseconds,days=this._days,months=this._months,data=this._data,seconds,minutes,hours,years,monthsFromDays;return 0<=milliseconds&&0<=days&&0<=months||0>=milliseconds&&0>=days&&0>=months||(milliseconds+=864e5*absCeil(monthsToDays(months)+days),days=0,months=0),data.milliseconds=milliseconds%1e3,seconds=absFloor(milliseconds/1e3),data.seconds=seconds%60,minutes=absFloor(seconds/60),data.minutes=minutes%60,hours=absFloor(minutes/60),data.hours=hours%24,days+=absFloor(hours/24),monthsFromDays=absFloor(daysToMonths(days)),months+=monthsFromDays,days-=absCeil(monthsToDays(monthsFromDays)),years=absFloor(months/12),months%=12,data.days=days,data.months=months,data.years=years,this},proto$2.clone=function(){return createDuration(this)},proto$2.get=function(units){return units=normalizeUnits(units),this.isValid()?this[units+"s"]():NaN},proto$2.milliseconds=milliseconds,proto$2.seconds=seconds,proto$2.minutes=minutes,proto$2.hours=hours,proto$2.days=days,proto$2.weeks=function(){return absFloor(this.days()/7)},proto$2.months=months,proto$2.years=years,proto$2.humanize=function(withSuffix){if(!this.isValid())return this.localeData().invalidDate();var locale=this.localeData(),output=relativeTime$1(this,!withSuffix,locale);return withSuffix&&(output=locale.pastFuture(+this,output)),locale.postformat(output)},proto$2.toISOString=toISOString$1,proto$2.toString=toISOString$1,proto$2.toJSON=toISOString$1,proto$2.locale=locale,proto$2.localeData=localeData,proto$2.toIsoString=deprecate("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",toISOString$1),proto$2.lang=lang,addFormatToken("X",0,0,"unix"),addFormatToken("x",0,0,"valueOf"),addRegexToken("x",matchSigned),addRegexToken("X",matchTimestamp),addParseToken("X",function(input,array,config){config._d=new Date(1e3*parseFloat(input,10))}),addParseToken("x",function(input,array,config){config._d=new Date(toInt(input))}),hooks.version="2.24.0",function(callback){hookCallback=callback}(createLocal),hooks.fn=proto,hooks.min=function(){var args=[].slice.call(arguments,0);return pickBy("isBefore",args)},hooks.max=function(){var args=[].slice.call(arguments,0);return pickBy("isAfter",args)},hooks.now=function(){return Date.now?Date.now():+new Date},hooks.utc=createUTC,hooks.unix=function(input){return createLocal(1e3*input)},hooks.months=function(format,index){return listMonthsImpl(format,index,"months")},hooks.isDate=isDate,hooks.locale=getSetGlobalLocale,hooks.invalid=createInvalid,hooks.duration=createDuration,hooks.isMoment=isMoment,hooks.weekdays=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdays")},hooks.parseZone=function(){return createLocal.apply(null,arguments).parseZone()},hooks.localeData=getLocale,hooks.isDuration=isDuration,hooks.monthsShort=function(format,index){return listMonthsImpl(format,index,"monthsShort")},hooks.weekdaysMin=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysMin")},hooks.defineLocale=defineLocale,hooks.updateLocale=function(name,config){if(null!=config){var parentConfig=baseConfig,locale,tmpLocale;tmpLocale=loadLocale(name),null!=tmpLocale&&(parentConfig=tmpLocale._config),config=mergeConfigs(parentConfig,config),locale=new Locale(config),locale.parentLocale=locales[name],locales[name]=locale,getSetGlobalLocale(name)}else null!=locales[name]&&(null==locales[name].parentLocale?null!=locales[name]&&delete locales[name]:locales[name]=locales[name].parentLocale);return locales[name]},hooks.locales=listLocales,hooks.weekdaysShort=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysShort")},hooks.normalizeUnits=normalizeUnits,hooks.relativeTimeRounding=getSetRelativeTimeRounding,hooks.relativeTimeThreshold=function(threshold,limit){return void 0!==thresholds[threshold]&&(void 0===limit?thresholds[threshold]:(thresholds[threshold]=limit,"s"===threshold&&(thresholds.ss=limit-1),!0))},hooks.calendarFormat=function(myMoment,now){var diff=myMoment.diff(now,"days",!0);return-6>diff?"sameElse":-1>diff?"lastWeek":0>diff?"lastDay":1>diff?"sameDay":2>diff?"nextDay":7>diff?"nextWeek":"sameElse"},hooks.prototype=proto,hooks.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},hooks})}),byteToHex=[],i$1=0;256>i$1;i$1++)byteToHex[i$1]=(i$1+256).toString(16).substr(1);for(var random=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var _rnds8=new Uint8Array(16);return function(){return crypto.getRandomValues(_rnds8),_rnds8}}var _rnds=Array(16);return function(){for(var i=0,r;16>i;i++)0==(3&i)&&(r=4294967296*Math.random()),_rnds[i]=255&r>>>((3&i)<<3);return _rnds}}(),byteToHex$1=[],i$1$1=0;256>i$1$1;i$1$1++)byteToHex$1[i$1$1]=(i$1$1+256).toString(16).substr(1);for(var seedBytes=random(),defaultNodeId=[1|seedBytes[0],seedBytes[1],seedBytes[2],seedBytes[3],seedBytes[4],seedBytes[5]],defaultClockseq=16383&(seedBytes[6]<<8|seedBytes[7]),ASPDateRegex=/^\/?Date\((-?\d+)/i,fullHexRE=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i,shortHexRE=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,rgbRE=/^rgb\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *\)$/i,rgbaRE=/^rgba\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *([01]|0?\.\d+) *\)$/i,extend=Object.assign,toArray=Object.values,option={asBoolean:function(value,defaultValue){return"function"==typeof value&&(value=value()),null==value?defaultValue||null:!1!=value},asNumber:function(value,defaultValue){return"function"==typeof value&&(value=value()),null==value?defaultValue||null:+value||defaultValue||null},asString:function(value,defaultValue){return"function"==typeof value&&(value=value()),null==value?defaultValue||null:value+""},asSize:function(value,defaultValue){return"function"==typeof value&&(value=value()),isString(value)?value:isNumber(value)?value+"px":defaultValue||null},asElement:function(value,defaultValue){return"function"==typeof value&&(value=value()),value||defaultValue||null}},cssUtil={split:function(cssText){var styles={};return cssText.split(";").forEach(function(style){if(""!=style.trim()){var parts=style.split(":"),_key3=parts[0].trim(),_value2=parts[1].trim();styles[_key3]=_value2}}),styles},join:function(styles){return Object.keys(styles).map(function(key){return key+": "+styles[key]}).join("; ")}},easingFunctions={linear:function(t){return t},easeInQuad:function(t){return t*t},easeOutQuad:function(t){return t*(2-t)},easeInOutQuad:function(t){return .5>t?2*t*t:-1+(4-2*t)*t},easeInCubic:function(t){return t*t*t},easeOutCubic:function(t){return--t*t*t+1},easeInOutCubic:function(t){return .5>t?4*t*t*t:(t-1)*(2*t-2)*(2*t-2)+1},easeInQuart:function(t){return t*t*t*t},easeOutQuart:function(t){return 1- --t*t*t*t},easeInOutQuart:function(t){return .5>t?8*t*t*t*t:1-8*--t*t*t*t},easeInQuint:function(t){return t*t*t*t*t},easeOutQuint:function(t){return 1+--t*t*t*t*t},easeInOutQuint:function(t){return .5>t?16*t*t*t*t*t:1+16*--t*t*t*t*t}},util=Object.freeze({isNumber:isNumber,recursiveDOMDelete:recursiveDOMDelete,isString:isString,isObject:isObject,isDate:isDate,isMoment:isMoment,fillIfDefined:fillIfDefined,extend:extend,selectiveExtend:selectiveExtend,selectiveDeepExtend:selectiveDeepExtend,selectiveNotDeepExtend:selectiveNotDeepExtend,deepExtend:deepExtend,equalArray:equalArray,convert:convert,getType:getType,copyAndExtendArray:copyAndExtendArray,copyArray:copyArray,getAbsoluteLeft:getAbsoluteLeft,getAbsoluteRight:getAbsoluteRight,getAbsoluteTop:getAbsoluteTop,addClassName:addClassName,removeClassName:removeClassName,forEach:forEach,toArray:toArray,updateProperty:updateProperty,throttle:throttle,addEventListener:addEventListener,removeEventListener:removeEventListener,preventDefault:preventDefault,getTarget:getTarget,hasParent:hasParent,option:option,hexToRGB:hexToRGB,overrideOpacity:overrideOpacity,RGBToHex:RGBToHex,parseColor:parseColor,RGBToHSV:RGBToHSV,addCssText:addCssText,removeCssText:removeCssText,HSVToRGB:HSVToRGB,HSVToHex:HSVToHex,hexToHSV:hexToHSV,isValidHex:isValidHex,isValidRGB:isValidRGB,isValidRGBA:isValidRGBA,selectiveBridgeObject:selectiveBridgeObject,bridgeObject:bridgeObject,insertSort:insertSort,mergeOptions:mergeOptions,binarySearchCustom:binarySearchCustom,binarySearchValue:binarySearchValue,easingFunctions:easingFunctions,getScrollBarWidth:getScrollBarWidth,topMost:topMost,randomUUID:uuid4}),util$1=Object.freeze({default:util,HSVToHex:HSVToHex,HSVToRGB:HSVToRGB,RGBToHSV:RGBToHSV,RGBToHex:RGBToHex,addClassName:addClassName,addCssText:addCssText,addEventListener:addEventListener,binarySearchCustom:binarySearchCustom,binarySearchValue:binarySearchValue,bridgeObject:bridgeObject,convert:convert,copyAndExtendArray:copyAndExtendArray,copyArray:copyArray,deepExtend:deepExtend,easingFunctions:easingFunctions,equalArray:equalArray,extend:extend,fillIfDefined:fillIfDefined,forEach:forEach,getAbsoluteLeft:getAbsoluteLeft,getAbsoluteRight:getAbsoluteRight,getAbsoluteTop:getAbsoluteTop,getScrollBarWidth:getScrollBarWidth,getTarget:getTarget,getType:getType,hasParent:hasParent,hexToHSV:hexToHSV,hexToRGB:hexToRGB,insertSort:insertSort,isDate:isDate,isMoment:isMoment,isNumber:isNumber,isObject:isObject,isString:isString,isValidHex:isValidHex,isValidRGB:isValidRGB,isValidRGBA:isValidRGBA,mergeOptions:mergeOptions,option:option,overrideOpacity:overrideOpacity,parseColor:parseColor,preventDefault:preventDefault,randomUUID:uuid4,recursiveDOMDelete:recursiveDOMDelete,removeClassName:removeClassName,removeCssText:removeCssText,removeEventListener:removeEventListener,selectiveBridgeObject:selectiveBridgeObject,selectiveDeepExtend:selectiveDeepExtend,selectiveExtend:selectiveExtend,selectiveNotDeepExtend:selectiveNotDeepExtend,throttle:throttle,toArray:toArray,topMost:topMost,updateProperty:updateProperty}),runtime_1=createCommonjsModule$1(function(module){var runtime=function(exports){function wrap(innerFn,outerFn,self,tryLocsList){var protoGenerator=outerFn&&outerFn.prototype instanceof Generator?outerFn:Generator,generator=Object.create(protoGenerator.prototype),context=new Context(tryLocsList||[]);return generator._invoke=makeInvokeMethod(innerFn,self,context),generator}function tryCatch(fn,obj,arg){try{return{type:"normal",arg:fn.call(obj,arg)}}catch(err){return{type:"throw",arg:err}}}function Generator(){}function GeneratorFunction(){}function GeneratorFunctionPrototype(){}function defineIteratorMethods(prototype){["next","throw","return"].forEach(function(method){prototype[method]=function(arg){return this._invoke(method,arg)}})}function AsyncIterator(generator){function invoke(method,arg,resolve,reject){var record=tryCatch(generator[method],generator,arg);if("throw"===record.type)reject(record.arg);else{var result=record.arg,value=result.value;return value&&"object"==typeof value&&hasOwn.call(value,"__await")?Promise.resolve(value.__await).then(function(value){invoke("next",value,resolve,reject)},function(err){invoke("throw",err,resolve,reject)}):Promise.resolve(value).then(function(unwrapped){result.value=unwrapped,resolve(result)},function(error){return invoke("throw",error,resolve,reject)})}}function enqueue(method,arg){function callInvokeWithMethodAndArg(){return new Promise(function(resolve,reject){invoke(method,arg,resolve,reject)})}return previousPromise=previousPromise?previousPromise.then(callInvokeWithMethodAndArg,callInvokeWithMethodAndArg):callInvokeWithMethodAndArg()}var previousPromise;this._invoke=enqueue}function makeInvokeMethod(innerFn,self,context){var state="suspendedStart";return function(method,arg){if("executing"===state)throw new Error("Generator is already running");if("completed"===state){if("throw"===method)throw arg;return doneResult()}for(context.method=method,context.arg=arg;;){var delegate=context.delegate;if(delegate){var delegateResult=maybeInvokeDelegate(delegate,context);if(delegateResult){if(delegateResult===ContinueSentinel)continue;return delegateResult}}if("next"===context.method)context.sent=context._sent=context.arg;else if("throw"===context.method){if("suspendedStart"===state)throw state="completed",context.arg;context.dispatchException(context.arg)}else"return"===context.method&&context.abrupt("return",context.arg);state="executing";var record=tryCatch(innerFn,self,context);if("normal"===record.type){if(state=context.done?"completed":"suspendedYield",record.arg===ContinueSentinel)continue;return{value:record.arg,done:context.done}}"throw"===record.type&&(state="completed",context.method="throw",context.arg=record.arg)}}}function maybeInvokeDelegate(delegate,context){var method=delegate.iterator[context.method];if(method===undefined$1){if(context.delegate=null,"throw"===context.method){if(delegate.iterator["return"]&&(context.method="return",context.arg=undefined$1,maybeInvokeDelegate(delegate,context),"throw"===context.method))return ContinueSentinel;context.method="throw",context.arg=new TypeError("The iterator does not provide a 'throw' method")}return ContinueSentinel}var record=tryCatch(method,delegate.iterator,context.arg);if("throw"===record.type)return context.method="throw",context.arg=record.arg,context.delegate=null,ContinueSentinel;var info=record.arg;if(!info)return context.method="throw",context.arg=new TypeError("iterator result is not an object"),context.delegate=null,ContinueSentinel;if(info.done)context[delegate.resultName]=info.value,context.next=delegate.nextLoc,"return"!==context.method&&(context.method="next",context.arg=undefined$1);else return info;return context.delegate=null,ContinueSentinel}function pushTryEntry(locs){var entry={tryLoc:locs[0]};(1 in locs)&&(entry.catchLoc=locs[1]),(2 in locs)&&(entry.finallyLoc=locs[2],entry.afterLoc=locs[3]),this.tryEntries.push(entry)}function resetTryEntry(entry){var record=entry.completion||{};record.type="normal",delete record.arg,entry.completion=record}function Context(tryLocsList){this.tryEntries=[{tryLoc:"root"}],tryLocsList.forEach(pushTryEntry,this),this.reset(!0)}function values(iterable){if(iterable){var iteratorMethod=iterable[iteratorSymbol];if(iteratorMethod)return iteratorMethod.call(iterable);if("function"==typeof iterable.next)return iterable;if(!isNaN(iterable.length)){var i=-1,next=function next(){for(;++i<iterable.length;)if(hasOwn.call(iterable,i))return next.value=iterable[i],next.done=!1,next;return next.value=undefined$1,next.done=!0,next};return next.next=next}}return{next:doneResult}}function doneResult(){return{value:undefined$1,done:!0}}var Op=Object.prototype,hasOwn=Op.hasOwnProperty,$Symbol="function"==typeof Symbol?Symbol:{},iteratorSymbol=$Symbol.iterator||"@@iterator",asyncIteratorSymbol=$Symbol.asyncIterator||"@@asyncIterator",toStringTagSymbol=$Symbol.toStringTag||"@@toStringTag",undefined$1;exports.wrap=wrap;var ContinueSentinel={},IteratorPrototype={};IteratorPrototype[iteratorSymbol]=function(){return this};var getProto=Object.getPrototypeOf,NativeIteratorPrototype=getProto&&getProto(getProto(values([])));NativeIteratorPrototype&&NativeIteratorPrototype!==Op&&hasOwn.call(NativeIteratorPrototype,iteratorSymbol)&&(IteratorPrototype=NativeIteratorPrototype);var Gp=GeneratorFunctionPrototype.prototype=Generator.prototype=Object.create(IteratorPrototype);return GeneratorFunction.prototype=Gp.constructor=GeneratorFunctionPrototype,GeneratorFunctionPrototype.constructor=GeneratorFunction,GeneratorFunctionPrototype[toStringTagSymbol]=GeneratorFunction.displayName="GeneratorFunction",exports.isGeneratorFunction=function(genFun){var ctor="function"==typeof genFun&&genFun.constructor;return!!ctor&&(ctor===GeneratorFunction||"GeneratorFunction"===(ctor.displayName||ctor.name))},exports.mark=function(genFun){return Object.setPrototypeOf?Object.setPrototypeOf(genFun,GeneratorFunctionPrototype):(genFun.__proto__=GeneratorFunctionPrototype,!(toStringTagSymbol in genFun)&&(genFun[toStringTagSymbol]="GeneratorFunction")),genFun.prototype=Object.create(Gp),genFun},exports.awrap=function(arg){return{__await:arg}},defineIteratorMethods(AsyncIterator.prototype),AsyncIterator.prototype[asyncIteratorSymbol]=function(){return this},exports.AsyncIterator=AsyncIterator,exports.async=function(innerFn,outerFn,self,tryLocsList){var iter=new AsyncIterator(wrap(innerFn,outerFn,self,tryLocsList));return exports.isGeneratorFunction(outerFn)?iter:iter.next().then(function(result){return result.done?result.value:iter.next()})},defineIteratorMethods(Gp),Gp[toStringTagSymbol]="Generator",Gp[iteratorSymbol]=function(){return this},Gp.toString=function(){return"[object Generator]"},exports.keys=function(object){var keys=[];for(var key in object)keys.push(key);return keys.reverse(),function next(){for(;keys.length;){var key=keys.pop();if((key in object))return next.value=key,next.done=!1,next}return next.done=!0,next}},exports.values=values,Context.prototype={constructor:Context,reset:function(skipTempReset){if(this.prev=0,this.next=0,this.sent=this._sent=undefined$1,this.done=!1,this.delegate=null,this.method="next",this.arg=undefined$1,this.tryEntries.forEach(resetTryEntry),!skipTempReset)for(var name in this)"t"===name.charAt(0)&&hasOwn.call(this,name)&&!isNaN(+name.slice(1))&&(this[name]=undefined$1)},stop:function(){this.done=!0;var rootEntry=this.tryEntries[0],rootRecord=rootEntry.completion;if("throw"===rootRecord.type)throw rootRecord.arg;return this.rval},dispatchException:function(exception){function handle(loc,caught){return record.type="throw",record.arg=exception,context.next=loc,caught&&(context.method="next",context.arg=undefined$1),!!caught}if(this.done)throw exception;for(var context=this,i=this.tryEntries.length-1;0<=i;--i){var entry=this.tryEntries[i],record=entry.completion;if("root"===entry.tryLoc)return handle("end");if(entry.tryLoc<=this.prev){var hasCatch=hasOwn.call(entry,"catchLoc"),hasFinally=hasOwn.call(entry,"finallyLoc");if(hasCatch&&hasFinally){if(this.prev<entry.catchLoc)return handle(entry.catchLoc,!0);if(this.prev<entry.finallyLoc)return handle(entry.finallyLoc)}else if(hasCatch){if(this.prev<entry.catchLoc)return handle(entry.catchLoc,!0);}else if(!hasFinally)throw new Error("try statement without catch or finally");else if(this.prev<entry.finallyLoc)return handle(entry.finallyLoc)}}},abrupt:function(type,arg){for(var i=this.tryEntries.length-1,entry;0<=i;--i)if(entry=this.tryEntries[i],entry.tryLoc<=this.prev&&hasOwn.call(entry,"finallyLoc")&&this.prev<entry.finallyLoc){var finallyEntry=entry;break}finallyEntry&&("break"===type||"continue"===type)&&finallyEntry.tryLoc<=arg&&arg<=finallyEntry.finallyLoc&&(finallyEntry=null);var record=finallyEntry?finallyEntry.completion:{};return record.type=type,record.arg=arg,finallyEntry?(this.method="next",this.next=finallyEntry.finallyLoc,ContinueSentinel):this.complete(record)},complete:function(record,afterLoc){if("throw"===record.type)throw record.arg;return"break"===record.type||"continue"===record.type?this.next=record.arg:"return"===record.type?(this.rval=this.arg=record.arg,this.method="return",this.next="end"):"normal"===record.type&&afterLoc&&(this.next=afterLoc),ContinueSentinel},finish:function(finallyLoc){for(var i=this.tryEntries.length-1,entry;0<=i;--i)if(entry=this.tryEntries[i],entry.finallyLoc===finallyLoc)return this.complete(entry.completion,entry.afterLoc),resetTryEntry(entry),ContinueSentinel},catch:function(tryLoc){for(var i=this.tryEntries.length-1,entry;0<=i;--i)if(entry=this.tryEntries[i],entry.tryLoc===tryLoc){var record=entry.completion;if("throw"===record.type){var thrown=record.arg;resetTryEntry(entry)}return thrown}throw new Error("illegal catch attempt")},delegateYield:function(iterable,resultName,nextLoc){return this.delegate={iterator:values(iterable),resultName:resultName,nextLoc:nextLoc},"next"===this.method&&(this.arg=undefined$1),ContinueSentinel}},exports}(module.exports);try{regeneratorRuntime=runtime}catch(accidentalStrictMode){Function("r","regeneratorRuntime = r")(runtime)}}),regenerator=runtime_1,defineProperty$1=_defineProperty$1,arrayWithoutHoles=_arrayWithoutHoles$1,iterableToArray=_iterableToArray$1,nonIterableSpread=_nonIterableSpread$1,toConsumableArray=_toConsumableArray$1,_typeof_1=createCommonjsModule$1(function(module){function _typeof2(obj){return _typeof2="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(obj){return typeof obj}:function(obj){return obj&&"function"==typeof Symbol&&obj.constructor===Symbol&&obj!==Symbol.prototype?"symbol":typeof obj},_typeof2(obj)}function _typeof(obj){return module.exports="function"==typeof Symbol&&"symbol"===_typeof2(Symbol.iterator)?_typeof=function(obj){return _typeof2(obj)}:_typeof=function(obj){return obj&&"function"==typeof Symbol&&obj.constructor===Symbol&&obj!==Symbol.prototype?"symbol":_typeof2(obj)},_typeof(obj)}module.exports=_typeof}),classCallCheck=_classCallCheck,createClass=_createClass,assertThisInitialized=_assertThisInitialized,possibleConstructorReturn=_possibleConstructorReturn,getPrototypeOf=createCommonjsModule$1(function(module){function _getPrototypeOf(o){return module.exports=_getPrototypeOf=Object.setPrototypeOf?Object.getPrototypeOf:function(o){return o.__proto__||Object.getPrototypeOf(o)},_getPrototypeOf(o)}module.exports=_getPrototypeOf}),setPrototypeOf$1=createCommonjsModule$1(function(module){function _setPrototypeOf(o,p){return module.exports=_setPrototypeOf=Object.setPrototypeOf||function(o,p){return o.__proto__=p,o},_setPrototypeOf(o,p)}module.exports=_setPrototypeOf}),inherits=_inherits,byteToHex$2=[],i$2=0;256>i$2;i$2++)byteToHex$2[i$2]=(i$2+256).toString(16).substr(1);for(var random$1=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var _rnds8=new Uint8Array(16);return function(){return crypto.getRandomValues(_rnds8),_rnds8}}var _rnds=Array(16);return function(){for(var i=0,r;16>i;i++)0==(3&i)&&(r=4294967296*Math.random()),_rnds[i]=255&r>>>((3&i)<<3);return _rnds}}(),byteToHex$1$1=[],i$1$2=0;256>i$1$2;i$1$2++)byteToHex$1$1[i$1$2]=(i$1$2+256).toString(16).substr(1);for(var seedBytes$1=random$1(),defaultNodeId$1=[1|seedBytes$1[0],seedBytes$1[1],seedBytes$1[2],seedBytes$1[3],seedBytes$1[4],seedBytes$1[5]],defaultClockseq$1=16383&(seedBytes$1[6]<<8|seedBytes$1[7]),commonjsGlobal$1="undefined"==typeof globalThis?"undefined"==typeof window?"undefined"==typeof global?"undefined"==typeof self?{}:self:global:window:globalThis,moment$1=createCommonjsModule$1$1(function(module){(function(global,factory){module.exports=factory()})(commonjsGlobal$1,function(){function hooks(){return hookCallback.apply(null,arguments)}function isArray(input){return input instanceof Array||"[object Array]"===Object.prototype.toString.call(input)}function isObject(input){return null!=input&&"[object Object]"===Object.prototype.toString.call(input)}function isObjectEmpty(obj){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(obj).length;for(var k in obj)if(obj.hasOwnProperty(k))return!1;return!0}function isUndefined(input){return void 0===input}function isNumber(input){return"number"==typeof input||"[object Number]"===Object.prototype.toString.call(input)}function isDate(input){return input instanceof Date||"[object Date]"===Object.prototype.toString.call(input)}function map(arr,fn){var res=[],i;for(i=0;i<arr.length;++i)res.push(fn(arr[i],i));return res}function hasOwnProp(a,b){return Object.prototype.hasOwnProperty.call(a,b)}function extend(a,b){for(var i in b)hasOwnProp(b,i)&&(a[i]=b[i]);return hasOwnProp(b,"toString")&&(a.toString=b.toString),hasOwnProp(b,"valueOf")&&(a.valueOf=b.valueOf),a}function createUTC(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!0).utc()}function defaultParsingFlags(){return{empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}}function getParsingFlags(m){return null==m._pf&&(m._pf=defaultParsingFlags()),m._pf}function isValid(m){if(null==m._isValid){var flags=getParsingFlags(m),parsedParts=some.call(flags.parsedDateParts,function(i){return null!=i}),isNowValid=!isNaN(m._d.getTime())&&0>flags.overflow&&!flags.empty&&!flags.invalidMonth&&!flags.invalidWeekday&&!flags.weekdayMismatch&&!flags.nullInput&&!flags.invalidFormat&&!flags.userInvalidated&&(!flags.meridiem||flags.meridiem&&parsedParts);if(m._strict&&(isNowValid=isNowValid&&0===flags.charsLeftOver&&0===flags.unusedTokens.length&&void 0===flags.bigHour),null==Object.isFrozen||!Object.isFrozen(m))m._isValid=isNowValid;else return isNowValid}return m._isValid}function createInvalid(flags){var m=createUTC(NaN);return null==flags?getParsingFlags(m).userInvalidated=!0:extend(getParsingFlags(m),flags),m}function copyConfig(to,from){var i,prop,val;if(isUndefined(from._isAMomentObject)||(to._isAMomentObject=from._isAMomentObject),isUndefined(from._i)||(to._i=from._i),isUndefined(from._f)||(to._f=from._f),isUndefined(from._l)||(to._l=from._l),isUndefined(from._strict)||(to._strict=from._strict),isUndefined(from._tzm)||(to._tzm=from._tzm),isUndefined(from._isUTC)||(to._isUTC=from._isUTC),isUndefined(from._offset)||(to._offset=from._offset),isUndefined(from._pf)||(to._pf=getParsingFlags(from)),isUndefined(from._locale)||(to._locale=from._locale),0<momentProperties.length)for(i=0;i<momentProperties.length;i++)prop=momentProperties[i],val=from[prop],isUndefined(val)||(to[prop]=val);return to}function Moment(config){copyConfig(this,config),this._d=new Date(null==config._d?NaN:config._d.getTime()),this.isValid()||(this._d=new Date(NaN)),!1===updateInProgress&&(updateInProgress=!0,hooks.updateOffset(this),updateInProgress=!1)}function isMoment(obj){return obj instanceof Moment||null!=obj&&null!=obj._isAMomentObject}function absFloor(number){return 0>number?_Mathceil(number)||0:_Mathfloor(number)}function toInt(argumentForCoercion){var coercedNumber=+argumentForCoercion,value=0;return 0!=coercedNumber&&isFinite(coercedNumber)&&(value=absFloor(coercedNumber)),value}function compareArrays(array1,array2,dontConvert){var len=_Mathmin(array1.length,array2.length),lengthDiff=_Mathabs(array1.length-array2.length),diffs=0,i;for(i=0;i<len;i++)(dontConvert&&array1[i]!==array2[i]||!dontConvert&&toInt(array1[i])!==toInt(array2[i]))&&diffs++;return diffs+lengthDiff}function warn(msg){!1===hooks.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+msg)}function deprecate(msg,fn){var firstTime=!0;return extend(function(){if(null!=hooks.deprecationHandler&&hooks.deprecationHandler(null,msg),firstTime){for(var args=[],i=0,arg;i<arguments.length;i++){if(arg="","object"==typeof arguments[i]){for(var key in arg+="\n["+i+"] ",arguments[0])arg+=key+": "+arguments[0][key]+", ";arg=arg.slice(0,-2)}else arg=arguments[i];args.push(arg)}warn(msg+"\nArguments: "+Array.prototype.slice.call(args).join("")+"\n"+new Error().stack),firstTime=!1}return fn.apply(this,arguments)},fn)}function deprecateSimple(name,msg){null!=hooks.deprecationHandler&&hooks.deprecationHandler(name,msg),deprecations[name]||(warn(msg),deprecations[name]=!0)}function isFunction(input){return input instanceof Function||"[object Function]"===Object.prototype.toString.call(input)}function set(config){var prop,i;for(i in config)prop=config[i],isFunction(prop)?this[i]=prop:this["_"+i]=prop;this._config=config,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)}function mergeConfigs(parentConfig,childConfig){var res=extend({},parentConfig),prop;for(prop in childConfig)hasOwnProp(childConfig,prop)&&(isObject(parentConfig[prop])&&isObject(childConfig[prop])?(res[prop]={},extend(res[prop],parentConfig[prop]),extend(res[prop],childConfig[prop])):null==childConfig[prop]?delete res[prop]:res[prop]=childConfig[prop]);for(prop in parentConfig)hasOwnProp(parentConfig,prop)&&!hasOwnProp(childConfig,prop)&&isObject(parentConfig[prop])&&(res[prop]=extend({},res[prop]));return res}function Locale(config){null!=config&&this.set(config)}function calendar(key,mom,now){var output=this._calendar[key]||this._calendar.sameElse;return isFunction(output)?output.call(mom,now):output}function longDateFormat(key){var format=this._longDateFormat[key],formatUpper=this._longDateFormat[key.toUpperCase()];return format||!formatUpper?format:(this._longDateFormat[key]=formatUpper.replace(/MMMM|MM|DD|dddd/g,function(val){return val.slice(1)}),this._longDateFormat[key])}function addUnitAlias(unit,shorthand){var lowerCase=unit.toLowerCase();aliases[lowerCase]=aliases[lowerCase+"s"]=aliases[shorthand]=unit}function normalizeUnits(units){return"string"==typeof units?aliases[units]||aliases[units.toLowerCase()]:void 0}function normalizeObjectUnits(inputObject){var normalizedInput={},normalizedProp,prop;for(prop in inputObject)hasOwnProp(inputObject,prop)&&(normalizedProp=normalizeUnits(prop),normalizedProp&&(normalizedInput[normalizedProp]=inputObject[prop]));return normalizedInput}function addUnitPriority(unit,priority){priorities[unit]=priority}function getPrioritizedUnits(unitsObj){var units=[];for(var u in unitsObj)units.push({unit:u,priority:priorities[u]});return units.sort(function(a,b){return a.priority-b.priority}),units}function zeroFill(number,targetLength,forceSign){var absNumber=""+_Mathabs(number),zerosToFill=targetLength-absNumber.length;return(0<=number?forceSign?"+":"":"-")+_Mathpow(10,_Mathmax(0,zerosToFill)).toString().substr(1)+absNumber}function addFormatToken(token,padded,ordinal,callback){var func=callback;"string"==typeof callback&&(func=function(){return this[callback]()}),token&&(formatTokenFunctions[token]=func),padded&&(formatTokenFunctions[padded[0]]=function(){return zeroFill(func.apply(this,arguments),padded[1],padded[2])}),ordinal&&(formatTokenFunctions[ordinal]=function(){return this.localeData().ordinal(func.apply(this,arguments),token)})}function removeFormattingTokens(input){return input.match(/\[[\s\S]/)?input.replace(/^\[|\]$/g,""):input.replace(/\\/g,"")}function makeFormatFunction(format){var array=format.match(formattingTokens),i,length;for(i=0,length=array.length;i<length;i++)array[i]=formatTokenFunctions[array[i]]?formatTokenFunctions[array[i]]:removeFormattingTokens(array[i]);return function(mom){var output="",i;for(i=0;i<length;i++)output+=isFunction(array[i])?array[i].call(mom,format):array[i];return output}}function formatMoment(m,format){return m.isValid()?(format=expandFormat(format,m.localeData()),formatFunctions[format]=formatFunctions[format]||makeFormatFunction(format),formatFunctions[format](m)):m.localeData().invalidDate()}function expandFormat(format,locale){function replaceLongDateFormatTokens(input){return locale.longDateFormat(input)||input}var i=5;for(localFormattingTokens.lastIndex=0;0<=i&&localFormattingTokens.test(format);)format=format.replace(localFormattingTokens,replaceLongDateFormatTokens),localFormattingTokens.lastIndex=0,i-=1;return format}function addRegexToken(token,regex,strictRegex){regexes[token]=isFunction(regex)?regex:function(isStrict){return isStrict&&strictRegex?strictRegex:regex}}function getParseRegexForToken(token,config){return hasOwnProp(regexes,token)?regexes[token](config._strict,config._locale):new RegExp(unescapeFormat(token))}function unescapeFormat(s){return regexEscape(s.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,function(matched,p1,p2,p3,p4){return p1||p2||p3||p4}))}function regexEscape(s){return s.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}function addParseToken(token,callback){var func=callback,i;for("string"==typeof token&&(token=[token]),isNumber(callback)&&(func=function(input,array){array[callback]=toInt(input)}),i=0;i<token.length;i++)tokens[token[i]]=func}function addWeekParseToken(token,callback){addParseToken(token,function(input,array,config,token){config._w=config._w||{},callback(input,config._w,config,token)})}function addTimeToArrayFromToken(token,input,config){null!=input&&hasOwnProp(tokens,token)&&tokens[token](input,config._a,config,token)}function daysInYear(year){return isLeapYear(year)?366:365}function isLeapYear(year){return 0==year%4&&0!=year%100||0==year%400}function makeGetSet(unit,keepTime){return function(value){return null==value?get(this,unit):(set$1(this,unit,value),hooks.updateOffset(this,keepTime),this)}}function get(mom,unit){return mom.isValid()?mom._d["get"+(mom._isUTC?"UTC":"")+unit]():NaN}function set$1(mom,unit,value){mom.isValid()&&!isNaN(value)&&("FullYear"===unit&&isLeapYear(mom.year())&&1===mom.month()&&29===mom.date()?mom._d["set"+(mom._isUTC?"UTC":"")+unit](value,mom.month(),daysInMonth(value,mom.month())):mom._d["set"+(mom._isUTC?"UTC":"")+unit](value))}function stringSet(units,value){if("object"==typeof units){units=normalizeObjectUnits(units);for(var prioritized=getPrioritizedUnits(units),i=0;i<prioritized.length;i++)this[prioritized[i].unit](units[prioritized[i].unit])}else if(units=normalizeUnits(units),isFunction(this[units]))return this[units](value);return this}function mod(n,x){return(n%x+x)%x}function daysInMonth(year,month){if(isNaN(year)||isNaN(month))return NaN;var modMonth=mod(month,12);return year+=(month-modMonth)/12,1===modMonth?isLeapYear(year)?29:28:31-modMonth%7%2}function handleStrictParse(monthName,format,strict){var llc=monthName.toLocaleLowerCase(),i,ii,mom;if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],i=0;12>i;++i)mom=createUTC([2e3,i]),this._shortMonthsParse[i]=this.monthsShort(mom,"").toLocaleLowerCase(),this._longMonthsParse[i]=this.months(mom,"").toLocaleLowerCase();return strict?"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii)}function localeMonthsParse(monthName,format,strict){var i,mom,regex;if(this._monthsParseExact)return handleStrictParse.call(this,monthName,format,strict);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),i=0;12>i;i++){if(mom=createUTC([2e3,i]),strict&&!this._longMonthsParse[i]&&(this._longMonthsParse[i]=new RegExp("^"+this.months(mom,"").replace(".","")+"$","i"),this._shortMonthsParse[i]=new RegExp("^"+this.monthsShort(mom,"").replace(".","")+"$","i")),strict||this._monthsParse[i]||(regex="^"+this.months(mom,"")+"|^"+this.monthsShort(mom,""),this._monthsParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"MMMM"===format&&this._longMonthsParse[i].test(monthName))return i;if(strict&&"MMM"===format&&this._shortMonthsParse[i].test(monthName))return i;if(!strict&&this._monthsParse[i].test(monthName))return i}}function setMonth(mom,value){var dayOfMonth;if(!mom.isValid())return mom;if("string"==typeof value)if(/^\d+$/.test(value))value=toInt(value);else if(value=mom.localeData().monthsParse(value),!isNumber(value))return mom;return dayOfMonth=_Mathmin(mom.date(),daysInMonth(mom.year(),value)),mom._d["set"+(mom._isUTC?"UTC":"")+"Month"](value,dayOfMonth),mom}function getSetMonth(value){return null==value?get(this,"Month"):(setMonth(this,value),hooks.updateOffset(this,!0),this)}function computeMonthsParse(){function cmpLenRev(a,b){return b.length-a.length}var shortPieces=[],longPieces=[],mixedPieces=[],i,mom;for(i=0;12>i;i++)mom=createUTC([2e3,i]),shortPieces.push(this.monthsShort(mom,"")),longPieces.push(this.months(mom,"")),mixedPieces.push(this.months(mom,"")),mixedPieces.push(this.monthsShort(mom,""));for(shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;12>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]);for(i=0;24>i;i++)mixedPieces[i]=regexEscape(mixedPieces[i]);this._monthsRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i")}function createDate(y,m,d,h,M,s,ms){var date;return 100>y&&0<=y?(date=new Date(y+400,m,d,h,M,s,ms),isFinite(date.getFullYear())&&date.setFullYear(y)):date=new Date(y,m,d,h,M,s,ms),date}function createUTCDate(y){var date;if(100>y&&0<=y){var args=Array.prototype.slice.call(arguments);args[0]=y+400,date=new Date(Date.UTC.apply(null,args)),isFinite(date.getUTCFullYear())&&date.setUTCFullYear(y)}else date=new Date(Date.UTC.apply(null,arguments));return date}function firstWeekOffset(year,dow,doy){var fwd=7+dow-doy,fwdlw=(7+createUTCDate(year,0,fwd).getUTCDay()-dow)%7;return-fwdlw+fwd-1}function dayOfYearFromWeeks(year,week,weekday,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),dayOfYear=1+7*(week-1)+(7+weekday-dow)%7+weekOffset,resYear,resDayOfYear;return 0>=dayOfYear?(resYear=year-1,resDayOfYear=daysInYear(resYear)+dayOfYear):dayOfYear>daysInYear(year)?(resYear=year+1,resDayOfYear=dayOfYear-daysInYear(year)):(resYear=year,resDayOfYear=dayOfYear),{year:resYear,dayOfYear:resDayOfYear}}function weekOfYear(mom,dow,doy){var weekOffset=firstWeekOffset(mom.year(),dow,doy),week=_Mathfloor((mom.dayOfYear()-weekOffset-1)/7)+1,resWeek,resYear;return 1>week?(resYear=mom.year()-1,resWeek=week+weeksInYear(resYear,dow,doy)):week>weeksInYear(mom.year(),dow,doy)?(resWeek=week-weeksInYear(mom.year(),dow,doy),resYear=mom.year()+1):(resYear=mom.year(),resWeek=week),{week:resWeek,year:resYear}}function weeksInYear(year,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),weekOffsetNext=firstWeekOffset(year+1,dow,doy);return(daysInYear(year)-weekOffset+weekOffsetNext)/7}function parseWeekday(input,locale){return"string"==typeof input?isNaN(input)?(input=locale.weekdaysParse(input),"number"==typeof input?input:null):parseInt(input,10):input}function parseIsoWeekday(input,locale){return"string"==typeof input?locale.weekdaysParse(input)%7||7:isNaN(input)?null:input}function shiftWeekdays(ws,n){return ws.slice(n,7).concat(ws.slice(0,n))}function handleStrictParse$1(weekdayName,format,strict){var llc=weekdayName.toLocaleLowerCase(),i,ii,mom;if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],i=0;7>i;++i)mom=createUTC([2e3,1]).day(i),this._minWeekdaysParse[i]=this.weekdaysMin(mom,"").toLocaleLowerCase(),this._shortWeekdaysParse[i]=this.weekdaysShort(mom,"").toLocaleLowerCase(),this._weekdaysParse[i]=this.weekdays(mom,"").toLocaleLowerCase();return strict?"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii)}function localeWeekdaysParse(weekdayName,format,strict){var i,mom,regex;if(this._weekdaysParseExact)return handleStrictParse$1.call(this,weekdayName,format,strict);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),i=0;7>i;i++){if(mom=createUTC([2e3,1]).day(i),strict&&!this._fullWeekdaysParse[i]&&(this._fullWeekdaysParse[i]=new RegExp("^"+this.weekdays(mom,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[i]=new RegExp("^"+this.weekdaysShort(mom,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[i]=new RegExp("^"+this.weekdaysMin(mom,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[i]||(regex="^"+this.weekdays(mom,"")+"|^"+this.weekdaysShort(mom,"")+"|^"+this.weekdaysMin(mom,""),this._weekdaysParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"dddd"===format&&this._fullWeekdaysParse[i].test(weekdayName))return i;if(strict&&"ddd"===format&&this._shortWeekdaysParse[i].test(weekdayName))return i;if(strict&&"dd"===format&&this._minWeekdaysParse[i].test(weekdayName))return i;if(!strict&&this._weekdaysParse[i].test(weekdayName))return i}}function computeWeekdaysParse(){function cmpLenRev(a,b){return b.length-a.length}var minPieces=[],shortPieces=[],longPieces=[],mixedPieces=[],i,mom,minp,shortp,longp;for(i=0;7>i;i++)mom=createUTC([2e3,1]).day(i),minp=this.weekdaysMin(mom,""),shortp=this.weekdaysShort(mom,""),longp=this.weekdays(mom,""),minPieces.push(minp),shortPieces.push(shortp),longPieces.push(longp),mixedPieces.push(minp),mixedPieces.push(shortp),mixedPieces.push(longp);for(minPieces.sort(cmpLenRev),shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;7>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]),mixedPieces[i]=regexEscape(mixedPieces[i]);this._weekdaysRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+minPieces.join("|")+")","i")}function hFormat(){return this.hours()%12||12}function meridiem(token,lowercase){addFormatToken(token,0,0,function(){return this.localeData().meridiem(this.hours(),this.minutes(),lowercase)})}function matchMeridiem(isStrict,locale){return locale._meridiemParse}function normalizeLocale(key){return key?key.toLowerCase().replace("_","-"):key}function chooseLocale(names){for(var i=0,j,next,locale,split;i<names.length;){for(split=normalizeLocale(names[i]).split("-"),j=split.length,next=normalizeLocale(names[i+1]),next=next?next.split("-"):null;0<j;){if(locale=loadLocale(split.slice(0,j).join("-")),locale)return locale;if(next&&next.length>=j&&compareArrays(split,next,!0)>=j-1)break;j--}i++}return globalLocale}function loadLocale(name){var oldLocale=null;if(!locales[name]&&!0&&module&&module.exports)try{oldLocale=globalLocale._abbr;commonjsRequire$1("./locale/"+name),getSetGlobalLocale(oldLocale)}catch(e){}return locales[name]}function getSetGlobalLocale(key,values){var data;return key&&(data=isUndefined(values)?getLocale(key):defineLocale(key,values),data?globalLocale=data:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+key+" not found. Did you forget to load it?")),globalLocale._abbr}function defineLocale(name,config){if(null!==config){var parentConfig=baseConfig,locale;if(config.abbr=name,null!=locales[name])deprecateSimple("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),parentConfig=locales[name]._config;else if(null!=config.parentLocale)if(null!=locales[config.parentLocale])parentConfig=locales[config.parentLocale]._config;else if(locale=loadLocale(config.parentLocale),null!=locale)parentConfig=locale._config;else return localeFamilies[config.parentLocale]||(localeFamilies[config.parentLocale]=[]),localeFamilies[config.parentLocale].push({name:name,config:config}),null;return locales[name]=new Locale(mergeConfigs(parentConfig,config)),localeFamilies[name]&&localeFamilies[name].forEach(function(x){defineLocale(x.name,x.config)}),getSetGlobalLocale(name),locales[name]}return delete locales[name],null}function getLocale(key){var locale;if(key&&key._locale&&key._locale._abbr&&(key=key._locale._abbr),!key)return globalLocale;if(!isArray(key)){if(locale=loadLocale(key),locale)return locale;key=[key]}return chooseLocale(key)}function listLocales(){return keys(locales)}function checkOverflow(m){var a=m._a,overflow;return a&&-2===getParsingFlags(m).overflow&&(overflow=0>a[1]||11<a[1]?1:1>a[2]||a[2]>daysInMonth(a[0],a[1])?2:0>a[3]||24<a[3]||24===a[3]&&(0!==a[4]||0!==a[5]||0!==a[6])?3:0>a[4]||59<a[4]?4:0>a[5]||59<a[5]?5:0>a[6]||999<a[6]?6:-1,getParsingFlags(m)._overflowDayOfYear&&(0>overflow||2<overflow)&&(overflow=2),getParsingFlags(m)._overflowWeeks&&-1===overflow&&(overflow=7),getParsingFlags(m)._overflowWeekday&&-1===overflow&&(overflow=8),getParsingFlags(m).overflow=overflow),m}function defaults(a,b,c){return null==a?null==b?c:b:a}function currentDateArray(config){var nowValue=new Date(hooks.now());return config._useUTC?[nowValue.getUTCFullYear(),nowValue.getUTCMonth(),nowValue.getUTCDate()]:[nowValue.getFullYear(),nowValue.getMonth(),nowValue.getDate()]}function configFromArray(config){var input=[],i,date,currentDate,expectedWeekday,yearToUse;if(!config._d){for(currentDate=currentDateArray(config),config._w&&null==config._a[2]&&null==config._a[1]&&dayOfYearFromWeekInfo(config),null!=config._dayOfYear&&(yearToUse=defaults(config._a[0],currentDate[0]),(config._dayOfYear>daysInYear(yearToUse)||0===config._dayOfYear)&&(getParsingFlags(config)._overflowDayOfYear=!0),date=createUTCDate(yearToUse,0,config._dayOfYear),config._a[1]=date.getUTCMonth(),config._a[2]=date.getUTCDate()),i=0;3>i&&null==config._a[i];++i)config._a[i]=input[i]=currentDate[i];for(;7>i;i++)config._a[i]=input[i]=null==config._a[i]?2===i?1:0:config._a[i];24===config._a[3]&&0===config._a[4]&&0===config._a[5]&&0===config._a[6]&&(config._nextDay=!0,config._a[3]=0),config._d=(config._useUTC?createUTCDate:createDate).apply(null,input),expectedWeekday=config._useUTC?config._d.getUTCDay():config._d.getDay(),null!=config._tzm&&config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),config._nextDay&&(config._a[3]=24),config._w&&"undefined"!=typeof config._w.d&&config._w.d!==expectedWeekday&&(getParsingFlags(config).weekdayMismatch=!0)}}function dayOfYearFromWeekInfo(config){var w,weekYear,week,weekday,dow,doy,temp,weekdayOverflow;if(w=config._w,null!=w.GG||null!=w.W||null!=w.E)dow=1,doy=4,weekYear=defaults(w.GG,config._a[0],weekOfYear(createLocal(),1,4).year),week=defaults(w.W,1),weekday=defaults(w.E,1),(1>weekday||7<weekday)&&(weekdayOverflow=!0);else{dow=config._locale._week.dow,doy=config._locale._week.doy;var curWeek=weekOfYear(createLocal(),dow,doy);weekYear=defaults(w.gg,config._a[0],curWeek.year),week=defaults(w.w,curWeek.week),null==w.d?null==w.e?weekday=dow:(weekday=w.e+dow,(0>w.e||6<w.e)&&(weekdayOverflow=!0)):(weekday=w.d,(0>weekday||6<weekday)&&(weekdayOverflow=!0))}1>week||week>weeksInYear(weekYear,dow,doy)?getParsingFlags(config)._overflowWeeks=!0:null==weekdayOverflow?(temp=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),config._a[0]=temp.year,config._dayOfYear=temp.dayOfYear):getParsingFlags(config)._overflowWeekday=!0}function configFromISO(config){var string=config._i,match=extendedIsoRegex.exec(string)||basicIsoRegex.exec(string),i,l,allowTime,dateFormat,timeFormat,tzFormat;if(match){for(getParsingFlags(config).iso=!0,i=0,l=isoDates.length;i<l;i++)if(isoDates[i][1].exec(match[1])){dateFormat=isoDates[i][0],allowTime=!1!==isoDates[i][2];break}if(null==dateFormat)return void(config._isValid=!1);if(match[3]){for(i=0,l=isoTimes.length;i<l;i++)if(isoTimes[i][1].exec(match[3])){timeFormat=(match[2]||" ")+isoTimes[i][0];break}if(null==timeFormat)return void(config._isValid=!1)}if(!allowTime&&null!=timeFormat)return void(config._isValid=!1);if(match[4])if(tzRegex.exec(match[4]))tzFormat="Z";else return void(config._isValid=!1);config._f=dateFormat+(timeFormat||"")+(tzFormat||""),configFromStringAndFormat(config)}else config._isValid=!1}function extractFromRFC2822Strings(yearStr,monthStr,dayStr,hourStr,minuteStr,secondStr){var result=[untruncateYear(yearStr),defaultLocaleMonthsShort.indexOf(monthStr),parseInt(dayStr,10),parseInt(hourStr,10),parseInt(minuteStr,10)];return secondStr&&result.push(parseInt(secondStr,10)),result}function untruncateYear(yearStr){var year=parseInt(yearStr,10);return 49>=year?2e3+year:999>=year?1900+year:year}function preprocessRFC2822(s){return s.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,"")}function checkWeekday(weekdayStr,parsedInput,config){if(weekdayStr){var weekdayProvided=defaultLocaleWeekdaysShort.indexOf(weekdayStr),weekdayActual=new Date(parsedInput[0],parsedInput[1],parsedInput[2]).getDay();if(weekdayProvided!==weekdayActual)return getParsingFlags(config).weekdayMismatch=!0,config._isValid=!1,!1}return!0}function calculateOffset(obsOffset,militaryOffset,numOffset){if(obsOffset)return obsOffsets[obsOffset];if(militaryOffset)return 0;var hm=parseInt(numOffset,10),m=hm%100;return 60*((hm-m)/100)+m}function configFromRFC2822(config){var match=rfc2822.exec(preprocessRFC2822(config._i));if(match){var parsedArray=extractFromRFC2822Strings(match[4],match[3],match[2],match[5],match[6],match[7]);if(!checkWeekday(match[1],parsedArray,config))return;config._a=parsedArray,config._tzm=calculateOffset(match[8],match[9],match[10]),config._d=createUTCDate.apply(null,config._a),config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),getParsingFlags(config).rfc2822=!0}else config._isValid=!1}function configFromString(config){var matched=aspNetJsonRegex.exec(config._i);if(null!==matched)return void(config._d=new Date(+matched[1]));if(configFromISO(config),!1===config._isValid)delete config._isValid;else return;if(configFromRFC2822(config),!1===config._isValid)delete config._isValid;else return;hooks.createFromInputFallback(config)}function configFromStringAndFormat(config){if(config._f===hooks.ISO_8601)return void configFromISO(config);if(config._f===hooks.RFC_2822)return void configFromRFC2822(config);config._a=[],getParsingFlags(config).empty=!0;var string=""+config._i,stringLength=string.length,totalParsedInputLength=0,i,parsedInput,tokens,token,skipped;for(tokens=expandFormat(config._f,config._locale).match(formattingTokens)||[],i=0;i<tokens.length;i++)token=tokens[i],parsedInput=(string.match(getParseRegexForToken(token,config))||[])[0],parsedInput&&(skipped=string.substr(0,string.indexOf(parsedInput)),0<skipped.length&&getParsingFlags(config).unusedInput.push(skipped),string=string.slice(string.indexOf(parsedInput)+parsedInput.length),totalParsedInputLength+=parsedInput.length),formatTokenFunctions[token]?(parsedInput?getParsingFlags(config).empty=!1:getParsingFlags(config).unusedTokens.push(token),addTimeToArrayFromToken(token,parsedInput,config)):config._strict&&!parsedInput&&getParsingFlags(config).unusedTokens.push(token);getParsingFlags(config).charsLeftOver=stringLength-totalParsedInputLength,0<string.length&&getParsingFlags(config).unusedInput.push(string),12>=config._a[3]&&!0===getParsingFlags(config).bigHour&&0<config._a[3]&&(getParsingFlags(config).bigHour=void 0),getParsingFlags(config).parsedDateParts=config._a.slice(0),getParsingFlags(config).meridiem=config._meridiem,config._a[3]=meridiemFixWrap(config._locale,config._a[3],config._meridiem),configFromArray(config),checkOverflow(config)}function meridiemFixWrap(locale,hour,meridiem){var isPm;return null==meridiem?hour:null==locale.meridiemHour?null==locale.isPM?hour:(isPm=locale.isPM(meridiem),isPm&&12>hour&&(hour+=12),isPm||12!==hour||(hour=0),hour):locale.meridiemHour(hour,meridiem)}function configFromStringAndArray(config){var tempConfig,bestMoment,scoreToBeat,i,currentScore;if(0===config._f.length)return getParsingFlags(config).invalidFormat=!0,void(config._d=new Date(NaN));for(i=0;i<config._f.length;i++)(currentScore=0,tempConfig=copyConfig({},config),null!=config._useUTC&&(tempConfig._useUTC=config._useUTC),tempConfig._f=config._f[i],configFromStringAndFormat(tempConfig),!!isValid(tempConfig))&&(currentScore+=getParsingFlags(tempConfig).charsLeftOver,currentScore+=10*getParsingFlags(tempConfig).unusedTokens.length,getParsingFlags(tempConfig).score=currentScore,(null==scoreToBeat||currentScore<scoreToBeat)&&(scoreToBeat=currentScore,bestMoment=tempConfig));extend(config,bestMoment||tempConfig)}function configFromObject(config){if(!config._d){var i=normalizeObjectUnits(config._i);config._a=map([i.year,i.month,i.day||i.date,i.hour,i.minute,i.second,i.millisecond],function(obj){return obj&&parseInt(obj,10)}),configFromArray(config)}}function createFromConfig(config){var res=new Moment(checkOverflow(prepareConfig(config)));return res._nextDay&&(res.add(1,"d"),res._nextDay=void 0),res}function prepareConfig(config){var input=config._i,format=config._f;return(config._locale=config._locale||getLocale(config._l),null===input||void 0===format&&""===input)?createInvalid({nullInput:!0}):("string"==typeof input&&(config._i=input=config._locale.preparse(input)),isMoment(input))?new Moment(checkOverflow(input)):(isDate(input)?config._d=input:isArray(format)?configFromStringAndArray(config):format?configFromStringAndFormat(config):configFromInput(config),isValid(config)||(config._d=null),config)}function configFromInput(config){var input=config._i;isUndefined(input)?config._d=new Date(hooks.now()):isDate(input)?config._d=new Date(input.valueOf()):"string"==typeof input?configFromString(config):isArray(input)?(config._a=map(input.slice(0),function(obj){return parseInt(obj,10)}),configFromArray(config)):isObject(input)?configFromObject(config):isNumber(input)?config._d=new Date(input):hooks.createFromInputFallback(config)}function createLocalOrUTC(input,format,locale,strict,isUTC){var c={};return(!0===locale||!1===locale)&&(strict=locale,locale=void 0),(isObject(input)&&isObjectEmpty(input)||isArray(input)&&0===input.length)&&(input=void 0),c._isAMomentObject=!0,c._useUTC=c._isUTC=isUTC,c._l=locale,c._i=input,c._f=format,c._strict=strict,createFromConfig(c)}function createLocal(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!1)}function pickBy(fn,moments){var res,i;if(1===moments.length&&isArray(moments[0])&&(moments=moments[0]),!moments.length)return createLocal();for(res=moments[0],i=1;i<moments.length;++i)(!moments[i].isValid()||moments[i][fn](res))&&(res=moments[i]);return res}function isDurationValid(m){for(var key in m)if(-1===indexOf.call(ordering,key)||null!=m[key]&&isNaN(m[key]))return!1;for(var unitHasDecimal=!1,i=0;i<ordering.length;++i)if(m[ordering[i]]){if(unitHasDecimal)return!1;parseFloat(m[ordering[i]])!==toInt(m[ordering[i]])&&(unitHasDecimal=!0)}return!0}function Duration(duration){var normalizedInput=normalizeObjectUnits(duration),years=normalizedInput.year||0,quarters=normalizedInput.quarter||0,months=normalizedInput.month||0,weeks=normalizedInput.week||normalizedInput.isoWeek||0,days=normalizedInput.day||0,hours=normalizedInput.hour||0,minutes=normalizedInput.minute||0,seconds=normalizedInput.second||0,milliseconds=normalizedInput.millisecond||0;this._isValid=isDurationValid(normalizedInput),this._milliseconds=+milliseconds+1e3*seconds+6e4*minutes+60*(60*(1e3*hours)),this._days=+days+7*weeks,this._months=+months+3*quarters+12*years,this._data={},this._locale=getLocale(),this._bubble()}function isDuration(obj){return obj instanceof Duration}function absRound(number){return 0>number?-1*_Mathround(-1*number):_Mathround(number)}function offset(token,separator){addFormatToken(token,0,0,function(){var offset=this.utcOffset(),sign="+";return 0>offset&&(offset=-offset,sign="-"),sign+zeroFill(~~(offset/60),2)+separator+zeroFill(~~offset%60,2)})}function offsetFromString(matcher,string){var matches=(string||"").match(matcher);if(null===matches)return null;var chunk=matches[matches.length-1]||[],parts=(chunk+"").match(chunkOffset)||["-",0,0],minutes=+(60*parts[1])+toInt(parts[2]);return 0===minutes?0:"+"===parts[0]?minutes:-minutes}function cloneWithOffset(input,model){var res,diff;return model._isUTC?(res=model.clone(),diff=(isMoment(input)||isDate(input)?input.valueOf():createLocal(input).valueOf())-res.valueOf(),res._d.setTime(res._d.valueOf()+diff),hooks.updateOffset(res,!1),res):createLocal(input).local()}function getDateOffset(m){return 15*-_Mathround(m._d.getTimezoneOffset()/15)}function isDaylightSavingTimeShifted(){if(!isUndefined(this._isDSTShifted))return this._isDSTShifted;var c={};if(copyConfig(c,this),c=prepareConfig(c),c._a){var other=c._isUTC?createUTC(c._a):createLocal(c._a);this._isDSTShifted=this.isValid()&&0<compareArrays(c._a,other.toArray())}else this._isDSTShifted=!1;return this._isDSTShifted}function isUtc(){return!!this.isValid()&&this._isUTC&&0===this._offset}function createDuration(input,key){var duration=input,match=null,sign,ret,diffRes;return isDuration(input)?duration={ms:input._milliseconds,d:input._days,M:input._months}:isNumber(input)?(duration={},key?duration[key]=input:duration.milliseconds=input):(match=aspNetRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:0,d:toInt(match[2])*sign,h:toInt(match[3])*sign,m:toInt(match[4])*sign,s:toInt(match[5])*sign,ms:toInt(absRound(1e3*match[6]))*sign}):(match=isoRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:parseIso(match[2],sign),M:parseIso(match[3],sign),w:parseIso(match[4],sign),d:parseIso(match[5],sign),h:parseIso(match[6],sign),m:parseIso(match[7],sign),s:parseIso(match[8],sign)}):null==duration?duration={}:"object"==typeof duration&&(("from"in duration)||("to"in duration))&&(diffRes=momentsDifference(createLocal(duration.from),createLocal(duration.to)),duration={},duration.ms=diffRes.milliseconds,duration.M=diffRes.months),ret=new Duration(duration),isDuration(input)&&hasOwnProp(input,"_locale")&&(ret._locale=input._locale),ret}function parseIso(inp,sign){var res=inp&&parseFloat(inp.replace(",","."));return(isNaN(res)?0:res)*sign}function positiveMomentsDifference(base,other){var res={};return res.months=other.month()-base.month()+12*(other.year()-base.year()),base.clone().add(res.months,"M").isAfter(other)&&--res.months,res.milliseconds=+other-+base.clone().add(res.months,"M"),res}function momentsDifference(base,other){var res;return base.isValid()&&other.isValid()?(other=cloneWithOffset(other,base),base.isBefore(other)?res=positiveMomentsDifference(base,other):(res=positiveMomentsDifference(other,base),res.milliseconds=-res.milliseconds,res.months=-res.months),res):{milliseconds:0,months:0}}function createAdder(direction,name){return function(val,period){var dur,tmp;return null===period||isNaN(+period)||(deprecateSimple(name,"moment()."+name+"(period, number) is deprecated. Please use moment()."+name+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),tmp=val,val=period,period=tmp),val="string"==typeof val?+val:val,dur=createDuration(val,period),addSubtract(this,dur,direction),this}}function addSubtract(mom,duration,isAdding,updateOffset){var milliseconds=duration._milliseconds,days=absRound(duration._days),months=absRound(duration._months);mom.isValid()&&(updateOffset=null==updateOffset||updateOffset,months&&setMonth(mom,get(mom,"Month")+months*isAdding),days&&set$1(mom,"Date",get(mom,"Date")+days*isAdding),milliseconds&&mom._d.setTime(mom._d.valueOf()+milliseconds*isAdding),updateOffset&&hooks.updateOffset(mom,days||months))}function monthDiff(a,b){var wholeMonthDiff=12*(b.year()-a.year())+(b.month()-a.month()),anchor=a.clone().add(wholeMonthDiff,"months"),anchor2,adjust;return 0>b-anchor?(anchor2=a.clone().add(wholeMonthDiff-1,"months"),adjust=(b-anchor)/(anchor-anchor2)):(anchor2=a.clone().add(wholeMonthDiff+1,"months"),adjust=(b-anchor)/(anchor2-anchor)),-(wholeMonthDiff+adjust)||0}function locale(key){var newLocaleData;return void 0===key?this._locale._abbr:(newLocaleData=getLocale(key),null!=newLocaleData&&(this._locale=newLocaleData),this)}function localeData(){return this._locale}function mod$1(dividend,divisor){return(dividend%divisor+divisor)%divisor}function localStartOfDate(y,m,d){return 100>y&&0<=y?new Date(y+400,m,d)-12622780800000:new Date(y,m,d).valueOf()}function utcStartOfDate(y,m,d){return 100>y&&0<=y?Date.UTC(y+400,m,d)-12622780800000:Date.UTC(y,m,d)}function addWeekYearFormatToken(token,getter){addFormatToken(0,[token,token.length],0,getter)}function getSetWeekYearHelper(input,week,weekday,dow,doy){var weeksTarget;return null==input?weekOfYear(this,dow,doy).year:(weeksTarget=weeksInYear(input,dow,doy),week>weeksTarget&&(week=weeksTarget),setWeekAll.call(this,input,week,weekday,dow,doy))}function setWeekAll(weekYear,week,weekday,dow,doy){var dayOfYearData=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),date=createUTCDate(dayOfYearData.year,0,dayOfYearData.dayOfYear);return this.year(date.getUTCFullYear()),this.month(date.getUTCMonth()),this.date(date.getUTCDate()),this}function parseMs(input,array){array[6]=toInt(1e3*("0."+input))}function preParsePostFormat(string){return string}function get$1(format,index,field,setter){var locale=getLocale(),utc=createUTC().set(setter,index);return locale[field](utc,format)}function listMonthsImpl(format,index,field){if(isNumber(format)&&(index=format,format=void 0),format=format||"",null!=index)return get$1(format,index,field,"month");var out=[],i;for(i=0;12>i;i++)out[i]=get$1(format,i,field,"month");return out}function listWeekdaysImpl(localeSorted,format,index,field){"boolean"==typeof localeSorted?(isNumber(format)&&(index=format,format=void 0),format=format||""):(format=localeSorted,index=format,localeSorted=!1,isNumber(format)&&(index=format,format=void 0),format=format||"");var locale=getLocale(),shift=localeSorted?locale._week.dow:0;if(null!=index)return get$1(format,(index+shift)%7,field,"day");var out=[],i;for(i=0;7>i;i++)out[i]=get$1(format,(i+shift)%7,field,"day");return out}function addSubtract$1(duration,input,value,direction){var other=createDuration(input,value);return duration._milliseconds+=direction*other._milliseconds,duration._days+=direction*other._days,duration._months+=direction*other._months,duration._bubble()}function absCeil(number){return 0>number?_Mathfloor(number):_Mathceil(number)}function daysToMonths(days){return 4800*days/146097}function monthsToDays(months){return 146097*months/4800}function makeAs(alias){return function(){return this.as(alias)}}function makeGetter(name){return function(){return this.isValid()?this._data[name]:NaN}}function substituteTimeAgo(string,number,withoutSuffix,isFuture,locale){return locale.relativeTime(number||1,!!withoutSuffix,string,isFuture)}function relativeTime$1(posNegDuration,withoutSuffix,locale){var duration=createDuration(posNegDuration).abs(),seconds=round(duration.as("s")),minutes=round(duration.as("m")),hours=round(duration.as("h")),days=round(duration.as("d")),months=round(duration.as("M")),years=round(duration.as("y")),a=seconds<=thresholds.ss&&["s",seconds]||seconds<thresholds.s&&["ss",seconds]||1>=minutes&&["m"]||minutes<thresholds.m&&["mm",minutes]||1>=hours&&["h"]||hours<thresholds.h&&["hh",hours]||1>=days&&["d"]||days<thresholds.d&&["dd",days]||1>=months&&["M"]||months<thresholds.M&&["MM",months]||1>=years&&["y"]||["yy",years];return a[2]=withoutSuffix,a[3]=0<+posNegDuration,a[4]=locale,substituteTimeAgo.apply(null,a)}function getSetRelativeTimeRounding(roundingFunction){return void 0===roundingFunction?round:"function"==typeof roundingFunction&&(round=roundingFunction,!0)}function sign(x){return(0<x)-(0>x)||+x}function toISOString$1(){if(!this.isValid())return this.localeData().invalidDate();var seconds=abs$1(this._milliseconds)/1e3,days=abs$1(this._days),months=abs$1(this._months),minutes,hours,years;minutes=absFloor(seconds/60),hours=absFloor(minutes/60),seconds%=60,minutes%=60,years=absFloor(months/12),months%=12;var Y=years,M=months,D=days,h=hours,m=minutes,s=seconds?seconds.toFixed(3).replace(/\.?0+$/,""):"",total=this.asSeconds();if(!total)return"P0D";var totalSign=0>total?"-":"",ymSign=sign(this._months)===sign(total)?"":"-",daysSign=sign(this._days)===sign(total)?"":"-",hmsSign=sign(this._milliseconds)===sign(total)?"":"-";return totalSign+"P"+(Y?ymSign+Y+"Y":"")+(M?ymSign+M+"M":"")+(D?daysSign+D+"D":"")+(h||m||s?"T":"")+(h?hmsSign+h+"H":"")+(m?hmsSign+m+"M":"")+(s?hmsSign+s+"S":"")}var hookCallback,some;some=Array.prototype.some?Array.prototype.some:function(fun){for(var t=Object(this),len=t.length>>>0,i=0;i<len;i++)if((i in t)&&fun.call(this,t[i],i,t))return!0;return!1};var momentProperties=hooks.momentProperties=[],updateInProgress=!1,deprecations={};hooks.suppressDeprecationWarnings=!1,hooks.deprecationHandler=null;var keys=Object.keys?Object.keys:function(obj){var res=[],i;for(i in obj)hasOwnProp(obj,i)&&res.push(i);return res};var defaultDayOfMonthOrdinalParse=/\d{1,2}/,aliases={},priorities={},formattingTokens=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,localFormattingTokens=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,formatFunctions={},formatTokenFunctions={},match1=/\d/,match2=/\d\d/,match3=/\d{3}/,match4=/\d{4}/,match6=/[+-]?\d{6}/,match1to2=/\d\d?/,match3to4=/\d\d\d\d?/,match5to6=/\d\d\d\d\d\d?/,match1to3=/\d{1,3}/,match1to4=/\d{1,4}/,match1to6=/[+-]?\d{1,6}/,matchUnsigned=/\d+/,matchSigned=/[+-]?\d+/,matchOffset=/Z|[+-]\d\d:?\d\d/gi,matchShortOffset=/Z|[+-]\d\d(?::?\d\d)?/gi,matchTimestamp=/[+-]?\d+(\.\d{1,3})?/,matchWord=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,regexes={},tokens={},YEAR=0,MONTH=1,DATE=2,HOUR=3,MINUTE=4,SECOND=5;addFormatToken("Y",0,0,function(){var y=this.year();return 9999>=y?""+y:"+"+y}),addFormatToken(0,["YY",2],0,function(){return this.year()%100}),addFormatToken(0,["YYYY",4],0,"year"),addFormatToken(0,["YYYYY",5],0,"year"),addFormatToken(0,["YYYYYY",6,!0],0,"year"),addUnitAlias("year","y"),addUnitPriority("year",1),addRegexToken("Y",matchSigned),addRegexToken("YY",match1to2,match2),addRegexToken("YYYY",match1to4,match4),addRegexToken("YYYYY",match1to6,match6),addRegexToken("YYYYYY",match1to6,match6),addParseToken(["YYYYY","YYYYYY"],YEAR),addParseToken("YYYY",function(input,array){array[YEAR]=2===input.length?hooks.parseTwoDigitYear(input):toInt(input)}),addParseToken("YY",function(input,array){array[YEAR]=hooks.parseTwoDigitYear(input)}),addParseToken("Y",function(input,array){array[YEAR]=parseInt(input,10)}),hooks.parseTwoDigitYear=function(input){return toInt(input)+(68<toInt(input)?1900:2e3)};var getSetYear=makeGetSet("FullYear",!0),indexOf;indexOf=Array.prototype.indexOf?Array.prototype.indexOf:function(o){var i;for(i=0;i<this.length;++i)if(this[i]===o)return i;return-1},addFormatToken("M",["MM",2],"Mo",function(){return this.month()+1}),addFormatToken("MMM",0,0,function(format){return this.localeData().monthsShort(this,format)}),addFormatToken("MMMM",0,0,function(format){return this.localeData().months(this,format)}),addUnitAlias("month","M"),addUnitPriority("month",8),addRegexToken("M",match1to2),addRegexToken("MM",match1to2,match2),addRegexToken("MMM",function(isStrict,locale){return locale.monthsShortRegex(isStrict)}),addRegexToken("MMMM",function(isStrict,locale){return locale.monthsRegex(isStrict)}),addParseToken(["M","MM"],function(input,array){array[MONTH]=toInt(input)-1}),addParseToken(["MMM","MMMM"],function(input,array,config,token){var month=config._locale.monthsParse(input,token,config._strict);null==month?getParsingFlags(config).invalidMonth=input:array[MONTH]=month});var MONTHS_IN_FORMAT=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,defaultLocaleMonthsShort=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];addFormatToken("w",["ww",2],"wo","week"),addFormatToken("W",["WW",2],"Wo","isoWeek"),addUnitAlias("week","w"),addUnitAlias("isoWeek","W"),addUnitPriority("week",5),addUnitPriority("isoWeek",5),addRegexToken("w",match1to2),addRegexToken("ww",match1to2,match2),addRegexToken("W",match1to2),addRegexToken("WW",match1to2,match2),addWeekParseToken(["w","ww","W","WW"],function(input,week,config,token){week[token.substr(0,1)]=toInt(input)});addFormatToken("d",0,"do","day"),addFormatToken("dd",0,0,function(format){return this.localeData().weekdaysMin(this,format)}),addFormatToken("ddd",0,0,function(format){return this.localeData().weekdaysShort(this,format)}),addFormatToken("dddd",0,0,function(format){return this.localeData().weekdays(this,format)}),addFormatToken("e",0,0,"weekday"),addFormatToken("E",0,0,"isoWeekday"),addUnitAlias("day","d"),addUnitAlias("weekday","e"),addUnitAlias("isoWeekday","E"),addUnitPriority("day",11),addUnitPriority("weekday",11),addUnitPriority("isoWeekday",11),addRegexToken("d",match1to2),addRegexToken("e",match1to2),addRegexToken("E",match1to2),addRegexToken("dd",function(isStrict,locale){return locale.weekdaysMinRegex(isStrict)}),addRegexToken("ddd",function(isStrict,locale){return locale.weekdaysShortRegex(isStrict)}),addRegexToken("dddd",function(isStrict,locale){return locale.weekdaysRegex(isStrict)}),addWeekParseToken(["dd","ddd","dddd"],function(input,week,config,token){var weekday=config._locale.weekdaysParse(input,token,config._strict);null==weekday?getParsingFlags(config).invalidWeekday=input:week.d=weekday}),addWeekParseToken(["d","e","E"],function(input,week,config,token){week[token]=toInt(input)});var defaultLocaleWeekdaysShort=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];addFormatToken("H",["HH",2],0,"hour"),addFormatToken("h",["hh",2],0,hFormat),addFormatToken("k",["kk",2],0,function(){return this.hours()||24}),addFormatToken("hmm",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)}),addFormatToken("hmmss",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),addFormatToken("Hmm",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)}),addFormatToken("Hmmss",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),meridiem("a",!0),meridiem("A",!1),addUnitAlias("hour","h"),addUnitPriority("hour",13),addRegexToken("a",matchMeridiem),addRegexToken("A",matchMeridiem),addRegexToken("H",match1to2),addRegexToken("h",match1to2),addRegexToken("k",match1to2),addRegexToken("HH",match1to2,match2),addRegexToken("hh",match1to2,match2),addRegexToken("kk",match1to2,match2),addRegexToken("hmm",match3to4),addRegexToken("hmmss",match5to6),addRegexToken("Hmm",match3to4),addRegexToken("Hmmss",match5to6),addParseToken(["H","HH"],HOUR),addParseToken(["k","kk"],function(input,array){var kInput=toInt(input);array[HOUR]=24===kInput?0:kInput}),addParseToken(["a","A"],function(input,array,config){config._isPm=config._locale.isPM(input),config._meridiem=input}),addParseToken(["h","hh"],function(input,array,config){array[HOUR]=toInt(input),getParsingFlags(config).bigHour=!0}),addParseToken("hmm",function(input,array,config){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos)),getParsingFlags(config).bigHour=!0}),addParseToken("hmmss",function(input,array,config){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2)),getParsingFlags(config).bigHour=!0}),addParseToken("Hmm",function(input,array){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos))}),addParseToken("Hmmss",function(input,array){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2))});var defaultLocaleMeridiemParse=/[ap]\.?m?\.?/i,getSetHour=makeGetSet("Hours",!0),baseConfig={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:defaultDayOfMonthOrdinalParse,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:defaultLocaleMonthsShort,week:{dow:0,doy:6},weekdays:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],weekdaysMin:["Su","Mo","Tu","We","Th","Fr","Sa"],weekdaysShort:defaultLocaleWeekdaysShort,meridiemParse:defaultLocaleMeridiemParse},locales={},localeFamilies={},extendedIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,basicIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,tzRegex=/Z|[+-]\d\d(?::?\d\d)?/,isoDates=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],isoTimes=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],aspNetJsonRegex=/^\/?Date\((\-?\d+)/i,rfc2822=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/,obsOffsets={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480},globalLocale;hooks.createFromInputFallback=deprecate("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",function(config){config._d=new Date(config._i+(config._useUTC?" UTC":""))}),hooks.ISO_8601=function(){},hooks.RFC_2822=function(){};var prototypeMin=deprecate("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other<this?this:other:createInvalid()}),prototypeMax=deprecate("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other>this?this:other:createInvalid()}),ordering=["year","quarter","month","week","day","hour","minute","second","millisecond"];offset("Z",":"),offset("ZZ",""),addRegexToken("Z",matchShortOffset),addRegexToken("ZZ",matchShortOffset),addParseToken(["Z","ZZ"],function(input,array,config){config._useUTC=!0,config._tzm=offsetFromString(matchShortOffset,input)});var chunkOffset=/([\+\-]|\d\d)/gi;hooks.updateOffset=function(){};var aspNetRegex=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,isoRegex=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;createDuration.fn=Duration.prototype,createDuration.invalid=function(){return createDuration(NaN)};var add=createAdder(1,"add"),subtract=createAdder(-1,"subtract");hooks.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",hooks.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var lang=deprecate("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",function(key){return void 0===key?this.localeData():this.locale(key)});addFormatToken(0,["gg",2],0,function(){return this.weekYear()%100}),addFormatToken(0,["GG",2],0,function(){return this.isoWeekYear()%100}),addWeekYearFormatToken("gggg","weekYear"),addWeekYearFormatToken("ggggg","weekYear"),addWeekYearFormatToken("GGGG","isoWeekYear"),addWeekYearFormatToken("GGGGG","isoWeekYear"),addUnitAlias("weekYear","gg"),addUnitAlias("isoWeekYear","GG"),addUnitPriority("weekYear",1),addUnitPriority("isoWeekYear",1),addRegexToken("G",matchSigned),addRegexToken("g",matchSigned),addRegexToken("GG",match1to2,match2),addRegexToken("gg",match1to2,match2),addRegexToken("GGGG",match1to4,match4),addRegexToken("gggg",match1to4,match4),addRegexToken("GGGGG",match1to6,match6),addRegexToken("ggggg",match1to6,match6),addWeekParseToken(["gggg","ggggg","GGGG","GGGGG"],function(input,week,config,token){week[token.substr(0,2)]=toInt(input)}),addWeekParseToken(["gg","GG"],function(input,week,config,token){week[token]=hooks.parseTwoDigitYear(input)}),addFormatToken("Q",0,"Qo","quarter"),addUnitAlias("quarter","Q"),addUnitPriority("quarter",7),addRegexToken("Q",match1),addParseToken("Q",function(input,array){array[MONTH]=3*(toInt(input)-1)}),addFormatToken("D",["DD",2],"Do","date"),addUnitAlias("date","D"),addUnitPriority("date",9),addRegexToken("D",match1to2),addRegexToken("DD",match1to2,match2),addRegexToken("Do",function(isStrict,locale){return isStrict?locale._dayOfMonthOrdinalParse||locale._ordinalParse:locale._dayOfMonthOrdinalParseLenient}),addParseToken(["D","DD"],DATE),addParseToken("Do",function(input,array){array[DATE]=toInt(input.match(match1to2)[0])});var getSetDayOfMonth=makeGetSet("Date",!0);addFormatToken("DDD",["DDDD",3],"DDDo","dayOfYear"),addUnitAlias("dayOfYear","DDD"),addUnitPriority("dayOfYear",4),addRegexToken("DDD",match1to3),addRegexToken("DDDD",match3),addParseToken(["DDD","DDDD"],function(input,array,config){config._dayOfYear=toInt(input)}),addFormatToken("m",["mm",2],0,"minute"),addUnitAlias("minute","m"),addUnitPriority("minute",14),addRegexToken("m",match1to2),addRegexToken("mm",match1to2,match2),addParseToken(["m","mm"],MINUTE);var getSetMinute=makeGetSet("Minutes",!1);addFormatToken("s",["ss",2],0,"second"),addUnitAlias("second","s"),addUnitPriority("second",15),addRegexToken("s",match1to2),addRegexToken("ss",match1to2,match2),addParseToken(["s","ss"],SECOND);var getSetSecond=makeGetSet("Seconds",!1);addFormatToken("S",0,0,function(){return~~(this.millisecond()/100)}),addFormatToken(0,["SS",2],0,function(){return~~(this.millisecond()/10)}),addFormatToken(0,["SSS",3],0,"millisecond"),addFormatToken(0,["SSSS",4],0,function(){return 10*this.millisecond()}),addFormatToken(0,["SSSSS",5],0,function(){return 100*this.millisecond()}),addFormatToken(0,["SSSSSS",6],0,function(){return 1e3*this.millisecond()}),addFormatToken(0,["SSSSSSS",7],0,function(){return 1e4*this.millisecond()}),addFormatToken(0,["SSSSSSSS",8],0,function(){return 1e5*this.millisecond()}),addFormatToken(0,["SSSSSSSSS",9],0,function(){return 1e6*this.millisecond()}),addUnitAlias("millisecond","ms"),addUnitPriority("millisecond",16),addRegexToken("S",match1to3,match1),addRegexToken("SS",match1to3,match2),addRegexToken("SSS",match1to3,match3);var token;for(token="SSSS";9>=token.length;token+="S")addRegexToken(token,matchUnsigned);for(token="S";9>=token.length;token+="S")addParseToken(token,parseMs);var getSetMillisecond=makeGetSet("Milliseconds",!1);addFormatToken("z",0,0,"zoneAbbr"),addFormatToken("zz",0,0,"zoneName");var proto=Moment.prototype;proto.add=add,proto.calendar=function(time,formats){var now=time||createLocal(),sod=cloneWithOffset(now,this).startOf("day"),format=hooks.calendarFormat(this,sod)||"sameElse",output=formats&&(isFunction(formats[format])?formats[format].call(this,now):formats[format]);return this.format(output||this.localeData().calendar(format,this,createLocal(now)))},proto.clone=function(){return new Moment(this)},proto.diff=function(input,units,asFloat){var that,zoneDelta,output;return this.isValid()?(that=cloneWithOffset(input,this),!that.isValid())?NaN:(zoneDelta=6e4*(that.utcOffset()-this.utcOffset()),units=normalizeUnits(units),(output="year"===units?monthDiff(this,that)/12:"month"===units?monthDiff(this,that):"quarter"===units?monthDiff(this,that)/3:"second"===units?(this-that)/1e3:"minute"===units?(this-that)/6e4:"hour"===units?(this-that)/36e5:"day"===units?(this-that-zoneDelta)/864e5:"week"===units?(this-that-zoneDelta)/6048e5:this-that,asFloat?output:absFloor(output))):NaN},proto.endOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year()+1,0,1)-1:"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3+3,1)-1:"month"===units?time=startOfDate(this.year(),this.month()+1,1)-1:"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()+7)-1:"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1:"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()+1)-1:"hour"===units?(time=this._d.valueOf(),time+=3600000-mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)-1):"minute"===units?(time=this._d.valueOf(),time+=60000-mod$1(time,60000)-1):"second"===units?(time=this._d.valueOf(),time+=1000-mod$1(time,1000)-1):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.format=function(inputString){inputString||(inputString=this.isUtc()?hooks.defaultFormatUtc:hooks.defaultFormat);var output=formatMoment(this,inputString);return this.localeData().postformat(output)},proto.from=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({to:this,from:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.fromNow=function(withoutSuffix){return this.from(createLocal(),withoutSuffix)},proto.to=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({from:this,to:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.toNow=function(withoutSuffix){return this.to(createLocal(),withoutSuffix)},proto.get=function(units){return units=normalizeUnits(units),isFunction(this[units])?this[units]():this},proto.invalidAt=function(){return getParsingFlags(this).overflow},proto.isAfter=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()>localInput.valueOf():localInput.valueOf()<this.clone().startOf(units).valueOf())},proto.isBefore=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()<localInput.valueOf():this.clone().endOf(units).valueOf()<localInput.valueOf())},proto.isBetween=function(from,to,units,inclusivity){var localFrom=isMoment(from)?from:createLocal(from),localTo=isMoment(to)?to:createLocal(to);return!!(this.isValid()&&localFrom.isValid()&&localTo.isValid())&&(inclusivity=inclusivity||"()",("("===inclusivity[0]?this.isAfter(localFrom,units):!this.isBefore(localFrom,units))&&(")"===inclusivity[1]?this.isBefore(localTo,units):!this.isAfter(localTo,units)))},proto.isSame=function(input,units){var localInput=isMoment(input)?input:createLocal(input),inputMs;return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()===localInput.valueOf():(inputMs=localInput.valueOf(),this.clone().startOf(units).valueOf()<=inputMs&&inputMs<=this.clone().endOf(units).valueOf()))},proto.isSameOrAfter=function(input,units){return this.isSame(input,units)||this.isAfter(input,units)},proto.isSameOrBefore=function(input,units){return this.isSame(input,units)||this.isBefore(input,units)},proto.isValid=function(){return isValid(this)},proto.lang=lang,proto.locale=locale,proto.localeData=localeData,proto.max=prototypeMax,proto.min=prototypeMin,proto.parsingFlags=function(){return extend({},getParsingFlags(this))},proto.set=stringSet,proto.startOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year(),0,1):"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3,1):"month"===units?time=startOfDate(this.year(),this.month(),1):"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()):"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)):"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()):"hour"===units?(time=this._d.valueOf(),time-=mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)):"minute"===units?(time=this._d.valueOf(),time-=mod$1(time,60000)):"second"===units?(time=this._d.valueOf(),time-=mod$1(time,1000)):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.subtract=subtract,proto.toArray=function(){var m=this;return[m.year(),m.month(),m.date(),m.hour(),m.minute(),m.second(),m.millisecond()]},proto.toObject=function(){var m=this;return{years:m.year(),months:m.month(),date:m.date(),hours:m.hours(),minutes:m.minutes(),seconds:m.seconds(),milliseconds:m.milliseconds()}},proto.toDate=function(){return new Date(this.valueOf())},proto.toISOString=function(keepOffset){if(!this.isValid())return null;var utc=!0!==keepOffset,m=utc?this.clone().utc():this;return 0>m.year()||9999<m.year()?formatMoment(m,utc?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):isFunction(Date.prototype.toISOString)?utc?this.toDate().toISOString():new Date(this.valueOf()+1e3*(60*this.utcOffset())).toISOString().replace("Z",formatMoment(m,"Z")):formatMoment(m,utc?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},proto.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var func="moment",zone="";this.isLocal()||(func=0===this.utcOffset()?"moment.utc":"moment.parseZone",zone="Z");var prefix="["+func+"(\"]",year=0<=this.year()&&9999>=this.year()?"YYYY":"YYYYYY",suffix=zone+"[\")]";return this.format(prefix+year+"-MM-DD[T]HH:mm:ss.SSS"+suffix)},proto.toJSON=function(){return this.isValid()?this.toISOString():null},proto.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},proto.unix=function(){return _Mathfloor(this.valueOf()/1e3)},proto.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},proto.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},proto.year=getSetYear,proto.isLeapYear=function(){return isLeapYear(this.year())},proto.weekYear=function(input){return getSetWeekYearHelper.call(this,input,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},proto.isoWeekYear=function(input){return getSetWeekYearHelper.call(this,input,this.isoWeek(),this.isoWeekday(),1,4)},proto.quarter=proto.quarters=function(input){return null==input?_Mathceil((this.month()+1)/3):this.month(3*(input-1)+this.month()%3)},proto.month=getSetMonth,proto.daysInMonth=function(){return daysInMonth(this.year(),this.month())},proto.week=proto.weeks=function(input){var week=this.localeData().week(this);return null==input?week:this.add(7*(input-week),"d")},proto.isoWeek=proto.isoWeeks=function(input){var week=weekOfYear(this,1,4).week;return null==input?week:this.add(7*(input-week),"d")},proto.weeksInYear=function(){var weekInfo=this.localeData()._week;return weeksInYear(this.year(),weekInfo.dow,weekInfo.doy)},proto.isoWeeksInYear=function(){return weeksInYear(this.year(),1,4)},proto.date=getSetDayOfMonth,proto.day=proto.days=function(input){if(!this.isValid())return null==input?NaN:this;var day=this._isUTC?this._d.getUTCDay():this._d.getDay();return null==input?day:(input=parseWeekday(input,this.localeData()),this.add(input-day,"d"))},proto.weekday=function(input){if(!this.isValid())return null==input?NaN:this;var weekday=(this.day()+7-this.localeData()._week.dow)%7;return null==input?weekday:this.add(input-weekday,"d")},proto.isoWeekday=function(input){if(!this.isValid())return null==input?NaN:this;if(null!=input){var weekday=parseIsoWeekday(input,this.localeData());return this.day(this.day()%7?weekday:weekday-7)}return this.day()||7},proto.dayOfYear=function(input){var dayOfYear=_Mathround((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==input?dayOfYear:this.add(input-dayOfYear,"d")},proto.hour=proto.hours=getSetHour,proto.minute=proto.minutes=getSetMinute,proto.second=proto.seconds=getSetSecond,proto.millisecond=proto.milliseconds=getSetMillisecond,proto.utcOffset=function(input,keepLocalTime,keepMinutes){var offset=this._offset||0,localAdjust;if(!this.isValid())return null==input?NaN:this;if(null!=input){if("string"!=typeof input)16>_Mathabs(input)&&!keepMinutes&&(input*=60);else if(input=offsetFromString(matchShortOffset,input),null===input)return this;return!this._isUTC&&keepLocalTime&&(localAdjust=getDateOffset(this)),this._offset=input,this._isUTC=!0,null!=localAdjust&&this.add(localAdjust,"m"),offset!==input&&(!keepLocalTime||this._changeInProgress?addSubtract(this,createDuration(input-offset,"m"),1,!1):!this._changeInProgress&&(this._changeInProgress=!0,hooks.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?offset:getDateOffset(this)},proto.utc=function(keepLocalTime){return this.utcOffset(0,keepLocalTime)},proto.local=function(keepLocalTime){return this._isUTC&&(this.utcOffset(0,keepLocalTime),this._isUTC=!1,keepLocalTime&&this.subtract(getDateOffset(this),"m")),this},proto.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var tZone=offsetFromString(matchOffset,this._i);null==tZone?this.utcOffset(0,!0):this.utcOffset(tZone)}return this},proto.hasAlignedHourOffset=function(input){return!!this.isValid()&&(input=input?createLocal(input).utcOffset():0,0==(this.utcOffset()-input)%60)},proto.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},proto.isLocal=function(){return!!this.isValid()&&!this._isUTC},proto.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},proto.isUtc=isUtc,proto.isUTC=isUtc,proto.zoneAbbr=function(){return this._isUTC?"UTC":""},proto.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},proto.dates=deprecate("dates accessor is deprecated. Use date instead.",getSetDayOfMonth),proto.months=deprecate("months accessor is deprecated. Use month instead",getSetMonth),proto.years=deprecate("years accessor is deprecated. Use year instead",getSetYear),proto.zone=deprecate("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",function(input,keepLocalTime){return null==input?-this.utcOffset():("string"!=typeof input&&(input=-input),this.utcOffset(input,keepLocalTime),this)}),proto.isDSTShifted=deprecate("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",isDaylightSavingTimeShifted);var proto$1=Locale.prototype;proto$1.calendar=calendar,proto$1.longDateFormat=longDateFormat,proto$1.invalidDate=function(){return this._invalidDate},proto$1.ordinal=function(number){return this._ordinal.replace("%d",number)},proto$1.preparse=preParsePostFormat,proto$1.postformat=preParsePostFormat,proto$1.relativeTime=function(number,withoutSuffix,string,isFuture){var output=this._relativeTime[string];return isFunction(output)?output(number,withoutSuffix,string,isFuture):output.replace(/%d/i,number)},proto$1.pastFuture=function(diff,output){var format=this._relativeTime[0<diff?"future":"past"];return isFunction(format)?format(output):format.replace(/%s/i,output)},proto$1.set=set,proto$1.months=function(m,format){return m?isArray(this._months)?this._months[m.month()]:this._months[(this._months.isFormat||MONTHS_IN_FORMAT).test(format)?"format":"standalone"][m.month()]:isArray(this._months)?this._months:this._months.standalone},proto$1.monthsShort=function(m,format){return m?isArray(this._monthsShort)?this._monthsShort[m.month()]:this._monthsShort[MONTHS_IN_FORMAT.test(format)?"format":"standalone"][m.month()]:isArray(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},proto$1.monthsParse=localeMonthsParse,proto$1.monthsRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsStrictRegex:this._monthsRegex):(hasOwnProp(this,"_monthsRegex")||(this._monthsRegex=matchWord),this._monthsStrictRegex&&isStrict?this._monthsStrictRegex:this._monthsRegex)},proto$1.monthsShortRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsShortStrictRegex:this._monthsShortRegex):(hasOwnProp(this,"_monthsShortRegex")||(this._monthsShortRegex=matchWord),this._monthsShortStrictRegex&&isStrict?this._monthsShortStrictRegex:this._monthsShortRegex)},proto$1.week=function(mom){return weekOfYear(mom,this._week.dow,this._week.doy).week},proto$1.firstDayOfYear=function(){return this._week.doy},proto$1.firstDayOfWeek=function(){return this._week.dow},proto$1.weekdays=function(m,format){var weekdays=isArray(this._weekdays)?this._weekdays:this._weekdays[m&&!0!==m&&this._weekdays.isFormat.test(format)?"format":"standalone"];return!0===m?shiftWeekdays(weekdays,this._week.dow):m?weekdays[m.day()]:weekdays},proto$1.weekdaysMin=function(m){return!0===m?shiftWeekdays(this._weekdaysMin,this._week.dow):m?this._weekdaysMin[m.day()]:this._weekdaysMin},proto$1.weekdaysShort=function(m){return!0===m?shiftWeekdays(this._weekdaysShort,this._week.dow):m?this._weekdaysShort[m.day()]:this._weekdaysShort},proto$1.weekdaysParse=localeWeekdaysParse,proto$1.weekdaysRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysStrictRegex:this._weekdaysRegex):(hasOwnProp(this,"_weekdaysRegex")||(this._weekdaysRegex=matchWord),this._weekdaysStrictRegex&&isStrict?this._weekdaysStrictRegex:this._weekdaysRegex)},proto$1.weekdaysShortRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(hasOwnProp(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=matchWord),this._weekdaysShortStrictRegex&&isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},proto$1.weekdaysMinRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(hasOwnProp(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=matchWord),this._weekdaysMinStrictRegex&&isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},proto$1.isPM=function(input){return"p"===(input+"").toLowerCase().charAt(0)},proto$1.meridiem=function(hours,minutes,isLower){return 11<hours?isLower?"pm":"PM":isLower?"am":"AM"},getSetGlobalLocale("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(number){var b=number%10,output=1===toInt(number%100/10)?"th":1==b?"st":2==b?"nd":3==b?"rd":"th";return number+output}}),hooks.lang=deprecate("moment.lang is deprecated. Use moment.locale instead.",getSetGlobalLocale),hooks.langData=deprecate("moment.langData is deprecated. Use moment.localeData instead.",getLocale);var mathAbs=_Mathabs,asMilliseconds=makeAs("ms"),asSeconds=makeAs("s"),asMinutes=makeAs("m"),asHours=makeAs("h"),asDays=makeAs("d"),asWeeks=makeAs("w"),asMonths=makeAs("M"),asQuarters=makeAs("Q"),asYears=makeAs("y"),milliseconds=makeGetter("milliseconds"),seconds=makeGetter("seconds"),minutes=makeGetter("minutes"),hours=makeGetter("hours"),days=makeGetter("days"),months=makeGetter("months"),years=makeGetter("years"),round=_Mathround,thresholds={ss:44,s:45,m:45,h:22,d:26,M:11},abs$1=_Mathabs,proto$2=Duration.prototype;return proto$2.isValid=function(){return this._isValid},proto$2.abs=function(){var data=this._data;return this._milliseconds=mathAbs(this._milliseconds),this._days=mathAbs(this._days),this._months=mathAbs(this._months),data.milliseconds=mathAbs(data.milliseconds),data.seconds=mathAbs(data.seconds),data.minutes=mathAbs(data.minutes),data.hours=mathAbs(data.hours),data.months=mathAbs(data.months),data.years=mathAbs(data.years),this},proto$2.add=function(input,value){return addSubtract$1(this,input,value,1)},proto$2.subtract=function(input,value){return addSubtract$1(this,input,value,-1)},proto$2.as=function(units){if(!this.isValid())return NaN;var milliseconds=this._milliseconds,days,months;if(units=normalizeUnits(units),"month"===units||"quarter"===units||"year"===units)switch(days=this._days+milliseconds/864e5,months=this._months+daysToMonths(days),units){case"month":return months;case"quarter":return months/3;case"year":return months/12;}else switch(days=this._days+_Mathround(monthsToDays(this._months)),units){case"week":return days/7+milliseconds/6048e5;case"day":return days+milliseconds/864e5;case"hour":return 24*days+milliseconds/36e5;case"minute":return 1440*days+milliseconds/6e4;case"second":return 86400*days+milliseconds/1e3;case"millisecond":return _Mathfloor(864e5*days)+milliseconds;default:throw new Error("Unknown unit "+units);}},proto$2.asMilliseconds=asMilliseconds,proto$2.asSeconds=asSeconds,proto$2.asMinutes=asMinutes,proto$2.asHours=asHours,proto$2.asDays=asDays,proto$2.asWeeks=asWeeks,proto$2.asMonths=asMonths,proto$2.asQuarters=asQuarters,proto$2.asYears=asYears,proto$2.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+2592e6*(this._months%12)+31536e6*toInt(this._months/12):NaN},proto$2._bubble=function(){var milliseconds=this._milliseconds,days=this._days,months=this._months,data=this._data,seconds,minutes,hours,years,monthsFromDays;return 0<=milliseconds&&0<=days&&0<=months||0>=milliseconds&&0>=days&&0>=months||(milliseconds+=864e5*absCeil(monthsToDays(months)+days),days=0,months=0),data.milliseconds=milliseconds%1e3,seconds=absFloor(milliseconds/1e3),data.seconds=seconds%60,minutes=absFloor(seconds/60),data.minutes=minutes%60,hours=absFloor(minutes/60),data.hours=hours%24,days+=absFloor(hours/24),monthsFromDays=absFloor(daysToMonths(days)),months+=monthsFromDays,days-=absCeil(monthsToDays(monthsFromDays)),years=absFloor(months/12),months%=12,data.days=days,data.months=months,data.years=years,this},proto$2.clone=function(){return createDuration(this)},proto$2.get=function(units){return units=normalizeUnits(units),this.isValid()?this[units+"s"]():NaN},proto$2.milliseconds=milliseconds,proto$2.seconds=seconds,proto$2.minutes=minutes,proto$2.hours=hours,proto$2.days=days,proto$2.weeks=function(){return absFloor(this.days()/7)},proto$2.months=months,proto$2.years=years,proto$2.humanize=function(withSuffix){if(!this.isValid())return this.localeData().invalidDate();var locale=this.localeData(),output=relativeTime$1(this,!withSuffix,locale);return withSuffix&&(output=locale.pastFuture(+this,output)),locale.postformat(output)},proto$2.toISOString=toISOString$1,proto$2.toString=toISOString$1,proto$2.toJSON=toISOString$1,proto$2.locale=locale,proto$2.localeData=localeData,proto$2.toIsoString=deprecate("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",toISOString$1),proto$2.lang=lang,addFormatToken("X",0,0,"unix"),addFormatToken("x",0,0,"valueOf"),addRegexToken("x",matchSigned),addRegexToken("X",matchTimestamp),addParseToken("X",function(input,array,config){config._d=new Date(1e3*parseFloat(input,10))}),addParseToken("x",function(input,array,config){config._d=new Date(toInt(input))}),hooks.version="2.24.0",function(callback){hookCallback=callback}(createLocal),hooks.fn=proto,hooks.min=function(){var args=[].slice.call(arguments,0);return pickBy("isBefore",args)},hooks.max=function(){var args=[].slice.call(arguments,0);return pickBy("isAfter",args)},hooks.now=function(){return Date.now?Date.now():+new Date},hooks.utc=createUTC,hooks.unix=function(input){return createLocal(1e3*input)},hooks.months=function(format,index){return listMonthsImpl(format,index,"months")},hooks.isDate=isDate,hooks.locale=getSetGlobalLocale,hooks.invalid=createInvalid,hooks.duration=createDuration,hooks.isMoment=isMoment,hooks.weekdays=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdays")},hooks.parseZone=function(){return createLocal.apply(null,arguments).parseZone()},hooks.localeData=getLocale,hooks.isDuration=isDuration,hooks.monthsShort=function(format,index){return listMonthsImpl(format,index,"monthsShort")},hooks.weekdaysMin=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysMin")},hooks.defineLocale=defineLocale,hooks.updateLocale=function(name,config){if(null!=config){var parentConfig=baseConfig,locale,tmpLocale;tmpLocale=loadLocale(name),null!=tmpLocale&&(parentConfig=tmpLocale._config),config=mergeConfigs(parentConfig,config),locale=new Locale(config),locale.parentLocale=locales[name],locales[name]=locale,getSetGlobalLocale(name)}else null!=locales[name]&&(null==locales[name].parentLocale?null!=locales[name]&&delete locales[name]:locales[name]=locales[name].parentLocale);return locales[name]},hooks.locales=listLocales,hooks.weekdaysShort=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysShort")},hooks.normalizeUnits=normalizeUnits,hooks.relativeTimeRounding=getSetRelativeTimeRounding,hooks.relativeTimeThreshold=function(threshold,limit){return void 0!==thresholds[threshold]&&(void 0===limit?thresholds[threshold]:(thresholds[threshold]=limit,"s"===threshold&&(thresholds.ss=limit-1),!0))},hooks.calendarFormat=function(myMoment,now){var diff=myMoment.diff(now,"days",!0);return-6>diff?"sameElse":-1>diff?"lastWeek":0>diff?"lastDay":1>diff?"sameDay":2>diff?"nextDay":7>diff?"nextWeek":"sameElse"},hooks.prototype=proto,hooks.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},hooks})}),byteToHex$2$1=[],i$2$1=0;256>i$2$1;i$2$1++)byteToHex$2$1[i$2$1]=(i$2$1+256).toString(16).substr(1);for(var random$1$1=function(){if("undefined"!=typeof crypto&&crypto.getRandomValues){var _rnds8=new Uint8Array(16);return function(){return crypto.getRandomValues(_rnds8),_rnds8}}var _rnds=Array(16);return function(){for(var i=0,r;16>i;i++)0==(3&i)&&(r=4294967296*Math.random()),_rnds[i]=255&r>>>((3&i)<<3);return _rnds}}(),byteToHex$1$1$1=[],i$1$1$1=0;256>i$1$1$1;i$1$1$1++)byteToHex$1$1$1[i$1$1$1]=(i$1$1$1+256).toString(16).substr(1);var seedBytes$1$1=random$1$1(),defaultNodeId$1$1=[1|seedBytes$1$1[0],seedBytes$1$1[1],seedBytes$1$1[2],seedBytes$1$1[3],seedBytes$1$1[4],seedBytes$1$1[5]],defaultClockseq$1$1=16383&(seedBytes$1$1[6]<<8|seedBytes$1$1[7]),ASPDateRegex$1=/^\/?Date\((-?\d+)/i,Queue=function(){function Queue(options){classCallCheck(this,Queue),this._queue=[],this._timeout=null,this._extended=null,this.delay=null,this.max=1/0,this.setOptions(options)}return createClass(Queue,[{key:"setOptions",value:function(options){options&&"undefined"!=typeof options.delay&&(this.delay=options.delay),options&&"undefined"!=typeof options.max&&(this.max=options.max),this._flushIfNeeded()}},{key:"destroy",value:function(){if(this.flush(),this._extended){for(var object=this._extended.object,methods=this._extended.methods,i=0,method;i<methods.length;i++)method=methods[i],method.original?object[method.name]=method.original:delete object[method.name];this._extended=null}}},{key:"replace",value:function(object,method){var me=this,original=object[method];if(!original)throw new Error("Method "+method+" undefined");object[method]=function(){for(var _len=arguments.length,args=Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];me.queue({args:args,fn:original,context:this})}}},{key:"queue",value:function(entry){"function"==typeof entry?this._queue.push({fn:entry}):this._queue.push(entry),this._flushIfNeeded()}},{key:"_flushIfNeeded",value:function(){var _this=this;this._queue.length>this.max&&this.flush(),null!=this._timeout&&(clearTimeout(this._timeout),this._timeout=null),0<this.queue.length&&"number"==typeof this.delay&&(this._timeout=setTimeout(function(){_this.flush()},this.delay))}},{key:"flush",value:function(){this._queue.splice(0).forEach(function(entry){entry.fn.apply(entry.context||entry.fn,entry.args||[])})}}],[{key:"extend",value:function(object,options){var queue=new Queue(options);if(void 0!==object.flush)throw new Error("Target object already has a property flush");object.flush=function(){queue.flush()};var methods=[{name:"flush",original:void 0}];if(options&&options.replace)for(var i=0,name;i<options.replace.length;i++)name=options.replace[i],methods.push({name:name,original:object[name]}),queue.replace(object,name);return queue._extended={object:object,methods:methods},queue}}]),Queue}(),DataSetPart=function(){function DataSetPart(){classCallCheck(this,DataSetPart),this._subscribers={"*":[],add:[],remove:[],update:[]},this.subscribe=DataSetPart.prototype.on,this.unsubscribe=DataSetPart.prototype.off}return createClass(DataSetPart,[{key:"_trigger",value:function(event,payload,senderId){if("*"===event)throw new Error("Cannot trigger event *");[].concat(toConsumableArray(this._subscribers[event]),toConsumableArray(this._subscribers["*"])).forEach(function(subscriber){subscriber(event,payload,null==senderId?null:senderId)})}},{key:"on",value:function(event,callback){"function"==typeof callback&&this._subscribers[event].push(callback)}},{key:"off",value:function(event,callback){this._subscribers[event]=this._subscribers[event].filter(function(subscriber){return subscriber!==callback})}}]),DataSetPart}(),arrayWithHoles=function(arr){if(Array.isArray(arr))return arr},iterableToArrayLimit=_iterableToArrayLimit,nonIterableRest=function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")},slicedToArray=_slicedToArray,DataStream=function(){function DataStream(_pairs){classCallCheck(this,DataStream),this._pairs=_pairs}return createClass(DataStream,[{key:Symbol.iterator,value:regenerator.mark(function value(){var _iteratorNormalCompletion,_didIteratorError,_iteratorError,_iterator,_step,_step$value,id,item;return regenerator.wrap(function(_context){for(;;)switch(_context.prev=_context.next){case 0:_iteratorNormalCompletion=!0,_didIteratorError=!1,_iteratorError=void 0,_context.prev=3,_iterator=this._pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion=(_step=_iterator.next()).done){_context.next=12;break}return _step$value=slicedToArray(_step.value,2),id=_step$value[0],item=_step$value[1],_context.next=9,[id,item];case 9:_iteratorNormalCompletion=!0,_context.next=5;break;case 12:_context.next=18;break;case 14:_context.prev=14,_context.t0=_context["catch"](3),_didIteratorError=!0,_iteratorError=_context.t0;case 18:_context.prev=18,_context.prev=19,_iteratorNormalCompletion||null==_iterator.return||_iterator.return();case 21:if(_context.prev=21,!_didIteratorError){_context.next=24;break}throw _iteratorError;case 24:return _context.finish(21);case 25:return _context.finish(18);case 26:case"end":return _context.stop();}},value,this,[[3,14,18,26],[19,,21,25]])})},{key:"entries",value:regenerator.mark(function entries(){var _iteratorNormalCompletion2,_didIteratorError2,_iteratorError2,_iterator2,_step2,_step2$value,id,item;return regenerator.wrap(function(_context2){for(;;)switch(_context2.prev=_context2.next){case 0:_iteratorNormalCompletion2=!0,_didIteratorError2=!1,_iteratorError2=void 0,_context2.prev=3,_iterator2=this._pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion2=(_step2=_iterator2.next()).done){_context2.next=12;break}return _step2$value=slicedToArray(_step2.value,2),id=_step2$value[0],item=_step2$value[1],_context2.next=9,[id,item];case 9:_iteratorNormalCompletion2=!0,_context2.next=5;break;case 12:_context2.next=18;break;case 14:_context2.prev=14,_context2.t0=_context2["catch"](3),_didIteratorError2=!0,_iteratorError2=_context2.t0;case 18:_context2.prev=18,_context2.prev=19,_iteratorNormalCompletion2||null==_iterator2.return||_iterator2.return();case 21:if(_context2.prev=21,!_didIteratorError2){_context2.next=24;break}throw _iteratorError2;case 24:return _context2.finish(21);case 25:return _context2.finish(18);case 26:case"end":return _context2.stop();}},entries,this,[[3,14,18,26],[19,,21,25]])})},{key:"keys",value:regenerator.mark(function keys(){var _iteratorNormalCompletion3,_didIteratorError3,_iteratorError3,_iterator3,_step3,_step3$value,id;return regenerator.wrap(function(_context3){for(;;)switch(_context3.prev=_context3.next){case 0:_iteratorNormalCompletion3=!0,_didIteratorError3=!1,_iteratorError3=void 0,_context3.prev=3,_iterator3=this._pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion3=(_step3=_iterator3.next()).done){_context3.next=12;break}return _step3$value=slicedToArray(_step3.value,1),id=_step3$value[0],_context3.next=9,id;case 9:_iteratorNormalCompletion3=!0,_context3.next=5;break;case 12:_context3.next=18;break;case 14:_context3.prev=14,_context3.t0=_context3["catch"](3),_didIteratorError3=!0,_iteratorError3=_context3.t0;case 18:_context3.prev=18,_context3.prev=19,_iteratorNormalCompletion3||null==_iterator3.return||_iterator3.return();case 21:if(_context3.prev=21,!_didIteratorError3){_context3.next=24;break}throw _iteratorError3;case 24:return _context3.finish(21);case 25:return _context3.finish(18);case 26:case"end":return _context3.stop();}},keys,this,[[3,14,18,26],[19,,21,25]])})},{key:"values",value:regenerator.mark(function values(){var _iteratorNormalCompletion4,_didIteratorError4,_iteratorError4,_iterator4,_step4,_step4$value,item;return regenerator.wrap(function(_context4){for(;;)switch(_context4.prev=_context4.next){case 0:_iteratorNormalCompletion4=!0,_didIteratorError4=!1,_iteratorError4=void 0,_context4.prev=3,_iterator4=this._pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion4=(_step4=_iterator4.next()).done){_context4.next=12;break}return _step4$value=slicedToArray(_step4.value,2),item=_step4$value[1],_context4.next=9,item;case 9:_iteratorNormalCompletion4=!0,_context4.next=5;break;case 12:_context4.next=18;break;case 14:_context4.prev=14,_context4.t0=_context4["catch"](3),_didIteratorError4=!0,_iteratorError4=_context4.t0;case 18:_context4.prev=18,_context4.prev=19,_iteratorNormalCompletion4||null==_iterator4.return||_iterator4.return();case 21:if(_context4.prev=21,!_didIteratorError4){_context4.next=24;break}throw _iteratorError4;case 24:return _context4.finish(21);case 25:return _context4.finish(18);case 26:case"end":return _context4.stop();}},values,this,[[3,14,18,26],[19,,21,25]])})},{key:"toIdArray",value:function(){return toConsumableArray(this._pairs).map(function(pair){return pair[0]})}},{key:"toItemArray",value:function(){return toConsumableArray(this._pairs).map(function(pair){return pair[1]})}},{key:"toEntryArray",value:function(){return toConsumableArray(this._pairs)}},{key:"toObjectMap",value:function(){var map=Object.create(null),_iteratorNormalCompletion5=!0,_didIteratorError5=!1,_iteratorError5=void 0;try{for(var _iterator5=this._pairs[Symbol.iterator](),_step5;!(_iteratorNormalCompletion5=(_step5=_iterator5.next()).done);_iteratorNormalCompletion5=!0){var _step5$value=slicedToArray(_step5.value,2),id=_step5$value[0],item=_step5$value[1];map[id]=item}}catch(err){_didIteratorError5=!0,_iteratorError5=err}finally{try{_iteratorNormalCompletion5||null==_iterator5.return||_iterator5.return()}finally{if(_didIteratorError5)throw _iteratorError5}}return map}},{key:"toMap",value:function(){return new Map(this._pairs)}},{key:"toIdSet",value:function(){return new Set(this.toIdArray())}},{key:"toItemSet",value:function(){return new Set(this.toItemArray())}},{key:"cache",value:function(){return new DataStream(toConsumableArray(this._pairs))}},{key:"distinct",value:function(callback){var set=new Set,_iteratorNormalCompletion6=!0,_didIteratorError6=!1,_iteratorError6=void 0;try{for(var _iterator6=this._pairs[Symbol.iterator](),_step6;!(_iteratorNormalCompletion6=(_step6=_iterator6.next()).done);_iteratorNormalCompletion6=!0){var _step6$value=slicedToArray(_step6.value,2),id=_step6$value[0],item=_step6$value[1];set.add(callback(item,id))}}catch(err){_didIteratorError6=!0,_iteratorError6=err}finally{try{_iteratorNormalCompletion6||null==_iterator6.return||_iterator6.return()}finally{if(_didIteratorError6)throw _iteratorError6}}return set}},{key:"filter",value:function(callback){var pairs=this._pairs;return new DataStream(defineProperty$1({},Symbol.iterator,regenerator.mark(function _callee(){var _iteratorNormalCompletion7,_didIteratorError7,_iteratorError7,_iterator7,_step7,_step7$value,id,item;return regenerator.wrap(function(_context5){for(;;)switch(_context5.prev=_context5.next){case 0:_iteratorNormalCompletion7=!0,_didIteratorError7=!1,_iteratorError7=void 0,_context5.prev=3,_iterator7=pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion7=(_step7=_iterator7.next()).done){_context5.next=13;break}if(_step7$value=slicedToArray(_step7.value,2),id=_step7$value[0],item=_step7$value[1],!callback(item,id)){_context5.next=10;break}return _context5.next=10,[id,item];case 10:_iteratorNormalCompletion7=!0,_context5.next=5;break;case 13:_context5.next=19;break;case 15:_context5.prev=15,_context5.t0=_context5["catch"](3),_didIteratorError7=!0,_iteratorError7=_context5.t0;case 19:_context5.prev=19,_context5.prev=20,_iteratorNormalCompletion7||null==_iterator7.return||_iterator7.return();case 22:if(_context5.prev=22,!_didIteratorError7){_context5.next=25;break}throw _iteratorError7;case 25:return _context5.finish(22);case 26:return _context5.finish(19);case 27:case"end":return _context5.stop();}},_callee,null,[[3,15,19,27],[20,,22,26]])})))}},{key:"forEach",value:function(callback){var _iteratorNormalCompletion8=!0,_didIteratorError8=!1,_iteratorError8=void 0;try{for(var _iterator8=this._pairs[Symbol.iterator](),_step8;!(_iteratorNormalCompletion8=(_step8=_iterator8.next()).done);_iteratorNormalCompletion8=!0){var _step8$value=slicedToArray(_step8.value,2),id=_step8$value[0],item=_step8$value[1];callback(item,id)}}catch(err){_didIteratorError8=!0,_iteratorError8=err}finally{try{_iteratorNormalCompletion8||null==_iterator8.return||_iterator8.return()}finally{if(_didIteratorError8)throw _iteratorError8}}}},{key:"map",value:function(callback){var pairs=this._pairs;return new DataStream(defineProperty$1({},Symbol.iterator,regenerator.mark(function _callee2(){var _iteratorNormalCompletion9,_didIteratorError9,_iteratorError9,_iterator9,_step9,_step9$value,id,item;return regenerator.wrap(function(_context6){for(;;)switch(_context6.prev=_context6.next){case 0:_iteratorNormalCompletion9=!0,_didIteratorError9=!1,_iteratorError9=void 0,_context6.prev=3,_iterator9=pairs[Symbol.iterator]();case 5:if(_iteratorNormalCompletion9=(_step9=_iterator9.next()).done){_context6.next=12;break}return _step9$value=slicedToArray(_step9.value,2),id=_step9$value[0],item=_step9$value[1],_context6.next=9,[id,callback(item,id)];case 9:_iteratorNormalCompletion9=!0,_context6.next=5;break;case 12:_context6.next=18;break;case 14:_context6.prev=14,_context6.t0=_context6["catch"](3),_didIteratorError9=!0,_iteratorError9=_context6.t0;case 18:_context6.prev=18,_context6.prev=19,_iteratorNormalCompletion9||null==_iterator9.return||_iterator9.return();case 21:if(_context6.prev=21,!_didIteratorError9){_context6.next=24;break}throw _iteratorError9;case 24:return _context6.finish(21);case 25:return _context6.finish(18);case 26:case"end":return _context6.stop();}},_callee2,null,[[3,14,18,26],[19,,21,25]])})))}},{key:"max",value:function(callback){var iter=this._pairs[Symbol.iterator](),curr=iter.next();if(curr.done)return null;for(var maxItem=curr.value[1],maxValue=callback(curr.value[1],curr.value[0]);!(curr=iter.next()).done;){var _curr$value=slicedToArray(curr.value,2),id=_curr$value[0],item=_curr$value[1],_value=callback(item,id);_value>maxValue&&(maxValue=_value,maxItem=item)}return maxItem}},{key:"min",value:function(callback){var iter=this._pairs[Symbol.iterator](),curr=iter.next();if(curr.done)return null;for(var minItem=curr.value[1],minValue=callback(curr.value[1],curr.value[0]);!(curr=iter.next()).done;){var _curr$value2=slicedToArray(curr.value,2),id=_curr$value2[0],item=_curr$value2[1],_value2=callback(item,id);_value2<minValue&&(minValue=_value2,minItem=item)}return minItem}},{key:"reduce",value:function(callback,accumulator){var _iteratorNormalCompletion10=!0,_didIteratorError10=!1,_iteratorError10=void 0;try{for(var _iterator10=this._pairs[Symbol.iterator](),_step10;!(_iteratorNormalCompletion10=(_step10=_iterator10.next()).done);_iteratorNormalCompletion10=!0){var _step10$value=slicedToArray(_step10.value,2),id=_step10$value[0],item=_step10$value[1];accumulator=callback(accumulator,item,id)}}catch(err){_didIteratorError10=!0,_iteratorError10=err}finally{try{_iteratorNormalCompletion10||null==_iterator10.return||_iterator10.return()}finally{if(_didIteratorError10)throw _iteratorError10}}return accumulator}},{key:"sort",value:function(callback){var _this=this;return new DataStream(defineProperty$1({},Symbol.iterator,function(){return toConsumableArray(_this._pairs).sort(function(_ref3,_ref4){var _ref5=slicedToArray(_ref3,2),idA=_ref5[0],itemA=_ref5[1],_ref6=slicedToArray(_ref4,2),idB=_ref6[0],itemB=_ref6[1];return callback(itemA,itemB,idA,idB)})[Symbol.iterator]()}))}}]),DataStream}(),DataSet=function(_DataSetPart){function DataSet(data,options){var _this;if(classCallCheck(this,DataSet),_this=possibleConstructorReturn(this,getPrototypeOf(DataSet).call(this)),data&&!Array.isArray(data)&&(options=data,data=[]),_this._options=options||{},_this._data=new Map,_this.length=0,_this._idProp=_this._options.fieldId||"id",_this._type={},_this._options.type)for(var fields=Object.keys(_this._options.type),i=0,len=fields.length;i<len;i++){var field=fields[i],value=_this._options.type[field];_this._type[field]="Date"==value||"ISODate"==value||"ASPDate"==value?"Date":value}return data&&data.length&&_this.add(data),_this.setOptions(options),_this}return inherits(DataSet,_DataSetPart),createClass(DataSet,[{key:"setOptions",value:function(options){options&&void 0!==options.queue&&(!1===options.queue?this._queue&&(this._queue.destroy(),delete this._queue):(!this._queue&&(this._queue=Queue.extend(this,{replace:["add","update","remove"]})),options.queue&&"object"===_typeof_1(options.queue)&&this._queue.setOptions(options.queue)))}},{key:"add",value:function(data,senderId){var addedIds=[],id;if(Array.isArray(data))for(var i=0,len=data.length;i<len;i++)id=this._addItem(data[i]),addedIds.push(id);else if(data&&"object"===_typeof_1(data))id=this._addItem(data),addedIds.push(id);else throw new Error("Unknown dataType");return addedIds.length&&this._trigger("add",{items:addedIds},senderId),addedIds}},{key:"update",value:function(data,senderId){var _this2=this,addedIds=[],updatedIds=[],oldData=[],updatedData=[],idProp=this._idProp,addOrUpdate=function(item){var origId=item[idProp];if(null!=origId&&_this2._data.has(origId)){var fullItem=item,oldItem=Object.assign({},_this2._data.get(origId)),id=_this2._updateItem(fullItem);updatedIds.push(id),updatedData.push(fullItem),oldData.push(oldItem)}else{var _id=_this2._addItem(item);addedIds.push(_id)}};if(Array.isArray(data))for(var i=0,len=data.length;i<len;i++)data[i]&&"object"===_typeof_1(data[i])?addOrUpdate(data[i]):console.warn("Ignoring input item, which is not an object at index "+i);else if(data&&"object"===_typeof_1(data))addOrUpdate(data);else throw new Error("Unknown dataType");if(addedIds.length&&this._trigger("add",{items:addedIds},senderId),updatedIds.length){this._trigger("update",{items:updatedIds,oldData:oldData,data:updatedData},senderId)}return addedIds.concat(updatedIds)}},{key:"updateOnly",value:function(data,senderId){var _this3=this;Array.isArray(data)||(data=[data]);var updateEventData=data.map(function(update){var oldData=_this3._data.get(update[_this3._idProp]);if(null==oldData)throw new Error("Updating non-existent items is not allowed.");return{oldData:oldData,update:update}}).map(function(_ref){var oldData=_ref.oldData,update=_ref.update,id=oldData[_this3._idProp],updatedData=deepExtend$1(deepExtend$1({},oldData),update);return _this3._data.set(id,updatedData),{id:id,oldData:oldData,updatedData:updatedData}});if(updateEventData.length){var props={items:updateEventData.map(function(value){return value.id}),oldData:updateEventData.map(function(value){return value.oldData}),data:updateEventData.map(function(value){return value.updatedData})};return this._trigger("update",props,senderId),props.items}return[]}},{key:"get",value:function(first,second){var id=void 0,ids=void 0,options=void 0;isId(first)?(id=first,options=second):Array.isArray(first)?(ids=first,options=second):options=first;var returnType=options&&"Object"===options.returnType?"Object":"Array",type=options&&options.type||this._options.type,filter=options&&options.filter,items=[],item=null,itemIds=null,itemId=null;if(null!=id)item=this._getItem(id,type),item&&filter&&!filter(item)&&(item=null);else if(null!=ids)for(var i=0,len=ids.length;i<len;i++)item=this._getItem(ids[i],type),null!=item&&(!filter||filter(item))&&items.push(item);else{itemIds=toConsumableArray(this._data.keys());for(var _i=0,_len=itemIds.length;_i<_len;_i++)itemId=itemIds[_i],item=this._getItem(itemId,type),null!=item&&(!filter||filter(item))&&items.push(item)}if(options&&options.order&&null==id&&this._sort(items,options.order),options&&options.fields){var fields=options.fields;if(null!=id&&null!=item)item=this._filterFields(item,fields);else for(var _i2=0,_len2=items.length;_i2<_len2;_i2++)items[_i2]=this._filterFields(items[_i2],fields)}if("Object"==returnType){for(var result={},_i3=0,_len3=items.length;_i3<_len3;_i3++){var resultant=items[_i3],_id2=resultant[this._idProp];result[_id2]=resultant}return result}return null==id?items:item}},{key:"getIds",value:function(options){var data=this._data,filter=options&&options.filter,order=options&&options.order,type=options&&options.type||this._options.type,itemIds=toConsumableArray(data.keys()),ids=[],item,items;if(filter){if(order){items=[];for(var i=0,len=itemIds.length,id;i<len;i++)id=itemIds[i],item=this._getItem(id,type),filter(item)&&items.push(item);this._sort(items,order);for(var _i4=0,_len4=items.length;_i4<_len4;_i4++)ids.push(items[_i4][this._idProp])}else for(var _i5=0,_len5=itemIds.length,_id3;_i5<_len5;_i5++)_id3=itemIds[_i5],item=this._getItem(_id3,type),filter(item)&&ids.push(item[this._idProp]);}else if(order){items=[];for(var _i6=0,_len6=itemIds.length,_id4;_i6<_len6;_i6++)_id4=itemIds[_i6],items.push(data.get(_id4));this._sort(items,order);for(var _i7=0,_len7=items.length;_i7<_len7;_i7++)ids.push(items[_i7][this._idProp])}else for(var _i8=0,_len8=itemIds.length,_id5;_i8<_len8;_i8++)_id5=itemIds[_i8],item=data.get(_id5),ids.push(item[this._idProp]);return ids}},{key:"getDataSet",value:function(){return this}},{key:"forEach",value:function(callback,options){var filter=options&&options.filter,type=options&&options.type||this._options.type,data=this._data,itemIds=toConsumableArray(data.keys());if(options&&options.order)for(var items=this.get(options),i=0,len=items.length;i<len;i++){var item=items[i],id=item[this._idProp];callback(item,id)}else for(var _i9=0,_len9=itemIds.length;_i9<_len9;_i9++){var _id6=itemIds[_i9],_item=this._getItem(_id6,type);(!filter||filter(_item))&&callback(_item,_id6)}}},{key:"map",value:function(callback,options){for(var filter=options&&options.filter,type=options&&options.type||this._options.type,mappedItems=[],data=this._data,itemIds=toConsumableArray(data.keys()),i=0,len=itemIds.length;i<len;i++){var id=itemIds[i],item=this._getItem(id,type);(!filter||filter(item))&&mappedItems.push(callback(item,id))}return options&&options.order&&this._sort(mappedItems,options.order),mappedItems}},{key:"_filterFields",value:function(item,fields){return item?(Array.isArray(fields)?fields:Object.keys(fields)).reduce(function(filteredItem,field){return filteredItem[field]=item[field],filteredItem},{}):item}},{key:"_sort",value:function(items,order){if("string"==typeof order){var name=order;items.sort(function(a,b){var av=a[name],bv=b[name];return av>bv?1:av<bv?-1:0})}else if("function"==typeof order)items.sort(order);else throw new TypeError("Order must be a function or a string")}},{key:"remove",value:function(id,senderId){for(var removedIds=[],removedItems=[],ids=Array.isArray(id)?id:[id],i=0,len=ids.length,item;i<len;i++)if(item=this._remove(ids[i]),item){var itemId=item[this._idProp];null!=itemId&&(removedIds.push(itemId),removedItems.push(item))}return removedIds.length&&this._trigger("remove",{items:removedIds,oldData:removedItems},senderId),removedIds}},{key:"_remove",value:function(id){var ident;if(isId(id)?ident=id:id&&"object"===_typeof_1(id)&&(ident=id[this._idProp]),null!=ident&&this._data.has(ident)){var item=this._data.get(ident)||null;return this._data.delete(ident),--this.length,item}return null}},{key:"clear",value:function(senderId){for(var ids=toConsumableArray(this._data.keys()),items=[],i=0,len=ids.length;i<len;i++)items.push(this._data.get(ids[i]));return this._data.clear(),this.length=0,this._trigger("remove",{items:ids,oldData:items},senderId),ids}},{key:"max",value:function max(field){var max=null,maxField=null,_iteratorNormalCompletion=!0,_didIteratorError=!1,_iteratorError=void 0;try{for(var _iterator=this._data.values()[Symbol.iterator](),_step;!(_iteratorNormalCompletion=(_step=_iterator.next()).done);_iteratorNormalCompletion=!0){var item=_step.value,itemField=item[field];"number"==typeof itemField&&(null==maxField||itemField>maxField)&&(max=item,maxField=itemField)}}catch(err){_didIteratorError=!0,_iteratorError=err}finally{try{_iteratorNormalCompletion||null==_iterator.return||_iterator.return()}finally{if(_didIteratorError)throw _iteratorError}}return max||null}},{key:"min",value:function min(field){var min=null,minField=null,_iteratorNormalCompletion2=!0,_didIteratorError2=!1,_iteratorError2=void 0;try{for(var _iterator2=this._data.values()[Symbol.iterator](),_step2;!(_iteratorNormalCompletion2=(_step2=_iterator2.next()).done);_iteratorNormalCompletion2=!0){var item=_step2.value,itemField=item[field];"number"==typeof itemField&&(null==minField||itemField<minField)&&(min=item,minField=itemField)}}catch(err){_didIteratorError2=!0,_iteratorError2=err}finally{try{_iteratorNormalCompletion2||null==_iterator2.return||_iterator2.return()}finally{if(_didIteratorError2)throw _iteratorError2}}return min||null}},{key:"distinct",value:function(prop){for(var data=this._data,itemIds=toConsumableArray(data.keys()),values=[],fieldType=this._options.type&&this._options.type[prop]||null,count=0,i=0,len=itemIds.length;i<len;i++){for(var id=itemIds[i],item=data.get(id),value=item[prop],exists=!1,j=0;j<count;j++)if(values[j]==value){exists=!0;break}exists||void 0===value||(values[count]=value,count++)}if(fieldType)for(var _i10=0,_len10=values.length;_i10<_len10;_i10++)values[_i10]=convert$1(values[_i10],fieldType);return values}},{key:"_addItem",value:function(item){var id=item[this._idProp];if(null==id)id=uuid4$1(),item[this._idProp]=id;else if(this._data.has(id))throw new Error("Cannot add item: item with id "+id+" already exists");for(var d={},fields=Object.keys(item),i=0,len=fields.length;i<len;i++){var field=fields[i],fieldType=this._type[field];d[field]=convert$1(item[field],fieldType)}return this._data.set(id,d),++this.length,id}},{key:"_getItem",value:function(id,types){var raw=this._data.get(id);if(!raw)return null;var fields=Object.keys(raw),converted;if(types){converted={};for(var i=0,len=fields.length;i<len;i++){var field=fields[i],value=raw[field];converted[field]=convert$1(value,types[field])}}else converted=_objectSpread({},raw);return null==converted[this._idProp]&&(converted[this._idProp]=raw.id),converted}},{key:"_updateItem",value:function(item){var id=item[this._idProp];if(null==id)throw new Error("Cannot update item: item has no id (item: "+JSON.stringify(item)+")");var d=this._data.get(id);if(!d)throw new Error("Cannot update item: no item with id "+id+" found");for(var fields=Object.keys(item),i=0,len=fields.length;i<len;i++){var field=fields[i],fieldType=this._type[field];d[field]=convert$1(item[field],fieldType)}return id}},{key:"stream",value:function(ids){if(ids){var data=this._data;return new DataStream(defineProperty$1({},Symbol.iterator,regenerator.mark(function _callee(){var _iteratorNormalCompletion3,_didIteratorError3,_iteratorError3,_iterator3,_step3,id,item;return regenerator.wrap(function(_context){for(;;)switch(_context.prev=_context.next){case 0:_iteratorNormalCompletion3=!0,_didIteratorError3=!1,_iteratorError3=void 0,_context.prev=3,_iterator3=ids[Symbol.iterator]();case 5:if(_iteratorNormalCompletion3=(_step3=_iterator3.next()).done){_context.next=14;break}if(id=_step3.value,item=data.get(id),null==item){_context.next=11;break}return _context.next=11,[id,item];case 11:_iteratorNormalCompletion3=!0,_context.next=5;break;case 14:_context.next=20;break;case 16:_context.prev=16,_context.t0=_context["catch"](3),_didIteratorError3=!0,_iteratorError3=_context.t0;case 20:_context.prev=20,_context.prev=21,_iteratorNormalCompletion3||null==_iterator3.return||_iterator3.return();case 23:if(_context.prev=23,!_didIteratorError3){_context.next=26;break}throw _iteratorError3;case 26:return _context.finish(23);case 27:return _context.finish(20);case 28:case"end":return _context.stop();}},_callee,null,[[3,16,20,28],[21,,23,27]])})))}return new DataStream(defineProperty$1({},Symbol.iterator,this._data.entries.bind(this._data)))}}]),DataSet}(DataSetPart),DataView=function(_DataSetPart){function DataView(data,options){var _this;return classCallCheck(this,DataView),_this=possibleConstructorReturn(this,getPrototypeOf(DataView).call(this)),_this.length=0,_this._ids=new Set,_this._options=options||{},_this._listener=_this._onEvent.bind(assertThisInitialized(_this)),_this.setData(data),_this}return inherits(DataView,_DataSetPart),createClass(DataView,[{key:"setData",value:function(data){if(this._data){this._data.off&&this._data.off("*",this._listener);var ids=this._data.getIds({filter:this._options.filter}),items=this._data.get(ids);this._ids.clear(),this.length=0,this._trigger("remove",{items:ids,oldData:items})}if(null!=data){this._data=data;for(var _ids=this._data.getIds({filter:this._options.filter}),i=0,len=_ids.length,id;i<len;i++)id=_ids[i],this._ids.add(id);this.length=_ids.length,this._trigger("add",{items:_ids})}else this._data=new DataSet;this._data.on&&this._data.on("*",this._listener)}},{key:"refresh",value:function(){for(var ids=this._data.getIds({filter:this._options.filter}),oldIds=toConsumableArray(this._ids),newIds={},addedIds=[],removedIds=[],removedItems=[],i=0,len=ids.length,id;i<len;i++)id=ids[i],newIds[id]=!0,this._ids.has(id)||(addedIds.push(id),this._ids.add(id));for(var _i=0,_len=oldIds.length;_i<_len;_i++){var _id=oldIds[_i],item=this._data.get(_id);null==item?console.error("If you see this, report it please."):!newIds[_id]&&(removedIds.push(_id),removedItems.push(item),this._ids.delete(_id))}this.length+=addedIds.length-removedIds.length,addedIds.length&&this._trigger("add",{items:addedIds}),removedIds.length&&this._trigger("remove",{items:removedIds,oldData:removedItems})}},{key:"get",value:function(first,second){if(null==this._data)return null;var ids=null,options;isId(first)||Array.isArray(first)?(ids=first,options=second):options=first;var viewOptions=Object.assign({},this._options,options),thisFilter=this._options.filter,optionsFilter=options&&options.filter;return thisFilter&&optionsFilter&&(viewOptions.filter=function(item){return thisFilter(item)&&optionsFilter(item)}),null==ids?this._data.get(viewOptions):this._data.get(ids,viewOptions)}},{key:"getIds",value:function(options){if(this._data.length){var defaultFilter=this._options.filter,optionsFilter=null==options?null:options.filter,filter;return filter=optionsFilter?defaultFilter?function(item){return defaultFilter(item)&&optionsFilter(item)}:optionsFilter:defaultFilter,this._data.getIds({filter:filter,order:options&&options.order})}return[]}},{key:"forEach",value:function(callback,options){if(this._data){var defaultFilter=this._options.filter,optionsFilter=options&&options.filter,filter;filter=optionsFilter?defaultFilter?function(item){return defaultFilter(item)&&optionsFilter(item)}:optionsFilter:defaultFilter,this._data.forEach(callback,{filter:filter,order:options&&options.order})}}},{key:"map",value:function(callback,options){if(this._data){var defaultFilter=this._options.filter,optionsFilter=options&&options.filter,filter;return filter=optionsFilter?defaultFilter?function(item){return defaultFilter(item)&&optionsFilter(item)}:optionsFilter:defaultFilter,this._data.map(callback,{filter:filter,order:options&&options.order})}return[]}},{key:"getDataSet",value:function(){return this._data.getDataSet()}},{key:"stream",value:function(ids){return this._data.stream(ids||defineProperty$1({},Symbol.iterator,this._ids.keys.bind(this._ids)))}},{key:"_onEvent",value:function(event,params,senderId){if(params&&params.items&&this._data){var ids=params.items,addedIds=[],updatedIds=[],removedIds=[],oldItems=[],updatedItems=[],removedItems=[];switch(event){case"add":for(var i=0,len=ids.length;i<len;i++){var id=ids[i],item=this.get(id);item&&(this._ids.add(id),addedIds.push(id))}break;case"update":for(var _i2=0,_len2=ids.length;_i2<_len2;_i2++){var _id2=ids[_i2],_item=this.get(_id2);_item?this._ids.has(_id2)?(updatedIds.push(_id2),updatedItems.push(params.data[_i2]),oldItems.push(params.oldData[_i2])):(this._ids.add(_id2),addedIds.push(_id2)):this._ids.has(_id2)&&(this._ids.delete(_id2),removedIds.push(_id2),removedItems.push(params.oldData[_i2]))}break;case"remove":for(var _i3=0,_len3=ids.length,_id3;_i3<_len3;_i3++)_id3=ids[_i3],this._ids.has(_id3)&&(this._ids.delete(_id3),removedIds.push(_id3),removedItems.push(params.oldData[_i3]));}this.length+=addedIds.length-removedIds.length,addedIds.length&&this._trigger("add",{items:addedIds},senderId),updatedIds.length&&this._trigger("update",{items:updatedIds,oldData:oldItems,data:updatedItems},senderId),removedIds.length&&this._trigger("remove",{items:removedIds,oldData:removedItems},senderId)}}}]),DataView}(DataSetPart),index={DataSet:DataSet,DataView:DataView,Queue:Queue};"undefined"!=typeof CanvasRenderingContext2D&&(CanvasRenderingContext2D.prototype.circle=function(x,y,r){this.beginPath(),this.arc(x,y,r,0,2*_MathPI,!1),this.closePath()},CanvasRenderingContext2D.prototype.square=function(x,y,r){this.beginPath(),this.rect(x-r,y-r,2*r,2*r),this.closePath()},CanvasRenderingContext2D.prototype.triangle=function(x,y,r){this.beginPath(),r*=1.15,y+=.275*r;var s=2*r,s2=s/2,ir=_Mathsqrt(3)/6*s,h=_Mathsqrt(s*s-s2*s2);this.moveTo(x,y-(h-ir)),this.lineTo(x+s2,y+ir),this.lineTo(x-s2,y+ir),this.lineTo(x,y-(h-ir)),this.closePath()},CanvasRenderingContext2D.prototype.triangleDown=function(x,y,r){this.beginPath(),r*=1.15,y-=.275*r;var s=2*r,s2=s/2,ir=_Mathsqrt(3)/6*s,h=_Mathsqrt(s*s-s2*s2);this.moveTo(x,y+(h-ir)),this.lineTo(x+s2,y-ir),this.lineTo(x-s2,y-ir),this.lineTo(x,y+(h-ir)),this.closePath()},CanvasRenderingContext2D.prototype.star=function(x,y,r){this.beginPath(),r*=.82,y+=.1*r;for(var n=0,radius;10>n;n++)radius=0==n%2?1.3*r:.5*r,this.lineTo(x+radius*_Mathsin(2*n*_MathPI/10),y-radius*_Mathcos(2*n*_MathPI/10));this.closePath()},CanvasRenderingContext2D.prototype.diamond=function(x,y,r){this.beginPath(),this.lineTo(x,y+r),this.lineTo(x+r,y),this.lineTo(x,y-r),this.lineTo(x-r,y),this.closePath()},CanvasRenderingContext2D.prototype.roundRect=function(x,y,w,h,r){var r2d=_MathPI/180;0>w-2*r&&(r=w/2),0>h-2*r&&(r=h/2),this.beginPath(),this.moveTo(x+r,y),this.lineTo(x+w-r,y),this.arc(x+w-r,y+r,r,270*r2d,360*r2d,!1),this.lineTo(x+w,y+h-r),this.arc(x+w-r,y+h-r,r,0,90*r2d,!1),this.lineTo(x+r,y+h),this.arc(x+r,y+h-r,r,90*r2d,180*r2d,!1),this.lineTo(x,y+r),this.arc(x+r,y+r,r,180*r2d,270*r2d,!1),this.closePath()},CanvasRenderingContext2D.prototype.ellipse_vis=function(x,y,w,h){var kappa=.5522848,ox=w/2*kappa,oy=h/2*kappa,xe=x+w,ye=y+h,xm=x+w/2,ym=y+h/2;this.beginPath(),this.moveTo(x,ym),this.bezierCurveTo(x,ym-oy,xm-ox,y,xm,y),this.bezierCurveTo(xm+ox,y,xe,ym-oy,xe,ym),this.bezierCurveTo(xe,ym+oy,xm+ox,ye,xm,ye),this.bezierCurveTo(xm-ox,ye,x,ym+oy,x,ym),this.closePath()},CanvasRenderingContext2D.prototype.database=function(x,y,w,h){var wEllipse=w,hEllipse=h*(1/3),kappa=.5522848,ox=wEllipse/2*kappa,oy=hEllipse/2*kappa,xe=x+wEllipse,ye=y+hEllipse,xm=x+wEllipse/2,ym=y+hEllipse/2,ymb=y+(h-hEllipse/2),yeb=y+h;this.beginPath(),this.moveTo(xe,ym),this.bezierCurveTo(xe,ym+oy,xm+ox,ye,xm,ye),this.bezierCurveTo(xm-ox,ye,x,ym+oy,x,ym),this.bezierCurveTo(x,ym-oy,xm-ox,y,xm,y),this.bezierCurveTo(xm+ox,y,xe,ym-oy,xe,ym),this.lineTo(xe,ymb),this.bezierCurveTo(xe,ymb+oy,xm+ox,yeb,xm,yeb),this.bezierCurveTo(xm-ox,yeb,x,ymb+oy,x,ymb),this.lineTo(x,ym)},CanvasRenderingContext2D.prototype.dashedLine=function(x,y,x2,y2,pattern){this.beginPath(),this.moveTo(x,y);for(var patternLength=pattern.length,dx=x2-x,dy=y2-y,slope=dy/dx,distRemaining=_Mathsqrt(dx*dx+dy*dy),patternIndex=0,draw=!0,xStep=0,dashLength=pattern[0];.1<=distRemaining;)dashLength=pattern[patternIndex++%patternLength],dashLength>distRemaining&&(dashLength=distRemaining),xStep=_Mathsqrt(dashLength*dashLength/(1+slope*slope)),xStep=0>dx?-xStep:xStep,x+=xStep,y+=slope*xStep,!0===draw?this.lineTo(x,y):this.moveTo(x,y),distRemaining-=dashLength,draw=!draw},CanvasRenderingContext2D.prototype.hexagon=function(x,y,r){this.beginPath();var a=2*_MathPI/6;this.moveTo(x+r,y);for(var i=1;i<6;i++)this.lineTo(x+r*_Mathcos(a*i),y+r*_Mathsin(a*i));this.closePath()});var commonjsGlobal$2="undefined"==typeof globalThis?"undefined"==typeof window?"undefined"==typeof global?"undefined"==typeof self?{}:self:global:window:globalThis,componentEmitter=createCommonjsModule$2(function(module){function Emitter(obj){if(obj)return mixin(obj)}function mixin(obj){for(var key in Emitter.prototype)obj[key]=Emitter.prototype[key];return obj}module.exports=Emitter,Emitter.prototype.on=Emitter.prototype.addEventListener=function(event,fn){return this._callbacks=this._callbacks||{},(this._callbacks["$"+event]=this._callbacks["$"+event]||[]).push(fn),this},Emitter.prototype.once=function(event,fn){function on(){this.off(event,on),fn.apply(this,arguments)}return on.fn=fn,this.on(event,on),this},Emitter.prototype.off=Emitter.prototype.removeListener=Emitter.prototype.removeAllListeners=Emitter.prototype.removeEventListener=function(event,fn){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var callbacks=this._callbacks["$"+event];if(!callbacks)return this;if(1==arguments.length)return delete this._callbacks["$"+event],this;for(var i=0,cb;i<callbacks.length;i++)if(cb=callbacks[i],cb===fn||cb.fn===fn){callbacks.splice(i,1);break}return 0===callbacks.length&&delete this._callbacks["$"+event],this},Emitter.prototype.emit=function(event){this._callbacks=this._callbacks||{};for(var args=Array(arguments.length-1),callbacks=this._callbacks["$"+event],i=1;i<arguments.length;i++)args[i-1]=arguments[i];if(callbacks){callbacks=callbacks.slice(0);for(var i=0,len=callbacks.length;i<len;++i)callbacks[i].apply(this,args)}return this},Emitter.prototype.listeners=function(event){return this._callbacks=this._callbacks||{},this._callbacks["$"+event]||[]},Emitter.prototype.hasListeners=function(event){return!!this.listeners(event).length}}),NODE_ATTR_MAPPING={fontsize:"font.size",fontcolor:"font.color",labelfontcolor:"font.color",fontname:"font.face",color:["color.border","color.background"],fillcolor:"color.background",tooltip:"title",labeltooltip:"title"},EDGE_ATTR_MAPPING=Object.create(NODE_ATTR_MAPPING);EDGE_ATTR_MAPPING.color="color.color",EDGE_ATTR_MAPPING.style="dashes";var TOKENTYPE={NULL:0,DELIMITER:1,IDENTIFIER:2,UNKNOWN:3},DELIMITERS={"{":!0,"}":!0,"[":!0,"]":!0,";":!0,"=":!0,",":!0,"->":!0,"--":!0},dot="",index$1=0,c="",token="",tokenType=TOKENTYPE.NULL,regexAlphaNumeric=/[a-zA-Z_0-9.:#]/,parseDOT_1=parseDOT,DOTToGraph_1=function(data){var dotData=parseDOT(data),graphData={nodes:[],edges:[],options:{}};if(dotData.nodes&&dotData.nodes.forEach(function(dotNode){var graphNode={id:dotNode.id,label:(dotNode.label||dotNode.id)+""};merge(graphNode,convertAttr(dotNode.attr,NODE_ATTR_MAPPING)),graphNode.image&&(graphNode.shape="image"),graphData.nodes.push(graphNode)}),dotData.edges){var convertEdge=function(dotEdge){var graphEdge={from:dotEdge.from,to:dotEdge.to};return merge(graphEdge,convertAttr(dotEdge.attr,EDGE_ATTR_MAPPING)),null==graphEdge.arrows&&"->"===dotEdge.type&&(graphEdge.arrows="to"),graphEdge};dotData.edges.forEach(function(dotEdge){var from,to;from=dotEdge.from instanceof Object?dotEdge.from.nodes:{id:dotEdge.from},to=dotEdge.to instanceof Object?dotEdge.to.nodes:{id:dotEdge.to},dotEdge.from instanceof Object&&dotEdge.from.edges&&dotEdge.from.edges.forEach(function(subEdge){var graphEdge=convertEdge(subEdge);graphData.edges.push(graphEdge)}),forEach2(from,to,function(from,to){var subEdge=createEdge(graphData,from.id,to.id,dotEdge.type,dotEdge.attr),graphEdge=convertEdge(subEdge);graphData.edges.push(graphEdge)}),dotEdge.to instanceof Object&&dotEdge.to.edges&&dotEdge.to.edges.forEach(function(subEdge){var graphEdge=convertEdge(subEdge);graphData.edges.push(graphEdge)})})}return dotData.attr&&(graphData.options=dotData.attr),graphData},dotparser={parseDOT:parseDOT_1,DOTToGraph:DOTToGraph_1},dotparser$1=Object.freeze({default:dotparser,__moduleExports:dotparser,parseDOT:parseDOT_1,DOTToGraph:DOTToGraph_1}),gephiParser=Object.freeze({parseGephi:parseGephi}),Activator=Object.freeze({}),keycharm=createCommonjsModule$2(function(module){(function(root,factory){module.exports=factory()})(commonjsGlobal$2,function(){function keycharm(options){var _StringfromCharCode=String.fromCharCode,preventDefault=options&&options.preventDefault||!1,container=options&&options.container||window,_exportFunctions={},_bound={keydown:{},keyup:{}},_keys={},i;for(i=97;122>=i;i++)_keys[_StringfromCharCode(i)]={code:65+(i-97),shift:!1};for(i=65;90>=i;i++)_keys[_StringfromCharCode(i)]={code:i,shift:!0};for(i=0;9>=i;i++)_keys[""+i]={code:48+i,shift:!1};for(i=1;12>=i;i++)_keys["F"+i]={code:111+i,shift:!1};for(i=0;9>=i;i++)_keys["num"+i]={code:96+i,shift:!1};_keys["num*"]={code:106,shift:!1},_keys["num+"]={code:107,shift:!1},_keys["num-"]={code:109,shift:!1},_keys["num/"]={code:111,shift:!1},_keys["num."]={code:110,shift:!1},_keys.left={code:37,shift:!1},_keys.up={code:38,shift:!1},_keys.right={code:39,shift:!1},_keys.down={code:40,shift:!1},_keys.space={code:32,shift:!1},_keys.enter={code:13,shift:!1},_keys.shift={code:16,shift:void 0},_keys.esc={code:27,shift:!1},_keys.backspace={code:8,shift:!1},_keys.tab={code:9,shift:!1},_keys.ctrl={code:17,shift:!1},_keys.alt={code:18,shift:!1},_keys["delete"]={code:46,shift:!1},_keys.pageup={code:33,shift:!1},_keys.pagedown={code:34,shift:!1},_keys["="]={code:187,shift:!1},_keys["-"]={code:189,shift:!1},_keys["]"]={code:221,shift:!1},_keys["["]={code:219,shift:!1};var down=function(event){handleEvent(event,"keydown")},up=function(event){handleEvent(event,"keyup")},handleEvent=function(event,type){if(void 0!==_bound[type][event.keyCode]){for(var bound=_bound[type][event.keyCode],i=0;i<bound.length;i++)void 0===bound[i].shift?bound[i].fn(event):!0==bound[i].shift&&!0==event.shiftKey?bound[i].fn(event):!1==bound[i].shift&&!1==event.shiftKey&&bound[i].fn(event);!0==preventDefault&&event.preventDefault()}};return _exportFunctions.bind=function(key,callback,type){if(void 0===type&&(type="keydown"),void 0===_keys[key])throw new Error("unsupported key: "+key);void 0===_bound[type][_keys[key].code]&&(_bound[type][_keys[key].code]=[]),_bound[type][_keys[key].code].push({fn:callback,shift:_keys[key].shift})},_exportFunctions.bindAll=function(callback,type){for(var key in void 0===type&&(type="keydown"),_keys)_keys.hasOwnProperty(key)&&_exportFunctions.bind(key,callback,type)},_exportFunctions.getKey=function(event){for(var key in _keys)if(_keys.hasOwnProperty(key)){if(!0==event.shiftKey&&!0==_keys[key].shift&&event.keyCode==_keys[key].code)return key;if(!1==event.shiftKey&&!1==_keys[key].shift&&event.keyCode==_keys[key].code)return key;if(event.keyCode==_keys[key].code&&"shift"==key)return key}return"unknown key, currently not supported"},_exportFunctions.unbind=function(key,callback,type){if(void 0===type&&(type="keydown"),void 0===_keys[key])throw new Error("unsupported key: "+key);if(void 0!==callback){var newBindings=[],bound=_bound[type][_keys[key].code];if(void 0!==bound)for(var i=0;i<bound.length;i++)(bound[i].fn!=callback||bound[i].shift!=_keys[key].shift)&&newBindings.push(_bound[type][_keys[key].code][i]);_bound[type][_keys[key].code]=newBindings}else _bound[type][_keys[key].code]=[]},_exportFunctions.reset=function(){_bound={keydown:{},keyup:{}}},_exportFunctions.destroy=function(){_bound={keydown:{},keyup:{}},container.removeEventListener("keydown",down,!0),container.removeEventListener("keyup",up,!0)},container.addEventListener("keydown",down,!0),container.addEventListener("keyup",up,!0),_exportFunctions}return keycharm})}),assign;assign="function"==typeof Object.assign?Object.assign:function(target){if(void 0===target||null===target)throw new TypeError("Cannot convert undefined or null to object");for(var output=Object(target),index=1,source;index<arguments.length;index++)if(source=arguments[index],void 0!==source&&null!==source)for(var nextKey in source)source.hasOwnProperty(nextKey)&&(output[nextKey]=source[nextKey]);return output};var assign$1=assign,VENDOR_PREFIXES=["","webkit","Moz","MS","ms","o"],TEST_ELEMENT="undefined"==typeof document?{style:{}}:document.createElement("div"),round=_Mathround,abs=_Mathabs,now=Date.now,win;win="undefined"==typeof window?{}:window;var PREFIXED_TOUCH_ACTION=prefixed(TEST_ELEMENT.style,"touchAction"),NATIVE_TOUCH_ACTION=PREFIXED_TOUCH_ACTION!==void 0,TOUCH_ACTION_COMPUTE="compute",TOUCH_ACTION_NONE="none",TOUCH_ACTION_PAN_X="pan-x",TOUCH_ACTION_PAN_Y="pan-y",TOUCH_ACTION_MAP=getTouchActionProps(),MOBILE_REGEX=/mobile|tablet|ip(ad|hone|od)|android/i,SUPPORT_TOUCH="ontouchstart"in win,SUPPORT_POINTER_EVENTS=prefixed(win,"PointerEvent")!==void 0,SUPPORT_ONLY_TOUCH=SUPPORT_TOUCH&&MOBILE_REGEX.test(navigator.userAgent),INPUT_TYPE_TOUCH="touch",INPUT_TYPE_MOUSE="mouse",INPUT_START=1,INPUT_MOVE=2,INPUT_END=4,INPUT_CANCEL=8,DIRECTION_NONE=1,DIRECTION_LEFT=2,DIRECTION_RIGHT=4,DIRECTION_UP=8,DIRECTION_DOWN=16,DIRECTION_HORIZONTAL=DIRECTION_LEFT|DIRECTION_RIGHT,DIRECTION_VERTICAL=DIRECTION_UP|DIRECTION_DOWN,DIRECTION_ALL=DIRECTION_HORIZONTAL|DIRECTION_VERTICAL,PROPS_XY=["x","y"],PROPS_CLIENT_XY=["clientX","clientY"],TouchAction=function(){function TouchAction(manager,value){this.manager=manager,this.set(value)}var _proto=TouchAction.prototype;return _proto.set=function(value){value===TOUCH_ACTION_COMPUTE&&(value=this.compute()),NATIVE_TOUCH_ACTION&&this.manager.element.style&&TOUCH_ACTION_MAP[value]&&(this.manager.element.style[PREFIXED_TOUCH_ACTION]=value),this.actions=value.toLowerCase().trim()},_proto.update=function(){this.set(this.manager.options.touchAction)},_proto.compute=function(){var actions=[];return each(this.manager.recognizers,function(recognizer){boolOrFn(recognizer.options.enable,[recognizer])&&(actions=actions.concat(recognizer.getTouchAction()))}),cleanTouchActions(actions.join(" "))},_proto.preventDefaults=function(input){var srcEvent=input.srcEvent,direction=input.offsetDirection;if(this.manager.session.prevented)return void srcEvent.preventDefault();var actions=this.actions,hasNone=inStr(actions,TOUCH_ACTION_NONE)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_NONE],hasPanY=inStr(actions,TOUCH_ACTION_PAN_Y)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_PAN_Y],hasPanX=inStr(actions,TOUCH_ACTION_PAN_X)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_PAN_X];if(hasNone){var isTapPointer=1===input.pointers.length,isTapMovement=2>input.distance,isTapTouchTime=250>input.deltaTime;if(isTapPointer&&isTapMovement&&isTapTouchTime)return}return hasPanX&&hasPanY?void 0:hasNone||hasPanY&&direction&DIRECTION_HORIZONTAL||hasPanX&&direction&DIRECTION_VERTICAL?this.preventSrc(srcEvent):void 0},_proto.preventSrc=function(srcEvent){this.manager.session.prevented=!0,srcEvent.preventDefault()},TouchAction}(),Input=function(){function Input(manager,callback){var self=this;this.manager=manager,this.callback=callback,this.element=manager.element,this.target=manager.options.inputTarget,this.domHandler=function(ev){boolOrFn(manager.options.enable,[manager])&&self.handler(ev)},this.init()}var _proto=Input.prototype;return _proto.handler=function(){},_proto.init=function(){this.evEl&&addEventListeners(this.element,this.evEl,this.domHandler),this.evTarget&&addEventListeners(this.target,this.evTarget,this.domHandler),this.evWin&&addEventListeners(getWindowForElement(this.element),this.evWin,this.domHandler)},_proto.destroy=function(){this.evEl&&removeEventListeners(this.element,this.evEl,this.domHandler),this.evTarget&&removeEventListeners(this.target,this.evTarget,this.domHandler),this.evWin&&removeEventListeners(getWindowForElement(this.element),this.evWin,this.domHandler)},Input}(),POINTER_INPUT_MAP={pointerdown:INPUT_START,pointermove:INPUT_MOVE,pointerup:INPUT_END,pointercancel:INPUT_CANCEL,pointerout:INPUT_CANCEL},IE10_POINTER_TYPE_ENUM={2:INPUT_TYPE_TOUCH,3:"pen",4:INPUT_TYPE_MOUSE,5:"kinect"},POINTER_ELEMENT_EVENTS="pointerdown",POINTER_WINDOW_EVENTS="pointermove pointerup pointercancel";win.MSPointerEvent&&!win.PointerEvent&&(POINTER_ELEMENT_EVENTS="MSPointerDown",POINTER_WINDOW_EVENTS="MSPointerMove MSPointerUp MSPointerCancel");var PointerEventInput=function(_Input){function PointerEventInput(){var proto=PointerEventInput.prototype,_this;return proto.evEl=POINTER_ELEMENT_EVENTS,proto.evWin=POINTER_WINDOW_EVENTS,_this=_Input.apply(this,arguments)||this,_this.store=_this.manager.session.pointerEvents=[],_this}_inheritsLoose(PointerEventInput,_Input);var _proto=PointerEventInput.prototype;return _proto.handler=function(ev){var store=this.store,removePointer=!1,eventTypeNormalized=ev.type.toLowerCase().replace("ms",""),eventType=POINTER_INPUT_MAP[eventTypeNormalized],pointerType=IE10_POINTER_TYPE_ENUM[ev.pointerType]||ev.pointerType,storeIndex=inArray(store,ev.pointerId,"pointerId");eventType&INPUT_START&&(0===ev.button||pointerType===INPUT_TYPE_TOUCH)?0>storeIndex&&(store.push(ev),storeIndex=store.length-1):eventType&(INPUT_END|INPUT_CANCEL)&&(removePointer=!0),0>storeIndex||(store[storeIndex]=ev,this.callback(this.manager,eventType,{pointers:store,changedPointers:[ev],pointerType:pointerType,srcEvent:ev}),removePointer&&store.splice(storeIndex,1))},PointerEventInput}(Input),TOUCH_INPUT_MAP={touchstart:INPUT_START,touchmove:INPUT_MOVE,touchend:INPUT_END,touchcancel:INPUT_CANCEL},TouchInput=function(_Input){function TouchInput(){var _this;return TouchInput.prototype.evTarget="touchstart touchmove touchend touchcancel",_this=_Input.apply(this,arguments)||this,_this.targetIds={},_this}_inheritsLoose(TouchInput,_Input);var _proto=TouchInput.prototype;return _proto.handler=function(ev){var type=TOUCH_INPUT_MAP[ev.type],touches=getTouches.call(this,ev,type);touches&&this.callback(this.manager,type,{pointers:touches[0],changedPointers:touches[1],pointerType:INPUT_TYPE_TOUCH,srcEvent:ev})},TouchInput}(Input),MOUSE_INPUT_MAP={mousedown:INPUT_START,mousemove:INPUT_MOVE,mouseup:INPUT_END},MouseInput=function(_Input){function MouseInput(){var proto=MouseInput.prototype,_this;return proto.evEl="mousedown",proto.evWin="mousemove mouseup",_this=_Input.apply(this,arguments)||this,_this.pressed=!1,_this}_inheritsLoose(MouseInput,_Input);var _proto=MouseInput.prototype;return _proto.handler=function(ev){var eventType=MOUSE_INPUT_MAP[ev.type];eventType&INPUT_START&&0===ev.button&&(this.pressed=!0),eventType&INPUT_MOVE&&1!==ev.which&&(eventType=INPUT_END),this.pressed&&(eventType&INPUT_END&&(this.pressed=!1),this.callback(this.manager,eventType,{pointers:[ev],changedPointers:[ev],pointerType:INPUT_TYPE_MOUSE,srcEvent:ev}))},MouseInput}(Input),TouchMouseInput=function(){var TouchMouseInput=function(_Input){function TouchMouseInput(_manager,callback){var _this;return _this=_Input.call(this,_manager,callback)||this,_this.handler=function(manager,inputEvent,inputData){var isTouch=inputData.pointerType===INPUT_TYPE_TOUCH,isMouse=inputData.pointerType===INPUT_TYPE_MOUSE;if(!(isMouse&&inputData.sourceCapabilities&&inputData.sourceCapabilities.firesTouchEvents)){if(isTouch)recordTouches.call(_assertThisInitialized$1(_assertThisInitialized$1(_this)),inputEvent,inputData);else if(isMouse&&isSyntheticEvent.call(_assertThisInitialized$1(_assertThisInitialized$1(_this)),inputData))return;_this.callback(manager,inputEvent,inputData)}},_this.touch=new TouchInput(_this.manager,_this.handler),_this.mouse=new MouseInput(_this.manager,_this.handler),_this.primaryTouch=null,_this.lastTouches=[],_this}_inheritsLoose(TouchMouseInput,_Input);var _proto=TouchMouseInput.prototype;return _proto.destroy=function(){this.touch.destroy(),this.mouse.destroy()},TouchMouseInput}(Input);return TouchMouseInput}(),STATE_POSSIBLE=1,STATE_BEGAN=2,STATE_CHANGED=4,STATE_ENDED=8,STATE_RECOGNIZED=STATE_ENDED,STATE_CANCELLED=16,STATE_FAILED=32,_uniqueId=1,Recognizer=function(){function Recognizer(options){void 0===options&&(options={}),this.options=_extends({enable:!0},options),this.id=uniqueId(),this.manager=null,this.state=STATE_POSSIBLE,this.simultaneous={},this.requireFail=[]}var _proto=Recognizer.prototype;return _proto.set=function(options){return assign$1(this.options,options),this.manager&&this.manager.touchAction.update(),this},_proto.recognizeWith=function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"recognizeWith",this))return this;var simultaneous=this.simultaneous;return otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),simultaneous[otherRecognizer.id]||(simultaneous[otherRecognizer.id]=otherRecognizer,otherRecognizer.recognizeWith(this)),this},_proto.dropRecognizeWith=function(otherRecognizer){return invokeArrayArg(otherRecognizer,"dropRecognizeWith",this)?this:(otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),delete this.simultaneous[otherRecognizer.id],this)},_proto.requireFailure=function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"requireFailure",this))return this;var requireFail=this.requireFail;return otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),-1===inArray(requireFail,otherRecognizer)&&(requireFail.push(otherRecognizer),otherRecognizer.requireFailure(this)),this},_proto.dropRequireFailure=function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"dropRequireFailure",this))return this;otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this);var index=inArray(this.requireFail,otherRecognizer);return-1<index&&this.requireFail.splice(index,1),this},_proto.hasRequireFailures=function(){return 0<this.requireFail.length},_proto.canRecognizeWith=function(otherRecognizer){return!!this.simultaneous[otherRecognizer.id]},_proto.emit=function emit(input){function emit(event){self.manager.emit(event,input)}var self=this,state=this.state;state<STATE_ENDED&&emit(self.options.event+stateStr(state)),emit(self.options.event),input.additionalEvent&&emit(input.additionalEvent),state>=STATE_ENDED&&emit(self.options.event+stateStr(state))},_proto.tryEmit=function(input){return this.canEmit()?this.emit(input):void(this.state=STATE_FAILED)},_proto.canEmit=function(){for(var i=0;i<this.requireFail.length;){if(!(this.requireFail[i].state&(STATE_FAILED|STATE_POSSIBLE)))return!1;i++}return!0},_proto.recognize=function(inputData){var inputDataClone=assign$1({},inputData);return boolOrFn(this.options.enable,[this,inputDataClone])?void(this.state&(STATE_RECOGNIZED|STATE_CANCELLED|STATE_FAILED)&&(this.state=STATE_POSSIBLE),this.state=this.process(inputDataClone),this.state&(STATE_BEGAN|STATE_CHANGED|STATE_ENDED|STATE_CANCELLED)&&this.tryEmit(inputDataClone)):(this.reset(),void(this.state=STATE_FAILED))},_proto.process=function(){},_proto.getTouchAction=function(){},_proto.reset=function(){},Recognizer}(),defaults={domEvents:!1,touchAction:TOUCH_ACTION_COMPUTE,enable:!0,inputTarget:null,inputClass:null,preset:[],cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},FORCED_STOP=2,Manager=function(){function Manager(element,options){var _this=this;this.options=assign$1({},defaults,options||{}),this.options.inputTarget=this.options.inputTarget||element,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=element,this.input=createInputInstance(this),this.touchAction=new TouchAction(this,this.options.touchAction),toggleCssProps(this,!0),each(this.options.recognizers,function(item){var recognizer=_this.add(new item[0](item[1]));item[2]&&recognizer.recognizeWith(item[2]),item[3]&&recognizer.requireFailure(item[3])},this)}var _proto=Manager.prototype;return _proto.set=function(options){return assign$1(this.options,options),options.touchAction&&this.touchAction.update(),options.inputTarget&&(this.input.destroy(),this.input.target=options.inputTarget,this.input.init()),this},_proto.stop=function(force){this.session.stopped=force?FORCED_STOP:1},_proto.recognize=function(inputData){var session=this.session;if(!session.stopped){this.touchAction.preventDefaults(inputData);var recognizers=this.recognizers,curRecognizer=session.curRecognizer,recognizer;(!curRecognizer||curRecognizer&&curRecognizer.state&STATE_RECOGNIZED)&&(session.curRecognizer=null,curRecognizer=null);for(var i=0;i<recognizers.length;)recognizer=recognizers[i],session.stopped!==FORCED_STOP&&(!curRecognizer||recognizer===curRecognizer||recognizer.canRecognizeWith(curRecognizer))?recognizer.recognize(inputData):recognizer.reset(),!curRecognizer&&recognizer.state&(STATE_BEGAN|STATE_CHANGED|STATE_ENDED)&&(session.curRecognizer=recognizer,curRecognizer=recognizer),i++}},_proto.get=function(recognizer){if(recognizer instanceof Recognizer)return recognizer;for(var recognizers=this.recognizers,i=0;i<recognizers.length;i++)if(recognizers[i].options.event===recognizer)return recognizers[i];return null},_proto.add=function(recognizer){if(invokeArrayArg(recognizer,"add",this))return this;var existing=this.get(recognizer.options.event);return existing&&this.remove(existing),this.recognizers.push(recognizer),recognizer.manager=this,this.touchAction.update(),recognizer},_proto.remove=function(recognizer){if(invokeArrayArg(recognizer,"remove",this))return this;var targetRecognizer=this.get(recognizer);if(recognizer){var recognizers=this.recognizers,index=inArray(recognizers,targetRecognizer);-1!==index&&(recognizers.splice(index,1),this.touchAction.update())}return this},_proto.on=function(events,handler){if(void 0===events||void 0===handler)return this;var handlers=this.handlers;return each(splitStr(events),function(event){handlers[event]=handlers[event]||[],handlers[event].push(handler)}),this},_proto.off=function(events,handler){if(void 0===events)return this;var handlers=this.handlers;return each(splitStr(events),function(event){handler?handlers[event]&&handlers[event].splice(inArray(handlers[event],handler),1):delete handlers[event]}),this},_proto.emit=function(event,data){this.options.domEvents&&triggerDomEvent(event,data);var handlers=this.handlers[event]&&this.handlers[event].slice();if(handlers&&handlers.length){data.type=event,data.preventDefault=function(){data.srcEvent.preventDefault()};for(var i=0;i<handlers.length;)handlers[i](data),i++}},_proto.destroy=function(){this.element&&toggleCssProps(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},Manager}(),SINGLE_TOUCH_INPUT_MAP={touchstart:INPUT_START,touchmove:INPUT_MOVE,touchend:INPUT_END,touchcancel:INPUT_CANCEL},SingleTouchInput=function(_Input){function SingleTouchInput(){var proto=SingleTouchInput.prototype,_this;return proto.evTarget="touchstart",proto.evWin="touchstart touchmove touchend touchcancel",_this=_Input.apply(this,arguments)||this,_this.started=!1,_this}_inheritsLoose(SingleTouchInput,_Input);var _proto=SingleTouchInput.prototype;return _proto.handler=function(ev){var type=SINGLE_TOUCH_INPUT_MAP[ev.type];if(type===INPUT_START&&(this.started=!0),!!this.started){var touches=normalizeSingleTouches.call(this,ev,type);type&(INPUT_END|INPUT_CANCEL)&&0==touches[0].length-touches[1].length&&(this.started=!1),this.callback(this.manager,type,{pointers:touches[0],changedPointers:touches[1],pointerType:INPUT_TYPE_TOUCH,srcEvent:ev})}},SingleTouchInput}(Input),AttrRecognizer=function(_Recognizer){function AttrRecognizer(options){return void 0===options&&(options={}),_Recognizer.call(this,_extends({pointers:1},options))||this}_inheritsLoose(AttrRecognizer,_Recognizer);var _proto=AttrRecognizer.prototype;return _proto.attrTest=function(input){var optionPointers=this.options.pointers;return 0===optionPointers||input.pointers.length===optionPointers},_proto.process=function(input){var state=this.state,eventType=input.eventType,isRecognized=state&(STATE_BEGAN|STATE_CHANGED),isValid=this.attrTest(input);return isRecognized&&(eventType&INPUT_CANCEL||!isValid)?state|STATE_CANCELLED:isRecognized||isValid?eventType&INPUT_END?state|STATE_ENDED:state&STATE_BEGAN?state|STATE_CHANGED:STATE_BEGAN:STATE_FAILED},AttrRecognizer}(Recognizer),TapRecognizer=function(_Recognizer){function TapRecognizer(options){var _this;return void 0===options&&(options={}),_this=_Recognizer.call(this,_extends({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},options))||this,_this.pTime=!1,_this.pCenter=!1,_this._timer=null,_this._input=null,_this.count=0,_this}_inheritsLoose(TapRecognizer,_Recognizer);var _proto=TapRecognizer.prototype;return _proto.getTouchAction=function(){return["manipulation"]},_proto.process=function(input){var _this2=this,options=this.options,validPointers=input.pointers.length===options.pointers,validMovement=input.distance<options.threshold,validTouchTime=input.deltaTime<options.time;if(this.reset(),input.eventType&INPUT_START&&0===this.count)return this.failTimeout();if(validMovement&&validTouchTime&&validPointers){if(input.eventType!==INPUT_END)return this.failTimeout();var validInterval=!this.pTime||input.timeStamp-this.pTime<options.interval,validMultiTap=!this.pCenter||getDistance(this.pCenter,input.center)<options.posThreshold;this.pTime=input.timeStamp,this.pCenter=input.center,validMultiTap&&validInterval?this.count+=1:this.count=1,this._input=input;var tapCount=this.count%options.taps;if(0==tapCount)return this.hasRequireFailures()?(this._timer=setTimeout(function(){_this2.state=STATE_RECOGNIZED,_this2.tryEmit()},options.interval),STATE_BEGAN):STATE_RECOGNIZED}return STATE_FAILED},_proto.failTimeout=function(){var _this3=this;return this._timer=setTimeout(function(){_this3.state=STATE_FAILED},this.options.interval),STATE_FAILED},_proto.reset=function(){clearTimeout(this._timer)},_proto.emit=function(){this.state===STATE_RECOGNIZED&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},TapRecognizer}(Recognizer),PanRecognizer=function(_AttrRecognizer){function PanRecognizer(options){var _this;return void 0===options&&(options={}),_this=_AttrRecognizer.call(this,_extends({event:"pan",threshold:10,pointers:1,direction:DIRECTION_ALL},options))||this,_this.pX=null,_this.pY=null,_this}_inheritsLoose(PanRecognizer,_AttrRecognizer);var _proto=PanRecognizer.prototype;return _proto.getTouchAction=function(){var direction=this.options.direction,actions=[];return direction&DIRECTION_HORIZONTAL&&actions.push(TOUCH_ACTION_PAN_Y),direction&DIRECTION_VERTICAL&&actions.push(TOUCH_ACTION_PAN_X),actions},_proto.directionTest=function(input){var options=this.options,hasMoved=!0,distance=input.distance,direction=input.direction,x=input.deltaX,y=input.deltaY;return direction&options.direction||(options.direction&DIRECTION_HORIZONTAL?(direction=0===x?DIRECTION_NONE:0>x?DIRECTION_LEFT:DIRECTION_RIGHT,hasMoved=x!==this.pX,distance=_Mathabs(input.deltaX)):(direction=0===y?DIRECTION_NONE:0>y?DIRECTION_UP:DIRECTION_DOWN,hasMoved=y!==this.pY,distance=_Mathabs(input.deltaY))),input.direction=direction,hasMoved&&distance>options.threshold&&direction&options.direction},_proto.attrTest=function(input){return AttrRecognizer.prototype.attrTest.call(this,input)&&(this.state&STATE_BEGAN||!(this.state&STATE_BEGAN)&&this.directionTest(input))},_proto.emit=function(input){this.pX=input.deltaX,this.pY=input.deltaY;var direction=directionStr(input.direction);direction&&(input.additionalEvent=this.options.event+direction),_AttrRecognizer.prototype.emit.call(this,input)},PanRecognizer}(AttrRecognizer),SwipeRecognizer=function(_AttrRecognizer){function SwipeRecognizer(options){return void 0===options&&(options={}),_AttrRecognizer.call(this,_extends({event:"swipe",threshold:10,velocity:.3,direction:DIRECTION_HORIZONTAL|DIRECTION_VERTICAL,pointers:1},options))||this}_inheritsLoose(SwipeRecognizer,_AttrRecognizer);var _proto=SwipeRecognizer.prototype;return _proto.getTouchAction=function(){return PanRecognizer.prototype.getTouchAction.call(this)},_proto.attrTest=function(input){var direction=this.options.direction,velocity;return direction&(DIRECTION_HORIZONTAL|DIRECTION_VERTICAL)?velocity=input.overallVelocity:direction&DIRECTION_HORIZONTAL?velocity=input.overallVelocityX:direction&DIRECTION_VERTICAL&&(velocity=input.overallVelocityY),_AttrRecognizer.prototype.attrTest.call(this,input)&&direction&input.offsetDirection&&input.distance>this.options.threshold&&input.maxPointers===this.options.pointers&&abs(velocity)>this.options.velocity&&input.eventType&INPUT_END},_proto.emit=function(input){var direction=directionStr(input.offsetDirection);direction&&this.manager.emit(this.options.event+direction,input),this.manager.emit(this.options.event,input)},SwipeRecognizer}(AttrRecognizer),PinchRecognizer=function(_AttrRecognizer){function PinchRecognizer(options){return void 0===options&&(options={}),_AttrRecognizer.call(this,_extends({event:"pinch",threshold:0,pointers:2},options))||this}_inheritsLoose(PinchRecognizer,_AttrRecognizer);var _proto=PinchRecognizer.prototype;return _proto.getTouchAction=function(){return[TOUCH_ACTION_NONE]},_proto.attrTest=function(input){return _AttrRecognizer.prototype.attrTest.call(this,input)&&(_Mathabs(input.scale-1)>this.options.threshold||this.state&STATE_BEGAN)},_proto.emit=function(input){if(1!==input.scale){var inOut=1>input.scale?"in":"out";input.additionalEvent=this.options.event+inOut}_AttrRecognizer.prototype.emit.call(this,input)},PinchRecognizer}(AttrRecognizer),RotateRecognizer=function(_AttrRecognizer){function RotateRecognizer(options){return void 0===options&&(options={}),_AttrRecognizer.call(this,_extends({event:"rotate",threshold:0,pointers:2},options))||this}_inheritsLoose(RotateRecognizer,_AttrRecognizer);var _proto=RotateRecognizer.prototype;return _proto.getTouchAction=function(){return[TOUCH_ACTION_NONE]},_proto.attrTest=function(input){return _AttrRecognizer.prototype.attrTest.call(this,input)&&(_Mathabs(input.rotation)>this.options.threshold||this.state&STATE_BEGAN)},RotateRecognizer}(AttrRecognizer),PressRecognizer=function(_Recognizer){function PressRecognizer(options){var _this;return void 0===options&&(options={}),_this=_Recognizer.call(this,_extends({event:"press",pointers:1,time:251,threshold:9},options))||this,_this._timer=null,_this._input=null,_this}_inheritsLoose(PressRecognizer,_Recognizer);var _proto=PressRecognizer.prototype;return _proto.getTouchAction=function(){return["auto"]},_proto.process=function(input){var _this2=this,options=this.options,validPointers=input.pointers.length===options.pointers,validMovement=input.distance<options.threshold,validTime=input.deltaTime>options.time;if(this._input=input,!validMovement||!validPointers||input.eventType&(INPUT_END|INPUT_CANCEL)&&!validTime)this.reset();else if(input.eventType&INPUT_START)this.reset(),this._timer=setTimeout(function(){_this2.state=STATE_RECOGNIZED,_this2.tryEmit()},options.time);else if(input.eventType&INPUT_END)return STATE_RECOGNIZED;return STATE_FAILED},_proto.reset=function(){clearTimeout(this._timer)},_proto.emit=function(input){this.state!==STATE_RECOGNIZED||(input&&input.eventType&INPUT_END?this.manager.emit(this.options.event+"up",input):(this._input.timeStamp=now(),this.manager.emit(this.options.event,this._input)))},PressRecognizer}(Recognizer),extend$1=deprecate(function(dest,src,merge){for(var keys=Object.keys(src),i=0;i<keys.length;)(!merge||merge&&void 0===dest[keys[i]])&&(dest[keys[i]]=src[keys[i]]),i++;return dest},"extend","Use `assign`."),merge$1=deprecate(function(dest,src){return extend$1(dest,src,!0)},"merge","Use `assign`."),Hammer=function(){var Hammer=function(element,options){return void 0===options&&(options={}),new Manager(element,_extends({recognizers:[[RotateRecognizer,{enable:!1}],[PinchRecognizer,{enable:!1},["rotate"]],[SwipeRecognizer,{direction:DIRECTION_HORIZONTAL}],[PanRecognizer,{direction:DIRECTION_HORIZONTAL},["swipe"]],[TapRecognizer],[TapRecognizer,{event:"doubletap",taps:2},["tap"]],[PressRecognizer]]},options))};return Hammer.VERSION="2.0.15",Hammer.DIRECTION_ALL=DIRECTION_ALL,Hammer.DIRECTION_DOWN=DIRECTION_DOWN,Hammer.DIRECTION_LEFT=DIRECTION_LEFT,Hammer.DIRECTION_RIGHT=DIRECTION_RIGHT,Hammer.DIRECTION_UP=DIRECTION_UP,Hammer.DIRECTION_HORIZONTAL=DIRECTION_HORIZONTAL,Hammer.DIRECTION_VERTICAL=DIRECTION_VERTICAL,Hammer.DIRECTION_NONE=DIRECTION_NONE,Hammer.DIRECTION_DOWN=DIRECTION_DOWN,Hammer.INPUT_START=INPUT_START,Hammer.INPUT_MOVE=INPUT_MOVE,Hammer.INPUT_END=INPUT_END,Hammer.INPUT_CANCEL=INPUT_CANCEL,Hammer.STATE_POSSIBLE=STATE_POSSIBLE,Hammer.STATE_BEGAN=STATE_BEGAN,Hammer.STATE_CHANGED=STATE_CHANGED,Hammer.STATE_ENDED=STATE_ENDED,Hammer.STATE_RECOGNIZED=STATE_RECOGNIZED,Hammer.STATE_CANCELLED=STATE_CANCELLED,Hammer.STATE_FAILED=STATE_FAILED,Hammer.Manager=Manager,Hammer.Input=Input,Hammer.TouchAction=TouchAction,Hammer.TouchInput=TouchInput,Hammer.MouseInput=MouseInput,Hammer.PointerEventInput=PointerEventInput,Hammer.TouchMouseInput=TouchMouseInput,Hammer.SingleTouchInput=SingleTouchInput,Hammer.Recognizer=Recognizer,Hammer.AttrRecognizer=AttrRecognizer,Hammer.Tap=TapRecognizer,Hammer.Pan=PanRecognizer,Hammer.Swipe=SwipeRecognizer,Hammer.Pinch=PinchRecognizer,Hammer.Rotate=RotateRecognizer,Hammer.Press=PressRecognizer,Hammer.on=addEventListeners,Hammer.off=removeEventListeners,Hammer.each=each,Hammer.merge=merge$1,Hammer.extend=extend$1,Hammer.bindFn=bindFn,Hammer.assign=assign$1,Hammer.inherit=inherit,Hammer.bindFn=bindFn,Hammer.prefixed=prefixed,Hammer.toArray=toArray$1,Hammer.inArray=inArray,Hammer.uniqueArray=uniqueArray,Hammer.splitStr=splitStr,Hammer.boolOrFn=boolOrFn,Hammer.hasParent=hasParent$1,Hammer.addEventListeners=addEventListeners,Hammer.removeEventListeners=removeEventListeners,Hammer.defaults=defaults,Hammer}(),hammer=createCommonjsModule$2(function(module){function hammerMock(){const noop=()=>{};return{on:noop,off:noop,destroy:noop,emit:noop,get:function(){return{set:noop}}}}if("undefined"!=typeof window){var Hammer$1=window.Hammer||Hammer;module.exports=Hammer$1}else module.exports=function(){return hammerMock()}});(function(n){return n&&n["default"]||n})(Activator),componentEmitter(Activator$1.prototype),Activator$1.current=null,Activator$1.prototype.destroy=function(){this.deactivate(),this.dom.overlay.parentNode.removeChild(this.dom.overlay),this.onClick&&document.body.removeEventListener("click",this.onClick),this.keycharm!==void 0&&this.keycharm.destroy(),this.keycharm=null,this.hammer.destroy(),this.hammer=null},Activator$1.prototype.activate=function(){Activator$1.current&&Activator$1.current.deactivate(),Activator$1.current=this,this.active=!0,this.dom.overlay.style.display="none",util.addClassName(this.dom.container,"vis-active"),this.emit("change"),this.emit("activate"),this.keycharm.bind("esc",this.escListener)},Activator$1.prototype.deactivate=function(){this.active=!1,this.dom.overlay.style.display="",util.removeClassName(this.dom.container,"vis-active"),this.keycharm.unbind("esc",this.escListener),this.emit("change"),this.emit("deactivate")},Activator$1.prototype._onTapOverlay=function(event){this.activate(),event.stopPropagation()};var locales=createCommonjsModule$2(function(module,exports){exports.en={edit:"Edit",del:"Delete selected",back:"Back",addNode:"Add Node",addEdge:"Add Edge",editNode:"Edit Node",editEdge:"Edit Edge",addDescription:"Click in an empty space to place a new node.",edgeDescription:"Click on a node and drag the edge to another node to connect them.",editEdgeDescription:"Click on the control points and drag them to a node to connect to it.",createEdgeError:"Cannot link edges to a cluster.",deleteClusterError:"Clusters cannot be deleted.",editClusterError:"Clusters cannot be edited."},exports.en_EN=exports.en,exports.en_US=exports.en,exports.de={edit:"Editieren",del:"L\xF6sche Auswahl",back:"Zur\xFCck",addNode:"Knoten hinzuf\xFCgen",addEdge:"Kante hinzuf\xFCgen",editNode:"Knoten editieren",editEdge:"Kante editieren",addDescription:"Klicke auf eine freie Stelle, um einen neuen Knoten zu plazieren.",edgeDescription:"Klicke auf einen Knoten und ziehe die Kante zu einem anderen Knoten, um diese zu verbinden.",editEdgeDescription:"Klicke auf die Verbindungspunkte und ziehe diese auf einen Knoten, um sie zu verbinden.",createEdgeError:"Es ist nicht m\xF6glich, Kanten mit Clustern zu verbinden.",deleteClusterError:"Cluster k\xF6nnen nicht gel\xF6scht werden.",editClusterError:"Cluster k\xF6nnen nicht editiert werden."},exports.de_DE=exports.de,exports.es={edit:"Editar",del:"Eliminar selecci\xF3n",back:"Atr\xE1s",addNode:"A\xF1adir nodo",addEdge:"A\xF1adir arista",editNode:"Editar nodo",editEdge:"Editar arista",addDescription:"Haga clic en un lugar vac\xEDo para colocar un nuevo nodo.",edgeDescription:"Haga clic en un nodo y arrastre la arista hacia otro nodo para conectarlos.",editEdgeDescription:"Haga clic en un punto de control y arrastrelo a un nodo para conectarlo.",createEdgeError:"No se puede conectar una arista a un grupo.",deleteClusterError:"No es posible eliminar grupos.",editClusterError:"No es posible editar grupos."},exports.es_ES=exports.es,exports.it={edit:"Modifica",del:"Cancella la selezione",back:"Indietro",addNode:"Aggiungi un nodo",addEdge:"Aggiungi un vertice",editNode:"Modifica il nodo",editEdge:"Modifica il vertice",addDescription:"Clicca per aggiungere un nuovo nodo",edgeDescription:"Clicca su un nodo e trascinalo ad un altro nodo per connetterli.",editEdgeDescription:"Clicca sui Punti di controllo e trascinali ad un nodo per connetterli.",createEdgeError:"Non si possono collegare vertici ad un cluster",deleteClusterError:"I cluster non possono essere cancellati",editClusterError:"I clusters non possono essere modificati."},exports.it_IT=exports.it,exports.nl={edit:"Wijzigen",del:"Selectie verwijderen",back:"Terug",addNode:"Node toevoegen",addEdge:"Link toevoegen",editNode:"Node wijzigen",editEdge:"Link wijzigen",addDescription:"Klik op een leeg gebied om een nieuwe node te maken.",edgeDescription:"Klik op een node en sleep de link naar een andere node om ze te verbinden.",editEdgeDescription:"Klik op de verbindingspunten en sleep ze naar een node om daarmee te verbinden.",createEdgeError:"Kan geen link maken naar een cluster.",deleteClusterError:"Clusters kunnen niet worden verwijderd.",editClusterError:"Clusters kunnen niet worden aangepast."},exports.nl_NL=exports.nl,exports.nl_BE=exports.nl,exports["pt-br"]={edit:"Editar",del:"Remover selecionado",back:"Voltar",addNode:"Adicionar n\xF3",addEdge:"Adicionar aresta",editNode:"Editar n\xF3",editEdge:"Editar aresta",addDescription:"Clique em um espa\xE7o em branco para adicionar um novo n\xF3",edgeDescription:"Clique em um n\xF3 e arraste a aresta at\xE9 outro n\xF3 para conect\xE1-los",editEdgeDescription:"Clique nos pontos de controle e os arraste para um n\xF3 para conect\xE1-los",createEdgeError:"N\xE3o foi poss\xEDvel linkar arestas a um cluster.",deleteClusterError:"Clusters n\xE3o puderam ser removidos.",editClusterError:"Clusters n\xE3o puderam ser editados."},exports["pt-BR"]=exports["pt-br"],exports.pt_BR=exports["pt-br"],exports.pt_br=exports["pt-br"],exports.ru={edit:"\u0420\u0435\u0434\u0430\u043A\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C",del:"\u0423\u0434\u0430\u043B\u0438\u0442\u044C \u0432\u044B\u0431\u0440\u0430\u043D\u043D\u043E\u0435",back:"\u041D\u0430\u0437\u0430\u0434",addNode:"\u0414\u043E\u0431\u0430\u0432\u0438\u0442\u044C \u0443\u0437\u0435\u043B",addEdge:"\u0414\u043E\u0431\u0430\u0432\u0438\u0442\u044C \u0440\u0435\u0431\u0440\u043E",editNode:"\u0420\u0435\u0434\u0430\u043A\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0443\u0437\u0435\u043B",editEdge:"\u0420\u0435\u0434\u0430\u043A\u0442\u0438\u0440\u043E\u0432\u0430\u0442\u044C \u0440\u0435\u0431\u0440\u043E",addDescription:"\u041A\u043B\u0438\u043A\u043D\u0438\u0442\u0435 \u0432 \u0441\u0432\u043E\u0431\u043E\u0434\u043D\u043E\u0435 \u043C\u0435\u0441\u0442\u043E, \u0447\u0442\u043E\u0431\u044B \u0434\u043E\u0431\u0430\u0432\u0438\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0443\u0437\u0435\u043B.",edgeDescription:"\u041A\u043B\u0438\u043A\u043D\u0438\u0442\u0435 \u043D\u0430 \u0443\u0437\u0435\u043B \u0438 \u043F\u0440\u043E\u0442\u044F\u043D\u0438\u0442\u0435 \u0440\u0435\u0431\u0440\u043E \u043A \u0434\u0440\u0443\u0433\u043E\u043C\u0443 \u0443\u0437\u043B\u0443, \u0447\u0442\u043E\u0431\u044B \u0441\u043E\u0435\u0434\u0438\u043D\u0438\u0442\u044C \u0438\u0445.",editEdgeDescription:"\u041A\u043B\u0438\u043A\u043D\u0438\u0442\u0435 \u043D\u0430 \u043A\u043E\u043D\u0442\u0440\u043E\u043B\u044C\u043D\u044B\u0435 \u0442\u043E\u0447\u043A\u0438 \u0438 \u043F\u0435\u0440\u0435\u0442\u0430\u0449\u0438\u0442\u0435 \u0438\u0445 \u0432 \u0443\u0437\u0435\u043B, \u0447\u0442\u043E\u0431\u044B \u043F\u043E\u0434\u043A\u043B\u044E\u0447\u0438\u0442\u044C\u0441\u044F \u043A \u043D\u0435\u043C\u0443.",createEdgeError:"\u041D\u0435\u0432\u043E\u0437\u043C\u043E\u0436\u043D\u043E \u0441\u043E\u0435\u0434\u0438\u043D\u0438\u0442\u044C \u0440\u0435\u0431\u0440\u0430 \u0432 \u043A\u043B\u0430\u0441\u0442\u0435\u0440.",deleteClusterError:"\u041A\u043B\u0430\u0441\u0442\u0435\u0440\u044B \u043D\u0435 \u043C\u043E\u0433\u0443\u0442 \u0431\u044B\u0442\u044C \u0443\u0434\u0430\u043B\u0435\u043D\u044B",editClusterError:"\u041A\u043B\u0430\u0441\u0442\u0435\u0440\u044B \u043D\u0435\u0434\u043E\u0441\u0442\u0443\u043F\u043D\u044B \u0434\u043B\u044F \u0440\u0435\u0434\u0430\u043A\u0442\u0438\u0440\u043E\u0432\u0430\u043D\u0438\u044F."},exports.ru_RU=exports.ru,exports.cn={edit:"\u7F16\u8F91",del:"\u5220\u9664\u9009\u5B9A",back:"\u8FD4\u56DE",addNode:"\u6DFB\u52A0\u8282\u70B9",addEdge:"\u6DFB\u52A0\u8FDE\u63A5\u7EBF",editNode:"\u7F16\u8F91\u8282\u70B9",editEdge:"\u7F16\u8F91\u8FDE\u63A5\u7EBF",addDescription:"\u5355\u51FB\u7A7A\u767D\u5904\u653E\u7F6E\u65B0\u8282\u70B9\u3002",edgeDescription:"\u5355\u51FB\u67D0\u4E2A\u8282\u70B9\u5E76\u5C06\u8BE5\u8FDE\u63A5\u7EBF\u62D6\u52A8\u5230\u53E6\u4E00\u4E2A\u8282\u70B9\u4EE5\u8FDE\u63A5\u5B83\u4EEC\u3002",editEdgeDescription:"\u5355\u51FB\u63A7\u5236\u8282\u70B9\u5E76\u5C06\u5B83\u4EEC\u62D6\u5230\u8282\u70B9\u4E0A\u8FDE\u63A5\u3002",createEdgeError:"\u65E0\u6CD5\u5C06\u8FDE\u63A5\u7EBF\u8FDE\u63A5\u5230\u7FA4\u96C6\u3002",deleteClusterError:"\u65E0\u6CD5\u5220\u9664\u7FA4\u96C6\u3002",editClusterError:"\u65E0\u6CD5\u7F16\u8F91\u7FA4\u96C6\u3002"},exports.zh_CN=exports.cn,exports.uk={edit:"\u0420\u0435\u0434\u0430\u0433\u0443\u0432\u0430\u0442\u0438",del:"\u0412\u0438\u0434\u0430\u043B\u0438\u0442\u0438 \u043E\u0431\u0440\u0430\u043D\u0435",back:"\u041D\u0430\u0437\u0430\u0434",addNode:"\u0414\u043E\u0434\u0430\u0442\u0438 \u0432\u0443\u0437\u043E\u043B",addEdge:"\u0414\u043E\u0434\u0430\u0442\u0438 \u043A\u0440\u0430\u0439",editNode:"\u0420\u0435\u0434\u0430\u0433\u0443\u0432\u0430\u0442\u0438 \u0432\u0443\u0437\u043E\u043B",editEdge:"\u0420\u0435\u0434\u0430\u0433\u0443\u0432\u0430\u0442\u0438 \u043A\u0440\u0430\u0439",addDescription:"K\u043B\u0456\u043A\u043D\u0456\u0442\u044C \u043D\u0430 \u0432\u0456\u043B\u044C\u043D\u0435 \u043C\u0456\u0441\u0446\u0435, \u0449\u043E\u0431 \u0434\u043E\u0434\u0430\u0442\u0438 \u043D\u043E\u0432\u0438\u0439 \u0432\u0443\u0437\u043E\u043B.",edgeDescription:"\u041A\u043B\u0456\u043A\u043D\u0456\u0442\u044C \u043D\u0430 \u0432\u0443\u0437\u043E\u043B \u0456 \u043F\u0435\u0440\u0435\u0442\u044F\u0433\u043D\u0456\u0442\u044C \u043A\u0440\u0430\u0439 \u0434\u043E \u0456\u043D\u0448\u043E\u0433\u043E \u0432\u0443\u0437\u043B\u0430, \u0449\u043E\u0431 \u0457\u0445 \u0437'\u0454\u0434\u043D\u0430\u0442\u0438.",editEdgeDescription:"\u041A\u043B\u0456\u043A\u043D\u0456\u0442\u044C \u043D\u0430 \u043A\u043E\u043D\u0442\u0440\u043E\u043B\u044C\u043D\u0456 \u0442\u043E\u0447\u043A\u0438 \u0456 \u043F\u0435\u0440\u0435\u0442\u044F\u0433\u043D\u0456\u0442\u044C \u0457\u0445 \u0443 \u0432\u0443\u0437\u043E\u043B, \u0449\u043E\u0431 \u043F\u0456\u0434\u043A\u043B\u044E\u0447\u0438\u0442\u0438\u0441\u044F \u0434\u043E \u043D\u044C\u043E\u0433\u043E.",createEdgeError:"\u041D\u0435 \u043C\u043E\u0436\u043B\u0438\u0432\u043E \u043E\u0431'\u0454\u0434\u043D\u0430\u0442\u0438 \u043A\u0440\u0430\u0457 \u0432 \u0433\u0440\u0443\u043F\u0443.",deleteClusterError:"\u0413\u0440\u0443\u043F\u0438 \u043D\u0435 \u043C\u043E\u0436\u0443\u0442\u044C \u0431\u0443\u0442\u0438 \u0432\u0438\u0434\u0430\u043B\u0435\u043D\u0456.",editClusterError:"\u0413\u0440\u0443\u043F\u0438 \u043D\u0435\u0434\u043E\u0441\u0442\u0443\u043F\u043D\u0456 \u0434\u043B\u044F \u0440\u0435\u0434\u0430\u0433\u0443\u0432\u0430\u043D\u043D\u044F."},exports.uk_UA=exports.uk,exports.fr={edit:"Editer",del:"Effacer la selection",back:"Retour",addNode:"Ajouter un noeud",addEdge:"Ajouter un lien",editNode:"Editer le noeud",editEdge:"Editer le lien",addDescription:"Cliquez dans un endroit vide pour placer un noeud.",edgeDescription:"Cliquez sur un noeud et glissez le lien vers un autre noeud pour les connecter.",editEdgeDescription:"Cliquez sur les points de contr\xF4le et glissez-les pour connecter un noeud.",createEdgeError:"Impossible de cr\xE9er un lien vers un cluster.",deleteClusterError:"Les clusters ne peuvent pas \xEAtre \xE9ffac\xE9s.",editClusterError:"Les clusters ne peuvent pas \xEAtre \xE9dites."},exports.fr_FR=exports.fr,exports.cs={edit:"Upravit",del:"Smazat v\xFDb\u011Br",back:"Zp\u011Bt",addNode:"P\u0159idat vrchol",addEdge:"P\u0159idat hranu",editNode:"Upravit vrchol",editEdge:"Upravit hranu",addDescription:"Kluknut\xEDm do pr\xE1zdn\xE9ho prostoru m\u016F\u017Eete p\u0159idat nov\xFD vrchol.",edgeDescription:"P\u0159eta\u017Een\xEDm z jednoho vrcholu do druh\xE9ho m\u016F\u017Eete spojit tyto vrcholy novou hranou.",editEdgeDescription:"P\u0159eta\u017Een\xEDm kontroln\xEDho vrcholu hrany ji m\u016F\u017Eete p\u0159ipojit k jin\xE9mu vrcholu.",createEdgeError:"Nelze p\u0159ipojit hranu ke shluku.",deleteClusterError:"Nelze mazat shluky.",editClusterError:"Nelze upravovat shluky."},exports.cs_CZ=exports.cs});class CachedImage{constructor(){this.NUM_ITERATIONS=4,this.image=new Image,this.canvas=document.createElement("canvas")}init(){if(!this.initialized()){this.src=this.image.src;var w=this.image.width,h=this.image.height;this.width=w,this.height=h;var h2=_Mathfloor(h/2),h4=_Mathfloor(h/4),h8=_Mathfloor(h/8),h16=_Mathfloor(h/16),w2=_Mathfloor(w/2),w4=_Mathfloor(w/4),w8=_Mathfloor(w/8),w16=_Mathfloor(w/16);this.canvas.width=3*w4,this.canvas.height=h2,this.coordinates=[[0,0,w2,h2],[w2,0,w4,h4],[w2,h4,w8,h8],[5*w8,h4,w16,h16]],this._fillMipMap()}}initialized(){return this.coordinates!==void 0}_fillMipMap(){var ctx=this.canvas.getContext("2d"),to=this.coordinates[0];ctx.drawImage(this.image,to[0],to[1],to[2],to[3]);for(let iterations=1;iterations<this.NUM_ITERATIONS;iterations++){let from=this.coordinates[iterations-1],to=this.coordinates[iterations];ctx.drawImage(this.canvas,from[0],from[1],from[2],from[3],to[0],to[1],to[2],to[3])}}drawImageAtPosition(ctx,factor,left,top,width,height){if(this.initialized())if(2<factor){factor*=.5;let iterations=0;for(;2<factor&&iterations<this.NUM_ITERATIONS;)factor*=.5,iterations+=1;iterations>=this.NUM_ITERATIONS&&(iterations=this.NUM_ITERATIONS-1);let from=this.coordinates[iterations];ctx.drawImage(this.canvas,from[0],from[1],from[2],from[3],left,top,width,height)}else ctx.drawImage(this.image,left,top,width,height)}}class Images{constructor(callback){this.images={},this.imageBroken={},this.callback=callback}_tryloadBrokenUrl(url,brokenUrl,imageToLoadBrokenUrlOn){return void 0===url||void 0===imageToLoadBrokenUrlOn?void 0:void 0===brokenUrl?void console.warn("No broken url image defined"):void(imageToLoadBrokenUrlOn.image.onerror=()=>{console.error("Could not load brokenImage:",brokenUrl)},imageToLoadBrokenUrlOn.image.src=brokenUrl)}_redrawWithImage(imageToRedrawWith){this.callback&&this.callback(imageToRedrawWith)}load(url,brokenUrl){var cachedImage=this.images[url];if(cachedImage)return cachedImage;var img=new CachedImage;return this.images[url]=img,img.image.onload=()=>{this._fixImageCoordinates(img.image),img.init(),this._redrawWithImage(img)},img.image.onerror=()=>{console.error("Could not load image:",url),this._tryloadBrokenUrl(url,brokenUrl,img)},img.image.src=url,img}_fixImageCoordinates(imageToCache){0===imageToCache.width&&(document.body.appendChild(imageToCache),imageToCache.width=imageToCache.offsetWidth,imageToCache.height=imageToCache.offsetHeight,document.body.removeChild(imageToCache))}}class Groups{constructor(){this.clear(),this.defaultIndex=0,this.groupsArray=[],this.groupIndex=0,this.defaultGroups=[{border:"#2B7CE9",background:"#97C2FC",highlight:{border:"#2B7CE9",background:"#D2E5FF"},hover:{border:"#2B7CE9",background:"#D2E5FF"}},{border:"#FFA500",background:"#FFFF00",highlight:{border:"#FFA500",background:"#FFFFA3"},hover:{border:"#FFA500",background:"#FFFFA3"}},{border:"#FA0A10",background:"#FB7E81",highlight:{border:"#FA0A10",background:"#FFAFB1"},hover:{border:"#FA0A10",background:"#FFAFB1"}},{border:"#41A906",background:"#7BE141",highlight:{border:"#41A906",background:"#A1EC76"},hover:{border:"#41A906",background:"#A1EC76"}},{border:"#E129F0",background:"#EB7DF4",highlight:{border:"#E129F0",background:"#F0B3F5"},hover:{border:"#E129F0",background:"#F0B3F5"}},{border:"#7C29F0",background:"#AD85E4",highlight:{border:"#7C29F0",background:"#D3BDF0"},hover:{border:"#7C29F0",background:"#D3BDF0"}},{border:"#C37F00",background:"#FFA807",highlight:{border:"#C37F00",background:"#FFCA66"},hover:{border:"#C37F00",background:"#FFCA66"}},{border:"#4220FB",background:"#6E6EFD",highlight:{border:"#4220FB",background:"#9B9BFD"},hover:{border:"#4220FB",background:"#9B9BFD"}},{border:"#FD5A77",background:"#FFC0CB",highlight:{border:"#FD5A77",background:"#FFD1D9"},hover:{border:"#FD5A77",background:"#FFD1D9"}},{border:"#4AD63A",background:"#C2FABC",highlight:{border:"#4AD63A",background:"#E6FFE3"},hover:{border:"#4AD63A",background:"#E6FFE3"}},{border:"#990000",background:"#EE0000",highlight:{border:"#BB0000",background:"#FF3333"},hover:{border:"#BB0000",background:"#FF3333"}},{border:"#FF6000",background:"#FF6000",highlight:{border:"#FF6000",background:"#FF6000"},hover:{border:"#FF6000",background:"#FF6000"}},{border:"#97C2FC",background:"#2B7CE9",highlight:{border:"#D2E5FF",background:"#2B7CE9"},hover:{border:"#D2E5FF",background:"#2B7CE9"}},{border:"#399605",background:"#255C03",highlight:{border:"#399605",background:"#255C03"},hover:{border:"#399605",background:"#255C03"}},{border:"#B70054",background:"#FF007E",highlight:{border:"#B70054",background:"#FF007E"},hover:{border:"#B70054",background:"#FF007E"}},{border:"#AD85E4",background:"#7C29F0",highlight:{border:"#D3BDF0",background:"#7C29F0"},hover:{border:"#D3BDF0",background:"#7C29F0"}},{border:"#4557FA",background:"#000EA1",highlight:{border:"#6E6EFD",background:"#000EA1"},hover:{border:"#6E6EFD",background:"#000EA1"}},{border:"#FFC0CB",background:"#FD5A77",highlight:{border:"#FFD1D9",background:"#FD5A77"},hover:{border:"#FFD1D9",background:"#FD5A77"}},{border:"#C2FABC",background:"#74D66A",highlight:{border:"#E6FFE3",background:"#74D66A"},hover:{border:"#E6FFE3",background:"#74D66A"}},{border:"#EE0000",background:"#990000",highlight:{border:"#FF3333",background:"#BB0000"},hover:{border:"#FF3333",background:"#BB0000"}}],this.options={},this.defaultOptions={useDefaultGroups:!0},util.extend(this.options,this.defaultOptions)}setOptions(options){let optionFields=["useDefaultGroups"];if(options!==void 0)for(let groupName in options)if(options.hasOwnProperty(groupName)&&-1===optionFields.indexOf(groupName)){let group=options[groupName];this.add(groupName,group)}}clear(){this.groups={},this.groupsArray=[]}get(groupname,shouldCreate=!0){let group=this.groups[groupname];if(group===void 0&&shouldCreate)if(!1===this.options.useDefaultGroups&&0<this.groupsArray.length){let index=this.groupIndex%this.groupsArray.length;this.groupIndex++,group={},group.color=this.groups[this.groupsArray[index]],this.groups[groupname]=group}else{let index=this.defaultIndex%this.defaultGroups.length;this.defaultIndex++,group={},group.color=this.defaultGroups[index],this.groups[groupname]=group}return group}add(groupName,style){return this.groups[groupName]=style,this.groupsArray.push(groupName),style}}class ComponentUtil{static choosify(subOption,pile){let allowed=["node","edge","label"],value=!0,chosen=util.topMost(pile,"chosen");if("boolean"==typeof chosen)value=chosen;else if("object"==typeof chosen){if(-1===allowed.indexOf(subOption))throw new Error("choosify: subOption '"+subOption+"' should be one of '"+allowed.join("', '")+"'");let chosenEdge=util.topMost(pile,["chosen",subOption]);("boolean"==typeof chosenEdge||"function"==typeof chosenEdge)&&(value=chosenEdge)}return value}static pointInRect(rect,point,rotationPoint){if(0>=rect.width||0>=rect.height)return!1;if(void 0!==rotationPoint){var tmp={x:point.x-rotationPoint.x,y:point.y-rotationPoint.y};if(0!==rotationPoint.angle){var angle=-rotationPoint.angle,tmp2={x:_Mathcos(angle)*tmp.x-_Mathsin(angle)*tmp.y,y:_Mathsin(angle)*tmp.x+_Mathcos(angle)*tmp.y};point=tmp2}else point=tmp}var right=rect.x+rect.width,bottom=rect.y+rect.width;return rect.left<point.x&&right>point.x&&rect.top<point.y&&bottom>point.y}static isValidLabel(text){return"string"==typeof text&&""!==text}}class LabelAccumulator{constructor(measureText){this.measureText=measureText,this.current=0,this.width=0,this.height=0,this.lines=[]}_add(l,text,mod="normal"){this.lines[l]===void 0&&(this.lines[l]={width:0,height:0,blocks:[]});let tmpText=text;(text===void 0||""===text)&&(tmpText=" ");let result=this.measureText(tmpText,mod),block=Object.assign({},result.values);block.text=text,block.width=result.width,block.mod=mod,(text===void 0||""===text)&&(block.width=0),this.lines[l].blocks.push(block),this.lines[l].width+=block.width}curWidth(){let line=this.lines[this.current];return void 0===line?0:line.width}append(text,mod="normal"){this._add(this.current,text,mod)}newLine(text,mod="normal"){this._add(this.current,text,mod),this.current++}determineLineHeights(){for(let k=0;k<this.lines.length;k++){let line=this.lines[k],height=0;if(line.blocks!==void 0)for(let l=0,block;l<line.blocks.length;l++)block=line.blocks[l],height<block.height&&(height=block.height);line.height=height}}determineLabelSize(){let width=0,height=0;for(let k=0,line;k<this.lines.length;k++)line=this.lines[k],line.width>width&&(width=line.width),height+=line.height;this.width=width,this.height=height}removeEmptyBlocks(){let tmpLines=[];for(let k=0,line;k<this.lines.length;k++){if(line=this.lines[k],0===line.blocks.length)continue;if(k==this.lines.length-1&&0===line.width)continue;let tmpLine={};Object.assign(tmpLine,line),tmpLine.blocks=[];let tmpBlocks=[],firstEmptyBlock;for(let l=0,block;l<line.blocks.length;l++)block=line.blocks[l],0===block.width?void 0===firstEmptyBlock&&(firstEmptyBlock=block):tmpBlocks.push(block);0===tmpBlocks.length&&void 0!==firstEmptyBlock&&tmpBlocks.push(firstEmptyBlock),tmpLine.blocks=tmpBlocks,tmpLines.push(tmpLine)}return tmpLines}finalize(){this.determineLineHeights(),this.determineLabelSize();let tmpLines=this.removeEmptyBlocks();return{width:this.width,height:this.height,lines:tmpLines}}}var tagPattern={"<b>":/<b>/,"<i>":/<i>/,"<code>":/<code>/,"</b>":/<\/b>/,"</i>":/<\/i>/,"</code>":/<\/code>/,"*":/\*/,_:/\_/,"`":/`/,afterBold:/[^\*]/,afterItal:/[^_]/,afterMono:/[^`]/};class MarkupAccumulator{constructor(text){this.text=text,this.bold=!1,this.ital=!1,this.mono=!1,this.spacing=!1,this.position=0,this.buffer="",this.modStack=[],this.blocks=[]}mod(){return 0===this.modStack.length?"normal":this.modStack[0]}modName(){if(0===this.modStack.length)return"normal";return"mono"===this.modStack[0]?"mono":this.bold&&this.ital?"boldital":this.bold?"bold":this.ital?"ital":void 0}emitBlock(){this.spacing&&(this.add(" "),this.spacing=!1),0<this.buffer.length&&(this.blocks.push({text:this.buffer,mod:this.modName()}),this.buffer="")}add(text){" "===text&&(this.spacing=!0),this.spacing&&(this.buffer+=" ",this.spacing=!1)," "!=text&&(this.buffer+=text)}parseWS(ch){return!!/[ \t]/.test(ch)&&(this.mono?this.add(ch):this.spacing=!0,!0)}setTag(tagName){this.emitBlock(),this[tagName]=!0,this.modStack.unshift(tagName)}unsetTag(tagName){this.emitBlock(),this[tagName]=!1,this.modStack.shift()}parseStartTag(tagName,tag){return!(this.mono||this[tagName]||!this.match(tag))&&(this.setTag(tagName),!0)}match(tag,advance=!0){let[regExp,length]=this.prepareRegExp(tag),matched=regExp.test(this.text.substr(this.position,length));return matched&&advance&&(this.position+=length-1),matched}parseEndTag(tagName,tag,nextTag){let checkTag=this.mod()===tagName;return checkTag="mono"===tagName?checkTag&&this.mono:checkTag&&!this.mono,!!(checkTag&&this.match(tag))&&(void 0===nextTag?this.unsetTag(tagName):(this.position===this.text.length-1||this.match(nextTag,!1))&&this.unsetTag(tagName),!0)}replace(tag,value){return!!this.match(tag)&&(this.add(value),this.position+=length-1,!0)}prepareRegExp(tag){let length,regExp;if(tag instanceof RegExp)regExp=tag,length=1;else{var prepared=tagPattern[tag];regExp=void 0===prepared?new RegExp(tag):prepared,length=tag.length}return[regExp,length]}}class LabelSplitter{constructor(ctx,parent,selected,hover){this.ctx=ctx,this.parent=parent,this.selected=selected,this.hover=hover;this.lines=new LabelAccumulator((text,mod)=>{if(text===void 0)return 0;let values=this.parent.getFormattingValues(ctx,selected,hover,mod),width=0;if(""!==text){let measure=this.ctx.measureText(text);width=measure.width}return{width,values:values}})}process(text){if(!ComponentUtil.isValidLabel(text))return this.lines.finalize();var font=this.parent.fontOptions;text=text.replace(/\r\n/g,"\n"),text=text.replace(/\r/g,"\n");let nlLines=(text+"").split("\n"),lineCount=nlLines.length;if(font.multi){for(let i=0,blocks;i<lineCount;i++)if(blocks=this.splitBlocks(nlLines[i],font.multi),void 0!==blocks){if(0===blocks.length){this.lines.newLine("");continue}if(0<font.maxWdt)for(let j=0;j<blocks.length;j++){let mod=blocks[j].mod,text=blocks[j].text;this.splitStringIntoLines(text,mod,!0)}else for(let j=0;j<blocks.length;j++){let mod=blocks[j].mod,text=blocks[j].text;this.lines.append(text,mod)}this.lines.newLine()}}else if(0<font.maxWdt)for(let i=0;i<lineCount;i++)this.splitStringIntoLines(nlLines[i]);else for(let i=0;i<lineCount;i++)this.lines.newLine(nlLines[i]);return this.lines.finalize()}decodeMarkupSystem(markupSystem){let system="none";return"markdown"===markupSystem||"md"===markupSystem?system="markdown":(!0===markupSystem||"html"===markupSystem)&&(system="html"),system}splitHtmlBlocks(text){let s=new MarkupAccumulator(text),parseEntities=ch=>{if(/&/.test(ch)){let parsed=s.replace(s.text,"&lt;","<")||s.replace(s.text,"&amp;","&");return parsed||s.add("&"),!0}return!1};for(;s.position<s.text.length;){let ch=s.text.charAt(s.position),parsed=s.parseWS(ch)||/</.test(ch)&&(s.parseStartTag("bold","<b>")||s.parseStartTag("ital","<i>")||s.parseStartTag("mono","<code>")||s.parseEndTag("bold","</b>")||s.parseEndTag("ital","</i>")||s.parseEndTag("mono","</code>"))||parseEntities(ch);parsed||s.add(ch),s.position++}return s.emitBlock(),s.blocks}splitMarkdownBlocks(text){let s=new MarkupAccumulator(text),beginable=!0,parseOverride=ch=>!!/\\/.test(ch)&&(s.position<this.text.length+1&&(s.position++,ch=this.text.charAt(s.position),/ \t/.test(ch)?s.spacing=!0:(s.add(ch),beginable=!1)),!0);for(;s.position<s.text.length;){let ch=s.text.charAt(s.position),parsed=s.parseWS(ch)||parseOverride(ch)||(beginable||s.spacing)&&(s.parseStartTag("bold","*")||s.parseStartTag("ital","_")||s.parseStartTag("mono","`"))||s.parseEndTag("bold","*","afterBold")||s.parseEndTag("ital","_","afterItal")||s.parseEndTag("mono","`","afterMono");parsed||(s.add(ch),beginable=!1),s.position++}return s.emitBlock(),s.blocks}splitBlocks(text,markupSystem){let system=this.decodeMarkupSystem(markupSystem);if("none"===system)return[{text:text,mod:"normal"}];return"markdown"===system?this.splitMarkdownBlocks(text):"html"===system?this.splitHtmlBlocks(text):void 0}overMaxWidth(text){let width=this.ctx.measureText(text).width;return this.lines.curWidth()+width>this.parent.fontOptions.maxWdt}getLongestFit(words){let text="",w=0;for(;w<words.length;){let pre=""===text?"":" ",newText=text+pre+words[w];if(this.overMaxWidth(newText))break;text=newText,w++}return w}getLongestFitWord(words){let w=0;for(;w<words.length&&!this.overMaxWidth(words.slice(0,w));)w++;return w}splitStringIntoLines(str,mod="normal",appendLast=!1){this.parent.getFormattingValues(this.ctx,this.selected,this.hover,mod),str=str.replace(/^( +)/g,"$1\r"),str=str.replace(/([^\r][^ ]*)( +)/g,"$1\r$2\r");for(let words=str.split("\r");0<words.length;){let w=this.getLongestFit(words);if(0===w){let word=words[0],x=this.getLongestFitWord(word);this.lines.newLine(word.slice(0,x),mod),words[0]=word.slice(x)}else{let newW=w;" "===words[w-1]?w--:" "===words[newW]&&newW++;let text=words.slice(0,w).join("");w==words.length&&appendLast?this.lines.append(text,mod):this.lines.newLine(text,mod),words=words.slice(newW)}}}}const multiFontStyle=["bold","ital","boldital","mono"];class Label{constructor(body,options,edgelabel=!1){this.body=body,this.pointToSelf=!1,this.baseSize=void 0,this.fontOptions={},this.setOptions(options),this.size={top:0,left:0,width:0,height:0,yLine:0},this.isEdgeLabel=edgelabel}setOptions(options){if(this.elementOptions=options,this.initFontOptions(options.font),ComponentUtil.isValidLabel(options.label)?this.labelDirty=!0:options.label=void 0,void 0!==options.font&&null!==options.font)if("string"==typeof options.font)this.baseSize=this.fontOptions.size;else if("object"==typeof options.font){let size=options.font.size;void 0!==size&&(this.baseSize=size)}}initFontOptions(newFontOptions){return util.forEach(multiFontStyle,style=>{this.fontOptions[style]={}}),Label.parseFontString(this.fontOptions,newFontOptions)?void(this.fontOptions.vadjust=0):void util.forEach(newFontOptions,(prop,n)=>{void 0!==prop&&null!==prop&&"object"!=typeof prop&&(this.fontOptions[n]=prop)})}static parseFontString(outOptions,inOptions){if(!inOptions||"string"!=typeof inOptions)return!1;let newOptionsArray=inOptions.split(" ");return outOptions.size=+newOptionsArray[0].replace("px",""),outOptions.face=newOptionsArray[1],outOptions.color=newOptionsArray[2],!0}constrain(pile){let fontOptions={constrainWidth:!1,maxWdt:-1,minWdt:-1,constrainHeight:!1,minHgt:-1,valign:"middle"},widthConstraint=util.topMost(pile,"widthConstraint");if("number"==typeof widthConstraint)fontOptions.maxWdt=+widthConstraint,fontOptions.minWdt=+widthConstraint;else if("object"==typeof widthConstraint){let widthConstraintMaximum=util.topMost(pile,["widthConstraint","maximum"]);"number"==typeof widthConstraintMaximum&&(fontOptions.maxWdt=+widthConstraintMaximum);let widthConstraintMinimum=util.topMost(pile,["widthConstraint","minimum"]);"number"==typeof widthConstraintMinimum&&(fontOptions.minWdt=+widthConstraintMinimum)}let heightConstraint=util.topMost(pile,"heightConstraint");if("number"==typeof heightConstraint)fontOptions.minHgt=+heightConstraint;else if("object"==typeof heightConstraint){let heightConstraintMinimum=util.topMost(pile,["heightConstraint","minimum"]);"number"==typeof heightConstraintMinimum&&(fontOptions.minHgt=+heightConstraintMinimum);let heightConstraintValign=util.topMost(pile,["heightConstraint","valign"]);"string"==typeof heightConstraintValign&&("top"===heightConstraintValign||"bottom"===heightConstraintValign)&&(fontOptions.valign=heightConstraintValign)}return fontOptions}update(options,pile){this.setOptions(options,!0),this.propagateFonts(pile),util.deepExtend(this.fontOptions,this.constrain(pile)),this.fontOptions.chooser=ComponentUtil.choosify("label",pile)}adjustSizes(margins){let widthBias=margins?margins.right+margins.left:0;this.fontOptions.constrainWidth&&(this.fontOptions.maxWdt-=widthBias,this.fontOptions.minWdt-=widthBias);let heightBias=margins?margins.top+margins.bottom:0;this.fontOptions.constrainHeight&&(this.fontOptions.minHgt-=heightBias)}addFontOptionsToPile(dstPile,srcPile){for(let i=0;i<srcPile.length;++i)this.addFontToPile(dstPile,srcPile[i])}addFontToPile(pile,options){if(void 0!==options&&void 0!==options.font&&null!==options.font){let item=options.font;pile.push(item)}}getBasicOptions(pile){let ret={};for(let n=0;n<pile.length;++n){let fontOptions=pile[n],tmpShorthand={};Label.parseFontString(tmpShorthand,fontOptions)&&(fontOptions=tmpShorthand),util.forEach(fontOptions,(opt,name)=>{void 0===opt||ret.hasOwnProperty(name)||(-1===multiFontStyle.indexOf(name)?ret[name]=opt:ret[name]={})})}return ret}getFontOption(pile,multiName,option){let multiFont;for(let n=0,fontOptions;n<pile.length;++n)if(fontOptions=pile[n],fontOptions.hasOwnProperty(multiName)){if(multiFont=fontOptions[multiName],void 0===multiFont||null===multiFont)continue;let tmpShorthand={};if(Label.parseFontString(tmpShorthand,multiFont)&&(multiFont=tmpShorthand),multiFont.hasOwnProperty(option))return multiFont[option]}if(this.fontOptions.hasOwnProperty(option))return this.fontOptions[option];throw new Error("Did not find value for multi-font for property: '"+option+"'")}getFontOptions(pile,multiName){let result={},optionNames=["color","size","face","mod","vadjust"];for(let i=0,mod;i<optionNames.length;++i)mod=optionNames[i],result[mod]=this.getFontOption(pile,multiName,mod);return result}propagateFonts(pile){let fontPile=[];this.addFontOptionsToPile(fontPile,pile),this.fontOptions=this.getBasicOptions(fontPile);for(let i=0;i<multiFontStyle.length;++i){let mod=multiFontStyle[i],modOptions=this.fontOptions[mod],tmpMultiFontOptions=this.getFontOptions(fontPile,mod);util.forEach(tmpMultiFontOptions,(option,n)=>{modOptions[n]=option}),modOptions.size=+modOptions.size,modOptions.vadjust=+modOptions.vadjust}}draw(ctx,x,y,selected,hover,baseline="middle"){if(void 0===this.elementOptions.label)return;let viewFontSize=this.fontOptions.size*this.body.view.scale;this.elementOptions.label&&viewFontSize<this.elementOptions.scaling.label.drawThreshold-1||(viewFontSize>=this.elementOptions.scaling.label.maxVisible&&(viewFontSize=+this.elementOptions.scaling.label.maxVisible/this.body.view.scale),this.calculateLabelSize(ctx,selected,hover,x,y,baseline),this._drawBackground(ctx),this._drawText(ctx,x,this.size.yLine,baseline,viewFontSize))}_drawBackground(ctx){if(this.fontOptions.background!==void 0&&"none"!==this.fontOptions.background){ctx.fillStyle=this.fontOptions.background;let size=this.getSize();ctx.fillRect(size.left,size.top,size.width,size.height)}}_drawText(ctx,x,y,baseline="middle",viewFontSize){[x,y]=this._setAlignment(ctx,x,y,baseline),ctx.textAlign="left",x-=this.size.width/2,this.fontOptions.valign&&this.size.height>this.size.labelHeight&&("top"===this.fontOptions.valign&&(y-=(this.size.height-this.size.labelHeight)/2),"bottom"===this.fontOptions.valign&&(y+=(this.size.height-this.size.labelHeight)/2));for(let i=0,line;i<this.lineCount;i++)if(line=this.lines[i],line&&line.blocks){let width=0;this.isEdgeLabel||"center"===this.fontOptions.align?width+=(this.size.width-line.width)/2:"right"===this.fontOptions.align&&(width+=this.size.width-line.width);for(let j=0,block;j<line.blocks.length;j++){block=line.blocks[j],ctx.font=block.font;let[fontColor,strokeColor]=this._getColor(block.color,viewFontSize,block.strokeColor);0<block.strokeWidth&&(ctx.lineWidth=block.strokeWidth,ctx.strokeStyle=strokeColor,ctx.lineJoin="round"),ctx.fillStyle=fontColor,0<block.strokeWidth&&ctx.strokeText(block.text,x+width,y+block.vadjust),ctx.fillText(block.text,x+width,y+block.vadjust),width+=block.width}y+=line.height}}_setAlignment(ctx,x,y,baseline){if(this.isEdgeLabel&&"horizontal"!==this.fontOptions.align&&!1===this.pointToSelf){x=0,y=0;"top"===this.fontOptions.align?(ctx.textBaseline="alphabetic",y-=4):"bottom"===this.fontOptions.align?(ctx.textBaseline="hanging",y+=4):ctx.textBaseline="middle"}else ctx.textBaseline=baseline;return[x,y]}_getColor(color,viewFontSize,initialStrokeColor){let fontColor=color||"#000000",strokeColor=initialStrokeColor||"#ffffff";if(viewFontSize<=this.elementOptions.scaling.label.drawThreshold){let opacity=_Mathmax(0,_Mathmin(1,1-(this.elementOptions.scaling.label.drawThreshold-viewFontSize)));fontColor=util.overrideOpacity(fontColor,opacity),strokeColor=util.overrideOpacity(strokeColor,opacity)}return[fontColor,strokeColor]}getTextSize(ctx,selected=!1,hover=!1){return this._processLabel(ctx,selected,hover),{width:this.size.width,height:this.size.height,lineCount:this.lineCount}}getSize(){let lineMargin=2,x=this.size.left,y=this.size.top-1;if(this.isEdgeLabel){const x2=.5*-this.size.width;switch(this.fontOptions.align){case"middle":x=x2,y=.5*-this.size.height;break;case"top":x=x2,y=-(this.size.height+lineMargin);break;case"bottom":x=x2,y=lineMargin;}}var ret={left:x,top:y,width:this.size.width,height:this.size.height};return ret}calculateLabelSize(ctx,selected,hover,x=0,y=0,baseline="middle"){this._processLabel(ctx,selected,hover),this.size.left=x-.5*this.size.width,this.size.top=y-.5*this.size.height,this.size.yLine=y+.5*(1-this.lineCount)*this.fontOptions.size,"hanging"===baseline&&(this.size.top+=.5*this.fontOptions.size,this.size.top+=4,this.size.yLine+=4)}getFormattingValues(ctx,selected,hover,mod){let getValue=function(fontOptions,mod,option){return"normal"===mod?"mod"===option?"":fontOptions[option]:void 0===fontOptions[mod][option]?fontOptions[option]:fontOptions[mod][option]},values={color:getValue(this.fontOptions,mod,"color"),size:getValue(this.fontOptions,mod,"size"),face:getValue(this.fontOptions,mod,"face"),mod:getValue(this.fontOptions,mod,"mod"),vadjust:getValue(this.fontOptions,mod,"vadjust"),strokeWidth:this.fontOptions.strokeWidth,strokeColor:this.fontOptions.strokeColor};(selected||hover)&&("normal"===mod&&!0===this.fontOptions.chooser&&this.elementOptions.labelHighlightBold?values.mod="bold":"function"==typeof this.fontOptions.chooser&&this.fontOptions.chooser(values,this.elementOptions.id,selected,hover));let fontString="";return void 0!==values.mod&&""!==values.mod&&(fontString+=values.mod+" "),fontString+=values.size+"px "+values.face,ctx.font=fontString.replace(/"/g,""),values.font=ctx.font,values.height=values.size,values}differentState(selected,hover){return selected!==this.selectedState||hover!==this.hoverState}_processLabelText(ctx,selected,hover,inText){let splitter=new LabelSplitter(ctx,this,selected,hover);return splitter.process(inText)}_processLabel(ctx,selected,hover){if(!1!==this.labelDirty||this.differentState(selected,hover)){let state=this._processLabelText(ctx,selected,hover,this.elementOptions.label);0<this.fontOptions.minWdt&&state.width<this.fontOptions.minWdt&&(state.width=this.fontOptions.minWdt),this.size.labelHeight=state.height,0<this.fontOptions.minHgt&&state.height<this.fontOptions.minHgt&&(state.height=this.fontOptions.minHgt),this.lines=state.lines,this.lineCount=state.lines.length,this.size.width=state.width,this.size.height=state.height,this.selectedState=selected,this.hoverState=hover,this.labelDirty=!1}}visible(){if(0===this.size.width||0===this.size.height||this.elementOptions.label===void 0)return!1;let viewFontSize=this.fontOptions.size*this.body.view.scale;return!(viewFontSize<this.elementOptions.scaling.label.drawThreshold-1)}}class NodeBase{constructor(options,body,labelModule){this.body=body,this.labelModule=labelModule,this.setOptions(options),this.top=void 0,this.left=void 0,this.height=void 0,this.width=void 0,this.radius=void 0,this.margin=void 0,this.refreshNeeded=!0,this.boundingBox={top:0,left:0,right:0,bottom:0}}setOptions(options){this.options=options}_setMargins(labelModule){this.margin={},this.options.margin&&("object"==typeof this.options.margin?(this.margin.top=this.options.margin.top,this.margin.right=this.options.margin.right,this.margin.bottom=this.options.margin.bottom,this.margin.left=this.options.margin.left):(this.margin.top=this.options.margin,this.margin.right=this.options.margin,this.margin.bottom=this.options.margin,this.margin.left=this.options.margin)),labelModule.adjustSizes(this.margin)}_distanceToBorder(ctx,angle){var borderWidth=this.options.borderWidth;return this.resize(ctx),_Mathmin(_Mathabs(this.width/2/_Mathcos(angle)),_Mathabs(this.height/2/_Mathsin(angle)))+borderWidth}enableShadow(ctx,values){values.shadow&&(ctx.shadowColor=values.shadowColor,ctx.shadowBlur=values.shadowSize,ctx.shadowOffsetX=values.shadowX,ctx.shadowOffsetY=values.shadowY)}disableShadow(ctx,values){values.shadow&&(ctx.shadowColor="rgba(0,0,0,0)",ctx.shadowBlur=0,ctx.shadowOffsetX=0,ctx.shadowOffsetY=0)}enableBorderDashes(ctx,values){if(!1!==values.borderDashes)if(void 0!==ctx.setLineDash){let dashes=values.borderDashes;!0===dashes&&(dashes=[5,15]),ctx.setLineDash(dashes)}else console.warn("setLineDash is not supported in this browser. The dashed borders cannot be used."),this.options.shapeProperties.borderDashes=!1,values.borderDashes=!1}disableBorderDashes(ctx,values){!1!==values.borderDashes&&(ctx.setLineDash===void 0?(console.warn("setLineDash is not supported in this browser. The dashed borders cannot be used."),this.options.shapeProperties.borderDashes=!1,values.borderDashes=!1):ctx.setLineDash([0]))}needsRefresh(selected,hover){return!0===this.refreshNeeded?(this.refreshNeeded=!1,!0):this.width===void 0||this.labelModule.differentState(selected,hover)}initContextForDraw(ctx,values){var borderWidth=values.borderWidth/this.body.view.scale;ctx.lineWidth=_Mathmin(this.width,borderWidth),ctx.strokeStyle=values.borderColor,ctx.fillStyle=values.color}performStroke(ctx,values){var borderWidth=values.borderWidth/this.body.view.scale;ctx.save(),0<borderWidth&&(this.enableBorderDashes(ctx,values),ctx.stroke(),this.disableBorderDashes(ctx,values)),ctx.restore()}performFill(ctx,values){this.enableShadow(ctx,values),ctx.fill(),this.disableShadow(ctx,values),this.performStroke(ctx,values)}_addBoundingBoxMargin(margin){this.boundingBox.left-=margin,this.boundingBox.top-=margin,this.boundingBox.bottom+=margin,this.boundingBox.right+=margin}_updateBoundingBox(x,y,ctx,selected,hover){ctx!==void 0&&this.resize(ctx,selected,hover),this.left=x-this.width/2,this.top=y-this.height/2,this.boundingBox.left=this.left,this.boundingBox.top=this.top,this.boundingBox.bottom=this.top+this.height,this.boundingBox.right=this.left+this.width}updateBoundingBox(x,y,ctx,selected,hover){this._updateBoundingBox(x,y,ctx,selected,hover)}getDimensionsFromLabel(ctx,selected,hover){this.textSize=this.labelModule.getTextSize(ctx,selected,hover);var width=this.textSize.width,height=this.textSize.height;return 0===width&&(width=14,height=14),{width:width,height:height}}}class Box extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule),this._setMargins(labelModule)}resize(ctx,selected=this.selected,hover=this.hover){if(this.needsRefresh(selected,hover)){var dimensions=this.getDimensionsFromLabel(ctx,selected,hover);this.width=dimensions.width+this.margin.right+this.margin.left,this.height=dimensions.height+this.margin.top+this.margin.bottom,this.radius=this.width/2}}draw(ctx,x,y,selected,hover,values){this.resize(ctx,selected,hover),this.left=x-this.width/2,this.top=y-this.height/2,this.initContextForDraw(ctx,values),ctx.roundRect(this.left,this.top,this.width,this.height,values.borderRadius),this.performFill(ctx,values),this.updateBoundingBox(x,y,ctx,selected,hover),this.labelModule.draw(ctx,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,selected,hover)}updateBoundingBox(x,y,ctx,selected,hover){this._updateBoundingBox(x,y,ctx,selected,hover);let borderRadius=this.options.shapeProperties.borderRadius;this._addBoundingBoxMargin(borderRadius)}distanceToBorder(ctx,angle){this.resize(ctx);let borderWidth=this.options.borderWidth;return _Mathmin(_Mathabs(this.width/2/_Mathcos(angle)),_Mathabs(this.height/2/_Mathsin(angle)))+borderWidth}}class CircleImageBase extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule),this.labelOffset=0,this.selected=!1}setOptions(options,imageObj,imageObjAlt){this.options=options,imageObj===void 0&&imageObjAlt===void 0||this.setImages(imageObj,imageObjAlt)}setImages(imageObj,imageObjAlt){imageObjAlt&&this.selected?(this.imageObj=imageObjAlt,this.imageObjAlt=imageObj):(this.imageObj=imageObj,this.imageObjAlt=imageObjAlt)}switchImages(selected){var selection_changed=selected&&!this.selected||!selected&&this.selected;if(this.selected=selected,void 0!==this.imageObjAlt&&selection_changed){let imageTmp=this.imageObj;this.imageObj=this.imageObjAlt,this.imageObjAlt=imageTmp}}_resizeImage(){var width,height;if(!1===this.options.shapeProperties.useImageSize){var ratio_width=1,ratio_height=1;this.imageObj.width&&this.imageObj.height&&(this.imageObj.width>this.imageObj.height?ratio_width=this.imageObj.width/this.imageObj.height:ratio_height=this.imageObj.height/this.imageObj.width),width=2*this.options.size*ratio_width,height=2*this.options.size*ratio_height}else width=this.imageObj.width,height=this.imageObj.height;this.width=width,this.height=height,this.radius=.5*this.width}_drawRawCircle(ctx,x,y,values){this.initContextForDraw(ctx,values),ctx.circle(x,y,values.size),this.performFill(ctx,values)}_drawImageAtPosition(ctx,values){if(0!=this.imageObj.width){ctx.globalAlpha=1,this.enableShadow(ctx,values);let factor=1;!0===this.options.shapeProperties.interpolation&&(factor=this.imageObj.width/this.width/this.body.view.scale),this.imageObj.drawImageAtPosition(ctx,factor,this.left,this.top,this.width,this.height),this.disableShadow(ctx,values)}}_drawImageLabel(ctx,x,y,selected,hover){var offset=0,yLabel;if(this.height!==void 0){offset=.5*this.height;var labelDimensions=this.labelModule.getTextSize(ctx,selected,hover);1<=labelDimensions.lineCount&&(offset+=labelDimensions.height/2)}yLabel=y+offset,this.options.label&&(this.labelOffset=offset),this.labelModule.draw(ctx,x,yLabel,selected,hover,"hanging")}}class Circle extends CircleImageBase{constructor(options,body,labelModule){super(options,body,labelModule),this._setMargins(labelModule)}resize(ctx,selected=this.selected,hover=this.hover){if(this.needsRefresh(selected,hover)){var dimensions=this.getDimensionsFromLabel(ctx,selected,hover),diameter=_Mathmax(dimensions.width+this.margin.right+this.margin.left,dimensions.height+this.margin.top+this.margin.bottom);this.options.size=diameter/2,this.width=diameter,this.height=diameter,this.radius=this.width/2}}draw(ctx,x,y,selected,hover,values){this.resize(ctx,selected,hover),this.left=x-this.width/2,this.top=y-this.height/2,this._drawRawCircle(ctx,x,y,values),this.updateBoundingBox(x,y),this.labelModule.draw(ctx,this.left+this.textSize.width/2+this.margin.left,y,selected,hover)}updateBoundingBox(x,y){this.boundingBox.top=y-this.options.size,this.boundingBox.left=x-this.options.size,this.boundingBox.right=x+this.options.size,this.boundingBox.bottom=y+this.options.size}distanceToBorder(ctx,angle){return this.resize(ctx),.5*this.width}}class CircularImage extends CircleImageBase{constructor(options,body,labelModule,imageObj,imageObjAlt){super(options,body,labelModule),this.setImages(imageObj,imageObjAlt)}resize(ctx,selected=this.selected,hover=this.hover){var imageAbsent=this.imageObj.src===void 0||this.imageObj.width===void 0||this.imageObj.height===void 0;if(imageAbsent){var diameter=2*this.options.size;return this.width=diameter,this.height=diameter,void(this.radius=.5*this.width)}this.needsRefresh(selected,hover)&&this._resizeImage()}draw(ctx,x,y,selected,hover,values){this.switchImages(selected),this.resize(),this.left=x-this.width/2,this.top=y-this.height/2,this._drawRawCircle(ctx,x,y,values),ctx.save(),ctx.clip(),this._drawImageAtPosition(ctx,values),ctx.restore(),this._drawImageLabel(ctx,x,y,selected,hover),this.updateBoundingBox(x,y)}updateBoundingBox(x,y){this.boundingBox.top=y-this.options.size,this.boundingBox.left=x-this.options.size,this.boundingBox.right=x+this.options.size,this.boundingBox.bottom=y+this.options.size,this.boundingBox.left=_Mathmin(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=_Mathmax(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=_Mathmax(this.boundingBox.bottom,this.boundingBox.bottom+this.labelOffset)}distanceToBorder(ctx,angle){return this.resize(ctx),.5*this.width}}class Database extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule),this._setMargins(labelModule)}resize(ctx,selected,hover){if(this.needsRefresh(selected,hover)){var dimensions=this.getDimensionsFromLabel(ctx,selected,hover),size=dimensions.width+this.margin.right+this.margin.left;this.width=size,this.height=size,this.radius=this.width/2}}draw(ctx,x,y,selected,hover,values){this.resize(ctx,selected,hover),this.left=x-this.width/2,this.top=y-this.height/2,this.initContextForDraw(ctx,values),ctx.database(x-this.width/2,y-this.height/2,this.width,this.height),this.performFill(ctx,values),this.updateBoundingBox(x,y,ctx,selected,hover),this.labelModule.draw(ctx,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,selected,hover)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class ShapeBase extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule)}resize(ctx,selected=this.selected,hover=this.hover,values={size:this.options.size}){if(this.needsRefresh(selected,hover)){this.labelModule.getTextSize(ctx,selected,hover);var size=2*values.size;this.width=size,this.height=size,this.radius=.5*this.width}}_drawShape(ctx,shape,sizeMultiplier,x,y,selected,hover,values){if(this.resize(ctx,selected,hover,values),this.left=x-this.width/2,this.top=y-this.height/2,this.initContextForDraw(ctx,values),ctx[shape](x,y,values.size),this.performFill(ctx,values),void 0!==this.options.icon&&void 0!==this.options.icon.code&&(ctx.font=(selected?"bold ":"")+this.height/2+"px "+(this.options.icon.face||"FontAwesome"),ctx.fillStyle=this.options.icon.color||"black",ctx.textAlign="center",ctx.textBaseline="middle",ctx.fillText(this.options.icon.code,x,y)),void 0!==this.options.label){this.labelModule.calculateLabelSize(ctx,selected,hover,x,y,"hanging");let yLabel=y+.5*this.height+.5*this.labelModule.size.height;this.labelModule.draw(ctx,x,yLabel,selected,hover,"hanging")}this.updateBoundingBox(x,y)}updateBoundingBox(x,y){this.boundingBox.top=y-this.options.size,this.boundingBox.left=x-this.options.size,this.boundingBox.right=x+this.options.size,this.boundingBox.bottom=y+this.options.size,this.options.label!==void 0&&0<this.labelModule.size.width&&(this.boundingBox.left=_Mathmin(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=_Mathmax(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=_Mathmax(this.boundingBox.bottom,this.boundingBox.bottom+this.labelModule.size.height))}}class Diamond extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"diamond",4,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Dot extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"circle",2,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this.resize(ctx),this.options.size}}class Ellipse extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule)}resize(ctx,selected=this.selected,hover=this.hover){if(this.needsRefresh(selected,hover)){var dimensions=this.getDimensionsFromLabel(ctx,selected,hover);this.height=2*dimensions.height,this.width=dimensions.width+dimensions.height,this.radius=.5*this.width}}draw(ctx,x,y,selected,hover,values){this.resize(ctx,selected,hover),this.left=x-.5*this.width,this.top=y-.5*this.height,this.initContextForDraw(ctx,values),ctx.ellipse_vis(this.left,this.top,this.width,this.height),this.performFill(ctx,values),this.updateBoundingBox(x,y,ctx,selected,hover),this.labelModule.draw(ctx,x,y,selected,hover)}distanceToBorder(ctx,angle){this.resize(ctx);var a=.5*this.width,b=.5*this.height,w=_Mathsin(angle)*a,h=_Mathcos(angle)*b;return a*b/_Mathsqrt(w*w+h*h)}}class Icon extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule),this._setMargins(labelModule)}resize(ctx,selected,hover){this.needsRefresh(selected,hover)&&(this.iconSize={width:+this.options.icon.size,height:+this.options.icon.size},this.width=this.iconSize.width+this.margin.right+this.margin.left,this.height=this.iconSize.height+this.margin.top+this.margin.bottom,this.radius=.5*this.width)}draw(ctx,x,y,selected,hover,values){if(this.resize(ctx,selected,hover),this.options.icon.size=this.options.icon.size||50,this.left=x-this.width/2,this.top=y-this.height/2,this._icon(ctx,x,y,selected,hover,values),void 0!==this.options.label){this.labelModule.draw(ctx,this.left+this.iconSize.width/2+this.margin.left,y+this.height/2+5,selected)}this.updateBoundingBox(x,y)}updateBoundingBox(x,y){if(this.boundingBox.top=y-.5*this.options.icon.size,this.boundingBox.left=x-.5*this.options.icon.size,this.boundingBox.right=x+.5*this.options.icon.size,this.boundingBox.bottom=y+.5*this.options.icon.size,void 0!==this.options.label&&0<this.labelModule.size.width){this.boundingBox.left=_Mathmin(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=_Mathmax(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=_Mathmax(this.boundingBox.bottom,this.boundingBox.bottom+this.labelModule.size.height+5)}}_icon(ctx,x,y,selected,hover,values){let iconSize=+this.options.icon.size;this.options.icon.code===void 0?console.error("When using the icon shape, you need to define the code in the icon options object. This can be done per node or globally."):(ctx.font=(selected?"bold ":"")+iconSize+"px "+this.options.icon.face,ctx.fillStyle=this.options.icon.color||"black",ctx.textAlign="center",ctx.textBaseline="middle",this.enableShadow(ctx,values),ctx.fillText(this.options.icon.code,x,y),this.disableShadow(ctx,values))}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Image$1 extends CircleImageBase{constructor(options,body,labelModule,imageObj,imageObjAlt){super(options,body,labelModule),this.setImages(imageObj,imageObjAlt)}resize(ctx,selected=this.selected,hover=this.hover){var imageAbsent=this.imageObj.src===void 0||this.imageObj.width===void 0||this.imageObj.height===void 0;if(imageAbsent){var side=2*this.options.size;return this.width=side,void(this.height=side)}this.needsRefresh(selected,hover)&&this._resizeImage()}draw(ctx,x,y,selected,hover,values){if(this.switchImages(selected),this.resize(),this.left=x-this.width/2,this.top=y-this.height/2,!0===this.options.shapeProperties.useBorderWithImage){var neutralborderWidth=this.options.borderWidth,selectionLineWidth=this.options.borderWidthSelected||2*this.options.borderWidth,borderWidth=(selected?selectionLineWidth:neutralborderWidth)/this.body.view.scale;ctx.lineWidth=_Mathmin(this.width,borderWidth),ctx.beginPath(),ctx.strokeStyle=selected?this.options.color.highlight.border:hover?this.options.color.hover.border:this.options.color.border,ctx.fillStyle=selected?this.options.color.highlight.background:hover?this.options.color.hover.background:this.options.color.background,ctx.rect(this.left-.5*ctx.lineWidth,this.top-.5*ctx.lineWidth,this.width+ctx.lineWidth,this.height+ctx.lineWidth),ctx.fill(),this.performStroke(ctx,values),ctx.closePath()}this._drawImageAtPosition(ctx,values),this._drawImageLabel(ctx,x,y,selected,hover),this.updateBoundingBox(x,y)}updateBoundingBox(x,y){this.resize(),this._updateBoundingBox(x,y),this.options.label!==void 0&&0<this.labelModule.size.width&&(this.boundingBox.left=_Mathmin(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=_Mathmax(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=_Mathmax(this.boundingBox.bottom,this.boundingBox.bottom+this.labelOffset))}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Square extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"square",2,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Hexagon extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"hexagon",4,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Star extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"star",4,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Text extends NodeBase{constructor(options,body,labelModule){super(options,body,labelModule),this._setMargins(labelModule)}resize(ctx,selected,hover){this.needsRefresh(selected,hover)&&(this.textSize=this.labelModule.getTextSize(ctx,selected,hover),this.width=this.textSize.width+this.margin.right+this.margin.left,this.height=this.textSize.height+this.margin.top+this.margin.bottom,this.radius=.5*this.width)}draw(ctx,x,y,selected,hover,values){this.resize(ctx,selected,hover),this.left=x-this.width/2,this.top=y-this.height/2,this.enableShadow(ctx,values),this.labelModule.draw(ctx,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,selected,hover),this.disableShadow(ctx,values),this.updateBoundingBox(x,y,ctx,selected,hover)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class Triangle extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"triangle",3,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}class TriangleDown extends ShapeBase{constructor(options,body,labelModule){super(options,body,labelModule)}draw(ctx,x,y,selected,hover,values){this._drawShape(ctx,"triangleDown",3,x,y,selected,hover,values)}distanceToBorder(ctx,angle){return this._distanceToBorder(ctx,angle)}}let errorFound=!1,printStyle="background: #FFeeee; color: #dd0000",allOptions;class Validator{constructor(){}static validate(options,referenceOptions,subObject){errorFound=!1,allOptions=referenceOptions;let usedOptions=referenceOptions;return void 0!==subObject&&(usedOptions=referenceOptions[subObject]),Validator.parse(options,usedOptions,[]),errorFound}static parse(options,referenceOptions,path){for(let option in options)options.hasOwnProperty(option)&&Validator.check(option,options,referenceOptions,path)}static check(option,options,referenceOptions,path){if(void 0===referenceOptions[option]&&void 0===referenceOptions.__any__)return void Validator.getSuggestion(option,referenceOptions,path);let referenceOption=option,is_object=!0;referenceOptions[option]===void 0&&referenceOptions.__any__!==void 0&&(referenceOption="__any__",is_object="object"===Validator.getType(options[option]));let refOptionObj=referenceOptions[referenceOption];is_object&&refOptionObj.__type__!==void 0&&(refOptionObj=refOptionObj.__type__),Validator.checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path)}static checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path){let log=function(message){console.log("%c"+message+Validator.printLocation(path,option),printStyle)},optionType=Validator.getType(options[option]),refOptionType=refOptionObj[optionType];refOptionType===void 0?refOptionObj.any===void 0&&(log("Invalid type received for \""+option+"\". Expected: "+Validator.print(Object.keys(refOptionObj))+". Received ["+optionType+"] \""+options[option]+"\""),errorFound=!0):"array"===Validator.getType(refOptionType)&&-1===refOptionType.indexOf(options[option])?(log("Invalid option detected in \""+option+"\". Allowed values are:"+Validator.print(refOptionType)+" not \""+options[option]+"\". "),errorFound=!0):"object"===optionType&&"__any__"!==referenceOption&&(path=util.copyAndExtendArray(path,option),Validator.parse(options[option],referenceOptions[referenceOption],path))}static getType(object){var type=typeof object;if("object"==type)return null===object?"null":object instanceof Boolean?"boolean":object instanceof Number?"number":object instanceof String?"string":Array.isArray(object)?"array":object instanceof Date?"date":void 0===object.nodeType?!0===object._isAMomentObject?"moment":"object":"dom";return"number"==type?"number":"boolean"==type?"boolean":"string"==type?"string":void 0===type?"undefined":type}static getSuggestion(option,options,path){let localSearch=Validator.findInOptions(option,options,path,!1),globalSearch=Validator.findInOptions(option,allOptions,[],!0),msg;msg=void 0===localSearch.indexMatch?globalSearch.distance<=4&&localSearch.distance>globalSearch.distance?" in "+Validator.printLocation(localSearch.path,option,"")+"Perhaps it was misplaced? Matching option found at: "+Validator.printLocation(globalSearch.path,globalSearch.closestMatch,""):localSearch.distance<=8?". Did you mean \""+localSearch.closestMatch+"\"?"+Validator.printLocation(localSearch.path,option):". Did you mean one of these: "+Validator.print(Object.keys(options))+Validator.printLocation(path,option):" in "+Validator.printLocation(localSearch.path,option,"")+"Perhaps it was incomplete? Did you mean: \""+localSearch.indexMatch+"\"?\n\n",console.log("%cUnknown option detected: \""+option+"\""+msg,printStyle),errorFound=!0}static findInOptions(option,options,path,recursive=!1){let min=1e9,closestMatch="",closestMatchPath=[],lowerCaseOption=option.toLowerCase(),indexMatch;for(let op in options){let distance;if(options[op].__type__!==void 0&&!0===recursive){let result=Validator.findInOptions(option,options[op],util.copyAndExtendArray(path,op));min>result.distance&&(closestMatch=result.closestMatch,closestMatchPath=result.path,min=result.distance,indexMatch=result.indexMatch)}else-1!==op.toLowerCase().indexOf(lowerCaseOption)&&(indexMatch=op),distance=Validator.levenshteinDistance(option,op),min>distance&&(closestMatch=op,closestMatchPath=util.copyArray(path),min=distance)}return{closestMatch:closestMatch,path:closestMatchPath,distance:min,indexMatch:indexMatch}}static printLocation(path,option,prefix="Problem value found at: \n"){let str="\n\n"+prefix+"options = {\n";for(let i=0;i<path.length;i++){for(let j=0;j<i+1;j++)str+="  ";str+=path[i]+": {\n"}for(let j=0;j<path.length+1;j++)str+="  ";str+=option+"\n";for(let i=0;i<path.length+1;i++){for(let j=0;j<path.length-i;j++)str+="  ";str+="}\n"}return str+"\n\n"}static print(options){return JSON.stringify(options).replace(/(\")|(\[)|(\])|(,"__type__")/g,"").replace(/(\,)/g,", ")}static levenshteinDistance(a,b){if(0===a.length)return b.length;if(0===b.length)return a.length;var matrix=[],i;for(i=0;i<=b.length;i++)matrix[i]=[i];var j;for(j=0;j<=a.length;j++)matrix[0][j]=j;for(i=1;i<=b.length;i++)for(j=1;j<=a.length;j++)matrix[i][j]=b.charAt(i-1)==a.charAt(j-1)?matrix[i-1][j-1]:_Mathmin(matrix[i-1][j-1]+1,_Mathmin(matrix[i][j-1]+1,matrix[i-1][j]+1));return matrix[b.length][a.length]}}class Node{constructor(options,body,imagelist,grouplist,globalOptions,defaultOptions){this.options=util.bridgeObject(globalOptions),this.globalOptions=globalOptions,this.defaultOptions=defaultOptions,this.body=body,this.edges=[],this.id=void 0,this.imagelist=imagelist,this.grouplist=grouplist,this.x=void 0,this.y=void 0,this.baseSize=this.options.size,this.baseFontSize=this.options.font.size,this.predefinedPosition=!1,this.selected=!1,this.hover=!1,this.labelModule=new Label(this.body,this.options,!1),this.setOptions(options)}attachEdge(edge){-1===this.edges.indexOf(edge)&&this.edges.push(edge)}detachEdge(edge){var index=this.edges.indexOf(edge);-1!=index&&this.edges.splice(index,1)}setOptions(options){let currentShape=this.options.shape;if(options){if(void 0!==options.id&&(this.id=options.id),void 0===this.id)throw new Error("Node must have an id");Node.checkMass(options,this.id),void 0!==options.x&&(null===options.x?(this.x=void 0,this.predefinedPosition=!1):(this.x=parseInt(options.x),this.predefinedPosition=!0)),void 0!==options.y&&(null===options.y?(this.y=void 0,this.predefinedPosition=!1):(this.y=parseInt(options.y),this.predefinedPosition=!0)),void 0!==options.size&&(this.baseSize=options.size),void 0!==options.value&&(options.value=parseFloat(options.value)),Node.parseOptions(this.options,options,!0,this.globalOptions,this.grouplist);let pile=[options,this.options,this.defaultOptions];return this.chooser=ComponentUtil.choosify("node",pile),this._load_images(),this.updateLabelModule(options),this.updateShape(currentShape),void 0!==options.hidden||void 0!==options.physics}}_load_images(){if(("circularImage"===this.options.shape||"image"===this.options.shape)&&void 0===this.options.image)throw new Error("Option image must be defined for node type '"+this.options.shape+"'");if(void 0!==this.options.image){if(void 0===this.imagelist)throw new Error("Internal Error: No images provided");if("string"==typeof this.options.image)this.imageObj=this.imagelist.load(this.options.image,this.options.brokenImage,this.id);else{if(void 0===this.options.image.unselected)throw new Error("No unselected image provided");this.imageObj=this.imagelist.load(this.options.image.unselected,this.options.brokenImage,this.id),this.imageObjAlt=void 0===this.options.image.selected?void 0:this.imagelist.load(this.options.image.selected,this.options.brokenImage,this.id)}}}static updateGroupOptions(parentOptions,newOptions,groupList){if(void 0!==groupList){var group=parentOptions.group;if(void 0!==newOptions&&void 0!==newOptions.group&&group!==newOptions.group)throw new Error("updateGroupOptions: group values in options don't match.");if("number"==typeof group||"string"==typeof group&&""!=group){var groupObj=groupList.get(group),skipProperties=["font"];void 0!==newOptions&&void 0!==newOptions.color&&null!=newOptions.color&&skipProperties.push("color"),util.selectiveNotDeepExtend(skipProperties,parentOptions,groupObj),parentOptions.color=util.parseColor(parentOptions.color)}}}static parseOptions(parentOptions,newOptions,allowDeletion=!1,globalOptions={},groupList){if(util.selectiveNotDeepExtend(["color","fixed","shadow"],parentOptions,newOptions,allowDeletion),Node.checkMass(newOptions),util.mergeOptions(parentOptions,newOptions,"shadow",globalOptions),void 0!==newOptions.color&&null!==newOptions.color){let parsedColor=util.parseColor(newOptions.color);util.fillIfDefined(parentOptions.color,parsedColor)}else!0===allowDeletion&&null===newOptions.color&&(parentOptions.color=util.bridgeObject(globalOptions.color));void 0!==newOptions.fixed&&null!==newOptions.fixed&&("boolean"==typeof newOptions.fixed?(parentOptions.fixed.x=newOptions.fixed,parentOptions.fixed.y=newOptions.fixed):(void 0!==newOptions.fixed.x&&"boolean"==typeof newOptions.fixed.x&&(parentOptions.fixed.x=newOptions.fixed.x),void 0!==newOptions.fixed.y&&"boolean"==typeof newOptions.fixed.y&&(parentOptions.fixed.y=newOptions.fixed.y))),!0===allowDeletion&&null===newOptions.font&&(parentOptions.font=util.bridgeObject(globalOptions.font)),Node.updateGroupOptions(parentOptions,newOptions,groupList),void 0!==newOptions.scaling&&util.mergeOptions(parentOptions.scaling,newOptions.scaling,"label",globalOptions.scaling)}getFormattingValues(){let values={color:this.options.color.background,borderWidth:this.options.borderWidth,borderColor:this.options.color.border,size:this.options.size,borderDashes:this.options.shapeProperties.borderDashes,borderRadius:this.options.shapeProperties.borderRadius,shadow:this.options.shadow.enabled,shadowColor:this.options.shadow.color,shadowSize:this.options.shadow.size,shadowX:this.options.shadow.x,shadowY:this.options.shadow.y};return this.selected||this.hover?!0===this.chooser?this.selected?(values.borderWidth*=2,values.color=this.options.color.highlight.background,values.borderColor=this.options.color.highlight.border,values.shadow=this.options.shadow.enabled):this.hover&&(values.color=this.options.color.hover.background,values.borderColor=this.options.color.hover.border,values.shadow=this.options.shadow.enabled):"function"==typeof this.chooser&&(this.chooser(values,this.options.id,this.selected,this.hover),!1===values.shadow&&(values.shadowColor!==this.options.shadow.color||values.shadowSize!==this.options.shadow.size||values.shadowX!==this.options.shadow.x||values.shadowY!==this.options.shadow.y)&&(values.shadow=!0)):values.shadow=this.options.shadow.enabled,values}updateLabelModule(options){(this.options.label===void 0||null===this.options.label)&&(this.options.label=""),Node.updateGroupOptions(this.options,options,this.grouplist);var currentGroup=this.grouplist.get(this.options.group,!1);let pile=[options,this.options,currentGroup,this.globalOptions,this.defaultOptions];this.labelModule.update(this.options,pile),this.labelModule.baseSize!==void 0&&(this.baseFontSize=this.labelModule.baseSize)}updateShape(currentShape){if(currentShape===this.options.shape&&this.shape)this.shape.setOptions(this.options,this.imageObj,this.imageObjAlt);else switch(this.options.shape){case"box":this.shape=new Box(this.options,this.body,this.labelModule);break;case"circle":this.shape=new Circle(this.options,this.body,this.labelModule);break;case"circularImage":this.shape=new CircularImage(this.options,this.body,this.labelModule,this.imageObj,this.imageObjAlt);break;case"database":this.shape=new Database(this.options,this.body,this.labelModule);break;case"diamond":this.shape=new Diamond(this.options,this.body,this.labelModule);break;case"dot":this.shape=new Dot(this.options,this.body,this.labelModule);break;case"ellipse":this.shape=new Ellipse(this.options,this.body,this.labelModule);break;case"icon":this.shape=new Icon(this.options,this.body,this.labelModule);break;case"image":this.shape=new Image$1(this.options,this.body,this.labelModule,this.imageObj,this.imageObjAlt);break;case"square":this.shape=new Square(this.options,this.body,this.labelModule);break;case"hexagon":this.shape=new Hexagon(this.options,this.body,this.labelModule);break;case"star":this.shape=new Star(this.options,this.body,this.labelModule);break;case"text":this.shape=new Text(this.options,this.body,this.labelModule);break;case"triangle":this.shape=new Triangle(this.options,this.body,this.labelModule);break;case"triangleDown":this.shape=new TriangleDown(this.options,this.body,this.labelModule);break;default:this.shape=new Ellipse(this.options,this.body,this.labelModule);}this.needsRefresh()}select(){this.selected=!0,this.needsRefresh()}unselect(){this.selected=!1,this.needsRefresh()}needsRefresh(){this.shape.refreshNeeded=!0}getTitle(){return this.options.title}distanceToBorder(ctx,angle){return this.shape.distanceToBorder(ctx,angle)}isFixed(){return this.options.fixed.x&&this.options.fixed.y}isSelected(){return this.selected}getValue(){return this.options.value}getLabelSize(){return this.labelModule.size()}setValueRange(min,max,total){if(this.options.value!==void 0){var scale=this.options.scaling.customScalingFunction(min,max,total,this.options.value),sizeDiff=this.options.scaling.max-this.options.scaling.min;if(!0===this.options.scaling.label.enabled){var fontDiff=this.options.scaling.label.max-this.options.scaling.label.min;this.options.font.size=this.options.scaling.label.min+scale*fontDiff}this.options.size=this.options.scaling.min+scale*sizeDiff}else this.options.size=this.baseSize,this.options.font.size=this.baseFontSize;this.updateLabelModule()}draw(ctx){let values=this.getFormattingValues();this.shape.draw(ctx,this.x,this.y,this.selected,this.hover,values)}updateBoundingBox(ctx){this.shape.updateBoundingBox(this.x,this.y,ctx)}resize(ctx){let values=this.getFormattingValues();this.shape.resize(ctx,this.selected,this.hover,values)}getItemsOnPoint(point){var ret=[];return this.labelModule.visible()&&ComponentUtil.pointInRect(this.labelModule.getSize(),point)&&ret.push({nodeId:this.id,labelId:0}),ComponentUtil.pointInRect(this.shape.boundingBox,point)&&ret.push({nodeId:this.id}),ret}isOverlappingWith(obj){return this.shape.left<obj.right&&this.shape.left+this.shape.width>obj.left&&this.shape.top<obj.bottom&&this.shape.top+this.shape.height>obj.top}isBoundingBoxOverlappingWith(obj){return this.shape.boundingBox.left<obj.right&&this.shape.boundingBox.right>obj.left&&this.shape.boundingBox.top<obj.bottom&&this.shape.boundingBox.bottom>obj.top}static checkMass(options,id){if(options.mass!==void 0&&0>=options.mass){let strId="";id!==void 0&&(strId=" in node id: "+id),console.log("%cNegative or zero mass disallowed"+strId+", setting mass to 1.",printStyle),options.mass=1}}}class NodesHandler{constructor(body,images,groups,layoutEngine){if(this.body=body,this.images=images,this.groups=groups,this.layoutEngine=layoutEngine,this.body.functions.createNode=this.create.bind(this),this.nodesListeners={add:(event,params)=>{this.add(params.items)},update:(event,params)=>{this.update(params.items,params.data,params.oldData)},remove:(event,params)=>{this.remove(params.items)}},this.defaultOptions={borderWidth:1,borderWidthSelected:2,brokenImage:void 0,color:{border:"#2B7CE9",background:"#97C2FC",highlight:{border:"#2B7CE9",background:"#D2E5FF"},hover:{border:"#2B7CE9",background:"#D2E5FF"}},fixed:{x:!1,y:!1},font:{color:"#343434",size:14,face:"arial",background:"none",strokeWidth:0,strokeColor:"#ffffff",align:"center",vadjust:0,multi:!1,bold:{mod:"bold"},boldital:{mod:"bold italic"},ital:{mod:"italic"},mono:{mod:"",size:15,face:"monospace",vadjust:2}},group:void 0,hidden:!1,icon:{face:"FontAwesome",code:void 0,size:50,color:"#2B7CE9"},image:void 0,label:void 0,labelHighlightBold:!0,level:void 0,margin:{top:5,right:5,bottom:5,left:5},mass:1,physics:!0,scaling:{min:10,max:30,label:{enabled:!1,min:14,max:30,maxVisible:30,drawThreshold:5},customScalingFunction:function(min,max,total,value){if(max===min)return .5;else{return _Mathmax(0,(value-min)*(1/(max-min)))}}},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:10,x:5,y:5},shape:"ellipse",shapeProperties:{borderDashes:!1,borderRadius:6,interpolation:!0,useImageSize:!1,useBorderWithImage:!1},size:25,title:void 0,value:void 0,x:void 0,y:void 0},0>=this.defaultOptions.mass)throw"Internal error: mass in defaultOptions of NodesHandler may not be zero or negative";this.options=util.bridgeObject(this.defaultOptions),this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("refreshNodes",this.refresh.bind(this)),this.body.emitter.on("refresh",this.refresh.bind(this)),this.body.emitter.on("destroy",()=>{util.forEach(this.nodesListeners,(callback,event)=>{this.body.data.nodes&&this.body.data.nodes.off(event,callback)}),delete this.body.functions.createNode,delete this.nodesListeners.add,delete this.nodesListeners.update,delete this.nodesListeners.remove,delete this.nodesListeners})}setOptions(options){if(void 0!==options){if(Node.parseOptions(this.options,options),void 0!==options.shape)for(let nodeId in this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&this.body.nodes[nodeId].updateShape();if(void 0!==options.font)for(let nodeId in this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&(this.body.nodes[nodeId].updateLabelModule(),this.body.nodes[nodeId].needsRefresh());if(void 0!==options.size)for(let nodeId in this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&this.body.nodes[nodeId].needsRefresh();(void 0!==options.hidden||void 0!==options.physics)&&this.body.emitter.emit("_dataChanged")}}setData(nodes,doNotEmit=!1){let oldNodesData=this.body.data.nodes;if(nodes instanceof DataSet||nodes instanceof DataView)this.body.data.nodes=nodes;else if(Array.isArray(nodes))this.body.data.nodes=new DataSet,this.body.data.nodes.add(nodes);else if(!nodes)this.body.data.nodes=new DataSet;else throw new TypeError("Array or DataSet expected");if(oldNodesData&&util.forEach(this.nodesListeners,function(callback,event){oldNodesData.off(event,callback)}),this.body.nodes={},this.body.data.nodes){let me=this;util.forEach(this.nodesListeners,function(callback,event){me.body.data.nodes.on(event,callback)});let ids=this.body.data.nodes.getIds();this.add(ids,!0)}!1===doNotEmit&&this.body.emitter.emit("_dataChanged")}add(ids,doNotEmit=!1){let newNodes=[],id;for(let i=0;i<ids.length;i++){id=ids[i];let properties=this.body.data.nodes.get(id),node=this.create(properties);newNodes.push(node),this.body.nodes[id]=node}this.layoutEngine.positionInitially(newNodes),!1===doNotEmit&&this.body.emitter.emit("_dataChanged")}update(ids,changedData,oldData){let nodes=this.body.nodes,dataChanged=!1;for(let i=0;i<ids.length;i++){let id=ids[i],node=nodes[id],data=changedData[i];node===void 0?(dataChanged=!0,node=this.create(data),nodes[id]=node):node.setOptions(data)&&(dataChanged=!0)}dataChanged||oldData===void 0||(dataChanged=changedData.some(function(newValue,index){let oldValue=oldData[index];return oldValue&&oldValue.level!==newValue.level})),!0===dataChanged?this.body.emitter.emit("_dataChanged"):this.body.emitter.emit("_dataUpdated")}remove(ids){let nodes=this.body.nodes;for(let i=0,id;i<ids.length;i++)id=ids[i],delete nodes[id];this.body.emitter.emit("_dataChanged")}create(properties,constructorClass=Node){return new constructorClass(properties,this.body,this.images,this.groups,this.options,this.defaultOptions)}refresh(clearPositions=!1){util.forEach(this.body.nodes,(node,nodeId)=>{let data=this.body.data.nodes.get(nodeId);data!==void 0&&(!0===clearPositions&&node.setOptions({x:null,y:null}),node.setOptions({fixed:!1}),node.setOptions(data))})}getPositions(ids){let dataArray={};if(!(ids!==void 0))for(let i=0,node;i<this.body.nodeIndices.length;i++)node=this.body.nodes[this.body.nodeIndices[i]],dataArray[this.body.nodeIndices[i]]={x:_Mathround(node.x),y:_Mathround(node.y)};else if(!0===Array.isArray(ids)){for(let i=0;i<ids.length;i++)if(void 0!==this.body.nodes[ids[i]]){let node=this.body.nodes[ids[i]];dataArray[ids[i]]={x:_Mathround(node.x),y:_Mathround(node.y)}}}else if(void 0!==this.body.nodes[ids]){let node=this.body.nodes[ids];dataArray[ids]={x:_Mathround(node.x),y:_Mathround(node.y)}}return dataArray}storePositions(){let dataArray=[];var dataset=this.body.data.nodes.getDataSet();for(let nodeId in dataset._data)if(dataset._data.hasOwnProperty(nodeId)){let node=this.body.nodes[nodeId];(dataset._data[nodeId].x!=_Mathround(node.x)||dataset._data[nodeId].y!=_Mathround(node.y))&&dataArray.push({id:node.id,x:_Mathround(node.x),y:_Mathround(node.y)})}dataset.update(dataArray)}getBoundingBox(nodeId){if(this.body.nodes[nodeId]!==void 0)return this.body.nodes[nodeId].shape.boundingBox}getConnectedNodes(nodeId,direction){let nodeList=[];if(this.body.nodes[nodeId]!==void 0){let node=this.body.nodes[nodeId],nodeObj={};for(let i=0,edge;i<node.edges.length;i++)edge=node.edges[i],"to"!==direction&&edge.toId==node.id?void 0===nodeObj[edge.fromId]&&(nodeList.push(edge.fromId),nodeObj[edge.fromId]=!0):"from"!==direction&&edge.fromId==node.id&&void 0===nodeObj[edge.toId]&&(nodeList.push(edge.toId),nodeObj[edge.toId]=!0)}return nodeList}getConnectedEdges(nodeId){let edgeList=[];if(this.body.nodes[nodeId]!==void 0){let node=this.body.nodes[nodeId];for(let i=0;i<node.edges.length;i++)edgeList.push(node.edges[i].id)}else console.log("NodeId provided for getConnectedEdges does not exist. Provided: ",nodeId);return edgeList}moveNode(nodeId,x,y){this.body.nodes[nodeId]===void 0?console.log("Node id supplied to moveNode does not exist. Provided: ",nodeId):(this.body.nodes[nodeId].x=+x,this.body.nodes[nodeId].y=+y,setTimeout(()=>{this.body.emitter.emit("startSimulation")},0))}}class EndPoint{static transform(points,arrowData){points instanceof Array||(points=[points]);for(var x=arrowData.point.x,y=arrowData.point.y,angle=arrowData.angle,length=arrowData.length,i=0;i<points.length;++i){var p=points[i],xt=p.x*_Mathcos(angle)-p.y*_Mathsin(angle),yt=p.x*_Mathsin(angle)+p.y*_Mathcos(angle);p.x=x+length*xt,p.y=y+length*yt}}static drawPath(ctx,points){ctx.beginPath(),ctx.moveTo(points[0].x,points[0].y);for(var i=1;i<points.length;++i)ctx.lineTo(points[i].x,points[i].y);ctx.closePath()}}class Arrow extends EndPoint{static draw(ctx,arrowData){var points=[{x:0,y:0},{x:-1,y:.3},{x:-.9,y:0},{x:-1,y:-.3}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Crow{static draw(ctx,arrowData){var points=[{x:-1,y:0},{x:0,y:.3},{x:-.4,y:0},{x:0,y:-.3}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Curve{static draw(ctx,arrowData){var point={x:-.4,y:0};EndPoint.transform(point,arrowData),ctx.strokeStyle=ctx.fillStyle,ctx.fillStyle="rgba(0, 0, 0, 0)";var pi=_MathPI,start_angle=arrowData.angle-pi/2,end_angle=arrowData.angle+pi/2;ctx.beginPath(),ctx.arc(point.x,point.y,.4*arrowData.length,start_angle,end_angle,!1),ctx.stroke()}}class InvertedCurve{static draw(ctx,arrowData){var point={x:-.3,y:0};EndPoint.transform(point,arrowData),ctx.strokeStyle=ctx.fillStyle,ctx.fillStyle="rgba(0, 0, 0, 0)";var pi=_MathPI,start_angle=arrowData.angle+pi/2,end_angle=arrowData.angle+3*pi/2;ctx.beginPath(),ctx.arc(point.x,point.y,.4*arrowData.length,start_angle,end_angle,!1),ctx.stroke()}}class Triangle$1{static draw(ctx,arrowData){var points=[{x:.02,y:0},{x:-1,y:.3},{x:-1,y:-.3}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class InvertedTriangle{static draw(ctx,arrowData){var points=[{x:0,y:.3},{x:0,y:-.3},{x:-1,y:0}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Circle$1{static draw(ctx,arrowData){var point={x:-.4,y:0};EndPoint.transform(point,arrowData),ctx.circle(point.x,point.y,.4*arrowData.length)}}class Bar{static draw(ctx,arrowData){var points=[{x:0,y:.5},{x:0,y:-.5},{x:-.15,y:-.5},{x:-.15,y:.5}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Box$1{static draw(ctx,arrowData){var points=[{x:0,y:.3},{x:0,y:-.3},{x:-.6,y:-.3},{x:-.6,y:.3}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Diamond$1{static draw(ctx,arrowData){var points=[{x:0,y:0},{x:-.5,y:-.3},{x:-1,y:0},{x:-.5,y:.3}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class Vee{static draw(ctx,arrowData){var points=[{x:-1,y:.3},{x:-.5,y:0},{x:-1,y:-.3},{x:0,y:0}];EndPoint.transform(points,arrowData),EndPoint.drawPath(ctx,points)}}class EndPoints{static draw(ctx,arrowData){var type;switch(arrowData.type&&(type=arrowData.type.toLowerCase()),type){case"circle":Circle$1.draw(ctx,arrowData);break;case"box":Box$1.draw(ctx,arrowData);break;case"crow":Crow.draw(ctx,arrowData);break;case"curve":Curve.draw(ctx,arrowData);break;case"diamond":Diamond$1.draw(ctx,arrowData);break;case"inv_curve":InvertedCurve.draw(ctx,arrowData);break;case"triangle":Triangle$1.draw(ctx,arrowData);break;case"inv_triangle":InvertedTriangle.draw(ctx,arrowData);break;case"bar":Bar.draw(ctx,arrowData);break;case"vee":Vee.draw(ctx,arrowData);break;case"arrow":default:Arrow.draw(ctx,arrowData);}}}class EdgeBase{constructor(options,body,labelModule){this.body=body,this.labelModule=labelModule,this.options={},this.setOptions(options),this.colorDirty=!0,this.color={},this.selectionWidth=2,this.hoverWidth=1.5,this.fromPoint=this.from,this.toPoint=this.to}connect(){this.from=this.body.nodes[this.options.from],this.to=this.body.nodes[this.options.to]}cleanup(){return!1}setOptions(options){this.options=options,this.from=this.body.nodes[this.options.from],this.to=this.body.nodes[this.options.to],this.id=this.options.id}drawLine(ctx,values,selected,hover,viaNode){ctx.strokeStyle=this.getColor(ctx,values,selected,hover),ctx.lineWidth=values.width,!1===values.dashes?this._drawLine(ctx,values,viaNode):this._drawDashedLine(ctx,values,viaNode)}_drawLine(ctx,values,viaNode,fromPoint,toPoint){if(this.from!=this.to)this._line(ctx,values,viaNode,fromPoint,toPoint);else{let[x,y,radius]=this._getCircleData(ctx);this._circle(ctx,values,x,y,radius)}}_drawDashedLine(ctx,values,viaNode,fromPoint,toPoint){ctx.lineCap="round";let pattern=[5,5];if(!0===Array.isArray(values.dashes)&&(pattern=values.dashes),void 0!==ctx.setLineDash){if(ctx.save(),ctx.setLineDash(pattern),ctx.lineDashOffset=0,this.from!=this.to)this._line(ctx,values,viaNode);else{let[x,y,radius]=this._getCircleData(ctx);this._circle(ctx,values,x,y,radius)}ctx.setLineDash([0]),ctx.lineDashOffset=0,ctx.restore()}else{if(this.from!=this.to)ctx.dashedLine(this.from.x,this.from.y,this.to.x,this.to.y,pattern);else{let[x,y,radius]=this._getCircleData(ctx);this._circle(ctx,values,x,y,radius)}this.enableShadow(ctx,values),ctx.stroke(),this.disableShadow(ctx,values)}}findBorderPosition(nearNode,ctx,options){return this.from==this.to?this._findBorderPositionCircle(nearNode,ctx,options):this._findBorderPosition(nearNode,ctx,options)}findBorderPositions(ctx){let from={},to={};if(this.from!=this.to)from=this._findBorderPosition(this.from,ctx),to=this._findBorderPosition(this.to,ctx);else{let[x,y]=this._getCircleData(ctx).slice(0,2);from=this._findBorderPositionCircle(this.from,ctx,{x,y,low:.25,high:.6,direction:-1}),to=this._findBorderPositionCircle(this.from,ctx,{x,y,low:.6,high:.8,direction:1})}return{from,to}}_getCircleData(ctx){let node=this.from,radius=this.options.selfReferenceSize,x,y;return void 0!==ctx&&void 0===node.shape.width&&node.shape.resize(ctx),node.shape.width>node.shape.height?(x=node.x+.5*node.shape.width,y=node.y-radius):(x=node.x+radius,y=node.y-.5*node.shape.height),[x,y,radius]}_pointOnCircle(x,y,radius,percentage){let angle=2*percentage*_MathPI;return{x:x+radius*_Mathcos(angle),y:y-radius*_Mathsin(angle)}}_findBorderPositionCircle(node,ctx,options){let x=options.x,y=options.y,low=options.low,high=options.high,direction=options.direction,iteration=0,radius=this.options.selfReferenceSize,middle=.5*(low+high),pos,angle,distanceToBorder,distanceToPoint,difference;for(;low<=high&&iteration<10&&(middle=.5*(low+high),pos=this._pointOnCircle(x,y,radius,middle),angle=_Mathatan(node.y-pos.y,node.x-pos.x),distanceToBorder=node.distanceToBorder(ctx,angle),distanceToPoint=_Mathsqrt(_Mathpow(pos.x-node.x,2)+_Mathpow(pos.y-node.y,2)),difference=distanceToBorder-distanceToPoint,!(_Mathabs(difference)<.05));)0<difference?0<direction?low=middle:high=middle:0<direction?high=middle:low=middle,iteration++;return pos.t=middle,pos}getLineWidth(selected,hover){return!0===selected?_Mathmax(this.selectionWidth,.3/this.body.view.scale):!0===hover?_Mathmax(this.hoverWidth,.3/this.body.view.scale):_Mathmax(this.options.width,.3/this.body.view.scale)}getColor(ctx,values,selected,hover){if(!1!==values.inheritsColor){if("both"===values.inheritsColor&&this.from.id!==this.to.id){let grd=ctx.createLinearGradient(this.from.x,this.from.y,this.to.x,this.to.y),fromColor,toColor;return fromColor=this.from.options.color.highlight.border,toColor=this.to.options.color.highlight.border,!1===this.from.selected&&!1===this.to.selected?(fromColor=util.overrideOpacity(this.from.options.color.border,values.opacity),toColor=util.overrideOpacity(this.to.options.color.border,values.opacity)):!0===this.from.selected&&!1===this.to.selected?toColor=this.to.options.color.border:!1===this.from.selected&&!0===this.to.selected&&(fromColor=this.from.options.color.border),grd.addColorStop(0,fromColor),grd.addColorStop(1,toColor),grd}return"to"===values.inheritsColor?util.overrideOpacity(this.to.options.color.border,values.opacity):util.overrideOpacity(this.from.options.color.border,values.opacity)}return util.overrideOpacity(values.color,values.opacity)}_circle(ctx,values,x,y,radius){this.enableShadow(ctx,values),ctx.beginPath(),ctx.arc(x,y,radius,0,2*_MathPI,!1),ctx.stroke(),this.disableShadow(ctx,values)}getDistanceToEdge(x1,y1,x2,y2,x3,y3,via,values){let returnValue=0;if(this.from!=this.to)returnValue=this._getDistanceToEdge(x1,y1,x2,y2,x3,y3,via);else{let[x,y,radius]=this._getCircleData(void 0),dx=x-x3,dy=y-y3;returnValue=_Mathabs(_Mathsqrt(dx*dx+dy*dy)-radius)}return returnValue}_getDistanceToLine(x1,y1,x2,y2,x3,y3){let px=x2-x1,py=y2-y1,u=((x3-x1)*px+(y3-y1)*py)/(px*px+py*py);1<u?u=1:0>u&&(u=0);let x=x1+u*px,y=y1+u*py,dx=x-x3,dy=y-y3;return _Mathsqrt(dx*dx+dy*dy)}getArrowData(ctx,position,viaNode,selected,hover,values){let lineWidth=values.width,angle,arrowPoint,node1,node2,guideOffset,scaleFactor,type;if("from"===position?(node1=this.from,node2=this.to,guideOffset=.1,scaleFactor=values.fromArrowScale,type=values.fromArrowType):"to"===position?(node1=this.to,node2=this.from,guideOffset=-.1,scaleFactor=values.toArrowScale,type=values.toArrowType):(node1=this.to,node2=this.from,scaleFactor=values.middleArrowScale,type=values.middleArrowType),node1==node2){let[x,y,radius]=this._getCircleData(ctx);"from"===position?(arrowPoint=this.findBorderPosition(this.from,ctx,{x,y,low:.25,high:.6,direction:-1}),angle=-2*arrowPoint.t*_MathPI+1.5*_MathPI+.1*_MathPI):"to"===position?(arrowPoint=this.findBorderPosition(this.from,ctx,{x,y,low:.6,high:1,direction:1}),angle=-2*arrowPoint.t*_MathPI+1.5*_MathPI-1.1*_MathPI):(arrowPoint=this._pointOnCircle(x,y,radius,.175),angle=3.9269908169872414)}else if("middle"===position)angle=_Mathatan(node1.y-node2.y,node1.x-node2.x),arrowPoint=this.getPoint(.5,viaNode);else if(!0===this.options.smooth.enabled){arrowPoint=this.findBorderPosition(node1,ctx,{via:viaNode});let guidePos=this.getPoint(_Mathmax(0,_Mathmin(1,arrowPoint.t+guideOffset)),viaNode);angle=_Mathatan(arrowPoint.y-guidePos.y,arrowPoint.x-guidePos.x)}else angle=_Mathatan(node1.y-node2.y,node1.x-node2.x),arrowPoint=this.findBorderPosition(node1,ctx);"middle"===position&&0>scaleFactor&&(lineWidth*=-1);let length=15*scaleFactor+3*lineWidth;var xi=arrowPoint.x-.9*length*_Mathcos(angle),yi=arrowPoint.y-.9*length*_Mathsin(angle);return{point:arrowPoint,core:{x:xi,y:yi},angle:angle,length:length,type:type}}drawArrowHead(ctx,values,selected,hover,arrowData){ctx.strokeStyle=this.getColor(ctx,values,selected,hover),ctx.fillStyle=ctx.strokeStyle,ctx.lineWidth=values.width,EndPoints.draw(ctx,arrowData),this.enableShadow(ctx,values),ctx.fill(),this.disableShadow(ctx,values)}enableShadow(ctx,values){!0===values.shadow&&(ctx.shadowColor=values.shadowColor,ctx.shadowBlur=values.shadowSize,ctx.shadowOffsetX=values.shadowX,ctx.shadowOffsetY=values.shadowY)}disableShadow(ctx,values){!0===values.shadow&&(ctx.shadowColor="rgba(0,0,0,0)",ctx.shadowBlur=0,ctx.shadowOffsetX=0,ctx.shadowOffsetY=0)}drawBackground(ctx,values){if(!1!==values.background){let attrs=["strokeStyle","lineWidth","dashes"],origCtxAttr={};attrs.forEach(function(attrname){origCtxAttr[attrname]=ctx[attrname]}),ctx.strokeStyle=values.backgroundColor,ctx.lineWidth=values.backgroundSize,this.setStrokeDashed(ctx,values.backgroundDashes),ctx.stroke(),attrs.forEach(function(attrname){ctx[attrname]=origCtxAttr[attrname]}),this.setStrokeDashed(ctx,values.dashes)}}setStrokeDashed(ctx,dashes){if(!(!1!==dashes))void 0===ctx.setLineDash?console.warn("setLineDash is not supported in this browser. The dashed stroke cannot be used."):ctx.setLineDash([]);else if(void 0!==ctx.setLineDash){let pattern=[5,5];!0===Array.isArray(dashes)&&(pattern=dashes),ctx.setLineDash(pattern)}else console.warn("setLineDash is not supported in this browser. The dashed stroke cannot be used.")}}class BezierEdgeBase extends EdgeBase{constructor(options,body,labelModule){super(options,body,labelModule)}_findBorderPositionBezier(nearNode,ctx,viaNode=this._getViaCoordinates()){var iteration=0,low=0,high=1,node=this.to,from=!1,pos,angle,distanceToBorder,distanceToPoint,difference;for(nearNode.id===this.from.id&&(node=this.from,from=!0);low<=high&&10>iteration;){var middle=.5*(low+high);if(pos=this.getPoint(middle,viaNode),angle=_Mathatan(node.y-pos.y,node.x-pos.x),distanceToBorder=node.distanceToBorder(ctx,angle),distanceToPoint=_Mathsqrt(_Mathpow(pos.x-node.x,2)+_Mathpow(pos.y-node.y,2)),difference=distanceToBorder-distanceToPoint,_Mathabs(difference)<.2)break;else 0>difference?!1===from?low=middle:high=middle:!1===from?high=middle:low=middle;iteration++}return pos.t=middle,pos}_getDistanceToBezierEdge(x1,y1,x2,y2,x3,y3,via){let minDistance=1e9,lastX=x1,lastY=y1,distance,i,t,x,y;for(i=1;10>i;i++)t=.1*i,x=_Mathpow(1-t,2)*x1+2*t*(1-t)*via.x+_Mathpow(t,2)*x2,y=_Mathpow(1-t,2)*y1+2*t*(1-t)*via.y+_Mathpow(t,2)*y2,0<i&&(distance=this._getDistanceToLine(lastX,lastY,x,y,x3,y3),minDistance=distance<minDistance?distance:minDistance),lastX=x,lastY=y;return minDistance}_bezierCurve(ctx,values,viaNode1,viaNode2){var hasNode1=viaNode1!==void 0&&viaNode1.x!==void 0,hasNode2=viaNode2!==void 0&&viaNode2.x!==void 0;ctx.beginPath(),ctx.moveTo(this.fromPoint.x,this.fromPoint.y),hasNode1&&hasNode2?ctx.bezierCurveTo(viaNode1.x,viaNode1.y,viaNode2.x,viaNode2.y,this.toPoint.x,this.toPoint.y):hasNode1?ctx.quadraticCurveTo(viaNode1.x,viaNode1.y,this.toPoint.x,this.toPoint.y):ctx.lineTo(this.toPoint.x,this.toPoint.y),this.drawBackground(ctx,values),this.enableShadow(ctx,values),ctx.stroke(),this.disableShadow(ctx,values)}getViaNode(){return this._getViaCoordinates()}}class CubicBezierEdgeBase extends BezierEdgeBase{constructor(options,body,labelModule){super(options,body,labelModule)}_getDistanceToBezierEdge(x1,y1,x2,y2,x3,y3,via1,via2){let minDistance=1e9,lastX=x1,lastY=y1,vec=[0,0,0,0],distance,i,t,x,y;for(i=1;10>i;i++)t=.1*i,vec[0]=_Mathpow(1-t,3),vec[1]=3*t*_Mathpow(1-t,2),vec[2]=3*_Mathpow(t,2)*(1-t),vec[3]=_Mathpow(t,3),x=vec[0]*x1+vec[1]*via1.x+vec[2]*via2.x+vec[3]*x2,y=vec[0]*y1+vec[1]*via1.y+vec[2]*via2.y+vec[3]*y2,0<i&&(distance=this._getDistanceToLine(lastX,lastY,x,y,x3,y3),minDistance=distance<minDistance?distance:minDistance),lastX=x,lastY=y;return minDistance}}class CubicBezierEdge extends CubicBezierEdgeBase{constructor(options,body,labelModule){super(options,body,labelModule)}_line(ctx,values,viaNodes){let via1=viaNodes[0],via2=viaNodes[1];this._bezierCurve(ctx,values,via1,via2)}_getViaCoordinates(){let dx=this.from.x-this.to.x,dy=this.from.y-this.to.y,roundness=this.options.smooth.roundness,x1,y1,x2,y2;return(_Mathabs(dx)>_Mathabs(dy)||!0===this.options.smooth.forceDirection||"horizontal"===this.options.smooth.forceDirection)&&"vertical"!==this.options.smooth.forceDirection?(y1=this.from.y,y2=this.to.y,x1=this.from.x-roundness*dx,x2=this.to.x+roundness*dx):(y1=this.from.y-roundness*dy,y2=this.to.y+roundness*dy,x1=this.from.x,x2=this.to.x),[{x:x1,y:y1},{x:x2,y:y2}]}getViaNode(){return this._getViaCoordinates()}_findBorderPosition(nearNode,ctx){return this._findBorderPositionBezier(nearNode,ctx)}_getDistanceToEdge(x1,y1,x2,y2,x3,y3,[via1,via2]=this._getViaCoordinates()){return this._getDistanceToBezierEdge(x1,y1,x2,y2,x3,y3,via1,via2)}getPoint(percentage,[via1,via2]=this._getViaCoordinates()){let t=percentage,vec=[];vec[0]=_Mathpow(1-t,3),vec[1]=3*t*_Mathpow(1-t,2),vec[2]=3*_Mathpow(t,2)*(1-t),vec[3]=_Mathpow(t,3);let x=vec[0]*this.fromPoint.x+vec[1]*via1.x+vec[2]*via2.x+vec[3]*this.toPoint.x,y=vec[0]*this.fromPoint.y+vec[1]*via1.y+vec[2]*via2.y+vec[3]*this.toPoint.y;return{x:x,y:y}}}class BezierEdgeDynamic extends BezierEdgeBase{constructor(options,body,labelModule){super(options,body,labelModule),this._boundFunction=()=>{this.positionBezierNode()},this.body.emitter.on("_repositionBezierNodes",this._boundFunction)}setOptions(options){let physicsChange=!1;this.options.physics!==options.physics&&(physicsChange=!0),this.options=options,this.id=this.options.id,this.from=this.body.nodes[this.options.from],this.to=this.body.nodes[this.options.to],this.setupSupportNode(),this.connect(),!0==physicsChange&&(this.via.setOptions({physics:this.options.physics}),this.positionBezierNode())}connect(){this.from=this.body.nodes[this.options.from],this.to=this.body.nodes[this.options.to],this.from===void 0||this.to===void 0||!1===this.options.physics?this.via.setOptions({physics:!1}):this.from.id===this.to.id?this.via.setOptions({physics:!1}):this.via.setOptions({physics:!0})}cleanup(){return this.body.emitter.off("_repositionBezierNodes",this._boundFunction),void 0!==this.via&&(delete this.body.nodes[this.via.id],this.via=void 0,!0)}setupSupportNode(){if(this.via===void 0){var nodeId="edgeId:"+this.id,node=this.body.functions.createNode({id:nodeId,shape:"circle",physics:!0,hidden:!0});this.body.nodes[nodeId]=node,this.via=node,this.via.parentEdgeId=this.id,this.positionBezierNode()}}positionBezierNode(){this.via!==void 0&&this.from!==void 0&&this.to!==void 0?(this.via.x=.5*(this.from.x+this.to.x),this.via.y=.5*(this.from.y+this.to.y)):this.via!==void 0&&(this.via.x=0,this.via.y=0)}_line(ctx,values,viaNode){this._bezierCurve(ctx,values,viaNode)}getViaNode(){return this.via}getPoint(percentage,viaNode=this.via){let t=percentage,x,y;if(this.from===this.to){let[cx,cy,cr]=this._getCircleData(this.from),a=2*_MathPI*(1-t);x=cx+cr*_Mathsin(a),y=cy+cr-cr*(1-_Mathcos(a))}else x=_Mathpow(1-t,2)*this.fromPoint.x+2*t*(1-t)*viaNode.x+_Mathpow(t,2)*this.toPoint.x,y=_Mathpow(1-t,2)*this.fromPoint.y+2*t*(1-t)*viaNode.y+_Mathpow(t,2)*this.toPoint.y;return{x:x,y:y}}_findBorderPosition(nearNode,ctx){return this._findBorderPositionBezier(nearNode,ctx,this.via)}_getDistanceToEdge(x1,y1,x2,y2,x3,y3){return this._getDistanceToBezierEdge(x1,y1,x2,y2,x3,y3,this.via)}}class BezierEdgeStatic extends BezierEdgeBase{constructor(options,body,labelModule){super(options,body,labelModule)}_line(ctx,values,viaNode){this._bezierCurve(ctx,values,viaNode)}getViaNode(){return this._getViaCoordinates()}_getViaCoordinates(){let factor=this.options.smooth.roundness,type=this.options.smooth.type,dx=_Mathabs(this.from.x-this.to.x),dy=_Mathabs(this.from.y-this.to.y),xVia,yVia;if("discrete"===type||"diagonalCross"===type){let stepX,stepY;stepX=dx<=dy?stepY=factor*dy:stepY=factor*dx,this.from.x>this.to.x&&(stepX=-stepX),this.from.y>=this.to.y&&(stepY=-stepY),xVia=this.from.x+stepX,yVia=this.from.y+stepY,"discrete"===type&&(dx<=dy?xVia=dx<factor*dy?this.from.x:xVia:yVia=dy<factor*dx?this.from.y:yVia)}else if("straightCross"===type){let stepX=(1-factor)*dx,stepY=(1-factor)*dy;dx<=dy?(stepX=0,this.from.y<this.to.y&&(stepY=-stepY)):(this.from.x<this.to.x&&(stepX=-stepX),stepY=0),xVia=this.to.x+stepX,yVia=this.to.y+stepY}else if("horizontal"===type){let stepX=(1-factor)*dx;this.from.x<this.to.x&&(stepX=-stepX),xVia=this.to.x+stepX,yVia=this.from.y}else if("vertical"===type){let stepY=(1-factor)*dy;this.from.y<this.to.y&&(stepY=-stepY),xVia=this.from.x,yVia=this.to.y+stepY}else if("curvedCW"===type){dx=this.to.x-this.from.x,dy=this.from.y-this.to.y;let radius=_Mathsqrt(dx*dx+dy*dy),pi=_MathPI,originalAngle=_Mathatan(dy,dx),myAngle=(originalAngle+(.5*factor+.5)*pi)%(2*pi);xVia=this.from.x+(.5*factor+.5)*radius*_Mathsin(myAngle),yVia=this.from.y+(.5*factor+.5)*radius*_Mathcos(myAngle)}else if("curvedCCW"===type){dx=this.to.x-this.from.x,dy=this.from.y-this.to.y;let radius=_Mathsqrt(dx*dx+dy*dy),pi=_MathPI,originalAngle=_Mathatan(dy,dx),myAngle=(originalAngle+(.5*-factor+.5)*pi)%(2*pi);xVia=this.from.x+(.5*factor+.5)*radius*_Mathsin(myAngle),yVia=this.from.y+(.5*factor+.5)*radius*_Mathcos(myAngle)}else{let stepX,stepY;stepX=dx<=dy?stepY=factor*dy:stepY=factor*dx,this.from.x>this.to.x&&(stepX=-stepX),this.from.y>=this.to.y&&(stepY=-stepY),xVia=this.from.x+stepX,yVia=this.from.y+stepY,dx<=dy?this.from.x<=this.to.x?xVia=this.to.x<xVia?this.to.x:xVia:xVia=this.to.x>xVia?this.to.x:xVia:this.from.y>=this.to.y?yVia=this.to.y>yVia?this.to.y:yVia:yVia=this.to.y<yVia?this.to.y:yVia}return{x:xVia,y:yVia}}_findBorderPosition(nearNode,ctx,options={}){return this._findBorderPositionBezier(nearNode,ctx,options.via)}_getDistanceToEdge(x1,y1,x2,y2,x3,y3,viaNode=this._getViaCoordinates()){return this._getDistanceToBezierEdge(x1,y1,x2,y2,x3,y3,viaNode)}getPoint(percentage,viaNode=this._getViaCoordinates()){var t=percentage,x=_Mathpow(1-t,2)*this.fromPoint.x+2*t*(1-t)*viaNode.x+_Mathpow(t,2)*this.toPoint.x,y=_Mathpow(1-t,2)*this.fromPoint.y+2*t*(1-t)*viaNode.y+_Mathpow(t,2)*this.toPoint.y;return{x:x,y:y}}}class StraightEdge extends EdgeBase{constructor(options,body,labelModule){super(options,body,labelModule)}_line(ctx,values){ctx.beginPath(),ctx.moveTo(this.fromPoint.x,this.fromPoint.y),ctx.lineTo(this.toPoint.x,this.toPoint.y),this.enableShadow(ctx,values),ctx.stroke(),this.disableShadow(ctx,values)}getViaNode(){}getPoint(percentage){return{x:(1-percentage)*this.fromPoint.x+percentage*this.toPoint.x,y:(1-percentage)*this.fromPoint.y+percentage*this.toPoint.y}}_findBorderPosition(nearNode,ctx){let node1=this.to,node2=this.from;nearNode.id===this.from.id&&(node1=this.from,node2=this.to);let angle=_Mathatan(node1.y-node2.y,node1.x-node2.x),dx=node1.x-node2.x,dy=node1.y-node2.y,edgeSegmentLength=_Mathsqrt(dx*dx+dy*dy),toBorderDist=nearNode.distanceToBorder(ctx,angle),toBorderPoint=(edgeSegmentLength-toBorderDist)/edgeSegmentLength,borderPos={};return borderPos.x=(1-toBorderPoint)*node2.x+toBorderPoint*node1.x,borderPos.y=(1-toBorderPoint)*node2.y+toBorderPoint*node1.y,borderPos}_getDistanceToEdge(x1,y1,x2,y2,x3,y3){return this._getDistanceToLine(x1,y1,x2,y2,x3,y3)}}class Edge{constructor(options,body,globalOptions,defaultOptions){if(body===void 0)throw new Error("No body provided");this.options=util.bridgeObject(globalOptions),this.globalOptions=globalOptions,this.defaultOptions=defaultOptions,this.body=body,this.id=void 0,this.fromId=void 0,this.toId=void 0,this.selected=!1,this.hover=!1,this.labelDirty=!0,this.baseWidth=this.options.width,this.baseFontSize=this.options.font.size,this.from=void 0,this.to=void 0,this.edgeType=void 0,this.connected=!1,this.labelModule=new Label(this.body,this.options,!0),this.setOptions(options)}setOptions(options){if(!options)return;let oldHidden=this.options.hidden;(void 0===oldHidden||null===oldHidden)&&(oldHidden=!1),Edge.parseOptions(this.options,options,!0,this.globalOptions),void 0!==options.id&&(this.id=options.id),void 0!==options.from&&(this.fromId=options.from),void 0!==options.to&&(this.toId=options.to),void 0!==options.title&&(this.title=options.title),void 0!==options.value&&(options.value=parseFloat(options.value));let pile=[options,this.options,this.defaultOptions];this.chooser=ComponentUtil.choosify("edge",pile),this.updateLabelModule(options);let dataChanged=this.updateEdgeType();this._setInteractionWidths(),this.connect();let newHidden=this.options.hidden;return(void 0===newHidden||null===newHidden)&&(newHidden=!1),(newHidden!=oldHidden||void 0!==options.physics)&&(dataChanged=!0),void 0!==options.physics&&(dataChanged=!0),dataChanged}static parseOptions(parentOptions,newOptions,allowDeletion=!1,globalOptions={},copyFromGlobals=!1){if(util.selectiveDeepExtend(["arrowStrikethrough","id","from","hidden","hoverWidth","labelHighlightBold","length","line","opacity","physics","scaling","selectionWidth","selfReferenceSize","to","title","value","width","font","chosen","widthConstraint"],parentOptions,newOptions,allowDeletion),ComponentUtil.isValidLabel(newOptions.label)?parentOptions.label=newOptions.label:!ComponentUtil.isValidLabel(parentOptions.label)&&(parentOptions.label=void 0),util.mergeOptions(parentOptions,newOptions,"smooth",globalOptions),util.mergeOptions(parentOptions,newOptions,"shadow",globalOptions),util.mergeOptions(parentOptions,newOptions,"background",globalOptions),void 0!==newOptions.dashes&&null!==newOptions.dashes?parentOptions.dashes=newOptions.dashes:!0===allowDeletion&&null===newOptions.dashes&&(parentOptions.dashes=Object.create(globalOptions.dashes)),void 0!==newOptions.scaling&&null!==newOptions.scaling?(void 0!==newOptions.scaling.min&&(parentOptions.scaling.min=newOptions.scaling.min),void 0!==newOptions.scaling.max&&(parentOptions.scaling.max=newOptions.scaling.max),util.mergeOptions(parentOptions.scaling,newOptions.scaling,"label",globalOptions.scaling)):!0===allowDeletion&&null===newOptions.scaling&&(parentOptions.scaling=Object.create(globalOptions.scaling)),void 0===newOptions.arrows||null===newOptions.arrows)!0===allowDeletion&&null===newOptions.arrows&&(parentOptions.arrows=Object.create(globalOptions.arrows));else if("string"==typeof newOptions.arrows){let arrows=newOptions.arrows.toLowerCase();parentOptions.arrows.to.enabled=-1!=arrows.indexOf("to"),parentOptions.arrows.middle.enabled=-1!=arrows.indexOf("middle"),parentOptions.arrows.from.enabled=-1!=arrows.indexOf("from")}else if("object"==typeof newOptions.arrows)util.mergeOptions(parentOptions.arrows,newOptions.arrows,"to",globalOptions.arrows),util.mergeOptions(parentOptions.arrows,newOptions.arrows,"middle",globalOptions.arrows),util.mergeOptions(parentOptions.arrows,newOptions.arrows,"from",globalOptions.arrows);else throw new Error("The arrow newOptions can only be an object or a string. Refer to the documentation. You used:"+JSON.stringify(newOptions.arrows));if(void 0!==newOptions.color&&null!==newOptions.color){let fromColor=newOptions.color,toColor=parentOptions.color;if(copyFromGlobals)util.deepExtend(toColor,globalOptions.color,!1,allowDeletion);else for(var i in toColor)toColor.hasOwnProperty(i)&&delete toColor[i];if(util.isString(toColor))toColor.color=toColor,toColor.highlight=toColor,toColor.hover=toColor,toColor.inherit=!1,void 0===fromColor.opacity&&(toColor.opacity=1);else{let colorsDefined=!1;void 0!==fromColor.color&&(toColor.color=fromColor.color,colorsDefined=!0),void 0!==fromColor.highlight&&(toColor.highlight=fromColor.highlight,colorsDefined=!0),void 0!==fromColor.hover&&(toColor.hover=fromColor.hover,colorsDefined=!0),void 0!==fromColor.inherit&&(toColor.inherit=fromColor.inherit),void 0!==fromColor.opacity&&(toColor.opacity=_Mathmin(1,_Mathmax(0,fromColor.opacity))),!0==colorsDefined?toColor.inherit=!1:void 0===toColor.inherit&&(toColor.inherit="from")}}else!0===allowDeletion&&null===newOptions.color&&(parentOptions.color=util.bridgeObject(globalOptions.color));!0===allowDeletion&&null===newOptions.font&&(parentOptions.font=util.bridgeObject(globalOptions.font))}getFormattingValues(){let toArrow=!0===this.options.arrows.to||!0===this.options.arrows.to.enabled,fromArrow=!0===this.options.arrows.from||!0===this.options.arrows.from.enabled,middleArrow=!0===this.options.arrows.middle||!0===this.options.arrows.middle.enabled,inheritsColor=this.options.color.inherit,values={toArrow:toArrow,toArrowScale:this.options.arrows.to.scaleFactor,toArrowType:this.options.arrows.to.type,middleArrow:middleArrow,middleArrowScale:this.options.arrows.middle.scaleFactor,middleArrowType:this.options.arrows.middle.type,fromArrow:fromArrow,fromArrowScale:this.options.arrows.from.scaleFactor,fromArrowType:this.options.arrows.from.type,arrowStrikethrough:this.options.arrowStrikethrough,color:inheritsColor?void 0:this.options.color.color,inheritsColor:inheritsColor,opacity:this.options.color.opacity,hidden:this.options.hidden,length:this.options.length,shadow:this.options.shadow.enabled,shadowColor:this.options.shadow.color,shadowSize:this.options.shadow.size,shadowX:this.options.shadow.x,shadowY:this.options.shadow.y,dashes:this.options.dashes,width:this.options.width,background:this.options.background.enabled,backgroundColor:this.options.background.color,backgroundSize:this.options.background.size,backgroundDashes:this.options.background.dashes};if(!(this.selected||this.hover))values.shadow=this.options.shadow.enabled,values.width=_Mathmax(values.width,.3/this.body.view.scale);else if(!0!==this.chooser)"function"==typeof this.chooser&&(this.chooser(values,this.options.id,this.selected,this.hover),void 0!==values.color&&(values.inheritsColor=!1),!1===values.shadow&&(values.shadowColor!==this.options.shadow.color||values.shadowSize!==this.options.shadow.size||values.shadowX!==this.options.shadow.x||values.shadowY!==this.options.shadow.y)&&(values.shadow=!0));else if(this.selected){let selectedWidth=this.options.selectionWidth;"function"==typeof selectedWidth?values.width=selectedWidth(values.width):"number"==typeof selectedWidth&&(values.width+=selectedWidth),values.width=_Mathmax(values.width,.3/this.body.view.scale),values.color=this.options.color.highlight,values.shadow=this.options.shadow.enabled}else if(this.hover){let hoverWidth=this.options.hoverWidth;"function"==typeof hoverWidth?values.width=hoverWidth(values.width):"number"==typeof hoverWidth&&(values.width+=hoverWidth),values.width=_Mathmax(values.width,.3/this.body.view.scale),values.color=this.options.color.hover,values.shadow=this.options.shadow.enabled}return values}updateLabelModule(options){let pile=[options,this.options,this.globalOptions,this.defaultOptions];this.labelModule.update(this.options,pile),this.labelModule.baseSize!==void 0&&(this.baseFontSize=this.labelModule.baseSize)}updateEdgeType(){let smooth=this.options.smooth,dataChanged=!1,changeInType=!0;return void 0!==this.edgeType&&((this.edgeType instanceof BezierEdgeDynamic&&!0===smooth.enabled&&"dynamic"===smooth.type||this.edgeType instanceof CubicBezierEdge&&!0===smooth.enabled&&"cubicBezier"===smooth.type||this.edgeType instanceof BezierEdgeStatic&&!0===smooth.enabled&&"dynamic"!==smooth.type&&"cubicBezier"!==smooth.type||this.edgeType instanceof StraightEdge&&!1===smooth.type.enabled)&&(changeInType=!1),!0===changeInType&&(dataChanged=this.cleanup())),!0===changeInType?!0===smooth.enabled?"dynamic"===smooth.type?(dataChanged=!0,this.edgeType=new BezierEdgeDynamic(this.options,this.body,this.labelModule)):"cubicBezier"===smooth.type?this.edgeType=new CubicBezierEdge(this.options,this.body,this.labelModule):this.edgeType=new BezierEdgeStatic(this.options,this.body,this.labelModule):this.edgeType=new StraightEdge(this.options,this.body,this.labelModule):this.edgeType.setOptions(this.options),dataChanged}connect(){this.disconnect(),this.from=this.body.nodes[this.fromId]||void 0,this.to=this.body.nodes[this.toId]||void 0,this.connected=this.from!==void 0&&this.to!==void 0,!0===this.connected?(this.from.attachEdge(this),this.to.attachEdge(this)):(this.from&&this.from.detachEdge(this),this.to&&this.to.detachEdge(this)),this.edgeType.connect()}disconnect(){this.from&&(this.from.detachEdge(this),this.from=void 0),this.to&&(this.to.detachEdge(this),this.to=void 0),this.connected=!1}getTitle(){return this.title}isSelected(){return this.selected}getValue(){return this.options.value}setValueRange(min,max,total){if(this.options.value!==void 0){var scale=this.options.scaling.customScalingFunction(min,max,total,this.options.value),widthDiff=this.options.scaling.max-this.options.scaling.min;if(!0===this.options.scaling.label.enabled){var fontDiff=this.options.scaling.label.max-this.options.scaling.label.min;this.options.font.size=this.options.scaling.label.min+scale*fontDiff}this.options.width=this.options.scaling.min+scale*widthDiff}else this.options.width=this.baseWidth,this.options.font.size=this.baseFontSize;this._setInteractionWidths(),this.updateLabelModule()}_setInteractionWidths(){this.edgeType.hoverWidth="function"==typeof this.options.hoverWidth?this.options.hoverWidth(this.options.width):this.options.hoverWidth+this.options.width,this.edgeType.selectionWidth="function"==typeof this.options.selectionWidth?this.options.selectionWidth(this.options.width):this.options.selectionWidth+this.options.width}draw(ctx){let values=this.getFormattingValues();if(values.hidden)return;let viaNode=this.edgeType.getViaNode(),arrowData={};this.edgeType.fromPoint=this.edgeType.from,this.edgeType.toPoint=this.edgeType.to,values.fromArrow&&(arrowData.from=this.edgeType.getArrowData(ctx,"from",viaNode,this.selected,this.hover,values),!1===values.arrowStrikethrough&&(this.edgeType.fromPoint=arrowData.from.core)),values.toArrow&&(arrowData.to=this.edgeType.getArrowData(ctx,"to",viaNode,this.selected,this.hover,values),!1===values.arrowStrikethrough&&(this.edgeType.toPoint=arrowData.to.core)),values.middleArrow&&(arrowData.middle=this.edgeType.getArrowData(ctx,"middle",viaNode,this.selected,this.hover,values)),this.edgeType.drawLine(ctx,values,this.selected,this.hover,viaNode),this.drawArrows(ctx,arrowData,values),this.drawLabel(ctx,viaNode)}drawArrows(ctx,arrowData,values){values.fromArrow&&this.edgeType.drawArrowHead(ctx,values,this.selected,this.hover,arrowData.from),values.middleArrow&&this.edgeType.drawArrowHead(ctx,values,this.selected,this.hover,arrowData.middle),values.toArrow&&this.edgeType.drawArrowHead(ctx,values,this.selected,this.hover,arrowData.to)}drawLabel(ctx,viaNode){if(void 0!==this.options.label){var node1=this.from,node2=this.to;if(this.labelModule.differentState(this.selected,this.hover)&&this.labelModule.getTextSize(ctx,this.selected,this.hover),node1.id!=node2.id){this.labelModule.pointToSelf=!1;var point=this.edgeType.getPoint(.5,viaNode);ctx.save();let rotationPoint=this._getRotation(ctx);0!=rotationPoint.angle&&(ctx.translate(rotationPoint.x,rotationPoint.y),ctx.rotate(rotationPoint.angle)),this.labelModule.draw(ctx,point.x,point.y,this.selected,this.hover),ctx.restore()}else{this.labelModule.pointToSelf=!0;var radius=this.options.selfReferenceSize,x,y;node1.shape.width>node1.shape.height?(x=node1.x+.5*node1.shape.width,y=node1.y-radius):(x=node1.x+radius,y=node1.y-.5*node1.shape.height),point=this._pointOnCircle(x,y,radius,.125),this.labelModule.draw(ctx,point.x,point.y,this.selected,this.hover)}}}getItemsOnPoint(point){var ret=[];if(this.labelModule.visible()){let rotationPoint=this._getRotation();ComponentUtil.pointInRect(this.labelModule.getSize(),point,rotationPoint)&&ret.push({edgeId:this.id,labelId:0})}let obj={left:point.x,top:point.y};return this.isOverlappingWith(obj)&&ret.push({edgeId:this.id}),ret}isOverlappingWith(obj){if(this.connected){var xFrom=this.from.x,yFrom=this.from.y,xTo=this.to.x,yTo=this.to.y,xObj=obj.left,yObj=obj.top,dist=this.edgeType.getDistanceToEdge(xFrom,yFrom,xTo,yTo,xObj,yObj);return dist<10}return!1}_getRotation(ctx){let viaNode=this.edgeType.getViaNode(),point=this.edgeType.getPoint(.5,viaNode);void 0!==ctx&&this.labelModule.calculateLabelSize(ctx,this.selected,this.hover,point.x,point.y);let ret={x:point.x,y:this.labelModule.size.yLine,angle:0};if(!this.labelModule.visible())return ret;if("horizontal"===this.options.font.align)return ret;var dy=this.from.y-this.to.y,dx=this.from.x-this.to.x,angle=_Mathatan(dy,dx);return(-1>angle&&0>dx||0<angle&&0>dx)&&(angle+=_MathPI),ret.angle=angle,ret}_pointOnCircle(x,y,radius,percentage){var angle=2*percentage*_MathPI;return{x:x+radius*_Mathcos(angle),y:y-radius*_Mathsin(angle)}}select(){this.selected=!0}unselect(){this.selected=!1}cleanup(){return this.edgeType.cleanup()}remove(){this.cleanup(),this.disconnect(),delete this.body.edges[this.id]}endPointsValid(){return this.body.nodes[this.fromId]!==void 0&&this.body.nodes[this.toId]!==void 0}}class EdgesHandler{constructor(body,images,groups){this.body=body,this.images=images,this.groups=groups,this.body.functions.createEdge=this.create.bind(this),this.edgesListeners={add:(event,params)=>{this.add(params.items)},update:(event,params)=>{this.update(params.items)},remove:(event,params)=>{this.remove(params.items)}},this.options={},this.defaultOptions={arrows:{to:{enabled:!1,scaleFactor:1,type:"arrow"},middle:{enabled:!1,scaleFactor:1,type:"arrow"},from:{enabled:!1,scaleFactor:1,type:"arrow"}},arrowStrikethrough:!0,color:{color:"#848484",highlight:"#848484",hover:"#848484",inherit:"from",opacity:1},dashes:!1,font:{color:"#343434",size:14,face:"arial",background:"none",strokeWidth:2,strokeColor:"#ffffff",align:"horizontal",multi:!1,vadjust:0,bold:{mod:"bold"},boldital:{mod:"bold italic"},ital:{mod:"italic"},mono:{mod:"",size:15,face:"courier new",vadjust:2}},hidden:!1,hoverWidth:1.5,label:void 0,labelHighlightBold:!0,length:void 0,physics:!0,scaling:{min:1,max:15,label:{enabled:!0,min:14,max:30,maxVisible:30,drawThreshold:5},customScalingFunction:function(min,max,total,value){if(max===min)return .5;return _Mathmax(0,(value-min)*(1/(max-min)))}},selectionWidth:1.5,selfReferenceSize:20,shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:10,x:5,y:5},background:{enabled:!1,color:"rgba(111,111,111,1)",size:10,dashes:!1},smooth:{enabled:!0,type:"dynamic",forceDirection:"none",roundness:.5},title:void 0,width:1,value:void 0},util.deepExtend(this.options,this.defaultOptions),this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("_forceDisableDynamicCurves",(type,emit=!0)=>{"dynamic"===type&&(type="continuous");let dataChanged=!1;for(let edgeId in this.body.edges)if(this.body.edges.hasOwnProperty(edgeId)){let edge=this.body.edges[edgeId],edgeData=this.body.data.edges._data[edgeId];if(edgeData!==void 0){let smoothOptions=edgeData.smooth;smoothOptions!==void 0&&!0===smoothOptions.enabled&&"dynamic"===smoothOptions.type&&(type===void 0?edge.setOptions({smooth:!1}):edge.setOptions({smooth:{type:type}}),dataChanged=!0)}}!0===emit&&!0==dataChanged&&this.body.emitter.emit("_dataChanged")}),this.body.emitter.on("_dataUpdated",()=>{this.reconnectEdges()}),this.body.emitter.on("refreshEdges",this.refresh.bind(this)),this.body.emitter.on("refresh",this.refresh.bind(this)),this.body.emitter.on("destroy",()=>{util.forEach(this.edgesListeners,(callback,event)=>{this.body.data.edges&&this.body.data.edges.off(event,callback)}),delete this.body.functions.createEdge,delete this.edgesListeners.add,delete this.edgesListeners.update,delete this.edgesListeners.remove,delete this.edgesListeners})}setOptions(options){if(options!==void 0){Edge.parseOptions(this.options,options,!0,this.defaultOptions,!0);let dataChanged=!1;if(options.smooth!==void 0)for(let edgeId in this.body.edges)this.body.edges.hasOwnProperty(edgeId)&&(dataChanged=this.body.edges[edgeId].updateEdgeType()||dataChanged);if(void 0!==options.font)for(let edgeId in this.body.edges)this.body.edges.hasOwnProperty(edgeId)&&this.body.edges[edgeId].updateLabelModule();(options.hidden!==void 0||options.physics!==void 0||!0===dataChanged)&&this.body.emitter.emit("_dataChanged")}}setData(edges,doNotEmit=!1){var oldEdgesData=this.body.data.edges;if(edges instanceof DataSet||edges instanceof DataView)this.body.data.edges=edges;else if(Array.isArray(edges))this.body.data.edges=new DataSet,this.body.data.edges.add(edges);else if(!edges)this.body.data.edges=new DataSet;else throw new TypeError("Array or DataSet expected");if(oldEdgesData&&util.forEach(this.edgesListeners,(callback,event)=>{oldEdgesData.off(event,callback)}),this.body.edges={},this.body.data.edges){util.forEach(this.edgesListeners,(callback,event)=>{this.body.data.edges.on(event,callback)});var ids=this.body.data.edges.getIds();this.add(ids,!0)}this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),!1===doNotEmit&&this.body.emitter.emit("_dataChanged")}add(ids,doNotEmit=!1){var edges=this.body.edges,edgesData=this.body.data.edges;for(let i=0;i<ids.length;i++){var id=ids[i],oldEdge=edges[id];oldEdge&&oldEdge.disconnect();var data=edgesData.get(id,{showInternalIds:!0});edges[id]=this.create(data)}this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),!1===doNotEmit&&this.body.emitter.emit("_dataChanged")}update(ids){for(var edges=this.body.edges,edgesData=this.body.data.edges,dataChanged=!1,i=0;i<ids.length;i++){var id=ids[i],data=edgesData.get(id),edge=edges[id];edge===void 0?(this.body.edges[id]=this.create(data),dataChanged=!0):(edge.disconnect(),dataChanged=edge.setOptions(data)||dataChanged,edge.connect())}!0===dataChanged?(this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),this.body.emitter.emit("_dataChanged")):this.body.emitter.emit("_dataUpdated")}remove(ids,emit=!0){if(0!==ids.length){var edges=this.body.edges;util.forEach(ids,id=>{var edge=edges[id];void 0!==edge&&edge.remove()}),emit&&this.body.emitter.emit("_dataChanged")}}refresh(){util.forEach(this.body.edges,(edge,edgeId)=>{let data=this.body.data.edges._data[edgeId];data!==void 0&&edge.setOptions(data)})}create(properties){return new Edge(properties,this.body,this.options,this.defaultOptions)}reconnectEdges(){var nodes=this.body.nodes,edges=this.body.edges,id;for(id in nodes)nodes.hasOwnProperty(id)&&(nodes[id].edges=[]);for(id in edges)if(edges.hasOwnProperty(id)){var edge=edges[id];edge.from=null,edge.to=null,edge.connect()}}getConnectedNodes(edgeId){let nodeList=[];if(this.body.edges[edgeId]!==void 0){let edge=this.body.edges[edgeId];edge.fromId!==void 0&&nodeList.push(edge.fromId),edge.toId!==void 0&&nodeList.push(edge.toId)}return nodeList}_updateState(){this._addMissingEdges(),this._removeInvalidEdges()}_removeInvalidEdges(){let edgesToDelete=[];util.forEach(this.body.edges,(edge,id)=>{let toNode=this.body.nodes[edge.toId],fromNode=this.body.nodes[edge.fromId];void 0!==toNode&&!0===toNode.isCluster||void 0!==fromNode&&!0===fromNode.isCluster||(toNode===void 0||fromNode===void 0)&&edgesToDelete.push(id)}),this.remove(edgesToDelete,!1)}_addMissingEdges(){let edgesData=this.body.data.edges;if(void 0===edgesData||null===edgesData)return;let edges=this.body.edges,addIds=[];edgesData.forEach((edgeData,edgeId)=>{let edge=edges[edgeId];edge===void 0&&addIds.push(edgeId)}),this.add(addIds,!0)}}class BarnesHutSolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.barnesHutTree,this.setOptions(options),this.randomSeed=5}setOptions(options){this.options=options,this.thetaInversed=1/this.options.theta,this.overlapAvoidanceFactor=1-_Mathmax(0,_Mathmin(1,this.options.avoidOverlap))}seededRandom(){var x=1e4*_Mathsin(this.randomSeed++);return x-_Mathfloor(x)}solve(){if(0!==this.options.gravitationalConstant&&0<this.physicsBody.physicsNodeIndices.length){let nodes=this.body.nodes,nodeIndices=this.physicsBody.physicsNodeIndices,nodeCount=nodeIndices.length,barnesHutTree=this._formBarnesHutTree(nodes,nodeIndices),node;this.barnesHutTree=barnesHutTree;for(let i=0;i<nodeCount;i++)node=nodes[nodeIndices[i]],0<node.options.mass&&this._getForceContributions(barnesHutTree.root,node)}}_getForceContributions(parentBranch,node){this._getForceContribution(parentBranch.children.NW,node),this._getForceContribution(parentBranch.children.NE,node),this._getForceContribution(parentBranch.children.SW,node),this._getForceContribution(parentBranch.children.SE,node)}_getForceContribution(parentBranch,node){if(0<parentBranch.childrenCount){let dx,dy,distance;dx=parentBranch.centerOfMass.x-node.x,dy=parentBranch.centerOfMass.y-node.y,distance=_Mathsqrt(dx*dx+dy*dy),distance*parentBranch.calcSize>this.thetaInversed?this._calculateForces(distance,dx,dy,node,parentBranch):4===parentBranch.childrenCount?this._getForceContributions(parentBranch,node):parentBranch.children.data.id!=node.id&&this._calculateForces(distance,dx,dy,node,parentBranch)}}_calculateForces(distance,dx,dy,node,parentBranch){0===distance&&(distance=.1,dx=distance),1>this.overlapAvoidanceFactor&&node.shape.radius&&(distance=_Mathmax(.1+this.overlapAvoidanceFactor*node.shape.radius,distance-node.shape.radius));let gravityForce=this.options.gravitationalConstant*parentBranch.mass*node.options.mass/_Mathpow(distance,3),fx=dx*gravityForce;this.physicsBody.forces[node.id].x+=fx,this.physicsBody.forces[node.id].y+=dy*gravityForce}_formBarnesHutTree(nodes,nodeIndices){let nodeCount=nodeIndices.length,minX=nodes[nodeIndices[0]].x,minY=nodes[nodeIndices[0]].y,maxX=nodes[nodeIndices[0]].x,maxY=nodes[nodeIndices[0]].y,node;for(let i=1;i<nodeCount;i++){let node=nodes[nodeIndices[i]],x=node.x,y=node.y;0<node.options.mass&&(x<minX&&(minX=x),x>maxX&&(maxX=x),y<minY&&(minY=y),y>maxY&&(maxY=y))}let sizeDiff=_Mathabs(maxX-minX)-_Mathabs(maxY-minY);0<sizeDiff?(minY-=.5*sizeDiff,maxY+=.5*sizeDiff):(minX+=.5*sizeDiff,maxX-=.5*sizeDiff);let rootSize=_Mathmax(1e-5,_Mathabs(maxX-minX)),halfRootSize=.5*rootSize,centerX=.5*(minX+maxX),centerY=.5*(minY+maxY),barnesHutTree={root:{centerOfMass:{x:0,y:0},mass:0,range:{minX:centerX-halfRootSize,maxX:centerX+halfRootSize,minY:centerY-halfRootSize,maxY:centerY+halfRootSize},size:rootSize,calcSize:1/rootSize,children:{data:null},maxWidth:0,level:0,childrenCount:4}};this._splitBranch(barnesHutTree.root);for(let i=0;i<nodeCount;i++)node=nodes[nodeIndices[i]],0<node.options.mass&&this._placeInTree(barnesHutTree.root,node);return barnesHutTree}_updateBranchMass(parentBranch,node){let centerOfMass=parentBranch.centerOfMass,totalMass=parentBranch.mass+node.options.mass,totalMassInv=1/totalMass;centerOfMass.x=centerOfMass.x*parentBranch.mass+node.x*node.options.mass,centerOfMass.x*=totalMassInv,centerOfMass.y=centerOfMass.y*parentBranch.mass+node.y*node.options.mass,centerOfMass.y*=totalMassInv,parentBranch.mass=totalMass;let biggestSize=_Mathmax(_Mathmax(node.height,node.radius),node.width);parentBranch.maxWidth=parentBranch.maxWidth<biggestSize?biggestSize:parentBranch.maxWidth}_placeInTree(parentBranch,node,skipMassUpdate){(!0!=skipMassUpdate||skipMassUpdate===void 0)&&this._updateBranchMass(parentBranch,node);let range=parentBranch.children.NW.range,region;region=range.maxX>node.x?range.maxY>node.y?"NW":"SW":range.maxY>node.y?"NE":"SE",this._placeInRegion(parentBranch,node,region)}_placeInRegion(parentBranch,node,region){let children=parentBranch.children[region];switch(children.childrenCount){case 0:children.children.data=node,children.childrenCount=1,this._updateBranchMass(children,node);break;case 1:children.children.data.x===node.x&&children.children.data.y===node.y?(node.x+=this.seededRandom(),node.y+=this.seededRandom()):(this._splitBranch(children),this._placeInTree(children,node));break;case 4:this._placeInTree(children,node);}}_splitBranch(parentBranch){let containedNode=null;1===parentBranch.childrenCount&&(containedNode=parentBranch.children.data,parentBranch.mass=0,parentBranch.centerOfMass.x=0,parentBranch.centerOfMass.y=0),parentBranch.childrenCount=4,parentBranch.children.data=null,this._insertRegion(parentBranch,"NW"),this._insertRegion(parentBranch,"NE"),this._insertRegion(parentBranch,"SW"),this._insertRegion(parentBranch,"SE"),null!=containedNode&&this._placeInTree(parentBranch,containedNode)}_insertRegion(parentBranch,region){let childSize=.5*parentBranch.size,minX,maxX,minY,maxY;"NW"===region?(minX=parentBranch.range.minX,maxX=parentBranch.range.minX+childSize,minY=parentBranch.range.minY,maxY=parentBranch.range.minY+childSize):"NE"===region?(minX=parentBranch.range.minX+childSize,maxX=parentBranch.range.maxX,minY=parentBranch.range.minY,maxY=parentBranch.range.minY+childSize):"SW"===region?(minX=parentBranch.range.minX,maxX=parentBranch.range.minX+childSize,minY=parentBranch.range.minY+childSize,maxY=parentBranch.range.maxY):"SE"===region?(minX=parentBranch.range.minX+childSize,maxX=parentBranch.range.maxX,minY=parentBranch.range.minY+childSize,maxY=parentBranch.range.maxY):void 0;parentBranch.children[region]={centerOfMass:{x:0,y:0},mass:0,range:{minX:minX,maxX:maxX,minY:minY,maxY:maxY},size:.5*parentBranch.size,calcSize:2*parentBranch.calcSize,children:{data:null},maxWidth:0,level:parentBranch.level+1,childrenCount:0}}_debug(ctx,color){this.barnesHutTree!==void 0&&(ctx.lineWidth=1,this._drawBranch(this.barnesHutTree.root,ctx,color))}_drawBranch(branch,ctx,color){color===void 0&&(color="#FF0000"),4===branch.childrenCount&&(this._drawBranch(branch.children.NW,ctx),this._drawBranch(branch.children.NE,ctx),this._drawBranch(branch.children.SE,ctx),this._drawBranch(branch.children.SW,ctx)),ctx.strokeStyle=color,ctx.beginPath(),ctx.moveTo(branch.range.minX,branch.range.minY),ctx.lineTo(branch.range.maxX,branch.range.minY),ctx.stroke(),ctx.beginPath(),ctx.moveTo(branch.range.maxX,branch.range.minY),ctx.lineTo(branch.range.maxX,branch.range.maxY),ctx.stroke(),ctx.beginPath(),ctx.moveTo(branch.range.maxX,branch.range.maxY),ctx.lineTo(branch.range.minX,branch.range.maxY),ctx.stroke(),ctx.beginPath(),ctx.moveTo(branch.range.minX,branch.range.maxY),ctx.lineTo(branch.range.minX,branch.range.minY),ctx.stroke()}}class RepulsionSolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.setOptions(options)}setOptions(options){this.options=options}solve(){var nodes=this.body.nodes,nodeIndices=this.physicsBody.physicsNodeIndices,forces=this.physicsBody.forces,nodeDistance=this.options.nodeDistance,dx,dy,distance,fx,fy,repulsingForce,node1,node2;for(let i=0;i<nodeIndices.length-1;i++){node1=nodes[nodeIndices[i]];for(let j=i+1;j<nodeIndices.length;j++)node2=nodes[nodeIndices[j]],dx=node2.x-node1.x,dy=node2.y-node1.y,distance=_Mathsqrt(dx*dx+dy*dy),0===distance&&(distance=.1*Math.random(),dx=distance),distance<2*nodeDistance&&(repulsingForce=distance<.5*nodeDistance?1:-2/3/nodeDistance*distance+4/3,repulsingForce/=distance,fx=dx*repulsingForce,fy=dy*repulsingForce,forces[node1.id].x-=fx,forces[node1.id].y-=fy,forces[node2.id].x+=fx,forces[node2.id].y+=fy)}}}class HierarchicalRepulsionSolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.setOptions(options)}setOptions(options){this.options=options}solve(){var nodes=this.body.nodes,nodeIndices=this.physicsBody.physicsNodeIndices,forces=this.physicsBody.forces,nodeDistance=this.options.nodeDistance,dx,dy,distance,fx,fy,repulsingForce,node1,node2,i,j;for(i=0;i<nodeIndices.length-1;i++)for(node1=nodes[nodeIndices[i]],j=i+1;j<nodeIndices.length;j++)if(node2=nodes[nodeIndices[j]],node1.level===node2.level){dx=node2.x-node1.x,dy=node2.y-node1.y,distance=_Mathsqrt(dx*dx+dy*dy);var steepness=.05;repulsingForce=distance<nodeDistance?-_Mathpow(steepness*distance,2)+_Mathpow(steepness*nodeDistance,2):0,0===distance?distance=.01:repulsingForce/=distance,fx=dx*repulsingForce,fy=dy*repulsingForce,forces[node1.id].x-=fx,forces[node1.id].y-=fy,forces[node2.id].x+=fx,forces[node2.id].y+=fy}}}class SpringSolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.setOptions(options)}setOptions(options){this.options=options}solve(){let edgeIndices=this.physicsBody.physicsEdgeIndices,edges=this.body.edges,edgeLength,edge,node1,node2,node3;for(let i=0;i<edgeIndices.length;i++)edge=edges[edgeIndices[i]],!0===edge.connected&&edge.toId!==edge.fromId&&void 0!==this.body.nodes[edge.toId]&&void 0!==this.body.nodes[edge.fromId]&&(void 0===edge.edgeType.via?(edgeLength=void 0===edge.options.length?1.5*this.options.springLength:edge.options.length,this._calculateSpringForce(edge.from,edge.to,edgeLength)):(edgeLength=void 0===edge.options.length?this.options.springLength:edge.options.length,node1=edge.to,node2=edge.edgeType.via,node3=edge.from,this._calculateSpringForce(node1,node2,.5*edgeLength),this._calculateSpringForce(node2,node3,.5*edgeLength)))}_calculateSpringForce(node1,node2,edgeLength){let dx=node1.x-node2.x,dy=node1.y-node2.y,distance=_Mathmax(_Mathsqrt(dx*dx+dy*dy),.01),springForce=this.options.springConstant*(edgeLength-distance)/distance,fx=dx*springForce,fy=dy*springForce;this.physicsBody.forces[node1.id]!==void 0&&(this.physicsBody.forces[node1.id].x+=fx,this.physicsBody.forces[node1.id].y+=fy),this.physicsBody.forces[node2.id]!==void 0&&(this.physicsBody.forces[node2.id].x-=fx,this.physicsBody.forces[node2.id].y-=fy)}}class HierarchicalSpringSolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.setOptions(options)}setOptions(options){this.options=options}solve(){var edges=this.body.edges,factor=.5,edgeIndices=this.physicsBody.physicsEdgeIndices,nodeIndices=this.physicsBody.physicsNodeIndices,forces=this.physicsBody.forces,edgeLength,edge,dx,dy,fx,fy,springForce,distance;for(let i=0,nodeId;i<nodeIndices.length;i++)nodeId=nodeIndices[i],forces[nodeId].springFx=0,forces[nodeId].springFy=0;for(let i=0;i<edgeIndices.length;i++)edge=edges[edgeIndices[i]],!0===edge.connected&&(edgeLength=void 0===edge.options.length?this.options.springLength:edge.options.length,dx=edge.from.x-edge.to.x,dy=edge.from.y-edge.to.y,distance=_Mathsqrt(dx*dx+dy*dy),distance=0===distance?.01:distance,springForce=this.options.springConstant*(edgeLength-distance)/distance,fx=dx*springForce,fy=dy*springForce,edge.to.level==edge.from.level?(void 0!==forces[edge.toId]&&(forces[edge.toId].x-=factor*fx,forces[edge.toId].y-=factor*fy),void 0!==forces[edge.fromId]&&(forces[edge.fromId].x+=factor*fx,forces[edge.fromId].y+=factor*fy)):(void 0!==forces[edge.toId]&&(forces[edge.toId].springFx-=fx,forces[edge.toId].springFy-=fy),void 0!==forces[edge.fromId]&&(forces[edge.fromId].springFx+=fx,forces[edge.fromId].springFy+=fy)));springForce=1;var springFx,springFy;for(let i=0,nodeId;i<nodeIndices.length;i++)nodeId=nodeIndices[i],springFx=_Mathmin(springForce,_Mathmax(-springForce,forces[nodeId].springFx)),springFy=_Mathmin(springForce,_Mathmax(-springForce,forces[nodeId].springFy)),forces[nodeId].x+=springFx,forces[nodeId].y+=springFy;var totalFx=0,totalFy=0;for(let i=0,nodeId;i<nodeIndices.length;i++)nodeId=nodeIndices[i],totalFx+=forces[nodeId].x,totalFy+=forces[nodeId].y;var correctionFx=totalFx/nodeIndices.length,correctionFy=totalFy/nodeIndices.length;for(let i=0,nodeId;i<nodeIndices.length;i++)nodeId=nodeIndices[i],forces[nodeId].x-=correctionFx,forces[nodeId].y-=correctionFy}}class CentralGravitySolver{constructor(body,physicsBody,options){this.body=body,this.physicsBody=physicsBody,this.setOptions(options)}setOptions(options){this.options=options}solve(){let nodes=this.body.nodes,nodeIndices=this.physicsBody.physicsNodeIndices,forces=this.physicsBody.forces,dx,dy,distance,node;for(let i=0,nodeId;i<nodeIndices.length;i++)nodeId=nodeIndices[i],node=nodes[nodeId],dx=-node.x,dy=-node.y,distance=_Mathsqrt(dx*dx+dy*dy),this._calculateForces(distance,dx,dy,forces,node)}_calculateForces(distance,dx,dy,forces,node){let gravityForce=0===distance?0:this.options.centralGravity/distance;forces[node.id].x=dx*gravityForce,forces[node.id].y=dy*gravityForce}}class ForceAtlas2BasedRepulsionSolver extends BarnesHutSolver{constructor(body,physicsBody,options){super(body,physicsBody,options)}_calculateForces(distance,dx,dy,node,parentBranch){0===distance&&(distance=.1*Math.random(),dx=distance),1>this.overlapAvoidanceFactor&&node.shape.radius&&(distance=_Mathmax(.1+this.overlapAvoidanceFactor*node.shape.radius,distance-node.shape.radius));let degree=node.edges.length+1,gravityForce=this.options.gravitationalConstant*parentBranch.mass*node.options.mass*degree/_Mathpow(distance,2),fx=dx*gravityForce;this.physicsBody.forces[node.id].x+=fx,this.physicsBody.forces[node.id].y+=dy*gravityForce}}class ForceAtlas2BasedCentralGravitySolver extends CentralGravitySolver{constructor(body,physicsBody,options){super(body,physicsBody,options)}_calculateForces(distance,dx,dy,forces,node){if(0<distance){let degree=node.edges.length+1,gravityForce=this.options.centralGravity*degree*node.options.mass;forces[node.id].x=dx*gravityForce,forces[node.id].y=dy*gravityForce}}}class PhysicsEngine{constructor(body){this.body=body,this.physicsBody={physicsNodeIndices:[],physicsEdgeIndices:[],forces:{},velocities:{}},this.physicsEnabled=!0,this.simulationInterval=1e3/60,this.requiresTimeout=!0,this.previousStates={},this.referenceState={},this.freezeCache={},this.renderTimer=void 0,this.adaptiveTimestep=!1,this.adaptiveTimestepEnabled=!1,this.adaptiveCounter=0,this.adaptiveInterval=3,this.stabilized=!1,this.startedStabilization=!1,this.stabilizationIterations=0,this.ready=!1,this.options={},this.defaultOptions={enabled:!0,barnesHut:{theta:.5,gravitationalConstant:-2e3,centralGravity:.3,springLength:95,springConstant:.04,damping:.09,avoidOverlap:0},forceAtlas2Based:{theta:.5,gravitationalConstant:-50,centralGravity:.01,springConstant:.08,springLength:100,damping:.4,avoidOverlap:0},repulsion:{centralGravity:.2,springLength:200,springConstant:.05,nodeDistance:100,damping:.09,avoidOverlap:0},hierarchicalRepulsion:{centralGravity:0,springLength:100,springConstant:.01,nodeDistance:120,damping:.09},maxVelocity:50,minVelocity:.75,solver:"barnesHut",stabilization:{enabled:!0,iterations:1e3,updateInterval:50,onlyDynamicEdges:!1,fit:!0},timestep:.5,adaptiveTimestep:!0},util.extend(this.options,this.defaultOptions),this.timestep=.5,this.layoutFailed=!1,this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("initPhysics",()=>{this.initPhysics()}),this.body.emitter.on("_layoutFailed",()=>{this.layoutFailed=!0}),this.body.emitter.on("resetPhysics",()=>{this.stopSimulation(),this.ready=!1}),this.body.emitter.on("disablePhysics",()=>{this.physicsEnabled=!1,this.stopSimulation()}),this.body.emitter.on("restorePhysics",()=>{this.setOptions(this.options),!0===this.ready&&this.startSimulation()}),this.body.emitter.on("startSimulation",()=>{!0===this.ready&&this.startSimulation()}),this.body.emitter.on("stopSimulation",()=>{this.stopSimulation()}),this.body.emitter.on("destroy",()=>{this.stopSimulation(!1),this.body.emitter.off()}),this.body.emitter.on("_dataChanged",()=>{this.updatePhysicsData()})}setOptions(options){options!==void 0&&(!1===options?(this.options.enabled=!1,this.physicsEnabled=!1,this.stopSimulation()):!0===options?(this.options.enabled=!0,this.physicsEnabled=!0,this.startSimulation()):(this.physicsEnabled=!0,util.selectiveNotDeepExtend(["stabilization"],this.options,options),util.mergeOptions(this.options,options,"stabilization"),options.enabled===void 0&&(this.options.enabled=!0),!1===this.options.enabled&&(this.physicsEnabled=!1,this.stopSimulation()),this.timestep=this.options.timestep)),this.init()}init(){var options;"forceAtlas2Based"===this.options.solver?(options=this.options.forceAtlas2Based,this.nodesSolver=new ForceAtlas2BasedRepulsionSolver(this.body,this.physicsBody,options),this.edgesSolver=new SpringSolver(this.body,this.physicsBody,options),this.gravitySolver=new ForceAtlas2BasedCentralGravitySolver(this.body,this.physicsBody,options)):"repulsion"===this.options.solver?(options=this.options.repulsion,this.nodesSolver=new RepulsionSolver(this.body,this.physicsBody,options),this.edgesSolver=new SpringSolver(this.body,this.physicsBody,options),this.gravitySolver=new CentralGravitySolver(this.body,this.physicsBody,options)):"hierarchicalRepulsion"===this.options.solver?(options=this.options.hierarchicalRepulsion,this.nodesSolver=new HierarchicalRepulsionSolver(this.body,this.physicsBody,options),this.edgesSolver=new HierarchicalSpringSolver(this.body,this.physicsBody,options),this.gravitySolver=new CentralGravitySolver(this.body,this.physicsBody,options)):(options=this.options.barnesHut,this.nodesSolver=new BarnesHutSolver(this.body,this.physicsBody,options),this.edgesSolver=new SpringSolver(this.body,this.physicsBody,options),this.gravitySolver=new CentralGravitySolver(this.body,this.physicsBody,options)),this.modelOptions=options}initPhysics(){!0===this.physicsEnabled&&!0===this.options.enabled?!0===this.options.stabilization.enabled?this.stabilize():(this.stabilized=!1,this.ready=!0,this.body.emitter.emit("fit",{},this.layoutFailed),this.startSimulation()):(this.ready=!0,this.body.emitter.emit("fit"))}startSimulation(){!0===this.physicsEnabled&&!0===this.options.enabled?(this.stabilized=!1,this.adaptiveTimestep=!1,this.body.emitter.emit("_resizeNodes"),this.viewFunction===void 0&&(this.viewFunction=this.simulationStep.bind(this),this.body.emitter.on("initRedraw",this.viewFunction),this.body.emitter.emit("_startRendering"))):this.body.emitter.emit("_redraw")}stopSimulation(emit=!0){this.stabilized=!0,!0===emit&&this._emitStabilized(),this.viewFunction!==void 0&&(this.body.emitter.off("initRedraw",this.viewFunction),this.viewFunction=void 0,!0===emit&&this.body.emitter.emit("_stopRendering"))}simulationStep(){var startTime=Date.now();this.physicsTick();var physicsTime=Date.now()-startTime;(physicsTime<.4*this.simulationInterval||!0===this.runDoubleSpeed)&&!1===this.stabilized&&(this.physicsTick(),this.runDoubleSpeed=!0),!0===this.stabilized&&this.stopSimulation()}_emitStabilized(amountOfIterations=this.stabilizationIterations){(1<this.stabilizationIterations||!0===this.startedStabilization)&&setTimeout(()=>{this.body.emitter.emit("stabilized",{iterations:amountOfIterations}),this.startedStabilization=!1,this.stabilizationIterations=0},0)}physicsStep(){this.gravitySolver.solve(),this.nodesSolver.solve(),this.edgesSolver.solve(),this.moveNodes()}adjustTimeStep(){const factor=1.2;!0===this._evaluateStepQuality()?this.timestep=factor*this.timestep:this.timestep/factor<this.options.timestep?this.timestep=this.options.timestep:(this.adaptiveCounter=-1,this.timestep=_Mathmax(this.options.timestep,this.timestep/factor))}physicsTick(){if(this._startStabilizing(),!0!==this.stabilized){if(!0===this.adaptiveTimestep&&!0===this.adaptiveTimestepEnabled){let doAdaptive=0==this.adaptiveCounter%this.adaptiveInterval;doAdaptive?(this.timestep=2*this.timestep,this.physicsStep(),this.revert(),this.timestep=.5*this.timestep,this.physicsStep(),this.physicsStep(),this.adjustTimeStep()):this.physicsStep(),this.adaptiveCounter+=1}else this.timestep=this.options.timestep,this.physicsStep();!0===this.stabilized&&this.revert(),this.stabilizationIterations++}}updatePhysicsData(){this.physicsBody.forces={},this.physicsBody.physicsNodeIndices=[],this.physicsBody.physicsEdgeIndices=[];let nodes=this.body.nodes,edges=this.body.edges;for(let nodeId in nodes)nodes.hasOwnProperty(nodeId)&&!0===nodes[nodeId].options.physics&&this.physicsBody.physicsNodeIndices.push(nodes[nodeId].id);for(let edgeId in edges)edges.hasOwnProperty(edgeId)&&!0===edges[edgeId].options.physics&&this.physicsBody.physicsEdgeIndices.push(edges[edgeId].id);for(let i=0,nodeId;i<this.physicsBody.physicsNodeIndices.length;i++)nodeId=this.physicsBody.physicsNodeIndices[i],this.physicsBody.forces[nodeId]={x:0,y:0},void 0===this.physicsBody.velocities[nodeId]&&(this.physicsBody.velocities[nodeId]={x:0,y:0});for(let nodeId in this.physicsBody.velocities)void 0===nodes[nodeId]&&delete this.physicsBody.velocities[nodeId]}revert(){var nodeIds=Object.keys(this.previousStates),nodes=this.body.nodes,velocities=this.physicsBody.velocities;this.referenceState={};for(let i=0,nodeId;i<nodeIds.length;i++)nodeId=nodeIds[i],void 0===nodes[nodeId]?delete this.previousStates[nodeId]:!0===nodes[nodeId].options.physics&&(this.referenceState[nodeId]={positions:{x:nodes[nodeId].x,y:nodes[nodeId].y}},velocities[nodeId].x=this.previousStates[nodeId].vx,velocities[nodeId].y=this.previousStates[nodeId].vy,nodes[nodeId].x=this.previousStates[nodeId].x,nodes[nodeId].y=this.previousStates[nodeId].y)}_evaluateStepQuality(){let nodes=this.body.nodes,reference=this.referenceState,dx,dy,dpos;for(let nodeId in this.referenceState)if(this.referenceState.hasOwnProperty(nodeId)&&void 0!==nodes[nodeId]&&(dx=nodes[nodeId].x-reference[nodeId].positions.x,dy=nodes[nodeId].y-reference[nodeId].positions.y,dpos=_Mathsqrt(_Mathpow(dx,2)+_Mathpow(dy,2)),dpos>.3))return!1;return!0}moveNodes(){var nodeIndices=this.physicsBody.physicsNodeIndices,maxNodeVelocity=0,averageNodeVelocity=0;for(let i=0;i<nodeIndices.length;i++){let nodeId=nodeIndices[i],nodeVelocity=this._performStep(nodeId);maxNodeVelocity=_Mathmax(maxNodeVelocity,nodeVelocity),averageNodeVelocity+=nodeVelocity}this.adaptiveTimestepEnabled=averageNodeVelocity/nodeIndices.length<5,this.stabilized=maxNodeVelocity<this.options.minVelocity}calculateComponentVelocity(v,f,m){let df=this.modelOptions.damping*v;v+=(f-df)/m*this.timestep;let maxV=this.options.maxVelocity||1e9;return _Mathabs(v)>maxV&&(v=0<v?maxV:-maxV),v}_performStep(nodeId){let node=this.body.nodes[nodeId],force=this.physicsBody.forces[nodeId],velocity=this.physicsBody.velocities[nodeId];this.previousStates[nodeId]={x:node.x,y:node.y,vx:velocity.x,vy:velocity.y},!1===node.options.fixed.x?(velocity.x=this.calculateComponentVelocity(velocity.x,force.x,node.options.mass),node.x+=velocity.x*this.timestep):(force.x=0,velocity.x=0),!1===node.options.fixed.y?(velocity.y=this.calculateComponentVelocity(velocity.y,force.y,node.options.mass),node.y+=velocity.y*this.timestep):(force.y=0,velocity.y=0);let totalVelocity=_Mathsqrt(_Mathpow(velocity.x,2)+_Mathpow(velocity.y,2));return totalVelocity}_freezeNodes(){var nodes=this.body.nodes;for(var id in nodes)if(nodes.hasOwnProperty(id)&&nodes[id].x&&nodes[id].y){let fixed=nodes[id].options.fixed;this.freezeCache[id]={x:fixed.x,y:fixed.y},fixed.x=!0,fixed.y=!0}}_restoreFrozenNodes(){var nodes=this.body.nodes;for(var id in nodes)nodes.hasOwnProperty(id)&&void 0!==this.freezeCache[id]&&(nodes[id].options.fixed.x=this.freezeCache[id].x,nodes[id].options.fixed.y=this.freezeCache[id].y);this.freezeCache={}}stabilize(iterations=this.options.stabilization.iterations){return"number"!=typeof iterations&&(iterations=this.options.stabilization.iterations,console.log("The stabilize method needs a numeric amount of iterations. Switching to default: ",iterations)),0===this.physicsBody.physicsNodeIndices.length?void(this.ready=!0):void(this.adaptiveTimestep=this.options.adaptiveTimestep,this.body.emitter.emit("_resizeNodes"),this.stopSimulation(),this.stabilized=!1,this.body.emitter.emit("_blockRedraw"),this.targetIterations=iterations,!0===this.options.stabilization.onlyDynamicEdges&&this._freezeNodes(),this.stabilizationIterations=0,setTimeout(()=>this._stabilizationBatch(),0))}_startStabilizing(){return!0!==this.startedStabilization&&(this.body.emitter.emit("startStabilizing"),this.startedStabilization=!0,!0)}_stabilizationBatch(){var running=()=>!1===this.stabilized&&this.stabilizationIterations<this.targetIterations,sendProgress=()=>{this.body.emitter.emit("stabilizationProgress",{iterations:this.stabilizationIterations,total:this.targetIterations})};this._startStabilizing()&&sendProgress();for(var count=0;running()&&count<this.options.stabilization.updateInterval;)this.physicsTick(),count++;sendProgress(),running()?setTimeout(this._stabilizationBatch.bind(this),0):this._finalizeStabilization()}_finalizeStabilization(){this.body.emitter.emit("_allowRedraw"),!0===this.options.stabilization.fit&&this.body.emitter.emit("fit"),!0===this.options.stabilization.onlyDynamicEdges&&this._restoreFrozenNodes(),this.body.emitter.emit("stabilizationIterationsDone"),this.body.emitter.emit("_requestRedraw"),!0===this.stabilized?this._emitStabilized():this.startSimulation(),this.ready=!0}_drawForces(ctx){for(var i=0;i<this.physicsBody.physicsNodeIndices.length;i++){let index=this.physicsBody.physicsNodeIndices[i],node=this.body.nodes[index],force=this.physicsBody.forces[index],factor=20,forceSize=_Mathsqrt(_Mathpow(force.x,2)+_Mathpow(force.x,2)),size=_Mathmin(_Mathmax(5,forceSize),15),color=util.HSVToHex((180-180*_Mathmin(1,_Mathmax(0,.03*forceSize)))/360,1,1),point={x:node.x+factor*force.x,y:node.y+factor*force.y};ctx.lineWidth=size,ctx.strokeStyle=color,ctx.beginPath(),ctx.moveTo(node.x,node.y),ctx.lineTo(point.x,point.y),ctx.stroke();let angle=_Mathatan(force.y,force.x);ctx.fillStyle=color,EndPoints.draw(ctx,{type:"arrow",point:point,angle:angle,length:3*size}),ctx.fill()}}}class NetworkUtil{constructor(){}static getRange(allNodes,specificNodes=[]){var minY=1e9,maxY=-1e9,minX=1e9,maxX=-1e9,node;if(0<specificNodes.length)for(var i=0;i<specificNodes.length;i++)node=allNodes[specificNodes[i]],minX>node.shape.boundingBox.left&&(minX=node.shape.boundingBox.left),maxX<node.shape.boundingBox.right&&(maxX=node.shape.boundingBox.right),minY>node.shape.boundingBox.top&&(minY=node.shape.boundingBox.top),maxY<node.shape.boundingBox.bottom&&(maxY=node.shape.boundingBox.bottom);return 1e9===minX&&-1e9===maxX&&1e9===minY&&-1e9===maxY&&(minY=0,maxY=0,minX=0,maxX=0),{minX:minX,maxX:maxX,minY:minY,maxY:maxY}}static getRangeCore(allNodes,specificNodes=[]){var minY=1e9,maxY=-1e9,minX=1e9,maxX=-1e9,node;if(0<specificNodes.length)for(var i=0;i<specificNodes.length;i++)node=allNodes[specificNodes[i]],minX>node.x&&(minX=node.x),maxX<node.x&&(maxX=node.x),minY>node.y&&(minY=node.y),maxY<node.y&&(maxY=node.y);return 1e9===minX&&-1e9===maxX&&1e9===minY&&-1e9===maxY&&(minY=0,maxY=0,minX=0,maxX=0),{minX:minX,maxX:maxX,minY:minY,maxY:maxY}}static findCenter(range){return{x:.5*(range.maxX+range.minX),y:.5*(range.maxY+range.minY)}}static cloneOptions(item,type){let clonedOptions={};return void 0===type||"node"===type?(util.deepExtend(clonedOptions,item.options,!0),clonedOptions.x=item.x,clonedOptions.y=item.y,clonedOptions.amountOfConnections=item.edges.length):util.deepExtend(clonedOptions,item.options,!0),clonedOptions}}class Cluster extends Node{constructor(options,body,imagelist,grouplist,globalOptions,defaultOptions){super(options,body,imagelist,grouplist,globalOptions,defaultOptions),this.isCluster=!0,this.containedNodes={},this.containedEdges={}}_openChildCluster(childClusterId){let childCluster=this.body.nodes[childClusterId];if(this.containedNodes[childClusterId]===void 0)throw new Error("node with id: "+childClusterId+" not in current cluster");if(!childCluster.isCluster)throw new Error("node with id: "+childClusterId+" is not a cluster");delete this.containedNodes[childClusterId],util.forEach(childCluster.edges,edge=>{delete this.containedEdges[edge.id]}),util.forEach(childCluster.containedNodes,(node,nodeId)=>{this.containedNodes[nodeId]=node}),childCluster.containedNodes={},util.forEach(childCluster.containedEdges,(edge,edgeId)=>{this.containedEdges[edgeId]=edge}),childCluster.containedEdges={},util.forEach(childCluster.edges,clusterEdge=>{util.forEach(this.edges,parentClusterEdge=>{let index=parentClusterEdge.clusteringEdgeReplacingIds.indexOf(clusterEdge.id);-1===index||(util.forEach(clusterEdge.clusteringEdgeReplacingIds,srcId=>{parentClusterEdge.clusteringEdgeReplacingIds.push(srcId),this.body.edges[srcId].edgeReplacedById=parentClusterEdge.id}),parentClusterEdge.clusteringEdgeReplacingIds.splice(index,1))})}),childCluster.edges=[]}}class ClusterEngine{constructor(body){this.body=body,this.clusteredNodes={},this.clusteredEdges={},this.options={},this.defaultOptions={},util.extend(this.options,this.defaultOptions),this.body.emitter.on("_resetData",()=>{this.clusteredNodes={},this.clusteredEdges={}})}clusterByHubsize(hubsize,options){hubsize===void 0?hubsize=this._getHubSize():"object"==typeof hubsize&&(options=this._checkOptions(hubsize),hubsize=this._getHubSize());let nodesToCluster=[];for(let i=0,node;i<this.body.nodeIndices.length;i++)node=this.body.nodes[this.body.nodeIndices[i]],node.edges.length>=hubsize&&nodesToCluster.push(node.id);for(let i=0;i<nodesToCluster.length;i++)this.clusterByConnection(nodesToCluster[i],options,!0);this.body.emitter.emit("_dataChanged")}cluster(options={},refreshData=!0){if(options.joinCondition===void 0)throw new Error("Cannot call clusterByNodeData without a joinCondition function in the options.");options=this._checkOptions(options);let childNodesObj={},childEdgesObj={};util.forEach(this.body.nodes,(node,nodeId)=>{node.options&&!0===options.joinCondition(node.options)&&(childNodesObj[nodeId]=node,util.forEach(node.edges,edge=>{this.clusteredEdges[edge.id]===void 0&&(childEdgesObj[edge.id]=edge)}))}),this._cluster(childNodesObj,childEdgesObj,options,refreshData)}clusterByEdgeCount(edgeCount,options,refreshData=!0){options=this._checkOptions(options);let clusters=[],usedNodes={},edge,edges,relevantEdgeCount;for(let i=0;i<this.body.nodeIndices.length;i++){let childNodesObj={},childEdgesObj={},nodeId=this.body.nodeIndices[i],node=this.body.nodes[nodeId];if(usedNodes[nodeId]===void 0){relevantEdgeCount=0,edges=[];for(let j=0;j<node.edges.length;j++)edge=node.edges[j],void 0===this.clusteredEdges[edge.id]&&(edge.toId!==edge.fromId&&relevantEdgeCount++,edges.push(edge));if(relevantEdgeCount===edgeCount){var checkJoinCondition=function(node){if(options.joinCondition===void 0||null===options.joinCondition)return!0;let clonedOptions=NetworkUtil.cloneOptions(node);return options.joinCondition(clonedOptions)};let gatheringSuccessful=!0;for(let j=0;j<edges.length;j++){edge=edges[j];let childNodeId=this._getConnectedId(edge,nodeId);if(checkJoinCondition(node))childEdgesObj[edge.id]=edge,childNodesObj[nodeId]=node,childNodesObj[childNodeId]=this.body.nodes[childNodeId],usedNodes[nodeId]=!0;else{gatheringSuccessful=!1;break}}if(0<Object.keys(childNodesObj).length&&0<Object.keys(childEdgesObj).length&&!0==gatheringSuccessful){var findClusterData=function(){for(let n=0;n<clusters.length;++n)for(var m in childNodesObj)if(clusters[n].nodes[m]!==void 0)return clusters[n]},foundCluster=findClusterData();if(foundCluster!==void 0){for(let m in childNodesObj)void 0===foundCluster.nodes[m]&&(foundCluster.nodes[m]=childNodesObj[m]);for(let m in childEdgesObj)void 0===foundCluster.edges[m]&&(foundCluster.edges[m]=childEdgesObj[m])}else clusters.push({nodes:childNodesObj,edges:childEdgesObj})}}}}for(let i=0;i<clusters.length;i++)this._cluster(clusters[i].nodes,clusters[i].edges,options,!1);!0===refreshData&&this.body.emitter.emit("_dataChanged")}clusterOutliers(options,refreshData=!0){this.clusterByEdgeCount(1,options,refreshData)}clusterBridges(options,refreshData=!0){this.clusterByEdgeCount(2,options,refreshData)}clusterByConnection(nodeId,options,refreshData=!0){if(nodeId===void 0)throw new Error("No nodeId supplied to clusterByConnection!");if(void 0===this.body.nodes[nodeId])throw new Error("The nodeId given to clusterByConnection does not exist!");let node=this.body.nodes[nodeId];options=this._checkOptions(options,node),options.clusterNodeProperties.x===void 0&&(options.clusterNodeProperties.x=node.x),options.clusterNodeProperties.y===void 0&&(options.clusterNodeProperties.y=node.y),options.clusterNodeProperties.fixed===void 0&&(options.clusterNodeProperties.fixed={},options.clusterNodeProperties.fixed.x=node.options.fixed.x,options.clusterNodeProperties.fixed.y=node.options.fixed.y);let childNodesObj={},childEdgesObj={},parentNodeId=node.id,parentClonedOptions=NetworkUtil.cloneOptions(node);childNodesObj[parentNodeId]=node;for(let i=0,edge;i<node.edges.length;i++)if(edge=node.edges[i],void 0===this.clusteredEdges[edge.id]){let childNodeId=this._getConnectedId(edge,parentNodeId);if(void 0===this.clusteredNodes[childNodeId])if(childNodeId===parentNodeId)childEdgesObj[edge.id]=edge;else if(void 0===options.joinCondition)childEdgesObj[edge.id]=edge,childNodesObj[childNodeId]=this.body.nodes[childNodeId];else{let childClonedOptions=NetworkUtil.cloneOptions(this.body.nodes[childNodeId]);!0===options.joinCondition(parentClonedOptions,childClonedOptions)&&(childEdgesObj[edge.id]=edge,childNodesObj[childNodeId]=this.body.nodes[childNodeId])}}var childNodeIDs=Object.keys(childNodesObj).map(function(childNode){return childNodesObj[childNode].id});for(childNode in childNodesObj)if(childNodesObj.hasOwnProperty(childNode))for(var childNode=childNodesObj[childNode],y=0,childEdge;y<childNode.edges.length;y++)childEdge=childNode.edges[y],-1<childNodeIDs.indexOf(this._getConnectedId(childEdge,childNode.id))&&(childEdgesObj[childEdge.id]=childEdge);this._cluster(childNodesObj,childEdgesObj,options,refreshData)}_createClusterEdges(childNodesObj,childEdgesObj,clusterNodeProperties,clusterEdgeProperties){let childKeys=Object.keys(childNodesObj),createEdges=[],edge,childNodeId,childNode,toId,fromId,otherNodeId;for(let i=0;i<childKeys.length;i++){childNodeId=childKeys[i],childNode=childNodesObj[childNodeId];for(let j=0;j<childNode.edges.length;j++)edge=childNode.edges[j],void 0===this.clusteredEdges[edge.id]&&(edge.toId==edge.fromId?childEdgesObj[edge.id]=edge:edge.toId==childNodeId?(toId=clusterNodeProperties.id,fromId=edge.fromId,otherNodeId=fromId):(toId=edge.toId,fromId=clusterNodeProperties.id,otherNodeId=toId),void 0===childNodesObj[otherNodeId]&&createEdges.push({edge:edge,fromId:fromId,toId:toId}))}var newEdges=[],getNewEdge=function(createdEdge){for(let j=0;j<newEdges.length;j++){let newEdge=newEdges[j],matchToDirection=createdEdge.fromId===newEdge.fromId&&createdEdge.toId===newEdge.toId,matchFromDirection=createdEdge.fromId===newEdge.toId&&createdEdge.toId===newEdge.fromId;if(matchToDirection||matchFromDirection)return newEdge}return null};for(let j=0;j<createEdges.length;j++){let createdEdge=createEdges[j],edge=createdEdge.edge,newEdge=getNewEdge(createdEdge);null===newEdge?(newEdge=this._createClusteredEdge(createdEdge.fromId,createdEdge.toId,edge,clusterEdgeProperties),newEdges.push(newEdge)):newEdge.clusteringEdgeReplacingIds.push(edge.id),this.body.edges[edge.id].edgeReplacedById=newEdge.id,this._backupEdgeOptions(edge),edge.setOptions({physics:!1})}}_checkOptions(options={}){return void 0===options.clusterEdgeProperties&&(options.clusterEdgeProperties={}),void 0===options.clusterNodeProperties&&(options.clusterNodeProperties={}),options}_cluster(childNodesObj,childEdgesObj,options,refreshData=!0){var tmpNodesToRemove=[];for(let nodeId in childNodesObj)childNodesObj.hasOwnProperty(nodeId)&&void 0!==this.clusteredNodes[nodeId]&&tmpNodesToRemove.push(nodeId);for(var n=0;n<tmpNodesToRemove.length;++n)delete childNodesObj[tmpNodesToRemove[n]];if(0==Object.keys(childNodesObj).length)return;if(1==Object.keys(childNodesObj).length&&!0!=options.clusterNodeProperties.allowSingleNodeCluster)return;let clusterNodeProperties=util.deepExtend({},options.clusterNodeProperties);if(void 0!==options.processProperties){let childNodesOptions=[];for(let nodeId in childNodesObj)if(childNodesObj.hasOwnProperty(nodeId)){let clonedOptions=NetworkUtil.cloneOptions(childNodesObj[nodeId]);childNodesOptions.push(clonedOptions)}let childEdgesOptions=[];for(let edgeId in childEdgesObj)if(childEdgesObj.hasOwnProperty(edgeId)&&"clusterEdge:"!==edgeId.substr(0,12)){let clonedOptions=NetworkUtil.cloneOptions(childEdgesObj[edgeId],"edge");childEdgesOptions.push(clonedOptions)}if(clusterNodeProperties=options.processProperties(clusterNodeProperties,childNodesOptions,childEdgesOptions),!clusterNodeProperties)throw new Error("The processProperties function does not return properties!")}clusterNodeProperties.id===void 0&&(clusterNodeProperties.id="cluster:"+util.randomUUID());let clusterId=clusterNodeProperties.id;clusterNodeProperties.label===void 0&&(clusterNodeProperties.label="cluster");let pos;clusterNodeProperties.x===void 0&&(pos=this._getClusterPosition(childNodesObj),clusterNodeProperties.x=pos.x),clusterNodeProperties.y===void 0&&(pos===void 0&&(pos=this._getClusterPosition(childNodesObj)),clusterNodeProperties.y=pos.y),clusterNodeProperties.id=clusterId;let clusterNode=this.body.functions.createNode(clusterNodeProperties,Cluster);clusterNode.containedNodes=childNodesObj,clusterNode.containedEdges=childEdgesObj,clusterNode.clusterEdgeProperties=options.clusterEdgeProperties,this.body.nodes[clusterNodeProperties.id]=clusterNode,this._clusterEdges(childNodesObj,childEdgesObj,clusterNodeProperties,options.clusterEdgeProperties),clusterNodeProperties.id=void 0,!0===refreshData&&this.body.emitter.emit("_dataChanged")}_backupEdgeOptions(edge){this.clusteredEdges[edge.id]===void 0&&(this.clusteredEdges[edge.id]={physics:edge.options.physics})}_restoreEdge(edge){let originalOptions=this.clusteredEdges[edge.id];originalOptions!==void 0&&(edge.setOptions({physics:originalOptions.physics}),delete this.clusteredEdges[edge.id])}isCluster(nodeId){return void 0===this.body.nodes[nodeId]?(console.log("Node does not exist."),!1):!0===this.body.nodes[nodeId].isCluster}_getClusterPosition(childNodesObj){let childKeys=Object.keys(childNodesObj),minX=childNodesObj[childKeys[0]].x,maxX=childNodesObj[childKeys[0]].x,minY=childNodesObj[childKeys[0]].y,maxY=childNodesObj[childKeys[0]].y,node;for(let i=1;i<childKeys.length;i++)node=childNodesObj[childKeys[i]],minX=node.x<minX?node.x:minX,maxX=node.x>maxX?node.x:maxX,minY=node.y<minY?node.y:minY,maxY=node.y>maxY?node.y:maxY;return{x:.5*(minX+maxX),y:.5*(minY+maxY)}}openCluster(clusterNodeId,options,refreshData=!0){if(clusterNodeId===void 0)throw new Error("No clusterNodeId supplied to openCluster.");let clusterNode=this.body.nodes[clusterNodeId];if(clusterNode===void 0)throw new Error("The clusterNodeId supplied to openCluster does not exist.");if(!0!==clusterNode.isCluster||void 0===clusterNode.containedNodes||void 0===clusterNode.containedEdges)throw new Error("The node:"+clusterNodeId+" is not a valid cluster.");let stack=this.findNode(clusterNodeId),parentIndex=stack.indexOf(clusterNodeId)-1;if(0<=parentIndex){let parentClusterNodeId=stack[parentIndex],parentClusterNode=this.body.nodes[parentClusterNodeId];return parentClusterNode._openChildCluster(clusterNodeId),delete this.body.nodes[clusterNodeId],void(!0===refreshData&&this.body.emitter.emit("_dataChanged"))}let containedNodes=clusterNode.containedNodes,containedEdges=clusterNode.containedEdges;if(options!==void 0&&options.releaseFunction!==void 0&&"function"==typeof options.releaseFunction){let positions={},clusterPosition={x:clusterNode.x,y:clusterNode.y};for(let nodeId in containedNodes)if(containedNodes.hasOwnProperty(nodeId)){let containedNode=this.body.nodes[nodeId];positions[nodeId]={x:containedNode.x,y:containedNode.y}}let newPositions=options.releaseFunction(clusterPosition,positions);for(let nodeId in containedNodes)if(containedNodes.hasOwnProperty(nodeId)){let containedNode=this.body.nodes[nodeId];newPositions[nodeId]!==void 0&&(containedNode.x=newPositions[nodeId].x===void 0?clusterNode.x:newPositions[nodeId].x,containedNode.y=newPositions[nodeId].y===void 0?clusterNode.y:newPositions[nodeId].y)}}else util.forEach(containedNodes,function(containedNode){!1===containedNode.options.fixed.x&&(containedNode.x=clusterNode.x),!1===containedNode.options.fixed.y&&(containedNode.y=clusterNode.y)});for(let nodeId in containedNodes)if(containedNodes.hasOwnProperty(nodeId)){let containedNode=this.body.nodes[nodeId];containedNode.vx=clusterNode.vx,containedNode.vy=clusterNode.vy,containedNode.setOptions({physics:!0}),delete this.clusteredNodes[nodeId]}let edgesToBeDeleted=[];for(let i=0;i<clusterNode.edges.length;i++)edgesToBeDeleted.push(clusterNode.edges[i]);for(let i=0;i<edgesToBeDeleted.length;i++){let edge=edgesToBeDeleted[i],otherNodeId=this._getConnectedId(edge,clusterNodeId),otherNode=this.clusteredNodes[otherNodeId];for(let j=0;j<edge.clusteringEdgeReplacingIds.length;j++){let transferId=edge.clusteringEdgeReplacingIds[j],transferEdge=this.body.edges[transferId];if(transferEdge!==void 0)if(void 0!==otherNode){let otherCluster=this.body.nodes[otherNode.clusterId];otherCluster.containedEdges[transferEdge.id]=transferEdge,delete containedEdges[transferEdge.id];let fromId=transferEdge.fromId,toId=transferEdge.toId;transferEdge.toId==otherNodeId?toId=otherNode.clusterId:fromId=otherNode.clusterId,this._createClusteredEdge(fromId,toId,transferEdge,otherCluster.clusterEdgeProperties,{hidden:!1,physics:!0})}else this._restoreEdge(transferEdge)}edge.remove()}for(let edgeId in containedEdges)containedEdges.hasOwnProperty(edgeId)&&this._restoreEdge(containedEdges[edgeId]);delete this.body.nodes[clusterNodeId],!0===refreshData&&this.body.emitter.emit("_dataChanged")}getNodesInCluster(clusterId){let nodesArray=[];if(!0===this.isCluster(clusterId)){let containedNodes=this.body.nodes[clusterId].containedNodes;for(let nodeId in containedNodes)containedNodes.hasOwnProperty(nodeId)&&nodesArray.push(this.body.nodes[nodeId].id)}return nodesArray}findNode(nodeId){let stack=[],counter=0,node;for(;void 0!==this.clusteredNodes[nodeId]&&counter<100;){if(node=this.body.nodes[nodeId],void 0===node)return[];stack.push(node.id),nodeId=this.clusteredNodes[nodeId].clusterId,counter++}return(node=this.body.nodes[nodeId],void 0===node)?[]:(stack.push(node.id),stack.reverse(),stack)}updateClusteredNode(clusteredNodeId,newOptions){if(clusteredNodeId===void 0)throw new Error("No clusteredNodeId supplied to updateClusteredNode.");if(void 0===newOptions)throw new Error("No newOptions supplied to updateClusteredNode.");if(void 0===this.body.nodes[clusteredNodeId])throw new Error("The clusteredNodeId supplied to updateClusteredNode does not exist.");this.body.nodes[clusteredNodeId].setOptions(newOptions),this.body.emitter.emit("_dataChanged")}updateEdge(startEdgeId,newOptions){if(startEdgeId===void 0)throw new Error("No startEdgeId supplied to updateEdge.");if(void 0===newOptions)throw new Error("No newOptions supplied to updateEdge.");if(void 0===this.body.edges[startEdgeId])throw new Error("The startEdgeId supplied to updateEdge does not exist.");let allEdgeIds=this.getClusteredEdges(startEdgeId);for(let i=0;i<allEdgeIds.length;i++){var edge=this.body.edges[allEdgeIds[i]];edge.setOptions(newOptions)}this.body.emitter.emit("_dataChanged")}getClusteredEdges(edgeId){let stack=[],counter=0;for(;void 0!==edgeId&&void 0!==this.body.edges[edgeId]&&counter<100;)stack.push(this.body.edges[edgeId].id),edgeId=this.body.edges[edgeId].edgeReplacedById,counter++;return stack.reverse(),stack}getBaseEdge(clusteredEdgeId){return this.getBaseEdges(clusteredEdgeId)[0]}getBaseEdges(clusteredEdgeId){let IdsToHandle=[clusteredEdgeId],doneIds=[],foundIds=[],counter=0;for(;0<IdsToHandle.length&&counter<100;){let nextId=IdsToHandle.pop();if(void 0===nextId)continue;let nextEdge=this.body.edges[nextId];if(void 0===nextEdge)continue;counter++;let replacingIds=nextEdge.clusteringEdgeReplacingIds;if(replacingIds===void 0)foundIds.push(nextId);else for(let i=0,replacingId;i<replacingIds.length;++i)(replacingId=replacingIds[i],-1===IdsToHandle.indexOf(replacingIds)&&-1===doneIds.indexOf(replacingIds))&&IdsToHandle.push(replacingId);doneIds.push(nextId)}return foundIds}_getConnectedId(edge,nodeId){return edge.toId==nodeId?edge.fromId==nodeId?edge.fromId:edge.fromId:edge.toId}_getHubSize(){let average=0,averageSquared=0,hubCounter=0,largestHub=0;for(let i=0,node;i<this.body.nodeIndices.length;i++)node=this.body.nodes[this.body.nodeIndices[i]],node.edges.length>largestHub&&(largestHub=node.edges.length),average+=node.edges.length,averageSquared+=_Mathpow(node.edges.length,2),hubCounter+=1;average/=hubCounter,averageSquared/=hubCounter;let variance=averageSquared-_Mathpow(average,2),standardDeviation=_Mathsqrt(variance),hubThreshold=_Mathfloor(average+2*standardDeviation);return hubThreshold>largestHub&&(hubThreshold=largestHub),hubThreshold}_createClusteredEdge(fromId,toId,baseEdge,clusterEdgeProperties,extraOptions){let clonedOptions=NetworkUtil.cloneOptions(baseEdge,"edge");util.deepExtend(clonedOptions,clusterEdgeProperties),clonedOptions.from=fromId,clonedOptions.to=toId,clonedOptions.id="clusterEdge:"+util.randomUUID(),void 0!==extraOptions&&util.deepExtend(clonedOptions,extraOptions);let newEdge=this.body.functions.createEdge(clonedOptions);return newEdge.clusteringEdgeReplacingIds=[baseEdge.id],newEdge.connect(),this.body.edges[newEdge.id]=newEdge,newEdge}_clusterEdges(childNodes,childEdges,clusterNode,clusterEdgeProperties){if(childEdges instanceof Edge){let edge=childEdges,obj={};obj[edge.id]=edge,childEdges=obj}if(childNodes instanceof Node){let node=childNodes,obj={};obj[node.id]=node,childNodes=obj}if(void 0===clusterNode||null===clusterNode)throw new Error("_clusterEdges: parameter clusterNode required");for(let edgeId in void 0===clusterEdgeProperties&&(clusterEdgeProperties=clusterNode.clusterEdgeProperties),this._createClusterEdges(childNodes,childEdges,clusterNode,clusterEdgeProperties),childEdges)if(childEdges.hasOwnProperty(edgeId)&&void 0!==this.body.edges[edgeId]){let edge=this.body.edges[edgeId];this._backupEdgeOptions(edge),edge.setOptions({physics:!1})}for(let nodeId in childNodes)childNodes.hasOwnProperty(nodeId)&&(this.clusteredNodes[nodeId]={clusterId:clusterNode.id,node:this.body.nodes[nodeId]},this.body.nodes[nodeId].setOptions({physics:!1}))}_getClusterNodeForNode(nodeId){if(void 0!==nodeId){let clusteredNode=this.clusteredNodes[nodeId];if(void 0!==clusteredNode){let clusterId=clusteredNode.clusterId;return void 0===clusterId?void 0:this.body.nodes[clusterId]}}}_filter(arr,callback){let ret=[];return util.forEach(arr,item=>{callback(item)&&ret.push(item)}),ret}_updateState(){let deletedNodeIds=[],deletedEdgeIds={},eachClusterNode=callback=>{util.forEach(this.body.nodes,node=>{!0===node.isCluster&&callback(node)})},nodeId;for(nodeId in this.clusteredNodes){if(!this.clusteredNodes.hasOwnProperty(nodeId))continue;let node=this.body.nodes[nodeId];node===void 0&&deletedNodeIds.push(nodeId)}eachClusterNode(function(clusterNode){for(let n=0;n<deletedNodeIds.length;n++)delete clusterNode.containedNodes[deletedNodeIds[n]]});for(let n=0;n<deletedNodeIds.length;n++)delete this.clusteredNodes[deletedNodeIds[n]];util.forEach(this.clusteredEdges,edgeId=>{let edge=this.body.edges[edgeId];edge!==void 0&&edge.endPointsValid()||(deletedEdgeIds[edgeId]=edgeId)}),eachClusterNode(function(clusterNode){util.forEach(clusterNode.containedEdges,(edge,edgeId)=>{edge.endPointsValid()||deletedEdgeIds[edgeId]||(deletedEdgeIds[edgeId]=edgeId)})}),util.forEach(this.body.edges,(edge,edgeId)=>{let isValid=!0,replacedIds=edge.clusteringEdgeReplacingIds;if(replacedIds!==void 0){let numValid=0;util.forEach(replacedIds,containedEdgeId=>{let containedEdge=this.body.edges[containedEdgeId];containedEdge!==void 0&&containedEdge.endPointsValid()&&(numValid+=1)}),isValid=0<numValid}edge.endPointsValid()&&isValid||(deletedEdgeIds[edgeId]=edgeId)}),eachClusterNode(clusterNode=>{util.forEach(deletedEdgeIds,deletedEdgeId=>{delete clusterNode.containedEdges[deletedEdgeId],util.forEach(clusterNode.edges,(edge,m)=>edge.id===deletedEdgeId?void(clusterNode.edges[m]=null):void(edge.clusteringEdgeReplacingIds=this._filter(edge.clusteringEdgeReplacingIds,function(id){return!deletedEdgeIds[id]}))),clusterNode.edges=this._filter(clusterNode.edges,function(item){return null!==item})})}),util.forEach(deletedEdgeIds,edgeId=>{delete this.clusteredEdges[edgeId]}),util.forEach(deletedEdgeIds,edgeId=>{delete this.body.edges[edgeId]});let ids=Object.keys(this.body.edges);util.forEach(ids,edgeId=>{let edge=this.body.edges[edgeId],shouldBeClustered=this._isClusteredNode(edge.fromId)||this._isClusteredNode(edge.toId);if(shouldBeClustered!==this._isClusteredEdge(edge.id))if(shouldBeClustered){let clusterFrom=this._getClusterNodeForNode(edge.fromId);void 0!==clusterFrom&&this._clusterEdges(this.body.nodes[edge.fromId],edge,clusterFrom);let clusterTo=this._getClusterNodeForNode(edge.toId);void 0!==clusterTo&&this._clusterEdges(this.body.nodes[edge.toId],edge,clusterTo)}else delete this._clusterEdges[edgeId],this._restoreEdge(edge)});for(var changed=!1,continueLoop=!0;continueLoop;){let clustersToOpen=[];eachClusterNode(function(clusterNode){let numNodes=Object.keys(clusterNode.containedNodes).length,allowSingle=!0===clusterNode.options.allowSingleNodeCluster;(allowSingle&&1>numNodes||!allowSingle&&2>numNodes)&&clustersToOpen.push(clusterNode.id)});for(let n=0;n<clustersToOpen.length;++n)this.openCluster(clustersToOpen[n],{},!1);continueLoop=0<clustersToOpen.length,changed=changed||continueLoop}changed&&this._updateState()}_isClusteredNode(nodeId){return this.clusteredNodes[nodeId]!==void 0}_isClusteredEdge(edgeId){return this.clusteredEdges[edgeId]!==void 0}}class CanvasRenderer{constructor(body,canvas){_initRequestAnimationFrame(),this.body=body,this.canvas=canvas,this.redrawRequested=!1,this.renderTimer=void 0,this.requiresTimeout=!0,this.renderingActive=!1,this.renderRequests=0,this.allowRedraw=!0,this.dragging=!1,this.zooming=!1,this.options={},this.defaultOptions={hideEdgesOnDrag:!1,hideEdgesOnZoom:!1,hideNodesOnDrag:!1},util.extend(this.options,this.defaultOptions),this._determineBrowserMethod(),this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("dragStart",()=>{this.dragging=!0}),this.body.emitter.on("dragEnd",()=>{this.dragging=!1}),this.body.emitter.on("zoom",()=>{this.zooming=!0,window.clearTimeout(this.zoomTimeoutId),this.zoomTimeoutId=window.setTimeout(()=>{this.zooming=!1,this._requestRedraw.bind(this)()},250)}),this.body.emitter.on("_resizeNodes",()=>{this._resizeNodes()}),this.body.emitter.on("_redraw",()=>{!1===this.renderingActive&&this._redraw()}),this.body.emitter.on("_blockRedraw",()=>{this.allowRedraw=!1}),this.body.emitter.on("_allowRedraw",()=>{this.allowRedraw=!0,this.redrawRequested=!1}),this.body.emitter.on("_requestRedraw",this._requestRedraw.bind(this)),this.body.emitter.on("_startRendering",()=>{this.renderRequests+=1,this.renderingActive=!0,this._startRendering()}),this.body.emitter.on("_stopRendering",()=>{this.renderRequests-=1,this.renderingActive=0<this.renderRequests,this.renderTimer=void 0}),this.body.emitter.on("destroy",()=>{this.renderRequests=0,this.allowRedraw=!1,this.renderingActive=!1,!0===this.requiresTimeout?clearTimeout(this.renderTimer):window.cancelAnimationFrame(this.renderTimer),this.body.emitter.off()})}setOptions(options){if(options!==void 0){util.selectiveDeepExtend(["hideEdgesOnDrag","hideEdgesOnZoom","hideNodesOnDrag"],this.options,options)}}_requestNextFrame(callback,delay){if("undefined"==typeof window)return;let timer;var myWindow=window;return!0===this.requiresTimeout?timer=myWindow.setTimeout(callback,delay):myWindow.requestAnimationFrame&&(timer=myWindow.requestAnimationFrame(callback)),timer}_startRendering(){!0===this.renderingActive&&this.renderTimer===void 0&&(this.renderTimer=this._requestNextFrame(this._renderStep.bind(this),this.simulationInterval))}_renderStep(){!0===this.renderingActive&&(this.renderTimer=void 0,!0===this.requiresTimeout&&this._startRendering(),this._redraw(),!1===this.requiresTimeout&&this._startRendering())}redraw(){this.body.emitter.emit("setSize"),this._redraw()}_requestRedraw(){!0!==this.redrawRequested&&!1===this.renderingActive&&!0===this.allowRedraw&&(this.redrawRequested=!0,this._requestNextFrame(()=>{this._redraw(!1)},0))}_redraw(hidden=!1){if(!0===this.allowRedraw){this.body.emitter.emit("initRedraw"),this.redrawRequested=!1,(0===this.canvas.frame.canvas.width||0===this.canvas.frame.canvas.height)&&this.canvas.setSize(),this.canvas.setTransform();let ctx=this.canvas.getContext(),w=this.canvas.frame.canvas.clientWidth,h=this.canvas.frame.canvas.clientHeight;if(ctx.clearRect(0,0,w,h),0===this.canvas.frame.clientWidth)return;ctx.save(),ctx.translate(this.body.view.translation.x,this.body.view.translation.y),ctx.scale(this.body.view.scale,this.body.view.scale),ctx.beginPath(),this.body.emitter.emit("beforeDrawing",ctx),ctx.closePath(),!1===hidden&&(!1===this.dragging||!0===this.dragging&&!1===this.options.hideEdgesOnDrag)&&(!1===this.zooming||!0===this.zooming&&!1===this.options.hideEdgesOnZoom)&&this._drawEdges(ctx),(!1===this.dragging||!0===this.dragging&&!1===this.options.hideNodesOnDrag)&&this._drawNodes(ctx,hidden),ctx.beginPath(),this.body.emitter.emit("afterDrawing",ctx),ctx.closePath(),ctx.restore(),!0===hidden&&ctx.clearRect(0,0,w,h)}}_resizeNodes(){this.canvas.setTransform();let ctx=this.canvas.getContext();ctx.save(),ctx.translate(this.body.view.translation.x,this.body.view.translation.y),ctx.scale(this.body.view.scale,this.body.view.scale);let nodes=this.body.nodes,node;for(let nodeId in nodes)nodes.hasOwnProperty(nodeId)&&(node=nodes[nodeId],node.resize(ctx),node.updateBoundingBox(ctx,node.selected));ctx.restore()}_drawNodes(ctx,alwaysShow=!1){let nodes=this.body.nodes,nodeIndices=this.body.nodeIndices,selected=[],margin=20,topLeft=this.canvas.DOMtoCanvas({x:-margin,y:-margin}),bottomRight=this.canvas.DOMtoCanvas({x:this.canvas.frame.canvas.clientWidth+margin,y:this.canvas.frame.canvas.clientHeight+margin}),viewableArea={top:topLeft.y,left:topLeft.x,bottom:bottomRight.y,right:bottomRight.x},node;for(let i=0;i<nodeIndices.length;i++)node=nodes[nodeIndices[i]],node.isSelected()?selected.push(nodeIndices[i]):!0===alwaysShow?node.draw(ctx):!0===node.isBoundingBoxOverlappingWith(viewableArea)?node.draw(ctx):node.updateBoundingBox(ctx,node.selected);for(let i=0;i<selected.length;i++)node=nodes[selected[i]],node.draw(ctx)}_drawEdges(ctx){let edges=this.body.edges,edgeIndices=this.body.edgeIndices,edge;for(let i=0;i<edgeIndices.length;i++)edge=edges[edgeIndices[i]],!0===edge.connected&&edge.draw(ctx)}_determineBrowserMethod(){if("undefined"!=typeof window){let browserType=navigator.userAgent.toLowerCase();this.requiresTimeout=!1,-1==browserType.indexOf("msie 9.0")?-1!=browserType.indexOf("safari")&&-1>=browserType.indexOf("chrome")&&(this.requiresTimeout=!0):this.requiresTimeout=!0}else this.requiresTimeout=!0}}var hammerUtil=createCommonjsModule$2(function(module,exports){exports.onTouch=function(hammer,callback){callback.inputHandler=function(event){event.isFirst&&callback(event)},hammer.on("hammer.input",callback.inputHandler)},exports.onRelease=function(hammer,callback){return callback.inputHandler=function(event){event.isFinal&&callback(event)},hammer.on("hammer.input",callback.inputHandler)},exports.offTouch=function(hammer,callback){hammer.off("hammer.input",callback.inputHandler)},exports.offRelease=exports.offTouch,exports.disablePreventDefaultVertically=function(pinchRecognizer){return pinchRecognizer.getTouchAction=function(){return["pan-y"]},pinchRecognizer}}),hammerUtil_1=hammerUtil.onTouch,hammerUtil_2=hammerUtil.onRelease,hammerUtil_3=hammerUtil.offTouch,hammerUtil_4=hammerUtil.offRelease,hammerUtil_5=hammerUtil.disablePreventDefaultVertically;class Canvas{constructor(body){this.body=body,this.pixelRatio=1,this.resizeTimer=void 0,this.resizeFunction=this._onResize.bind(this),this.cameraState={},this.initialized=!1,this.canvasViewCenter={},this.options={},this.defaultOptions={autoResize:!0,height:"100%",width:"100%"},util.extend(this.options,this.defaultOptions),this.bindEventListeners()}bindEventListeners(){this.body.emitter.once("resize",obj=>{0!==obj.width&&(this.body.view.translation.x=.5*obj.width),0!==obj.height&&(this.body.view.translation.y=.5*obj.height)}),this.body.emitter.on("setSize",this.setSize.bind(this)),this.body.emitter.on("destroy",()=>{this.hammerFrame.destroy(),this.hammer.destroy(),this._cleanUp()})}setOptions(options){if(options!==void 0){util.selectiveDeepExtend(["width","height","autoResize"],this.options,options)}!0===this.options.autoResize&&(this._cleanUp(),this.resizeTimer=setInterval(()=>{let changed=this.setSize();!0===changed&&this.body.emitter.emit("_requestRedraw")},1e3),this.resizeFunction=this._onResize.bind(this),util.addEventListener(window,"resize",this.resizeFunction))}_cleanUp(){this.resizeTimer!==void 0&&clearInterval(this.resizeTimer),util.removeEventListener(window,"resize",this.resizeFunction),this.resizeFunction=void 0}_onResize(){this.setSize(),this.body.emitter.emit("_redraw")}_getCameraState(pixelRatio=this.pixelRatio){!0===this.initialized&&(this.cameraState.previousWidth=this.frame.canvas.width/pixelRatio,this.cameraState.previousHeight=this.frame.canvas.height/pixelRatio,this.cameraState.scale=this.body.view.scale,this.cameraState.position=this.DOMtoCanvas({x:.5*this.frame.canvas.width/pixelRatio,y:.5*this.frame.canvas.height/pixelRatio}))}_setCameraState(){if(this.cameraState.scale!==void 0&&0!==this.frame.canvas.clientWidth&&0!==this.frame.canvas.clientHeight&&0!==this.pixelRatio&&0<this.cameraState.previousWidth){let widthRatio=this.frame.canvas.width/this.pixelRatio/this.cameraState.previousWidth,heightRatio=this.frame.canvas.height/this.pixelRatio/this.cameraState.previousHeight,newScale=this.cameraState.scale;1!=widthRatio&&1!=heightRatio?newScale=.5*this.cameraState.scale*(widthRatio+heightRatio):1==widthRatio?1!=heightRatio&&(newScale=this.cameraState.scale*heightRatio):newScale=this.cameraState.scale*widthRatio,this.body.view.scale=newScale;var currentViewCenter=this.DOMtoCanvas({x:.5*this.frame.canvas.clientWidth,y:.5*this.frame.canvas.clientHeight}),distanceFromCenter={x:currentViewCenter.x-this.cameraState.position.x,y:currentViewCenter.y-this.cameraState.position.y};this.body.view.translation.x+=distanceFromCenter.x*this.body.view.scale,this.body.view.translation.y+=distanceFromCenter.y*this.body.view.scale}}_prepareValue(value){if("number"==typeof value)return value+"px";if("string"==typeof value){if(-1!==value.indexOf("%")||-1!==value.indexOf("px"))return value;if(-1===value.indexOf("%"))return value+"px"}throw new Error("Could not use the value supplied for width or height:"+value)}_create(){for(;this.body.container.hasChildNodes();)this.body.container.removeChild(this.body.container.firstChild);if(this.frame=document.createElement("div"),this.frame.className="vis-network",this.frame.style.position="relative",this.frame.style.overflow="hidden",this.frame.tabIndex=900,this.frame.canvas=document.createElement("canvas"),this.frame.canvas.style.position="relative",this.frame.appendChild(this.frame.canvas),!this.frame.canvas.getContext){let noCanvas=document.createElement("DIV");noCanvas.style.color="red",noCanvas.style.fontWeight="bold",noCanvas.style.padding="10px",noCanvas.innerHTML="Error: your browser does not support HTML canvas",this.frame.canvas.appendChild(noCanvas)}else this._setPixelRatio(),this.setTransform();this.body.container.appendChild(this.frame),this.body.view.scale=1,this.body.view.translation={x:.5*this.frame.canvas.clientWidth,y:.5*this.frame.canvas.clientHeight},this._bindHammer()}_bindHammer(){this.hammer!==void 0&&this.hammer.destroy(),this.drag={},this.pinch={},this.hammer=new hammer(this.frame.canvas),this.hammer.get("pinch").set({enable:!0}),this.hammer.get("pan").set({threshold:5,direction:hammer.DIRECTION_ALL}),hammerUtil.onTouch(this.hammer,event=>{this.body.eventListeners.onTouch(event)}),this.hammer.on("tap",event=>{this.body.eventListeners.onTap(event)}),this.hammer.on("doubletap",event=>{this.body.eventListeners.onDoubleTap(event)}),this.hammer.on("press",event=>{this.body.eventListeners.onHold(event)}),this.hammer.on("panstart",event=>{this.body.eventListeners.onDragStart(event)}),this.hammer.on("panmove",event=>{this.body.eventListeners.onDrag(event)}),this.hammer.on("panend",event=>{this.body.eventListeners.onDragEnd(event)}),this.hammer.on("pinch",event=>{this.body.eventListeners.onPinch(event)}),this.frame.canvas.addEventListener("mousewheel",event=>{this.body.eventListeners.onMouseWheel(event)}),this.frame.canvas.addEventListener("DOMMouseScroll",event=>{this.body.eventListeners.onMouseWheel(event)}),this.frame.canvas.addEventListener("mousemove",event=>{this.body.eventListeners.onMouseMove(event)}),this.frame.canvas.addEventListener("contextmenu",event=>{this.body.eventListeners.onContext(event)}),this.hammerFrame=new hammer(this.frame),hammerUtil.onRelease(this.hammerFrame,event=>{this.body.eventListeners.onRelease(event)})}setSize(width=this.options.width,height=this.options.height){width=this._prepareValue(width),height=this._prepareValue(height);let emitEvent=!1,oldWidth=this.frame.canvas.width,oldHeight=this.frame.canvas.height,previousRatio=this.pixelRatio;if(this._setPixelRatio(),width!=this.options.width||height!=this.options.height||this.frame.style.width!=width||this.frame.style.height!=height)this._getCameraState(previousRatio),this.frame.style.width=width,this.frame.style.height=height,this.frame.canvas.style.width="100%",this.frame.canvas.style.height="100%",this.frame.canvas.width=_Mathround(this.frame.canvas.clientWidth*this.pixelRatio),this.frame.canvas.height=_Mathround(this.frame.canvas.clientHeight*this.pixelRatio),this.options.width=width,this.options.height=height,this.canvasViewCenter={x:.5*this.frame.clientWidth,y:.5*this.frame.clientHeight},emitEvent=!0;else{let newWidth=_Mathround(this.frame.canvas.clientWidth*this.pixelRatio),newHeight=_Mathround(this.frame.canvas.clientHeight*this.pixelRatio);(this.frame.canvas.width!==newWidth||this.frame.canvas.height!==newHeight)&&this._getCameraState(previousRatio),this.frame.canvas.width!==newWidth&&(this.frame.canvas.width=newWidth,emitEvent=!0),this.frame.canvas.height!==newHeight&&(this.frame.canvas.height=newHeight,emitEvent=!0)}return!0==emitEvent&&(this.body.emitter.emit("resize",{width:_Mathround(this.frame.canvas.width/this.pixelRatio),height:_Mathround(this.frame.canvas.height/this.pixelRatio),oldWidth:_Mathround(oldWidth/this.pixelRatio),oldHeight:_Mathround(oldHeight/this.pixelRatio)}),this._setCameraState()),this.initialized=!0,emitEvent}getContext(){return this.frame.canvas.getContext("2d")}_determinePixelRatio(){let ctx=this.getContext();if(ctx===void 0)throw new Error("Could not get canvax context");var numerator=1;"undefined"!=typeof window&&(numerator=window.devicePixelRatio||1);var denominator=ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1;return numerator/denominator}_setPixelRatio(){this.pixelRatio=this._determinePixelRatio()}setTransform(){let ctx=this.getContext();if(ctx===void 0)throw new Error("Could not get canvax context");ctx.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}_XconvertDOMtoCanvas(x){return(x-this.body.view.translation.x)/this.body.view.scale}_XconvertCanvasToDOM(x){return x*this.body.view.scale+this.body.view.translation.x}_YconvertDOMtoCanvas(y){return(y-this.body.view.translation.y)/this.body.view.scale}_YconvertCanvasToDOM(y){return y*this.body.view.scale+this.body.view.translation.y}canvasToDOM(pos){return{x:this._XconvertCanvasToDOM(pos.x),y:this._YconvertCanvasToDOM(pos.y)}}DOMtoCanvas(pos){return{x:this._XconvertDOMtoCanvas(pos.x),y:this._YconvertDOMtoCanvas(pos.y)}}}class View{constructor(body,canvas){this.body=body,this.canvas=canvas,this.animationSpeed=1/this.renderRefreshRate,this.animationEasingFunction="easeInOutQuint",this.easingTime=0,this.sourceScale=0,this.targetScale=0,this.sourceTranslation=0,this.targetTranslation=0,this.lockedOnNodeId=void 0,this.lockedOnNodeOffset=void 0,this.touchTime=0,this.viewFunction=void 0,this.body.emitter.on("fit",this.fit.bind(this)),this.body.emitter.on("animationFinished",()=>{this.body.emitter.emit("_stopRendering")}),this.body.emitter.on("unlockNode",this.releaseNode.bind(this))}setOptions(options={}){this.options=options}fit(options={nodes:[]},initialZoom=!1){let range,zoomLevel;if(options=Object.assign({},options),(void 0===options.nodes||0===options.nodes.length)&&(options.nodes=this.body.nodeIndices),!0===initialZoom){let positionDefined=0;for(let nodeId in this.body.nodes)if(this.body.nodes.hasOwnProperty(nodeId)){let node=this.body.nodes[nodeId];!0===node.predefinedPosition&&(positionDefined+=1)}if(positionDefined>.5*this.body.nodeIndices.length)return void this.fit(options,!1);range=NetworkUtil.getRange(this.body.nodes,options.nodes);let numberOfNodes=this.body.nodeIndices.length;zoomLevel=12.662/(numberOfNodes+7.4147)+.0964822;let factor=_Mathmin(this.canvas.frame.canvas.clientWidth/600,this.canvas.frame.canvas.clientHeight/600);zoomLevel*=factor}else{this.body.emitter.emit("_resizeNodes"),range=NetworkUtil.getRange(this.body.nodes,options.nodes);let xDistance=1.1*_Mathabs(range.maxX-range.minX),yDistance=1.1*_Mathabs(range.maxY-range.minY),xZoomLevel=this.canvas.frame.canvas.clientWidth/xDistance,yZoomLevel=this.canvas.frame.canvas.clientHeight/yDistance;zoomLevel=xZoomLevel<=yZoomLevel?xZoomLevel:yZoomLevel}1<zoomLevel?zoomLevel=1:0===zoomLevel&&(zoomLevel=1);let center=NetworkUtil.findCenter(range),animationOptions={position:center,scale:zoomLevel,animation:options.animation};this.moveTo(animationOptions)}focus(nodeId,options={}){if(this.body.nodes[nodeId]!==void 0){let nodePosition={x:this.body.nodes[nodeId].x,y:this.body.nodes[nodeId].y};options.position=nodePosition,options.lockedOnNode=nodeId,this.moveTo(options)}else console.log("Node: "+nodeId+" cannot be found.")}moveTo(options){var _NumberisFinite=Number.isFinite;if(void 0===options)return void(options={});if(null!=options.offset){if(null==options.offset.x)options.offset.x=0;else if(options.offset.x=+options.offset.x,!_NumberisFinite(options.offset.x))throw new TypeError("The option \"offset.x\" has to be a finite number.");if(null==options.offset.y)options.offset.x=0;else if(options.offset.y=+options.offset.y,!_NumberisFinite(options.offset.y))throw new TypeError("The option \"offset.y\" has to be a finite number.")}else options.offset={x:0,y:0};if(null!=options.position){if(null==options.position.x)options.position.x=0;else if(options.position.x=+options.position.x,!_NumberisFinite(options.position.x))throw new TypeError("The option \"position.x\" has to be a finite number.");if(null==options.position.y)options.position.x=0;else if(options.position.y=+options.position.y,!_NumberisFinite(options.position.y))throw new TypeError("The option \"position.y\" has to be a finite number.")}else options.position=this.getViewPosition();if(null==options.scale)options.scale=this.body.view.scale;else if(options.scale=+options.scale,!(0<options.scale))throw new TypeError("The option \"scale\" has to be a number greater than zero.");options.animation===void 0&&(options.animation={duration:0}),!1===options.animation&&(options.animation={duration:0}),!0===options.animation&&(options.animation={}),options.animation.duration===void 0&&(options.animation.duration=1e3),options.animation.easingFunction===void 0&&(options.animation.easingFunction="easeInOutQuad"),this.animateView(options)}animateView(options){if(void 0===options)return;this.animationEasingFunction=options.animation.easingFunction,this.releaseNode(),!0===options.locked&&(this.lockedOnNodeId=options.lockedOnNode,this.lockedOnNodeOffset=options.offset),0!=this.easingTime&&this._transitionRedraw(!0),this.sourceScale=this.body.view.scale,this.sourceTranslation=this.body.view.translation,this.targetScale=options.scale,this.body.view.scale=this.targetScale;let viewCenter=this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight}),distanceFromCenter={x:viewCenter.x-options.position.x,y:viewCenter.y-options.position.y};this.targetTranslation={x:this.sourceTranslation.x+distanceFromCenter.x*this.targetScale+options.offset.x,y:this.sourceTranslation.y+distanceFromCenter.y*this.targetScale+options.offset.y},0===options.animation.duration?this.lockedOnNodeId==null?(this.body.view.scale=this.targetScale,this.body.view.translation=this.targetTranslation,this.body.emitter.emit("_requestRedraw")):(this.viewFunction=this._lockedRedraw.bind(this),this.body.emitter.on("initRedraw",this.viewFunction)):(this.animationSpeed=1/(.001*(60*options.animation.duration))||1/60,this.animationEasingFunction=options.animation.easingFunction,this.viewFunction=this._transitionRedraw.bind(this),this.body.emitter.on("initRedraw",this.viewFunction),this.body.emitter.emit("_startRendering"))}_lockedRedraw(){let nodePosition={x:this.body.nodes[this.lockedOnNodeId].x,y:this.body.nodes[this.lockedOnNodeId].y},viewCenter=this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight}),distanceFromCenter={x:viewCenter.x-nodePosition.x,y:viewCenter.y-nodePosition.y},sourceTranslation=this.body.view.translation,targetTranslation={x:sourceTranslation.x+distanceFromCenter.x*this.body.view.scale+this.lockedOnNodeOffset.x,y:sourceTranslation.y+distanceFromCenter.y*this.body.view.scale+this.lockedOnNodeOffset.y};this.body.view.translation=targetTranslation}releaseNode(){this.lockedOnNodeId!==void 0&&this.viewFunction!==void 0&&(this.body.emitter.off("initRedraw",this.viewFunction),this.lockedOnNodeId=void 0,this.lockedOnNodeOffset=void 0)}_transitionRedraw(finished=!1){this.easingTime+=this.animationSpeed,this.easingTime=!0===finished?1:this.easingTime;let progress=util.easingFunctions[this.animationEasingFunction](this.easingTime);this.body.view.scale=this.sourceScale+(this.targetScale-this.sourceScale)*progress,this.body.view.translation={x:this.sourceTranslation.x+(this.targetTranslation.x-this.sourceTranslation.x)*progress,y:this.sourceTranslation.y+(this.targetTranslation.y-this.sourceTranslation.y)*progress},1<=this.easingTime&&(this.body.emitter.off("initRedraw",this.viewFunction),this.easingTime=0,this.lockedOnNodeId!=null&&(this.viewFunction=this._lockedRedraw.bind(this),this.body.emitter.on("initRedraw",this.viewFunction)),this.body.emitter.emit("animationFinished"))}getScale(){return this.body.view.scale}getViewPosition(){return this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight})}}class NavigationHandler{constructor(body,canvas){this.body=body,this.canvas=canvas,this.iconsCreated=!1,this.navigationHammers=[],this.boundFunctions={},this.touchTime=0,this.activated=!1,this.body.emitter.on("activate",()=>{this.activated=!0,this.configureKeyboardBindings()}),this.body.emitter.on("deactivate",()=>{this.activated=!1,this.configureKeyboardBindings()}),this.body.emitter.on("destroy",()=>{this.keycharm!==void 0&&this.keycharm.destroy()}),this.options={}}setOptions(options){options!==void 0&&(this.options=options,this.create())}create(){!0===this.options.navigationButtons?!1===this.iconsCreated&&this.loadNavigationElements():!0===this.iconsCreated&&this.cleanNavigation(),this.configureKeyboardBindings()}cleanNavigation(){if(0!=this.navigationHammers.length){for(var i=0;i<this.navigationHammers.length;i++)this.navigationHammers[i].destroy();this.navigationHammers=[]}this.navigationDOM&&this.navigationDOM.wrapper&&this.navigationDOM.wrapper.parentNode&&this.navigationDOM.wrapper.parentNode.removeChild(this.navigationDOM.wrapper),this.iconsCreated=!1}loadNavigationElements(){this.cleanNavigation(),this.navigationDOM={};var navigationDivs=["up","down","left","right","zoomIn","zoomOut","zoomExtends"],navigationDivActions=["_moveUp","_moveDown","_moveLeft","_moveRight","_zoomIn","_zoomOut","_fit"];this.navigationDOM.wrapper=document.createElement("div"),this.navigationDOM.wrapper.className="vis-navigation",this.canvas.frame.appendChild(this.navigationDOM.wrapper);for(var i=0;i<navigationDivs.length;i++){this.navigationDOM[navigationDivs[i]]=document.createElement("div"),this.navigationDOM[navigationDivs[i]].className="vis-button vis-"+navigationDivs[i],this.navigationDOM.wrapper.appendChild(this.navigationDOM[navigationDivs[i]]);var hammer$1=new hammer(this.navigationDOM[navigationDivs[i]]);"_fit"===navigationDivActions[i]?hammerUtil.onTouch(hammer$1,this._fit.bind(this)):hammerUtil.onTouch(hammer$1,this.bindToRedraw.bind(this,navigationDivActions[i])),this.navigationHammers.push(hammer$1)}var hammerFrame=new hammer(this.canvas.frame);hammerUtil.onRelease(hammerFrame,()=>{this._stopMovement()}),this.navigationHammers.push(hammerFrame),this.iconsCreated=!0}bindToRedraw(action){this.boundFunctions[action]===void 0&&(this.boundFunctions[action]=this[action].bind(this),this.body.emitter.on("initRedraw",this.boundFunctions[action]),this.body.emitter.emit("_startRendering"))}unbindFromRedraw(action){this.boundFunctions[action]!==void 0&&(this.body.emitter.off("initRedraw",this.boundFunctions[action]),this.body.emitter.emit("_stopRendering"),delete this.boundFunctions[action])}_fit(){700<new Date().valueOf()-this.touchTime&&(this.body.emitter.emit("fit",{duration:700}),this.touchTime=new Date().valueOf())}_stopMovement(){for(let boundAction in this.boundFunctions)this.boundFunctions.hasOwnProperty(boundAction)&&(this.body.emitter.off("initRedraw",this.boundFunctions[boundAction]),this.body.emitter.emit("_stopRendering"));this.boundFunctions={}}_moveUp(){this.body.view.translation.y+=this.options.keyboard.speed.y}_moveDown(){this.body.view.translation.y-=this.options.keyboard.speed.y}_moveLeft(){this.body.view.translation.x+=this.options.keyboard.speed.x}_moveRight(){this.body.view.translation.x-=this.options.keyboard.speed.x}_zoomIn(){var scaleOld=this.body.view.scale,scale=this.body.view.scale*(1+this.options.keyboard.speed.zoom),translation=this.body.view.translation,scaleFrac=scale/scaleOld,tx=(1-scaleFrac)*this.canvas.canvasViewCenter.x+translation.x*scaleFrac,ty=(1-scaleFrac)*this.canvas.canvasViewCenter.y+translation.y*scaleFrac;this.body.view.scale=scale,this.body.view.translation={x:tx,y:ty},this.body.emitter.emit("zoom",{direction:"+",scale:this.body.view.scale,pointer:null})}_zoomOut(){var scaleOld=this.body.view.scale,scale=this.body.view.scale/(1+this.options.keyboard.speed.zoom),translation=this.body.view.translation,scaleFrac=scale/scaleOld,tx=(1-scaleFrac)*this.canvas.canvasViewCenter.x+translation.x*scaleFrac,ty=(1-scaleFrac)*this.canvas.canvasViewCenter.y+translation.y*scaleFrac;this.body.view.scale=scale,this.body.view.translation={x:tx,y:ty},this.body.emitter.emit("zoom",{direction:"-",scale:this.body.view.scale,pointer:null})}configureKeyboardBindings(){this.keycharm!==void 0&&this.keycharm.destroy(),!0===this.options.keyboard.enabled&&(this.keycharm=!0===this.options.keyboard.bindToWindow?keycharm({container:window,preventDefault:!0}):keycharm({container:this.canvas.frame,preventDefault:!0}),this.keycharm.reset(),!0===this.activated&&(this.keycharm.bind("up",()=>{this.bindToRedraw("_moveUp")},"keydown"),this.keycharm.bind("down",()=>{this.bindToRedraw("_moveDown")},"keydown"),this.keycharm.bind("left",()=>{this.bindToRedraw("_moveLeft")},"keydown"),this.keycharm.bind("right",()=>{this.bindToRedraw("_moveRight")},"keydown"),this.keycharm.bind("=",()=>{this.bindToRedraw("_zoomIn")},"keydown"),this.keycharm.bind("num+",()=>{this.bindToRedraw("_zoomIn")},"keydown"),this.keycharm.bind("num-",()=>{this.bindToRedraw("_zoomOut")},"keydown"),this.keycharm.bind("-",()=>{this.bindToRedraw("_zoomOut")},"keydown"),this.keycharm.bind("[",()=>{this.bindToRedraw("_zoomOut")},"keydown"),this.keycharm.bind("]",()=>{this.bindToRedraw("_zoomIn")},"keydown"),this.keycharm.bind("pageup",()=>{this.bindToRedraw("_zoomIn")},"keydown"),this.keycharm.bind("pagedown",()=>{this.bindToRedraw("_zoomOut")},"keydown"),this.keycharm.bind("up",()=>{this.unbindFromRedraw("_moveUp")},"keyup"),this.keycharm.bind("down",()=>{this.unbindFromRedraw("_moveDown")},"keyup"),this.keycharm.bind("left",()=>{this.unbindFromRedraw("_moveLeft")},"keyup"),this.keycharm.bind("right",()=>{this.unbindFromRedraw("_moveRight")},"keyup"),this.keycharm.bind("=",()=>{this.unbindFromRedraw("_zoomIn")},"keyup"),this.keycharm.bind("num+",()=>{this.unbindFromRedraw("_zoomIn")},"keyup"),this.keycharm.bind("num-",()=>{this.unbindFromRedraw("_zoomOut")},"keyup"),this.keycharm.bind("-",()=>{this.unbindFromRedraw("_zoomOut")},"keyup"),this.keycharm.bind("[",()=>{this.unbindFromRedraw("_zoomOut")},"keyup"),this.keycharm.bind("]",()=>{this.unbindFromRedraw("_zoomIn")},"keyup"),this.keycharm.bind("pageup",()=>{this.unbindFromRedraw("_zoomIn")},"keyup"),this.keycharm.bind("pagedown",()=>{this.unbindFromRedraw("_zoomOut")},"keyup")))}}class Popup{constructor(container,overflowMethod){this.container=container,this.overflowMethod=overflowMethod||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}setPosition(x,y){this.x=parseInt(x),this.y=parseInt(y)}setText(content){content instanceof Element?(this.frame.innerHTML="",this.frame.appendChild(content)):this.frame.innerHTML=content}show(doShow){if(void 0===doShow&&(doShow=!0),!0===doShow){var height=this.frame.clientHeight,width=this.frame.clientWidth,maxHeight=this.frame.parentNode.clientHeight,maxWidth=this.frame.parentNode.clientWidth,left=0,top=0;if("flip"==this.overflowMethod){var isLeft=!1,isTop=!0;this.y-height<this.padding&&(isTop=!1),this.x+width>maxWidth-this.padding&&(isLeft=!0),left=isLeft?this.x-width:this.x,top=isTop?this.y-height:this.y}else top=this.y-height,top+height+this.padding>maxHeight&&(top=maxHeight-height-this.padding),top<this.padding&&(top=this.padding),left=this.x,left+width+this.padding>maxWidth&&(left=maxWidth-width-this.padding),left<this.padding&&(left=this.padding);this.frame.style.left=left+"px",this.frame.style.top=top+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}hide(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}destroy(){this.frame.parentNode.removeChild(this.frame)}}class InteractionHandler{constructor(body,canvas,selectionHandler){this.body=body,this.canvas=canvas,this.selectionHandler=selectionHandler,this.navigationHandler=new NavigationHandler(body,canvas),this.body.eventListeners.onTap=this.onTap.bind(this),this.body.eventListeners.onTouch=this.onTouch.bind(this),this.body.eventListeners.onDoubleTap=this.onDoubleTap.bind(this),this.body.eventListeners.onHold=this.onHold.bind(this),this.body.eventListeners.onDragStart=this.onDragStart.bind(this),this.body.eventListeners.onDrag=this.onDrag.bind(this),this.body.eventListeners.onDragEnd=this.onDragEnd.bind(this),this.body.eventListeners.onMouseWheel=this.onMouseWheel.bind(this),this.body.eventListeners.onPinch=this.onPinch.bind(this),this.body.eventListeners.onMouseMove=this.onMouseMove.bind(this),this.body.eventListeners.onRelease=this.onRelease.bind(this),this.body.eventListeners.onContext=this.onContext.bind(this),this.touchTime=0,this.drag={},this.pinch={},this.popup=void 0,this.popupObj=void 0,this.popupTimer=void 0,this.body.functions.getPointer=this.getPointer.bind(this),this.options={},this.defaultOptions={dragNodes:!0,dragView:!0,hover:!1,keyboard:{enabled:!1,speed:{x:10,y:10,zoom:.02},bindToWindow:!0},navigationButtons:!1,tooltipDelay:300,zoomView:!0,zoomSpeed:1},util.extend(this.options,this.defaultOptions),this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("destroy",()=>{clearTimeout(this.popupTimer),delete this.body.functions.getPointer})}setOptions(options){if(options!==void 0){util.selectiveNotDeepExtend(["hideEdgesOnDrag","hideEdgesOnZoom","hideNodesOnDrag","keyboard","multiselect","selectable","selectConnectedEdges"],this.options,options),util.mergeOptions(this.options,options,"keyboard"),options.tooltip&&(util.extend(this.options.tooltip,options.tooltip),options.tooltip.color&&(this.options.tooltip.color=util.parseColor(options.tooltip.color)))}this.navigationHandler.setOptions(this.options)}getPointer(touch){return{x:touch.x-util.getAbsoluteLeft(this.canvas.frame.canvas),y:touch.y-util.getAbsoluteTop(this.canvas.frame.canvas)}}onTouch(event){50<new Date().valueOf()-this.touchTime&&(this.drag.pointer=this.getPointer(event.center),this.drag.pinched=!1,this.pinch.scale=this.body.view.scale,this.touchTime=new Date().valueOf())}onTap(event){let pointer=this.getPointer(event.center),multiselect=this.selectionHandler.options.multiselect&&(event.changedPointers[0].ctrlKey||event.changedPointers[0].metaKey);this.checkSelectionChanges(pointer,event,multiselect),this.selectionHandler._generateClickEvent("click",event,pointer)}onDoubleTap(event){let pointer=this.getPointer(event.center);this.selectionHandler._generateClickEvent("doubleClick",event,pointer)}onHold(event){let pointer=this.getPointer(event.center),multiselect=this.selectionHandler.options.multiselect;this.checkSelectionChanges(pointer,event,multiselect),this.selectionHandler._generateClickEvent("click",event,pointer),this.selectionHandler._generateClickEvent("hold",event,pointer)}onRelease(event){if(10<new Date().valueOf()-this.touchTime){let pointer=this.getPointer(event.center);this.selectionHandler._generateClickEvent("release",event,pointer),this.touchTime=new Date().valueOf()}}onContext(event){let pointer=this.getPointer({x:event.clientX,y:event.clientY});this.selectionHandler._generateClickEvent("oncontext",event,pointer)}checkSelectionChanges(pointer,event,add=!1){let previousSelection=this.selectionHandler.getSelection(),selected=!1;selected=!0===add?this.selectionHandler.selectAdditionalOnPoint(pointer):this.selectionHandler.selectOnPoint(pointer);let currentSelection=this.selectionHandler.getSelection(),deselectedItems=this._determineDifference(previousSelection,currentSelection),selectedItems=this._determineDifference(currentSelection,previousSelection);0<deselectedItems.edges.length&&(this.selectionHandler._generateClickEvent("deselectEdge",event,pointer,previousSelection),selected=!0),0<deselectedItems.nodes.length&&(this.selectionHandler._generateClickEvent("deselectNode",event,pointer,previousSelection),selected=!0),0<selectedItems.nodes.length&&(this.selectionHandler._generateClickEvent("selectNode",event,pointer),selected=!0),0<selectedItems.edges.length&&(this.selectionHandler._generateClickEvent("selectEdge",event,pointer),selected=!0),!0===selected&&this.selectionHandler._generateClickEvent("select",event,pointer)}_determineDifference(firstSet,secondSet){let arrayDiff=function(firstArr,secondArr){let result=[];for(let i=0,value;i<firstArr.length;i++)value=firstArr[i],-1===secondArr.indexOf(value)&&result.push(value);return result};return{nodes:arrayDiff(firstSet.nodes,secondSet.nodes),edges:arrayDiff(firstSet.edges,secondSet.edges)}}onDragStart(event){void 0===this.drag.pointer&&this.onTouch(event);let node=this.selectionHandler.getNodeAt(this.drag.pointer);if(this.drag.dragging=!0,this.drag.selection=[],this.drag.translation=util.extend({},this.body.view.translation),this.drag.nodeId=void 0,void 0!==node&&!0===this.options.dragNodes){this.drag.nodeId=node.id,!1===node.isSelected()&&(this.selectionHandler.unselectAll(),this.selectionHandler.selectObject(node)),this.selectionHandler._generateClickEvent("dragStart",event,this.drag.pointer);let selection=this.selectionHandler.selectionObj.nodes;for(let nodeId in selection)if(selection.hasOwnProperty(nodeId)){let object=selection[nodeId],s={id:object.id,node:object,x:object.x,y:object.y,xFixed:object.options.fixed.x,yFixed:object.options.fixed.y};object.options.fixed.x=!0,object.options.fixed.y=!0,this.drag.selection.push(s)}}else this.selectionHandler._generateClickEvent("dragStart",event,this.drag.pointer,void 0,!0)}onDrag(event){if(!0===this.drag.pinched)return;this.body.emitter.emit("unlockNode");let pointer=this.getPointer(event.center),selection=this.drag.selection;if(selection&&selection.length&&!0===this.options.dragNodes){this.selectionHandler._generateClickEvent("dragging",event,pointer);let deltaX=pointer.x-this.drag.pointer.x,deltaY=pointer.y-this.drag.pointer.y;selection.forEach(selection=>{let node=selection.node;!1===selection.xFixed&&(node.x=this.canvas._XconvertDOMtoCanvas(this.canvas._XconvertCanvasToDOM(selection.x)+deltaX)),!1===selection.yFixed&&(node.y=this.canvas._YconvertDOMtoCanvas(this.canvas._YconvertCanvasToDOM(selection.y)+deltaY))}),this.body.emitter.emit("startSimulation")}else if(!0===this.options.dragView){if(this.selectionHandler._generateClickEvent("dragging",event,pointer,void 0,!0),void 0===this.drag.pointer)return void this.onDragStart(event);let diffX=pointer.x-this.drag.pointer.x,diffY=pointer.y-this.drag.pointer.y;this.body.view.translation={x:this.drag.translation.x+diffX,y:this.drag.translation.y+diffY},this.body.emitter.emit("_requestRedraw")}}onDragEnd(event){this.drag.dragging=!1;let selection=this.drag.selection;selection&&selection.length?(selection.forEach(function(s){s.node.options.fixed.x=s.xFixed,s.node.options.fixed.y=s.yFixed}),this.selectionHandler._generateClickEvent("dragEnd",event,this.getPointer(event.center)),this.body.emitter.emit("startSimulation")):(this.selectionHandler._generateClickEvent("dragEnd",event,this.getPointer(event.center),void 0,!0),this.body.emitter.emit("_requestRedraw"))}onPinch(event){let pointer=this.getPointer(event.center);this.drag.pinched=!0,this.pinch.scale===void 0&&(this.pinch.scale=1);let scale=this.pinch.scale*event.scale;this.zoom(scale,pointer)}zoom(scale,pointer){if(!0===this.options.zoomView){let scaleOld=this.body.view.scale;1e-5>scale&&(scale=1e-5),10<scale&&(scale=10);let preScaleDragPointer;void 0!==this.drag&&!0===this.drag.dragging&&(preScaleDragPointer=this.canvas.DOMtoCanvas(this.drag.pointer));let translation=this.body.view.translation,scaleFrac=scale/scaleOld,tx=(1-scaleFrac)*pointer.x+translation.x*scaleFrac,ty=(1-scaleFrac)*pointer.y+translation.y*scaleFrac;if(this.body.view.scale=scale,this.body.view.translation={x:tx,y:ty},null!=preScaleDragPointer){let postScaleDragPointer=this.canvas.canvasToDOM(preScaleDragPointer);this.drag.pointer.x=postScaleDragPointer.x,this.drag.pointer.y=postScaleDragPointer.y}this.body.emitter.emit("_requestRedraw"),scaleOld<scale?this.body.emitter.emit("zoom",{direction:"+",scale:this.body.view.scale,pointer:pointer}):this.body.emitter.emit("zoom",{direction:"-",scale:this.body.view.scale,pointer:pointer})}}onMouseWheel(event){if(!0===this.options.zoomView){let delta=0;if(event.wheelDelta?delta=event.wheelDelta/120:event.detail&&(delta=-event.detail/3),0!=delta){let scale=this.body.view.scale,zoom=delta*(this.options.zoomSpeed/10);0>delta&&(zoom/=1-zoom),scale*=1+zoom;let pointer=this.getPointer({x:event.clientX,y:event.clientY});this.zoom(scale,pointer)}event.preventDefault()}}onMouseMove(event){let pointer=this.getPointer({x:event.clientX,y:event.clientY}),popupVisible=!1;this.popup!==void 0&&(!1===this.popup.hidden&&this._checkHidePopup(pointer),!1===this.popup.hidden&&(popupVisible=!0,this.popup.setPosition(pointer.x+3,pointer.y-5),this.popup.show())),!1===this.options.keyboard.bindToWindow&&!0===this.options.keyboard.enabled&&this.canvas.frame.focus(),!1===popupVisible&&(this.popupTimer!==void 0&&(clearInterval(this.popupTimer),this.popupTimer=void 0),!this.drag.dragging&&(this.popupTimer=setTimeout(()=>this._checkShowPopup(pointer),this.options.tooltipDelay))),!0===this.options.hover&&this.selectionHandler.hoverObject(event,pointer)}_checkShowPopup(pointer){let x=this.canvas._XconvertDOMtoCanvas(pointer.x),y=this.canvas._YconvertDOMtoCanvas(pointer.y),pointerObj={left:x,top:y,right:x,bottom:y},previousPopupObjId=this.popupObj===void 0?void 0:this.popupObj.id,nodeUnderCursor=!1,popupType="node";if(this.popupObj===void 0){let nodeIndices=this.body.nodeIndices,nodes=this.body.nodes,overlappingNodes=[],node;for(let i=0;i<nodeIndices.length;i++)node=nodes[nodeIndices[i]],!0===node.isOverlappingWith(pointerObj)&&(nodeUnderCursor=!0,void 0!==node.getTitle()&&overlappingNodes.push(nodeIndices[i]));0<overlappingNodes.length&&(this.popupObj=nodes[overlappingNodes[overlappingNodes.length-1]],nodeUnderCursor=!0)}if(void 0===this.popupObj&&!1===nodeUnderCursor){let edgeIndices=this.body.edgeIndices,edges=this.body.edges,overlappingEdges=[],edge;for(let i=0;i<edgeIndices.length;i++)edge=edges[edgeIndices[i]],!0===edge.isOverlappingWith(pointerObj)&&!0===edge.connected&&void 0!==edge.getTitle()&&overlappingEdges.push(edgeIndices[i]);0<overlappingEdges.length&&(this.popupObj=edges[overlappingEdges[overlappingEdges.length-1]],popupType="edge")}this.popupObj===void 0?this.popup!==void 0&&(this.popup.hide(),this.body.emitter.emit("hidePopup")):this.popupObj.id!==previousPopupObjId&&(this.popup===void 0&&(this.popup=new Popup(this.canvas.frame)),this.popup.popupTargetType=popupType,this.popup.popupTargetId=this.popupObj.id,this.popup.setPosition(pointer.x+3,pointer.y-5),this.popup.setText(this.popupObj.getTitle()),this.popup.show(),this.body.emitter.emit("showPopup",this.popupObj.id))}_checkHidePopup(pointer){let pointerObj=this.selectionHandler._pointerToPositionObject(pointer),stillOnObj=!1;if(!("node"===this.popup.popupTargetType))void 0===this.selectionHandler.getNodeAt(pointer)&&void 0!==this.body.edges[this.popup.popupTargetId]&&(stillOnObj=this.body.edges[this.popup.popupTargetId].isOverlappingWith(pointerObj));else if(void 0!==this.body.nodes[this.popup.popupTargetId]&&(stillOnObj=this.body.nodes[this.popup.popupTargetId].isOverlappingWith(pointerObj),!0===stillOnObj)){let overNode=this.selectionHandler.getNodeAt(pointer);stillOnObj=void 0!==overNode&&overNode.id===this.popup.popupTargetId}!1===stillOnObj&&(this.popupObj=void 0,this.popup.hide(),this.body.emitter.emit("hidePopup"))}}class SelectionHandler{constructor(body,canvas){this.body=body,this.canvas=canvas,this.selectionObj={nodes:[],edges:[]},this.hoverObj={nodes:{},edges:{}},this.options={},this.defaultOptions={multiselect:!1,selectable:!0,selectConnectedEdges:!0,hoverConnectedEdges:!0},util.extend(this.options,this.defaultOptions),this.body.emitter.on("_dataChanged",()=>{this.updateSelection()})}setOptions(options){if(options!==void 0){util.selectiveDeepExtend(["multiselect","hoverConnectedEdges","selectable","selectConnectedEdges"],this.options,options)}}selectOnPoint(pointer){let selected=!1;if(!0===this.options.selectable){let obj=this.getNodeAt(pointer)||this.getEdgeAt(pointer);this.unselectAll(),obj!==void 0&&(selected=this.selectObject(obj)),this.body.emitter.emit("_requestRedraw")}return selected}selectAdditionalOnPoint(pointer){let selectionChanged=!1;if(!0===this.options.selectable){let obj=this.getNodeAt(pointer)||this.getEdgeAt(pointer);obj!==void 0&&(selectionChanged=!0,!0===obj.isSelected()?this.deselectObject(obj):this.selectObject(obj),this.body.emitter.emit("_requestRedraw"))}return selectionChanged}_initBaseEvent(event,pointer){let properties={pointer:{DOM:{x:pointer.x,y:pointer.y},canvas:this.canvas.DOMtoCanvas(pointer)},event:event};return properties}_generateClickEvent(eventType,event,pointer,oldSelection,emptySelection=!1){let properties=this._initBaseEvent(event,pointer);if(!0===emptySelection)properties.nodes=[],properties.edges=[];else{let tmp=this.getSelection();properties.nodes=tmp.nodes,properties.edges=tmp.edges}oldSelection!==void 0&&(properties.previousSelection=oldSelection),"click"==eventType&&(properties.items=this.getClickedItems(pointer)),event.controlEdge!==void 0&&(properties.controlEdge=event.controlEdge),this.body.emitter.emit(eventType,properties)}selectObject(obj,highlightEdges=this.options.selectConnectedEdges){return void 0!==obj&&(obj instanceof Node&&!0===highlightEdges&&this._selectConnectedEdges(obj),obj.select(),this._addToSelection(obj),!0)}deselectObject(obj){!0===obj.isSelected()&&(obj.selected=!1,this._removeFromSelection(obj))}_getAllNodesOverlappingWith(object){let overlappingNodes=[],nodes=this.body.nodes;for(let i=0,nodeId;i<this.body.nodeIndices.length;i++)nodeId=this.body.nodeIndices[i],nodes[nodeId].isOverlappingWith(object)&&overlappingNodes.push(nodeId);return overlappingNodes}_pointerToPositionObject(pointer){let canvasPos=this.canvas.DOMtoCanvas(pointer);return{left:canvasPos.x-1,top:canvasPos.y+1,right:canvasPos.x+1,bottom:canvasPos.y-1}}getNodeAt(pointer,returnNode=!0){let positionObject=this._pointerToPositionObject(pointer),overlappingNodes=this._getAllNodesOverlappingWith(positionObject);return 0<overlappingNodes.length?!0===returnNode?this.body.nodes[overlappingNodes[overlappingNodes.length-1]]:overlappingNodes[overlappingNodes.length-1]:void 0}_getEdgesOverlappingWith(object,overlappingEdges){let edges=this.body.edges;for(let i=0,edgeId;i<this.body.edgeIndices.length;i++)edgeId=this.body.edgeIndices[i],edges[edgeId].isOverlappingWith(object)&&overlappingEdges.push(edgeId)}_getAllEdgesOverlappingWith(object){let overlappingEdges=[];return this._getEdgesOverlappingWith(object,overlappingEdges),overlappingEdges}getEdgeAt(pointer,returnEdge=!0){for(var canvasPos=this.canvas.DOMtoCanvas(pointer),mindist=10,overlappingEdge=null,edges=this.body.edges,i=0;i<this.body.edgeIndices.length;i++){var edgeId=this.body.edgeIndices[i],edge=edges[edgeId];if(edge.connected){var xFrom=edge.from.x,yFrom=edge.from.y,xTo=edge.to.x,yTo=edge.to.y,dist=edge.edgeType.getDistanceToEdge(xFrom,yFrom,xTo,yTo,canvasPos.x,canvasPos.y);dist<mindist&&(overlappingEdge=edgeId,mindist=dist)}}return null===overlappingEdge?void 0:!0===returnEdge?this.body.edges[overlappingEdge]:overlappingEdge}_addToSelection(obj){obj instanceof Node?this.selectionObj.nodes[obj.id]=obj:this.selectionObj.edges[obj.id]=obj}_addToHover(obj){obj instanceof Node?this.hoverObj.nodes[obj.id]=obj:this.hoverObj.edges[obj.id]=obj}_removeFromSelection(obj){obj instanceof Node?(delete this.selectionObj.nodes[obj.id],this._unselectConnectedEdges(obj)):delete this.selectionObj.edges[obj.id]}unselectAll(){for(let nodeId in this.selectionObj.nodes)this.selectionObj.nodes.hasOwnProperty(nodeId)&&this.selectionObj.nodes[nodeId].unselect();for(let edgeId in this.selectionObj.edges)this.selectionObj.edges.hasOwnProperty(edgeId)&&this.selectionObj.edges[edgeId].unselect();this.selectionObj={nodes:{},edges:{}}}_getSelectedNodeCount(){let count=0;for(let nodeId in this.selectionObj.nodes)this.selectionObj.nodes.hasOwnProperty(nodeId)&&(count+=1);return count}_getSelectedNode(){for(let nodeId in this.selectionObj.nodes)if(this.selectionObj.nodes.hasOwnProperty(nodeId))return this.selectionObj.nodes[nodeId]}_getSelectedEdge(){for(let edgeId in this.selectionObj.edges)if(this.selectionObj.edges.hasOwnProperty(edgeId))return this.selectionObj.edges[edgeId]}_getSelectedEdgeCount(){let count=0;for(let edgeId in this.selectionObj.edges)this.selectionObj.edges.hasOwnProperty(edgeId)&&(count+=1);return count}_getSelectedObjectCount(){let count=0;for(let nodeId in this.selectionObj.nodes)this.selectionObj.nodes.hasOwnProperty(nodeId)&&(count+=1);for(let edgeId in this.selectionObj.edges)this.selectionObj.edges.hasOwnProperty(edgeId)&&(count+=1);return count}_selectionIsEmpty(){for(let nodeId in this.selectionObj.nodes)if(this.selectionObj.nodes.hasOwnProperty(nodeId))return!1;for(let edgeId in this.selectionObj.edges)if(this.selectionObj.edges.hasOwnProperty(edgeId))return!1;return!0}_clusterInSelection(){for(let nodeId in this.selectionObj.nodes)if(this.selectionObj.nodes.hasOwnProperty(nodeId)&&1<this.selectionObj.nodes[nodeId].clusterSize)return!0;return!1}_selectConnectedEdges(node){for(let i=0,edge;i<node.edges.length;i++)edge=node.edges[i],edge.select(),this._addToSelection(edge)}_hoverConnectedEdges(node){for(let i=0,edge;i<node.edges.length;i++)edge=node.edges[i],edge.hover=!0,this._addToHover(edge)}_unselectConnectedEdges(node){for(let i=0,edge;i<node.edges.length;i++)edge=node.edges[i],edge.unselect(),this._removeFromSelection(edge)}emitBlurEvent(event,pointer,object){let properties=this._initBaseEvent(event,pointer);!0===object.hover&&(object.hover=!1,object instanceof Node?(properties.node=object.id,this.body.emitter.emit("blurNode",properties)):(properties.edge=object.id,this.body.emitter.emit("blurEdge",properties)))}emitHoverEvent(event,pointer,object){let properties=this._initBaseEvent(event,pointer),hoverChanged=!1;return!1===object.hover&&(object.hover=!0,this._addToHover(object),hoverChanged=!0,object instanceof Node?(properties.node=object.id,this.body.emitter.emit("hoverNode",properties)):(properties.edge=object.id,this.body.emitter.emit("hoverEdge",properties))),hoverChanged}hoverObject(event,pointer){let object=this.getNodeAt(pointer);object===void 0&&(object=this.getEdgeAt(pointer));let hoverChanged=!1;for(let nodeId in this.hoverObj.nodes)this.hoverObj.nodes.hasOwnProperty(nodeId)&&(void 0===object||object instanceof Node&&object.id!=nodeId||object instanceof Edge)&&(this.emitBlurEvent(event,pointer,this.hoverObj.nodes[nodeId]),delete this.hoverObj.nodes[nodeId],hoverChanged=!0);for(let edgeId in this.hoverObj.edges)this.hoverObj.edges.hasOwnProperty(edgeId)&&(!0===hoverChanged?(this.hoverObj.edges[edgeId].hover=!1,delete this.hoverObj.edges[edgeId]):(void 0===object||object instanceof Edge&&object.id!=edgeId||object instanceof Node&&!object.hover)&&(this.emitBlurEvent(event,pointer,this.hoverObj.edges[edgeId]),delete this.hoverObj.edges[edgeId],hoverChanged=!0));if(object!==void 0){const hoveredEdgesCount=Object.keys(this.hoverObj.edges).length,hoveredNodesCount=Object.keys(this.hoverObj.nodes).length,newOnlyHoveredEdge=object instanceof Edge&&0===hoveredEdgesCount&&0===hoveredNodesCount,newOnlyHoveredNode=object instanceof Node&&0===hoveredEdgesCount&&0===hoveredNodesCount;(hoverChanged||newOnlyHoveredEdge||newOnlyHoveredNode)&&(hoverChanged=this.emitHoverEvent(event,pointer,object)),object instanceof Node&&!0===this.options.hoverConnectedEdges&&this._hoverConnectedEdges(object)}!0===hoverChanged&&this.body.emitter.emit("_requestRedraw")}getSelection(){let nodeIds=this.getSelectedNodes(),edgeIds=this.getSelectedEdges();return{nodes:nodeIds,edges:edgeIds}}getSelectedNodes(){let idArray=[];if(!0===this.options.selectable)for(let nodeId in this.selectionObj.nodes)this.selectionObj.nodes.hasOwnProperty(nodeId)&&idArray.push(this.selectionObj.nodes[nodeId].id);return idArray}getSelectedEdges(){let idArray=[];if(!0===this.options.selectable)for(let edgeId in this.selectionObj.edges)this.selectionObj.edges.hasOwnProperty(edgeId)&&idArray.push(this.selectionObj.edges[edgeId].id);return idArray}setSelection(selection,options={}){let i,id;if(!selection||!selection.nodes&&!selection.edges)throw"Selection must be an object with nodes and/or edges properties";if((options.unselectAll||void 0===options.unselectAll)&&this.unselectAll(),selection.nodes)for(i=0;i<selection.nodes.length;i++){id=selection.nodes[i];let node=this.body.nodes[id];if(!node)throw new RangeError("Node with id \""+id+"\" not found");this.selectObject(node,options.highlightEdges)}if(selection.edges)for(i=0;i<selection.edges.length;i++){id=selection.edges[i];let edge=this.body.edges[id];if(!edge)throw new RangeError("Edge with id \""+id+"\" not found");this.selectObject(edge)}this.body.emitter.emit("_requestRedraw")}selectNodes(selection,highlightEdges=!0){if(!selection||selection.length===void 0)throw"Selection must be an array with ids";this.setSelection({nodes:selection},{highlightEdges:highlightEdges})}selectEdges(selection){if(!selection||selection.length===void 0)throw"Selection must be an array with ids";this.setSelection({edges:selection})}updateSelection(){for(let nodeId in this.selectionObj.nodes)this.selectionObj.nodes.hasOwnProperty(nodeId)&&(this.body.nodes.hasOwnProperty(nodeId)||delete this.selectionObj.nodes[nodeId]);for(let edgeId in this.selectionObj.edges)this.selectionObj.edges.hasOwnProperty(edgeId)&&(this.body.edges.hasOwnProperty(edgeId)||delete this.selectionObj.edges[edgeId])}getClickedItems(pointer){let point=this.canvas.DOMtoCanvas(pointer);var items=[];let nodeIndices=this.body.nodeIndices,nodes=this.body.nodes;for(let i=nodeIndices.length-1;0<=i;i--){let node=nodes[nodeIndices[i]],ret=node.getItemsOnPoint(point);items.push.apply(items,ret)}let edgeIndices=this.body.edgeIndices,edges=this.body.edges;for(let i=edgeIndices.length-1;0<=i;i--){let edge=edges[edgeIndices[i]],ret=edge.getItemsOnPoint(point);items.push.apply(items,ret)}return items}}var timsort=createCommonjsModule$2(function(module,exports){(function(global,factory){factory(exports)})(commonjsGlobal$2,function(exports){function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor))throw new TypeError("Cannot call a class as a function")}function log10(x){return 1e5>x?100>x?10>x?0:1:1e4>x?1e3>x?2:3:4:1e7>x?1e6>x?5:6:1e9>x?1e8>x?7:8:9}function alphabeticalCompare(a,b){if(a===b)return 0;if(~~a===a&&~~b===b){if(0===a||0===b)return a<b?-1:1;if(0>a||0>b){if(0<=b)return-1;if(0<=a)return 1;a=-a,b=-b}var al=log10(a),bl=log10(b),t=0;return al<bl?(a*=POWERS_OF_TEN[bl-al-1],b/=10,t=-1):al>bl&&(b*=POWERS_OF_TEN[al-bl-1],a/=10,t=1),a===b?t:a<b?-1:1}var aStr=a+"",bStr=b+"";return aStr===bStr?0:aStr<bStr?-1:1}function minRunLength(n){for(var r=0;n>=32;)r|=1&n,n>>=1;return n+r}function makeAscendingRun(array,lo,hi,compare){var runHi=lo+1;if(runHi===hi)return 1;if(0>compare(array[runHi++],array[lo])){for(;runHi<hi&&0>compare(array[runHi],array[runHi-1]);)runHi++;reverseRun(array,lo,runHi)}else for(;runHi<hi&&0<=compare(array[runHi],array[runHi-1]);)runHi++;return runHi-lo}function reverseRun(array,lo,hi){for(hi--;lo<hi;){var t=array[lo];array[lo++]=array[hi],array[hi--]=t}}function binaryInsertionSort(array,lo,hi,start,compare){for(start===lo&&start++;start<hi;start++){for(var pivot=array[start],left=lo,right=start;left<right;){var mid=left+right>>>1;0>compare(pivot,array[mid])?right=mid:left=mid+1}var n=start-left;switch(n){case 3:array[left+3]=array[left+2];case 2:array[left+2]=array[left+1];case 1:array[left+1]=array[left];break;default:for(;0<n;)array[left+n]=array[left+n-1],n--;}array[left]=pivot}}function gallopLeft(value,array,start,length,hint,compare){var lastOffset=0,maxOffset=0,offset=1;if(0<compare(value,array[start+hint])){for(maxOffset=length-hint;offset<maxOffset&&0<compare(value,array[start+hint+offset]);)lastOffset=offset,offset=(offset<<1)+1,0>=offset&&(offset=maxOffset);offset>maxOffset&&(offset=maxOffset),lastOffset+=hint,offset+=hint}else{for(maxOffset=hint+1;offset<maxOffset&&0>=compare(value,array[start+hint-offset]);)lastOffset=offset,offset=(offset<<1)+1,0>=offset&&(offset=maxOffset);offset>maxOffset&&(offset=maxOffset);var tmp=lastOffset;lastOffset=hint-offset,offset=hint-tmp}for(lastOffset++;lastOffset<offset;){var m=lastOffset+(offset-lastOffset>>>1);0<compare(value,array[start+m])?lastOffset=m+1:offset=m}return offset}function gallopRight(value,array,start,length,hint,compare){var lastOffset=0,maxOffset=0,offset=1;if(0>compare(value,array[start+hint])){for(maxOffset=hint+1;offset<maxOffset&&0>compare(value,array[start+hint-offset]);)lastOffset=offset,offset=(offset<<1)+1,0>=offset&&(offset=maxOffset);offset>maxOffset&&(offset=maxOffset);var tmp=lastOffset;lastOffset=hint-offset,offset=hint-tmp}else{for(maxOffset=length-hint;offset<maxOffset&&0<=compare(value,array[start+hint+offset]);)lastOffset=offset,offset=(offset<<1)+1,0>=offset&&(offset=maxOffset);offset>maxOffset&&(offset=maxOffset),lastOffset+=hint,offset+=hint}for(lastOffset++;lastOffset<offset;){var m=lastOffset+(offset-lastOffset>>>1);0>compare(value,array[start+m])?offset=m:lastOffset=m+1}return offset}exports.__esModule=!0,exports.sort=function(array,compare,lo,hi){if(!Array.isArray(array))throw new TypeError("Can only sort arrays");compare?"function"!=typeof compare&&(hi=lo,lo=compare,compare=alphabeticalCompare):compare=alphabeticalCompare,lo||(lo=0),hi||(hi=array.length);var remaining=hi-lo;if(!(2>remaining)){var runLength=0;if(32>remaining)return runLength=makeAscendingRun(array,lo,hi,compare),void binaryInsertionSort(array,lo,hi,lo+runLength,compare);var ts=new TimSort(array,compare),minRun=minRunLength(remaining);do{if(runLength=makeAscendingRun(array,lo,hi,compare),runLength<minRun){var force=remaining;force>minRun&&(force=minRun),binaryInsertionSort(array,lo,lo+force,lo+runLength,compare),runLength=force}ts.pushRun(lo,runLength),ts.mergeRuns(),remaining-=runLength,lo+=runLength}while(0!==remaining);ts.forceMergeRuns()}};var DEFAULT_MIN_GALLOPING=7,DEFAULT_TMP_STORAGE_LENGTH=256,POWERS_OF_TEN=[1,10,100,1e3,1e4,1e5,1e6,1e7,1e8,1e9],TimSort=function(){function TimSort(array,compare){_classCallCheck(this,TimSort),this.array=null,this.compare=null,this.minGallop=DEFAULT_MIN_GALLOPING,this.length=0,this.tmpStorageLength=DEFAULT_TMP_STORAGE_LENGTH,this.stackLength=0,this.runStart=null,this.runLength=null,this.stackSize=0,this.array=array,this.compare=compare,this.length=array.length,this.length<2*DEFAULT_TMP_STORAGE_LENGTH&&(this.tmpStorageLength=this.length>>>1),this.tmp=Array(this.tmpStorageLength),this.stackLength=120>this.length?5:1542>this.length?10:119151>this.length?19:40,this.runStart=Array(this.stackLength),this.runLength=Array(this.stackLength)}return TimSort.prototype.pushRun=function(runStart,runLength){this.runStart[this.stackSize]=runStart,this.runLength[this.stackSize]=runLength,this.stackSize+=1},TimSort.prototype.mergeRuns=function(){for(;1<this.stackSize;){var n=this.stackSize-2;if(1<=n&&this.runLength[n-1]<=this.runLength[n]+this.runLength[n+1]||2<=n&&this.runLength[n-2]<=this.runLength[n]+this.runLength[n-1])this.runLength[n-1]<this.runLength[n+1]&&n--;else if(this.runLength[n]>this.runLength[n+1])break;this.mergeAt(n)}},TimSort.prototype.forceMergeRuns=function(){for(;1<this.stackSize;){var n=this.stackSize-2;0<n&&this.runLength[n-1]<this.runLength[n+1]&&n--,this.mergeAt(n)}},TimSort.prototype.mergeAt=function(i){var compare=this.compare,array=this.array,start1=this.runStart[i],length1=this.runLength[i],start2=this.runStart[i+1],length2=this.runLength[i+1];this.runLength[i]=length1+length2,i===this.stackSize-3&&(this.runStart[i+1]=this.runStart[i+2],this.runLength[i+1]=this.runLength[i+2]),this.stackSize--;var k=gallopRight(array[start2],array,start1,length1,0,compare);(start1+=k,length1-=k,0!==length1)&&(length2=gallopLeft(array[start1+length1-1],array,start2,length2,length2-1,compare),0===length2||(length1<=length2?this.mergeLow(start1,length1,start2,length2):this.mergeHigh(start1,length1,start2,length2)))},TimSort.prototype.mergeLow=function(start1,length1,start2,length2){var compare=this.compare,array=this.array,tmp=this.tmp,i=0;for(i=0;i<length1;i++)tmp[i]=array[start1+i];var cursor1=0,cursor2=start2,dest=start1;if(array[dest++]=array[cursor2++],0==--length2){for(i=0;i<length1;i++)array[dest+i]=tmp[cursor1+i];return}if(1===length1){for(i=0;i<length2;i++)array[dest+i]=array[cursor2+i];return void(array[dest+length2]=tmp[cursor1])}for(var minGallop=this.minGallop;;){var count1=0,count2=0,exit=!1;do if(0>compare(array[cursor2],tmp[cursor1])){if(array[dest++]=array[cursor2++],count2++,count1=0,0==--length2){exit=!0;break}}else if(array[dest++]=tmp[cursor1++],count1++,count2=0,1==--length1){exit=!0;break}while((count1|count2)<minGallop);if(exit)break;do{if(count1=gallopRight(array[cursor2],tmp,cursor1,length1,0,compare),0!==count1){for(i=0;i<count1;i++)array[dest+i]=tmp[cursor1+i];if(dest+=count1,cursor1+=count1,length1-=count1,1>=length1){exit=!0;break}}if(array[dest++]=array[cursor2++],0==--length2){exit=!0;break}if(count2=gallopLeft(tmp[cursor1],array,cursor2,length2,0,compare),0!==count2){for(i=0;i<count2;i++)array[dest+i]=array[cursor2+i];if(dest+=count2,cursor2+=count2,length2-=count2,0===length2){exit=!0;break}}if(array[dest++]=tmp[cursor1++],1==--length1){exit=!0;break}minGallop--}while(count1>=DEFAULT_MIN_GALLOPING||count2>=DEFAULT_MIN_GALLOPING);if(exit)break;0>minGallop&&(minGallop=0),minGallop+=2}if(this.minGallop=minGallop,1>minGallop&&(this.minGallop=1),1===length1){for(i=0;i<length2;i++)array[dest+i]=array[cursor2+i];array[dest+length2]=tmp[cursor1]}else if(0===length1)throw new Error("mergeLow preconditions were not respected");else for(i=0;i<length1;i++)array[dest+i]=tmp[cursor1+i]},TimSort.prototype.mergeHigh=function(start1,length1,start2,length2){var compare=this.compare,array=this.array,tmp=this.tmp,i=0;for(i=0;i<length2;i++)tmp[i]=array[start2+i];var cursor1=start1+length1-1,cursor2=length2-1,dest=start2+length2-1,customCursor=0,customDest=0;if(array[dest--]=array[cursor1--],0==--length1){for(customCursor=dest-(length2-1),i=0;i<length2;i++)array[customCursor+i]=tmp[i];return}if(1===length2){for(dest-=length1,cursor1-=length1,customDest=dest+1,customCursor=cursor1+1,i=length1-1;0<=i;i--)array[customDest+i]=array[customCursor+i];return void(array[dest]=tmp[cursor2])}for(var minGallop=this.minGallop;;){var count1=0,count2=0,exit=!1;do if(0>compare(tmp[cursor2],array[cursor1])){if(array[dest--]=array[cursor1--],count1++,count2=0,0==--length1){exit=!0;break}}else if(array[dest--]=tmp[cursor2--],count2++,count1=0,1==--length2){exit=!0;break}while((count1|count2)<minGallop);if(exit)break;do{if(count1=length1-gallopRight(tmp[cursor2],array,start1,length1,length1-1,compare),0!=count1){for(dest-=count1,cursor1-=count1,length1-=count1,customDest=dest+1,customCursor=cursor1+1,i=count1-1;0<=i;i--)array[customDest+i]=array[customCursor+i];if(0===length1){exit=!0;break}}if(array[dest--]=tmp[cursor2--],1==--length2){exit=!0;break}if(count2=length2-gallopLeft(array[cursor1],tmp,0,length2,length2-1,compare),0!==count2){for(dest-=count2,cursor2-=count2,length2-=count2,customDest=dest+1,customCursor=cursor2+1,i=0;i<count2;i++)array[customDest+i]=tmp[customCursor+i];if(1>=length2){exit=!0;break}}if(array[dest--]=array[cursor1--],0==--length1){exit=!0;break}minGallop--}while(count1>=DEFAULT_MIN_GALLOPING||count2>=DEFAULT_MIN_GALLOPING);if(exit)break;0>minGallop&&(minGallop=0),minGallop+=2}if(this.minGallop=minGallop,1>minGallop&&(this.minGallop=1),1===length2){for(dest-=length1,cursor1-=length1,customDest=dest+1,customCursor=cursor1+1,i=length1-1;0<=i;i--)array[customDest+i]=array[customCursor+i];array[dest]=tmp[cursor2]}else if(0===length2)throw new Error("mergeHigh preconditions were not respected");else for(customCursor=dest-(length2-1),i=0;i<length2;i++)array[customCursor+i]=tmp[i]},TimSort}()})});(function(x){return x&&x.__esModule&&Object.prototype.hasOwnProperty.call(x,"default")?x["default"]:x})(timsort);var timsort$1=timsort;class DirectionInterface{abstract(){throw new Error("Can't instantiate abstract class!")}fake_use(){}curveType(){return this.abstract()}getPosition(node){return this.fake_use(node),this.abstract()}setPosition(node,position,level=void 0){this.fake_use(node,position,level),this.abstract()}getTreeSize(index){return this.fake_use(index),this.abstract()}sort(nodeArray){this.fake_use(nodeArray),this.abstract()}fix(node,level){this.fake_use(node,level),this.abstract()}shift(nodeId,diff){this.fake_use(nodeId,diff),this.abstract()}}class VerticalStrategy extends DirectionInterface{constructor(layout){super(),this.layout=layout}curveType(){return"horizontal"}getPosition(node){return node.x}setPosition(node,position,level=void 0){level!==void 0&&this.layout.hierarchical.addToOrdering(node,level),node.x=position}getTreeSize(index){let res=this.layout.hierarchical.getTreeSize(this.layout.body.nodes,index);return{min:res.min_x,max:res.max_x}}sort(nodeArray){timsort$1.sort(nodeArray,function(a,b){return a.x-b.x})}fix(node,level){node.y=this.layout.options.hierarchical.levelSeparation*level,node.options.fixed.y=!0}shift(nodeId,diff){this.layout.body.nodes[nodeId].x+=diff}}class HorizontalStrategy extends DirectionInterface{constructor(layout){super(),this.layout=layout}curveType(){return"vertical"}getPosition(node){return node.y}setPosition(node,position,level=void 0){level!==void 0&&this.layout.hierarchical.addToOrdering(node,level),node.y=position}getTreeSize(index){let res=this.layout.hierarchical.getTreeSize(this.layout.body.nodes,index);return{min:res.min_y,max:res.max_y}}sort(nodeArray){timsort$1.sort(nodeArray,function(a,b){return a.y-b.y})}fix(node,level){node.x=this.layout.options.hierarchical.levelSeparation*level,node.options.fixed.x=!0}shift(nodeId,diff){this.layout.body.nodes[nodeId].y+=diff}}class HierarchicalStatus{constructor(){this.childrenReference={},this.parentReference={},this.trees={},this.distributionOrdering={},this.levels={},this.distributionIndex={},this.isTree=!1,this.treeIndex=-1}addRelation(parentNodeId,childNodeId){this.childrenReference[parentNodeId]===void 0&&(this.childrenReference[parentNodeId]=[]),this.childrenReference[parentNodeId].push(childNodeId),this.parentReference[childNodeId]===void 0&&(this.parentReference[childNodeId]=[]),this.parentReference[childNodeId].push(parentNodeId)}checkIfTree(){for(let i in this.parentReference)if(1<this.parentReference[i].length)return void(this.isTree=!1);this.isTree=!0}numTrees(){return this.treeIndex+1}setTreeIndex(node,treeId){void 0===treeId||this.trees[node.id]===void 0&&(this.trees[node.id]=treeId,this.treeIndex=_Mathmax(treeId,this.treeIndex))}ensureLevel(nodeId){this.levels[nodeId]===void 0&&(this.levels[nodeId]=0)}getMaxLevel(nodeId){let accumulator={},_getMaxLevel=nodeId=>{if(void 0!==accumulator[nodeId])return accumulator[nodeId];let level=this.levels[nodeId];if(this.childrenReference[nodeId]){let children=this.childrenReference[nodeId];if(0<children.length)for(let i=0;i<children.length;i++)level=_Mathmax(level,_getMaxLevel(children[i]))}return accumulator[nodeId]=level,level};return _getMaxLevel(nodeId)}levelDownstream(nodeA,nodeB){this.levels[nodeB.id]===void 0&&(this.levels[nodeA.id]===void 0&&(this.levels[nodeA.id]=0),this.levels[nodeB.id]=this.levels[nodeA.id]+1)}setMinLevelToZero(nodes){let minLevel=1e9;for(let nodeId in nodes)nodes.hasOwnProperty(nodeId)&&void 0!==this.levels[nodeId]&&(minLevel=_Mathmin(this.levels[nodeId],minLevel));for(let nodeId in nodes)nodes.hasOwnProperty(nodeId)&&void 0!==this.levels[nodeId]&&(this.levels[nodeId]-=minLevel)}getTreeSize(nodes,index){let min_x=1e9,max_x=-1e9,min_y=1e9,max_y=-1e9;for(let nodeId in this.trees)if(this.trees.hasOwnProperty(nodeId)&&this.trees[nodeId]===index){let node=nodes[nodeId];min_x=_Mathmin(node.x,min_x),max_x=_Mathmax(node.x,max_x),min_y=_Mathmin(node.y,min_y),max_y=_Mathmax(node.y,max_y)}return{min_x:min_x,max_x:max_x,min_y:min_y,max_y:max_y}}hasSameParent(node1,node2){let parents1=this.parentReference[node1.id],parents2=this.parentReference[node2.id];if(parents1===void 0||parents2===void 0)return!1;for(let i=0;i<parents1.length;i++)for(let j=0;j<parents2.length;j++)if(parents1[i]==parents2[j])return!0;return!1}inSameSubNetwork(node1,node2){return this.trees[node1.id]===this.trees[node2.id]}getLevels(){return Object.keys(this.distributionOrdering)}addToOrdering(node,level){this.distributionOrdering[level]===void 0&&(this.distributionOrdering[level]=[]);var isPresent=!1,curLevel=this.distributionOrdering[level];for(var n in curLevel)if(curLevel[n]===node){isPresent=!0;break}isPresent||(this.distributionOrdering[level].push(node),this.distributionIndex[node.id]=this.distributionOrdering[level].length-1)}}class LayoutEngine{constructor(body){this.body=body,this.initialRandomSeed=_Mathround(1e6*Math.random()),this.randomSeed=this.initialRandomSeed,this.setPhysics=!1,this.options={},this.optionsBackup={physics:{}},this.defaultOptions={randomSeed:void 0,improvedLayout:!0,hierarchical:{enabled:!1,levelSeparation:150,nodeSpacing:100,treeSpacing:200,blockShifting:!0,edgeMinimization:!0,parentCentralization:!0,direction:"UD",sortMethod:"hubsize"}},util.extend(this.options,this.defaultOptions),this.bindEventListeners()}bindEventListeners(){this.body.emitter.on("_dataChanged",()=>{this.setupHierarchicalLayout()}),this.body.emitter.on("_dataLoaded",()=>{this.layoutNetwork()}),this.body.emitter.on("_resetHierarchicalLayout",()=>{this.setupHierarchicalLayout()}),this.body.emitter.on("_adjustEdgesForHierarchicalLayout",()=>{if(!0===this.options.hierarchical.enabled){let type=this.direction.curveType();this.body.emitter.emit("_forceDisableDynamicCurves",type,!1)}})}setOptions(options,allOptions){if(void 0!==options){let hierarchical=this.options.hierarchical,prevHierarchicalState=hierarchical.enabled;if(util.selectiveDeepExtend(["randomSeed","improvedLayout"],this.options,options),util.mergeOptions(this.options,options,"hierarchical"),void 0!==options.randomSeed&&(this.initialRandomSeed=options.randomSeed),!0===hierarchical.enabled)return!0===prevHierarchicalState&&this.body.emitter.emit("refresh",!0),"RL"===hierarchical.direction||"DU"===hierarchical.direction?0<hierarchical.levelSeparation&&(hierarchical.levelSeparation*=-1):0>hierarchical.levelSeparation&&(hierarchical.levelSeparation*=-1),this.setDirectionStrategy(),this.body.emitter.emit("_resetHierarchicalLayout"),this.adaptAllOptionsForHierarchicalLayout(allOptions);if(!0===prevHierarchicalState)return this.body.emitter.emit("refresh"),util.deepExtend(allOptions,this.optionsBackup)}return allOptions}adaptAllOptionsForHierarchicalLayout(allOptions){if(!0===this.options.hierarchical.enabled){let backupPhysics=this.optionsBackup.physics;allOptions.physics===void 0||!0===allOptions.physics?(allOptions.physics={enabled:!(backupPhysics.enabled!==void 0)||backupPhysics.enabled,solver:"hierarchicalRepulsion"},backupPhysics.enabled=!(backupPhysics.enabled!==void 0)||backupPhysics.enabled,backupPhysics.solver=backupPhysics.solver||"barnesHut"):"object"==typeof allOptions.physics?(backupPhysics.enabled=!(allOptions.physics.enabled!==void 0)||allOptions.physics.enabled,backupPhysics.solver=allOptions.physics.solver||"barnesHut",allOptions.physics.solver="hierarchicalRepulsion"):!1!==allOptions.physics&&(backupPhysics.solver="barnesHut",allOptions.physics={solver:"hierarchicalRepulsion"});let type=this.direction.curveType();if(allOptions.edges===void 0)this.optionsBackup.edges={smooth:{enabled:!0,type:"dynamic"}},allOptions.edges={smooth:!1};else if(allOptions.edges.smooth===void 0)this.optionsBackup.edges={smooth:{enabled:!0,type:"dynamic"}},allOptions.edges.smooth=!1;else if("boolean"==typeof allOptions.edges.smooth)this.optionsBackup.edges={smooth:allOptions.edges.smooth},allOptions.edges.smooth={enabled:allOptions.edges.smooth,type:type};else{let smooth=allOptions.edges.smooth;void 0!==smooth.type&&"dynamic"!==smooth.type&&(type=smooth.type),this.optionsBackup.edges={smooth:void 0===smooth.enabled||smooth.enabled,type:void 0===smooth.type?"dynamic":smooth.type,roundness:void 0===smooth.roundness?.5:smooth.roundness,forceDirection:void 0!==smooth.forceDirection&&smooth.forceDirection},allOptions.edges.smooth={enabled:void 0===smooth.enabled||smooth.enabled,type:type,roundness:void 0===smooth.roundness?.5:smooth.roundness,forceDirection:void 0!==smooth.forceDirection&&smooth.forceDirection}}this.body.emitter.emit("_forceDisableDynamicCurves",type)}return allOptions}seededRandom(){let x=1e4*_Mathsin(this.randomSeed++);return x-_Mathfloor(x)}positionInitially(nodesArray){if(!0!==this.options.hierarchical.enabled){this.randomSeed=this.initialRandomSeed;let radius=nodesArray.length+50;for(let i=0;i<nodesArray.length;i++){let node=nodesArray[i],angle=2*_MathPI*this.seededRandom();node.x===void 0&&(node.x=radius*_Mathcos(angle)),node.y===void 0&&(node.y=radius*_Mathsin(angle))}}}layoutNetwork(){if(!0!==this.options.hierarchical.enabled&&!0===this.options.improvedLayout){let indices=this.body.nodeIndices,positionDefined=0;for(let i=0,node;i<indices.length;i++)node=this.body.nodes[indices[i]],!0===node.predefinedPosition&&(positionDefined+=1);if(positionDefined<.5*indices.length){let level=0,clusterThreshold=150,clusterOptions={clusterNodeProperties:{shape:"ellipse",label:"",group:"",font:{multi:!1}},clusterEdgeProperties:{label:"",font:{multi:!1},smooth:{enabled:!1}}};if(indices.length>clusterThreshold){let startLength=indices.length;for(;indices.length>clusterThreshold&&level<=10;){level+=1;let before=indices.length;0==level%3?this.body.modules.clustering.clusterBridges(clusterOptions):this.body.modules.clustering.clusterOutliers(clusterOptions);let after=indices.length;if(before==after&&0!=level%3)return this._declusterAll(),this.body.emitter.emit("_layoutFailed"),void console.info("This network could not be positioned by this version of the improved layout algorithm. Please disable improvedLayout for better performance.")}this.body.modules.kamadaKawai.setOptions({springLength:_Mathmax(150,2*startLength)})}level>10&&console.info("The clustering didn't succeed within the amount of interations allowed, progressing with partial result."),this.body.modules.kamadaKawai.solve(indices,this.body.edgeIndices,!0),this._shiftToCenter();let offset=70;for(let i=0,node;i<indices.length;i++)node=this.body.nodes[indices[i]],!1===node.predefinedPosition&&(node.x+=(.5-this.seededRandom())*offset,node.y+=(.5-this.seededRandom())*offset);this._declusterAll(),this.body.emitter.emit("_repositionBezierNodes")}}}_shiftToCenter(){let range=NetworkUtil.getRangeCore(this.body.nodes,this.body.nodeIndices),center=NetworkUtil.findCenter(range);for(let i=0,node;i<this.body.nodeIndices.length;i++)node=this.body.nodes[this.body.nodeIndices[i]],node.x-=center.x,node.y-=center.y}_declusterAll(){for(let clustersPresent=!0;!0===clustersPresent;){clustersPresent=!1;for(let i=0;i<this.body.nodeIndices.length;i++)!0===this.body.nodes[this.body.nodeIndices[i]].isCluster&&(clustersPresent=!0,this.body.modules.clustering.openCluster(this.body.nodeIndices[i],{},!1));!0===clustersPresent&&this.body.emitter.emit("_dataChanged")}}getSeed(){return this.initialRandomSeed}setupHierarchicalLayout(){if(!0===this.options.hierarchical.enabled&&0<this.body.nodeIndices.length){let definedLevel=!1,undefinedLevel=!1,node,nodeId;for(nodeId in this.lastNodeOnLevel={},this.hierarchical=new HierarchicalStatus,this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&(node=this.body.nodes[nodeId],void 0===node.options.level?undefinedLevel=!0:(definedLevel=!0,this.hierarchical.levels[nodeId]=node.options.level));if(!0===undefinedLevel&&!0===definedLevel)throw new Error("To use the hierarchical layout, nodes require either no predefined levels or levels have to be defined for all nodes.");else{if(!0===undefinedLevel){let sortMethod=this.options.hierarchical.sortMethod;"hubsize"===sortMethod?this._determineLevelsByHubsize():"directed"===sortMethod?this._determineLevelsDirected():"custom"===sortMethod&&this._determineLevelsCustomCallback()}for(let nodeId in this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&this.hierarchical.ensureLevel(nodeId);let distribution=this._getDistribution();this._generateMap(),this._placeNodesByHierarchy(distribution),this._condenseHierarchy(),this._shiftToCenter()}}}_condenseHierarchy(){let stillShifting=!1,branches={},shiftTrees=()=>{let treeSizes=getTreeSizes(),shiftBy=0;for(let i=0,diff;i<treeSizes.length-1;i++)diff=treeSizes[i].max-treeSizes[i+1].min,shiftBy+=diff+this.options.hierarchical.treeSpacing,shiftTree(i+1,shiftBy)},shiftTree=(index,offset)=>{let trees=this.hierarchical.trees;for(let nodeId in trees)trees.hasOwnProperty(nodeId)&&trees[nodeId]===index&&this.direction.shift(nodeId,offset)},getTreeSizes=()=>{let treeWidths=[];for(let i=0;i<this.hierarchical.numTrees();i++)treeWidths.push(this.direction.getTreeSize(i));return treeWidths},getBranchNodes=(source,map)=>{if(!map[source.id]&&(map[source.id]=!0,this.hierarchical.childrenReference[source.id])){let children=this.hierarchical.childrenReference[source.id];if(0<children.length)for(let i=0;i<children.length;i++)getBranchNodes(this.body.nodes[children[i]],map)}},getBranchBoundary=(branchMap,maxLevel=1e9)=>{let minSpace=1e9,maxSpace=1e9,min=1e9,max=-1e9;for(let branchNode in branchMap)if(branchMap.hasOwnProperty(branchNode)){let node=this.body.nodes[branchNode],level=this.hierarchical.levels[node.id],position=this.direction.getPosition(node),[minSpaceNode,maxSpaceNode]=this._getSpaceAroundNode(node,branchMap);minSpace=_Mathmin(minSpaceNode,minSpace),maxSpace=_Mathmin(maxSpaceNode,maxSpace),level<=maxLevel&&(min=_Mathmin(position,min),max=_Mathmax(position,max))}return[min,max,minSpace,maxSpace]},getCollisionLevel=(node1,node2)=>{let maxLevel1=this.hierarchical.getMaxLevel(node1.id),maxLevel2=this.hierarchical.getMaxLevel(node2.id);return _Mathmin(maxLevel1,maxLevel2)},shiftElementsCloser=(callback,levels,centerParents)=>{let hier=this.hierarchical;for(let i=0;i<levels.length;i++){let level=levels[i],levelNodes=hier.distributionOrdering[level];if(1<levelNodes.length)for(let j=0;j<levelNodes.length-1;j++){let node1=levelNodes[j],node2=levelNodes[j+1];hier.hasSameParent(node1,node2)&&hier.inSameSubNetwork(node1,node2)&&callback(node1,node2,centerParents)}}},branchShiftCallback=(node1,node2,centerParent=!1)=>{let pos1=this.direction.getPosition(node1),pos2=this.direction.getPosition(node2),diffAbs=_Mathabs(pos2-pos1),nodeSpacing=this.options.hierarchical.nodeSpacing;if(diffAbs>nodeSpacing){let branchNodes1={},branchNodes2={};getBranchNodes(node1,branchNodes1),getBranchNodes(node2,branchNodes2);let maxLevel=getCollisionLevel(node1,node2),branchNodeBoundary1=getBranchBoundary(branchNodes1,maxLevel),branchNodeBoundary2=getBranchBoundary(branchNodes2,maxLevel),max1=branchNodeBoundary1[1],min2=branchNodeBoundary2[0],minSpace2=branchNodeBoundary2[2],diffBranch=_Mathabs(max1-min2);if(diffBranch>nodeSpacing){let offset=max1-min2+nodeSpacing;offset<-minSpace2+nodeSpacing&&(offset=-minSpace2+nodeSpacing),0>offset&&(this._shiftBlock(node2.id,offset),stillShifting=!0,!0===centerParent&&this._centerParent(node2))}}},minimizeEdgeLength=(iterations,node)=>{let nodeId=node.id,allEdges=node.edges,nodeLevel=this.hierarchical.levels[node.id],C2=this.options.hierarchical.levelSeparation*this.options.hierarchical.levelSeparation,referenceNodes={},aboveEdges=[];for(let i=0,edge;i<allEdges.length;i++)if(edge=allEdges[i],edge.toId!=edge.fromId){let otherNode=edge.toId==nodeId?edge.from:edge.to;referenceNodes[allEdges[i].id]=otherNode,this.hierarchical.levels[otherNode.id]<nodeLevel&&aboveEdges.push(edge)}let getFx=(point,edges)=>{let sum=0;for(let i=0;i<edges.length;i++)if(referenceNodes[edges[i].id]!==void 0){let a=this.direction.getPosition(referenceNodes[edges[i].id])-point;sum+=a/_Mathsqrt(a*a+C2)}return sum},getDFx=(point,edges)=>{let sum=0;for(let i=0;i<edges.length;i++)if(referenceNodes[edges[i].id]!==void 0){let a=this.direction.getPosition(referenceNodes[edges[i].id])-point;sum-=C2*_Mathpow(a*a+C2,-1.5)}return sum},getGuess=(iterations,edges)=>{let guess=this.direction.getPosition(node),guessMap={};for(let i=0;i<iterations;i++){let fx=getFx(guess,edges),dfx=getDFx(guess,edges),limit=40,ratio=_Mathmax(-limit,_Mathmin(limit,_Mathround(fx/dfx)));if(guess-=ratio,void 0!==guessMap[guess])break;guessMap[guess]=i}return guess},moveBranch=guess=>{let nodePosition=this.direction.getPosition(node);if(branches[node.id]===void 0){let branchNodes={};getBranchNodes(node,branchNodes),branches[node.id]=branchNodes}let branchBoundary=getBranchBoundary(branches[node.id]),minSpaceBranch=branchBoundary[2],maxSpaceBranch=branchBoundary[3],diff=guess-nodePosition,branchOffset=0;0<diff?branchOffset=_Mathmin(diff,maxSpaceBranch-this.options.hierarchical.nodeSpacing):0>diff&&(branchOffset=-_Mathmin(-diff,minSpaceBranch-this.options.hierarchical.nodeSpacing)),0!=branchOffset&&(this._shiftBlock(node.id,branchOffset),stillShifting=!0)},moveNode=guess=>{let nodePosition=this.direction.getPosition(node),[minSpace,maxSpace]=this._getSpaceAroundNode(node),diff=guess-nodePosition,newPosition=nodePosition;0<diff?newPosition=_Mathmin(nodePosition+(maxSpace-this.options.hierarchical.nodeSpacing),guess):0>diff&&(newPosition=_Mathmax(nodePosition-(minSpace-this.options.hierarchical.nodeSpacing),guess)),newPosition!==nodePosition&&(this.direction.setPosition(node,newPosition),stillShifting=!0)},guess=getGuess(iterations,aboveEdges);moveBranch(guess),guess=getGuess(iterations,allEdges),moveNode(guess)},minimizeEdgeLengthBottomUp=iterations=>{let levels=this.hierarchical.getLevels();levels=levels.reverse();for(let i=0;i<iterations;i++){stillShifting=!1;for(let j=0;j<levels.length;j++){let level=levels[j],levelNodes=this.hierarchical.distributionOrdering[level];for(let k=0;k<levelNodes.length;k++)minimizeEdgeLength(1e3,levelNodes[k])}if(!0!=stillShifting)break}},shiftBranchesCloserBottomUp=iterations=>{let levels=this.hierarchical.getLevels();levels=levels.reverse();for(let i=0;i<iterations&&(stillShifting=!1,shiftElementsCloser(branchShiftCallback,levels,!0),!0==stillShifting);i++);},centerAllParentsBottomUp=()=>{let levels=this.hierarchical.getLevels();levels=levels.reverse();for(let i=0;i<levels.length;i++){let level=levels[i],levelNodes=this.hierarchical.distributionOrdering[level];for(let j=0;j<levelNodes.length;j++)this._centerParent(levelNodes[j])}};!0===this.options.hierarchical.blockShifting&&(shiftBranchesCloserBottomUp(5),(()=>{for(let nodeId in this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&this._centerParent(this.body.nodes[nodeId])})()),!0===this.options.hierarchical.edgeMinimization&&minimizeEdgeLengthBottomUp(20),!0===this.options.hierarchical.parentCentralization&&centerAllParentsBottomUp(),shiftTrees()}_getSpaceAroundNode(node,map){let useMap=!0;map===void 0&&(useMap=!1);let level=this.hierarchical.levels[node.id];if(level!==void 0){let index=this.hierarchical.distributionIndex[node.id],position=this.direction.getPosition(node),ordering=this.hierarchical.distributionOrdering[level],minSpace=1e9,maxSpace=1e9;if(0!==index){let prevNode=ordering[index-1];if(!0==useMap&&map[prevNode.id]===void 0||!1==useMap){let prevPos=this.direction.getPosition(prevNode);minSpace=position-prevPos}}if(index!=ordering.length-1){let nextNode=ordering[index+1];if(!0==useMap&&void 0===map[nextNode.id]||!1==useMap){let nextPos=this.direction.getPosition(nextNode);maxSpace=_Mathmin(maxSpace,nextPos-position)}}return[minSpace,maxSpace]}return[0,0]}_centerParent(node){if(this.hierarchical.parentReference[node.id]){let parents=this.hierarchical.parentReference[node.id];for(var i=0;i<parents.length;i++){let parentId=parents[i],parentNode=this.body.nodes[parentId],children=this.hierarchical.childrenReference[parentId];if(children!==void 0){let newPosition=this._getCenterPosition(children),position=this.direction.getPosition(parentNode),[minSpace,maxSpace]=this._getSpaceAroundNode(parentNode),diff=position-newPosition;(0>diff&&_Mathabs(diff)<maxSpace-this.options.hierarchical.nodeSpacing||0<diff&&_Mathabs(diff)<minSpace-this.options.hierarchical.nodeSpacing)&&this.direction.setPosition(parentNode,newPosition)}}}}_placeNodesByHierarchy(distribution){for(let level in this.positionedNodes={},distribution)if(distribution.hasOwnProperty(level)){let nodeArray=Object.keys(distribution[level]);nodeArray=this._indexArrayToNodes(nodeArray),this.direction.sort(nodeArray);let handledNodeCount=0;for(let i=0,node;i<nodeArray.length;i++)if(node=nodeArray[i],void 0===this.positionedNodes[node.id]){let spacing=this.options.hierarchical.nodeSpacing,pos=spacing*handledNodeCount;0<handledNodeCount&&(pos=this.direction.getPosition(nodeArray[i-1])+spacing),this.direction.setPosition(node,pos,level),this._validatePositionAndContinue(node,level,pos),handledNodeCount++}}}_placeBranchNodes(parentId,parentLevel){let childRef=this.hierarchical.childrenReference[parentId];if(void 0!==childRef){let childNodes=[];for(let i=0;i<childRef.length;i++)childNodes.push(this.body.nodes[childRef[i]]);this.direction.sort(childNodes);for(let i=0;i<childNodes.length;i++){let childNode=childNodes[i],childNodeLevel=this.hierarchical.levels[childNode.id];if(childNodeLevel>parentLevel&&void 0===this.positionedNodes[childNode.id]){let spacing=this.options.hierarchical.nodeSpacing,pos;pos=0==i?this.direction.getPosition(this.body.nodes[parentId]):this.direction.getPosition(childNodes[i-1])+spacing,this.direction.setPosition(childNode,pos,childNodeLevel),this._validatePositionAndContinue(childNode,childNodeLevel,pos)}else return}let center=this._getCenterPosition(childNodes);this.direction.setPosition(this.body.nodes[parentId],center,parentLevel)}}_validatePositionAndContinue(node,level,pos){if(this.hierarchical.isTree){if(void 0!==this.lastNodeOnLevel[level]){let previousPos=this.direction.getPosition(this.body.nodes[this.lastNodeOnLevel[level]]);if(pos-previousPos<this.options.hierarchical.nodeSpacing){let diff=previousPos+this.options.hierarchical.nodeSpacing-pos,sharedParent=this._findCommonParent(this.lastNodeOnLevel[level],node.id);this._shiftBlock(sharedParent.withChild,diff)}}this.lastNodeOnLevel[level]=node.id,this.positionedNodes[node.id]=!0,this._placeBranchNodes(node.id,level)}}_indexArrayToNodes(idArray){let array=[];for(let i=0;i<idArray.length;i++)array.push(this.body.nodes[idArray[i]]);return array}_getDistribution(){let distribution={},nodeId,node;for(nodeId in this.body.nodes)if(this.body.nodes.hasOwnProperty(nodeId)){node=this.body.nodes[nodeId];let level=this.hierarchical.levels[nodeId]===void 0?0:this.hierarchical.levels[nodeId];this.direction.fix(node,level),distribution[level]===void 0&&(distribution[level]={}),distribution[level][nodeId]=node}return distribution}_getActiveEdges(node){let result=[];return util.forEach(node.edges,edge=>{-1!==this.body.edgeIndices.indexOf(edge.id)&&result.push(edge)}),result}_getHubSizes(){let hubSizes={},nodeIds=this.body.nodeIndices;util.forEach(nodeIds,nodeId=>{let node=this.body.nodes[nodeId],hubSize=this._getActiveEdges(node).length;hubSizes[hubSize]=!0});let result=[];return util.forEach(hubSizes,size=>{result.push(+size)}),timsort$1.sort(result,function(a,b){return b-a}),result}_determineLevelsByHubsize(){let levelDownstream=(nodeA,nodeB)=>{this.hierarchical.levelDownstream(nodeA,nodeB)},hubSizes=this._getHubSizes();for(let i=0,hubSize;i<hubSizes.length&&(hubSize=hubSizes[i],0!==hubSize);++i)util.forEach(this.body.nodeIndices,nodeId=>{let node=this.body.nodes[nodeId];hubSize===this._getActiveEdges(node).length&&this._crawlNetwork(levelDownstream,nodeId)})}_determineLevelsCustomCallback(){let customCallback=function(){};this._crawlNetwork((nodeA,nodeB,edge)=>{let levelA=this.hierarchical.levels[nodeA.id];levelA===void 0&&(levelA=this.hierarchical.levels[nodeA.id]=1e5);let diff=customCallback(NetworkUtil.cloneOptions(nodeA,"node"),NetworkUtil.cloneOptions(nodeB,"node"),NetworkUtil.cloneOptions(edge,"edge"));this.hierarchical.levels[nodeB.id]=levelA+diff}),this.hierarchical.setMinLevelToZero(this.body.nodes)}_determineLevelsDirected(){let isBidirectional=edge=>(util.forEach(this.body.edges,otherEdge=>{if(otherEdge.toId===edge.fromId&&otherEdge.fromId===edge.toId)return!0}),!1);this._crawlNetwork((nodeA,nodeB,edge)=>{let levelA=this.hierarchical.levels[nodeA.id],levelB=this.hierarchical.levels[nodeB.id];if(isBidirectional(edge));levelA===void 0&&(levelA=this.hierarchical.levels[nodeA.id]=1e4),this.hierarchical.levels[nodeB.id]=edge.toId==nodeB.id?levelA+1:levelA-1}),this.hierarchical.setMinLevelToZero(this.body.nodes)}_generateMap(){this._crawlNetwork((parentNode,childNode)=>{this.hierarchical.levels[childNode.id]>this.hierarchical.levels[parentNode.id]&&this.hierarchical.addRelation(parentNode.id,childNode.id)}),this.hierarchical.checkIfTree()}_crawlNetwork(callback=function(){},startingNodeId){let progress={},crawler=(node,tree)=>{if(progress[node.id]===void 0){this.hierarchical.setTreeIndex(node,tree),progress[node.id]=!0;let edges=this._getActiveEdges(node),childNode;for(let i=0,edge;i<edges.length;i++)edge=edges[i],!0===edge.connected&&(childNode=edge.toId==node.id?edge.from:edge.to,node.id!=childNode.id&&(callback(node,childNode,edge),crawler(childNode,tree)))}};if(startingNodeId===void 0){let treeIndex=0;for(let i=0,nodeId;i<this.body.nodeIndices.length;i++)if(nodeId=this.body.nodeIndices[i],void 0===progress[nodeId]){let node=this.body.nodes[nodeId];crawler(node,treeIndex),treeIndex+=1}}else{let node=this.body.nodes[startingNodeId];if(void 0===node)return void console.error("Node not found:",startingNodeId);crawler(node)}}_shiftBlock(parentId,diff){let progress={},shifter=parentId=>{if(!progress[parentId]){progress[parentId]=!0,this.direction.shift(parentId,diff);let childRef=this.hierarchical.childrenReference[parentId];if(void 0!==childRef)for(let i=0;i<childRef.length;i++)shifter(childRef[i])}};shifter(parentId)}_findCommonParent(childA,childB){let parents={},iterateParents=(parents,child)=>{let parentRef=this.hierarchical.parentReference[child];if(void 0!==parentRef)for(let i=0,parent;i<parentRef.length;i++)parent=parentRef[i],parents[parent]=!0,iterateParents(parents,parent)},findParent=(parents,child)=>{let parentRef=this.hierarchical.parentReference[child];if(void 0!==parentRef)for(let i=0,parent;i<parentRef.length;i++){if(parent=parentRef[i],void 0!==parents[parent])return{foundParent:parent,withChild:child};let branch=findParent(parents,parent);if(null!==branch.foundParent)return branch}return{foundParent:null,withChild:child}};return iterateParents(parents,childA),findParent(parents,childB)}setDirectionStrategy(){var isVertical="UD"===this.options.hierarchical.direction||"DU"===this.options.hierarchical.direction;this.direction=isVertical?new VerticalStrategy(this):new HorizontalStrategy(this)}_getCenterPosition(childNodes){let minPos=1e9,maxPos=-1e9;for(let i=0;i<childNodes.length;i++){let childNode;if(childNodes[i].id!==void 0)childNode=childNodes[i];else{let childNodeId=childNodes[i];childNode=this.body.nodes[childNodeId]}let position=this.direction.getPosition(childNode);minPos=_Mathmin(minPos,position),maxPos=_Mathmax(maxPos,position)}return .5*(minPos+maxPos)}}class ManipulationSystem{constructor(body,canvas,selectionHandler){this.body=body,this.canvas=canvas,this.selectionHandler=selectionHandler,this.editMode=!1,this.manipulationDiv=void 0,this.editModeDiv=void 0,this.closeDiv=void 0,this.manipulationHammers=[],this.temporaryUIFunctions={},this.temporaryEventFunctions=[],this.touchTime=0,this.temporaryIds={nodes:[],edges:[]},this.guiEnabled=!1,this.inMode=!1,this.selectedControlNode=void 0,this.options={},this.defaultOptions={enabled:!1,initiallyActive:!1,addNode:!0,addEdge:!0,editNode:void 0,editEdge:!0,deleteNode:!0,deleteEdge:!0,controlNodeStyle:{shape:"dot",size:6,color:{background:"#ff0000",border:"#3c3c3c",highlight:{background:"#07f968",border:"#3c3c3c"}},borderWidth:2,borderWidthSelected:2}},util.extend(this.options,this.defaultOptions),this.body.emitter.on("destroy",()=>{this._clean()}),this.body.emitter.on("_dataChanged",this._restore.bind(this)),this.body.emitter.on("_resetData",this._restore.bind(this))}_restore(){!1!==this.inMode&&(!0===this.options.initiallyActive?this.enableEditMode():this.disableEditMode())}setOptions(options,allOptions,globalOptions){allOptions!==void 0&&(this.options.locale=void 0===allOptions.locale?globalOptions.locale:allOptions.locale,this.options.locales=void 0===allOptions.locales?globalOptions.locales:allOptions.locales),options!==void 0&&("boolean"==typeof options?this.options.enabled=options:(this.options.enabled=!0,util.deepExtend(this.options,options)),!0===this.options.initiallyActive&&(this.editMode=!0),this._setup())}toggleEditMode(){!0===this.editMode?this.disableEditMode():this.enableEditMode()}enableEditMode(){this.editMode=!0,this._clean(),!0===this.guiEnabled&&(this.manipulationDiv.style.display="block",this.closeDiv.style.display="block",this.editModeDiv.style.display="none",this.showManipulatorToolbar())}disableEditMode(){this.editMode=!1,this._clean(),!0===this.guiEnabled&&(this.manipulationDiv.style.display="none",this.closeDiv.style.display="none",this.editModeDiv.style.display="block",this._createEditButton())}showManipulatorToolbar(){if(this._clean(),this.manipulationDOM={},!0===this.guiEnabled){this.editMode=!0,this.manipulationDiv.style.display="block",this.closeDiv.style.display="block";let selectedNodeCount=this.selectionHandler._getSelectedNodeCount(),selectedEdgeCount=this.selectionHandler._getSelectedEdgeCount(),locale=this.options.locales[this.options.locale],needSeperator=!1;!1!==this.options.addNode&&(this._createAddNodeButton(locale),needSeperator=!0),!1!==this.options.addEdge&&(!0===needSeperator?this._createSeperator(1):needSeperator=!0,this._createAddEdgeButton(locale)),1===selectedNodeCount&&"function"==typeof this.options.editNode?(!0===needSeperator?this._createSeperator(2):needSeperator=!0,this._createEditNodeButton(locale)):1===selectedEdgeCount&&0===selectedNodeCount&&!1!==this.options.editEdge&&(!0===needSeperator?this._createSeperator(3):needSeperator=!0,this._createEditEdgeButton(locale)),0!==selectedNodeCount+selectedEdgeCount&&(0<selectedNodeCount&&!1!==this.options.deleteNode?(!0===needSeperator&&this._createSeperator(4),this._createDeleteButton(locale)):0===selectedNodeCount&&!1!==this.options.deleteEdge&&(!0===needSeperator&&this._createSeperator(4),this._createDeleteButton(locale))),this._bindHammerToDiv(this.closeDiv,this.toggleEditMode.bind(this)),this._temporaryBindEvent("select",this.showManipulatorToolbar.bind(this))}this.body.emitter.emit("_redraw")}addNodeMode(){if(!0!==this.editMode&&this.enableEditMode(),this._clean(),this.inMode="addNode",!0===this.guiEnabled){let locale=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(locale),this._createSeperator(),this._createDescription(locale.addDescription||this.options.locales.en.addDescription),this._bindHammerToDiv(this.closeDiv,this.toggleEditMode.bind(this))}this._temporaryBindEvent("click",this._performAddNode.bind(this))}editNode(){!0!==this.editMode&&this.enableEditMode(),this._clean();let node=this.selectionHandler._getSelectedNode();if(void 0===node)this.showManipulatorToolbar();else if(this.inMode="editNode","function"!=typeof this.options.editNode)throw new Error("No function has been configured to handle the editing of nodes.");else if(!0!==node.isCluster){let data=util.deepExtend({},node.options,!1);if(data.x=node.x,data.y=node.y,2===this.options.editNode.length)this.options.editNode(data,finalizedData=>{null!==finalizedData&&void 0!==finalizedData&&"editNode"===this.inMode&&this.body.data.nodes.getDataSet().update(finalizedData),this.showManipulatorToolbar()});else throw new Error("The function for edit does not support two arguments (data, callback)")}else alert(this.options.locales[this.options.locale].editClusterError||this.options.locales.en.editClusterError)}addEdgeMode(){if(!0!==this.editMode&&this.enableEditMode(),this._clean(),this.inMode="addEdge",!0===this.guiEnabled){let locale=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(locale),this._createSeperator(),this._createDescription(locale.edgeDescription||this.options.locales.en.edgeDescription),this._bindHammerToDiv(this.closeDiv,this.toggleEditMode.bind(this))}this._temporaryBindUI("onTouch",this._handleConnect.bind(this)),this._temporaryBindUI("onDragEnd",this._finishConnect.bind(this)),this._temporaryBindUI("onDrag",this._dragControlNode.bind(this)),this._temporaryBindUI("onRelease",this._finishConnect.bind(this)),this._temporaryBindUI("onDragStart",this._dragStartEdge.bind(this)),this._temporaryBindUI("onHold",()=>{})}editEdgeMode(){if(!0!==this.editMode&&this.enableEditMode(),this._clean(),this.inMode="editEdge","object"==typeof this.options.editEdge&&"function"==typeof this.options.editEdge.editWithoutDrag&&(this.edgeBeingEditedId=this.selectionHandler.getSelectedEdges()[0],void 0!==this.edgeBeingEditedId)){var edge=this.body.edges[this.edgeBeingEditedId];return void this._performEditEdge(edge.from,edge.to)}if(!0===this.guiEnabled){let locale=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(locale),this._createSeperator(),this._createDescription(locale.editEdgeDescription||this.options.locales.en.editEdgeDescription),this._bindHammerToDiv(this.closeDiv,this.toggleEditMode.bind(this))}if(this.edgeBeingEditedId=this.selectionHandler.getSelectedEdges()[0],void 0!==this.edgeBeingEditedId){let edge=this.body.edges[this.edgeBeingEditedId],controlNodeFrom=this._getNewTargetNode(edge.from.x,edge.from.y),controlNodeTo=this._getNewTargetNode(edge.to.x,edge.to.y);this.temporaryIds.nodes.push(controlNodeFrom.id),this.temporaryIds.nodes.push(controlNodeTo.id),this.body.nodes[controlNodeFrom.id]=controlNodeFrom,this.body.nodeIndices.push(controlNodeFrom.id),this.body.nodes[controlNodeTo.id]=controlNodeTo,this.body.nodeIndices.push(controlNodeTo.id),this._temporaryBindUI("onTouch",this._controlNodeTouch.bind(this)),this._temporaryBindUI("onTap",()=>{}),this._temporaryBindUI("onHold",()=>{}),this._temporaryBindUI("onDragStart",this._controlNodeDragStart.bind(this)),this._temporaryBindUI("onDrag",this._controlNodeDrag.bind(this)),this._temporaryBindUI("onDragEnd",this._controlNodeDragEnd.bind(this)),this._temporaryBindUI("onMouseMove",()=>{}),this._temporaryBindEvent("beforeDrawing",ctx=>{let positions=edge.edgeType.findBorderPositions(ctx);!1===controlNodeFrom.selected&&(controlNodeFrom.x=positions.from.x,controlNodeFrom.y=positions.from.y),!1===controlNodeTo.selected&&(controlNodeTo.x=positions.to.x,controlNodeTo.y=positions.to.y)}),this.body.emitter.emit("_redraw")}else this.showManipulatorToolbar()}deleteSelected(){!0!==this.editMode&&this.enableEditMode(),this._clean(),this.inMode="delete";let selectedNodes=this.selectionHandler.getSelectedNodes(),selectedEdges=this.selectionHandler.getSelectedEdges(),deleteFunction;if(0<selectedNodes.length){for(let i=0;i<selectedNodes.length;i++)if(!0===this.body.nodes[selectedNodes[i]].isCluster)return void alert(this.options.locales[this.options.locale].deleteClusterError||this.options.locales.en.deleteClusterError);"function"==typeof this.options.deleteNode&&(deleteFunction=this.options.deleteNode)}else 0<selectedEdges.length&&"function"==typeof this.options.deleteEdge&&(deleteFunction=this.options.deleteEdge);if("function"==typeof deleteFunction){if(2===deleteFunction.length)deleteFunction({nodes:selectedNodes,edges:selectedEdges},finalizedData=>{null!==finalizedData&&void 0!==finalizedData&&"delete"===this.inMode?(this.body.data.edges.getDataSet().remove(finalizedData.edges),this.body.data.nodes.getDataSet().remove(finalizedData.nodes),this.body.emitter.emit("startSimulation"),this.showManipulatorToolbar()):(this.body.emitter.emit("startSimulation"),this.showManipulatorToolbar())});else throw new Error("The function for delete does not support two arguments (data, callback)")}else this.body.data.edges.getDataSet().remove(selectedEdges),this.body.data.nodes.getDataSet().remove(selectedNodes),this.body.emitter.emit("startSimulation"),this.showManipulatorToolbar()}_setup(){!0===this.options.enabled?(this.guiEnabled=!0,this._createWrappers(),!1===this.editMode?this._createEditButton():this.showManipulatorToolbar()):(this._removeManipulationDOM(),this.guiEnabled=!1)}_createWrappers(){this.manipulationDiv===void 0&&(this.manipulationDiv=document.createElement("div"),this.manipulationDiv.className="vis-manipulation",this.manipulationDiv.style.display=!0===this.editMode?"block":"none",this.canvas.frame.appendChild(this.manipulationDiv)),this.editModeDiv===void 0&&(this.editModeDiv=document.createElement("div"),this.editModeDiv.className="vis-edit-mode",this.editModeDiv.style.display=!0===this.editMode?"none":"block",this.canvas.frame.appendChild(this.editModeDiv)),this.closeDiv===void 0&&(this.closeDiv=document.createElement("div"),this.closeDiv.className="vis-close",this.closeDiv.style.display=this.manipulationDiv.style.display,this.canvas.frame.appendChild(this.closeDiv))}_getNewTargetNode(x,y){let controlNodeStyle=util.deepExtend({},this.options.controlNodeStyle);controlNodeStyle.id="targetNode"+util.randomUUID(),controlNodeStyle.hidden=!1,controlNodeStyle.physics=!1,controlNodeStyle.x=x,controlNodeStyle.y=y;let node=this.body.functions.createNode(controlNodeStyle);return node.shape.boundingBox={left:x,right:x,top:y,bottom:y},node}_createEditButton(){this._clean(),this.manipulationDOM={},util.recursiveDOMDelete(this.editModeDiv);let locale=this.options.locales[this.options.locale],button=this._createButton("editMode","vis-button vis-edit vis-edit-mode",locale.edit||this.options.locales.en.edit);this.editModeDiv.appendChild(button),this._bindHammerToDiv(button,this.toggleEditMode.bind(this))}_clean(){this.inMode=!1,!0===this.guiEnabled&&(util.recursiveDOMDelete(this.editModeDiv),util.recursiveDOMDelete(this.manipulationDiv),this._cleanManipulatorHammers()),this._cleanupTemporaryNodesAndEdges(),this._unbindTemporaryUIs(),this._unbindTemporaryEvents(),this.body.emitter.emit("restorePhysics")}_cleanManipulatorHammers(){if(0!=this.manipulationHammers.length){for(let i=0;i<this.manipulationHammers.length;i++)this.manipulationHammers[i].destroy();this.manipulationHammers=[]}}_removeManipulationDOM(){this._clean(),util.recursiveDOMDelete(this.manipulationDiv),util.recursiveDOMDelete(this.editModeDiv),util.recursiveDOMDelete(this.closeDiv),this.manipulationDiv&&this.canvas.frame.removeChild(this.manipulationDiv),this.editModeDiv&&this.canvas.frame.removeChild(this.editModeDiv),this.closeDiv&&this.canvas.frame.removeChild(this.closeDiv),this.manipulationDiv=void 0,this.editModeDiv=void 0,this.closeDiv=void 0}_createSeperator(index=1){this.manipulationDOM["seperatorLineDiv"+index]=document.createElement("div"),this.manipulationDOM["seperatorLineDiv"+index].className="vis-separator-line",this.manipulationDiv.appendChild(this.manipulationDOM["seperatorLineDiv"+index])}_createAddNodeButton(locale){let button=this._createButton("addNode","vis-button vis-add",locale.addNode||this.options.locales.en.addNode);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.addNodeMode.bind(this))}_createAddEdgeButton(locale){let button=this._createButton("addEdge","vis-button vis-connect",locale.addEdge||this.options.locales.en.addEdge);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.addEdgeMode.bind(this))}_createEditNodeButton(locale){let button=this._createButton("editNode","vis-button vis-edit",locale.editNode||this.options.locales.en.editNode);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.editNode.bind(this))}_createEditEdgeButton(locale){let button=this._createButton("editEdge","vis-button vis-edit",locale.editEdge||this.options.locales.en.editEdge);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.editEdgeMode.bind(this))}_createDeleteButton(locale){var deleteBtnClass=this.options.rtl?"vis-button vis-delete-rtl":"vis-button vis-delete";let button=this._createButton("delete",deleteBtnClass,locale.del||this.options.locales.en.del);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.deleteSelected.bind(this))}_createBackButton(locale){let button=this._createButton("back","vis-button vis-back",locale.back||this.options.locales.en.back);this.manipulationDiv.appendChild(button),this._bindHammerToDiv(button,this.showManipulatorToolbar.bind(this))}_createButton(id,className,label,labelClassName="vis-label"){return this.manipulationDOM[id+"Div"]=document.createElement("div"),this.manipulationDOM[id+"Div"].className=className,this.manipulationDOM[id+"Label"]=document.createElement("div"),this.manipulationDOM[id+"Label"].className=labelClassName,this.manipulationDOM[id+"Label"].innerHTML=label,this.manipulationDOM[id+"Div"].appendChild(this.manipulationDOM[id+"Label"]),this.manipulationDOM[id+"Div"]}_createDescription(label){this.manipulationDiv.appendChild(this._createButton("description","vis-button vis-none",label))}_temporaryBindEvent(event,newFunction){this.temporaryEventFunctions.push({event:event,boundFunction:newFunction}),this.body.emitter.on(event,newFunction)}_temporaryBindUI(UIfunctionName,newFunction){if(this.body.eventListeners[UIfunctionName]!==void 0)this.temporaryUIFunctions[UIfunctionName]=this.body.eventListeners[UIfunctionName],this.body.eventListeners[UIfunctionName]=newFunction;else throw new Error("This UI function does not exist. Typo? You tried: "+UIfunctionName+" possible are: "+JSON.stringify(Object.keys(this.body.eventListeners)))}_unbindTemporaryUIs(){for(let functionName in this.temporaryUIFunctions)this.temporaryUIFunctions.hasOwnProperty(functionName)&&(this.body.eventListeners[functionName]=this.temporaryUIFunctions[functionName],delete this.temporaryUIFunctions[functionName]);this.temporaryUIFunctions={}}_unbindTemporaryEvents(){for(let i=0;i<this.temporaryEventFunctions.length;i++){let eventName=this.temporaryEventFunctions[i].event,boundFunction=this.temporaryEventFunctions[i].boundFunction;this.body.emitter.off(eventName,boundFunction)}this.temporaryEventFunctions=[]}_bindHammerToDiv(domElement,boundFunction){let hammer$1=new hammer(domElement,{});hammerUtil.onTouch(hammer$1,boundFunction),this.manipulationHammers.push(hammer$1)}_cleanupTemporaryNodesAndEdges(){for(let i=0;i<this.temporaryIds.edges.length;i++){this.body.edges[this.temporaryIds.edges[i]].disconnect(),delete this.body.edges[this.temporaryIds.edges[i]];let indexTempEdge=this.body.edgeIndices.indexOf(this.temporaryIds.edges[i]);-1!==indexTempEdge&&this.body.edgeIndices.splice(indexTempEdge,1)}for(let i=0;i<this.temporaryIds.nodes.length;i++){delete this.body.nodes[this.temporaryIds.nodes[i]];let indexTempNode=this.body.nodeIndices.indexOf(this.temporaryIds.nodes[i]);-1!==indexTempNode&&this.body.nodeIndices.splice(indexTempNode,1)}this.temporaryIds={nodes:[],edges:[]}}_controlNodeTouch(event){this.selectionHandler.unselectAll(),this.lastTouch=this.body.functions.getPointer(event.center),this.lastTouch.translation=util.extend({},this.body.view.translation)}_controlNodeDragStart(event){let pointer=this.lastTouch,pointerObj=this.selectionHandler._pointerToPositionObject(pointer),from=this.body.nodes[this.temporaryIds.nodes[0]],to=this.body.nodes[this.temporaryIds.nodes[1]],edge=this.body.edges[this.edgeBeingEditedId];this.selectedControlNode=void 0;let fromSelect=from.isOverlappingWith(pointerObj),toSelect=to.isOverlappingWith(pointerObj);!0===fromSelect?(this.selectedControlNode=from,edge.edgeType.from=from):!0===toSelect&&(this.selectedControlNode=to,edge.edgeType.to=to),this.selectedControlNode!==void 0&&this.selectionHandler.selectObject(this.selectedControlNode),this.body.emitter.emit("_redraw")}_controlNodeDrag(event){this.body.emitter.emit("disablePhysics");let pointer=this.body.functions.getPointer(event.center),pos=this.canvas.DOMtoCanvas(pointer);if(this.selectedControlNode!==void 0)this.selectedControlNode.x=pos.x,this.selectedControlNode.y=pos.y;else{let diffX=pointer.x-this.lastTouch.x,diffY=pointer.y-this.lastTouch.y;this.body.view.translation={x:this.lastTouch.translation.x+diffX,y:this.lastTouch.translation.y+diffY}}this.body.emitter.emit("_redraw")}_controlNodeDragEnd(event){let pointer=this.body.functions.getPointer(event.center),pointerObj=this.selectionHandler._pointerToPositionObject(pointer),edge=this.body.edges[this.edgeBeingEditedId];if(void 0===this.selectedControlNode)return;this.selectionHandler.unselectAll();let overlappingNodeIds=this.selectionHandler._getAllNodesOverlappingWith(pointerObj),node;for(let i=overlappingNodeIds.length-1;0<=i;i--)if(overlappingNodeIds[i]!==this.selectedControlNode.id){node=this.body.nodes[overlappingNodeIds[i]];break}if(!(node!==void 0&&this.selectedControlNode!==void 0))edge.updateEdgeType(),this.body.emitter.emit("restorePhysics");else if(!0===node.isCluster)alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError);else{let from=this.body.nodes[this.temporaryIds.nodes[0]];this.selectedControlNode.id===from.id?this._performEditEdge(node.id,edge.to.id):this._performEditEdge(edge.from.id,node.id)}this.body.emitter.emit("_redraw")}_handleConnect(event){if(100<new Date().valueOf()-this.touchTime){this.lastTouch=this.body.functions.getPointer(event.center),this.lastTouch.translation=util.extend({},this.body.view.translation);let pointer=this.lastTouch,node=this.selectionHandler.getNodeAt(pointer);if(node!==void 0)if(!0===node.isCluster)alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError);else{let targetNode=this._getNewTargetNode(node.x,node.y);this.body.nodes[targetNode.id]=targetNode,this.body.nodeIndices.push(targetNode.id);let connectionEdge=this.body.functions.createEdge({id:"connectionEdge"+util.randomUUID(),from:node.id,to:targetNode.id,physics:!1,smooth:{enabled:!0,type:"continuous",roundness:.5}});this.body.edges[connectionEdge.id]=connectionEdge,this.body.edgeIndices.push(connectionEdge.id),this.temporaryIds.nodes.push(targetNode.id),this.temporaryIds.edges.push(connectionEdge.id)}this.touchTime=new Date().valueOf()}}_dragControlNode(event){let pointer=this.body.functions.getPointer(event.center);var pointerObj=this.selectionHandler._pointerToPositionObject(pointer),connectFromId=void 0;void 0!==this.temporaryIds.edges[0]&&(connectFromId=this.body.edges[this.temporaryIds.edges[0]].fromId);for(var overlappingNodeIds=this.selectionHandler._getAllNodesOverlappingWith(pointerObj),node=void 0,i=overlappingNodeIds.length-1;0<=i;i--)if(-1===this.temporaryIds.nodes.indexOf(overlappingNodeIds[i])){node=this.body.nodes[overlappingNodeIds[i]];break}if(event.controlEdge={from:connectFromId,to:node?node.id:void 0},this.selectionHandler._generateClickEvent("controlNodeDragging",event,pointer),void 0!==this.temporaryIds.nodes[0]){let targetNode=this.body.nodes[this.temporaryIds.nodes[0]];targetNode.x=this.canvas._XconvertDOMtoCanvas(pointer.x),targetNode.y=this.canvas._YconvertDOMtoCanvas(pointer.y),this.body.emitter.emit("_redraw")}else{let diffX=pointer.x-this.lastTouch.x,diffY=pointer.y-this.lastTouch.y;this.body.view.translation={x:this.lastTouch.translation.x+diffX,y:this.lastTouch.translation.y+diffY}}}_finishConnect(event){let pointer=this.body.functions.getPointer(event.center),pointerObj=this.selectionHandler._pointerToPositionObject(pointer),connectFromId;this.temporaryIds.edges[0]!==void 0&&(connectFromId=this.body.edges[this.temporaryIds.edges[0]].fromId);let overlappingNodeIds=this.selectionHandler._getAllNodesOverlappingWith(pointerObj),node;for(let i=overlappingNodeIds.length-1;0<=i;i--)if(-1===this.temporaryIds.nodes.indexOf(overlappingNodeIds[i])){node=this.body.nodes[overlappingNodeIds[i]];break}this._cleanupTemporaryNodesAndEdges(),node!==void 0&&(!0===node.isCluster?alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError):this.body.nodes[connectFromId]!==void 0&&this.body.nodes[node.id]!==void 0&&this._performAddEdge(connectFromId,node.id)),event.controlEdge={from:connectFromId,to:node?node.id:void 0},this.selectionHandler._generateClickEvent("controlNodeDragEnd",event,pointer),this.body.emitter.emit("_redraw")}_dragStartEdge(event){let pointer=this.lastTouch;this.selectionHandler._generateClickEvent("dragStart",event,pointer,void 0,!0)}_performAddNode(clickData){let defaultData={id:util.randomUUID(),x:clickData.pointer.canvas.x,y:clickData.pointer.canvas.y,label:"new"};if(!("function"==typeof this.options.addNode))this.body.data.nodes.getDataSet().add(defaultData),this.showManipulatorToolbar();else if(2===this.options.addNode.length)this.options.addNode(defaultData,finalizedData=>{null!==finalizedData&&void 0!==finalizedData&&"addNode"===this.inMode&&this.body.data.nodes.getDataSet().add(finalizedData),this.showManipulatorToolbar()});else throw this.showManipulatorToolbar(),new Error("The function for add does not support two arguments (data,callback)")}_performAddEdge(sourceNodeId,targetNodeId){let defaultData={from:sourceNodeId,to:targetNodeId};if(!("function"==typeof this.options.addEdge))this.body.data.edges.getDataSet().add(defaultData),this.selectionHandler.unselectAll(),this.showManipulatorToolbar();else if(2===this.options.addEdge.length)this.options.addEdge(defaultData,finalizedData=>{null!==finalizedData&&void 0!==finalizedData&&"addEdge"===this.inMode&&(this.body.data.edges.getDataSet().add(finalizedData),this.selectionHandler.unselectAll(),this.showManipulatorToolbar())});else throw new Error("The function for connect does not support two arguments (data,callback)")}_performEditEdge(sourceNodeId,targetNodeId){let defaultData={id:this.edgeBeingEditedId,from:sourceNodeId,to:targetNodeId,label:this.body.data.edges._data[this.edgeBeingEditedId].label},eeFunct=this.options.editEdge;if("object"==typeof eeFunct&&(eeFunct=eeFunct.editWithoutDrag),"function"!=typeof eeFunct)this.body.data.edges.getDataSet().update(defaultData),this.selectionHandler.unselectAll(),this.showManipulatorToolbar();else if(2===eeFunct.length)eeFunct(defaultData,finalizedData=>{null===finalizedData||void 0===finalizedData||"editEdge"!==this.inMode?(this.body.edges[defaultData.id].updateEdgeType(),this.body.emitter.emit("_redraw"),this.showManipulatorToolbar()):(this.body.data.edges.getDataSet().update(finalizedData),this.selectionHandler.unselectAll(),this.showManipulatorToolbar())});else throw new Error("The function for edit does not support two arguments (data, callback)")}}var htmlColors={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"};class ColorPicker{constructor(pixelRatio=1){this.pixelRatio=pixelRatio,this.generated=!1,this.centerCoordinates={x:289/2,y:289/2},this.r=.49*289,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=()=>{},this.closeCallback=()=>{},this._create()}insertTo(container){this.hammer!==void 0&&(this.hammer.destroy(),this.hammer=void 0),this.container=container,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}setUpdateCallback(callback){if("function"==typeof callback)this.updateCallback=callback;else throw new Error("Function attempted to set as colorPicker update callback is not a function.")}setCloseCallback(callback){if("function"==typeof callback)this.closeCallback=callback;else throw new Error("Function attempted to set as colorPicker closing callback is not a function.")}_isColorString(color){if("string"==typeof color)return htmlColors[color]}setColor(color,setInitial=!0){if("none"===color)return;let rgba;var htmlColor=this._isColorString(color);if(void 0!==htmlColor&&(color=htmlColor),!0===util.isString(color)){if(!0===util.isValidRGB(color)){let rgbaArray=color.substr(4).substr(0,color.length-5).split(",");rgba={r:rgbaArray[0],g:rgbaArray[1],b:rgbaArray[2],a:1}}else if(!0===util.isValidRGBA(color)){let rgbaArray=color.substr(5).substr(0,color.length-6).split(",");rgba={r:rgbaArray[0],g:rgbaArray[1],b:rgbaArray[2],a:rgbaArray[3]}}else if(!0===util.isValidHex(color)){let rgbObj=util.hexToRGB(color);rgba={r:rgbObj.r,g:rgbObj.g,b:rgbObj.b,a:1}}}else if(color instanceof Object&&void 0!==color.r&&void 0!==color.g&&void 0!==color.b){let alpha=void 0===color.a?"1.0":color.a;rgba={r:color.r,g:color.g,b:color.b,a:alpha}}if(void 0===rgba)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+JSON.stringify(color));else this._setColor(rgba,setInitial)}show(){this.closeCallback!==void 0&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}_hide(storePrevious=!0){!0===storePrevious&&(this.previousColor=util.extend({},this.color)),!0===this.applied&&this.updateCallback(this.initialColor),this.frame.style.display="none",setTimeout(()=>{this.closeCallback!==void 0&&(this.closeCallback(),this.closeCallback=void 0)},0)}_save(){this.updateCallback(this.color),this.applied=!1,this._hide()}_apply(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}_loadLast(){this.previousColor===void 0?alert("There is no last color to load..."):this.setColor(this.previousColor,!1)}_setColor(rgba,setInitial=!0){!0===setInitial&&(this.initialColor=util.extend({},rgba)),this.color=rgba;let hsv=util.RGBToHSV(rgba.r,rgba.g,rgba.b),angleConvert=2*_MathPI,radius=this.r*hsv.s,x=this.centerCoordinates.x+radius*_Mathsin(angleConvert*hsv.h),y=this.centerCoordinates.y+radius*_Mathcos(angleConvert*hsv.h);this.colorPickerSelector.style.left=x-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=y-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(rgba)}_setOpacity(value){this.color.a=value/100,this._updatePicker(this.color)}_setBrightness(value){let hsv=util.RGBToHSV(this.color.r,this.color.g,this.color.b);hsv.v=value/100;let rgba=util.HSVToRGB(hsv.h,hsv.s,hsv.v);rgba.a=this.color.a,this.color=rgba,this._updatePicker()}_updatePicker(rgba=this.color){let hsv=util.RGBToHSV(rgba.r,rgba.g,rgba.b),ctx=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1)),ctx.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);let w=this.colorPickerCanvas.clientWidth,h=this.colorPickerCanvas.clientHeight;ctx.clearRect(0,0,w,h),ctx.putImageData(this.hueCircle,0,0),ctx.fillStyle="rgba(0,0,0,"+(1-hsv.v)+")",ctx.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),ctx.fill(),this.brightnessRange.value=100*hsv.v,this.opacityRange.value=100*rgba.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}_setSize(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}_create(){if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),!this.colorPickerCanvas.getContext){let noCanvas=document.createElement("DIV");noCanvas.style.color="red",noCanvas.style.fontWeight="bold",noCanvas.style.padding="10px",noCanvas.innerHTML="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(noCanvas)}else{let ctx=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch(err){}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch(err){}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var me=this;this.opacityRange.onchange=function(){me._setOpacity(this.value)},this.opacityRange.oninput=function(){me._setOpacity(this.value)},this.brightnessRange.onchange=function(){me._setBrightness(this.value)},this.brightnessRange.oninput=function(){me._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerHTML="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerHTML="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerHTML="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerHTML="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerHTML="cancel",this.cancelButton.onclick=this._hide.bind(this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerHTML="apply",this.applyButton.onclick=this._apply.bind(this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerHTML="save",this.saveButton.onclick=this._save.bind(this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerHTML="load last",this.loadButton.onclick=this._loadLast.bind(this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}_bindHammer(){this.drag={},this.pinch={},this.hammer=new hammer(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),hammerUtil.onTouch(this.hammer,event=>{this._moveSelector(event)}),this.hammer.on("tap",event=>{this._moveSelector(event)}),this.hammer.on("panstart",event=>{this._moveSelector(event)}),this.hammer.on("panmove",event=>{this._moveSelector(event)}),this.hammer.on("panend",event=>{this._moveSelector(event)})}_generateHueCircle(){if(!1===this.generated){let ctx=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1)),ctx.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);let w=this.colorPickerCanvas.clientWidth,h=this.colorPickerCanvas.clientHeight;ctx.clearRect(0,0,w,h);let x,y,hue,sat;this.centerCoordinates={x:.5*w,y:.5*h},this.r=.49*w;let angleConvert=2*_MathPI/360,sfac=1/this.r,rgb;for(hue=0;360>hue;hue++)for(sat=0;sat<this.r;sat++)x=this.centerCoordinates.x+sat*_Mathsin(angleConvert*hue),y=this.centerCoordinates.y+sat*_Mathcos(angleConvert*hue),rgb=util.HSVToRGB(hue*(1/360),sat*sfac,1),ctx.fillStyle="rgb("+rgb.r+","+rgb.g+","+rgb.b+")",ctx.fillRect(x-.5,y-.5,2,2);ctx.strokeStyle="rgba(0,0,0,1)",ctx.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),ctx.stroke(),this.hueCircle=ctx.getImageData(0,0,w,h)}this.generated=!0}_moveSelector(event){let rect=this.colorPickerDiv.getBoundingClientRect(),left=event.center.x-rect.left,top=event.center.y-rect.top,centerY=.5*this.colorPickerDiv.clientHeight,centerX=.5*this.colorPickerDiv.clientWidth,x=left-centerX,y=top-centerY,angle=_Mathatan(x,y),radius=.98*_Mathmin(_Mathsqrt(x*x+y*y),centerX),newTop=_Mathcos(angle)*radius+centerY,newLeft=_Mathsin(angle)*radius+centerX;this.colorPickerSelector.style.top=newTop-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=newLeft-.5*this.colorPickerSelector.clientWidth+"px";let h=angle/(2*_MathPI);h=0>h?h+1:h;let s=radius/this.r,hsv=util.RGBToHSV(this.color.r,this.color.g,this.color.b);hsv.h=h,hsv.s=s;let rgba=util.HSVToRGB(hsv.h,hsv.s,hsv.v);rgba.a=this.color.a,this.color=rgba,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}class Configurator{constructor(parentModule,defaultContainer,configureOptions,pixelRatio=1){this.parent=parentModule,this.changedOptions=[],this.container=defaultContainer,this.allowCreation=!1,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},util.extend(this.options,this.defaultOptions),this.configureOptions=configureOptions,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new ColorPicker(pixelRatio),this.wrapper=void 0}setOptions(options){if(options!==void 0){this.popupHistory={},this._removePopup();let enabled=!0;if("string"==typeof options)this.options.filter=options;else if(options instanceof Array)this.options.filter=options.join();else if("object"==typeof options){if(null==options)throw new TypeError("options cannot be null");options.container!==void 0&&(this.options.container=options.container),options.filter!==void 0&&(this.options.filter=options.filter),options.showButton!==void 0&&(this.options.showButton=options.showButton),options.enabled!==void 0&&(enabled=options.enabled)}else"boolean"==typeof options?(this.options.filter=!0,enabled=options):"function"==typeof options&&(this.options.filter=options,enabled=!0);!1===this.options.filter&&(enabled=!1),this.options.enabled=enabled}this._clean()}setModuleOptions(moduleOptions){this.moduleOptions=moduleOptions,!0===this.options.enabled&&(this._clean(),this.options.container!==void 0&&(this.container=this.options.container),this._create())}_create(){this._clean(),this.changedOptions=[];let filter=this.options.filter,counter=0,show=!1;for(let option in this.configureOptions)this.configureOptions.hasOwnProperty(option)&&(this.allowCreation=!1,show=!1,"function"==typeof filter?(show=filter(option,[]),show=show||this._handleObject(this.configureOptions[option],[option],!0)):(!0===filter||-1!==filter.indexOf(option))&&(show=!0),!1!==show&&(this.allowCreation=!0,0<counter&&this._makeItem([]),this._makeHeader(option),this._handleObject(this.configureOptions[option],[option])),counter++);this._makeButton(),this._push()}_push(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var i=0;i<this.domElements.length;i++)this.wrapper.appendChild(this.domElements[i]);this._showPopupIfNeeded()}_clean(){for(var i=0;i<this.domElements.length;i++)this.wrapper.removeChild(this.domElements[i]);this.wrapper!==void 0&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}_getValue(path){let base=this.moduleOptions;for(let i=0;i<path.length;i++)if(base[path[i]]!==void 0)base=base[path[i]];else{base=void 0;break}return base}_makeItem(path,...domElements){if(!0===this.allowCreation){let item=document.createElement("div");return item.className="vis-configuration vis-config-item vis-config-s"+path.length,domElements.forEach(element=>{item.appendChild(element)}),this.domElements.push(item),this.domElements.length}return 0}_makeHeader(name){let div=document.createElement("div");div.className="vis-configuration vis-config-header",div.innerHTML=name,this._makeItem([],div)}_makeLabel(name,path,objectLabel=!1){let div=document.createElement("div");return div.className="vis-configuration vis-config-label vis-config-s"+path.length,div.innerHTML=!0===objectLabel?"<i><b>"+name+":</b></i>":name+":",div}_makeDropdown(arr,value,path){let select=document.createElement("select");select.className="vis-configuration vis-config-select";let selectedValue=0;value!==void 0&&-1!==arr.indexOf(value)&&(selectedValue=arr.indexOf(value));for(let i=0,option;i<arr.length;i++)option=document.createElement("option"),option.value=arr[i],i==selectedValue&&(option.selected="selected"),option.innerHTML=arr[i],select.appendChild(option);let me=this;select.onchange=function(){me._update(this.value,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,select)}_makeRange(arr,value,path){let defaultValue=arr[0],min=arr[1],max=arr[2],step=arr[3],range=document.createElement("input");range.className="vis-configuration vis-config-range";try{range.type="range",range.min=min,range.max=max}catch(err){}range.step=step;let popupString="",popupValue=0;if(value!==void 0){let factor=1.2;0>value&&value*factor<min?(range.min=_Mathceil(value*factor),popupValue=range.min,popupString="range increased"):value/factor<min&&(range.min=_Mathceil(value/factor),popupValue=range.min,popupString="range increased"),value*factor>max&&1!==max&&(range.max=_Mathceil(value*factor),popupValue=range.max,popupString="range increased"),range.value=value}else range.value=defaultValue;let input=document.createElement("input");input.className="vis-configuration vis-config-rangeinput",input.value=range.value;var me=this;range.onchange=function(){input.value=this.value,me._update(+this.value,path)},range.oninput=function(){input.value=this.value};let label=this._makeLabel(path[path.length-1],path),itemIndex=this._makeItem(path,label,range,input);""!=popupString&&this.popupHistory[itemIndex]!==popupValue&&(this.popupHistory[itemIndex]=popupValue,this._setupPopup(popupString,itemIndex))}_makeButton(){if(!0===this.options.showButton){let generateButton=document.createElement("div");generateButton.className="vis-configuration vis-config-button",generateButton.innerHTML="generate options",generateButton.onclick=()=>{this._printOptions()},generateButton.onmouseover=()=>{generateButton.className="vis-configuration vis-config-button hover"},generateButton.onmouseout=()=>{generateButton.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(generateButton)}}_setupPopup(string,index){if(!0===this.initialized&&!0===this.allowCreation&&this.popupCounter<this.popupLimit){let div=document.createElement("div");div.id="vis-configuration-popup",div.className="vis-configuration-popup",div.innerHTML=string,div.onclick=()=>{this._removePopup()},this.popupCounter+=1,this.popupDiv={html:div,index:index}}}_removePopup(){this.popupDiv.html!==void 0&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}_showPopupIfNeeded(){if(this.popupDiv.html!==void 0){let correspondingElement=this.domElements[this.popupDiv.index],rect=correspondingElement.getBoundingClientRect();this.popupDiv.html.style.left=rect.left+"px",this.popupDiv.html.style.top=rect.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=setTimeout(()=>{this.popupDiv.html.style.opacity=0},1500),this.popupDiv.deleteTimeout=setTimeout(()=>{this._removePopup()},1800)}}_makeCheckbox(defaultValue,value,path){var checkbox=document.createElement("input");checkbox.type="checkbox",checkbox.className="vis-configuration vis-config-checkbox",checkbox.checked=defaultValue,value!==void 0&&(checkbox.checked=value,value!==defaultValue&&("object"==typeof defaultValue?value!==defaultValue.enabled&&this.changedOptions.push({path:path,value:value}):this.changedOptions.push({path:path,value:value})));let me=this;checkbox.onchange=function(){me._update(this.checked,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,checkbox)}_makeTextInput(defaultValue,value,path){var checkbox=document.createElement("input");checkbox.type="text",checkbox.className="vis-configuration vis-config-text",checkbox.value=value,value!==defaultValue&&this.changedOptions.push({path:path,value:value});let me=this;checkbox.onchange=function(){me._update(this.value,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,checkbox)}_makeColorField(arr,value,path){let defaultColor=arr[1],div=document.createElement("div");value=value===void 0?defaultColor:value,"none"===value?div.className="vis-configuration vis-config-colorBlock none":(div.className="vis-configuration vis-config-colorBlock",div.style.backgroundColor=value),value=value===void 0?defaultColor:value,div.onclick=()=>{this._showColorPicker(value,div,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,div)}_showColorPicker(value,div,path){div.onclick=function(){},this.colorPicker.insertTo(div),this.colorPicker.show(),this.colorPicker.setColor(value),this.colorPicker.setUpdateCallback(color=>{let colorString="rgba("+color.r+","+color.g+","+color.b+","+color.a+")";div.style.backgroundColor=colorString,this._update(colorString,path)}),this.colorPicker.setCloseCallback(()=>{div.onclick=()=>{this._showColorPicker(value,div,path)}})}_handleObject(obj,path=[],checkOnly=!1){let show=!1,filter=this.options.filter,visibleInSet=!1;for(let subObj in obj)if(obj.hasOwnProperty(subObj)){show=!0;let item=obj[subObj],newPath=util.copyAndExtendArray(path,subObj);if("function"==typeof filter&&(show=filter(subObj,path),!1===show&&!(item instanceof Array)&&"string"!=typeof item&&"boolean"!=typeof item&&item instanceof Object&&(this.allowCreation=!1,show=this._handleObject(item,newPath,!0),this.allowCreation=!1===checkOnly)),!1!==show){visibleInSet=!0;let value=this._getValue(newPath);if(item instanceof Array)this._handleArray(item,value,newPath);else if("string"==typeof item)this._makeTextInput(item,value,newPath);else if("boolean"==typeof item)this._makeCheckbox(item,value,newPath);else if(item instanceof Object){let draw=!0;if(-1!==path.indexOf("physics")&&this.moduleOptions.physics.solver!==subObj&&(draw=!1),!0==draw)if(void 0!==item.enabled){let enabledPath=util.copyAndExtendArray(newPath,"enabled"),enabledValue=this._getValue(enabledPath);if(!0===enabledValue){let label=this._makeLabel(subObj,newPath,!0);this._makeItem(newPath,label),visibleInSet=this._handleObject(item,newPath)||visibleInSet}else this._makeCheckbox(item,enabledValue,newPath)}else{let label=this._makeLabel(subObj,newPath,!0);this._makeItem(newPath,label),visibleInSet=this._handleObject(item,newPath)||visibleInSet}}else console.error("dont know how to handle",item,subObj,newPath)}}return visibleInSet}_handleArray(arr,value,path){"string"==typeof arr[0]&&"color"===arr[0]?(this._makeColorField(arr,value,path),arr[1]!==value&&this.changedOptions.push({path:path,value:value})):"string"==typeof arr[0]?(this._makeDropdown(arr,value,path),arr[0]!==value&&this.changedOptions.push({path:path,value:value})):"number"==typeof arr[0]&&(this._makeRange(arr,value,path),arr[0]!==value&&this.changedOptions.push({path:path,value:+value}))}_update(value,path){let options=this._constructOptions(value,path);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",options),this.initialized=!0,this.parent.setOptions(options)}_constructOptions(value,path,optionsObj={}){let pointer=optionsObj;value=!("true"!==value)||value,value="false"!==value&&value;for(let i=0;i<path.length;i++)"global"!==path[i]&&(void 0===pointer[path[i]]&&(pointer[path[i]]={}),i==path.length-1?pointer[path[i]]=value:pointer=pointer[path[i]]);return optionsObj}_printOptions(){let options=this.getOptions();this.optionsContainer.innerHTML="<pre>var options = "+JSON.stringify(options,null,2)+"</pre>"}getOptions(){let options={};for(var i=0;i<this.changedOptions.length;i++)this._constructOptions(this.changedOptions[i].value,this.changedOptions[i].path,options);return options}}let bool="boolean",number="number",array="array",object="object",dom="dom",endPoints=["arrow","circle","bar"],allOptions$1={configure:{enabled:{boolean:bool},filter:{boolean:bool,string:"string",array,function:"function"},container:{dom},showButton:{boolean:bool},__type__:{object,boolean:bool,string:"string",array,function:"function"}},edges:{arrows:{to:{enabled:{boolean:bool},scaleFactor:{number},type:{string:endPoints},__type__:{object,boolean:bool}},middle:{enabled:{boolean:bool},scaleFactor:{number},type:{string:endPoints},__type__:{object,boolean:bool}},from:{enabled:{boolean:bool},scaleFactor:{number},type:{string:endPoints},__type__:{object,boolean:bool}},__type__:{string:["from","to","middle"],object}},arrowStrikethrough:{boolean:bool},background:{enabled:{boolean:bool},color:{string:"string"},size:{number},dashes:{boolean:bool,array},__type__:{object,boolean:bool}},chosen:{label:{boolean:bool,function:"function"},edge:{boolean:bool,function:"function"},__type__:{object,boolean:bool}},color:{color:{string:"string"},highlight:{string:"string"},hover:{string:"string"},inherit:{string:["from","to","both"],boolean:bool},opacity:{number},__type__:{object,string:"string"}},dashes:{boolean:bool,array},font:{color:{string:"string"},size:{number},face:{string:"string"},background:{string:"string"},strokeWidth:{number},strokeColor:{string:"string"},align:{string:["horizontal","top","middle","bottom"]},vadjust:{number},multi:{boolean:bool,string:"string"},bold:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},boldital:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},ital:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},mono:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},__type__:{object,string:"string"}},hidden:{boolean:bool},hoverWidth:{function:"function",number},label:{string:"string",undefined:"undefined"},labelHighlightBold:{boolean:bool},length:{number,undefined:"undefined"},physics:{boolean:bool},scaling:{min:{number},max:{number},label:{enabled:{boolean:bool},min:{number},max:{number},maxVisible:{number},drawThreshold:{number},__type__:{object,boolean:bool}},customScalingFunction:{function:"function"},__type__:{object}},selectionWidth:{function:"function",number},selfReferenceSize:{number},shadow:{enabled:{boolean:bool},color:{string:"string"},size:{number},x:{number},y:{number},__type__:{object,boolean:bool}},smooth:{enabled:{boolean:bool},type:{string:["dynamic","continuous","discrete","diagonalCross","straightCross","horizontal","vertical","curvedCW","curvedCCW","cubicBezier"]},roundness:{number},forceDirection:{string:["horizontal","vertical","none"],boolean:bool},__type__:{object,boolean:bool}},title:{string:"string",undefined:"undefined"},width:{number},widthConstraint:{maximum:{number},__type__:{object,boolean:bool,number}},value:{number,undefined:"undefined"},__type__:{object}},groups:{useDefaultGroups:{boolean:bool},__any__:"get from nodes, will be overwritten below",__type__:{object}},interaction:{dragNodes:{boolean:bool},dragView:{boolean:bool},hideEdgesOnDrag:{boolean:bool},hideEdgesOnZoom:{boolean:bool},hideNodesOnDrag:{boolean:bool},hover:{boolean:bool},keyboard:{enabled:{boolean:bool},speed:{x:{number},y:{number},zoom:{number},__type__:{object}},bindToWindow:{boolean:bool},__type__:{object,boolean:bool}},multiselect:{boolean:bool},navigationButtons:{boolean:bool},selectable:{boolean:bool},selectConnectedEdges:{boolean:bool},hoverConnectedEdges:{boolean:bool},tooltipDelay:{number},zoomView:{boolean:bool},zoomSpeed:{number},__type__:{object}},layout:{randomSeed:{undefined:"undefined",number},improvedLayout:{boolean:bool},hierarchical:{enabled:{boolean:bool},levelSeparation:{number},nodeSpacing:{number},treeSpacing:{number},blockShifting:{boolean:bool},edgeMinimization:{boolean:bool},parentCentralization:{boolean:bool},direction:{string:["UD","DU","LR","RL"]},sortMethod:{string:["hubsize","directed"]},__type__:{object,boolean:bool}},__type__:{object}},manipulation:{enabled:{boolean:bool},initiallyActive:{boolean:bool},addNode:{boolean:bool,function:"function"},addEdge:{boolean:bool,function:"function"},editNode:{function:"function"},editEdge:{editWithoutDrag:{function:"function"},__type__:{object,boolean:bool,function:"function"}},deleteNode:{boolean:bool,function:"function"},deleteEdge:{boolean:bool,function:"function"},controlNodeStyle:"get from nodes, will be overwritten below",__type__:{object,boolean:bool}},nodes:{borderWidth:{number},borderWidthSelected:{number,undefined:"undefined"},brokenImage:{string:"string",undefined:"undefined"},chosen:{label:{boolean:bool,function:"function"},node:{boolean:bool,function:"function"},__type__:{object,boolean:bool}},color:{border:{string:"string"},background:{string:"string"},highlight:{border:{string:"string"},background:{string:"string"},__type__:{object,string:"string"}},hover:{border:{string:"string"},background:{string:"string"},__type__:{object,string:"string"}},__type__:{object,string:"string"}},fixed:{x:{boolean:bool},y:{boolean:bool},__type__:{object,boolean:bool}},font:{align:{string:"string"},color:{string:"string"},size:{number},face:{string:"string"},background:{string:"string"},strokeWidth:{number},strokeColor:{string:"string"},vadjust:{number},multi:{boolean:bool,string:"string"},bold:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},boldital:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},ital:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},mono:{color:{string:"string"},size:{number},face:{string:"string"},mod:{string:"string"},vadjust:{number},__type__:{object,string:"string"}},__type__:{object,string:"string"}},group:{string:"string",number,undefined:"undefined"},heightConstraint:{minimum:{number},valign:{string:"string"},__type__:{object,boolean:bool,number}},hidden:{boolean:bool},icon:{face:{string:"string"},code:{string:"string"},size:{number},color:{string:"string"},__type__:{object}},id:{string:"string",number},image:{selected:{string:"string",undefined:"undefined"},unselected:{string:"string",undefined:"undefined"},__type__:{object,string:"string"}},label:{string:"string",undefined:"undefined"},labelHighlightBold:{boolean:bool},level:{number,undefined:"undefined"},margin:{top:{number},right:{number},bottom:{number},left:{number},__type__:{object,number}},mass:{number},physics:{boolean:bool},scaling:{min:{number},max:{number},label:{enabled:{boolean:bool},min:{number},max:{number},maxVisible:{number},drawThreshold:{number},__type__:{object,boolean:bool}},customScalingFunction:{function:"function"},__type__:{object}},shadow:{enabled:{boolean:bool},color:{string:"string"},size:{number},x:{number},y:{number},__type__:{object,boolean:bool}},shape:{string:["ellipse","circle","database","box","text","image","circularImage","diamond","dot","star","triangle","triangleDown","square","icon","hexagon"]},shapeProperties:{borderDashes:{boolean:bool,array},borderRadius:{number},interpolation:{boolean:bool},useImageSize:{boolean:bool},useBorderWithImage:{boolean:bool},__type__:{object}},size:{number},title:{string:"string",dom,undefined:"undefined"},value:{number,undefined:"undefined"},widthConstraint:{minimum:{number},maximum:{number},__type__:{object,boolean:bool,number}},x:{number},y:{number},__type__:{object}},physics:{enabled:{boolean:bool},barnesHut:{gravitationalConstant:{number},centralGravity:{number},springLength:{number},springConstant:{number},damping:{number},avoidOverlap:{number},__type__:{object}},forceAtlas2Based:{gravitationalConstant:{number},centralGravity:{number},springLength:{number},springConstant:{number},damping:{number},avoidOverlap:{number},__type__:{object}},repulsion:{centralGravity:{number},springLength:{number},springConstant:{number},nodeDistance:{number},damping:{number},__type__:{object}},hierarchicalRepulsion:{centralGravity:{number},springLength:{number},springConstant:{number},nodeDistance:{number},damping:{number},__type__:{object}},maxVelocity:{number},minVelocity:{number},solver:{string:["barnesHut","repulsion","hierarchicalRepulsion","forceAtlas2Based"]},stabilization:{enabled:{boolean:bool},iterations:{number},updateInterval:{number},onlyDynamicEdges:{boolean:bool},fit:{boolean:bool},__type__:{object,boolean:bool}},timestep:{number},adaptiveTimestep:{boolean:bool},__type__:{object,boolean:bool}},autoResize:{boolean:bool},clickToUse:{boolean:bool},locale:{string:"string"},locales:{__any__:{any:"any"},__type__:{object}},height:{string:"string"},width:{string:"string"},__type__:{object}};allOptions$1.groups.__any__=allOptions$1.nodes,allOptions$1.manipulation.controlNodeStyle=allOptions$1.nodes;let configureOptions={nodes:{borderWidth:[1,0,10,1],borderWidthSelected:[2,0,10,1],color:{border:["color","#2B7CE9"],background:["color","#97C2FC"],highlight:{border:["color","#2B7CE9"],background:["color","#D2E5FF"]},hover:{border:["color","#2B7CE9"],background:["color","#D2E5FF"]}},fixed:{x:!1,y:!1},font:{color:["color","#343434"],size:[14,0,100,1],face:["arial","verdana","tahoma"],background:["color","none"],strokeWidth:[0,0,50,1],strokeColor:["color","#ffffff"]},hidden:!1,labelHighlightBold:!0,physics:!0,scaling:{min:[10,0,200,1],max:[30,0,200,1],label:{enabled:!1,min:[14,0,200,1],max:[30,0,200,1],maxVisible:[30,0,200,1],drawThreshold:[5,0,20,1]}},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:[10,0,20,1],x:[5,-30,30,1],y:[5,-30,30,1]},shape:["ellipse","box","circle","database","diamond","dot","square","star","text","triangle","triangleDown","hexagon"],shapeProperties:{borderDashes:!1,borderRadius:[6,0,20,1],interpolation:!0,useImageSize:!1},size:[25,0,200,1]},edges:{arrows:{to:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"},middle:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"},from:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"}},arrowStrikethrough:!0,color:{color:["color","#848484"],highlight:["color","#848484"],hover:["color","#848484"],inherit:["from","to","both",!0,!1],opacity:[1,0,1,.05]},dashes:!1,font:{color:["color","#343434"],size:[14,0,100,1],face:["arial","verdana","tahoma"],background:["color","none"],strokeWidth:[2,0,50,1],strokeColor:["color","#ffffff"],align:["horizontal","top","middle","bottom"]},hidden:!1,hoverWidth:[1.5,0,5,.1],labelHighlightBold:!0,physics:!0,scaling:{min:[1,0,100,1],max:[15,0,100,1],label:{enabled:!0,min:[14,0,200,1],max:[30,0,200,1],maxVisible:[30,0,200,1],drawThreshold:[5,0,20,1]}},selectionWidth:[1.5,0,5,.1],selfReferenceSize:[20,0,200,1],shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:[10,0,20,1],x:[5,-30,30,1],y:[5,-30,30,1]},smooth:{enabled:!0,type:["dynamic","continuous","discrete","diagonalCross","straightCross","horizontal","vertical","curvedCW","curvedCCW","cubicBezier"],forceDirection:["horizontal","vertical","none"],roundness:[.5,0,1,.05]},width:[1,0,30,1]},layout:{hierarchical:{enabled:!1,levelSeparation:[150,20,500,5],nodeSpacing:[100,20,500,5],treeSpacing:[200,20,500,5],blockShifting:!0,edgeMinimization:!0,parentCentralization:!0,direction:["UD","DU","LR","RL"],sortMethod:["hubsize","directed"]}},interaction:{dragNodes:!0,dragView:!0,hideEdgesOnDrag:!1,hideEdgesOnZoom:!1,hideNodesOnDrag:!1,hover:!1,keyboard:{enabled:!1,speed:{x:[10,0,40,1],y:[10,0,40,1],zoom:[.02,0,.1,.005]},bindToWindow:!0},multiselect:!1,navigationButtons:!1,selectable:!0,selectConnectedEdges:!0,hoverConnectedEdges:!0,tooltipDelay:[300,0,1e3,25],zoomView:!0,zoomSpeed:[1,1,1,1]},manipulation:{enabled:!1,initiallyActive:!1},physics:{enabled:!0,barnesHut:{gravitationalConstant:[-2e3,-3e4,0,50],centralGravity:[.3,0,10,.05],springLength:[95,0,500,5],springConstant:[.04,0,1.2,.005],damping:[.09,0,1,.01],avoidOverlap:[0,0,1,.01]},forceAtlas2Based:{gravitationalConstant:[-50,-500,0,1],centralGravity:[.01,0,1,.005],springLength:[95,0,500,5],springConstant:[.08,0,1.2,.005],damping:[.4,0,1,.01],avoidOverlap:[0,0,1,.01]},repulsion:{centralGravity:[.2,0,10,.05],springLength:[200,0,500,5],springConstant:[.05,0,1.2,.005],nodeDistance:[100,0,500,5],damping:[.09,0,1,.01]},hierarchicalRepulsion:{centralGravity:[.2,0,10,.05],springLength:[100,0,500,5],springConstant:[.01,0,1.2,.005],nodeDistance:[120,0,500,5],damping:[.09,0,1,.01]},maxVelocity:[50,0,150,1],minVelocity:[.1,.01,.5,.01],solver:["barnesHut","forceAtlas2Based","repulsion","hierarchicalRepulsion"],timestep:[.5,.01,1,.01]}};var allOptions$2=Object.freeze({allOptions:allOptions$1,configureOptions:configureOptions});class FloydWarshall{constructor(){}getDistances(body,nodesArray,edgesArray){let D_matrix={},edges=body.edges;for(let i=0;i<nodesArray.length;i++){let node=nodesArray[i],cell={};D_matrix[node]=cell;for(let j=0;j<nodesArray.length;j++)cell[nodesArray[j]]=i==j?0:1e9}for(let i=0,edge;i<edgesArray.length;i++)edge=edges[edgesArray[i]],!0===edge.connected&&void 0!==D_matrix[edge.fromId]&&void 0!==D_matrix[edge.toId]&&(D_matrix[edge.fromId][edge.toId]=1,D_matrix[edge.toId][edge.fromId]=1);let nodeCount=nodesArray.length;for(let k=0;k<nodeCount;k++){let knode=nodesArray[k],kcolm=D_matrix[knode];for(let i=0;i<nodeCount-1;i++){let inode=nodesArray[i],icolm=D_matrix[inode];for(let j=i+1;j<nodeCount;j++){let jnode=nodesArray[j],jcolm=D_matrix[jnode],val=_Mathmin(icolm[jnode],icolm[knode]+kcolm[jnode]);icolm[jnode]=val,jcolm[inode]=val}}}return D_matrix}}class KamadaKawai{constructor(body,edgeLength,edgeStrength){this.body=body,this.springLength=edgeLength,this.springConstant=edgeStrength,this.distanceSolver=new FloydWarshall}setOptions(options){options&&(options.springLength&&(this.springLength=options.springLength),options.springConstant&&(this.springConstant=options.springConstant))}solve(nodesArray,edgesArray,ignoreClusters=!1){let D_matrix=this.distanceSolver.getDistances(this.body,nodesArray,edgesArray);this._createL_matrix(D_matrix),this._createK_matrix(D_matrix),this._createE_matrix();let iterations=0,maxIterations=_Mathmax(1e3,_Mathmin(10*this.body.nodeIndices.length,6e3)),maxEnergy=1e9,highE_nodeId=0,dE_dx=0,dE_dy=0,delta_m=0,subIterations=0;for(;maxEnergy>.01&&iterations<maxIterations;)for(iterations+=1,[highE_nodeId,maxEnergy,dE_dx,dE_dy]=this._getHighestEnergyNode(ignoreClusters),delta_m=maxEnergy,subIterations=0;delta_m>1&&subIterations<5;)subIterations+=1,this._moveNode(highE_nodeId,dE_dx,dE_dy),[delta_m,dE_dx,dE_dy]=this._getEnergy(highE_nodeId)}_getHighestEnergyNode(ignoreClusters){let nodesArray=this.body.nodeIndices,nodes=this.body.nodes,maxEnergy=0,maxEnergyNodeId=nodesArray[0],dE_dx_max=0,dE_dy_max=0;for(let nodeIdx=0,m;nodeIdx<nodesArray.length;nodeIdx++)if(m=nodesArray[nodeIdx],!1===nodes[m].predefinedPosition||!0===nodes[m].isCluster&&!0===ignoreClusters||!0===nodes[m].options.fixed.x||!0===nodes[m].options.fixed.y){let[delta_m,dE_dx,dE_dy]=this._getEnergy(m);maxEnergy<delta_m&&(maxEnergy=delta_m,maxEnergyNodeId=m,dE_dx_max=dE_dx,dE_dy_max=dE_dy)}return[maxEnergyNodeId,maxEnergy,dE_dx_max,dE_dy_max]}_getEnergy(m){let[dE_dx,dE_dy]=this.E_sums[m],delta_m=_Mathsqrt(_Mathpow(dE_dx,2)+_Mathpow(dE_dy,2));return[delta_m,dE_dx,dE_dy]}_moveNode(m,dE_dx,dE_dy){let nodesArray=this.body.nodeIndices,nodes=this.body.nodes,d2E_dx2=0,d2E_dxdy=0,d2E_dy2=0,x_m=nodes[m].x,y_m=nodes[m].y,km=this.K_matrix[m],lm=this.L_matrix[m];for(let iIdx=0,i;iIdx<nodesArray.length;iIdx++)if(i=nodesArray[iIdx],i!==m){let x_i=nodes[i].x,y_i=nodes[i].y,kmat=km[i],lmat=lm[i],denominator=1/_Mathpow(_Mathpow(x_m-x_i,2)+_Mathpow(y_m-y_i,2),1.5);d2E_dx2+=kmat*(1-lmat*_Mathpow(y_m-y_i,2)*denominator),d2E_dxdy+=kmat*(lmat*(x_m-x_i)*(y_m-y_i)*denominator),d2E_dy2+=kmat*(1-lmat*_Mathpow(x_m-x_i,2)*denominator)}let A=d2E_dx2,B=d2E_dxdy,C=dE_dx,D=d2E_dy2,dy=(C/A+dE_dy/B)/(B/A-D/B);nodes[m].x+=-(B*dy+C)/A,nodes[m].y+=dy,this._updateE_matrix(m)}_createL_matrix(D_matrix){let nodesArray=this.body.nodeIndices,edgeLength=this.springLength;this.L_matrix=[];for(let i=0;i<nodesArray.length;i++){this.L_matrix[nodesArray[i]]={};for(let j=0;j<nodesArray.length;j++)this.L_matrix[nodesArray[i]][nodesArray[j]]=edgeLength*D_matrix[nodesArray[i]][nodesArray[j]]}}_createK_matrix(D_matrix){let nodesArray=this.body.nodeIndices,edgeStrength=this.springConstant;this.K_matrix=[];for(let i=0;i<nodesArray.length;i++){this.K_matrix[nodesArray[i]]={};for(let j=0;j<nodesArray.length;j++)this.K_matrix[nodesArray[i]][nodesArray[j]]=edgeStrength*_Mathpow(D_matrix[nodesArray[i]][nodesArray[j]],-2)}}_createE_matrix(){let nodesArray=this.body.nodeIndices,nodes=this.body.nodes;this.E_matrix={},this.E_sums={};for(let mIdx=0;mIdx<nodesArray.length;mIdx++)this.E_matrix[nodesArray[mIdx]]=[];for(let mIdx=0;mIdx<nodesArray.length;mIdx++){let m=nodesArray[mIdx],x_m=nodes[m].x,y_m=nodes[m].y,dE_dx=0,dE_dy=0;for(let iIdx=mIdx,i;iIdx<nodesArray.length;iIdx++)if(i=nodesArray[iIdx],i!==m){let x_i=nodes[i].x,y_i=nodes[i].y,denominator=1/_Mathsqrt(_Mathpow(x_m-x_i,2)+_Mathpow(y_m-y_i,2));this.E_matrix[m][iIdx]=[this.K_matrix[m][i]*(x_m-x_i-this.L_matrix[m][i]*(x_m-x_i)*denominator),this.K_matrix[m][i]*(y_m-y_i-this.L_matrix[m][i]*(y_m-y_i)*denominator)],this.E_matrix[i][mIdx]=this.E_matrix[m][iIdx],dE_dx+=this.E_matrix[m][iIdx][0],dE_dy+=this.E_matrix[m][iIdx][1]}this.E_sums[m]=[dE_dx,dE_dy]}}_updateE_matrix(m){let nodesArray=this.body.nodeIndices,nodes=this.body.nodes,colm=this.E_matrix[m],kcolm=this.K_matrix[m],lcolm=this.L_matrix[m],x_m=nodes[m].x,y_m=nodes[m].y,dE_dx=0,dE_dy=0;for(let iIdx=0,i;iIdx<nodesArray.length;iIdx++)if(i=nodesArray[iIdx],i!==m){let cell=colm[iIdx],oldDx=cell[0],oldDy=cell[1],x_i=nodes[i].x,y_i=nodes[i].y,denominator=1/_Mathsqrt(_Mathpow(x_m-x_i,2)+_Mathpow(y_m-y_i,2)),dx=kcolm[i]*(x_m-x_i-lcolm[i]*(x_m-x_i)*denominator),dy=kcolm[i]*(y_m-y_i-lcolm[i]*(y_m-y_i)*denominator);colm[iIdx]=[dx,dy],dE_dx+=dx,dE_dy+=dy;let sum=this.E_sums[i];sum[0]+=dx-oldDx,sum[1]+=dy-oldDy}this.E_sums[m]=[dE_dx,dE_dy]}}componentEmitter(Network.prototype),Network.prototype.setOptions=function(options){if(null===options&&(options=void 0),void 0!==options){let errorFound=Validator.validate(options,allOptions$1);!0===errorFound&&console.log("%cErrors have been found in the supplied options object.",printStyle);if(util.selectiveDeepExtend(["locale","locales","clickToUse"],this.options,options),options=this.layoutEngine.setOptions(options.layout,options),this.canvas.setOptions(options),this.groups.setOptions(options.groups),this.nodesHandler.setOptions(options.nodes),this.edgesHandler.setOptions(options.edges),this.physics.setOptions(options.physics),this.manipulation.setOptions(options.manipulation,options,this.options),this.interactionHandler.setOptions(options.interaction),this.renderer.setOptions(options.interaction),this.selectionHandler.setOptions(options.interaction),void 0!==options.groups&&this.body.emitter.emit("refreshNodes"),"configure"in options&&(!this.configurator&&(this.configurator=new Configurator(this,this.body.container,configureOptions,this.canvas.pixelRatio)),this.configurator.setOptions(options.configure)),this.configurator&&!0===this.configurator.options.enabled){let networkOptions={nodes:{},edges:{},layout:{},interaction:{},manipulation:{},physics:{},global:{}};util.deepExtend(networkOptions.nodes,this.nodesHandler.options),util.deepExtend(networkOptions.edges,this.edgesHandler.options),util.deepExtend(networkOptions.layout,this.layoutEngine.options),util.deepExtend(networkOptions.interaction,this.selectionHandler.options),util.deepExtend(networkOptions.interaction,this.renderer.options),util.deepExtend(networkOptions.interaction,this.interactionHandler.options),util.deepExtend(networkOptions.manipulation,this.manipulation.options),util.deepExtend(networkOptions.physics,this.physics.options),util.deepExtend(networkOptions.global,this.canvas.options),util.deepExtend(networkOptions.global,this.options),this.configurator.setModuleOptions(networkOptions)}void 0===options.clickToUse?this.body.emitter.emit("activate"):!0===options.clickToUse?void 0===this.activator&&(this.activator=new Activator$1(this.canvas.frame),this.activator.on("change",()=>{this.body.emitter.emit("activate")})):(void 0!==this.activator&&(this.activator.destroy(),delete this.activator),this.body.emitter.emit("activate")),this.canvas.setSize(),this.body.emitter.emit("startSimulation")}},Network.prototype._updateVisibleIndices=function(){let nodes=this.body.nodes,edges=this.body.edges;for(let nodeId in this.body.nodeIndices=[],this.body.edgeIndices=[],nodes)nodes.hasOwnProperty(nodeId)&&(this.clustering._isClusteredNode(nodeId)||!1!==nodes[nodeId].options.hidden||this.body.nodeIndices.push(nodes[nodeId].id));for(let edgeId in edges)if(edges.hasOwnProperty(edgeId)){let edge=edges[edgeId],fromNode=nodes[edge.fromId],toNode=nodes[edge.toId],isVisible=!this.clustering._isClusteredEdge(edgeId)&&!1===edge.options.hidden&&void 0!==fromNode&&void 0!==toNode&&!1===fromNode.options.hidden&&!1===toNode.options.hidden;isVisible&&this.body.edgeIndices.push(edge.id)}},Network.prototype.bindEventListeners=function(){this.body.emitter.on("_dataChanged",()=>{this.edgesHandler._updateState(),this.body.emitter.emit("_dataUpdated")}),this.body.emitter.on("_dataUpdated",()=>{this.clustering._updateState(),this._updateVisibleIndices(),this._updateValueRange(this.body.nodes),this._updateValueRange(this.body.edges),this.body.emitter.emit("startSimulation"),this.body.emitter.emit("_requestRedraw")})},Network.prototype.setData=function(data){if(this.body.emitter.emit("resetPhysics"),this.body.emitter.emit("_resetData"),this.selectionHandler.unselectAll(),data&&data.dot&&(data.nodes||data.edges))throw new SyntaxError("Data must contain either parameter \"dot\" or  parameter pair \"nodes\" and \"edges\", but not both.");if(this.setOptions(data&&data.options),data&&data.dot){console.log("The dot property has been deprecated. Please use the static convertDot method to convert DOT into vis.network format and use the normal data format with nodes and edges. This converter is used like this: var data = vis.network.convertDot(dotString);");var dotData=dotparser.DOTToGraph(data.dot);return void this.setData(dotData)}if(data&&data.gephi){console.log("The gephi property has been deprecated. Please use the static convertGephi method to convert gephi into vis.network format and use the normal data format with nodes and edges. This converter is used like this: var data = vis.network.convertGephi(gephiJson);");var gephiData=parseGephi(data.gephi);return void this.setData(gephiData)}this.nodesHandler.setData(data&&data.nodes,!0),this.edgesHandler.setData(data&&data.edges,!0),this.body.emitter.emit("_dataChanged"),this.body.emitter.emit("_dataLoaded"),this.body.emitter.emit("initPhysics")},Network.prototype.destroy=function(){for(var nodeId in this.body.emitter.emit("destroy"),this.body.emitter.off(),this.off(),delete this.groups,delete this.canvas,delete this.selectionHandler,delete this.interactionHandler,delete this.view,delete this.renderer,delete this.physics,delete this.layoutEngine,delete this.clustering,delete this.manipulation,delete this.nodesHandler,delete this.edgesHandler,delete this.configurator,delete this.images,this.body.nodes)this.body.nodes.hasOwnProperty(nodeId)&&delete this.body.nodes[nodeId];for(var edgeId in this.body.edges)this.body.edges.hasOwnProperty(edgeId)&&delete this.body.edges[edgeId];util.recursiveDOMDelete(this.body.container)},Network.prototype._updateValueRange=function(obj){var valueMin=void 0,valueMax=void 0,valueTotal=0,id;for(id in obj)if(obj.hasOwnProperty(id)){var value=obj[id].getValue();value!==void 0&&(valueMin=valueMin===void 0?value:_Mathmin(value,valueMin),valueMax=valueMax===void 0?value:_Mathmax(value,valueMax),valueTotal+=value)}if(valueMin!==void 0&&valueMax!==void 0)for(id in obj)obj.hasOwnProperty(id)&&obj[id].setValueRange(valueMin,valueMax,valueTotal)},Network.prototype.isActive=function(){return!this.activator||this.activator.active},Network.prototype.setSize=function(){return this.canvas.setSize.apply(this.canvas,arguments)},Network.prototype.canvasToDOM=function(){return this.canvas.canvasToDOM.apply(this.canvas,arguments)},Network.prototype.DOMtoCanvas=function(){return this.canvas.DOMtoCanvas.apply(this.canvas,arguments)},Network.prototype.findNode=function(){return this.clustering.findNode.apply(this.clustering,arguments)},Network.prototype.isCluster=function(){return this.clustering.isCluster.apply(this.clustering,arguments)},Network.prototype.openCluster=function(){return this.clustering.openCluster.apply(this.clustering,arguments)},Network.prototype.cluster=function(){return this.clustering.cluster.apply(this.clustering,arguments)},Network.prototype.getNodesInCluster=function(){return this.clustering.getNodesInCluster.apply(this.clustering,arguments)},Network.prototype.clusterByConnection=function(){return this.clustering.clusterByConnection.apply(this.clustering,arguments)},Network.prototype.clusterByHubsize=function(){return this.clustering.clusterByHubsize.apply(this.clustering,arguments)},Network.prototype.clusterOutliers=function(){return this.clustering.clusterOutliers.apply(this.clustering,arguments)},Network.prototype.getSeed=function(){return this.layoutEngine.getSeed.apply(this.layoutEngine,arguments)},Network.prototype.enableEditMode=function(){return this.manipulation.enableEditMode.apply(this.manipulation,arguments)},Network.prototype.disableEditMode=function(){return this.manipulation.disableEditMode.apply(this.manipulation,arguments)},Network.prototype.addNodeMode=function(){return this.manipulation.addNodeMode.apply(this.manipulation,arguments)},Network.prototype.editNode=function(){return this.manipulation.editNode.apply(this.manipulation,arguments)},Network.prototype.editNodeMode=function(){return console.log("Deprecated: Please use editNode instead of editNodeMode."),this.manipulation.editNode.apply(this.manipulation,arguments)},Network.prototype.addEdgeMode=function(){return this.manipulation.addEdgeMode.apply(this.manipulation,arguments)},Network.prototype.editEdgeMode=function(){return this.manipulation.editEdgeMode.apply(this.manipulation,arguments)},Network.prototype.deleteSelected=function(){return this.manipulation.deleteSelected.apply(this.manipulation,arguments)},Network.prototype.getPositions=function(){return this.nodesHandler.getPositions.apply(this.nodesHandler,arguments)},Network.prototype.storePositions=function(){return this.nodesHandler.storePositions.apply(this.nodesHandler,arguments)},Network.prototype.moveNode=function(){return this.nodesHandler.moveNode.apply(this.nodesHandler,arguments)},Network.prototype.getBoundingBox=function(){return this.nodesHandler.getBoundingBox.apply(this.nodesHandler,arguments)},Network.prototype.getConnectedNodes=function(objectId){return void 0===this.body.nodes[objectId]?this.edgesHandler.getConnectedNodes.apply(this.edgesHandler,arguments):this.nodesHandler.getConnectedNodes.apply(this.nodesHandler,arguments)},Network.prototype.getConnectedEdges=function(){return this.nodesHandler.getConnectedEdges.apply(this.nodesHandler,arguments)},Network.prototype.startSimulation=function(){return this.physics.startSimulation.apply(this.physics,arguments)},Network.prototype.stopSimulation=function(){return this.physics.stopSimulation.apply(this.physics,arguments)},Network.prototype.stabilize=function(){return this.physics.stabilize.apply(this.physics,arguments)},Network.prototype.getSelection=function(){return this.selectionHandler.getSelection.apply(this.selectionHandler,arguments)},Network.prototype.setSelection=function(){return this.selectionHandler.setSelection.apply(this.selectionHandler,arguments)},Network.prototype.getSelectedNodes=function(){return this.selectionHandler.getSelectedNodes.apply(this.selectionHandler,arguments)},Network.prototype.getSelectedEdges=function(){return this.selectionHandler.getSelectedEdges.apply(this.selectionHandler,arguments)},Network.prototype.getNodeAt=function(){var node=this.selectionHandler.getNodeAt.apply(this.selectionHandler,arguments);return void 0!==node&&void 0!==node.id?node.id:node},Network.prototype.getEdgeAt=function(){var edge=this.selectionHandler.getEdgeAt.apply(this.selectionHandler,arguments);return void 0!==edge&&void 0!==edge.id?edge.id:edge},Network.prototype.selectNodes=function(){return this.selectionHandler.selectNodes.apply(this.selectionHandler,arguments)},Network.prototype.selectEdges=function(){return this.selectionHandler.selectEdges.apply(this.selectionHandler,arguments)},Network.prototype.unselectAll=function(){this.selectionHandler.unselectAll.apply(this.selectionHandler,arguments),this.redraw()},Network.prototype.redraw=function(){return this.renderer.redraw.apply(this.renderer,arguments)},Network.prototype.getScale=function(){return this.view.getScale.apply(this.view,arguments)},Network.prototype.getViewPosition=function(){return this.view.getViewPosition.apply(this.view,arguments)},Network.prototype.fit=function(){return this.view.fit.apply(this.view,arguments)},Network.prototype.moveTo=function(){return this.view.moveTo.apply(this.view,arguments)},Network.prototype.focus=function(){return this.view.focus.apply(this.view,arguments)},Network.prototype.releaseNode=function(){return this.view.releaseNode.apply(this.view,arguments)},Network.prototype.getOptionsFromConfigurator=function(){let options={};return this.configurator&&(options=this.configurator.getOptions.apply(this.configurator)),options};var DOMutil=createCommonjsModule$2(function(module,exports){exports.prepareElements=function(JSONcontainer){for(var elementType in JSONcontainer)JSONcontainer.hasOwnProperty(elementType)&&(JSONcontainer[elementType].redundant=JSONcontainer[elementType].used,JSONcontainer[elementType].used=[])},exports.cleanupElements=function(JSONcontainer){for(var elementType in JSONcontainer)if(JSONcontainer.hasOwnProperty(elementType)&&JSONcontainer[elementType].redundant){for(var i=0;i<JSONcontainer[elementType].redundant.length;i++)JSONcontainer[elementType].redundant[i].parentNode.removeChild(JSONcontainer[elementType].redundant[i]);JSONcontainer[elementType].redundant=[]}},exports.resetElements=function(JSONcontainer){exports.prepareElements(JSONcontainer),exports.cleanupElements(JSONcontainer),exports.prepareElements(JSONcontainer)},exports.getSVGElement=function(elementType,JSONcontainer,svgContainer){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),svgContainer.appendChild(element)):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),JSONcontainer[elementType]={used:[],redundant:[]},svgContainer.appendChild(element)),JSONcontainer[elementType].used.push(element),element},exports.getDOMElement=function(elementType,JSONcontainer,DOMContainer,insertBefore){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElement(elementType),void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)):(element=document.createElement(elementType),JSONcontainer[elementType]={used:[],redundant:[]},void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)),JSONcontainer[elementType].used.push(element),element},exports.drawPoint=function(x,y,groupTemplate,JSONcontainer,svgContainer,labelObj){var point;if("circle"==groupTemplate.style?(point=exports.getSVGElement("circle",JSONcontainer,svgContainer),point.setAttributeNS(null,"cx",x),point.setAttributeNS(null,"cy",y),point.setAttributeNS(null,"r",.5*groupTemplate.size)):(point=exports.getSVGElement("rect",JSONcontainer,svgContainer),point.setAttributeNS(null,"x",x-.5*groupTemplate.size),point.setAttributeNS(null,"y",y-.5*groupTemplate.size),point.setAttributeNS(null,"width",groupTemplate.size),point.setAttributeNS(null,"height",groupTemplate.size)),void 0!==groupTemplate.styles&&point.setAttributeNS(null,"style",groupTemplate.styles),point.setAttributeNS(null,"class",groupTemplate.className+" vis-point"),labelObj){var label=exports.getSVGElement("text",JSONcontainer,svgContainer);labelObj.xOffset&&(x+=labelObj.xOffset),labelObj.yOffset&&(y+=labelObj.yOffset),labelObj.content&&(label.textContent=labelObj.content),labelObj.className&&label.setAttributeNS(null,"class",labelObj.className+" vis-label"),label.setAttributeNS(null,"x",x),label.setAttributeNS(null,"y",y)}return point},exports.drawBar=function(x,y,width,height,className,JSONcontainer,svgContainer,style){if(0!=height){0>height&&(height*=-1,y-=height);var rect=exports.getSVGElement("rect",JSONcontainer,svgContainer);rect.setAttributeNS(null,"x",x-.5*width),rect.setAttributeNS(null,"y",y),rect.setAttributeNS(null,"width",width),rect.setAttributeNS(null,"height",height),rect.setAttributeNS(null,"class",className),style&&rect.setAttributeNS(null,"style",style)}}}),DOMutil_1=DOMutil.prepareElements,DOMutil_2=DOMutil.cleanupElements,DOMutil_3=DOMutil.resetElements,DOMutil_4=DOMutil.getSVGElement,DOMutil_5=DOMutil.getDOMElement,DOMutil_6=DOMutil.drawPoint,DOMutil_7=DOMutil.drawBar,moment$2=createCommonjsModule$2(function(module){(function(global,factory){module.exports=factory()})(commonjsGlobal$2,function(){function hooks(){return hookCallback.apply(null,arguments)}function isArray(input){return input instanceof Array||"[object Array]"===Object.prototype.toString.call(input)}function isObject(input){return null!=input&&"[object Object]"===Object.prototype.toString.call(input)}function isObjectEmpty(obj){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(obj).length;for(var k in obj)if(obj.hasOwnProperty(k))return!1;return!0}function isUndefined(input){return void 0===input}function isNumber(input){return"number"==typeof input||"[object Number]"===Object.prototype.toString.call(input)}function isDate(input){return input instanceof Date||"[object Date]"===Object.prototype.toString.call(input)}function map(arr,fn){var res=[],i;for(i=0;i<arr.length;++i)res.push(fn(arr[i],i));return res}function hasOwnProp(a,b){return Object.prototype.hasOwnProperty.call(a,b)}function extend(a,b){for(var i in b)hasOwnProp(b,i)&&(a[i]=b[i]);return hasOwnProp(b,"toString")&&(a.toString=b.toString),hasOwnProp(b,"valueOf")&&(a.valueOf=b.valueOf),a}function createUTC(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!0).utc()}function defaultParsingFlags(){return{empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}}function getParsingFlags(m){return null==m._pf&&(m._pf=defaultParsingFlags()),m._pf}function isValid(m){if(null==m._isValid){var flags=getParsingFlags(m),parsedParts=some.call(flags.parsedDateParts,function(i){return null!=i}),isNowValid=!isNaN(m._d.getTime())&&0>flags.overflow&&!flags.empty&&!flags.invalidMonth&&!flags.invalidWeekday&&!flags.weekdayMismatch&&!flags.nullInput&&!flags.invalidFormat&&!flags.userInvalidated&&(!flags.meridiem||flags.meridiem&&parsedParts);if(m._strict&&(isNowValid=isNowValid&&0===flags.charsLeftOver&&0===flags.unusedTokens.length&&void 0===flags.bigHour),null==Object.isFrozen||!Object.isFrozen(m))m._isValid=isNowValid;else return isNowValid}return m._isValid}function createInvalid(flags){var m=createUTC(NaN);return null==flags?getParsingFlags(m).userInvalidated=!0:extend(getParsingFlags(m),flags),m}function copyConfig(to,from){var i,prop,val;if(isUndefined(from._isAMomentObject)||(to._isAMomentObject=from._isAMomentObject),isUndefined(from._i)||(to._i=from._i),isUndefined(from._f)||(to._f=from._f),isUndefined(from._l)||(to._l=from._l),isUndefined(from._strict)||(to._strict=from._strict),isUndefined(from._tzm)||(to._tzm=from._tzm),isUndefined(from._isUTC)||(to._isUTC=from._isUTC),isUndefined(from._offset)||(to._offset=from._offset),isUndefined(from._pf)||(to._pf=getParsingFlags(from)),isUndefined(from._locale)||(to._locale=from._locale),0<momentProperties.length)for(i=0;i<momentProperties.length;i++)prop=momentProperties[i],val=from[prop],isUndefined(val)||(to[prop]=val);return to}function Moment(config){copyConfig(this,config),this._d=new Date(null==config._d?NaN:config._d.getTime()),this.isValid()||(this._d=new Date(NaN)),!1===updateInProgress&&(updateInProgress=!0,hooks.updateOffset(this),updateInProgress=!1)}function isMoment(obj){return obj instanceof Moment||null!=obj&&null!=obj._isAMomentObject}function absFloor(number){return 0>number?_Mathceil(number)||0:_Mathfloor(number)}function toInt(argumentForCoercion){var coercedNumber=+argumentForCoercion,value=0;return 0!=coercedNumber&&isFinite(coercedNumber)&&(value=absFloor(coercedNumber)),value}function compareArrays(array1,array2,dontConvert){var len=_Mathmin(array1.length,array2.length),lengthDiff=_Mathabs(array1.length-array2.length),diffs=0,i;for(i=0;i<len;i++)(dontConvert&&array1[i]!==array2[i]||!dontConvert&&toInt(array1[i])!==toInt(array2[i]))&&diffs++;return diffs+lengthDiff}function warn(msg){!1===hooks.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+msg)}function deprecate(msg,fn){var firstTime=!0;return extend(function(){if(null!=hooks.deprecationHandler&&hooks.deprecationHandler(null,msg),firstTime){for(var args=[],i=0,arg;i<arguments.length;i++){if(arg="","object"==typeof arguments[i]){for(var key in arg+="\n["+i+"] ",arguments[0])arg+=key+": "+arguments[0][key]+", ";arg=arg.slice(0,-2)}else arg=arguments[i];args.push(arg)}warn(msg+"\nArguments: "+Array.prototype.slice.call(args).join("")+"\n"+new Error().stack),firstTime=!1}return fn.apply(this,arguments)},fn)}function deprecateSimple(name,msg){null!=hooks.deprecationHandler&&hooks.deprecationHandler(name,msg),deprecations[name]||(warn(msg),deprecations[name]=!0)}function isFunction(input){return input instanceof Function||"[object Function]"===Object.prototype.toString.call(input)}function set(config){var prop,i;for(i in config)prop=config[i],isFunction(prop)?this[i]=prop:this["_"+i]=prop;this._config=config,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)}function mergeConfigs(parentConfig,childConfig){var res=extend({},parentConfig),prop;for(prop in childConfig)hasOwnProp(childConfig,prop)&&(isObject(parentConfig[prop])&&isObject(childConfig[prop])?(res[prop]={},extend(res[prop],parentConfig[prop]),extend(res[prop],childConfig[prop])):null==childConfig[prop]?delete res[prop]:res[prop]=childConfig[prop]);for(prop in parentConfig)hasOwnProp(parentConfig,prop)&&!hasOwnProp(childConfig,prop)&&isObject(parentConfig[prop])&&(res[prop]=extend({},res[prop]));return res}function Locale(config){null!=config&&this.set(config)}function calendar(key,mom,now){var output=this._calendar[key]||this._calendar.sameElse;return isFunction(output)?output.call(mom,now):output}function longDateFormat(key){var format=this._longDateFormat[key],formatUpper=this._longDateFormat[key.toUpperCase()];return format||!formatUpper?format:(this._longDateFormat[key]=formatUpper.replace(/MMMM|MM|DD|dddd/g,function(val){return val.slice(1)}),this._longDateFormat[key])}function addUnitAlias(unit,shorthand){var lowerCase=unit.toLowerCase();aliases[lowerCase]=aliases[lowerCase+"s"]=aliases[shorthand]=unit}function normalizeUnits(units){return"string"==typeof units?aliases[units]||aliases[units.toLowerCase()]:void 0}function normalizeObjectUnits(inputObject){var normalizedInput={},normalizedProp,prop;for(prop in inputObject)hasOwnProp(inputObject,prop)&&(normalizedProp=normalizeUnits(prop),normalizedProp&&(normalizedInput[normalizedProp]=inputObject[prop]));return normalizedInput}function addUnitPriority(unit,priority){priorities[unit]=priority}function getPrioritizedUnits(unitsObj){var units=[];for(var u in unitsObj)units.push({unit:u,priority:priorities[u]});return units.sort(function(a,b){return a.priority-b.priority}),units}function zeroFill(number,targetLength,forceSign){var absNumber=""+_Mathabs(number),zerosToFill=targetLength-absNumber.length;return(0<=number?forceSign?"+":"":"-")+_Mathpow(10,_Mathmax(0,zerosToFill)).toString().substr(1)+absNumber}function addFormatToken(token,padded,ordinal,callback){var func=callback;"string"==typeof callback&&(func=function(){return this[callback]()}),token&&(formatTokenFunctions[token]=func),padded&&(formatTokenFunctions[padded[0]]=function(){return zeroFill(func.apply(this,arguments),padded[1],padded[2])}),ordinal&&(formatTokenFunctions[ordinal]=function(){return this.localeData().ordinal(func.apply(this,arguments),token)})}function removeFormattingTokens(input){return input.match(/\[[\s\S]/)?input.replace(/^\[|\]$/g,""):input.replace(/\\/g,"")}function makeFormatFunction(format){var array=format.match(formattingTokens),i,length;for(i=0,length=array.length;i<length;i++)array[i]=formatTokenFunctions[array[i]]?formatTokenFunctions[array[i]]:removeFormattingTokens(array[i]);return function(mom){var output="",i;for(i=0;i<length;i++)output+=isFunction(array[i])?array[i].call(mom,format):array[i];return output}}function formatMoment(m,format){return m.isValid()?(format=expandFormat(format,m.localeData()),formatFunctions[format]=formatFunctions[format]||makeFormatFunction(format),formatFunctions[format](m)):m.localeData().invalidDate()}function expandFormat(format,locale){function replaceLongDateFormatTokens(input){return locale.longDateFormat(input)||input}var i=5;for(localFormattingTokens.lastIndex=0;0<=i&&localFormattingTokens.test(format);)format=format.replace(localFormattingTokens,replaceLongDateFormatTokens),localFormattingTokens.lastIndex=0,i-=1;return format}function addRegexToken(token,regex,strictRegex){regexes[token]=isFunction(regex)?regex:function(isStrict){return isStrict&&strictRegex?strictRegex:regex}}function getParseRegexForToken(token,config){return hasOwnProp(regexes,token)?regexes[token](config._strict,config._locale):new RegExp(unescapeFormat(token))}function unescapeFormat(s){return regexEscape(s.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,function(matched,p1,p2,p3,p4){return p1||p2||p3||p4}))}function regexEscape(s){return s.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}function addParseToken(token,callback){var func=callback,i;for("string"==typeof token&&(token=[token]),isNumber(callback)&&(func=function(input,array){array[callback]=toInt(input)}),i=0;i<token.length;i++)tokens[token[i]]=func}function addWeekParseToken(token,callback){addParseToken(token,function(input,array,config,token){config._w=config._w||{},callback(input,config._w,config,token)})}function addTimeToArrayFromToken(token,input,config){null!=input&&hasOwnProp(tokens,token)&&tokens[token](input,config._a,config,token)}function daysInYear(year){return isLeapYear(year)?366:365}function isLeapYear(year){return 0==year%4&&0!=year%100||0==year%400}function makeGetSet(unit,keepTime){return function(value){return null==value?get(this,unit):(set$1(this,unit,value),hooks.updateOffset(this,keepTime),this)}}function get(mom,unit){return mom.isValid()?mom._d["get"+(mom._isUTC?"UTC":"")+unit]():NaN}function set$1(mom,unit,value){mom.isValid()&&!isNaN(value)&&("FullYear"===unit&&isLeapYear(mom.year())&&1===mom.month()&&29===mom.date()?mom._d["set"+(mom._isUTC?"UTC":"")+unit](value,mom.month(),daysInMonth(value,mom.month())):mom._d["set"+(mom._isUTC?"UTC":"")+unit](value))}function stringSet(units,value){if("object"==typeof units){units=normalizeObjectUnits(units);for(var prioritized=getPrioritizedUnits(units),i=0;i<prioritized.length;i++)this[prioritized[i].unit](units[prioritized[i].unit])}else if(units=normalizeUnits(units),isFunction(this[units]))return this[units](value);return this}function mod(n,x){return(n%x+x)%x}function daysInMonth(year,month){if(isNaN(year)||isNaN(month))return NaN;var modMonth=mod(month,12);return year+=(month-modMonth)/12,1===modMonth?isLeapYear(year)?29:28:31-modMonth%7%2}function handleStrictParse(monthName,format,strict){var llc=monthName.toLocaleLowerCase(),i,ii,mom;if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],i=0;12>i;++i)mom=createUTC([2e3,i]),this._shortMonthsParse[i]=this.monthsShort(mom,"").toLocaleLowerCase(),this._longMonthsParse[i]=this.months(mom,"").toLocaleLowerCase();return strict?"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):"MMM"===format?(ii=indexOf.call(this._shortMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._longMonthsParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._longMonthsParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortMonthsParse,llc),-1===ii?null:ii)}function localeMonthsParse(monthName,format,strict){var i,mom,regex;if(this._monthsParseExact)return handleStrictParse.call(this,monthName,format,strict);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),i=0;12>i;i++){if(mom=createUTC([2e3,i]),strict&&!this._longMonthsParse[i]&&(this._longMonthsParse[i]=new RegExp("^"+this.months(mom,"").replace(".","")+"$","i"),this._shortMonthsParse[i]=new RegExp("^"+this.monthsShort(mom,"").replace(".","")+"$","i")),strict||this._monthsParse[i]||(regex="^"+this.months(mom,"")+"|^"+this.monthsShort(mom,""),this._monthsParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"MMMM"===format&&this._longMonthsParse[i].test(monthName))return i;if(strict&&"MMM"===format&&this._shortMonthsParse[i].test(monthName))return i;if(!strict&&this._monthsParse[i].test(monthName))return i}}function setMonth(mom,value){var dayOfMonth;if(!mom.isValid())return mom;if("string"==typeof value)if(/^\d+$/.test(value))value=toInt(value);else if(value=mom.localeData().monthsParse(value),!isNumber(value))return mom;return dayOfMonth=_Mathmin(mom.date(),daysInMonth(mom.year(),value)),mom._d["set"+(mom._isUTC?"UTC":"")+"Month"](value,dayOfMonth),mom}function getSetMonth(value){return null==value?get(this,"Month"):(setMonth(this,value),hooks.updateOffset(this,!0),this)}function computeMonthsParse(){function cmpLenRev(a,b){return b.length-a.length}var shortPieces=[],longPieces=[],mixedPieces=[],i,mom;for(i=0;12>i;i++)mom=createUTC([2e3,i]),shortPieces.push(this.monthsShort(mom,"")),longPieces.push(this.months(mom,"")),mixedPieces.push(this.months(mom,"")),mixedPieces.push(this.monthsShort(mom,""));for(shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;12>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]);for(i=0;24>i;i++)mixedPieces[i]=regexEscape(mixedPieces[i]);this._monthsRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i")}function createDate(y,m,d,h,M,s,ms){var date;return 100>y&&0<=y?(date=new Date(y+400,m,d,h,M,s,ms),isFinite(date.getFullYear())&&date.setFullYear(y)):date=new Date(y,m,d,h,M,s,ms),date}function createUTCDate(y){var date;if(100>y&&0<=y){var args=Array.prototype.slice.call(arguments);args[0]=y+400,date=new Date(Date.UTC.apply(null,args)),isFinite(date.getUTCFullYear())&&date.setUTCFullYear(y)}else date=new Date(Date.UTC.apply(null,arguments));return date}function firstWeekOffset(year,dow,doy){var fwd=7+dow-doy,fwdlw=(7+createUTCDate(year,0,fwd).getUTCDay()-dow)%7;return-fwdlw+fwd-1}function dayOfYearFromWeeks(year,week,weekday,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),dayOfYear=1+7*(week-1)+(7+weekday-dow)%7+weekOffset,resYear,resDayOfYear;return 0>=dayOfYear?(resYear=year-1,resDayOfYear=daysInYear(resYear)+dayOfYear):dayOfYear>daysInYear(year)?(resYear=year+1,resDayOfYear=dayOfYear-daysInYear(year)):(resYear=year,resDayOfYear=dayOfYear),{year:resYear,dayOfYear:resDayOfYear}}function weekOfYear(mom,dow,doy){var weekOffset=firstWeekOffset(mom.year(),dow,doy),week=_Mathfloor((mom.dayOfYear()-weekOffset-1)/7)+1,resWeek,resYear;return 1>week?(resYear=mom.year()-1,resWeek=week+weeksInYear(resYear,dow,doy)):week>weeksInYear(mom.year(),dow,doy)?(resWeek=week-weeksInYear(mom.year(),dow,doy),resYear=mom.year()+1):(resYear=mom.year(),resWeek=week),{week:resWeek,year:resYear}}function weeksInYear(year,dow,doy){var weekOffset=firstWeekOffset(year,dow,doy),weekOffsetNext=firstWeekOffset(year+1,dow,doy);return(daysInYear(year)-weekOffset+weekOffsetNext)/7}function parseWeekday(input,locale){return"string"==typeof input?isNaN(input)?(input=locale.weekdaysParse(input),"number"==typeof input?input:null):parseInt(input,10):input}function parseIsoWeekday(input,locale){return"string"==typeof input?locale.weekdaysParse(input)%7||7:isNaN(input)?null:input}function shiftWeekdays(ws,n){return ws.slice(n,7).concat(ws.slice(0,n))}function handleStrictParse$1(weekdayName,format,strict){var llc=weekdayName.toLocaleLowerCase(),i,ii,mom;if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],i=0;7>i;++i)mom=createUTC([2e3,1]).day(i),this._minWeekdaysParse[i]=this.weekdaysMin(mom,"").toLocaleLowerCase(),this._shortWeekdaysParse[i]=this.weekdaysShort(mom,"").toLocaleLowerCase(),this._weekdaysParse[i]=this.weekdays(mom,"").toLocaleLowerCase();return strict?"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"dddd"===format?(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):"ddd"===format?(ii=indexOf.call(this._shortWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._minWeekdaysParse,llc),-1===ii?null:ii):(ii=indexOf.call(this._minWeekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._weekdaysParse,llc),-1!==ii)?ii:(ii=indexOf.call(this._shortWeekdaysParse,llc),-1===ii?null:ii)}function localeWeekdaysParse(weekdayName,format,strict){var i,mom,regex;if(this._weekdaysParseExact)return handleStrictParse$1.call(this,weekdayName,format,strict);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),i=0;7>i;i++){if(mom=createUTC([2e3,1]).day(i),strict&&!this._fullWeekdaysParse[i]&&(this._fullWeekdaysParse[i]=new RegExp("^"+this.weekdays(mom,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[i]=new RegExp("^"+this.weekdaysShort(mom,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[i]=new RegExp("^"+this.weekdaysMin(mom,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[i]||(regex="^"+this.weekdays(mom,"")+"|^"+this.weekdaysShort(mom,"")+"|^"+this.weekdaysMin(mom,""),this._weekdaysParse[i]=new RegExp(regex.replace(".",""),"i")),strict&&"dddd"===format&&this._fullWeekdaysParse[i].test(weekdayName))return i;if(strict&&"ddd"===format&&this._shortWeekdaysParse[i].test(weekdayName))return i;if(strict&&"dd"===format&&this._minWeekdaysParse[i].test(weekdayName))return i;if(!strict&&this._weekdaysParse[i].test(weekdayName))return i}}function computeWeekdaysParse(){function cmpLenRev(a,b){return b.length-a.length}var minPieces=[],shortPieces=[],longPieces=[],mixedPieces=[],i,mom,minp,shortp,longp;for(i=0;7>i;i++)mom=createUTC([2e3,1]).day(i),minp=this.weekdaysMin(mom,""),shortp=this.weekdaysShort(mom,""),longp=this.weekdays(mom,""),minPieces.push(minp),shortPieces.push(shortp),longPieces.push(longp),mixedPieces.push(minp),mixedPieces.push(shortp),mixedPieces.push(longp);for(minPieces.sort(cmpLenRev),shortPieces.sort(cmpLenRev),longPieces.sort(cmpLenRev),mixedPieces.sort(cmpLenRev),i=0;7>i;i++)shortPieces[i]=regexEscape(shortPieces[i]),longPieces[i]=regexEscape(longPieces[i]),mixedPieces[i]=regexEscape(mixedPieces[i]);this._weekdaysRegex=new RegExp("^("+mixedPieces.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+longPieces.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+shortPieces.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+minPieces.join("|")+")","i")}function hFormat(){return this.hours()%12||12}function meridiem(token,lowercase){addFormatToken(token,0,0,function(){return this.localeData().meridiem(this.hours(),this.minutes(),lowercase)})}function matchMeridiem(isStrict,locale){return locale._meridiemParse}function normalizeLocale(key){return key?key.toLowerCase().replace("_","-"):key}function chooseLocale(names){for(var i=0,j,next,locale,split;i<names.length;){for(split=normalizeLocale(names[i]).split("-"),j=split.length,next=normalizeLocale(names[i+1]),next=next?next.split("-"):null;0<j;){if(locale=loadLocale(split.slice(0,j).join("-")),locale)return locale;if(next&&next.length>=j&&compareArrays(split,next,!0)>=j-1)break;j--}i++}return globalLocale}function loadLocale(name){var oldLocale=null;if(!locales[name]&&!0&&module&&module.exports)try{oldLocale=globalLocale._abbr;commonjsRequire$2("./locale/"+name),getSetGlobalLocale(oldLocale)}catch(e){}return locales[name]}function getSetGlobalLocale(key,values){var data;return key&&(data=isUndefined(values)?getLocale(key):defineLocale(key,values),data?globalLocale=data:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+key+" not found. Did you forget to load it?")),globalLocale._abbr}function defineLocale(name,config){if(null!==config){var parentConfig=baseConfig,locale;if(config.abbr=name,null!=locales[name])deprecateSimple("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),parentConfig=locales[name]._config;else if(null!=config.parentLocale)if(null!=locales[config.parentLocale])parentConfig=locales[config.parentLocale]._config;else if(locale=loadLocale(config.parentLocale),null!=locale)parentConfig=locale._config;else return localeFamilies[config.parentLocale]||(localeFamilies[config.parentLocale]=[]),localeFamilies[config.parentLocale].push({name:name,config:config}),null;return locales[name]=new Locale(mergeConfigs(parentConfig,config)),localeFamilies[name]&&localeFamilies[name].forEach(function(x){defineLocale(x.name,x.config)}),getSetGlobalLocale(name),locales[name]}return delete locales[name],null}function getLocale(key){var locale;if(key&&key._locale&&key._locale._abbr&&(key=key._locale._abbr),!key)return globalLocale;if(!isArray(key)){if(locale=loadLocale(key),locale)return locale;key=[key]}return chooseLocale(key)}function listLocales(){return keys(locales)}function checkOverflow(m){var a=m._a,overflow;return a&&-2===getParsingFlags(m).overflow&&(overflow=0>a[1]||11<a[1]?1:1>a[2]||a[2]>daysInMonth(a[0],a[1])?2:0>a[3]||24<a[3]||24===a[3]&&(0!==a[4]||0!==a[5]||0!==a[6])?3:0>a[4]||59<a[4]?4:0>a[5]||59<a[5]?5:0>a[6]||999<a[6]?6:-1,getParsingFlags(m)._overflowDayOfYear&&(0>overflow||2<overflow)&&(overflow=2),getParsingFlags(m)._overflowWeeks&&-1===overflow&&(overflow=7),getParsingFlags(m)._overflowWeekday&&-1===overflow&&(overflow=8),getParsingFlags(m).overflow=overflow),m}function defaults(a,b,c){return null==a?null==b?c:b:a}function currentDateArray(config){var nowValue=new Date(hooks.now());return config._useUTC?[nowValue.getUTCFullYear(),nowValue.getUTCMonth(),nowValue.getUTCDate()]:[nowValue.getFullYear(),nowValue.getMonth(),nowValue.getDate()]}function configFromArray(config){var input=[],i,date,currentDate,expectedWeekday,yearToUse;if(!config._d){for(currentDate=currentDateArray(config),config._w&&null==config._a[2]&&null==config._a[1]&&dayOfYearFromWeekInfo(config),null!=config._dayOfYear&&(yearToUse=defaults(config._a[0],currentDate[0]),(config._dayOfYear>daysInYear(yearToUse)||0===config._dayOfYear)&&(getParsingFlags(config)._overflowDayOfYear=!0),date=createUTCDate(yearToUse,0,config._dayOfYear),config._a[1]=date.getUTCMonth(),config._a[2]=date.getUTCDate()),i=0;3>i&&null==config._a[i];++i)config._a[i]=input[i]=currentDate[i];for(;7>i;i++)config._a[i]=input[i]=null==config._a[i]?2===i?1:0:config._a[i];24===config._a[3]&&0===config._a[4]&&0===config._a[5]&&0===config._a[6]&&(config._nextDay=!0,config._a[3]=0),config._d=(config._useUTC?createUTCDate:createDate).apply(null,input),expectedWeekday=config._useUTC?config._d.getUTCDay():config._d.getDay(),null!=config._tzm&&config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),config._nextDay&&(config._a[3]=24),config._w&&"undefined"!=typeof config._w.d&&config._w.d!==expectedWeekday&&(getParsingFlags(config).weekdayMismatch=!0)}}function dayOfYearFromWeekInfo(config){var w,weekYear,week,weekday,dow,doy,temp,weekdayOverflow;if(w=config._w,null!=w.GG||null!=w.W||null!=w.E)dow=1,doy=4,weekYear=defaults(w.GG,config._a[0],weekOfYear(createLocal(),1,4).year),week=defaults(w.W,1),weekday=defaults(w.E,1),(1>weekday||7<weekday)&&(weekdayOverflow=!0);else{dow=config._locale._week.dow,doy=config._locale._week.doy;var curWeek=weekOfYear(createLocal(),dow,doy);weekYear=defaults(w.gg,config._a[0],curWeek.year),week=defaults(w.w,curWeek.week),null==w.d?null==w.e?weekday=dow:(weekday=w.e+dow,(0>w.e||6<w.e)&&(weekdayOverflow=!0)):(weekday=w.d,(0>weekday||6<weekday)&&(weekdayOverflow=!0))}1>week||week>weeksInYear(weekYear,dow,doy)?getParsingFlags(config)._overflowWeeks=!0:null==weekdayOverflow?(temp=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),config._a[0]=temp.year,config._dayOfYear=temp.dayOfYear):getParsingFlags(config)._overflowWeekday=!0}function configFromISO(config){var string=config._i,match=extendedIsoRegex.exec(string)||basicIsoRegex.exec(string),i,l,allowTime,dateFormat,timeFormat,tzFormat;if(match){for(getParsingFlags(config).iso=!0,i=0,l=isoDates.length;i<l;i++)if(isoDates[i][1].exec(match[1])){dateFormat=isoDates[i][0],allowTime=!1!==isoDates[i][2];break}if(null==dateFormat)return void(config._isValid=!1);if(match[3]){for(i=0,l=isoTimes.length;i<l;i++)if(isoTimes[i][1].exec(match[3])){timeFormat=(match[2]||" ")+isoTimes[i][0];break}if(null==timeFormat)return void(config._isValid=!1)}if(!allowTime&&null!=timeFormat)return void(config._isValid=!1);if(match[4])if(tzRegex.exec(match[4]))tzFormat="Z";else return void(config._isValid=!1);config._f=dateFormat+(timeFormat||"")+(tzFormat||""),configFromStringAndFormat(config)}else config._isValid=!1}function extractFromRFC2822Strings(yearStr,monthStr,dayStr,hourStr,minuteStr,secondStr){var result=[untruncateYear(yearStr),defaultLocaleMonthsShort.indexOf(monthStr),parseInt(dayStr,10),parseInt(hourStr,10),parseInt(minuteStr,10)];return secondStr&&result.push(parseInt(secondStr,10)),result}function untruncateYear(yearStr){var year=parseInt(yearStr,10);return 49>=year?2e3+year:999>=year?1900+year:year}function preprocessRFC2822(s){return s.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,"")}function checkWeekday(weekdayStr,parsedInput,config){if(weekdayStr){var weekdayProvided=defaultLocaleWeekdaysShort.indexOf(weekdayStr),weekdayActual=new Date(parsedInput[0],parsedInput[1],parsedInput[2]).getDay();if(weekdayProvided!==weekdayActual)return getParsingFlags(config).weekdayMismatch=!0,config._isValid=!1,!1}return!0}function calculateOffset(obsOffset,militaryOffset,numOffset){if(obsOffset)return obsOffsets[obsOffset];if(militaryOffset)return 0;var hm=parseInt(numOffset,10),m=hm%100;return 60*((hm-m)/100)+m}function configFromRFC2822(config){var match=rfc2822.exec(preprocessRFC2822(config._i));if(match){var parsedArray=extractFromRFC2822Strings(match[4],match[3],match[2],match[5],match[6],match[7]);if(!checkWeekday(match[1],parsedArray,config))return;config._a=parsedArray,config._tzm=calculateOffset(match[8],match[9],match[10]),config._d=createUTCDate.apply(null,config._a),config._d.setUTCMinutes(config._d.getUTCMinutes()-config._tzm),getParsingFlags(config).rfc2822=!0}else config._isValid=!1}function configFromString(config){var matched=aspNetJsonRegex.exec(config._i);if(null!==matched)return void(config._d=new Date(+matched[1]));if(configFromISO(config),!1===config._isValid)delete config._isValid;else return;if(configFromRFC2822(config),!1===config._isValid)delete config._isValid;else return;hooks.createFromInputFallback(config)}function configFromStringAndFormat(config){if(config._f===hooks.ISO_8601)return void configFromISO(config);if(config._f===hooks.RFC_2822)return void configFromRFC2822(config);config._a=[],getParsingFlags(config).empty=!0;var string=""+config._i,stringLength=string.length,totalParsedInputLength=0,i,parsedInput,tokens,token,skipped;for(tokens=expandFormat(config._f,config._locale).match(formattingTokens)||[],i=0;i<tokens.length;i++)token=tokens[i],parsedInput=(string.match(getParseRegexForToken(token,config))||[])[0],parsedInput&&(skipped=string.substr(0,string.indexOf(parsedInput)),0<skipped.length&&getParsingFlags(config).unusedInput.push(skipped),string=string.slice(string.indexOf(parsedInput)+parsedInput.length),totalParsedInputLength+=parsedInput.length),formatTokenFunctions[token]?(parsedInput?getParsingFlags(config).empty=!1:getParsingFlags(config).unusedTokens.push(token),addTimeToArrayFromToken(token,parsedInput,config)):config._strict&&!parsedInput&&getParsingFlags(config).unusedTokens.push(token);getParsingFlags(config).charsLeftOver=stringLength-totalParsedInputLength,0<string.length&&getParsingFlags(config).unusedInput.push(string),12>=config._a[3]&&!0===getParsingFlags(config).bigHour&&0<config._a[3]&&(getParsingFlags(config).bigHour=void 0),getParsingFlags(config).parsedDateParts=config._a.slice(0),getParsingFlags(config).meridiem=config._meridiem,config._a[3]=meridiemFixWrap(config._locale,config._a[3],config._meridiem),configFromArray(config),checkOverflow(config)}function meridiemFixWrap(locale,hour,meridiem){var isPm;return null==meridiem?hour:null==locale.meridiemHour?null==locale.isPM?hour:(isPm=locale.isPM(meridiem),isPm&&12>hour&&(hour+=12),isPm||12!==hour||(hour=0),hour):locale.meridiemHour(hour,meridiem)}function configFromStringAndArray(config){var tempConfig,bestMoment,scoreToBeat,i,currentScore;if(0===config._f.length)return getParsingFlags(config).invalidFormat=!0,void(config._d=new Date(NaN));for(i=0;i<config._f.length;i++)(currentScore=0,tempConfig=copyConfig({},config),null!=config._useUTC&&(tempConfig._useUTC=config._useUTC),tempConfig._f=config._f[i],configFromStringAndFormat(tempConfig),!!isValid(tempConfig))&&(currentScore+=getParsingFlags(tempConfig).charsLeftOver,currentScore+=10*getParsingFlags(tempConfig).unusedTokens.length,getParsingFlags(tempConfig).score=currentScore,(null==scoreToBeat||currentScore<scoreToBeat)&&(scoreToBeat=currentScore,bestMoment=tempConfig));extend(config,bestMoment||tempConfig)}function configFromObject(config){if(!config._d){var i=normalizeObjectUnits(config._i);config._a=map([i.year,i.month,i.day||i.date,i.hour,i.minute,i.second,i.millisecond],function(obj){return obj&&parseInt(obj,10)}),configFromArray(config)}}function createFromConfig(config){var res=new Moment(checkOverflow(prepareConfig(config)));return res._nextDay&&(res.add(1,"d"),res._nextDay=void 0),res}function prepareConfig(config){var input=config._i,format=config._f;return(config._locale=config._locale||getLocale(config._l),null===input||void 0===format&&""===input)?createInvalid({nullInput:!0}):("string"==typeof input&&(config._i=input=config._locale.preparse(input)),isMoment(input))?new Moment(checkOverflow(input)):(isDate(input)?config._d=input:isArray(format)?configFromStringAndArray(config):format?configFromStringAndFormat(config):configFromInput(config),isValid(config)||(config._d=null),config)}function configFromInput(config){var input=config._i;isUndefined(input)?config._d=new Date(hooks.now()):isDate(input)?config._d=new Date(input.valueOf()):"string"==typeof input?configFromString(config):isArray(input)?(config._a=map(input.slice(0),function(obj){return parseInt(obj,10)}),configFromArray(config)):isObject(input)?configFromObject(config):isNumber(input)?config._d=new Date(input):hooks.createFromInputFallback(config)}function createLocalOrUTC(input,format,locale,strict,isUTC){var c={};return(!0===locale||!1===locale)&&(strict=locale,locale=void 0),(isObject(input)&&isObjectEmpty(input)||isArray(input)&&0===input.length)&&(input=void 0),c._isAMomentObject=!0,c._useUTC=c._isUTC=isUTC,c._l=locale,c._i=input,c._f=format,c._strict=strict,createFromConfig(c)}function createLocal(input,format,locale,strict){return createLocalOrUTC(input,format,locale,strict,!1)}function pickBy(fn,moments){var res,i;if(1===moments.length&&isArray(moments[0])&&(moments=moments[0]),!moments.length)return createLocal();for(res=moments[0],i=1;i<moments.length;++i)(!moments[i].isValid()||moments[i][fn](res))&&(res=moments[i]);return res}function isDurationValid(m){for(var key in m)if(-1===indexOf.call(ordering,key)||null!=m[key]&&isNaN(m[key]))return!1;for(var unitHasDecimal=!1,i=0;i<ordering.length;++i)if(m[ordering[i]]){if(unitHasDecimal)return!1;parseFloat(m[ordering[i]])!==toInt(m[ordering[i]])&&(unitHasDecimal=!0)}return!0}function Duration(duration){var normalizedInput=normalizeObjectUnits(duration),years=normalizedInput.year||0,quarters=normalizedInput.quarter||0,months=normalizedInput.month||0,weeks=normalizedInput.week||normalizedInput.isoWeek||0,days=normalizedInput.day||0,hours=normalizedInput.hour||0,minutes=normalizedInput.minute||0,seconds=normalizedInput.second||0,milliseconds=normalizedInput.millisecond||0;this._isValid=isDurationValid(normalizedInput),this._milliseconds=+milliseconds+1e3*seconds+6e4*minutes+60*(60*(1e3*hours)),this._days=+days+7*weeks,this._months=+months+3*quarters+12*years,this._data={},this._locale=getLocale(),this._bubble()}function isDuration(obj){return obj instanceof Duration}function absRound(number){return 0>number?-1*_Mathround(-1*number):_Mathround(number)}function offset(token,separator){addFormatToken(token,0,0,function(){var offset=this.utcOffset(),sign="+";return 0>offset&&(offset=-offset,sign="-"),sign+zeroFill(~~(offset/60),2)+separator+zeroFill(~~offset%60,2)})}function offsetFromString(matcher,string){var matches=(string||"").match(matcher);if(null===matches)return null;var chunk=matches[matches.length-1]||[],parts=(chunk+"").match(chunkOffset)||["-",0,0],minutes=+(60*parts[1])+toInt(parts[2]);return 0===minutes?0:"+"===parts[0]?minutes:-minutes}function cloneWithOffset(input,model){var res,diff;return model._isUTC?(res=model.clone(),diff=(isMoment(input)||isDate(input)?input.valueOf():createLocal(input).valueOf())-res.valueOf(),res._d.setTime(res._d.valueOf()+diff),hooks.updateOffset(res,!1),res):createLocal(input).local()}function getDateOffset(m){return 15*-_Mathround(m._d.getTimezoneOffset()/15)}function isDaylightSavingTimeShifted(){if(!isUndefined(this._isDSTShifted))return this._isDSTShifted;var c={};if(copyConfig(c,this),c=prepareConfig(c),c._a){var other=c._isUTC?createUTC(c._a):createLocal(c._a);this._isDSTShifted=this.isValid()&&0<compareArrays(c._a,other.toArray())}else this._isDSTShifted=!1;return this._isDSTShifted}function isUtc(){return!!this.isValid()&&this._isUTC&&0===this._offset}function createDuration(input,key){var duration=input,match=null,sign,ret,diffRes;return isDuration(input)?duration={ms:input._milliseconds,d:input._days,M:input._months}:isNumber(input)?(duration={},key?duration[key]=input:duration.milliseconds=input):(match=aspNetRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:0,d:toInt(match[2])*sign,h:toInt(match[3])*sign,m:toInt(match[4])*sign,s:toInt(match[5])*sign,ms:toInt(absRound(1e3*match[6]))*sign}):(match=isoRegex.exec(input))?(sign="-"===match[1]?-1:1,duration={y:parseIso(match[2],sign),M:parseIso(match[3],sign),w:parseIso(match[4],sign),d:parseIso(match[5],sign),h:parseIso(match[6],sign),m:parseIso(match[7],sign),s:parseIso(match[8],sign)}):null==duration?duration={}:"object"==typeof duration&&("from"in duration||"to"in duration)&&(diffRes=momentsDifference(createLocal(duration.from),createLocal(duration.to)),duration={},duration.ms=diffRes.milliseconds,duration.M=diffRes.months),ret=new Duration(duration),isDuration(input)&&hasOwnProp(input,"_locale")&&(ret._locale=input._locale),ret}function parseIso(inp,sign){var res=inp&&parseFloat(inp.replace(",","."));return(isNaN(res)?0:res)*sign}function positiveMomentsDifference(base,other){var res={};return res.months=other.month()-base.month()+12*(other.year()-base.year()),base.clone().add(res.months,"M").isAfter(other)&&--res.months,res.milliseconds=+other-+base.clone().add(res.months,"M"),res}function momentsDifference(base,other){var res;return base.isValid()&&other.isValid()?(other=cloneWithOffset(other,base),base.isBefore(other)?res=positiveMomentsDifference(base,other):(res=positiveMomentsDifference(other,base),res.milliseconds=-res.milliseconds,res.months=-res.months),res):{milliseconds:0,months:0}}function createAdder(direction,name){return function(val,period){var dur,tmp;return null===period||isNaN(+period)||(deprecateSimple(name,"moment()."+name+"(period, number) is deprecated. Please use moment()."+name+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),tmp=val,val=period,period=tmp),val="string"==typeof val?+val:val,dur=createDuration(val,period),addSubtract(this,dur,direction),this}}function addSubtract(mom,duration,isAdding,updateOffset){var milliseconds=duration._milliseconds,days=absRound(duration._days),months=absRound(duration._months);mom.isValid()&&(updateOffset=null==updateOffset||updateOffset,months&&setMonth(mom,get(mom,"Month")+months*isAdding),days&&set$1(mom,"Date",get(mom,"Date")+days*isAdding),milliseconds&&mom._d.setTime(mom._d.valueOf()+milliseconds*isAdding),updateOffset&&hooks.updateOffset(mom,days||months))}function monthDiff(a,b){var wholeMonthDiff=12*(b.year()-a.year())+(b.month()-a.month()),anchor=a.clone().add(wholeMonthDiff,"months"),anchor2,adjust;return 0>b-anchor?(anchor2=a.clone().add(wholeMonthDiff-1,"months"),adjust=(b-anchor)/(anchor-anchor2)):(anchor2=a.clone().add(wholeMonthDiff+1,"months"),adjust=(b-anchor)/(anchor2-anchor)),-(wholeMonthDiff+adjust)||0}function locale(key){var newLocaleData;return void 0===key?this._locale._abbr:(newLocaleData=getLocale(key),null!=newLocaleData&&(this._locale=newLocaleData),this)}function localeData(){return this._locale}function mod$1(dividend,divisor){return(dividend%divisor+divisor)%divisor}function localStartOfDate(y,m,d){return 100>y&&0<=y?new Date(y+400,m,d)-12622780800000:new Date(y,m,d).valueOf()}function utcStartOfDate(y,m,d){return 100>y&&0<=y?Date.UTC(y+400,m,d)-12622780800000:Date.UTC(y,m,d)}function addWeekYearFormatToken(token,getter){addFormatToken(0,[token,token.length],0,getter)}function getSetWeekYearHelper(input,week,weekday,dow,doy){var weeksTarget;return null==input?weekOfYear(this,dow,doy).year:(weeksTarget=weeksInYear(input,dow,doy),week>weeksTarget&&(week=weeksTarget),setWeekAll.call(this,input,week,weekday,dow,doy))}function setWeekAll(weekYear,week,weekday,dow,doy){var dayOfYearData=dayOfYearFromWeeks(weekYear,week,weekday,dow,doy),date=createUTCDate(dayOfYearData.year,0,dayOfYearData.dayOfYear);return this.year(date.getUTCFullYear()),this.month(date.getUTCMonth()),this.date(date.getUTCDate()),this}function parseMs(input,array){array[6]=toInt(1e3*("0."+input))}function preParsePostFormat(string){return string}function get$1(format,index,field,setter){var locale=getLocale(),utc=createUTC().set(setter,index);return locale[field](utc,format)}function listMonthsImpl(format,index,field){if(isNumber(format)&&(index=format,format=void 0),format=format||"",null!=index)return get$1(format,index,field,"month");var out=[],i;for(i=0;12>i;i++)out[i]=get$1(format,i,field,"month");return out}function listWeekdaysImpl(localeSorted,format,index,field){"boolean"==typeof localeSorted?(isNumber(format)&&(index=format,format=void 0),format=format||""):(format=localeSorted,index=format,localeSorted=!1,isNumber(format)&&(index=format,format=void 0),format=format||"");var locale=getLocale(),shift=localeSorted?locale._week.dow:0;if(null!=index)return get$1(format,(index+shift)%7,field,"day");var out=[],i;for(i=0;7>i;i++)out[i]=get$1(format,(i+shift)%7,field,"day");return out}function addSubtract$1(duration,input,value,direction){var other=createDuration(input,value);return duration._milliseconds+=direction*other._milliseconds,duration._days+=direction*other._days,duration._months+=direction*other._months,duration._bubble()}function absCeil(number){return 0>number?_Mathfloor(number):_Mathceil(number)}function daysToMonths(days){return 4800*days/146097}function monthsToDays(months){return 146097*months/4800}function makeAs(alias){return function(){return this.as(alias)}}function makeGetter(name){return function(){return this.isValid()?this._data[name]:NaN}}function substituteTimeAgo(string,number,withoutSuffix,isFuture,locale){return locale.relativeTime(number||1,!!withoutSuffix,string,isFuture)}function relativeTime$1(posNegDuration,withoutSuffix,locale){var duration=createDuration(posNegDuration).abs(),seconds=round(duration.as("s")),minutes=round(duration.as("m")),hours=round(duration.as("h")),days=round(duration.as("d")),months=round(duration.as("M")),years=round(duration.as("y")),a=seconds<=thresholds.ss&&["s",seconds]||seconds<thresholds.s&&["ss",seconds]||1>=minutes&&["m"]||minutes<thresholds.m&&["mm",minutes]||1>=hours&&["h"]||hours<thresholds.h&&["hh",hours]||1>=days&&["d"]||days<thresholds.d&&["dd",days]||1>=months&&["M"]||months<thresholds.M&&["MM",months]||1>=years&&["y"]||["yy",years];return a[2]=withoutSuffix,a[3]=0<+posNegDuration,a[4]=locale,substituteTimeAgo.apply(null,a)}function getSetRelativeTimeRounding(roundingFunction){return void 0===roundingFunction?round:"function"==typeof roundingFunction&&(round=roundingFunction,!0)}function sign(x){return(0<x)-(0>x)||+x}function toISOString$1(){if(!this.isValid())return this.localeData().invalidDate();var seconds=abs$1(this._milliseconds)/1e3,days=abs$1(this._days),months=abs$1(this._months),minutes,hours,years;minutes=absFloor(seconds/60),hours=absFloor(minutes/60),seconds%=60,minutes%=60,years=absFloor(months/12),months%=12;var Y=years,M=months,D=days,h=hours,m=minutes,s=seconds?seconds.toFixed(3).replace(/\.?0+$/,""):"",total=this.asSeconds();if(!total)return"P0D";var totalSign=0>total?"-":"",ymSign=sign(this._months)===sign(total)?"":"-",daysSign=sign(this._days)===sign(total)?"":"-",hmsSign=sign(this._milliseconds)===sign(total)?"":"-";return totalSign+"P"+(Y?ymSign+Y+"Y":"")+(M?ymSign+M+"M":"")+(D?daysSign+D+"D":"")+(h||m||s?"T":"")+(h?hmsSign+h+"H":"")+(m?hmsSign+m+"M":"")+(s?hmsSign+s+"S":"")}var hookCallback,some;some=Array.prototype.some?Array.prototype.some:function(fun){for(var t=Object(this),len=t.length>>>0,i=0;i<len;i++)if(i in t&&fun.call(this,t[i],i,t))return!0;return!1};var momentProperties=hooks.momentProperties=[],updateInProgress=!1,deprecations={};hooks.suppressDeprecationWarnings=!1,hooks.deprecationHandler=null;var keys=Object.keys?Object.keys:function(obj){var res=[],i;for(i in obj)hasOwnProp(obj,i)&&res.push(i);return res};var defaultDayOfMonthOrdinalParse=/\d{1,2}/,aliases={},priorities={},formattingTokens=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,localFormattingTokens=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,formatFunctions={},formatTokenFunctions={},match1=/\d/,match2=/\d\d/,match3=/\d{3}/,match4=/\d{4}/,match6=/[+-]?\d{6}/,match1to2=/\d\d?/,match3to4=/\d\d\d\d?/,match5to6=/\d\d\d\d\d\d?/,match1to3=/\d{1,3}/,match1to4=/\d{1,4}/,match1to6=/[+-]?\d{1,6}/,matchUnsigned=/\d+/,matchSigned=/[+-]?\d+/,matchOffset=/Z|[+-]\d\d:?\d\d/gi,matchShortOffset=/Z|[+-]\d\d(?::?\d\d)?/gi,matchTimestamp=/[+-]?\d+(\.\d{1,3})?/,matchWord=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,regexes={},tokens={},YEAR=0,MONTH=1,DATE=2,HOUR=3,MINUTE=4,SECOND=5;addFormatToken("Y",0,0,function(){var y=this.year();return 9999>=y?""+y:"+"+y}),addFormatToken(0,["YY",2],0,function(){return this.year()%100}),addFormatToken(0,["YYYY",4],0,"year"),addFormatToken(0,["YYYYY",5],0,"year"),addFormatToken(0,["YYYYYY",6,!0],0,"year"),addUnitAlias("year","y"),addUnitPriority("year",1),addRegexToken("Y",matchSigned),addRegexToken("YY",match1to2,match2),addRegexToken("YYYY",match1to4,match4),addRegexToken("YYYYY",match1to6,match6),addRegexToken("YYYYYY",match1to6,match6),addParseToken(["YYYYY","YYYYYY"],YEAR),addParseToken("YYYY",function(input,array){array[YEAR]=2===input.length?hooks.parseTwoDigitYear(input):toInt(input)}),addParseToken("YY",function(input,array){array[YEAR]=hooks.parseTwoDigitYear(input)}),addParseToken("Y",function(input,array){array[YEAR]=parseInt(input,10)}),hooks.parseTwoDigitYear=function(input){return toInt(input)+(68<toInt(input)?1900:2e3)};var getSetYear=makeGetSet("FullYear",!0),indexOf;indexOf=Array.prototype.indexOf?Array.prototype.indexOf:function(o){var i;for(i=0;i<this.length;++i)if(this[i]===o)return i;return-1},addFormatToken("M",["MM",2],"Mo",function(){return this.month()+1}),addFormatToken("MMM",0,0,function(format){return this.localeData().monthsShort(this,format)}),addFormatToken("MMMM",0,0,function(format){return this.localeData().months(this,format)}),addUnitAlias("month","M"),addUnitPriority("month",8),addRegexToken("M",match1to2),addRegexToken("MM",match1to2,match2),addRegexToken("MMM",function(isStrict,locale){return locale.monthsShortRegex(isStrict)}),addRegexToken("MMMM",function(isStrict,locale){return locale.monthsRegex(isStrict)}),addParseToken(["M","MM"],function(input,array){array[MONTH]=toInt(input)-1}),addParseToken(["MMM","MMMM"],function(input,array,config,token){var month=config._locale.monthsParse(input,token,config._strict);null==month?getParsingFlags(config).invalidMonth=input:array[MONTH]=month});var MONTHS_IN_FORMAT=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,defaultLocaleMonthsShort=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];addFormatToken("w",["ww",2],"wo","week"),addFormatToken("W",["WW",2],"Wo","isoWeek"),addUnitAlias("week","w"),addUnitAlias("isoWeek","W"),addUnitPriority("week",5),addUnitPriority("isoWeek",5),addRegexToken("w",match1to2),addRegexToken("ww",match1to2,match2),addRegexToken("W",match1to2),addRegexToken("WW",match1to2,match2),addWeekParseToken(["w","ww","W","WW"],function(input,week,config,token){week[token.substr(0,1)]=toInt(input)});addFormatToken("d",0,"do","day"),addFormatToken("dd",0,0,function(format){return this.localeData().weekdaysMin(this,format)}),addFormatToken("ddd",0,0,function(format){return this.localeData().weekdaysShort(this,format)}),addFormatToken("dddd",0,0,function(format){return this.localeData().weekdays(this,format)}),addFormatToken("e",0,0,"weekday"),addFormatToken("E",0,0,"isoWeekday"),addUnitAlias("day","d"),addUnitAlias("weekday","e"),addUnitAlias("isoWeekday","E"),addUnitPriority("day",11),addUnitPriority("weekday",11),addUnitPriority("isoWeekday",11),addRegexToken("d",match1to2),addRegexToken("e",match1to2),addRegexToken("E",match1to2),addRegexToken("dd",function(isStrict,locale){return locale.weekdaysMinRegex(isStrict)}),addRegexToken("ddd",function(isStrict,locale){return locale.weekdaysShortRegex(isStrict)}),addRegexToken("dddd",function(isStrict,locale){return locale.weekdaysRegex(isStrict)}),addWeekParseToken(["dd","ddd","dddd"],function(input,week,config,token){var weekday=config._locale.weekdaysParse(input,token,config._strict);null==weekday?getParsingFlags(config).invalidWeekday=input:week.d=weekday}),addWeekParseToken(["d","e","E"],function(input,week,config,token){week[token]=toInt(input)});var defaultLocaleWeekdaysShort=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];addFormatToken("H",["HH",2],0,"hour"),addFormatToken("h",["hh",2],0,hFormat),addFormatToken("k",["kk",2],0,function(){return this.hours()||24}),addFormatToken("hmm",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)}),addFormatToken("hmmss",0,0,function(){return""+hFormat.apply(this)+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),addFormatToken("Hmm",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)}),addFormatToken("Hmmss",0,0,function(){return""+this.hours()+zeroFill(this.minutes(),2)+zeroFill(this.seconds(),2)}),meridiem("a",!0),meridiem("A",!1),addUnitAlias("hour","h"),addUnitPriority("hour",13),addRegexToken("a",matchMeridiem),addRegexToken("A",matchMeridiem),addRegexToken("H",match1to2),addRegexToken("h",match1to2),addRegexToken("k",match1to2),addRegexToken("HH",match1to2,match2),addRegexToken("hh",match1to2,match2),addRegexToken("kk",match1to2,match2),addRegexToken("hmm",match3to4),addRegexToken("hmmss",match5to6),addRegexToken("Hmm",match3to4),addRegexToken("Hmmss",match5to6),addParseToken(["H","HH"],HOUR),addParseToken(["k","kk"],function(input,array){var kInput=toInt(input);array[HOUR]=24===kInput?0:kInput}),addParseToken(["a","A"],function(input,array,config){config._isPm=config._locale.isPM(input),config._meridiem=input}),addParseToken(["h","hh"],function(input,array,config){array[HOUR]=toInt(input),getParsingFlags(config).bigHour=!0}),addParseToken("hmm",function(input,array,config){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos)),getParsingFlags(config).bigHour=!0}),addParseToken("hmmss",function(input,array,config){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2)),getParsingFlags(config).bigHour=!0}),addParseToken("Hmm",function(input,array){var pos=input.length-2;array[HOUR]=toInt(input.substr(0,pos)),array[MINUTE]=toInt(input.substr(pos))}),addParseToken("Hmmss",function(input,array){var pos1=input.length-4,pos2=input.length-2;array[HOUR]=toInt(input.substr(0,pos1)),array[MINUTE]=toInt(input.substr(pos1,2)),array[SECOND]=toInt(input.substr(pos2))});var defaultLocaleMeridiemParse=/[ap]\.?m?\.?/i,getSetHour=makeGetSet("Hours",!0),baseConfig={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:defaultDayOfMonthOrdinalParse,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:["January","February","March","April","May","June","July","August","September","October","November","December"],monthsShort:defaultLocaleMonthsShort,week:{dow:0,doy:6},weekdays:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],weekdaysMin:["Su","Mo","Tu","We","Th","Fr","Sa"],weekdaysShort:defaultLocaleWeekdaysShort,meridiemParse:defaultLocaleMeridiemParse},locales={},localeFamilies={},extendedIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,basicIsoRegex=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,tzRegex=/Z|[+-]\d\d(?::?\d\d)?/,isoDates=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],isoTimes=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],aspNetJsonRegex=/^\/?Date\((\-?\d+)/i,rfc2822=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/,obsOffsets={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480},globalLocale;hooks.createFromInputFallback=deprecate("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",function(config){config._d=new Date(config._i+(config._useUTC?" UTC":""))}),hooks.ISO_8601=function(){},hooks.RFC_2822=function(){};var prototypeMin=deprecate("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other<this?this:other:createInvalid()}),prototypeMax=deprecate("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",function(){var other=createLocal.apply(null,arguments);return this.isValid()&&other.isValid()?other>this?this:other:createInvalid()}),ordering=["year","quarter","month","week","day","hour","minute","second","millisecond"];offset("Z",":"),offset("ZZ",""),addRegexToken("Z",matchShortOffset),addRegexToken("ZZ",matchShortOffset),addParseToken(["Z","ZZ"],function(input,array,config){config._useUTC=!0,config._tzm=offsetFromString(matchShortOffset,input)});var chunkOffset=/([\+\-]|\d\d)/gi;hooks.updateOffset=function(){};var aspNetRegex=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,isoRegex=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;createDuration.fn=Duration.prototype,createDuration.invalid=function(){return createDuration(NaN)};var add=createAdder(1,"add"),subtract=createAdder(-1,"subtract");hooks.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",hooks.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var lang=deprecate("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",function(key){return void 0===key?this.localeData():this.locale(key)});addFormatToken(0,["gg",2],0,function(){return this.weekYear()%100}),addFormatToken(0,["GG",2],0,function(){return this.isoWeekYear()%100}),addWeekYearFormatToken("gggg","weekYear"),addWeekYearFormatToken("ggggg","weekYear"),addWeekYearFormatToken("GGGG","isoWeekYear"),addWeekYearFormatToken("GGGGG","isoWeekYear"),addUnitAlias("weekYear","gg"),addUnitAlias("isoWeekYear","GG"),addUnitPriority("weekYear",1),addUnitPriority("isoWeekYear",1),addRegexToken("G",matchSigned),addRegexToken("g",matchSigned),addRegexToken("GG",match1to2,match2),addRegexToken("gg",match1to2,match2),addRegexToken("GGGG",match1to4,match4),addRegexToken("gggg",match1to4,match4),addRegexToken("GGGGG",match1to6,match6),addRegexToken("ggggg",match1to6,match6),addWeekParseToken(["gggg","ggggg","GGGG","GGGGG"],function(input,week,config,token){week[token.substr(0,2)]=toInt(input)}),addWeekParseToken(["gg","GG"],function(input,week,config,token){week[token]=hooks.parseTwoDigitYear(input)}),addFormatToken("Q",0,"Qo","quarter"),addUnitAlias("quarter","Q"),addUnitPriority("quarter",7),addRegexToken("Q",match1),addParseToken("Q",function(input,array){array[MONTH]=3*(toInt(input)-1)}),addFormatToken("D",["DD",2],"Do","date"),addUnitAlias("date","D"),addUnitPriority("date",9),addRegexToken("D",match1to2),addRegexToken("DD",match1to2,match2),addRegexToken("Do",function(isStrict,locale){return isStrict?locale._dayOfMonthOrdinalParse||locale._ordinalParse:locale._dayOfMonthOrdinalParseLenient}),addParseToken(["D","DD"],DATE),addParseToken("Do",function(input,array){array[DATE]=toInt(input.match(match1to2)[0])});var getSetDayOfMonth=makeGetSet("Date",!0);addFormatToken("DDD",["DDDD",3],"DDDo","dayOfYear"),addUnitAlias("dayOfYear","DDD"),addUnitPriority("dayOfYear",4),addRegexToken("DDD",match1to3),addRegexToken("DDDD",match3),addParseToken(["DDD","DDDD"],function(input,array,config){config._dayOfYear=toInt(input)}),addFormatToken("m",["mm",2],0,"minute"),addUnitAlias("minute","m"),addUnitPriority("minute",14),addRegexToken("m",match1to2),addRegexToken("mm",match1to2,match2),addParseToken(["m","mm"],MINUTE);var getSetMinute=makeGetSet("Minutes",!1);addFormatToken("s",["ss",2],0,"second"),addUnitAlias("second","s"),addUnitPriority("second",15),addRegexToken("s",match1to2),addRegexToken("ss",match1to2,match2),addParseToken(["s","ss"],SECOND);var getSetSecond=makeGetSet("Seconds",!1);addFormatToken("S",0,0,function(){return~~(this.millisecond()/100)}),addFormatToken(0,["SS",2],0,function(){return~~(this.millisecond()/10)}),addFormatToken(0,["SSS",3],0,"millisecond"),addFormatToken(0,["SSSS",4],0,function(){return 10*this.millisecond()}),addFormatToken(0,["SSSSS",5],0,function(){return 100*this.millisecond()}),addFormatToken(0,["SSSSSS",6],0,function(){return 1e3*this.millisecond()}),addFormatToken(0,["SSSSSSS",7],0,function(){return 1e4*this.millisecond()}),addFormatToken(0,["SSSSSSSS",8],0,function(){return 1e5*this.millisecond()}),addFormatToken(0,["SSSSSSSSS",9],0,function(){return 1e6*this.millisecond()}),addUnitAlias("millisecond","ms"),addUnitPriority("millisecond",16),addRegexToken("S",match1to3,match1),addRegexToken("SS",match1to3,match2),addRegexToken("SSS",match1to3,match3);var token;for(token="SSSS";9>=token.length;token+="S")addRegexToken(token,matchUnsigned);for(token="S";9>=token.length;token+="S")addParseToken(token,parseMs);var getSetMillisecond=makeGetSet("Milliseconds",!1);addFormatToken("z",0,0,"zoneAbbr"),addFormatToken("zz",0,0,"zoneName");var proto=Moment.prototype;proto.add=add,proto.calendar=function(time,formats){var now=time||createLocal(),sod=cloneWithOffset(now,this).startOf("day"),format=hooks.calendarFormat(this,sod)||"sameElse",output=formats&&(isFunction(formats[format])?formats[format].call(this,now):formats[format]);return this.format(output||this.localeData().calendar(format,this,createLocal(now)))},proto.clone=function(){return new Moment(this)},proto.diff=function(input,units,asFloat){var that,zoneDelta,output;return this.isValid()?(that=cloneWithOffset(input,this),!that.isValid())?NaN:(zoneDelta=6e4*(that.utcOffset()-this.utcOffset()),units=normalizeUnits(units),(output="year"===units?monthDiff(this,that)/12:"month"===units?monthDiff(this,that):"quarter"===units?monthDiff(this,that)/3:"second"===units?(this-that)/1e3:"minute"===units?(this-that)/6e4:"hour"===units?(this-that)/36e5:"day"===units?(this-that-zoneDelta)/864e5:"week"===units?(this-that-zoneDelta)/6048e5:this-that,asFloat?output:absFloor(output))):NaN},proto.endOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year()+1,0,1)-1:"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3+3,1)-1:"month"===units?time=startOfDate(this.year(),this.month()+1,1)-1:"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()+7)-1:"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1:"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()+1)-1:"hour"===units?(time=this._d.valueOf(),time+=3600000-mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)-1):"minute"===units?(time=this._d.valueOf(),time+=60000-mod$1(time,60000)-1):"second"===units?(time=this._d.valueOf(),time+=1000-mod$1(time,1000)-1):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.format=function(inputString){inputString||(inputString=this.isUtc()?hooks.defaultFormatUtc:hooks.defaultFormat);var output=formatMoment(this,inputString);return this.localeData().postformat(output)},proto.from=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({to:this,from:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.fromNow=function(withoutSuffix){return this.from(createLocal(),withoutSuffix)},proto.to=function(time,withoutSuffix){return this.isValid()&&(isMoment(time)&&time.isValid()||createLocal(time).isValid())?createDuration({from:this,to:time}).locale(this.locale()).humanize(!withoutSuffix):this.localeData().invalidDate()},proto.toNow=function(withoutSuffix){return this.to(createLocal(),withoutSuffix)},proto.get=function(units){return units=normalizeUnits(units),isFunction(this[units])?this[units]():this},proto.invalidAt=function(){return getParsingFlags(this).overflow},proto.isAfter=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()>localInput.valueOf():localInput.valueOf()<this.clone().startOf(units).valueOf())},proto.isBefore=function(input,units){var localInput=isMoment(input)?input:createLocal(input);return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()<localInput.valueOf():this.clone().endOf(units).valueOf()<localInput.valueOf())},proto.isBetween=function(from,to,units,inclusivity){var localFrom=isMoment(from)?from:createLocal(from),localTo=isMoment(to)?to:createLocal(to);return!!(this.isValid()&&localFrom.isValid()&&localTo.isValid())&&(inclusivity=inclusivity||"()",("("===inclusivity[0]?this.isAfter(localFrom,units):!this.isBefore(localFrom,units))&&(")"===inclusivity[1]?this.isBefore(localTo,units):!this.isAfter(localTo,units)))},proto.isSame=function(input,units){var localInput=isMoment(input)?input:createLocal(input),inputMs;return!!(this.isValid()&&localInput.isValid())&&(units=normalizeUnits(units)||"millisecond","millisecond"===units?this.valueOf()===localInput.valueOf():(inputMs=localInput.valueOf(),this.clone().startOf(units).valueOf()<=inputMs&&inputMs<=this.clone().endOf(units).valueOf()))},proto.isSameOrAfter=function(input,units){return this.isSame(input,units)||this.isAfter(input,units)},proto.isSameOrBefore=function(input,units){return this.isSame(input,units)||this.isBefore(input,units)},proto.isValid=function(){return isValid(this)},proto.lang=lang,proto.locale=locale,proto.localeData=localeData,proto.max=prototypeMax,proto.min=prototypeMin,proto.parsingFlags=function(){return extend({},getParsingFlags(this))},proto.set=stringSet,proto.startOf=function(units){var time;if(units=normalizeUnits(units),void 0===units||"millisecond"===units||!this.isValid())return this;var startOfDate=this._isUTC?utcStartOfDate:localStartOfDate;return"year"===units?time=startOfDate(this.year(),0,1):"quarter"===units?time=startOfDate(this.year(),this.month()-this.month()%3,1):"month"===units?time=startOfDate(this.year(),this.month(),1):"week"===units?time=startOfDate(this.year(),this.month(),this.date()-this.weekday()):"isoWeek"===units?time=startOfDate(this.year(),this.month(),this.date()-(this.isoWeekday()-1)):"day"===units||"date"===units?time=startOfDate(this.year(),this.month(),this.date()):"hour"===units?(time=this._d.valueOf(),time-=mod$1(time+(this._isUTC?0:60000*this.utcOffset()),3600000)):"minute"===units?(time=this._d.valueOf(),time-=mod$1(time,60000)):"second"===units?(time=this._d.valueOf(),time-=mod$1(time,1000)):void 0,this._d.setTime(time),hooks.updateOffset(this,!0),this},proto.subtract=subtract,proto.toArray=function(){var m=this;return[m.year(),m.month(),m.date(),m.hour(),m.minute(),m.second(),m.millisecond()]},proto.toObject=function(){var m=this;return{years:m.year(),months:m.month(),date:m.date(),hours:m.hours(),minutes:m.minutes(),seconds:m.seconds(),milliseconds:m.milliseconds()}},proto.toDate=function(){return new Date(this.valueOf())},proto.toISOString=function(keepOffset){if(!this.isValid())return null;var utc=!0!==keepOffset,m=utc?this.clone().utc():this;return 0>m.year()||9999<m.year()?formatMoment(m,utc?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):isFunction(Date.prototype.toISOString)?utc?this.toDate().toISOString():new Date(this.valueOf()+1e3*(60*this.utcOffset())).toISOString().replace("Z",formatMoment(m,"Z")):formatMoment(m,utc?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},proto.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var func="moment",zone="";this.isLocal()||(func=0===this.utcOffset()?"moment.utc":"moment.parseZone",zone="Z");var prefix="["+func+"(\"]",year=0<=this.year()&&9999>=this.year()?"YYYY":"YYYYYY",suffix=zone+"[\")]";return this.format(prefix+year+"-MM-DD[T]HH:mm:ss.SSS"+suffix)},proto.toJSON=function(){return this.isValid()?this.toISOString():null},proto.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},proto.unix=function(){return _Mathfloor(this.valueOf()/1e3)},proto.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},proto.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},proto.year=getSetYear,proto.isLeapYear=function(){return isLeapYear(this.year())},proto.weekYear=function(input){return getSetWeekYearHelper.call(this,input,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},proto.isoWeekYear=function(input){return getSetWeekYearHelper.call(this,input,this.isoWeek(),this.isoWeekday(),1,4)},proto.quarter=proto.quarters=function(input){return null==input?_Mathceil((this.month()+1)/3):this.month(3*(input-1)+this.month()%3)},proto.month=getSetMonth,proto.daysInMonth=function(){return daysInMonth(this.year(),this.month())},proto.week=proto.weeks=function(input){var week=this.localeData().week(this);return null==input?week:this.add(7*(input-week),"d")},proto.isoWeek=proto.isoWeeks=function(input){var week=weekOfYear(this,1,4).week;return null==input?week:this.add(7*(input-week),"d")},proto.weeksInYear=function(){var weekInfo=this.localeData()._week;return weeksInYear(this.year(),weekInfo.dow,weekInfo.doy)},proto.isoWeeksInYear=function(){return weeksInYear(this.year(),1,4)},proto.date=getSetDayOfMonth,proto.day=proto.days=function(input){if(!this.isValid())return null==input?NaN:this;var day=this._isUTC?this._d.getUTCDay():this._d.getDay();return null==input?day:(input=parseWeekday(input,this.localeData()),this.add(input-day,"d"))},proto.weekday=function(input){if(!this.isValid())return null==input?NaN:this;var weekday=(this.day()+7-this.localeData()._week.dow)%7;return null==input?weekday:this.add(input-weekday,"d")},proto.isoWeekday=function(input){if(!this.isValid())return null==input?NaN:this;if(null!=input){var weekday=parseIsoWeekday(input,this.localeData());return this.day(this.day()%7?weekday:weekday-7)}return this.day()||7},proto.dayOfYear=function(input){var dayOfYear=_Mathround((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==input?dayOfYear:this.add(input-dayOfYear,"d")},proto.hour=proto.hours=getSetHour,proto.minute=proto.minutes=getSetMinute,proto.second=proto.seconds=getSetSecond,proto.millisecond=proto.milliseconds=getSetMillisecond,proto.utcOffset=function(input,keepLocalTime,keepMinutes){var offset=this._offset||0,localAdjust;if(!this.isValid())return null==input?NaN:this;if(null!=input){if("string"!=typeof input)16>_Mathabs(input)&&!keepMinutes&&(input*=60);else if(input=offsetFromString(matchShortOffset,input),null===input)return this;return!this._isUTC&&keepLocalTime&&(localAdjust=getDateOffset(this)),this._offset=input,this._isUTC=!0,null!=localAdjust&&this.add(localAdjust,"m"),offset!==input&&(!keepLocalTime||this._changeInProgress?addSubtract(this,createDuration(input-offset,"m"),1,!1):!this._changeInProgress&&(this._changeInProgress=!0,hooks.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?offset:getDateOffset(this)},proto.utc=function(keepLocalTime){return this.utcOffset(0,keepLocalTime)},proto.local=function(keepLocalTime){return this._isUTC&&(this.utcOffset(0,keepLocalTime),this._isUTC=!1,keepLocalTime&&this.subtract(getDateOffset(this),"m")),this},proto.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var tZone=offsetFromString(matchOffset,this._i);null==tZone?this.utcOffset(0,!0):this.utcOffset(tZone)}return this},proto.hasAlignedHourOffset=function(input){return!!this.isValid()&&(input=input?createLocal(input).utcOffset():0,0==(this.utcOffset()-input)%60)},proto.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},proto.isLocal=function(){return!!this.isValid()&&!this._isUTC},proto.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},proto.isUtc=isUtc,proto.isUTC=isUtc,proto.zoneAbbr=function(){return this._isUTC?"UTC":""},proto.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},proto.dates=deprecate("dates accessor is deprecated. Use date instead.",getSetDayOfMonth),proto.months=deprecate("months accessor is deprecated. Use month instead",getSetMonth),proto.years=deprecate("years accessor is deprecated. Use year instead",getSetYear),proto.zone=deprecate("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",function(input,keepLocalTime){return null==input?-this.utcOffset():("string"!=typeof input&&(input=-input),this.utcOffset(input,keepLocalTime),this)}),proto.isDSTShifted=deprecate("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",isDaylightSavingTimeShifted);var proto$1=Locale.prototype;proto$1.calendar=calendar,proto$1.longDateFormat=longDateFormat,proto$1.invalidDate=function(){return this._invalidDate},proto$1.ordinal=function(number){return this._ordinal.replace("%d",number)},proto$1.preparse=preParsePostFormat,proto$1.postformat=preParsePostFormat,proto$1.relativeTime=function(number,withoutSuffix,string,isFuture){var output=this._relativeTime[string];return isFunction(output)?output(number,withoutSuffix,string,isFuture):output.replace(/%d/i,number)},proto$1.pastFuture=function(diff,output){var format=this._relativeTime[0<diff?"future":"past"];return isFunction(format)?format(output):format.replace(/%s/i,output)},proto$1.set=set,proto$1.months=function(m,format){return m?isArray(this._months)?this._months[m.month()]:this._months[(this._months.isFormat||MONTHS_IN_FORMAT).test(format)?"format":"standalone"][m.month()]:isArray(this._months)?this._months:this._months.standalone},proto$1.monthsShort=function(m,format){return m?isArray(this._monthsShort)?this._monthsShort[m.month()]:this._monthsShort[MONTHS_IN_FORMAT.test(format)?"format":"standalone"][m.month()]:isArray(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},proto$1.monthsParse=localeMonthsParse,proto$1.monthsRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsStrictRegex:this._monthsRegex):(hasOwnProp(this,"_monthsRegex")||(this._monthsRegex=matchWord),this._monthsStrictRegex&&isStrict?this._monthsStrictRegex:this._monthsRegex)},proto$1.monthsShortRegex=function(isStrict){return this._monthsParseExact?(hasOwnProp(this,"_monthsRegex")||computeMonthsParse.call(this),isStrict?this._monthsShortStrictRegex:this._monthsShortRegex):(hasOwnProp(this,"_monthsShortRegex")||(this._monthsShortRegex=matchWord),this._monthsShortStrictRegex&&isStrict?this._monthsShortStrictRegex:this._monthsShortRegex)},proto$1.week=function(mom){return weekOfYear(mom,this._week.dow,this._week.doy).week},proto$1.firstDayOfYear=function(){return this._week.doy},proto$1.firstDayOfWeek=function(){return this._week.dow},proto$1.weekdays=function(m,format){var weekdays=isArray(this._weekdays)?this._weekdays:this._weekdays[m&&!0!==m&&this._weekdays.isFormat.test(format)?"format":"standalone"];return!0===m?shiftWeekdays(weekdays,this._week.dow):m?weekdays[m.day()]:weekdays},proto$1.weekdaysMin=function(m){return!0===m?shiftWeekdays(this._weekdaysMin,this._week.dow):m?this._weekdaysMin[m.day()]:this._weekdaysMin},proto$1.weekdaysShort=function(m){return!0===m?shiftWeekdays(this._weekdaysShort,this._week.dow):m?this._weekdaysShort[m.day()]:this._weekdaysShort},proto$1.weekdaysParse=localeWeekdaysParse,proto$1.weekdaysRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysStrictRegex:this._weekdaysRegex):(hasOwnProp(this,"_weekdaysRegex")||(this._weekdaysRegex=matchWord),this._weekdaysStrictRegex&&isStrict?this._weekdaysStrictRegex:this._weekdaysRegex)},proto$1.weekdaysShortRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(hasOwnProp(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=matchWord),this._weekdaysShortStrictRegex&&isStrict?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},proto$1.weekdaysMinRegex=function(isStrict){return this._weekdaysParseExact?(hasOwnProp(this,"_weekdaysRegex")||computeWeekdaysParse.call(this),isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(hasOwnProp(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=matchWord),this._weekdaysMinStrictRegex&&isStrict?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},proto$1.isPM=function(input){return"p"===(input+"").toLowerCase().charAt(0)},proto$1.meridiem=function(hours,minutes,isLower){return 11<hours?isLower?"pm":"PM":isLower?"am":"AM"},getSetGlobalLocale("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(number){var b=number%10,output=1===toInt(number%100/10)?"th":1==b?"st":2==b?"nd":3==b?"rd":"th";return number+output}}),hooks.lang=deprecate("moment.lang is deprecated. Use moment.locale instead.",getSetGlobalLocale),hooks.langData=deprecate("moment.langData is deprecated. Use moment.localeData instead.",getLocale);var mathAbs=_Mathabs,asMilliseconds=makeAs("ms"),asSeconds=makeAs("s"),asMinutes=makeAs("m"),asHours=makeAs("h"),asDays=makeAs("d"),asWeeks=makeAs("w"),asMonths=makeAs("M"),asQuarters=makeAs("Q"),asYears=makeAs("y"),milliseconds=makeGetter("milliseconds"),seconds=makeGetter("seconds"),minutes=makeGetter("minutes"),hours=makeGetter("hours"),days=makeGetter("days"),months=makeGetter("months"),years=makeGetter("years"),round=_Mathround,thresholds={ss:44,s:45,m:45,h:22,d:26,M:11},abs$1=_Mathabs,proto$2=Duration.prototype;return proto$2.isValid=function(){return this._isValid},proto$2.abs=function(){var data=this._data;return this._milliseconds=mathAbs(this._milliseconds),this._days=mathAbs(this._days),this._months=mathAbs(this._months),data.milliseconds=mathAbs(data.milliseconds),data.seconds=mathAbs(data.seconds),data.minutes=mathAbs(data.minutes),data.hours=mathAbs(data.hours),data.months=mathAbs(data.months),data.years=mathAbs(data.years),this},proto$2.add=function(input,value){return addSubtract$1(this,input,value,1)},proto$2.subtract=function(input,value){return addSubtract$1(this,input,value,-1)},proto$2.as=function(units){if(!this.isValid())return NaN;var milliseconds=this._milliseconds,days,months;if(units=normalizeUnits(units),"month"===units||"quarter"===units||"year"===units)switch(days=this._days+milliseconds/864e5,months=this._months+daysToMonths(days),units){case"month":return months;case"quarter":return months/3;case"year":return months/12;}else switch(days=this._days+_Mathround(monthsToDays(this._months)),units){case"week":return days/7+milliseconds/6048e5;case"day":return days+milliseconds/864e5;case"hour":return 24*days+milliseconds/36e5;case"minute":return 1440*days+milliseconds/6e4;case"second":return 86400*days+milliseconds/1e3;case"millisecond":return _Mathfloor(864e5*days)+milliseconds;default:throw new Error("Unknown unit "+units);}},proto$2.asMilliseconds=asMilliseconds,proto$2.asSeconds=asSeconds,proto$2.asMinutes=asMinutes,proto$2.asHours=asHours,proto$2.asDays=asDays,proto$2.asWeeks=asWeeks,proto$2.asMonths=asMonths,proto$2.asQuarters=asQuarters,proto$2.asYears=asYears,proto$2.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+2592e6*(this._months%12)+31536e6*toInt(this._months/12):NaN},proto$2._bubble=function(){var milliseconds=this._milliseconds,days=this._days,months=this._months,data=this._data,seconds,minutes,hours,years,monthsFromDays;return 0<=milliseconds&&0<=days&&0<=months||0>=milliseconds&&0>=days&&0>=months||(milliseconds+=864e5*absCeil(monthsToDays(months)+days),days=0,months=0),data.milliseconds=milliseconds%1e3,seconds=absFloor(milliseconds/1e3),data.seconds=seconds%60,minutes=absFloor(seconds/60),data.minutes=minutes%60,hours=absFloor(minutes/60),data.hours=hours%24,days+=absFloor(hours/24),monthsFromDays=absFloor(daysToMonths(days)),months+=monthsFromDays,days-=absCeil(monthsToDays(monthsFromDays)),years=absFloor(months/12),months%=12,data.days=days,data.months=months,data.years=years,this},proto$2.clone=function(){return createDuration(this)},proto$2.get=function(units){return units=normalizeUnits(units),this.isValid()?this[units+"s"]():NaN},proto$2.milliseconds=milliseconds,proto$2.seconds=seconds,proto$2.minutes=minutes,proto$2.hours=hours,proto$2.days=days,proto$2.weeks=function(){return absFloor(this.days()/7)},proto$2.months=months,proto$2.years=years,proto$2.humanize=function(withSuffix){if(!this.isValid())return this.localeData().invalidDate();var locale=this.localeData(),output=relativeTime$1(this,!withSuffix,locale);return withSuffix&&(output=locale.pastFuture(+this,output)),locale.postformat(output)},proto$2.toISOString=toISOString$1,proto$2.toString=toISOString$1,proto$2.toJSON=toISOString$1,proto$2.locale=locale,proto$2.localeData=localeData,proto$2.toIsoString=deprecate("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",toISOString$1),proto$2.lang=lang,addFormatToken("X",0,0,"unix"),addFormatToken("x",0,0,"valueOf"),addRegexToken("x",matchSigned),addRegexToken("X",matchTimestamp),addParseToken("X",function(input,array,config){config._d=new Date(1e3*parseFloat(input,10))}),addParseToken("x",function(input,array,config){config._d=new Date(toInt(input))}),hooks.version="2.24.0",function(callback){hookCallback=callback}(createLocal),hooks.fn=proto,hooks.min=function(){var args=[].slice.call(arguments,0);return pickBy("isBefore",args)},hooks.max=function(){var args=[].slice.call(arguments,0);return pickBy("isAfter",args)},hooks.now=function(){return Date.now?Date.now():+new Date},hooks.utc=createUTC,hooks.unix=function(input){return createLocal(1e3*input)},hooks.months=function(format,index){return listMonthsImpl(format,index,"months")},hooks.isDate=isDate,hooks.locale=getSetGlobalLocale,hooks.invalid=createInvalid,hooks.duration=createDuration,hooks.isMoment=isMoment,hooks.weekdays=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdays")},hooks.parseZone=function(){return createLocal.apply(null,arguments).parseZone()},hooks.localeData=getLocale,hooks.isDuration=isDuration,hooks.monthsShort=function(format,index){return listMonthsImpl(format,index,"monthsShort")},hooks.weekdaysMin=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysMin")},hooks.defineLocale=defineLocale,hooks.updateLocale=function(name,config){if(null!=config){var parentConfig=baseConfig,locale,tmpLocale;tmpLocale=loadLocale(name),null!=tmpLocale&&(parentConfig=tmpLocale._config),config=mergeConfigs(parentConfig,config),locale=new Locale(config),locale.parentLocale=locales[name],locales[name]=locale,getSetGlobalLocale(name)}else null!=locales[name]&&(null==locales[name].parentLocale?null!=locales[name]&&delete locales[name]:locales[name]=locales[name].parentLocale);return locales[name]},hooks.locales=listLocales,hooks.weekdaysShort=function(localeSorted,format,index){return listWeekdaysImpl(localeSorted,format,index,"weekdaysShort")},hooks.normalizeUnits=normalizeUnits,hooks.relativeTimeRounding=getSetRelativeTimeRounding,hooks.relativeTimeThreshold=function(threshold,limit){return void 0!==thresholds[threshold]&&(void 0===limit?thresholds[threshold]:(thresholds[threshold]=limit,"s"===threshold&&(thresholds.ss=limit-1),!0))},hooks.calendarFormat=function(myMoment,now){var diff=myMoment.diff(now,"days",!0);return-6>diff?"sameElse":-1>diff?"lastWeek":0>diff?"lastDay":1>diff?"sameDay":2>diff?"nextDay":7>diff?"nextWeek":"sameElse"},hooks.prototype=proto,hooks.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},hooks})}),moment$3="undefined"!=typeof window&&window.moment||moment$2;var DOMutil$1=createCommonjsModule$2(function(module,exports){exports.prepareElements=function(JSONcontainer){for(var elementType in JSONcontainer)JSONcontainer.hasOwnProperty(elementType)&&(JSONcontainer[elementType].redundant=JSONcontainer[elementType].used,JSONcontainer[elementType].used=[])},exports.cleanupElements=function(JSONcontainer){for(var elementType in JSONcontainer)if(JSONcontainer.hasOwnProperty(elementType)&&JSONcontainer[elementType].redundant){for(var i=0;i<JSONcontainer[elementType].redundant.length;i++)JSONcontainer[elementType].redundant[i].parentNode.removeChild(JSONcontainer[elementType].redundant[i]);JSONcontainer[elementType].redundant=[]}},exports.resetElements=function(JSONcontainer){exports.prepareElements(JSONcontainer),exports.cleanupElements(JSONcontainer),exports.prepareElements(JSONcontainer)},exports.getSVGElement=function(elementType,JSONcontainer,svgContainer){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),svgContainer.appendChild(element)):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),JSONcontainer[elementType]={used:[],redundant:[]},svgContainer.appendChild(element)),JSONcontainer[elementType].used.push(element),element},exports.getDOMElement=function(elementType,JSONcontainer,DOMContainer,insertBefore){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElement(elementType),void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)):(element=document.createElement(elementType),JSONcontainer[elementType]={used:[],redundant:[]},void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)),JSONcontainer[elementType].used.push(element),element},exports.drawPoint=function(x,y,groupTemplate,JSONcontainer,svgContainer,labelObj){var point;if("circle"==groupTemplate.style?(point=exports.getSVGElement("circle",JSONcontainer,svgContainer),point.setAttributeNS(null,"cx",x),point.setAttributeNS(null,"cy",y),point.setAttributeNS(null,"r",.5*groupTemplate.size)):(point=exports.getSVGElement("rect",JSONcontainer,svgContainer),point.setAttributeNS(null,"x",x-.5*groupTemplate.size),point.setAttributeNS(null,"y",y-.5*groupTemplate.size),point.setAttributeNS(null,"width",groupTemplate.size),point.setAttributeNS(null,"height",groupTemplate.size)),void 0!==groupTemplate.styles&&point.setAttributeNS(null,"style",groupTemplate.styles),point.setAttributeNS(null,"class",groupTemplate.className+" vis-point"),labelObj){var label=exports.getSVGElement("text",JSONcontainer,svgContainer);labelObj.xOffset&&(x+=labelObj.xOffset),labelObj.yOffset&&(y+=labelObj.yOffset),labelObj.content&&(label.textContent=labelObj.content),labelObj.className&&label.setAttributeNS(null,"class",labelObj.className+" vis-label"),label.setAttributeNS(null,"x",x),label.setAttributeNS(null,"y",y)}return point},exports.drawBar=function(x,y,width,height,className,JSONcontainer,svgContainer,style){if(0!=height){0>height&&(height*=-1,y-=height);var rect=exports.getSVGElement("rect",JSONcontainer,svgContainer);rect.setAttributeNS(null,"x",x-.5*width),rect.setAttributeNS(null,"y",y),rect.setAttributeNS(null,"width",width),rect.setAttributeNS(null,"height",height),rect.setAttributeNS(null,"class",className),style&&rect.setAttributeNS(null,"style",style)}}}),DOMutil_1$1=DOMutil$1.prepareElements,DOMutil_2$1=DOMutil$1.cleanupElements,DOMutil_3$1=DOMutil$1.resetElements,DOMutil_4$1=DOMutil$1.getSVGElement,DOMutil_5$1=DOMutil$1.getDOMElement,DOMutil_6$1=DOMutil$1.drawPoint,DOMutil_7$1=DOMutil$1.drawBar,emitterComponent=Emitter;Emitter.prototype.on=Emitter.prototype.addEventListener=function(event,fn){return this._callbacks=this._callbacks||{},(this._callbacks[event]=this._callbacks[event]||[]).push(fn),this},Emitter.prototype.once=function(event,fn){function on(){self.off(event,on),fn.apply(this,arguments)}var self=this;return this._callbacks=this._callbacks||{},on.fn=fn,this.on(event,on),this},Emitter.prototype.off=Emitter.prototype.removeListener=Emitter.prototype.removeAllListeners=Emitter.prototype.removeEventListener=function(event,fn){if(this._callbacks=this._callbacks||{},0==arguments.length)return this._callbacks={},this;var callbacks=this._callbacks[event];if(!callbacks)return this;if(1==arguments.length)return delete this._callbacks[event],this;for(var i=0,cb;i<callbacks.length;i++)if(cb=callbacks[i],cb===fn||cb.fn===fn){callbacks.splice(i,1);break}return this},Emitter.prototype.emit=function(event){this._callbacks=this._callbacks||{};var args=[].slice.call(arguments,1),callbacks=this._callbacks[event];if(callbacks){callbacks=callbacks.slice(0);for(var i=0,len=callbacks.length;i<len;++i)callbacks[i].apply(this,args)}return this},Emitter.prototype.listeners=function(event){return this._callbacks=this._callbacks||{},this._callbacks[event]||[]},Emitter.prototype.hasListeners=function(event){return!!this.listeners(event).length},Point3d.subtract=function(a,b){var sub=new Point3d;return sub.x=a.x-b.x,sub.y=a.y-b.y,sub.z=a.z-b.z,sub},Point3d.add=function(a,b){var sum=new Point3d;return sum.x=a.x+b.x,sum.y=a.y+b.y,sum.z=a.z+b.z,sum},Point3d.avg=function(a,b){return new Point3d((a.x+b.x)/2,(a.y+b.y)/2,(a.z+b.z)/2)},Point3d.crossProduct=function(a,b){var crossproduct=new Point3d;return crossproduct.x=a.y*b.z-a.z*b.y,crossproduct.y=a.z*b.x-a.x*b.z,crossproduct.z=a.x*b.y-a.y*b.x,crossproduct},Point3d.prototype.length=function(){return _Mathsqrt(this.x*this.x+this.y*this.y+this.z*this.z)};var Point3d_1=Point3d,Point2d_1=function(x,y){this.x=x===void 0?0:x,this.y=y===void 0?0:y};Slider.prototype.prev=function(){var index=this.getIndex();0<index&&(index--,this.setIndex(index))},Slider.prototype.next=function(){var index=this.getIndex();index<this.values.length-1&&(index++,this.setIndex(index))},Slider.prototype.playNext=function(){var start=new Date,index=this.getIndex();index<this.values.length-1?(index++,this.setIndex(index)):this.playLoop&&(index=0,this.setIndex(index));var end=new Date,interval=_Mathmax(this.playInterval-(end-start),0),me=this;this.playTimeout=setTimeout(function(){me.playNext()},interval)},Slider.prototype.togglePlay=function(){this.playTimeout===void 0?this.play():this.stop()},Slider.prototype.play=function(){this.playTimeout||(this.playNext(),this.frame&&(this.frame.play.value="Stop"))},Slider.prototype.stop=function(){clearInterval(this.playTimeout),this.playTimeout=void 0,this.frame&&(this.frame.play.value="Play")},Slider.prototype.setOnChangeCallback=function(callback){this.onChangeCallback=callback},Slider.prototype.setPlayInterval=function(interval){this.playInterval=interval},Slider.prototype.getPlayInterval=function(){return this.playInterval},Slider.prototype.setPlayLoop=function(doLoop){this.playLoop=doLoop},Slider.prototype.onChange=function(){this.onChangeCallback!==void 0&&this.onChangeCallback()},Slider.prototype.redraw=function(){if(this.frame){this.frame.bar.style.top=this.frame.clientHeight/2-this.frame.bar.offsetHeight/2+"px",this.frame.bar.style.width=this.frame.clientWidth-this.frame.prev.clientWidth-this.frame.play.clientWidth-this.frame.next.clientWidth-30+"px";var left=this.indexToLeft(this.index);this.frame.slide.style.left=left+"px"}},Slider.prototype.setValues=function(values){this.values=values,0<this.values.length?this.setIndex(0):this.index=void 0},Slider.prototype.setIndex=function(index){if(index<this.values.length)this.index=index,this.redraw(),this.onChange();else throw new Error("Index out of range")},Slider.prototype.getIndex=function(){return this.index},Slider.prototype.get=function(){return this.values[this.index]},Slider.prototype._onMouseDown=function(event){var leftButtonDown=event.which?1===event.which:1===event.button;if(leftButtonDown){this.startClientX=event.clientX,this.startSlideX=parseFloat(this.frame.slide.style.left),this.frame.style.cursor="move";var me=this;this.onmousemove=function(event){me._onMouseMove(event)},this.onmouseup=function(event){me._onMouseUp(event)},util.addEventListener(document,"mousemove",this.onmousemove),util.addEventListener(document,"mouseup",this.onmouseup),util.preventDefault(event)}},Slider.prototype.leftToIndex=function(left){var width=parseFloat(this.frame.bar.style.width)-this.frame.slide.clientWidth-10,index=_Mathround((left-3)/width*(this.values.length-1));return 0>index&&(index=0),index>this.values.length-1&&(index=this.values.length-1),index},Slider.prototype.indexToLeft=function(index){var width=parseFloat(this.frame.bar.style.width)-this.frame.slide.clientWidth-10,x=index/(this.values.length-1)*width;return x+3},Slider.prototype._onMouseMove=function(event){var diff=event.clientX-this.startClientX,x=this.startSlideX+diff,index=this.leftToIndex(x);this.setIndex(index),util.preventDefault()},Slider.prototype._onMouseUp=function(){this.frame.style.cursor="auto",util.removeEventListener(document,"mousemove",this.onmousemove),util.removeEventListener(document,"mouseup",this.onmouseup),util.preventDefault()};var Slider_1=Slider;StepNumber.prototype.isNumeric=function(n){return!isNaN(parseFloat(n))&&isFinite(n)},StepNumber.prototype.setRange=function(start,end,step,prettyStep){if(!this.isNumeric(start))throw new Error("Parameter 'start' is not numeric; value: "+start);if(!this.isNumeric(end))throw new Error("Parameter 'end' is not numeric; value: "+start);if(!this.isNumeric(step))throw new Error("Parameter 'step' is not numeric; value: "+start);this._start=start?start:0,this._end=end?end:0,this.setStep(step,prettyStep)},StepNumber.prototype.setStep=function(step,prettyStep){void 0===step||0>=step||(prettyStep!==void 0&&(this.prettyStep=prettyStep),this._step=!0===this.prettyStep?StepNumber.calculatePrettyStep(step):step)},StepNumber.calculatePrettyStep=function(step){var log10=function(x){return _Mathlog(x)/_MathLN},step1=_Mathpow(10,_Mathround(log10(step))),step2=2*_Mathpow(10,_Mathround(log10(step/2))),step5=5*_Mathpow(10,_Mathround(log10(step/5))),prettyStep=step1;return _Mathabs(step2-step)<=_Mathabs(prettyStep-step)&&(prettyStep=step2),_Mathabs(step5-step)<=_Mathabs(prettyStep-step)&&(prettyStep=step5),0>=prettyStep&&(prettyStep=1),prettyStep},StepNumber.prototype.getCurrent=function(){return parseFloat(this._current.toPrecision(this.precision))},StepNumber.prototype.getStep=function(){return this._step},StepNumber.prototype.start=function(checkFirst){checkFirst===void 0&&(checkFirst=!1),this._current=this._start-this._start%this._step,checkFirst&&this.getCurrent()<this._start&&this.next()},StepNumber.prototype.next=function(){this._current+=this._step},StepNumber.prototype.end=function(){return this._current>this._end};var StepNumber_1=StepNumber;Camera.prototype.setOffset=function(x,y){var abs=_Mathabs,sign=Math.sign,mul=this.offsetMultiplier,border=this.armLength*mul;abs(x)>border&&(x=sign(x)*border),abs(y)>border&&(y=sign(y)*border),this.cameraOffset.x=x,this.cameraOffset.y=y,this.calculateCameraOrientation()},Camera.prototype.getOffset=function(){return this.cameraOffset},Camera.prototype.setArmLocation=function(x,y,z){this.armLocation.x=x,this.armLocation.y=y,this.armLocation.z=z,this.calculateCameraOrientation()},Camera.prototype.setArmRotation=function(horizontal,vertical){horizontal!==void 0&&(this.armRotation.horizontal=horizontal),vertical!==void 0&&(this.armRotation.vertical=vertical,0>this.armRotation.vertical&&(this.armRotation.vertical=0),this.armRotation.vertical>.5*_MathPI&&(this.armRotation.vertical=.5*_MathPI)),(horizontal!==void 0||vertical!==void 0)&&this.calculateCameraOrientation()},Camera.prototype.getArmRotation=function(){var rot={horizontal:this.armRotation.horizontal,vertical:this.armRotation.vertical};return rot},Camera.prototype.setArmLength=function(length){void 0===length||(this.armLength=length,.71>this.armLength&&(this.armLength=.71),5<this.armLength&&(this.armLength=5),this.setOffset(this.cameraOffset.x,this.cameraOffset.y),this.calculateCameraOrientation())},Camera.prototype.getArmLength=function(){return this.armLength},Camera.prototype.getCameraLocation=function(){return this.cameraLocation},Camera.prototype.getCameraRotation=function(){return this.cameraRotation},Camera.prototype.calculateCameraOrientation=function(){this.cameraLocation.x=this.armLocation.x-this.armLength*_Mathsin(this.armRotation.horizontal)*_Mathcos(this.armRotation.vertical),this.cameraLocation.y=this.armLocation.y-this.armLength*_Mathcos(this.armRotation.horizontal)*_Mathcos(this.armRotation.vertical),this.cameraLocation.z=this.armLocation.z+this.armLength*_Mathsin(this.armRotation.vertical),this.cameraRotation.x=_MathPI/2-this.armRotation.vertical,this.cameraRotation.y=0,this.cameraRotation.z=-this.armRotation.horizontal;var xa=this.cameraRotation.x,za=this.cameraRotation.z,dx=this.cameraOffset.x,dy=this.cameraOffset.y,sin=_Mathsin,cos=_Mathcos;this.cameraLocation.x=this.cameraLocation.x+dx*cos(za)+dy*-sin(za)*cos(xa),this.cameraLocation.y=this.cameraLocation.y+dx*sin(za)+dy*cos(za)*cos(xa),this.cameraLocation.z+=dy*sin(xa)};var Camera_1=Camera,STYLE={BAR:0,BARCOLOR:1,BARSIZE:2,DOT:3,DOTLINE:4,DOTCOLOR:5,DOTSIZE:6,GRID:7,LINE:8,SURFACE:9},STYLENAME={dot:STYLE.DOT,"dot-line":STYLE.DOTLINE,"dot-color":STYLE.DOTCOLOR,"dot-size":STYLE.DOTSIZE,line:STYLE.LINE,grid:STYLE.GRID,surface:STYLE.SURFACE,bar:STYLE.BAR,"bar-color":STYLE.BARCOLOR,"bar-size":STYLE.BARSIZE},OPTIONKEYS=["width","height","filterLabel","legendLabel","xLabel","yLabel","zLabel","xValueLabel","yValueLabel","zValueLabel","showXAxis","showYAxis","showZAxis","showGrid","showPerspective","showShadow","keepAspectRatio","verticalRatio","dotSizeRatio","dotSizeMinFraction","dotSizeMaxFraction","showAnimationControls","animationInterval","animationPreload","animationAutoStart","axisColor","gridColor","xCenter","yCenter","zoomable","ctrlToZoom"],PREFIXEDOPTIONKEYS=["xBarWidth","yBarWidth","valueMin","valueMax","xMin","xMax","xStep","yMin","yMax","yStep","zMin","zMax","zStep"],DEFAULTS=void 0,Settings={STYLE:STYLE,setDefaults:function(src,dst){if(src===void 0||isEmpty(src))throw new Error("No DEFAULTS passed");if(void 0===dst)throw new Error("No dst passed");DEFAULTS=src,forceCopy(src,dst,OPTIONKEYS),forceCopy(src,dst,PREFIXEDOPTIONKEYS,"default"),setSpecialSettings(src,dst),dst.margin=10,dst.showGrayBottom=!1,dst.showTooltip=!1,dst.onclick_callback=null,dst.eye=new Point3d_1(0,0,-1)},setOptions:setOptions,setCameraPosition:setCameraPosition};let errorFound$1=!1,printStyle$1="background: #FFeeee; color: #dd0000",allOptions$3;class Validator$1{constructor(){}static validate(options,referenceOptions,subObject){errorFound$1=!1,allOptions$3=referenceOptions;let usedOptions=referenceOptions;return void 0!==subObject&&(usedOptions=referenceOptions[subObject]),Validator$1.parse(options,usedOptions,[]),errorFound$1}static parse(options,referenceOptions,path){for(let option in options)options.hasOwnProperty(option)&&Validator$1.check(option,options,referenceOptions,path)}static check(option,options,referenceOptions,path){if(void 0===referenceOptions[option]&&void 0===referenceOptions.__any__)return void Validator$1.getSuggestion(option,referenceOptions,path);let referenceOption=option,is_object=!0;referenceOptions[option]===void 0&&referenceOptions.__any__!==void 0&&(referenceOption="__any__",is_object="object"===Validator$1.getType(options[option]));let refOptionObj=referenceOptions[referenceOption];is_object&&refOptionObj.__type__!==void 0&&(refOptionObj=refOptionObj.__type__),Validator$1.checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path)}static checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path){let log=function(message){console.log("%c"+message+Validator$1.printLocation(path,option),printStyle$1)},optionType=Validator$1.getType(options[option]),refOptionType=refOptionObj[optionType];refOptionType===void 0?refOptionObj.any===void 0&&(log("Invalid type received for \""+option+"\". Expected: "+Validator$1.print(Object.keys(refOptionObj))+". Received ["+optionType+"] \""+options[option]+"\""),errorFound$1=!0):"array"===Validator$1.getType(refOptionType)&&-1===refOptionType.indexOf(options[option])?(log("Invalid option detected in \""+option+"\". Allowed values are:"+Validator$1.print(refOptionType)+" not \""+options[option]+"\". "),errorFound$1=!0):"object"===optionType&&"__any__"!==referenceOption&&(path=util.copyAndExtendArray(path,option),Validator$1.parse(options[option],referenceOptions[referenceOption],path))}static getType(object){var type=typeof object;if("object"==type)return null===object?"null":object instanceof Boolean?"boolean":object instanceof Number?"number":object instanceof String?"string":Array.isArray(object)?"array":object instanceof Date?"date":void 0===object.nodeType?!0===object._isAMomentObject?"moment":"object":"dom";return"number"==type?"number":"boolean"==type?"boolean":"string"==type?"string":void 0===type?"undefined":type}static getSuggestion(option,options,path){let localSearch=Validator$1.findInOptions(option,options,path,!1),globalSearch=Validator$1.findInOptions(option,allOptions$3,[],!0),msg;msg=void 0===localSearch.indexMatch?globalSearch.distance<=4&&localSearch.distance>globalSearch.distance?" in "+Validator$1.printLocation(localSearch.path,option,"")+"Perhaps it was misplaced? Matching option found at: "+Validator$1.printLocation(globalSearch.path,globalSearch.closestMatch,""):localSearch.distance<=8?". Did you mean \""+localSearch.closestMatch+"\"?"+Validator$1.printLocation(localSearch.path,option):". Did you mean one of these: "+Validator$1.print(Object.keys(options))+Validator$1.printLocation(path,option):" in "+Validator$1.printLocation(localSearch.path,option,"")+"Perhaps it was incomplete? Did you mean: \""+localSearch.indexMatch+"\"?\n\n",console.log("%cUnknown option detected: \""+option+"\""+msg,printStyle$1),errorFound$1=!0}static findInOptions(option,options,path,recursive=!1){let min=1e9,closestMatch="",closestMatchPath=[],lowerCaseOption=option.toLowerCase(),indexMatch;for(let op in options){let distance;if(options[op].__type__!==void 0&&!0===recursive){let result=Validator$1.findInOptions(option,options[op],util.copyAndExtendArray(path,op));min>result.distance&&(closestMatch=result.closestMatch,closestMatchPath=result.path,min=result.distance,indexMatch=result.indexMatch)}else-1!==op.toLowerCase().indexOf(lowerCaseOption)&&(indexMatch=op),distance=Validator$1.levenshteinDistance(option,op),min>distance&&(closestMatch=op,closestMatchPath=util.copyArray(path),min=distance)}return{closestMatch:closestMatch,path:closestMatchPath,distance:min,indexMatch:indexMatch}}static printLocation(path,option,prefix="Problem value found at: \n"){let str="\n\n"+prefix+"options = {\n";for(let i=0;i<path.length;i++){for(let j=0;j<i+1;j++)str+="  ";str+=path[i]+": {\n"}for(let j=0;j<path.length+1;j++)str+="  ";str+=option+"\n";for(let i=0;i<path.length+1;i++){for(let j=0;j<path.length-i;j++)str+="  ";str+="}\n"}return str+"\n\n"}static print(options){return JSON.stringify(options).replace(/(\")|(\[)|(\])|(,"__type__")/g,"").replace(/(\,)/g,", ")}static levenshteinDistance(a,b){if(0===a.length)return b.length;if(0===b.length)return a.length;var matrix=[],i;for(i=0;i<=b.length;i++)matrix[i]=[i];var j;for(j=0;j<=a.length;j++)matrix[0][j]=j;for(i=1;i<=b.length;i++)for(j=1;j<=a.length;j++)matrix[i][j]=b.charAt(i-1)==a.charAt(j-1)?matrix[i-1][j-1]:_Mathmin(matrix[i-1][j-1]+1,_Mathmin(matrix[i][j-1]+1,matrix[i-1][j]+1));return matrix[b.length][a.length]}}var Validator$2=Object.freeze({Validator:Validator$1,printStyle:printStyle$1});let bool$1="boolean",number$1="number",object$1="object",colorOptions={fill:{string:"string"},stroke:{string:"string"},strokeWidth:{number:number$1},__type__:{string:"string",object:object$1,undefined:"undefined"}};var options=Object.freeze({allOptions:{animationAutoStart:{boolean:bool$1,undefined:"undefined"},animationInterval:{number:number$1},animationPreload:{boolean:bool$1},axisColor:{string:"string"},backgroundColor:colorOptions,xBarWidth:{number:number$1,undefined:"undefined"},yBarWidth:{number:number$1,undefined:"undefined"},cameraPosition:{distance:{number:number$1},horizontal:{number:number$1},vertical:{number:number$1},__type__:{object:object$1}},zoomable:{boolean:bool$1},ctrlToZoom:{boolean:bool$1},xCenter:{string:"string"},yCenter:{string:"string"},dataColor:colorOptions,dotSizeMinFraction:{number:number$1},dotSizeMaxFraction:{number:number$1},dotSizeRatio:{number:number$1},filterLabel:{string:"string"},gridColor:{string:"string"},onclick:{function:"function"},keepAspectRatio:{boolean:bool$1},xLabel:{string:"string"},yLabel:{string:"string"},zLabel:{string:"string"},legendLabel:{string:"string"},xMin:{number:number$1,undefined:"undefined"},yMin:{number:number$1,undefined:"undefined"},zMin:{number:number$1,undefined:"undefined"},xMax:{number:number$1,undefined:"undefined"},yMax:{number:number$1,undefined:"undefined"},zMax:{number:number$1,undefined:"undefined"},showAnimationControls:{boolean:bool$1,undefined:"undefined"},showGrid:{boolean:bool$1},showLegend:{boolean:bool$1,undefined:"undefined"},showPerspective:{boolean:bool$1},showShadow:{boolean:bool$1},showXAxis:{boolean:bool$1},showYAxis:{boolean:bool$1},showZAxis:{boolean:bool$1},xStep:{number:number$1,undefined:"undefined"},yStep:{number:number$1,undefined:"undefined"},zStep:{number:number$1,undefined:"undefined"},style:{number:number$1,string:["bar","bar-color","bar-size","dot","dot-line","dot-color","dot-size","line","grid","surface"]},tooltip:{boolean:bool$1,function:"function"},tooltipStyle:{content:{color:{string:"string"},background:{string:"string"},border:{string:"string"},borderRadius:{string:"string"},boxShadow:{string:"string"},padding:{string:"string"},__type__:{object:object$1}},line:{borderLeft:{string:"string"},height:{string:"string"},width:{string:"string"},pointerEvents:{string:"string"},__type__:{object:object$1}},dot:{border:{string:"string"},borderRadius:{string:"string"},height:{string:"string"},width:{string:"string"},pointerEvents:{string:"string"},__type__:{object:object$1}},__type__:{object:object$1}},xValueLabel:{function:"function"},yValueLabel:{function:"function"},zValueLabel:{function:"function"},valueMax:{number:number$1,undefined:"undefined"},valueMin:{number:number$1,undefined:"undefined"},verticalRatio:{number:number$1},height:{string:"string"},width:{string:"string"},__type__:{object:object$1}}});Range.prototype.adjust=function(value){void 0===value||((this.min===void 0||this.min>value)&&(this.min=value),(this.max===void 0||this.max<value)&&(this.max=value))},Range.prototype.combine=function(range){this.add(range.min),this.add(range.max)},Range.prototype.expand=function(val){if(void 0!==val){var newMin=this.min-val,newMax=this.max+val;if(newMin>newMax)throw new Error("Passed expansion value makes range invalid");this.min=newMin,this.max=newMax}},Range.prototype.range=function(){return this.max-this.min},Range.prototype.center=function(){return(this.min+this.max)/2};var{DataView:DataView$1}=index;Filter.prototype.isLoaded=function(){return this.loaded},Filter.prototype.getLoadedProgress=function(){for(var len=this.values.length,i=0;this.dataPoints[i];)i++;return _Mathround(100*(i/len))},Filter.prototype.getLabel=function(){return this.graph.filterLabel},Filter.prototype.getColumn=function(){return this.column},Filter.prototype.getSelectedValue=function(){return void 0===this.index?void 0:this.values[this.index]},Filter.prototype.getValues=function(){return this.values},Filter.prototype.getValue=function(index){if(index>=this.values.length)throw new Error("Index out of range");return this.values[index]},Filter.prototype._getDataPoints=function(index){if(void 0===index&&(index=this.index),void 0===index)return[];var dataPoints;if(this.dataPoints[index])dataPoints=this.dataPoints[index];else{var f={column:this.column,value:this.values[index]},dataView=new DataView$1(this.dataGroup.getDataSet(),{filter:function(item){return item[f.column]==f.value}}).get();dataPoints=this.dataGroup._getDataPoints(dataView),this.dataPoints[index]=dataPoints}return dataPoints},Filter.prototype.setOnLoadCallback=function(callback){this.onLoadCallback=callback},Filter.prototype.selectValue=function(index){if(index>=this.values.length)throw new Error("Index out of range");this.index=index,this.value=this.values[index]},Filter.prototype.loadInBackground=function(index){index===void 0&&(index=0);var frame=this.graph.frame;if(index<this.values.length){frame.progress===void 0&&(frame.progress=document.createElement("DIV"),frame.progress.style.position="absolute",frame.progress.style.color="gray",frame.appendChild(frame.progress));var progress=this.getLoadedProgress();frame.progress.innerHTML="Loading animation... "+progress+"%",frame.progress.style.bottom="60px",frame.progress.style.left="10px";var me=this;setTimeout(function(){me.loadInBackground(index+1)},10),this.loaded=!1}else this.loaded=!0,void 0!==frame.progress&&(frame.removeChild(frame.progress),frame.progress=void 0),this.onLoadCallback&&this.onLoadCallback()};var Filter_1=Filter,{DataSet:DataSet$1}=index,{DataView:DataView$2}=index;DataGroup.prototype.initializeData=function(graph3d,rawData,style){if(void 0!==rawData){Array.isArray(rawData)&&(rawData=new DataSet$1(rawData));var data;if(rawData instanceof DataSet$1||rawData instanceof DataView$2)data=rawData.get();else throw new Error("Array, DataSet, or DataView expected");if(0!=data.length){this.style=style,this.dataSet&&this.dataSet.off("*",this._onChange),this.dataSet=rawData,this.dataTable=data;var me=this;this._onChange=function(){graph3d.setData(me.dataSet)},this.dataSet.on("*",this._onChange),this.colX="x",this.colY="y",this.colZ="z";var withBars=graph3d.hasBars(style);if(withBars&&(this.xBarWidth=void 0===graph3d.defaultXBarWidth?this.getSmallestDifference(data,this.colX)||1:graph3d.defaultXBarWidth,this.yBarWidth=void 0===graph3d.defaultYBarWidth?this.getSmallestDifference(data,this.colY)||1:graph3d.defaultYBarWidth),this._initializeRange(data,this.colX,graph3d,withBars),this._initializeRange(data,this.colY,graph3d,withBars),this._initializeRange(data,this.colZ,graph3d,!1),data[0].hasOwnProperty("style")){this.colValue="style";var valueRange=this.getColumnRange(data,this.colValue);this._setRangeDefaults(valueRange,graph3d.defaultValueMin,graph3d.defaultValueMax),this.valueRange=valueRange}var table=this.getDataTable();table[0].hasOwnProperty("filter")&&void 0===this.dataFilter&&(this.dataFilter=new Filter_1(this,"filter",graph3d),this.dataFilter.setOnLoadCallback(function(){graph3d.redraw()}));var dataPoints;return dataPoints=this.dataFilter?this.dataFilter._getDataPoints():this._getDataPoints(this.getDataTable()),dataPoints}}},DataGroup.prototype._collectRangeSettings=function(column,graph3d){var index=["x","y","z"].indexOf(column);if(-1==index)throw new Error("Column '"+column+"' invalid");var upper=column.toUpperCase();return{barWidth:this[column+"BarWidth"],min:graph3d["default"+upper+"Min"],max:graph3d["default"+upper+"Max"],step:graph3d["default"+upper+"Step"],range_label:column+"Range",step_label:column+"Step"}},DataGroup.prototype._initializeRange=function(data,column,graph3d,withBars){var settings=this._collectRangeSettings(column,graph3d),range=this.getColumnRange(data,column);withBars&&"z"!=column&&range.expand(settings.barWidth/2),this._setRangeDefaults(range,settings.min,settings.max),this[settings.range_label]=range,this[settings.step_label]=settings.step===void 0?range.range()/5:settings.step},DataGroup.prototype.getDistinctValues=function(column,data){data===void 0&&(data=this.dataTable);for(var values=[],i=0,value;i<data.length;i++)value=data[i][column]||0,-1===values.indexOf(value)&&values.push(value);return values.sort(function(a,b){return a-b})},DataGroup.prototype.getSmallestDifference=function(data,column){for(var values=this.getDistinctValues(data,column),smallest_diff=null,i=1,diff;i<values.length;i++)diff=values[i]-values[i-1],(null==smallest_diff||smallest_diff>diff)&&(smallest_diff=diff);return smallest_diff},DataGroup.prototype.getColumnRange=function(data,column){for(var range=new Range,i=0,item;i<data.length;i++)item=data[i][column],range.adjust(item);return range},DataGroup.prototype.getNumberOfRows=function(){return this.dataTable.length},DataGroup.prototype._setRangeDefaults=function(range,defaultMin,defaultMax){defaultMin!==void 0&&(range.min=defaultMin),defaultMax!==void 0&&(range.max=defaultMax),range.max<=range.min&&(range.max=range.min+1)},DataGroup.prototype.getDataTable=function(){return this.dataTable},DataGroup.prototype.getDataSet=function(){return this.dataSet},DataGroup.prototype.getDataPoints=function(data){for(var dataPoints=[],i=0,point;i<data.length;i++){point=new Point3d_1,point.x=data[i][this.colX]||0,point.y=data[i][this.colY]||0,point.z=data[i][this.colZ]||0,point.data=data[i],this.colValue!==void 0&&(point.value=data[i][this.colValue]||0);var obj={};obj.point=point,obj.bottom=new Point3d_1(point.x,point.y,this.zRange.min),obj.trans=void 0,obj.screen=void 0,dataPoints.push(obj)}return dataPoints},DataGroup.prototype.initDataAsMatrix=function(data){var dataX=this.getDistinctValues(this.colX,data),dataY=this.getDistinctValues(this.colY,data),dataPoints=this.getDataPoints(data),dataMatrix=[],x,y,i,obj;for(i=0;i<dataPoints.length;i++){obj=dataPoints[i];var xIndex=dataX.indexOf(obj.point.x),yIndex=dataY.indexOf(obj.point.y);dataMatrix[xIndex]===void 0&&(dataMatrix[xIndex]=[]),dataMatrix[xIndex][yIndex]=obj}for(x=0;x<dataMatrix.length;x++)for(y=0;y<dataMatrix[x].length;y++)dataMatrix[x][y]&&(dataMatrix[x][y].pointRight=x<dataMatrix.length-1?dataMatrix[x+1][y]:void 0,dataMatrix[x][y].pointTop=y<dataMatrix[x].length-1?dataMatrix[x][y+1]:void 0,dataMatrix[x][y].pointCross=x<dataMatrix.length-1&&y<dataMatrix[x].length-1?dataMatrix[x+1][y+1]:void 0);return dataPoints},DataGroup.prototype.getInfo=function(){var dataFilter=this.dataFilter;return dataFilter?dataFilter.getLabel()+": "+dataFilter.getSelectedValue():void 0},DataGroup.prototype.reload=function(){this.dataTable&&this.setData(this.dataTable)},DataGroup.prototype._getDataPoints=function(data){var dataPoints=[];if(this.style===Settings.STYLE.GRID||this.style===Settings.STYLE.SURFACE)dataPoints=this.initDataAsMatrix(data);else if(this._checkValueField(data),dataPoints=this.getDataPoints(data),this.style===Settings.STYLE.LINE)for(var i=0;i<dataPoints.length;i++)0<i&&(dataPoints[i-1].pointNext=dataPoints[i]);return dataPoints},DataGroup.prototype._checkValueField=function(data){var hasValueField=this.style===Settings.STYLE.BARCOLOR||this.style===Settings.STYLE.BARSIZE||this.style===Settings.STYLE.DOTCOLOR||this.style===Settings.STYLE.DOTSIZE;if(hasValueField){if(void 0===this.colValue)throw new Error("Expected data to have  field 'style'  for graph style '"+this.style+"'");if(void 0===data[0][this.colValue])throw new Error("Expected data to have  field '"+this.colValue+"'  for graph style '"+this.style+"'")}};var DataGroup_1=DataGroup,Validator$3=Validator$2.Validator,printStyle$2=Validator$2.printStyle,{allOptions:allOptions$5}=options;Graph3d.STYLE=Settings.STYLE;var autoByDefault;Graph3d.DEFAULTS={width:"400px",height:"400px",filterLabel:"time",legendLabel:"value",xLabel:"x",yLabel:"y",zLabel:"z",xValueLabel:function(v){return v},yValueLabel:function(v){return v},zValueLabel:function(v){return v},showXAxis:!0,showYAxis:!0,showZAxis:!0,showGrid:!0,showPerspective:!0,showShadow:!1,keepAspectRatio:!0,verticalRatio:.5,dotSizeRatio:.02,dotSizeMinFraction:.5,dotSizeMaxFraction:2.5,showAnimationControls:autoByDefault,animationInterval:1e3,animationPreload:!1,animationAutoStart:autoByDefault,axisColor:"#4D4D4D",gridColor:"#D3D3D3",xCenter:"55%",yCenter:"50%",style:Graph3d.STYLE.DOT,tooltip:!1,tooltipStyle:{content:{padding:"10px",border:"1px solid #4d4d4d",color:"#1a1a1a",background:"rgba(255,255,255,0.7)",borderRadius:"2px",boxShadow:"5px 5px 10px rgba(128,128,128,0.5)"},line:{height:"40px",width:"0",borderLeft:"1px solid #4d4d4d",pointerEvents:"none"},dot:{height:"0",width:"0",border:"5px solid #4d4d4d",borderRadius:"5px",pointerEvents:"none"}},dataColor:{fill:"#7DC1FF",stroke:"#3267D2",strokeWidth:1},cameraPosition:{horizontal:1,vertical:.5,distance:1.7},zoomable:!0,ctrlToZoom:!1,showLegend:autoByDefault,backgroundColor:autoByDefault,xBarWidth:autoByDefault,yBarWidth:autoByDefault,valueMin:autoByDefault,valueMax:autoByDefault,xMin:autoByDefault,xMax:autoByDefault,xStep:autoByDefault,yMin:autoByDefault,yMax:autoByDefault,yStep:autoByDefault,zMin:autoByDefault,zMax:autoByDefault,zStep:autoByDefault},emitterComponent(Graph3d.prototype),Graph3d.prototype._setScale=function(){this.scale=new Point3d_1(1/this.xRange.range(),1/this.yRange.range(),1/this.zRange.range()),this.keepAspectRatio&&(this.scale.x<this.scale.y?this.scale.y=this.scale.x:this.scale.x=this.scale.y),this.scale.z*=this.verticalRatio,this.valueRange!==void 0&&(this.scale.value=1/this.valueRange.range());var xCenter=this.xRange.center()*this.scale.x,yCenter=this.yRange.center()*this.scale.y,zCenter=this.zRange.center()*this.scale.z;this.camera.setArmLocation(xCenter,yCenter,zCenter)},Graph3d.prototype._convert3Dto2D=function(point3d){var translation=this._convertPointToTranslation(point3d);return this._convertTranslationToScreen(translation)},Graph3d.prototype._convertPointToTranslation=function(point3d){var cameraLocation=this.camera.getCameraLocation(),cameraRotation=this.camera.getCameraRotation(),ax=point3d.x*this.scale.x,ay=point3d.y*this.scale.y,az=point3d.z*this.scale.z,cx=cameraLocation.x,cy=cameraLocation.y,cz=cameraLocation.z,sinTx=_Mathsin(cameraRotation.x),cosTx=_Mathcos(cameraRotation.x),sinTy=_Mathsin(cameraRotation.y),cosTy=_Mathcos(cameraRotation.y),sinTz=_Mathsin(cameraRotation.z),cosTz=_Mathcos(cameraRotation.z);return new Point3d_1(cosTy*(sinTz*(ay-cy)+cosTz*(ax-cx))-sinTy*(az-cz),sinTx*(cosTy*(az-cz)+sinTy*(sinTz*(ay-cy)+cosTz*(ax-cx)))+cosTx*(cosTz*(ay-cy)-sinTz*(ax-cx)),cosTx*(cosTy*(az-cz)+sinTy*(sinTz*(ay-cy)+cosTz*(ax-cx)))-sinTx*(cosTz*(ay-cy)-sinTz*(ax-cx)))},Graph3d.prototype._convertTranslationToScreen=function(translation){var ex=this.eye.x,ey=this.eye.y,ez=this.eye.z,dx=translation.x,dy=translation.y,dz=translation.z,bx,by;return this.showPerspective?(bx=(dx-ex)*(ez/dz),by=(dy-ey)*(ez/dz)):(bx=dx*-(ez/this.camera.getArmLength()),by=dy*-(ez/this.camera.getArmLength())),new Point2d_1(this.currentXCenter+bx*this.frame.canvas.clientWidth,this.currentYCenter-by*this.frame.canvas.clientWidth)},Graph3d.prototype._calcTranslations=function(points){for(var i=0,point;i<points.length;i++){point=points[i],point.trans=this._convertPointToTranslation(point.point),point.screen=this._convertTranslationToScreen(point.trans);var transBottom=this._convertPointToTranslation(point.bottom);point.dist=this.showPerspective?transBottom.length():-transBottom.z}points.sort(function(a,b){return b.dist-a.dist})},Graph3d.prototype._initializeRanges=function(){var dg=this.dataGroup;this.xRange=dg.xRange,this.yRange=dg.yRange,this.zRange=dg.zRange,this.valueRange=dg.valueRange,this.xStep=dg.xStep,this.yStep=dg.yStep,this.zStep=dg.zStep,this.xBarWidth=dg.xBarWidth,this.yBarWidth=dg.yBarWidth,this.colX=dg.colX,this.colY=dg.colY,this.colZ=dg.colZ,this.colValue=dg.colValue,this._setScale()},Graph3d.prototype.getDataPoints=function(data){for(var dataPoints=[],i=0,point;i<data.length;i++){point=new Point3d_1,point.x=data[i][this.colX]||0,point.y=data[i][this.colY]||0,point.z=data[i][this.colZ]||0,point.data=data[i],this.colValue!==void 0&&(point.value=data[i][this.colValue]||0);var obj={};obj.point=point,obj.bottom=new Point3d_1(point.x,point.y,this.zRange.min),obj.trans=void 0,obj.screen=void 0,dataPoints.push(obj)}return dataPoints},Graph3d.prototype._getDataPoints=function(data){var dataPoints=[],x,y,i,obj;if(this.style===Graph3d.STYLE.GRID||this.style===Graph3d.STYLE.SURFACE){var dataX=this.dataGroup.getDistinctValues(this.colX,data),dataY=this.dataGroup.getDistinctValues(this.colY,data);dataPoints=this.getDataPoints(data);var dataMatrix=[];for(i=0;i<dataPoints.length;i++){obj=dataPoints[i];var xIndex=dataX.indexOf(obj.point.x),yIndex=dataY.indexOf(obj.point.y);void 0===dataMatrix[xIndex]&&(dataMatrix[xIndex]=[]),dataMatrix[xIndex][yIndex]=obj}for(x=0;x<dataMatrix.length;x++)for(y=0;y<dataMatrix[x].length;y++)dataMatrix[x][y]&&(dataMatrix[x][y].pointRight=x<dataMatrix.length-1?dataMatrix[x+1][y]:void 0,dataMatrix[x][y].pointTop=y<dataMatrix[x].length-1?dataMatrix[x][y+1]:void 0,dataMatrix[x][y].pointCross=x<dataMatrix.length-1&&y<dataMatrix[x].length-1?dataMatrix[x+1][y+1]:void 0)}else if(this._checkValueField(data),dataPoints=this.getDataPoints(data),this.style===Graph3d.STYLE.LINE)for(i=0;i<dataPoints.length;i++)0<i&&(dataPoints[i-1].pointNext=dataPoints[i]);return dataPoints},Graph3d.prototype.create=function(){for(;this.containerElement.hasChildNodes();)this.containerElement.removeChild(this.containerElement.firstChild);this.frame=document.createElement("div"),this.frame.style.position="relative",this.frame.style.overflow="hidden",this.frame.canvas=document.createElement("canvas"),this.frame.canvas.style.position="relative",this.frame.appendChild(this.frame.canvas);{var noCanvas=document.createElement("DIV");noCanvas.style.color="red",noCanvas.style.fontWeight="bold",noCanvas.style.padding="10px",noCanvas.innerHTML="Error: your browser does not support HTML canvas",this.frame.canvas.appendChild(noCanvas)}this.frame.filter=document.createElement("div"),this.frame.filter.style.position="absolute",this.frame.filter.style.bottom="0px",this.frame.filter.style.left="0px",this.frame.filter.style.width="100%",this.frame.appendChild(this.frame.filter);var me=this;util.addEventListener(this.frame.canvas,"mousedown",function(event){me._onMouseDown(event)}),util.addEventListener(this.frame.canvas,"touchstart",function(event){me._onTouchStart(event)}),util.addEventListener(this.frame.canvas,"mousewheel",function(event){me._onWheel(event)}),util.addEventListener(this.frame.canvas,"mousemove",function(event){me._onTooltip(event)}),util.addEventListener(this.frame.canvas,"click",function(event){me._onClick(event)}),this.containerElement.appendChild(this.frame)},Graph3d.prototype._setSize=function(width,height){this.frame.style.width=width,this.frame.style.height=height,this._resizeCanvas()},Graph3d.prototype._resizeCanvas=function(){this.frame.canvas.style.width="100%",this.frame.canvas.style.height="100%",this.frame.canvas.width=this.frame.canvas.clientWidth,this.frame.canvas.height=this.frame.canvas.clientHeight,this.frame.filter.style.width=this.frame.canvas.clientWidth-20+"px"},Graph3d.prototype.animationStart=function(){if(this.animationAutoStart&&this.dataGroup.dataFilter){if(!this.frame.filter||!this.frame.filter.slider)throw new Error("No animation available");this.frame.filter.slider.play()}},Graph3d.prototype.animationStop=function(){this.frame.filter&&this.frame.filter.slider&&this.frame.filter.slider.stop()},Graph3d.prototype._resizeCenter=function(){this.currentXCenter="%"===this.xCenter.charAt(this.xCenter.length-1)?parseFloat(this.xCenter)/100*this.frame.canvas.clientWidth:parseFloat(this.xCenter),this.currentYCenter="%"===this.yCenter.charAt(this.yCenter.length-1)?parseFloat(this.yCenter)/100*(this.frame.canvas.clientHeight-this.frame.filter.clientHeight):parseFloat(this.yCenter)},Graph3d.prototype.getCameraPosition=function(){var pos=this.camera.getArmRotation();return pos.distance=this.camera.getArmLength(),pos},Graph3d.prototype._readData=function(data){this.dataPoints=this.dataGroup.initializeData(this,data,this.style),this._initializeRanges(),this._redrawFilter()},Graph3d.prototype.setData=function(data){void 0===data||null===data||(this._readData(data),this.redraw(),this.animationStart())},Graph3d.prototype.setOptions=function(options){if(void 0!==options){let errorFound=Validator$3.validate(options,allOptions$5);!0===errorFound&&console.log("%cErrors have been found in the supplied options object.",printStyle$2),this.animationStop(),Settings.setOptions(options,this),this.setPointDrawingMethod(),this._setSize(this.width,this.height),this.setData(this.dataGroup.getDataTable()),this.animationStart()}},Graph3d.prototype.setPointDrawingMethod=function(){var method;switch(this.style){case Graph3d.STYLE.BAR:method=Graph3d.prototype._redrawBarGraphPoint;break;case Graph3d.STYLE.BARCOLOR:method=Graph3d.prototype._redrawBarColorGraphPoint;break;case Graph3d.STYLE.BARSIZE:method=Graph3d.prototype._redrawBarSizeGraphPoint;break;case Graph3d.STYLE.DOT:method=Graph3d.prototype._redrawDotGraphPoint;break;case Graph3d.STYLE.DOTLINE:method=Graph3d.prototype._redrawDotLineGraphPoint;break;case Graph3d.STYLE.DOTCOLOR:method=Graph3d.prototype._redrawDotColorGraphPoint;break;case Graph3d.STYLE.DOTSIZE:method=Graph3d.prototype._redrawDotSizeGraphPoint;break;case Graph3d.STYLE.SURFACE:method=Graph3d.prototype._redrawSurfaceGraphPoint;break;case Graph3d.STYLE.GRID:method=Graph3d.prototype._redrawGridGraphPoint;break;case Graph3d.STYLE.LINE:method=Graph3d.prototype._redrawLineGraphPoint;break;default:throw new Error("Can not determine point drawing method for graph style '"+this.style+"'");}this._pointDrawingMethod=method},Graph3d.prototype.redraw=function(){if(this.dataPoints===void 0)throw new Error("Graph data not initialized");this._resizeCanvas(),this._resizeCenter(),this._redrawSlider(),this._redrawClear(),this._redrawAxis(),this._redrawDataGraph(),this._redrawInfo(),this._redrawLegend()},Graph3d.prototype._getContext=function(){var canvas=this.frame.canvas,ctx=canvas.getContext("2d");return ctx.lineJoin="round",ctx.lineCap="round",ctx},Graph3d.prototype._redrawClear=function(){var canvas=this.frame.canvas,ctx=canvas.getContext("2d");ctx.clearRect(0,0,canvas.width,canvas.height)},Graph3d.prototype._dotSize=function(){return this.frame.clientWidth*this.dotSizeRatio},Graph3d.prototype._getLegendWidth=function(){var width;if(this.style===Graph3d.STYLE.DOTSIZE){var dotSize=this._dotSize();width=dotSize*this.dotSizeMaxFraction}else width=this.style===Graph3d.STYLE.BARSIZE?this.xBarWidth:20;return width},Graph3d.prototype._redrawLegend=function(){if(!0===this.showLegend&&this.style!==Graph3d.STYLE.LINE&&this.style!==Graph3d.STYLE.BARSIZE){var isSizeLegend=this.style===Graph3d.STYLE.BARSIZE||this.style===Graph3d.STYLE.DOTSIZE,isValueLegend=this.style===Graph3d.STYLE.DOTSIZE||this.style===Graph3d.STYLE.DOTCOLOR||this.style===Graph3d.STYLE.BARCOLOR,height=_Mathmax(.25*this.frame.clientHeight,100),top=this.margin,width=this._getLegendWidth(),right=this.frame.clientWidth-this.margin,left=right-width,bottom=top+height,ctx=this._getContext();if(ctx.lineWidth=1,ctx.font="14px arial",!1==isSizeLegend){var ymax=height,y;for(y=0;y<ymax;y++){var f=(y-0)/(ymax-0),color=this._hsv2rgb(240*f,1,1);ctx.strokeStyle=color,ctx.beginPath(),ctx.moveTo(left,top+y),ctx.lineTo(right,top+y),ctx.stroke()}ctx.strokeStyle=this.axisColor,ctx.strokeRect(left,top,width,height)}else{var widthMin;if(this.style===Graph3d.STYLE.DOTSIZE)widthMin=width*(this.dotSizeMinFraction/this.dotSizeMaxFraction);else if(this.style===Graph3d.STYLE.BARSIZE);ctx.strokeStyle=this.axisColor,ctx.fillStyle=this.dataColor.fill,ctx.beginPath(),ctx.moveTo(left,top),ctx.lineTo(right,top),ctx.lineTo(left+widthMin,bottom),ctx.lineTo(left,bottom),ctx.closePath(),ctx.fill(),ctx.stroke()}var legendMin=isValueLegend?this.valueRange.min:this.zRange.min,legendMax=isValueLegend?this.valueRange.max:this.zRange.max,step=new StepNumber_1(legendMin,legendMax,(legendMax-legendMin)/5,!0);step.start(!0);for(var from,to;!step.end();)y=bottom-(step.getCurrent()-legendMin)/(legendMax-legendMin)*height,from=new Point2d_1(left-5,y),to=new Point2d_1(left,y),this._line(ctx,from,to),ctx.textAlign="right",ctx.textBaseline="middle",ctx.fillStyle=this.axisColor,ctx.fillText(step.getCurrent(),left-10,y),step.next();ctx.textAlign="right",ctx.textBaseline="top";var label=this.legendLabel;ctx.fillText(label,right,bottom+this.margin)}},Graph3d.prototype._redrawFilter=function(){var dataFilter=this.dataGroup.dataFilter,filter=this.frame.filter;if(filter.innerHTML="",!dataFilter)return void(filter.slider=void 0);var options={visible:this.showAnimationControls},slider=new Slider_1(filter,options);filter.slider=slider,filter.style.padding="10px",slider.setValues(dataFilter.values),slider.setPlayInterval(this.animationInterval);var me=this;slider.setOnChangeCallback(function(){var dataFilter=me.dataGroup.dataFilter,index=slider.getIndex();dataFilter.selectValue(index),me.dataPoints=dataFilter._getDataPoints(),me.redraw()})},Graph3d.prototype._redrawSlider=function(){this.frame.filter.slider!==void 0&&this.frame.filter.slider.redraw()},Graph3d.prototype._redrawInfo=function(){var info=this.dataGroup.getInfo();if(void 0!==info){var ctx=this._getContext();ctx.font="14px arial",ctx.lineStyle="gray",ctx.fillStyle="gray",ctx.textAlign="left",ctx.textBaseline="top";var x=this.margin,y=this.margin;ctx.fillText(info,x,y)}},Graph3d.prototype._line=function(ctx,from,to,strokeStyle){strokeStyle!==void 0&&(ctx.strokeStyle=strokeStyle),ctx.beginPath(),ctx.moveTo(from.x,from.y),ctx.lineTo(to.x,to.y),ctx.stroke()},Graph3d.prototype.drawAxisLabelX=function(ctx,point3d,text,armAngle,yMargin){yMargin===void 0&&(yMargin=0);var point2d=this._convert3Dto2D(point3d);0<_Mathcos(2*armAngle)?(ctx.textAlign="center",ctx.textBaseline="top",point2d.y+=yMargin):0>_Mathsin(2*armAngle)?(ctx.textAlign="right",ctx.textBaseline="middle"):(ctx.textAlign="left",ctx.textBaseline="middle"),ctx.fillStyle=this.axisColor,ctx.fillText(text,point2d.x,point2d.y)},Graph3d.prototype.drawAxisLabelY=function(ctx,point3d,text,armAngle,yMargin){yMargin===void 0&&(yMargin=0);var point2d=this._convert3Dto2D(point3d);0>_Mathcos(2*armAngle)?(ctx.textAlign="center",ctx.textBaseline="top",point2d.y+=yMargin):0<_Mathsin(2*armAngle)?(ctx.textAlign="right",ctx.textBaseline="middle"):(ctx.textAlign="left",ctx.textBaseline="middle"),ctx.fillStyle=this.axisColor,ctx.fillText(text,point2d.x,point2d.y)},Graph3d.prototype.drawAxisLabelZ=function(ctx,point3d,text,offset){offset===void 0&&(offset=0);var point2d=this._convert3Dto2D(point3d);ctx.textAlign="right",ctx.textBaseline="middle",ctx.fillStyle=this.axisColor,ctx.fillText(text,point2d.x-offset,point2d.y)},Graph3d.prototype._line3d=function(ctx,from,to,strokeStyle){var from2d=this._convert3Dto2D(from),to2d=this._convert3Dto2D(to);this._line(ctx,from2d,to2d,strokeStyle)},Graph3d.prototype._redrawAxis=function(){var ctx=this._getContext(),from,to,step,prettyStep,text,xText,yText,zText,offset,xOffset,yOffset;ctx.font=24/this.camera.getArmLength()+"px arial";var gridLenX=.025/this.scale.x,gridLenY=.025/this.scale.y,textMargin=5/this.camera.getArmLength(),armAngle=this.camera.getArmRotation().horizontal,armVector=new Point2d_1(_Mathcos(armAngle),_Mathsin(armAngle)),xRange=this.xRange,yRange=this.yRange,zRange=this.zRange,point3d;for(ctx.lineWidth=1,prettyStep=void 0===this.defaultXStep,step=new StepNumber_1(xRange.min,xRange.max,this.xStep,prettyStep),step.start(!0);!step.end();){var x=step.getCurrent();if(this.showGrid?(from=new Point3d_1(x,yRange.min,zRange.min),to=new Point3d_1(x,yRange.max,zRange.min),this._line3d(ctx,from,to,this.gridColor)):this.showXAxis&&(from=new Point3d_1(x,yRange.min,zRange.min),to=new Point3d_1(x,yRange.min+gridLenX,zRange.min),this._line3d(ctx,from,to,this.axisColor),from=new Point3d_1(x,yRange.max,zRange.min),to=new Point3d_1(x,yRange.max-gridLenX,zRange.min),this._line3d(ctx,from,to,this.axisColor)),this.showXAxis){yText=0<armVector.x?yRange.min:yRange.max,point3d=new Point3d_1(x,yText,zRange.min);let msg="  "+this.xValueLabel(x)+"  ";this.drawAxisLabelX(ctx,point3d,msg,armAngle,textMargin)}step.next()}for(ctx.lineWidth=1,prettyStep=void 0===this.defaultYStep,step=new StepNumber_1(yRange.min,yRange.max,this.yStep,prettyStep),step.start(!0);!step.end();){var y=step.getCurrent();if(this.showGrid?(from=new Point3d_1(xRange.min,y,zRange.min),to=new Point3d_1(xRange.max,y,zRange.min),this._line3d(ctx,from,to,this.gridColor)):this.showYAxis&&(from=new Point3d_1(xRange.min,y,zRange.min),to=new Point3d_1(xRange.min+gridLenY,y,zRange.min),this._line3d(ctx,from,to,this.axisColor),from=new Point3d_1(xRange.max,y,zRange.min),to=new Point3d_1(xRange.max-gridLenY,y,zRange.min),this._line3d(ctx,from,to,this.axisColor)),this.showYAxis){xText=0<armVector.y?xRange.min:xRange.max,point3d=new Point3d_1(xText,y,zRange.min);let msg="  "+this.yValueLabel(y)+"  ";this.drawAxisLabelY(ctx,point3d,msg,armAngle,textMargin)}step.next()}if(this.showZAxis){for(ctx.lineWidth=1,prettyStep=void 0===this.defaultZStep,step=new StepNumber_1(zRange.min,zRange.max,this.zStep,prettyStep),step.start(!0),xText=0<armVector.x?xRange.min:xRange.max,yText=0>armVector.y?yRange.min:yRange.max;!step.end();){var z=step.getCurrent(),from3d=new Point3d_1(xText,yText,z),from2d=this._convert3Dto2D(from3d);to=new Point2d_1(from2d.x-textMargin,from2d.y),this._line(ctx,from2d,to,this.axisColor);let msg=this.zValueLabel(z)+" ";this.drawAxisLabelZ(ctx,from3d,msg,5),step.next()}ctx.lineWidth=1,from=new Point3d_1(xText,yText,zRange.min),to=new Point3d_1(xText,yText,zRange.max),this._line3d(ctx,from,to,this.axisColor)}if(this.showXAxis){var xMin2d,xMax2d;ctx.lineWidth=1,xMin2d=new Point3d_1(xRange.min,yRange.min,zRange.min),xMax2d=new Point3d_1(xRange.max,yRange.min,zRange.min),this._line3d(ctx,xMin2d,xMax2d,this.axisColor),xMin2d=new Point3d_1(xRange.min,yRange.max,zRange.min),xMax2d=new Point3d_1(xRange.max,yRange.max,zRange.min),this._line3d(ctx,xMin2d,xMax2d,this.axisColor)}this.showYAxis&&(ctx.lineWidth=1,from=new Point3d_1(xRange.min,yRange.min,zRange.min),to=new Point3d_1(xRange.min,yRange.max,zRange.min),this._line3d(ctx,from,to,this.axisColor),from=new Point3d_1(xRange.max,yRange.min,zRange.min),to=new Point3d_1(xRange.max,yRange.max,zRange.min),this._line3d(ctx,from,to,this.axisColor));var xLabel=this.xLabel;0<xLabel.length&&this.showXAxis&&(yOffset=.1/this.scale.y,xText=(xRange.max+3*xRange.min)/4,yText=0<armVector.x?yRange.min-yOffset:yRange.max+yOffset,text=new Point3d_1(xText,yText,zRange.min),this.drawAxisLabelX(ctx,text,xLabel,armAngle));var yLabel=this.yLabel;0<yLabel.length&&this.showYAxis&&(xOffset=.1/this.scale.x,xText=0<armVector.y?xRange.min-xOffset:xRange.max+xOffset,yText=(yRange.max+3*yRange.min)/4,text=new Point3d_1(xText,yText,zRange.min),this.drawAxisLabelY(ctx,text,yLabel,armAngle));var zLabel=this.zLabel;0<zLabel.length&&this.showZAxis&&(offset=30,xText=0<armVector.x?xRange.min:xRange.max,yText=0>armVector.y?yRange.min:yRange.max,zText=(zRange.max+3*zRange.min)/4,text=new Point3d_1(xText,yText,zText),this.drawAxisLabelZ(ctx,text,zLabel,offset))},Graph3d.prototype._hsv2rgb=function(H,S,V){var R,G,B,C,Hi,X;switch(C=V*S,Hi=_Mathfloor(H/60),X=C*(1-_Mathabs(H/60%2-1)),Hi){case 0:R=C,G=X,B=0;break;case 1:R=X,G=C,B=0;break;case 2:R=0,G=C,B=X;break;case 3:R=0,G=X,B=C;break;case 4:R=X,G=0,B=C;break;case 5:R=C,G=0,B=X;break;default:R=0,G=0,B=0;}return"RGB("+parseInt(255*R)+","+parseInt(255*G)+","+parseInt(255*B)+")"},Graph3d.prototype._getStrokeWidth=function(point){return void 0===point?this.dataColor.strokeWidth:this.showPerspective?1/-point.trans.z*this.dataColor.strokeWidth:-(this.eye.z/this.camera.getArmLength())*this.dataColor.strokeWidth},Graph3d.prototype._redrawBar=function(ctx,point,xWidth,yWidth,color,borderColor){var me=this,point3d=point.point,zMin=this.zRange.min,top=[{point:new Point3d_1(point3d.x-xWidth,point3d.y-yWidth,point3d.z)},{point:new Point3d_1(point3d.x+xWidth,point3d.y-yWidth,point3d.z)},{point:new Point3d_1(point3d.x+xWidth,point3d.y+yWidth,point3d.z)},{point:new Point3d_1(point3d.x-xWidth,point3d.y+yWidth,point3d.z)}],bottom=[{point:new Point3d_1(point3d.x-xWidth,point3d.y-yWidth,zMin)},{point:new Point3d_1(point3d.x+xWidth,point3d.y-yWidth,zMin)},{point:new Point3d_1(point3d.x+xWidth,point3d.y+yWidth,zMin)},{point:new Point3d_1(point3d.x-xWidth,point3d.y+yWidth,zMin)}],surface;top.forEach(function(obj){obj.screen=me._convert3Dto2D(obj.point)}),bottom.forEach(function(obj){obj.screen=me._convert3Dto2D(obj.point)});var surfaces=[{corners:top,center:Point3d_1.avg(bottom[0].point,bottom[2].point)},{corners:[top[0],top[1],bottom[1],bottom[0]],center:Point3d_1.avg(bottom[1].point,bottom[0].point)},{corners:[top[1],top[2],bottom[2],bottom[1]],center:Point3d_1.avg(bottom[2].point,bottom[1].point)},{corners:[top[2],top[3],bottom[3],bottom[2]],center:Point3d_1.avg(bottom[3].point,bottom[2].point)},{corners:[top[3],top[0],bottom[0],bottom[3]],center:Point3d_1.avg(bottom[0].point,bottom[3].point)}];point.surfaces=surfaces;for(let j=0;j<surfaces.length;j++){surface=surfaces[j];var transCenter=this._convertPointToTranslation(surface.center);surface.dist=this.showPerspective?transCenter.length():-transCenter.z}surfaces.sort(function(a,b){var diff=b.dist-a.dist;return diff?diff:a.corners===top?1:b.corners===top?-1:0}),ctx.lineWidth=this._getStrokeWidth(point),ctx.strokeStyle=borderColor,ctx.fillStyle=color;for(let j=2;j<surfaces.length;j++)surface=surfaces[j],this._polygon(ctx,surface.corners)},Graph3d.prototype._polygon=function(ctx,points,fillStyle,strokeStyle){if(!(2>points.length)){void 0!==fillStyle&&(ctx.fillStyle=fillStyle),void 0!==strokeStyle&&(ctx.strokeStyle=strokeStyle),ctx.beginPath(),ctx.moveTo(points[0].screen.x,points[0].screen.y);for(var i=1,point;i<points.length;++i)point=points[i],ctx.lineTo(point.screen.x,point.screen.y);ctx.closePath(),ctx.fill(),ctx.stroke()}},Graph3d.prototype._drawCircle=function(ctx,point,color,borderColor,size){var radius=this._calcRadius(point,size);ctx.lineWidth=this._getStrokeWidth(point),ctx.strokeStyle=borderColor,ctx.fillStyle=color,ctx.beginPath(),ctx.arc(point.screen.x,point.screen.y,radius,0,2*_MathPI,!0),ctx.fill(),ctx.stroke()},Graph3d.prototype._getColorsRegular=function(point){var hue=240*(1-(point.point.z-this.zRange.min)*this.scale.z/this.verticalRatio),color=this._hsv2rgb(hue,1,1),borderColor=this._hsv2rgb(hue,1,.8);return{fill:color,border:borderColor}},Graph3d.prototype._getColorsColor=function(point){var color,borderColor;if("string"==typeof point.point.value)color=point.point.value,borderColor=point.point.value;else{var hue=240*(1-(point.point.value-this.valueRange.min)*this.scale.value);color=this._hsv2rgb(hue,1,1),borderColor=this._hsv2rgb(hue,1,.8)}return{fill:color,border:borderColor}},Graph3d.prototype._getColorsSize=function(){return{fill:this.dataColor.fill,border:this.dataColor.stroke}},Graph3d.prototype._calcRadius=function(point,size){void 0===size&&(size=this._dotSize());var radius;return radius=this.showPerspective?size/-point.trans.z:size*-(this.eye.z/this.camera.getArmLength()),0>radius&&(radius=0),radius},Graph3d.prototype._redrawBarGraphPoint=function(ctx,point){var xWidth=this.xBarWidth/2,yWidth=this.yBarWidth/2,colors=this._getColorsRegular(point);this._redrawBar(ctx,point,xWidth,yWidth,colors.fill,colors.border)},Graph3d.prototype._redrawBarColorGraphPoint=function(ctx,point){var xWidth=this.xBarWidth/2,yWidth=this.yBarWidth/2,colors=this._getColorsColor(point);this._redrawBar(ctx,point,xWidth,yWidth,colors.fill,colors.border)},Graph3d.prototype._redrawBarSizeGraphPoint=function(ctx,point){var fraction=(point.point.value-this.valueRange.min)/this.valueRange.range(),xWidth=this.xBarWidth/2*(.8*fraction+.2),yWidth=this.yBarWidth/2*(.8*fraction+.2),colors=this._getColorsSize();this._redrawBar(ctx,point,xWidth,yWidth,colors.fill,colors.border)},Graph3d.prototype._redrawDotGraphPoint=function(ctx,point){var colors=this._getColorsRegular(point);this._drawCircle(ctx,point,colors.fill,colors.border)},Graph3d.prototype._redrawDotLineGraphPoint=function(ctx,point){var from=this._convert3Dto2D(point.bottom);ctx.lineWidth=1,this._line(ctx,from,point.screen,this.gridColor),this._redrawDotGraphPoint(ctx,point)},Graph3d.prototype._redrawDotColorGraphPoint=function(ctx,point){var colors=this._getColorsColor(point);this._drawCircle(ctx,point,colors.fill,colors.border)},Graph3d.prototype._redrawDotSizeGraphPoint=function(ctx,point){var dotSize=this._dotSize(),fraction=(point.point.value-this.valueRange.min)/this.valueRange.range(),sizeMin=dotSize*this.dotSizeMinFraction,sizeRange=dotSize*this.dotSizeMaxFraction-sizeMin,colors=this._getColorsSize();this._drawCircle(ctx,point,colors.fill,colors.border,sizeMin+sizeRange*fraction)},Graph3d.prototype._redrawSurfaceGraphPoint=function(ctx,point){var right=point.pointRight,top=point.pointTop,cross=point.pointCross;if(void 0!==point&&void 0!==right&&void 0!==top&&void 0!==cross){var topSideVisible=!0,fillStyle,strokeStyle;if(this.showGrayBottom||this.showShadow){var aDiff=Point3d_1.subtract(cross.trans,point.trans),bDiff=Point3d_1.subtract(top.trans,right.trans),crossproduct=Point3d_1.crossProduct(aDiff,bDiff),len=crossproduct.length();topSideVisible=0<crossproduct.z}if(topSideVisible){var zAvg=(point.point.z+right.point.z+top.point.z+cross.point.z)/4,h=240*(1-(zAvg-this.zRange.min)*this.scale.z/this.verticalRatio),v;this.showShadow?(v=_Mathmin(1+crossproduct.x/len/2,1),fillStyle=this._hsv2rgb(h,1,v),strokeStyle=fillStyle):(v=1,fillStyle=this._hsv2rgb(h,1,v),strokeStyle=this.axisColor)}else fillStyle="gray",strokeStyle=this.axisColor;ctx.lineWidth=this._getStrokeWidth(point);this._polygon(ctx,[point,right,cross,top],fillStyle,strokeStyle)}},Graph3d.prototype._drawGridLine=function(ctx,from,to){if(void 0!==from&&void 0!==to){var zAvg=(from.point.z+to.point.z)/2,h=240*(1-(zAvg-this.zRange.min)*this.scale.z/this.verticalRatio);ctx.lineWidth=2*this._getStrokeWidth(from),ctx.strokeStyle=this._hsv2rgb(h,1,1),this._line(ctx,from.screen,to.screen)}},Graph3d.prototype._redrawGridGraphPoint=function(ctx,point){this._drawGridLine(ctx,point,point.pointRight),this._drawGridLine(ctx,point,point.pointTop)},Graph3d.prototype._redrawLineGraphPoint=function(ctx,point){void 0===point.pointNext||(ctx.lineWidth=this._getStrokeWidth(point),ctx.strokeStyle=this.dataColor.stroke,this._line(ctx,point.screen,point.pointNext.screen))},Graph3d.prototype._redrawDataGraph=function(){var ctx=this._getContext(),i;if(!(void 0===this.dataPoints||0>=this.dataPoints.length))for(this._calcTranslations(this.dataPoints),i=0;i<this.dataPoints.length;i++){var point=this.dataPoints[i];this._pointDrawingMethod.call(this,ctx,point)}},Graph3d.prototype._storeMousePosition=function(event){this.startMouseX=getMouseX(event),this.startMouseY=getMouseY(event),this._startCameraOffset=this.camera.getOffset()},Graph3d.prototype._onMouseDown=function(event){if(event=event||window.event,this.leftButtonDown&&this._onMouseUp(event),this.leftButtonDown=event.which?1===event.which:1===event.button,this.leftButtonDown||this.touchDown){this._storeMousePosition(event),this.startStart=new Date(this.start),this.startEnd=new Date(this.end),this.startArmRotation=this.camera.getArmRotation(),this.frame.style.cursor="move";var me=this;this.onmousemove=function(event){me._onMouseMove(event)},this.onmouseup=function(event){me._onMouseUp(event)},util.addEventListener(document,"mousemove",me.onmousemove),util.addEventListener(document,"mouseup",me.onmouseup),util.preventDefault(event)}},Graph3d.prototype._onMouseMove=function(event){this.moving=!0,event=event||window.event;var diffX=parseFloat(getMouseX(event))-this.startMouseX,diffY=parseFloat(getMouseY(event))-this.startMouseY;if(event&&!0===event.ctrlKey){var scaleX=.5*this.frame.clientWidth,scaleY=.5*this.frame.clientHeight,offXNew=(this._startCameraOffset.x||0)-.8*(diffX/scaleX*this.camera.armLength),offYNew=(this._startCameraOffset.y||0)+.8*(diffY/scaleY*this.camera.armLength);this.camera.setOffset(offXNew,offYNew),this._storeMousePosition(event)}else{var horizontalNew=this.startArmRotation.horizontal+diffX/200,verticalNew=this.startArmRotation.vertical+diffY/200,snapValue=_Mathsin(2*(4/360)*_MathPI);_Mathabs(_Mathsin(horizontalNew))<snapValue&&(horizontalNew=_Mathround(horizontalNew/_MathPI)*_MathPI-.001),_Mathabs(_Mathcos(horizontalNew))<snapValue&&(horizontalNew=(_Mathround(horizontalNew/_MathPI-.5)+.5)*_MathPI-.001),_Mathabs(_Mathsin(verticalNew))<snapValue&&(verticalNew=_Mathround(verticalNew/_MathPI)*_MathPI),_Mathabs(_Mathcos(verticalNew))<snapValue&&(verticalNew=(_Mathround(verticalNew/_MathPI-.5)+.5)*_MathPI),this.camera.setArmRotation(horizontalNew,verticalNew)}this.redraw();var parameters=this.getCameraPosition();this.emit("cameraPositionChange",parameters),util.preventDefault(event)},Graph3d.prototype._onMouseUp=function(event){this.frame.style.cursor="auto",this.leftButtonDown=!1,util.removeEventListener(document,"mousemove",this.onmousemove),util.removeEventListener(document,"mouseup",this.onmouseup),util.preventDefault(event)},Graph3d.prototype._onClick=function(event){if(this.onclick_callback){if(!this.moving){var boundingRect=this.frame.getBoundingClientRect(),mouseX=getMouseX(event)-boundingRect.left,mouseY=getMouseY(event)-boundingRect.top,dataPoint=this._dataPointFromXY(mouseX,mouseY);dataPoint&&this.onclick_callback(dataPoint.point.data)}else this.moving=!1;util.preventDefault(event)}},Graph3d.prototype._onTooltip=function(event){var boundingRect=this.frame.getBoundingClientRect(),mouseX=getMouseX(event)-boundingRect.left,mouseY=getMouseY(event)-boundingRect.top;if(this.showTooltip){if(this.tooltipTimeout&&clearTimeout(this.tooltipTimeout),this.leftButtonDown)return void this._hideTooltip();if(this.tooltip&&this.tooltip.dataPoint){var dataPoint=this._dataPointFromXY(mouseX,mouseY);dataPoint!==this.tooltip.dataPoint&&(dataPoint?this._showTooltip(dataPoint):this._hideTooltip())}else{var me=this;this.tooltipTimeout=setTimeout(function(){me.tooltipTimeout=null;var dataPoint=me._dataPointFromXY(mouseX,mouseY);dataPoint&&me._showTooltip(dataPoint)},300)}}},Graph3d.prototype._onTouchStart=function(event){this.touchDown=!0;var me=this;this.ontouchmove=function(event){me._onTouchMove(event)},this.ontouchend=function(event){me._onTouchEnd(event)},util.addEventListener(document,"touchmove",me.ontouchmove),util.addEventListener(document,"touchend",me.ontouchend),this._onMouseDown(event)},Graph3d.prototype._onTouchMove=function(event){this._onMouseMove(event)},Graph3d.prototype._onTouchEnd=function(event){this.touchDown=!1,util.removeEventListener(document,"touchmove",this.ontouchmove),util.removeEventListener(document,"touchend",this.ontouchend),this._onMouseUp(event)},Graph3d.prototype._onWheel=function(event){if(event||(event=window.event),this.zoomable&&(!this.ctrlToZoom||event.ctrlKey)){var delta=0;if(event.wheelDelta?delta=event.wheelDelta/120:event.detail&&(delta=-event.detail/3),delta){var oldLength=this.camera.getArmLength(),newLength=oldLength*(1-delta/10);this.camera.setArmLength(newLength),this.redraw(),this._hideTooltip()}var parameters=this.getCameraPosition();this.emit("cameraPositionChange",parameters),util.preventDefault(event)}},Graph3d.prototype._insideTriangle=function(point,triangle){function sign(x){return 0<x?1:0>x?-1:0}var a=triangle[0],b=triangle[1],c=triangle[2],as=sign((b.x-a.x)*(point.y-a.y)-(b.y-a.y)*(point.x-a.x)),bs=sign((c.x-b.x)*(point.y-b.y)-(c.y-b.y)*(point.x-b.x)),cs=sign((a.x-c.x)*(point.y-c.y)-(a.y-c.y)*(point.x-c.x));return(0==as||0==bs||as==bs)&&(0==bs||0==cs||bs==cs)&&(0==as||0==cs||as==cs)},Graph3d.prototype._dataPointFromXY=function(x,y){var dataPoint=null,closestDataPoint=null,closestDist=null,center=new Point2d_1(x,y),i;if(this.style===Graph3d.STYLE.BAR||this.style===Graph3d.STYLE.BARCOLOR||this.style===Graph3d.STYLE.BARSIZE)for(i=this.dataPoints.length-1;0<=i;i--){dataPoint=this.dataPoints[i];var surfaces=dataPoint.surfaces;if(surfaces)for(var s=surfaces.length-1;0<=s;s--){var surface=surfaces[s],corners=surface.corners,triangle1=[corners[0].screen,corners[1].screen,corners[2].screen],triangle2=[corners[2].screen,corners[3].screen,corners[0].screen];if(this._insideTriangle(center,triangle1)||this._insideTriangle(center,triangle2))return dataPoint}}else for(i=0;i<this.dataPoints.length;i++){dataPoint=this.dataPoints[i];var point=dataPoint.screen;if(point){var distX=_Mathabs(x-point.x),distY=_Mathabs(y-point.y),dist=_Mathsqrt(distX*distX+distY*distY);(null===closestDist||dist<closestDist)&&100>dist&&(closestDist=dist,closestDataPoint=dataPoint)}}return closestDataPoint},Graph3d.prototype.hasBars=function(style){return style==Graph3d.STYLE.BAR||style==Graph3d.STYLE.BARCOLOR||style==Graph3d.STYLE.BARSIZE},Graph3d.prototype._showTooltip=function(dataPoint){var content,line,dot;this.tooltip?(content=this.tooltip.dom.content,line=this.tooltip.dom.line,dot=this.tooltip.dom.dot):(content=document.createElement("div"),Object.assign(content.style,{},this.tooltipStyle.content),content.style.position="absolute",line=document.createElement("div"),Object.assign(line.style,{},this.tooltipStyle.line),line.style.position="absolute",dot=document.createElement("div"),Object.assign(dot.style,{},this.tooltipStyle.dot),dot.style.position="absolute",this.tooltip={dataPoint:null,dom:{content:content,line:line,dot:dot}}),this._hideTooltip(),this.tooltip.dataPoint=dataPoint,content.innerHTML="function"==typeof this.showTooltip?this.showTooltip(dataPoint.point):"<table><tr><td>"+this.xLabel+":</td><td>"+dataPoint.point.x+"</td></tr><tr><td>"+this.yLabel+":</td><td>"+dataPoint.point.y+"</td></tr><tr><td>"+this.zLabel+":</td><td>"+dataPoint.point.z+"</td></tr></table>",content.style.left="0",content.style.top="0",this.frame.appendChild(content),this.frame.appendChild(line),this.frame.appendChild(dot);var contentWidth=content.offsetWidth,contentHeight=content.offsetHeight,lineHeight=line.offsetHeight,dotWidth=dot.offsetWidth,dotHeight=dot.offsetHeight,left=dataPoint.screen.x-contentWidth/2;left=_Mathmin(_Mathmax(left,10),this.frame.clientWidth-10-contentWidth),line.style.left=dataPoint.screen.x+"px",line.style.top=dataPoint.screen.y-lineHeight+"px",content.style.left=left+"px",content.style.top=dataPoint.screen.y-lineHeight-contentHeight+"px",dot.style.left=dataPoint.screen.x-dotWidth/2+"px",dot.style.top=dataPoint.screen.y-dotHeight/2+"px"},Graph3d.prototype._hideTooltip=function(){if(this.tooltip)for(var prop in this.tooltip.dataPoint=null,this.tooltip.dom)if(this.tooltip.dom.hasOwnProperty(prop)){var elem=this.tooltip.dom[prop];elem&&elem.parentNode&&elem.parentNode.removeChild(elem)}},Graph3d.prototype.setCameraPosition=function(pos){Settings.setCameraPosition(pos,this),this.redraw()},Graph3d.prototype.setSize=function(width,height){this._setSize(width,height),this.redraw()};var moment$4="undefined"!=typeof window&&window.moment||moment$2,propagating=createCommonjsModule$2(function(module){(function(factory){module.exports=factory()})(function(){var _firstTarget=null;return function propagating(hammer,options){function split(events){return events.match(/[^ ]+/g)}function propagatedHandler(event){if("hammer.input"!==event.type){if(event.srcEvent._handled||(event.srcEvent._handled={}),event.srcEvent._handled[event.type])return;event.srcEvent._handled[event.type]=!0}var stopped=!1;event.stopPropagation=function(){stopped=!0};var srcStop=event.srcEvent.stopPropagation.bind(event.srcEvent);"function"==typeof srcStop&&(event.srcEvent.stopPropagation=function(){srcStop(),event.stopPropagation()}),event.firstTarget=_firstTarget;for(var elem=_firstTarget,elemHammer;elem&&!stopped;){if(elemHammer=elem.hammer,elemHammer)for(var k=0,_handlers;k<elemHammer.length;k++)if(_handlers=elemHammer[k]._handlers[event.type],_handlers)for(var i=0;i<_handlers.length&&!stopped;i++)_handlers[i](event);elem=elem.parentNode}}var _options=options||{preventDefault:!1};if(hammer.Manager){var Hammer=hammer,PropagatingHammer=function(element,options){var o=Object.create(_options);return options&&Hammer.assign(o,options),propagating(new Hammer(element,o),o)};return Hammer.assign(PropagatingHammer,Hammer),PropagatingHammer.Manager=function(element,options){var o=Object.create(_options);return options&&Hammer.assign(o,options),propagating(new Hammer.Manager(element,o),o)},PropagatingHammer}var wrapper=Object.create(hammer),element=hammer.element;return element.hammer||(element.hammer=[]),element.hammer.push(wrapper),hammer.on("hammer.input",function(event){(!0===_options.preventDefault||_options.preventDefault===event.pointerType)&&event.preventDefault(),event.isFirst&&(_firstTarget=event.target)}),wrapper._handlers={},wrapper.on=function(events,handler){return split(events).forEach(function(event){var _handlers=wrapper._handlers[event];_handlers||(wrapper._handlers[event]=_handlers=[],hammer.on(event,propagatedHandler)),_handlers.push(handler)}),wrapper},wrapper.off=function(events,handler){return split(events).forEach(function(event){var _handlers=wrapper._handlers[event];_handlers&&(_handlers=handler?_handlers.filter(function(h){return h!==handler}):[],0<_handlers.length?wrapper._handlers[event]=_handlers:(hammer.off(event,propagatedHandler),delete wrapper._handlers[event]))}),wrapper},wrapper.emit=function(eventType,event){_firstTarget=event.target,hammer.emit(eventType,event)},wrapper.destroy=function(){var hammers=hammer.element.hammer,idx=hammers.indexOf(wrapper);-1!==idx&&hammers.splice(idx,1),hammers.length||delete hammer.element.hammer,wrapper._handlers={},hammer.destroy()},wrapper}})}),hammer$1=createCommonjsModule$2(function(module){(function(window,document,exportName,undefined$1){function setTimeoutContext(fn,timeout,context){return setTimeout(bindFn(fn,context),timeout)}function invokeArrayArg(arg,fn,context){return!!Array.isArray(arg)&&(each(arg,context[fn],context),!0)}function each(obj,iterator,context){if(obj)if(obj.forEach)obj.forEach(iterator,context);else if(obj.length!==undefined$1)for(i=0;i<obj.length;)iterator.call(context,obj[i],i,obj),i++;else for(var i in obj)obj.hasOwnProperty(i)&&iterator.call(context,obj[i],i,obj)}function deprecate(method,name,message){return function(){var e=new Error("get-stack-trace"),stack=e&&e.stack?e.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",log=window.console&&(window.console.warn||window.console.log);return log&&log.call(window.console,"DEPRECATED METHOD: "+name+"\n"+message+" AT \n",stack),method.apply(this,arguments)}}function inherit(child,base,properties){var baseP=base.prototype,childP;childP=child.prototype=Object.create(baseP),childP.constructor=child,childP._super=baseP,properties&&assign(childP,properties)}function bindFn(fn,context){return function(){return fn.apply(context,arguments)}}function boolOrFn(val,args){return"function"==typeof val?val.apply(args?args[0]||undefined$1:undefined$1,args):val}function ifUndefined(val1,val2){return val1===undefined$1?val2:val1}function addEventListeners(target,types,handler){each(splitStr(types),function(type){target.addEventListener(type,handler,!1)})}function removeEventListeners(target,types,handler){each(splitStr(types),function(type){target.removeEventListener(type,handler,!1)})}function hasParent(node,parent){for(;node;){if(node==parent)return!0;node=node.parentNode}return!1}function inStr(str,find){return-1<str.indexOf(find)}function splitStr(str){return str.trim().split(/\s+/g)}function inArray(src,find,findByKey){if(src.indexOf&&!findByKey)return src.indexOf(find);for(var i=0;i<src.length;){if(findByKey&&src[i][findByKey]==find||!findByKey&&src[i]===find)return i;i++}return-1}function toArray(obj){return Array.prototype.slice.call(obj,0)}function uniqueArray(src,key,sort){for(var results=[],values=[],i=0,val;i<src.length;)val=key?src[i][key]:src[i],0>inArray(values,val)&&results.push(src[i]),values[i]=val,i++;return sort&&(key?results=results.sort(function(a,b){return a[key]>b[key]}):results=results.sort()),results}function prefixed(obj,property){for(var camelProp=property[0].toUpperCase()+property.slice(1),i=0,prefix,prop;i<VENDOR_PREFIXES.length;){if(prefix=VENDOR_PREFIXES[i],prop=prefix?prefix+camelProp:property,prop in obj)return prop;i++}return undefined$1}function uniqueId(){return _uniqueId++}function getWindowForElement(element){var doc=element.ownerDocument||element;return doc.defaultView||doc.parentWindow||window}function Input(manager,callback){var self=this;this.manager=manager,this.callback=callback,this.element=manager.element,this.target=manager.options.inputTarget,this.domHandler=function(ev){boolOrFn(manager.options.enable,[manager])&&self.handler(ev)},this.init()}function createInputInstance(manager){var inputClass=manager.options.inputClass,Type;return Type=inputClass?inputClass:SUPPORT_POINTER_EVENTS?PointerEventInput:SUPPORT_ONLY_TOUCH?TouchInput:SUPPORT_TOUCH?TouchMouseInput:MouseInput,new Type(manager,inputHandler)}function inputHandler(manager,eventType,input){var pointersLen=input.pointers.length,changedPointersLen=input.changedPointers.length,isFirst=eventType&1&&0==pointersLen-changedPointersLen;input.isFirst=!!isFirst,input.isFinal=!!(eventType&12&&0==pointersLen-changedPointersLen),isFirst&&(manager.session={}),input.eventType=eventType,computeInputData(manager,input),manager.emit("hammer.input",input),manager.recognize(input),manager.session.prevInput=input}function computeInputData(manager,input){var session=manager.session,pointers=input.pointers,pointersLength=pointers.length;session.firstInput||(session.firstInput=simpleCloneInputData(input)),1<pointersLength&&!session.firstMultiple?session.firstMultiple=simpleCloneInputData(input):1===pointersLength&&(session.firstMultiple=!1);var firstInput=session.firstInput,firstMultiple=session.firstMultiple,offsetCenter=firstMultiple?firstMultiple.center:firstInput.center,center=input.center=getCenter(pointers);input.timeStamp=now(),input.deltaTime=input.timeStamp-firstInput.timeStamp,input.angle=getAngle(offsetCenter,center),input.distance=getDistance(offsetCenter,center),computeDeltaXY(session,input),input.offsetDirection=getDirection(input.deltaX,input.deltaY);var overallVelocity=getVelocity(input.deltaTime,input.deltaX,input.deltaY);input.overallVelocityX=overallVelocity.x,input.overallVelocityY=overallVelocity.y,input.overallVelocity=abs(overallVelocity.x)>abs(overallVelocity.y)?overallVelocity.x:overallVelocity.y,input.scale=firstMultiple?getScale(firstMultiple.pointers,pointers):1,input.rotation=firstMultiple?getRotation(firstMultiple.pointers,pointers):0,input.maxPointers=session.prevInput?input.pointers.length>session.prevInput.maxPointers?input.pointers.length:session.prevInput.maxPointers:input.pointers.length,computeIntervalInputData(session,input);var target=manager.element;hasParent(input.srcEvent.target,target)&&(target=input.srcEvent.target),input.target=target}function computeDeltaXY(session,input){var center=input.center,offset=session.offsetDelta||{},prevDelta=session.prevDelta||{},prevInput=session.prevInput||{};(input.eventType===1||prevInput.eventType===4)&&(prevDelta=session.prevDelta={x:prevInput.deltaX||0,y:prevInput.deltaY||0},offset=session.offsetDelta={x:center.x,y:center.y}),input.deltaX=prevDelta.x+(center.x-offset.x),input.deltaY=prevDelta.y+(center.y-offset.y)}function computeIntervalInputData(session,input){var last=session.lastInterval||input,deltaTime=input.timeStamp-last.timeStamp,velocity,velocityX,velocityY,direction;if(input.eventType!=8&&(deltaTime>25||last.velocity===undefined$1)){var deltaX=input.deltaX-last.deltaX,deltaY=input.deltaY-last.deltaY,v=getVelocity(deltaTime,deltaX,deltaY);velocityX=v.x,velocityY=v.y,velocity=abs(v.x)>abs(v.y)?v.x:v.y,direction=getDirection(deltaX,deltaY),session.lastInterval=input}else velocity=last.velocity,velocityX=last.velocityX,velocityY=last.velocityY,direction=last.direction;input.velocity=velocity,input.velocityX=velocityX,input.velocityY=velocityY,input.direction=direction}function simpleCloneInputData(input){for(var pointers=[],i=0;i<input.pointers.length;)pointers[i]={clientX:round(input.pointers[i].clientX),clientY:round(input.pointers[i].clientY)},i++;return{timeStamp:now(),pointers:pointers,center:getCenter(pointers),deltaX:input.deltaX,deltaY:input.deltaY}}function getCenter(pointers){var pointersLength=pointers.length;if(1===pointersLength)return{x:round(pointers[0].clientX),y:round(pointers[0].clientY)};for(var x=0,y=0,i=0;i<pointersLength;)x+=pointers[i].clientX,y+=pointers[i].clientY,i++;return{x:round(x/pointersLength),y:round(y/pointersLength)}}function getVelocity(deltaTime,x,y){return{x:x/deltaTime||0,y:y/deltaTime||0}}function getDirection(x,y){return x===y?1:abs(x)>=abs(y)?0>x?2:4:0>y?8:16}function getDistance(p1,p2,props){props||(props=PROPS_XY);var x=p2[props[0]]-p1[props[0]],y=p2[props[1]]-p1[props[1]];return _Mathsqrt(x*x+y*y)}function getAngle(p1,p2,props){props||(props=PROPS_XY);var x=p2[props[0]]-p1[props[0]],y=p2[props[1]]-p1[props[1]];return 180*_Mathatan(y,x)/_MathPI}function getRotation(start,end){return getAngle(end[1],end[0],PROPS_CLIENT_XY)+getAngle(start[1],start[0],PROPS_CLIENT_XY)}function getScale(start,end){return getDistance(end[0],end[1],PROPS_CLIENT_XY)/getDistance(start[0],start[1],PROPS_CLIENT_XY)}function MouseInput(){this.evEl="mousedown",this.evWin="mousemove mouseup",this.pressed=!1,Input.apply(this,arguments)}function PointerEventInput(){this.evEl=POINTER_ELEMENT_EVENTS,this.evWin=POINTER_WINDOW_EVENTS,Input.apply(this,arguments),this.store=this.manager.session.pointerEvents=[]}function SingleTouchInput(){this.evTarget="touchstart",this.evWin="touchstart touchmove touchend touchcancel",this.started=!1,Input.apply(this,arguments)}function normalizeSingleTouches(ev,type){var all=toArray(ev.touches),changed=toArray(ev.changedTouches);return 12&type&&(all=uniqueArray(all.concat(changed),"identifier",!0)),[all,changed]}function TouchInput(){this.evTarget="touchstart touchmove touchend touchcancel",this.targetIds={},Input.apply(this,arguments)}function getTouches(ev,type){var allTouches=toArray(ev.touches),targetIds=this.targetIds;if(3&type&&1===allTouches.length)return targetIds[allTouches[0].identifier]=!0,[allTouches,allTouches];var changedTouches=toArray(ev.changedTouches),changedTargetTouches=[],target=this.target,i,targetTouches;if(targetTouches=allTouches.filter(function(touch){return hasParent(touch.target,target)}),1===type)for(i=0;i<targetTouches.length;)targetIds[targetTouches[i].identifier]=!0,i++;for(i=0;i<changedTouches.length;)targetIds[changedTouches[i].identifier]&&changedTargetTouches.push(changedTouches[i]),12&type&&delete targetIds[changedTouches[i].identifier],i++;return changedTargetTouches.length?[uniqueArray(targetTouches.concat(changedTargetTouches),"identifier",!0),changedTargetTouches]:void 0}function TouchMouseInput(){Input.apply(this,arguments);var handler=bindFn(this.handler,this);this.touch=new TouchInput(this.manager,handler),this.mouse=new MouseInput(this.manager,handler),this.primaryTouch=null,this.lastTouches=[]}function recordTouches(eventType,eventData){eventType&1?(this.primaryTouch=eventData.changedPointers[0].identifier,setLastTouch.call(this,eventData)):eventType&12&&setLastTouch.call(this,eventData)}function setLastTouch(eventData){var touch=eventData.changedPointers[0];if(touch.identifier===this.primaryTouch){var lastTouch={x:touch.clientX,y:touch.clientY};this.lastTouches.push(lastTouch);var lts=this.lastTouches,removeLastTouch=function(){var i=lts.indexOf(lastTouch);-1<i&&lts.splice(i,1)};setTimeout(removeLastTouch,2500)}}function isSyntheticEvent(eventData){for(var x=eventData.srcEvent.clientX,y=eventData.srcEvent.clientY,i=0;i<this.lastTouches.length;i++){var t=this.lastTouches[i],dx=_Mathabs(x-t.x),dy=_Mathabs(y-t.y);if(dx<=25&&dy<=25)return!0}return!1}function TouchAction(manager,value){this.manager=manager,this.set(value)}function cleanTouchActions(actions){if(inStr(actions,"none"))return"none";var hasPanX=inStr(actions,"pan-x"),hasPanY=inStr(actions,"pan-y");return hasPanX&&hasPanY?"none":hasPanX||hasPanY?hasPanX?"pan-x":"pan-y":inStr(actions,"manipulation")?"manipulation":"auto"}function Recognizer(options){this.options=assign({},this.defaults,options||{}),this.id=uniqueId(),this.manager=null,this.options.enable=ifUndefined(this.options.enable,!0),this.state=1,this.simultaneous={},this.requireFail=[]}function stateStr(state){if(state&16)return"cancel";return 8&state?"end":4&state?"move":2&state?"start":""}function directionStr(direction){if(direction==16)return"down";return 8==direction?"up":2==direction?"left":4==direction?"right":""}function getRecognizerByNameIfManager(otherRecognizer,recognizer){var manager=recognizer.manager;return manager?manager.get(otherRecognizer):otherRecognizer}function AttrRecognizer(){Recognizer.apply(this,arguments)}function PanRecognizer(){AttrRecognizer.apply(this,arguments),this.pX=null,this.pY=null}function PinchRecognizer(){AttrRecognizer.apply(this,arguments)}function PressRecognizer(){Recognizer.apply(this,arguments),this._timer=null,this._input=null}function RotateRecognizer(){AttrRecognizer.apply(this,arguments)}function SwipeRecognizer(){AttrRecognizer.apply(this,arguments)}function TapRecognizer(){Recognizer.apply(this,arguments),this.pTime=!1,this.pCenter=!1,this._timer=null,this._input=null,this.count=0}function Hammer(element,options){return options=options||{},options.recognizers=ifUndefined(options.recognizers,Hammer.defaults.preset),new Manager(element,options)}function Manager(element,options){this.options=assign({},Hammer.defaults,options||{}),this.options.inputTarget=this.options.inputTarget||element,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=element,this.input=createInputInstance(this),this.touchAction=new TouchAction(this,this.options.touchAction),toggleCssProps(this,!0),each(this.options.recognizers,function(item){var recognizer=this.add(new item[0](item[1]));item[2]&&recognizer.recognizeWith(item[2]),item[3]&&recognizer.requireFailure(item[3])},this)}function toggleCssProps(manager,add){var element=manager.element;if(element.style){var prop;each(manager.options.cssProps,function(value,name){prop=prefixed(element.style,name),add?(manager.oldCssProps[prop]=element.style[prop],element.style[prop]=value):element.style[prop]=manager.oldCssProps[prop]||""}),add||(manager.oldCssProps={})}}function triggerDomEvent(event,data){var gestureEvent=document.createEvent("Event");gestureEvent.initEvent(event,!0,!0),gestureEvent.gesture=data,data.target.dispatchEvent(gestureEvent)}var VENDOR_PREFIXES=["","webkit","Moz","MS","ms","o"],TEST_ELEMENT=document.createElement("div"),round=_Mathround,abs=_Mathabs,now=Date.now,assign;assign="function"==typeof Object.assign?Object.assign:function(target){if(target===undefined$1||null===target)throw new TypeError("Cannot convert undefined or null to object");for(var output=Object(target),index=1,source;index<arguments.length;index++)if(source=arguments[index],source!==undefined$1&&null!==source)for(var nextKey in source)source.hasOwnProperty(nextKey)&&(output[nextKey]=source[nextKey]);return output};var extend=deprecate(function(dest,src,merge){for(var keys=Object.keys(src),i=0;i<keys.length;)(!merge||merge&&dest[keys[i]]===undefined$1)&&(dest[keys[i]]=src[keys[i]]),i++;return dest},"extend","Use `assign`."),merge=deprecate(function(dest,src){return extend(dest,src,!0)},"merge","Use `assign`."),_uniqueId=1,MOBILE_REGEX=/mobile|tablet|ip(ad|hone|od)|android/i,SUPPORT_TOUCH="ontouchstart"in window,SUPPORT_POINTER_EVENTS=prefixed(window,"PointerEvent")!==undefined$1,SUPPORT_ONLY_TOUCH=SUPPORT_TOUCH&&MOBILE_REGEX.test(navigator.userAgent),INPUT_TYPE_TOUCH="touch",INPUT_TYPE_MOUSE="mouse",INPUT_START=1,INPUT_MOVE=2,INPUT_END=4,INPUT_CANCEL=8,DIRECTION_NONE=1,DIRECTION_LEFT=2,DIRECTION_RIGHT=4,DIRECTION_UP=8,DIRECTION_DOWN=16,DIRECTION_HORIZONTAL=DIRECTION_LEFT|DIRECTION_RIGHT,DIRECTION_VERTICAL=DIRECTION_UP|DIRECTION_DOWN,DIRECTION_ALL=DIRECTION_HORIZONTAL|DIRECTION_VERTICAL,PROPS_XY=["x","y"],PROPS_CLIENT_XY=["clientX","clientY"];Input.prototype={handler:function(){},init:function(){this.evEl&&addEventListeners(this.element,this.evEl,this.domHandler),this.evTarget&&addEventListeners(this.target,this.evTarget,this.domHandler),this.evWin&&addEventListeners(getWindowForElement(this.element),this.evWin,this.domHandler)},destroy:function(){this.evEl&&removeEventListeners(this.element,this.evEl,this.domHandler),this.evTarget&&removeEventListeners(this.target,this.evTarget,this.domHandler),this.evWin&&removeEventListeners(getWindowForElement(this.element),this.evWin,this.domHandler)}};var MOUSE_INPUT_MAP={mousedown:INPUT_START,mousemove:INPUT_MOVE,mouseup:INPUT_END};inherit(MouseInput,Input,{handler:function(ev){var eventType=MOUSE_INPUT_MAP[ev.type];eventType&INPUT_START&&0===ev.button&&(this.pressed=!0),eventType&INPUT_MOVE&&1!==ev.which&&(eventType=INPUT_END);this.pressed&&(eventType&INPUT_END&&(this.pressed=!1),this.callback(this.manager,eventType,{pointers:[ev],changedPointers:[ev],pointerType:INPUT_TYPE_MOUSE,srcEvent:ev}))}});var POINTER_INPUT_MAP={pointerdown:INPUT_START,pointermove:INPUT_MOVE,pointerup:INPUT_END,pointercancel:INPUT_CANCEL,pointerout:INPUT_CANCEL},IE10_POINTER_TYPE_ENUM={2:INPUT_TYPE_TOUCH,3:"pen",4:INPUT_TYPE_MOUSE,5:"kinect"},POINTER_ELEMENT_EVENTS="pointerdown",POINTER_WINDOW_EVENTS="pointermove pointerup pointercancel";window.MSPointerEvent&&!window.PointerEvent&&(POINTER_ELEMENT_EVENTS="MSPointerDown",POINTER_WINDOW_EVENTS="MSPointerMove MSPointerUp MSPointerCancel"),inherit(PointerEventInput,Input,{handler:function(ev){var store=this.store,removePointer=!1,eventTypeNormalized=ev.type.toLowerCase().replace("ms",""),eventType=POINTER_INPUT_MAP[eventTypeNormalized],pointerType=IE10_POINTER_TYPE_ENUM[ev.pointerType]||ev.pointerType,storeIndex=inArray(store,ev.pointerId,"pointerId");eventType&INPUT_START&&(0===ev.button||pointerType==INPUT_TYPE_TOUCH)?0>storeIndex&&(store.push(ev),storeIndex=store.length-1):eventType&(INPUT_END|INPUT_CANCEL)&&(removePointer=!0);0>storeIndex||(store[storeIndex]=ev,this.callback(this.manager,eventType,{pointers:store,changedPointers:[ev],pointerType:pointerType,srcEvent:ev}),removePointer&&store.splice(storeIndex,1))}});var SINGLE_TOUCH_INPUT_MAP={touchstart:INPUT_START,touchmove:INPUT_MOVE,touchend:INPUT_END,touchcancel:INPUT_CANCEL};inherit(SingleTouchInput,Input,{handler:function(ev){var type=SINGLE_TOUCH_INPUT_MAP[ev.type];if(type===INPUT_START&&(this.started=!0),!!this.started){var touches=normalizeSingleTouches.call(this,ev,type);type&(INPUT_END|INPUT_CANCEL)&&0==touches[0].length-touches[1].length&&(this.started=!1),this.callback(this.manager,type,{pointers:touches[0],changedPointers:touches[1],pointerType:INPUT_TYPE_TOUCH,srcEvent:ev})}}});var TOUCH_INPUT_MAP={touchstart:INPUT_START,touchmove:INPUT_MOVE,touchend:INPUT_END,touchcancel:INPUT_CANCEL};inherit(TouchInput,Input,{handler:function(ev){var type=TOUCH_INPUT_MAP[ev.type],touches=getTouches.call(this,ev,type);touches&&this.callback(this.manager,type,{pointers:touches[0],changedPointers:touches[1],pointerType:INPUT_TYPE_TOUCH,srcEvent:ev})}});inherit(TouchMouseInput,Input,{handler:function(manager,inputEvent,inputData){var isTouch=inputData.pointerType==INPUT_TYPE_TOUCH,isMouse=inputData.pointerType==INPUT_TYPE_MOUSE;if(!(isMouse&&inputData.sourceCapabilities&&inputData.sourceCapabilities.firesTouchEvents)){if(isTouch)recordTouches.call(this,inputEvent,inputData);else if(isMouse&&isSyntheticEvent.call(this,inputData))return;this.callback(manager,inputEvent,inputData)}},destroy:function(){this.touch.destroy(),this.mouse.destroy()}});var PREFIXED_TOUCH_ACTION=prefixed(TEST_ELEMENT.style,"touchAction"),NATIVE_TOUCH_ACTION=PREFIXED_TOUCH_ACTION!==undefined$1,TOUCH_ACTION_COMPUTE="compute",TOUCH_ACTION_NONE="none",TOUCH_ACTION_PAN_X="pan-x",TOUCH_ACTION_PAN_Y="pan-y",TOUCH_ACTION_MAP=function(){if(!NATIVE_TOUCH_ACTION)return!1;var touchMap={},cssSupports=window.CSS&&window.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach(function(val){touchMap[val]=!cssSupports||window.CSS.supports("touch-action",val)}),touchMap}();TouchAction.prototype={set:function(value){value==TOUCH_ACTION_COMPUTE&&(value=this.compute()),NATIVE_TOUCH_ACTION&&this.manager.element.style&&TOUCH_ACTION_MAP[value]&&(this.manager.element.style[PREFIXED_TOUCH_ACTION]=value),this.actions=value.toLowerCase().trim()},update:function(){this.set(this.manager.options.touchAction)},compute:function(){var actions=[];return each(this.manager.recognizers,function(recognizer){boolOrFn(recognizer.options.enable,[recognizer])&&(actions=actions.concat(recognizer.getTouchAction()))}),cleanTouchActions(actions.join(" "))},preventDefaults:function(input){var srcEvent=input.srcEvent,direction=input.offsetDirection;if(this.manager.session.prevented)return void srcEvent.preventDefault();var actions=this.actions,hasNone=inStr(actions,TOUCH_ACTION_NONE)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_NONE],hasPanY=inStr(actions,TOUCH_ACTION_PAN_Y)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_PAN_Y],hasPanX=inStr(actions,TOUCH_ACTION_PAN_X)&&!TOUCH_ACTION_MAP[TOUCH_ACTION_PAN_X];if(hasNone){var isTapPointer=1===input.pointers.length,isTapMovement=2>input.distance,isTapTouchTime=250>input.deltaTime;if(isTapPointer&&isTapMovement&&isTapTouchTime)return}return hasPanX&&hasPanY?void 0:hasNone||hasPanY&&direction&DIRECTION_HORIZONTAL||hasPanX&&direction&DIRECTION_VERTICAL?this.preventSrc(srcEvent):void 0},preventSrc:function(srcEvent){this.manager.session.prevented=!0,srcEvent.preventDefault()}};var STATE_BEGAN=2,STATE_CHANGED=4,STATE_ENDED=8,STATE_RECOGNIZED=STATE_ENDED,STATE_CANCELLED=16,STATE_FAILED=32;Recognizer.prototype={defaults:{},set:function(options){return assign(this.options,options),this.manager&&this.manager.touchAction.update(),this},recognizeWith:function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"recognizeWith",this))return this;var simultaneous=this.simultaneous;return otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),simultaneous[otherRecognizer.id]||(simultaneous[otherRecognizer.id]=otherRecognizer,otherRecognizer.recognizeWith(this)),this},dropRecognizeWith:function(otherRecognizer){return invokeArrayArg(otherRecognizer,"dropRecognizeWith",this)?this:(otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),delete this.simultaneous[otherRecognizer.id],this)},requireFailure:function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"requireFailure",this))return this;var requireFail=this.requireFail;return otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this),-1===inArray(requireFail,otherRecognizer)&&(requireFail.push(otherRecognizer),otherRecognizer.requireFailure(this)),this},dropRequireFailure:function(otherRecognizer){if(invokeArrayArg(otherRecognizer,"dropRequireFailure",this))return this;otherRecognizer=getRecognizerByNameIfManager(otherRecognizer,this);var index=inArray(this.requireFail,otherRecognizer);return-1<index&&this.requireFail.splice(index,1),this},hasRequireFailures:function(){return 0<this.requireFail.length},canRecognizeWith:function(otherRecognizer){return!!this.simultaneous[otherRecognizer.id]},emit:function(input){function emit(event){self.manager.emit(event,input)}var self=this,state=this.state;state<STATE_ENDED&&emit(self.options.event+stateStr(state)),emit(self.options.event),input.additionalEvent&&emit(input.additionalEvent),state>=STATE_ENDED&&emit(self.options.event+stateStr(state))},tryEmit:function(input){return this.canEmit()?this.emit(input):void(this.state=STATE_FAILED)},canEmit:function(){for(var i=0;i<this.requireFail.length;){if(!(this.requireFail[i].state&(STATE_FAILED|1)))return!1;i++}return!0},recognize:function(inputData){var inputDataClone=assign({},inputData);return boolOrFn(this.options.enable,[this,inputDataClone])?void(this.state&(STATE_RECOGNIZED|STATE_CANCELLED|STATE_FAILED)&&(this.state=1),this.state=this.process(inputDataClone),this.state&(STATE_BEGAN|STATE_CHANGED|STATE_ENDED|STATE_CANCELLED)&&this.tryEmit(inputDataClone)):(this.reset(),void(this.state=STATE_FAILED))},process:function(){},getTouchAction:function(){},reset:function(){}},inherit(AttrRecognizer,Recognizer,{defaults:{pointers:1},attrTest:function(input){var optionPointers=this.options.pointers;return 0===optionPointers||input.pointers.length===optionPointers},process:function(input){var state=this.state,eventType=input.eventType,isRecognized=state&(STATE_BEGAN|STATE_CHANGED),isValid=this.attrTest(input);if(isRecognized&&(eventType&INPUT_CANCEL||!isValid))return state|STATE_CANCELLED;return isRecognized||isValid?eventType&INPUT_END?state|STATE_ENDED:state&STATE_BEGAN?state|STATE_CHANGED:STATE_BEGAN:STATE_FAILED}}),inherit(PanRecognizer,AttrRecognizer,{defaults:{event:"pan",threshold:10,pointers:1,direction:DIRECTION_ALL},getTouchAction:function(){var direction=this.options.direction,actions=[];return direction&DIRECTION_HORIZONTAL&&actions.push(TOUCH_ACTION_PAN_Y),direction&DIRECTION_VERTICAL&&actions.push(TOUCH_ACTION_PAN_X),actions},directionTest:function(input){var options=this.options,hasMoved=!0,distance=input.distance,direction=input.direction,x=input.deltaX,y=input.deltaY;return direction&options.direction||(options.direction&DIRECTION_HORIZONTAL?(direction=0===x?DIRECTION_NONE:0>x?DIRECTION_LEFT:DIRECTION_RIGHT,hasMoved=x!=this.pX,distance=_Mathabs(input.deltaX)):(direction=0===y?DIRECTION_NONE:0>y?DIRECTION_UP:DIRECTION_DOWN,hasMoved=y!=this.pY,distance=_Mathabs(input.deltaY))),input.direction=direction,hasMoved&&distance>options.threshold&&direction&options.direction},attrTest:function(input){return AttrRecognizer.prototype.attrTest.call(this,input)&&(this.state&STATE_BEGAN||!(this.state&STATE_BEGAN)&&this.directionTest(input))},emit:function(input){this.pX=input.deltaX,this.pY=input.deltaY;var direction=directionStr(input.direction);direction&&(input.additionalEvent=this.options.event+direction),this._super.emit.call(this,input)}}),inherit(PinchRecognizer,AttrRecognizer,{defaults:{event:"pinch",threshold:0,pointers:2},getTouchAction:function(){return[TOUCH_ACTION_NONE]},attrTest:function(input){return this._super.attrTest.call(this,input)&&(_Mathabs(input.scale-1)>this.options.threshold||this.state&STATE_BEGAN)},emit:function(input){if(1!==input.scale){var inOut=1>input.scale?"in":"out";input.additionalEvent=this.options.event+inOut}this._super.emit.call(this,input)}}),inherit(PressRecognizer,Recognizer,{defaults:{event:"press",pointers:1,time:251,threshold:9},getTouchAction:function(){return["auto"]},process:function(input){var options=this.options,validPointers=input.pointers.length===options.pointers,validMovement=input.distance<options.threshold,validTime=input.deltaTime>options.time;if(this._input=input,!validMovement||!validPointers||input.eventType&(INPUT_END|INPUT_CANCEL)&&!validTime)this.reset();else if(input.eventType&INPUT_START)this.reset(),this._timer=setTimeoutContext(function(){this.state=STATE_RECOGNIZED,this.tryEmit()},options.time,this);else if(input.eventType&INPUT_END)return STATE_RECOGNIZED;return STATE_FAILED},reset:function(){clearTimeout(this._timer)},emit:function(input){this.state!==STATE_RECOGNIZED||(input&&input.eventType&INPUT_END?this.manager.emit(this.options.event+"up",input):(this._input.timeStamp=now(),this.manager.emit(this.options.event,this._input)))}}),inherit(RotateRecognizer,AttrRecognizer,{defaults:{event:"rotate",threshold:0,pointers:2},getTouchAction:function(){return[TOUCH_ACTION_NONE]},attrTest:function(input){return this._super.attrTest.call(this,input)&&(_Mathabs(input.rotation)>this.options.threshold||this.state&STATE_BEGAN)}}),inherit(SwipeRecognizer,AttrRecognizer,{defaults:{event:"swipe",threshold:10,velocity:.3,direction:DIRECTION_HORIZONTAL|DIRECTION_VERTICAL,pointers:1},getTouchAction:function(){return PanRecognizer.prototype.getTouchAction.call(this)},attrTest:function(input){var direction=this.options.direction,velocity;return direction&(DIRECTION_HORIZONTAL|DIRECTION_VERTICAL)?velocity=input.overallVelocity:direction&DIRECTION_HORIZONTAL?velocity=input.overallVelocityX:direction&DIRECTION_VERTICAL&&(velocity=input.overallVelocityY),this._super.attrTest.call(this,input)&&direction&input.offsetDirection&&input.distance>this.options.threshold&&input.maxPointers==this.options.pointers&&abs(velocity)>this.options.velocity&&input.eventType&INPUT_END},emit:function(input){var direction=directionStr(input.offsetDirection);direction&&this.manager.emit(this.options.event+direction,input),this.manager.emit(this.options.event,input)}}),inherit(TapRecognizer,Recognizer,{defaults:{event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},getTouchAction:function(){return["manipulation"]},process:function(input){var options=this.options,validPointers=input.pointers.length===options.pointers,validMovement=input.distance<options.threshold,validTouchTime=input.deltaTime<options.time;if(this.reset(),input.eventType&INPUT_START&&0===this.count)return this.failTimeout();if(validMovement&&validTouchTime&&validPointers){if(input.eventType!=INPUT_END)return this.failTimeout();var validInterval=!this.pTime||input.timeStamp-this.pTime<options.interval,validMultiTap=!this.pCenter||getDistance(this.pCenter,input.center)<options.posThreshold;this.pTime=input.timeStamp,this.pCenter=input.center,validMultiTap&&validInterval?this.count+=1:this.count=1,this._input=input;var tapCount=this.count%options.taps;if(0==tapCount)return this.hasRequireFailures()?(this._timer=setTimeoutContext(function(){this.state=STATE_RECOGNIZED,this.tryEmit()},options.interval,this),STATE_BEGAN):STATE_RECOGNIZED}return STATE_FAILED},failTimeout:function(){return this._timer=setTimeoutContext(function(){this.state=STATE_FAILED},this.options.interval,this),STATE_FAILED},reset:function(){clearTimeout(this._timer)},emit:function(){this.state==STATE_RECOGNIZED&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))}}),Hammer.VERSION="2.0.7",Hammer.defaults={domEvents:!1,touchAction:TOUCH_ACTION_COMPUTE,enable:!0,inputTarget:null,inputClass:null,preset:[[RotateRecognizer,{enable:!1}],[PinchRecognizer,{enable:!1},["rotate"]],[SwipeRecognizer,{direction:DIRECTION_HORIZONTAL}],[PanRecognizer,{direction:DIRECTION_HORIZONTAL},["swipe"]],[TapRecognizer],[TapRecognizer,{event:"doubletap",taps:2},["tap"]],[PressRecognizer]],cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}};var FORCED_STOP=2;Manager.prototype={set:function(options){return assign(this.options,options),options.touchAction&&this.touchAction.update(),options.inputTarget&&(this.input.destroy(),this.input.target=options.inputTarget,this.input.init()),this},stop:function(force){this.session.stopped=force?FORCED_STOP:1},recognize:function(inputData){var session=this.session;if(!session.stopped){this.touchAction.preventDefaults(inputData);var recognizers=this.recognizers,curRecognizer=session.curRecognizer,recognizer;(!curRecognizer||curRecognizer&&curRecognizer.state&STATE_RECOGNIZED)&&(curRecognizer=session.curRecognizer=null);for(var i=0;i<recognizers.length;)recognizer=recognizers[i],session.stopped!==FORCED_STOP&&(!curRecognizer||recognizer==curRecognizer||recognizer.canRecognizeWith(curRecognizer))?recognizer.recognize(inputData):recognizer.reset(),!curRecognizer&&recognizer.state&(STATE_BEGAN|STATE_CHANGED|STATE_ENDED)&&(curRecognizer=session.curRecognizer=recognizer),i++}},get:function(recognizer){if(recognizer instanceof Recognizer)return recognizer;for(var recognizers=this.recognizers,i=0;i<recognizers.length;i++)if(recognizers[i].options.event==recognizer)return recognizers[i];return null},add:function(recognizer){if(invokeArrayArg(recognizer,"add",this))return this;var existing=this.get(recognizer.options.event);return existing&&this.remove(existing),this.recognizers.push(recognizer),recognizer.manager=this,this.touchAction.update(),recognizer},remove:function(recognizer){if(invokeArrayArg(recognizer,"remove",this))return this;if(recognizer=this.get(recognizer),recognizer){var recognizers=this.recognizers,index=inArray(recognizers,recognizer);-1!==index&&(recognizers.splice(index,1),this.touchAction.update())}return this},on:function(events,handler){if(events!==undefined$1&&handler!==undefined$1){var handlers=this.handlers;return each(splitStr(events),function(event){handlers[event]=handlers[event]||[],handlers[event].push(handler)}),this}},off:function(events,handler){if(events!==undefined$1){var handlers=this.handlers;return each(splitStr(events),function(event){handler?handlers[event]&&handlers[event].splice(inArray(handlers[event],handler),1):delete handlers[event]}),this}},emit:function(event,data){this.options.domEvents&&triggerDomEvent(event,data);var handlers=this.handlers[event]&&this.handlers[event].slice();if(handlers&&handlers.length){data.type=event,data.preventDefault=function(){data.srcEvent.preventDefault()};for(var i=0;i<handlers.length;)handlers[i](data),i++}},destroy:function(){this.element&&toggleCssProps(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null}},assign(Hammer,{INPUT_START:INPUT_START,INPUT_MOVE:INPUT_MOVE,INPUT_END:INPUT_END,INPUT_CANCEL:INPUT_CANCEL,STATE_POSSIBLE:1,STATE_BEGAN:STATE_BEGAN,STATE_CHANGED:STATE_CHANGED,STATE_ENDED:STATE_ENDED,STATE_RECOGNIZED:STATE_RECOGNIZED,STATE_CANCELLED:STATE_CANCELLED,STATE_FAILED:STATE_FAILED,DIRECTION_NONE:DIRECTION_NONE,DIRECTION_LEFT:DIRECTION_LEFT,DIRECTION_RIGHT:DIRECTION_RIGHT,DIRECTION_UP:DIRECTION_UP,DIRECTION_DOWN:DIRECTION_DOWN,DIRECTION_HORIZONTAL:DIRECTION_HORIZONTAL,DIRECTION_VERTICAL:DIRECTION_VERTICAL,DIRECTION_ALL:DIRECTION_ALL,Manager:Manager,Input:Input,TouchAction:TouchAction,TouchInput:TouchInput,MouseInput:MouseInput,PointerEventInput:PointerEventInput,TouchMouseInput:TouchMouseInput,SingleTouchInput:SingleTouchInput,Recognizer:Recognizer,AttrRecognizer:AttrRecognizer,Tap:TapRecognizer,Pan:PanRecognizer,Swipe:SwipeRecognizer,Pinch:PinchRecognizer,Rotate:RotateRecognizer,Press:PressRecognizer,on:addEventListeners,off:removeEventListeners,each:each,merge:merge,extend:extend,assign:assign,inherit:inherit,bindFn:bindFn,prefixed:prefixed});var freeGlobal="undefined"==typeof window?"undefined"==typeof self?{}:self:window;freeGlobal.Hammer=Hammer,"function"==typeof undefined$1&&undefined$1.amd?undefined$1(function(){return Hammer}):module.exports?module.exports=Hammer:window[exportName]=Hammer})(window,document,"Hammer")}),hammer$2=createCommonjsModule$2(function(module){function hammerMock(){const noop=()=>{};return{on:noop,off:noop,destroy:noop,emit:noop,get:function(){return{set:noop}}}}if("undefined"!=typeof window){var Hammer=window.Hammer||hammer$1;module.exports=propagating(Hammer,{preventDefault:"mouse"})}else module.exports=function(){return hammerMock()}}),DOMutil$2=createCommonjsModule$2(function(module,exports){exports.prepareElements=function(JSONcontainer){for(var elementType in JSONcontainer)JSONcontainer.hasOwnProperty(elementType)&&(JSONcontainer[elementType].redundant=JSONcontainer[elementType].used,JSONcontainer[elementType].used=[])},exports.cleanupElements=function(JSONcontainer){for(var elementType in JSONcontainer)if(JSONcontainer.hasOwnProperty(elementType)&&JSONcontainer[elementType].redundant){for(var i=0;i<JSONcontainer[elementType].redundant.length;i++)JSONcontainer[elementType].redundant[i].parentNode.removeChild(JSONcontainer[elementType].redundant[i]);JSONcontainer[elementType].redundant=[]}},exports.resetElements=function(JSONcontainer){exports.prepareElements(JSONcontainer),exports.cleanupElements(JSONcontainer),exports.prepareElements(JSONcontainer)},exports.getSVGElement=function(elementType,JSONcontainer,svgContainer){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),svgContainer.appendChild(element)):(element=document.createElementNS("http://www.w3.org/2000/svg",elementType),JSONcontainer[elementType]={used:[],redundant:[]},svgContainer.appendChild(element)),JSONcontainer[elementType].used.push(element),element},exports.getDOMElement=function(elementType,JSONcontainer,DOMContainer,insertBefore){var element;return JSONcontainer.hasOwnProperty(elementType)?0<JSONcontainer[elementType].redundant.length?(element=JSONcontainer[elementType].redundant[0],JSONcontainer[elementType].redundant.shift()):(element=document.createElement(elementType),void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)):(element=document.createElement(elementType),JSONcontainer[elementType]={used:[],redundant:[]},void 0===insertBefore?DOMContainer.appendChild(element):DOMContainer.insertBefore(element,insertBefore)),JSONcontainer[elementType].used.push(element),element},exports.drawPoint=function(x,y,groupTemplate,JSONcontainer,svgContainer,labelObj){var point;if("circle"==groupTemplate.style?(point=exports.getSVGElement("circle",JSONcontainer,svgContainer),point.setAttributeNS(null,"cx",x),point.setAttributeNS(null,"cy",y),point.setAttributeNS(null,"r",.5*groupTemplate.size)):(point=exports.getSVGElement("rect",JSONcontainer,svgContainer),point.setAttributeNS(null,"x",x-.5*groupTemplate.size),point.setAttributeNS(null,"y",y-.5*groupTemplate.size),point.setAttributeNS(null,"width",groupTemplate.size),point.setAttributeNS(null,"height",groupTemplate.size)),void 0!==groupTemplate.styles&&point.setAttributeNS(null,"style",groupTemplate.styles),point.setAttributeNS(null,"class",groupTemplate.className+" vis-point"),labelObj){var label=exports.getSVGElement("text",JSONcontainer,svgContainer);labelObj.xOffset&&(x+=labelObj.xOffset),labelObj.yOffset&&(y+=labelObj.yOffset),labelObj.content&&(label.textContent=labelObj.content),labelObj.className&&label.setAttributeNS(null,"class",labelObj.className+" vis-label"),label.setAttributeNS(null,"x",x),label.setAttributeNS(null,"y",y)}return point},exports.drawBar=function(x,y,width,height,className,JSONcontainer,svgContainer,style){if(0!=height){0>height&&(height*=-1,y-=height);var rect=exports.getSVGElement("rect",JSONcontainer,svgContainer);rect.setAttributeNS(null,"x",x-.5*width),rect.setAttributeNS(null,"y",y),rect.setAttributeNS(null,"width",width),rect.setAttributeNS(null,"height",height),rect.setAttributeNS(null,"class",className),style&&rect.setAttributeNS(null,"style",style)}}}),DOMutil_1$2=DOMutil$2.prepareElements,DOMutil_2$2=DOMutil$2.cleanupElements,DOMutil_3$2=DOMutil$2.resetElements,DOMutil_4$2=DOMutil$2.getSVGElement,DOMutil_5$2=DOMutil$2.getDOMElement,DOMutil_6$2=DOMutil$2.drawPoint,DOMutil_7$2=DOMutil$2.drawBar,moment$5="undefined"!=typeof window&&window.moment||moment$2;Component.prototype.setOptions=function(options){options&&util.extend(this.options,options)},Component.prototype.redraw=function(){return!1},Component.prototype.destroy=function(){},Component.prototype._isResized=function(){var resized=this.props._previousWidth!==this.props.width||this.props._previousHeight!==this.props.height;return this.props._previousWidth=this.props.width,this.props._previousHeight=this.props.height,resized};var Component_1=Component,DateUtil=createCommonjsModule$2(function(module,exports){exports.convertHiddenOptions=function(moment,body,hiddenDates){if(hiddenDates&&!Array.isArray(hiddenDates))return exports.convertHiddenOptions(moment,body,[hiddenDates]);if(body.hiddenDates=[],hiddenDates&&!0==Array.isArray(hiddenDates)){for(var i=0;i<hiddenDates.length;i++)if(void 0===hiddenDates[i].repeat){var dateItem={};dateItem.start=moment(hiddenDates[i].start).toDate().valueOf(),dateItem.end=moment(hiddenDates[i].end).toDate().valueOf(),body.hiddenDates.push(dateItem)}body.hiddenDates.sort(function(a,b){return a.start-b.start})}},exports.updateHiddenDates=function(moment,body,hiddenDates){if(hiddenDates&&!Array.isArray(hiddenDates))return exports.updateHiddenDates(moment,body,[hiddenDates]);if(hiddenDates&&void 0!==body.domProps.centerContainer.width){exports.convertHiddenOptions(moment,body,hiddenDates);for(var start=moment(body.range.start),end=moment(body.range.end),totalRange=body.range.end-body.range.start,pixelTime=totalRange/body.domProps.centerContainer.width,i=0;i<hiddenDates.length;i++)if(void 0!==hiddenDates[i].repeat){var startDate=moment(hiddenDates[i].start),endDate=moment(hiddenDates[i].end);if("Invalid Date"==startDate._d)throw new Error("Supplied start date is not valid: "+hiddenDates[i].start);if("Invalid Date"==endDate._d)throw new Error("Supplied end date is not valid: "+hiddenDates[i].end);var duration=endDate-startDate;if(duration>=4*pixelTime){var offset=0,runUntil=end.clone();switch(hiddenDates[i].repeat){case"daily":startDate.day()!=endDate.day()&&(offset=1),startDate.dayOfYear(start.dayOfYear()),startDate.year(start.year()),startDate.subtract(7,"days"),endDate.dayOfYear(start.dayOfYear()),endDate.year(start.year()),endDate.subtract(7-offset,"days"),runUntil.add(1,"weeks");break;case"weekly":var dayOffset=endDate.diff(startDate,"days"),day=startDate.day();startDate.date(start.date()),startDate.month(start.month()),startDate.year(start.year()),endDate=startDate.clone(),startDate.day(day),endDate.day(day),endDate.add(dayOffset,"days"),startDate.subtract(1,"weeks"),endDate.subtract(1,"weeks"),runUntil.add(1,"weeks");break;case"monthly":startDate.month()!=endDate.month()&&(offset=1),startDate.month(start.month()),startDate.year(start.year()),startDate.subtract(1,"months"),endDate.month(start.month()),endDate.year(start.year()),endDate.subtract(1,"months"),endDate.add(offset,"months"),runUntil.add(1,"months");break;case"yearly":startDate.year()!=endDate.year()&&(offset=1),startDate.year(start.year()),startDate.subtract(1,"years"),endDate.year(start.year()),endDate.subtract(1,"years"),endDate.add(offset,"years"),runUntil.add(1,"years");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",hiddenDates[i].repeat);}for(;startDate<runUntil;)switch(body.hiddenDates.push({start:startDate.valueOf(),end:endDate.valueOf()}),hiddenDates[i].repeat){case"daily":startDate.add(1,"days"),endDate.add(1,"days");break;case"weekly":startDate.add(1,"weeks"),endDate.add(1,"weeks");break;case"monthly":startDate.add(1,"months"),endDate.add(1,"months");break;case"yearly":startDate.add(1,"y"),endDate.add(1,"y");break;default:return void console.log("Wrong repeat format, allowed are: daily, weekly, monthly, yearly. Given:",hiddenDates[i].repeat);}body.hiddenDates.push({start:startDate.valueOf(),end:endDate.valueOf()})}}exports.removeDuplicates(body);var startHidden=exports.isHidden(body.range.start,body.hiddenDates),endHidden=exports.isHidden(body.range.end,body.hiddenDates),rangeStart=body.range.start,rangeEnd=body.range.end;!0==startHidden.hidden&&(rangeStart=!0==body.range.startToFront?startHidden.startDate-1:startHidden.endDate+1),!0==endHidden.hidden&&(rangeEnd=!0==body.range.endToFront?endHidden.startDate-1:endHidden.endDate+1),(!0==startHidden.hidden||!0==endHidden.hidden)&&body.range._applyRange(rangeStart,rangeEnd)}},exports.removeDuplicates=function(body){for(var hiddenDates=body.hiddenDates,safeDates=[],i=0;i<hiddenDates.length;i++)for(var j=0;j<hiddenDates.length;j++)i!=j&&!0!=hiddenDates[j].remove&&!0!=hiddenDates[i].remove&&(hiddenDates[j].start>=hiddenDates[i].start&&hiddenDates[j].end<=hiddenDates[i].end?hiddenDates[j].remove=!0:hiddenDates[j].start>=hiddenDates[i].start&&hiddenDates[j].start<=hiddenDates[i].end?(hiddenDates[i].end=hiddenDates[j].end,hiddenDates[j].remove=!0):hiddenDates[j].end>=hiddenDates[i].start&&hiddenDates[j].end<=hiddenDates[i].end&&(hiddenDates[i].start=hiddenDates[j].start,hiddenDates[j].remove=!0));for(i=0;i<hiddenDates.length;i++)!0!==hiddenDates[i].remove&&safeDates.push(hiddenDates[i]);body.hiddenDates=safeDates,body.hiddenDates.sort(function(a,b){return a.start-b.start})},exports.printDates=function(dates){for(var i=0;i<dates.length;i++)console.log(i,new Date(dates[i].start),new Date(dates[i].end),dates[i].start,dates[i].end,dates[i].remove)},exports.stepOverHiddenDates=function(moment,timeStep,previousTime){for(var stepInHidden=!1,currentValue=timeStep.current.valueOf(),i=0;i<timeStep.hiddenDates.length;i++){var startDate=timeStep.hiddenDates[i].start,endDate=timeStep.hiddenDates[i].end;if(currentValue>=startDate&&currentValue<endDate){stepInHidden=!0;break}}if(!0==stepInHidden&&currentValue<timeStep._end.valueOf()&&currentValue!=previousTime){var prevValue=moment(previousTime),newValue=moment(endDate);prevValue.year()==newValue.year()?prevValue.month()==newValue.month()?prevValue.dayOfYear()!=newValue.dayOfYear()&&(timeStep.switchedDay=!0):timeStep.switchedMonth=!0:timeStep.switchedYear=!0,timeStep.current=newValue}},exports.toScreen=function(Core,time,width){var conversion;if(0==Core.body.hiddenDates.length)return conversion=Core.range.conversion(width),(time.valueOf()-conversion.offset)*conversion.scale;var hidden=exports.isHidden(time,Core.body.hiddenDates);!0==hidden.hidden&&(time=hidden.startDate);var duration=exports.getHiddenDurationBetween(Core.body.hiddenDates,Core.range.start,Core.range.end);if(time<Core.range.start){conversion=Core.range.conversion(width,duration);var hiddenBeforeStart=exports.getHiddenDurationBeforeStart(Core.body.hiddenDates,time,conversion.offset);return time=Core.options.moment(time).toDate().valueOf(),time+=hiddenBeforeStart,-(conversion.offset-time.valueOf())*conversion.scale}if(time>Core.range.end){var rangeAfterEnd={start:Core.range.start,end:time};return time=exports.correctTimeForHidden(Core.options.moment,Core.body.hiddenDates,rangeAfterEnd,time),conversion=Core.range.conversion(width,duration),(time.valueOf()-conversion.offset)*conversion.scale}return time=exports.correctTimeForHidden(Core.options.moment,Core.body.hiddenDates,Core.range,time),conversion=Core.range.conversion(width,duration),(time.valueOf()-conversion.offset)*conversion.scale},exports.toTime=function(Core,x,width){if(0==Core.body.hiddenDates.length){var conversion=Core.range.conversion(width);return new Date(x/conversion.scale+conversion.offset)}var hiddenDuration=exports.getHiddenDurationBetween(Core.body.hiddenDates,Core.range.start,Core.range.end),totalDuration=Core.range.end-Core.range.start-hiddenDuration,partialDuration=totalDuration*x/width,accumulatedHiddenDuration=exports.getAccumulatedHiddenDuration(Core.body.hiddenDates,Core.range,partialDuration);return new Date(accumulatedHiddenDuration+partialDuration+Core.range.start)},exports.getHiddenDurationBetween=function(hiddenDates,start,end){for(var duration=0,i=0;i<hiddenDates.length;i++){var startDate=hiddenDates[i].start,endDate=hiddenDates[i].end;startDate>=start&&endDate<end&&(duration+=endDate-startDate)}return duration},exports.getHiddenDurationBeforeStart=function(hiddenDates,start,end){for(var duration=0,i=0;i<hiddenDates.length;i++){var startDate=hiddenDates[i].start,endDate=hiddenDates[i].end;startDate>=start&&endDate<=end&&(duration+=endDate-startDate)}return duration},exports.correctTimeForHidden=function(moment,hiddenDates,range,time){return time=moment(time).toDate().valueOf(),time-=exports.getHiddenDurationBefore(moment,hiddenDates,range,time),time},exports.getHiddenDurationBefore=function(moment,hiddenDates,range,time){var timeOffset=0;time=moment(time).toDate().valueOf();for(var i=0;i<hiddenDates.length;i++){var startDate=hiddenDates[i].start,endDate=hiddenDates[i].end;startDate>=range.start&&endDate<range.end&&time>=endDate&&(timeOffset+=endDate-startDate)}return timeOffset},exports.getAccumulatedHiddenDuration=function(hiddenDates,range,requiredDuration){for(var hiddenDuration=0,duration=0,previousPoint=range.start,i=0;i<hiddenDates.length;i++){var startDate=hiddenDates[i].start,endDate=hiddenDates[i].end;if(startDate>=range.start&&endDate<range.end)if(duration+=startDate-previousPoint,previousPoint=endDate,duration>=requiredDuration)break;else hiddenDuration+=endDate-startDate}return hiddenDuration},exports.snapAwayFromHidden=function(hiddenDates,time,direction,correctionEnabled){var isHidden=exports.isHidden(time,hiddenDates);return!0==isHidden.hidden?0>direction?!0==correctionEnabled?isHidden.startDate-(isHidden.endDate-time)-1:isHidden.startDate-1:!0==correctionEnabled?isHidden.endDate+(time-isHidden.startDate)+1:isHidden.endDate+1:time},exports.isHidden=function(time,hiddenDates){for(var i=0;i<hiddenDates.length;i++){var startDate=hiddenDates[i].start,endDate=hiddenDates[i].end;if(time>=startDate&&time<endDate)return{hidden:!0,startDate:startDate,endDate:endDate}}return{hidden:!1,startDate:startDate,endDate:endDate}}}),DateUtil_1=DateUtil.convertHiddenOptions,DateUtil_2=DateUtil.updateHiddenDates,DateUtil_3=DateUtil.removeDuplicates,DateUtil_4=DateUtil.printDates,DateUtil_5=DateUtil.stepOverHiddenDates,DateUtil_6=DateUtil.toScreen,DateUtil_7=DateUtil.toTime,DateUtil_8=DateUtil.getHiddenDurationBetween,DateUtil_9=DateUtil.getHiddenDurationBeforeStart,DateUtil_10=DateUtil.correctTimeForHidden,DateUtil_11=DateUtil.getHiddenDurationBefore,DateUtil_12=DateUtil.getAccumulatedHiddenDuration,DateUtil_13=DateUtil.snapAwayFromHidden,DateUtil_14=DateUtil.isHidden;Range$1.prototype=new Component_1,Range$1.prototype.setOptions=function(options){if(options){util.selectiveExtend(["animation","direction","min","max","zoomMin","zoomMax","moveable","zoomable","moment","activate","hiddenDates","zoomKey","rtl","showCurrentTime","rollingMode","horizontalScroll"],this.options,options),options.rollingMode&&options.rollingMode.follow&&this.startRolling(),("start"in options||"end"in options)&&this.setRange(options.start,options.end)}},Range$1.prototype.startRolling=function(){function update(){me.stopRolling(),me.rolling=!0;var interval=me.end-me.start,t=util.convert(new Date,"Date").valueOf(),start=t-interval*me.options.rollingMode.offset,end=t+interval*(1-me.options.rollingMode.offset);me.setRange(start,end,{animation:!1});var scale=me.conversion(me.body.domProps.center.width).scale;interval=1/scale/10,30>interval&&(interval=30),1e3<interval&&(interval=1e3),me.body.dom.rollingModeBtn.style.visibility="hidden",me.currentTimeTimer=setTimeout(update,interval)}var me=this;update()},Range$1.prototype.stopRolling=function(){this.currentTimeTimer!==void 0&&(clearTimeout(this.currentTimeTimer),this.rolling=!1,this.body.dom.rollingModeBtn.style.visibility="visible")},Range$1.prototype.setRange=function(start,end,options,callback,frameCallback){options||(options={}),!0!==options.byUser&&(options.byUser=!1);var me=this,finalStart=null==start?null:util.convert(start,"Date").valueOf(),finalEnd=null==end?null:util.convert(end,"Date").valueOf();if(this._cancelAnimation(),this.millisecondsPerPixelCache=void 0,options.animation){var initStart=this.start,initEnd=this.end,duration="object"==typeof options.animation&&"duration"in options.animation?options.animation.duration:500,easingName="object"==typeof options.animation&&"easingFunction"in options.animation?options.animation.easingFunction:"easeInOutQuad",easingFunction=util.easingFunctions[easingName];if(!easingFunction)throw new Error("Unknown easing function "+JSON.stringify(easingName)+". Choose from: "+Object.keys(util.easingFunctions).join(", "));var initTime=new Date().valueOf(),anyChanged=!1,next=function(){if(!me.props.touch.dragging){var now=new Date().valueOf(),time=now-initTime,ease=easingFunction(time/duration),done=time>duration,s=done||null===finalStart?finalStart:initStart+(finalStart-initStart)*ease,e=done||null===finalEnd?finalEnd:initEnd+(finalEnd-initEnd)*ease;changed=me._applyRange(s,e),DateUtil.updateHiddenDates(me.options.moment,me.body,me.options.hiddenDates),anyChanged=anyChanged||changed;var params={start:new Date(me.start),end:new Date(me.end),byUser:options.byUser,event:options.event};if(frameCallback&&frameCallback(ease,changed,done),changed&&me.body.emitter.emit("rangechange",params),!done)me.animationTimer=setTimeout(next,20);else if(anyChanged&&(me.body.emitter.emit("rangechanged",params),callback))return callback()}};return next()}var changed=this._applyRange(finalStart,finalEnd);if(DateUtil.updateHiddenDates(this.options.moment,this.body,this.options.hiddenDates),changed){var params={start:new Date(this.start),end:new Date(this.end),byUser:options.byUser,event:options.event};if(this.body.emitter.emit("rangechange",params),clearTimeout(me.timeoutID),me.timeoutID=setTimeout(function(){me.body.emitter.emit("rangechanged",params)},200),callback)return callback()}},Range$1.prototype.getMillisecondsPerPixel=function(){return void 0===this.millisecondsPerPixelCache&&(this.millisecondsPerPixelCache=(this.end-this.start)/this.body.dom.center.clientWidth),this.millisecondsPerPixelCache},Range$1.prototype._cancelAnimation=function(){this.animationTimer&&(clearTimeout(this.animationTimer),this.animationTimer=null)},Range$1.prototype._applyRange=function(start,end){var newStart=null==start?this.start:util.convert(start,"Date").valueOf(),newEnd=null==end?this.end:util.convert(end,"Date").valueOf(),max=null==this.options.max?null:util.convert(this.options.max,"Date").valueOf(),min=null==this.options.min?null:util.convert(this.options.min,"Date").valueOf(),diff;if(isNaN(newStart)||null===newStart)throw new Error("Invalid start \""+start+"\"");if(isNaN(newEnd)||null===newEnd)throw new Error("Invalid end \""+end+"\"");if(newEnd<newStart&&(newEnd=newStart),null!==min&&newStart<min&&(diff=min-newStart,newStart+=diff,newEnd+=diff,null!=max&&newEnd>max&&(newEnd=max)),null!==max&&newEnd>max&&(diff=newEnd-max,newStart-=diff,newEnd-=diff,null!=min&&newStart<min&&(newStart=min)),null!==this.options.zoomMin){var zoomMin=parseFloat(this.options.zoomMin);if(0>zoomMin&&(zoomMin=0),newEnd-newStart<zoomMin){this.end-this.start===zoomMin&&newStart>=this.start-.5&&newEnd<=this.end?(newStart=this.start,newEnd=this.end):(diff=zoomMin-(newEnd-newStart),newStart-=diff/2,newEnd+=diff/2)}}if(null!==this.options.zoomMax){var zoomMax=parseFloat(this.options.zoomMax);0>zoomMax&&(zoomMax=0),newEnd-newStart>zoomMax&&(this.end-this.start===zoomMax&&newStart<this.start&&newEnd>this.end?(newStart=this.start,newEnd=this.end):(diff=newEnd-newStart-zoomMax,newStart+=diff/2,newEnd-=diff/2))}var changed=this.start!=newStart||this.end!=newEnd;return newStart>=this.start&&newStart<=this.end||newEnd>=this.start&&newEnd<=this.end||this.start>=newStart&&this.start<=newEnd||this.end>=newStart&&this.end<=newEnd||this.body.emitter.emit("checkRangedItems"),this.start=newStart,this.end=newEnd,changed},Range$1.prototype.getRange=function(){return{start:this.start,end:this.end}},Range$1.prototype.conversion=function(width,totalHidden){return Range$1.conversion(this.start,this.end,width,totalHidden)},Range$1.conversion=function(start,end,width,totalHidden){return void 0===totalHidden&&(totalHidden=0),0!=width&&0!=end-start?{offset:start,scale:width/(end-start-totalHidden)}:{offset:0,scale:1}},Range$1.prototype._onDragStart=function(event){this.deltaDifference=0,this.previousDelta=0;this.options.moveable&&this._isInsideRange(event)&&this.props.touch.allowDragging&&(this.stopRolling(),this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.dragging=!0,this.body.dom.root&&(this.body.dom.root.style.cursor="move"))},Range$1.prototype._onDrag=function(event){if(event&&this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging){var direction=this.options.direction;validateDirection(direction);var delta="horizontal"==direction?event.deltaX:event.deltaY;delta-=this.deltaDifference;var interval=this.props.touch.end-this.props.touch.start,duration=DateUtil.getHiddenDurationBetween(this.body.hiddenDates,this.start,this.end);interval-=duration;var width="horizontal"==direction?this.body.domProps.center.width:this.body.domProps.center.height,diffRange;diffRange=this.options.rtl?delta/width*interval:-delta/width*interval;var newStart=this.props.touch.start+diffRange,newEnd=this.props.touch.end+diffRange,safeStart=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newStart,this.previousDelta-delta,!0),safeEnd=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newEnd,this.previousDelta-delta,!0);if(safeStart!=newStart||safeEnd!=newEnd)return this.deltaDifference+=delta,this.props.touch.start=safeStart,this.props.touch.end=safeEnd,void this._onDrag(event);this.previousDelta=delta,this._applyRange(newStart,newEnd);var startDate=new Date(this.start),endDate=new Date(this.end);this.body.emitter.emit("rangechange",{start:startDate,end:endDate,byUser:!0,event:event}),this.body.emitter.emit("panmove")}},Range$1.prototype._onDragEnd=function(event){this.props.touch.dragging&&this.options.moveable&&this.props.touch.allowDragging&&(this.props.touch.dragging=!1,this.body.dom.root&&(this.body.dom.root.style.cursor="auto"),this.body.emitter.emit("rangechanged",{start:new Date(this.start),end:new Date(this.end),byUser:!0,event:event}))},Range$1.prototype._onMouseWheel=function(event){var delta=0;if((event.wheelDelta?delta=event.wheelDelta/120:event.detail?delta=-event.detail/3:event.deltaY&&(delta=-event.deltaY/3),!(this.options.zoomKey&&!event[this.options.zoomKey]&&this.options.zoomable||!this.options.zoomable&&this.options.moveable))&&this.options.zoomable&&this.options.moveable&&this._isInsideRange(event)&&delta){var scale=0>delta?1-delta/5:1/(1+delta/5);var pointerDate;if(this.rolling)pointerDate=this.start+(this.end-this.start)*this.options.rollingMode.offset;else{var pointer=this.getPointer({x:event.clientX,y:event.clientY},this.body.dom.center);pointerDate=this._pointerToDate(pointer)}this.zoom(scale,pointerDate,delta,event),event.preventDefault()}},Range$1.prototype._onTouch=function(event){this.props.touch.start=this.start,this.props.touch.end=this.end,this.props.touch.allowDragging=!0,this.props.touch.center=null,this.scaleOffset=0,this.deltaDifference=0,util.preventDefault(event)},Range$1.prototype._onPinch=function(event){if(this.options.zoomable&&this.options.moveable){util.preventDefault(event),this.props.touch.allowDragging=!1,this.props.touch.center||(this.props.touch.center=this.getPointer(event.center,this.body.dom.center)),this.stopRolling();var scale=1/(event.scale+this.scaleOffset),centerDate=this._pointerToDate(this.props.touch.center),hiddenDuration=DateUtil.getHiddenDurationBetween(this.body.hiddenDates,this.start,this.end),hiddenDurationBefore=DateUtil.getHiddenDurationBefore(this.options.moment,this.body.hiddenDates,this,centerDate),hiddenDurationAfter=hiddenDuration-hiddenDurationBefore,newStart=centerDate-hiddenDurationBefore+(this.props.touch.start-(centerDate-hiddenDurationBefore))*scale,newEnd=centerDate+hiddenDurationAfter+(this.props.touch.end-(centerDate+hiddenDurationAfter))*scale;this.startToFront=0>=1-scale,this.endToFront=0>=scale-1;var safeStart=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newStart,1-scale,!0),safeEnd=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newEnd,scale-1,!0);(safeStart!=newStart||safeEnd!=newEnd)&&(this.props.touch.start=safeStart,this.props.touch.end=safeEnd,this.scaleOffset=1-event.scale,newStart=safeStart,newEnd=safeEnd);this.setRange(newStart,newEnd,{animation:!1,byUser:!0,event:event}),this.startToFront=!1,this.endToFront=!0}},Range$1.prototype._isInsideRange=function(event){var clientX=event.center?event.center.x:event.clientX,x;x=this.options.rtl?clientX-util.getAbsoluteLeft(this.body.dom.centerContainer):util.getAbsoluteRight(this.body.dom.centerContainer)-clientX;var time=this.body.util.toTime(x);return time>=this.start&&time<=this.end},Range$1.prototype._pointerToDate=function(pointer){var direction=this.options.direction,conversion;if(validateDirection(direction),"horizontal"==direction)return this.body.util.toTime(pointer.x).valueOf();var height=this.body.domProps.center.height;return conversion=this.conversion(height),pointer.y/conversion.scale+conversion.offset},Range$1.prototype.getPointer=function(touch,element){return this.options.rtl?{x:util.getAbsoluteRight(element)-touch.x,y:touch.y-util.getAbsoluteTop(element)}:{x:touch.x-util.getAbsoluteLeft(element),y:touch.y-util.getAbsoluteTop(element)}},Range$1.prototype.zoom=function(scale,center,delta,event){null==center&&(center=(this.start+this.end)/2);var hiddenDuration=DateUtil.getHiddenDurationBetween(this.body.hiddenDates,this.start,this.end),hiddenDurationBefore=DateUtil.getHiddenDurationBefore(this.options.moment,this.body.hiddenDates,this,center),hiddenDurationAfter=hiddenDuration-hiddenDurationBefore,newStart=center-hiddenDurationBefore+(this.start-(center-hiddenDurationBefore))*scale,newEnd=center+hiddenDurationAfter+(this.end-(center+hiddenDurationAfter))*scale;this.startToFront=!(0<delta),this.endToFront=!(0<-delta);var safeStart=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newStart,delta,!0),safeEnd=DateUtil.snapAwayFromHidden(this.body.hiddenDates,newEnd,-delta,!0);(safeStart!=newStart||safeEnd!=newEnd)&&(newStart=safeStart,newEnd=safeEnd);this.setRange(newStart,newEnd,{animation:!1,byUser:!0,event:event}),this.startToFront=!1,this.endToFront=!0},Range$1.prototype.move=function(delta){var diff=this.end-this.start,newStart=this.start+diff*delta,newEnd=this.end+diff*delta;this.start=newStart,this.end=newEnd},Range$1.prototype.moveTo=function(moveTo){var center=(this.start+this.end)/2,diff=center-moveTo,newStart=this.start-diff,newEnd=this.end-diff;this.setRange(newStart,newEnd,{animation:!1,byUser:!0,event:null})};var Range_1$1=Range$1,hammer$3=createCommonjsModule$2(function(module){function hammerMock(){const noop=()=>{};return{on:noop,off:noop,destroy:noop,emit:noop,get:function(){return{set:noop}}}}if("undefined"!=typeof window){var Hammer=window.Hammer||hammer$1;module.exports=propagating(Hammer,{preventDefault:"mouse"})}else module.exports=function(){return hammerMock()}}),hammerUtil$1=createCommonjsModule$2(function(module,exports){exports.onTouch=function(hammer,callback){callback.inputHandler=function(event){event.isFirst&&callback(event)},hammer.on("hammer.input",callback.inputHandler)},exports.onRelease=function(hammer,callback){return callback.inputHandler=function(event){event.isFinal&&callback(event)},hammer.on("hammer.input",callback.inputHandler)},exports.offTouch=function(hammer,callback){hammer.off("hammer.input",callback.inputHandler)},exports.offRelease=exports.offTouch,exports.disablePreventDefaultVertically=function(pinchRecognizer){return pinchRecognizer.getTouchAction=function(){return["pan-y"]},pinchRecognizer}}),hammerUtil_1$1=hammerUtil$1.onTouch,hammerUtil_2$1=hammerUtil$1.onRelease,hammerUtil_3$1=hammerUtil$1.offTouch,hammerUtil_4$1=hammerUtil$1.offRelease,hammerUtil_5$1=hammerUtil$1.disablePreventDefaultVertically;TimeStep.FORMAT={minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"D",month:"MMM",quarter:"MMM",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",quarter:"YYYY",year:""}},TimeStep.prototype.setMoment=function(moment){this.moment=moment,this.current=this.moment(this.current.valueOf()),this._start=this.moment(this._start.valueOf()),this._end=this.moment(this._end.valueOf())},TimeStep.prototype.setFormat=function(format){var defaultFormat=util.deepExtend({},TimeStep.FORMAT);this.format=util.deepExtend(defaultFormat,format)},TimeStep.prototype.setRange=function(start,end,minimumStep){if(!(start instanceof Date)||!(end instanceof Date))throw"No legal start or end date in method setRange";this._start=start==null?new Date:this.moment(start.valueOf()),this._end=end==null?new Date:this.moment(end.valueOf()),this.autoScale&&this.setMinimumStep(minimumStep)},TimeStep.prototype.start=function(){this.current=this._start.clone(),this.roundToMinor()},TimeStep.prototype.roundToMinor=function(){switch("week"==this.scale&&this.current.weekday(0),this.scale){case"year":this.current.year(this.step*_Mathfloor(this.current.year()/this.step)),this.current.month(0);case"quarter":this.current.month(0);case"month":this.current.date(1);case"week":case"day":case"weekday":this.current.hours(0);case"hour":this.current.minutes(0);case"minute":this.current.seconds(0);case"second":this.current.milliseconds(0);}if(1!=this.step)switch(this.scale){case"millisecond":this.current.subtract(this.current.milliseconds()%this.step,"milliseconds");break;case"second":this.current.subtract(this.current.seconds()%this.step,"seconds");break;case"minute":this.current.subtract(this.current.minutes()%this.step,"minutes");break;case"hour":this.current.subtract(this.current.hours()%this.step,"hours");break;case"weekday":case"day":this.current.subtract((this.current.date()-1)%this.step,"day");break;case"week":this.current.subtract(this.current.week()%this.step,"week");break;case"month":this.current.subtract(this.current.month()%this.step,"month");break;case"quarter":this.current.subtract((this.current.quarter()-1)%this.step,"quarter");break;case"year":this.current.subtract(this.current.year()%this.step,"year");break;default:}},TimeStep.prototype.hasNext=function(){return this.current.valueOf()<=this._end.valueOf()},TimeStep.prototype.next=function(){var prev=this.current.valueOf();switch(this.scale){case"millisecond":this.current.add(this.step,"millisecond");break;case"second":this.current.add(this.step,"second");break;case"minute":this.current.add(this.step,"minute");break;case"hour":this.current.add(this.step,"hour"),6>this.current.month()?this.current.subtract(this.current.hours()%this.step,"hour"):0!=this.current.hours()%this.step&&this.current.add(this.step-this.current.hours()%this.step,"hour");break;case"weekday":case"day":this.current.add(this.step,"day");break;case"week":if(0!==this.current.weekday())this.current.weekday(0),this.current.add(this.step,"week");else if(!1===this.options.showMajorLabels)this.current.add(this.step,"week");else{var nextWeek=this.current.clone();nextWeek.add(1,"week"),nextWeek.isSame(this.current,"month")?this.current.add(this.step,"week"):(this.current.add(this.step,"week"),this.current.date(1))}break;case"month":this.current.add(this.step,"month");break;case"quarter":this.current.add(this.step,"quarter");break;case"year":this.current.add(this.step,"year");break;default:}if(1!=this.step)switch(this.scale){case"millisecond":0<this.current.milliseconds()&&this.current.milliseconds()<this.step&&this.current.milliseconds(0);break;case"second":0<this.current.seconds()&&this.current.seconds()<this.step&&this.current.seconds(0);break;case"minute":0<this.current.minutes()&&this.current.minutes()<this.step&&this.current.minutes(0);break;case"hour":0<this.current.hours()&&this.current.hours()<this.step&&this.current.hours(0);break;case"weekday":case"day":this.current.date()<this.step+1&&this.current.date(1);break;case"week":this.current.week()<this.step&&this.current.week(1);break;case"month":this.current.month()<this.step&&this.current.month(0);break;case"quarter":this.current.quarter()<this.step+1&&this.current.quarter(1);break;case"year":break;default:}this.current.valueOf()==prev&&(this.current=this._end.clone()),this.switchedDay=!1,this.switchedMonth=!1,this.switchedYear=!1,DateUtil.stepOverHiddenDates(this.moment,this,prev)},TimeStep.prototype.getCurrent=function(){return this.current.clone()},TimeStep.prototype.setScale=function(params){params&&"string"==typeof params.scale&&(this.scale=params.scale,this.step=0<params.step?params.step:1,this.autoScale=!1)},TimeStep.prototype.setAutoScale=function(enable){this.autoScale=enable},TimeStep.prototype.setMinimumStep=function(minimumStep){if(null!=minimumStep){var stepDay=86400000,stepHour=3600000,stepMinute=60000,stepSecond=1e3,stepMillisecond=1;31104000000000>minimumStep&&(this.scale="year",this.step=1e3),15552000000000>minimumStep&&(this.scale="year",this.step=500),3110400000000>minimumStep&&(this.scale="year",this.step=100),1555200000000>minimumStep&&(this.scale="year",this.step=50),311040000000>minimumStep&&(this.scale="year",this.step=10),155520000000>minimumStep&&(this.scale="year",this.step=5),31104000000>minimumStep&&(this.scale="year",this.step=1),7776000000>minimumStep&&(this.scale="quarter",this.step=1),2592000000>minimumStep&&(this.scale="month",this.step=1),7*stepDay>minimumStep&&(this.scale="week",this.step=1),2*stepDay>minimumStep&&(this.scale="day",this.step=2),stepDay>minimumStep&&(this.scale="day",this.step=1),stepDay/2>minimumStep&&(this.scale="weekday",this.step=1),4*stepHour>minimumStep&&(this.scale="hour",this.step=4),stepHour>minimumStep&&(this.scale="hour",this.step=1),15*stepMinute>minimumStep&&(this.scale="minute",this.step=15),10*stepMinute>minimumStep&&(this.scale="minute",this.step=10),5*stepMinute>minimumStep&&(this.scale="minute",this.step=5),stepMinute>minimumStep&&(this.scale="minute",this.step=1),15*stepSecond>minimumStep&&(this.scale="second",this.step=15),10*stepSecond>minimumStep&&(this.scale="second",this.step=10),5*stepSecond>minimumStep&&(this.scale="second",this.step=5),stepSecond>minimumStep&&(this.scale="second",this.step=1),200*stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=200),100*stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=100),50*stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=50),10*stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=10),5*stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=5),stepMillisecond>minimumStep&&(this.scale="millisecond",this.step=1)}},TimeStep.snap=function(date,scale,step){var clone=moment$5(date);if("year"==scale){var year=clone.year()+_Mathround(clone.month()/12);clone.year(_Mathround(year/step)*step),clone.month(0),clone.date(0),clone.hours(0),clone.minutes(0),clone.seconds(0),clone.milliseconds(0)}else if("quarter"==scale)1==clone.month()%3&&15<clone.date()||2==clone.month()%3?(clone.date(1),clone.month(3*_Mathfloor(clone.month()/3)),clone.add(1,"quarter")):(clone.date(1),clone.month(3*_Mathfloor(clone.month()/3))),clone.hours(0),clone.minutes(0),clone.seconds(0),clone.milliseconds(0);else if("month"==scale)15<clone.date()?(clone.date(1),clone.add(1,"month")):clone.date(1),clone.hours(0),clone.minutes(0),clone.seconds(0),clone.milliseconds(0);else if("week"==scale)2<clone.weekday()?(clone.weekday(0),clone.add(1,"week")):clone.weekday(0),clone.hours(0),clone.minutes(0),clone.seconds(0),clone.milliseconds(0);else if("day"==scale){switch(step){case 5:case 2:clone.hours(24*_Mathround(clone.hours()/24));break;default:clone.hours(12*_Mathround(clone.hours()/12));}clone.minutes(0),clone.seconds(0),clone.milliseconds(0)}else if("weekday"==scale){switch(step){case 5:case 2:clone.hours(12*_Mathround(clone.hours()/12));break;default:clone.hours(6*_Mathround(clone.hours()/6));}clone.minutes(0),clone.seconds(0),clone.milliseconds(0)}else if("hour"==scale){switch(step){case 4:clone.minutes(60*_Mathround(clone.minutes()/60));break;default:clone.minutes(30*_Mathround(clone.minutes()/30));}clone.seconds(0),clone.milliseconds(0)}else if("minute"==scale){switch(step){case 15:case 10:clone.minutes(5*_Mathround(clone.minutes()/5)),clone.seconds(0);break;case 5:clone.seconds(60*_Mathround(clone.seconds()/60));break;default:clone.seconds(30*_Mathround(clone.seconds()/30));}clone.milliseconds(0)}else if("second"==scale)15===step||10===step?(clone.seconds(5*_Mathround(clone.seconds()/5)),clone.milliseconds(0)):5===step?clone.milliseconds(1e3*_Mathround(clone.milliseconds()/1e3)):clone.milliseconds(500*_Mathround(clone.milliseconds()/500));else if("millisecond"==scale){var _step=5<step?step/2:1;clone.milliseconds(_Mathround(clone.milliseconds()/_step)*_step)}return clone},TimeStep.prototype.isMajor=function(){if(!0==this.switchedYear)switch(this.scale){case"year":case"quarter":case"month":case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1;}else if(!0==this.switchedMonth)switch(this.scale){case"week":case"weekday":case"day":case"hour":case"minute":case"second":case"millisecond":return!0;default:return!1;}else if(!0==this.switchedDay)switch(this.scale){case"millisecond":case"second":case"minute":case"hour":return!0;default:return!1;}var date=this.moment(this.current);switch(this.scale){case"millisecond":return 0==date.milliseconds();case"second":return 0==date.seconds();case"minute":return 0==date.hours()&&0==date.minutes();case"hour":return 0==date.hours();case"weekday":case"day":return 1==date.date();case"week":return 1==date.date();case"month":return 0==date.month();case"quarter":return 1==date.quarter();case"year":return!1;default:return!1;}},TimeStep.prototype.getLabelMinor=function(date){if(null==date&&(date=this.current),date instanceof Date&&(date=this.moment(date)),"function"==typeof this.format.minorLabels)return this.format.minorLabels(date,this.scale,this.step);var format=this.format.minorLabels[this.scale];switch(this.scale){case"week":if(this.isMajor()&&0!==date.weekday())return"";default:return format&&0<format.length?this.moment(date).format(format):"";}},TimeStep.prototype.getLabelMajor=function(date){if(null==date&&(date=this.current),date instanceof Date&&(date=this.moment(date)),"function"==typeof this.format.majorLabels)return this.format.majorLabels(date,this.scale,this.step);var format=this.format.majorLabels[this.scale];return format&&0<format.length?this.moment(date).format(format):""},TimeStep.prototype.getClassName=function(){function even(value){return 0==value/step%2?" vis-even":" vis-odd"}function today(date){return date.isSame(new Date,"day")?" vis-today":date.isSame(_moment().add(1,"day"),"day")?" vis-tomorrow":date.isSame(_moment().add(-1,"day"),"day")?" vis-yesterday":""}function currentWeek(date){return date.isSame(new Date,"week")?" vis-current-week":""}function currentMonth(date){return date.isSame(new Date,"month")?" vis-current-month":""}function currentQuarter(date){return date.isSame(new Date,"quarter")?" vis-current-quarter":""}function currentYear(date){return date.isSame(new Date,"year")?" vis-current-year":""}var _moment=this.moment,m=this.moment(this.current),current=m.locale?m.locale("en"):m.lang("en"),step=this.step,classNames=[];switch(this.scale){case"millisecond":classNames.push(today(current)),classNames.push(even(current.milliseconds()));break;case"second":classNames.push(today(current)),classNames.push(even(current.seconds()));break;case"minute":classNames.push(today(current)),classNames.push(even(current.minutes()));break;case"hour":classNames.push("vis-h"+current.hours()+(4==this.step?"-h"+(current.hours()+4):"")),classNames.push(today(current)),classNames.push(even(current.hours()));break;case"weekday":classNames.push("vis-"+current.format("dddd").toLowerCase()),classNames.push(today(current)),classNames.push(currentWeek(current)),classNames.push(even(current.date()));break;case"day":classNames.push("vis-day"+current.date()),classNames.push("vis-"+current.format("MMMM").toLowerCase()),classNames.push(today(current)),classNames.push(currentMonth(current)),classNames.push(2>=this.step?today(current):""),classNames.push(2>=this.step?"vis-"+current.format("dddd").toLowerCase():""),classNames.push(even(current.date()-1));break;case"week":classNames.push("vis-week"+current.format("w")),classNames.push(currentWeek(current)),classNames.push(even(current.week()));break;case"month":classNames.push("vis-"+current.format("MMMM").toLowerCase()),classNames.push(currentMonth(current)),classNames.push(even(current.month()));break;case"quarter":classNames.push("vis-q"+current.quarter()),classNames.push(currentQuarter(current)),classNames.push(even(current.quarter()));break;case"year":classNames.push("vis-year"+current.year()),classNames.push(currentYear(current)),classNames.push(even(current.year()));}return classNames.filter(String).join(" ")};var TimeStep_1=TimeStep;TimeAxis.prototype=new Component_1,TimeAxis.prototype.setOptions=function(options){options&&(util.selectiveExtend(["showMinorLabels","showMajorLabels","maxMinorChars","hiddenDates","timeAxis","moment","rtl"],this.options,options),util.selectiveDeepExtend(["format"],this.options,options),"orientation"in options&&("string"==typeof options.orientation?this.options.orientation.axis=options.orientation:"object"==typeof options.orientation&&"axis"in options.orientation&&(this.options.orientation.axis=options.orientation.axis)),"locale"in options&&("function"==typeof moment$5.locale?moment$5.locale(options.locale):moment$5.lang(options.locale)))},TimeAxis.prototype._create=function(){this.dom.foreground=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.foreground.className="vis-time-axis vis-foreground",this.dom.background.className="vis-time-axis vis-background"},TimeAxis.prototype.destroy=function(){this.dom.foreground.parentNode&&this.dom.foreground.parentNode.removeChild(this.dom.foreground),this.dom.background.parentNode&&this.dom.background.parentNode.removeChild(this.dom.background),this.body=null},TimeAxis.prototype.redraw=function(){var props=this.props,foreground=this.dom.foreground,background=this.dom.background,parent="top"==this.options.orientation.axis?this.body.dom.top:this.body.dom.bottom,parentChanged=foreground.parentNode!==parent;this._calculateCharSize();var showMinorLabels=this.options.showMinorLabels&&"none"!==this.options.orientation.axis,showMajorLabels=this.options.showMajorLabels&&"none"!==this.options.orientation.axis;props.minorLabelHeight=showMinorLabels?props.minorCharHeight:0,props.majorLabelHeight=showMajorLabels?props.majorCharHeight:0,props.height=props.minorLabelHeight+props.majorLabelHeight,props.width=foreground.offsetWidth,props.minorLineHeight=this.body.domProps.root.height-props.majorLabelHeight-("top"==this.options.orientation.axis?this.body.domProps.bottom.height:this.body.domProps.top.height),props.minorLineWidth=1,props.majorLineHeight=props.minorLineHeight+props.majorLabelHeight,props.majorLineWidth=1;var foregroundNextSibling=foreground.nextSibling,backgroundNextSibling=background.nextSibling;return foreground.parentNode&&foreground.parentNode.removeChild(foreground),background.parentNode&&background.parentNode.removeChild(background),foreground.style.height=this.props.height+"px",this._repaintLabels(),foregroundNextSibling?parent.insertBefore(foreground,foregroundNextSibling):parent.appendChild(foreground),backgroundNextSibling?this.body.dom.backgroundVertical.insertBefore(background,backgroundNextSibling):this.body.dom.backgroundVertical.appendChild(background),this._isResized()||parentChanged},TimeAxis.prototype._repaintLabels=function(){var orientation=this.options.orientation.axis,start=util.convert(this.body.range.start,"Number"),end=util.convert(this.body.range.end,"Number"),timeLabelsize=this.body.util.toTime((this.props.minorCharWidth||10)*this.options.maxMinorChars).valueOf(),minimumStep=timeLabelsize-DateUtil.getHiddenDurationBefore(this.options.moment,this.body.hiddenDates,this.body.range,timeLabelsize);minimumStep-=this.body.util.toTime(0).valueOf();var step=new TimeStep_1(new Date(start),new Date(end),minimumStep,this.body.hiddenDates,this.options);step.setMoment(this.options.moment),this.options.format&&step.setFormat(this.options.format),this.options.timeAxis&&step.setScale(this.options.timeAxis),this.step=step;var dom=this.dom;dom.redundant.lines=dom.lines,dom.redundant.majorTexts=dom.majorTexts,dom.redundant.minorTexts=dom.minorTexts,dom.lines=[],dom.majorTexts=[],dom.minorTexts=[];var width=0,xFirstMajorLabel=void 0,count=0,current,next,x,xNext,isMajor,showMinorGrid,prevWidth,line;var className;for(step.start(),next=step.getCurrent(),xNext=this.body.util.toScreen(next);step.hasNext()&&count<1e3;){switch(count++,isMajor=step.isMajor(),className=step.getClassName(),current=next,x=xNext,step.next(),next=step.getCurrent(),xNext=this.body.util.toScreen(next),prevWidth=width,width=xNext-x,step.scale){case"week":showMinorGrid=!0;break;default:showMinorGrid=width>=.4*prevWidth;}if(this.options.showMinorLabels&&showMinorGrid){var label=this._repaintMinorText(x,step.getLabelMinor(current),orientation,className);label.style.width=width+"px"}isMajor&&this.options.showMajorLabels?(0<x&&(null==xFirstMajorLabel&&(xFirstMajorLabel=x),label=this._repaintMajorText(x,step.getLabelMajor(current),orientation,className)),line=this._repaintMajorLine(x,width,orientation,className)):showMinorGrid?line=this._repaintMinorLine(x,width,orientation,className):line&&(line.style.width=parseInt(line.style.width)+width+"px")}if(1000!==count||warnedForOverflow||(console.warn(`Something is wrong with the Timeline scale. Limited drawing of grid lines to ${1000} lines.`),warnedForOverflow=!0),this.options.showMajorLabels){var leftTime=this.body.util.toTime(0),leftText=step.getLabelMajor(leftTime),widthText=leftText.length*(this.props.majorCharWidth||10)+10;(null==xFirstMajorLabel||widthText<xFirstMajorLabel)&&this._repaintMajorText(0,leftText,orientation,className)}util.forEach(this.dom.redundant,function(arr){for(;arr.length;){var elem=arr.pop();elem&&elem.parentNode&&elem.parentNode.removeChild(elem)}})},TimeAxis.prototype._repaintMinorText=function(x,text,orientation,className){var label=this.dom.redundant.minorTexts.shift();if(!label){var content=document.createTextNode("");label=document.createElement("div"),label.appendChild(content),this.dom.foreground.appendChild(label)}return this.dom.minorTexts.push(label),label.innerHTML=text,label.style.top="top"==orientation?this.props.majorLabelHeight+"px":"0",this.options.rtl?(label.style.left="",label.style.right=x+"px"):label.style.left=x+"px",label.className="vis-text vis-minor "+className,label},TimeAxis.prototype._repaintMajorText=function(x,text,orientation,className){var label=this.dom.redundant.majorTexts.shift();if(!label){var content=document.createElement("div");label=document.createElement("div"),label.appendChild(content),this.dom.foreground.appendChild(label)}return label.childNodes[0].innerHTML=text,label.className="vis-text vis-major "+className,label.style.top="top"==orientation?"0":this.props.minorLabelHeight+"px",this.options.rtl?(label.style.left="",label.style.right=x+"px"):label.style.left=x+"px",this.dom.majorTexts.push(label),label},TimeAxis.prototype._repaintMinorLine=function(x,width,orientation,className){var line=this.dom.redundant.lines.shift();line||(line=document.createElement("div"),this.dom.background.appendChild(line)),this.dom.lines.push(line);var props=this.props;return line.style.top="top"==orientation?props.majorLabelHeight+"px":this.body.domProps.top.height+"px",line.style.height=props.minorLineHeight+"px",this.options.rtl?(line.style.left="",line.style.right=x-props.minorLineWidth/2+"px",line.className="vis-grid vis-vertical-rtl vis-minor "+className):(line.style.left=x-props.minorLineWidth/2+"px",line.className="vis-grid vis-vertical vis-minor "+className),line.style.width=width+"px",line},TimeAxis.prototype._repaintMajorLine=function(x,width,orientation,className){var line=this.dom.redundant.lines.shift();line||(line=document.createElement("div"),this.dom.background.appendChild(line)),this.dom.lines.push(line);var props=this.props;return line.style.top="top"==orientation?"0":this.body.domProps.top.height+"px",this.options.rtl?(line.style.left="",line.style.right=x-props.majorLineWidth/2+"px",line.className="vis-grid vis-vertical-rtl vis-major "+className):(line.style.left=x-props.majorLineWidth/2+"px",line.className="vis-grid vis-vertical vis-major "+className),line.style.height=props.majorLineHeight+"px",line.style.width=width+"px",line},TimeAxis.prototype._calculateCharSize=function(){this.dom.measureCharMinor||(this.dom.measureCharMinor=document.createElement("DIV"),this.dom.measureCharMinor.className="vis-text vis-minor vis-measure",this.dom.measureCharMinor.style.position="absolute",this.dom.measureCharMinor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMinor)),this.props.minorCharHeight=this.dom.measureCharMinor.clientHeight,this.props.minorCharWidth=this.dom.measureCharMinor.clientWidth,this.dom.measureCharMajor||(this.dom.measureCharMajor=document.createElement("DIV"),this.dom.measureCharMajor.className="vis-text vis-major vis-measure",this.dom.measureCharMajor.style.position="absolute",this.dom.measureCharMajor.appendChild(document.createTextNode("0")),this.dom.foreground.appendChild(this.dom.measureCharMajor)),this.props.majorCharHeight=this.dom.measureCharMajor.clientHeight,this.props.majorCharWidth=this.dom.measureCharMajor.clientWidth};var warnedForOverflow=!1;emitterComponent(Activator$2.prototype),Activator$2.current=null,Activator$2.prototype.destroy=function(){this.deactivate(),this.dom.overlay.parentNode.removeChild(this.dom.overlay),this.onClick&&document.body.removeEventListener("click",this.onClick),this.keycharm!==void 0&&this.keycharm.destroy(),this.keycharm=null,this.hammer.destroy(),this.hammer=null},Activator$2.prototype.activate=function(){Activator$2.current&&Activator$2.current.deactivate(),Activator$2.current=this,this.active=!0,this.dom.overlay.style.display="none",util.addClassName(this.dom.container,"vis-active"),this.emit("change"),this.emit("activate"),this.keycharm.bind("esc",this.escListener)},Activator$2.prototype.deactivate=function(){this.active=!1,this.dom.overlay.style.display="",util.removeClassName(this.dom.container,"vis-active"),this.keycharm.unbind("esc",this.escListener),this.emit("change"),this.emit("deactivate")},Activator$2.prototype._onTapOverlay=function(event){this.activate(),event.stopPropagation()};var locales$1=createCommonjsModule$2(function(module,exports){exports.en={current:"current",time:"time"},exports.en_EN=exports.en,exports.en_US=exports.en,exports.it={current:"attuale",time:"tempo"},exports.it_IT=exports.it,exports.it_CH=exports.it,exports.nl={current:"huidige",time:"tijd"},exports.nl_NL=exports.nl,exports.nl_BE=exports.nl,exports.de={current:"Aktuelle",time:"Zeit"},exports.de_DE=exports.de,exports.fr={current:"actuel",time:"heure"},exports.fr_FR=exports.fr,exports.fr_CA=exports.fr,exports.fr_BE=exports.fr,exports.es={current:"corriente",time:"hora"},exports.es_ES=exports.es,exports.uk={current:"\u043F\u043E\u0442\u043E\u0447\u043D\u0438\u0439",time:"\u0447\u0430\u0441"},exports.uk_UA=exports.uk,exports.ru={current:"\u0442\u0435\u043A\u0443\u0449\u0435\u0435",time:"\u0432\u0440\u0435\u043C\u044F"},exports.ru_RU=exports.ru});CustomTime.prototype=new Component_1,CustomTime.prototype.setOptions=function(options){options&&util.selectiveExtend(["moment","locale","locales","id","editable"],this.options,options)},CustomTime.prototype._create=function(){function onMouseWheel(e){this.body.range._onMouseWheel(e)}var bar=document.createElement("div");bar["custom-time"]=this,bar.className="vis-custom-time "+(this.options.editable?"":"disabled ")+(this.options.id||""),bar.style.position="absolute",bar.style.top="0px",bar.style.height="100%",this.bar=bar;var drag=document.createElement("div");drag.style.position="relative",drag.style.top="0px",drag.style.left="-10px",drag.style.height="100%",drag.style.width="20px",drag.addEventListener?(drag.addEventListener("mousewheel",onMouseWheel.bind(this),!1),drag.addEventListener("DOMMouseScroll",onMouseWheel.bind(this),!1)):drag.attachEvent("onmousewheel",onMouseWheel.bind(this)),bar.appendChild(drag),this.options.editable&&(this.hammer=new hammer$3(drag),this.hammer.on("panstart",this._onDragStart.bind(this)),this.hammer.on("panmove",this._onDrag.bind(this)),this.hammer.on("panend",this._onDragEnd.bind(this)),this.hammer.get("pan").set({threshold:5,direction:hammer$3.DIRECTION_HORIZONTAL}))},CustomTime.prototype.destroy=function(){this.hide(),this.hammer.destroy(),this.hammer=null,this.body=null},CustomTime.prototype.redraw=function(){var parent=this.body.dom.backgroundVertical;this.bar.parentNode!=parent&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),parent.appendChild(this.bar));var x=this.body.util.toScreen(this.customTime),locale=this.options.locales[this.options.locale];locale||(!this.warned&&(console.log("WARNING: options.locales['"+this.options.locale+"'] not found. See http://visjs.org/docs/timeline/#Localization"),this.warned=!0),locale=this.options.locales.en);var title=this.options.title;return void 0===title?(title=locale.time+": "+this.options.moment(this.customTime).format("dddd, MMMM Do YYYY, H:mm:ss"),title=title.charAt(0).toUpperCase()+title.substring(1)):"function"==typeof title&&(title=title.call(this.customTime)),this.bar.style.left=x+"px",this.bar.title=title,!1},CustomTime.prototype.hide=function(){this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar)},CustomTime.prototype.setCustomTime=function(time){this.customTime=util.convert(time,"Date"),this.redraw()},CustomTime.prototype.getCustomTime=function(){return new Date(this.customTime.valueOf())},CustomTime.prototype.setCustomTitle=function(title){this.options.title=title},CustomTime.prototype._onDragStart=function(event){this.eventParams.dragging=!0,this.eventParams.customTime=this.customTime,event.stopPropagation()},CustomTime.prototype._onDrag=function(event){if(this.eventParams.dragging){var x=this.body.util.toScreen(this.eventParams.customTime)+event.deltaX,time=this.body.util.toTime(x);this.setCustomTime(time),this.body.emitter.emit("timechange",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:event}),event.stopPropagation()}},CustomTime.prototype._onDragEnd=function(event){this.eventParams.dragging&&(this.body.emitter.emit("timechanged",{id:this.options.id,time:new Date(this.customTime.valueOf()),event:event}),event.stopPropagation())},CustomTime.customTimeFromTarget=function(event){for(var target=event.target;target;){if(target.hasOwnProperty("custom-time"))return target["custom-time"];target=target.parentNode}return null},emitterComponent(Core.prototype),Core.prototype._create=function(container){function onMouseWheel(event){this.isActive()&&this.emit("mousewheel",event);var deltaX=0,deltaY=0;if(("detail"in event&&(deltaY=-1*event.detail),"wheelDelta"in event&&(deltaY=event.wheelDelta),"wheelDeltaY"in event&&(deltaY=event.wheelDeltaY),"wheelDeltaX"in event&&(deltaX=-1*event.wheelDeltaX),"axis"in event&&event.axis===event.HORIZONTAL_AXIS&&(deltaX=-1*deltaY,deltaY=0),"deltaY"in event&&(deltaY=-1*event.deltaY),"deltaX"in event&&(deltaX=event.deltaX),event.deltaMode&&(1===event.deltaMode?(deltaX*=40,deltaY*=40):(deltaX*=40,deltaY*=800)),this.options.zoomKey&&!event[this.options.zoomKey])&&(this.options.verticalScroll||this.options.horizontalScroll))if(event.preventDefault(),this.options.verticalScroll&&_Mathabs(deltaY)>=_Mathabs(deltaX)){var current=this.props.scrollTop,adjusted=current+deltaY;this.isActive()&&(this._setScrollTop(adjusted),this._redraw(),this.emit("scroll",event))}else if(this.options.horizontalScroll){var delta=_Mathabs(deltaX)>=_Mathabs(deltaY)?deltaX:deltaY,diff=delta/120*(this.range.end-this.range.start)/20,newStart=this.range.start+diff,newEnd=this.range.end+diff;this.range.setRange(newStart,newEnd,{animation:!1,byUser:!0,event:event})}}function onMouseScrollSide(event){if(me.options.verticalScroll&&(event.preventDefault(),me.isActive())){var adjusted=-event.target.scrollTop;me._setScrollTop(adjusted),me._redraw(),me.emit("scrollSide",event)}}function handleDragOver(event){if(event.preventDefault&&event.preventDefault(),!(-1<!event.target.className.indexOf("vis")))return itemAddedToTimeline?void 0:(event.dataTransfer.dropEffect="move",itemAddedToTimeline=!0,!1)}this.dom={},this.dom.container=container,this.dom.container.style.position="relative",this.dom.root=document.createElement("div"),this.dom.background=document.createElement("div"),this.dom.backgroundVertical=document.createElement("div"),this.dom.backgroundHorizontal=document.createElement("div"),this.dom.centerContainer=document.createElement("div"),this.dom.leftContainer=document.createElement("div"),this.dom.rightContainer=document.createElement("div"),this.dom.center=document.createElement("div"),this.dom.left=document.createElement("div"),this.dom.right=document.createElement("div"),this.dom.top=document.createElement("div"),this.dom.bottom=document.createElement("div"),this.dom.shadowTop=document.createElement("div"),this.dom.shadowBottom=document.createElement("div"),this.dom.shadowTopLeft=document.createElement("div"),this.dom.shadowBottomLeft=document.createElement("div"),this.dom.shadowTopRight=document.createElement("div"),this.dom.shadowBottomRight=document.createElement("div"),this.dom.rollingModeBtn=document.createElement("div"),this.dom.loadingScreen=document.createElement("div"),this.dom.root.className="vis-timeline",this.dom.background.className="vis-panel vis-background",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical",this.dom.backgroundHorizontal.className="vis-panel vis-background vis-horizontal",this.dom.centerContainer.className="vis-panel vis-center",this.dom.leftContainer.className="vis-panel vis-left",this.dom.rightContainer.className="vis-panel vis-right",this.dom.top.className="vis-panel vis-top",this.dom.bottom.className="vis-panel vis-bottom",this.dom.left.className="vis-content",this.dom.center.className="vis-content",this.dom.right.className="vis-content",this.dom.shadowTop.className="vis-shadow vis-top",this.dom.shadowBottom.className="vis-shadow vis-bottom",this.dom.shadowTopLeft.className="vis-shadow vis-top",this.dom.shadowBottomLeft.className="vis-shadow vis-bottom",this.dom.shadowTopRight.className="vis-shadow vis-top",this.dom.shadowBottomRight.className="vis-shadow vis-bottom",this.dom.rollingModeBtn.className="vis-rolling-mode-btn",this.dom.loadingScreen.className="vis-loading-screen",this.dom.root.appendChild(this.dom.background),this.dom.root.appendChild(this.dom.backgroundVertical),this.dom.root.appendChild(this.dom.backgroundHorizontal),this.dom.root.appendChild(this.dom.centerContainer),this.dom.root.appendChild(this.dom.leftContainer),this.dom.root.appendChild(this.dom.rightContainer),this.dom.root.appendChild(this.dom.top),this.dom.root.appendChild(this.dom.bottom),this.dom.root.appendChild(this.dom.rollingModeBtn),this.dom.centerContainer.appendChild(this.dom.center),this.dom.leftContainer.appendChild(this.dom.left),this.dom.rightContainer.appendChild(this.dom.right),this.dom.centerContainer.appendChild(this.dom.shadowTop),this.dom.centerContainer.appendChild(this.dom.shadowBottom),this.dom.leftContainer.appendChild(this.dom.shadowTopLeft),this.dom.leftContainer.appendChild(this.dom.shadowBottomLeft),this.dom.rightContainer.appendChild(this.dom.shadowTopRight),this.dom.rightContainer.appendChild(this.dom.shadowBottomRight),this.props={root:{},background:{},centerContainer:{},leftContainer:{},rightContainer:{},center:{},left:{},right:{},top:{},bottom:{},border:{},scrollTop:0,scrollTopMin:0},this.on("rangechange",function(){!0===this.initialDrawDone&&this._redraw()}.bind(this)),this.on("rangechanged",function(){this.initialRangeChangeDone||(this.initialRangeChangeDone=!0)}.bind(this)),this.on("touch",this._onTouch.bind(this)),this.on("panmove",this._onDrag.bind(this));var me=this;this._origRedraw=this._redraw.bind(this),this._redraw=util.throttle(this._origRedraw),this.on("_change",function(properties){me.itemSet&&me.itemSet.initialItemSetDrawn&&properties&&!0==properties.queue?me._redraw():me._origRedraw()}),this.hammer=new hammer$3(this.dom.root);var pinchRecognizer=this.hammer.get("pinch").set({enable:!0});pinchRecognizer&&hammerUtil$1.disablePreventDefaultVertically(pinchRecognizer),this.hammer.get("pan").set({threshold:5,direction:hammer$3.DIRECTION_HORIZONTAL}),this.listeners={};if(["tap","doubletap","press","pinch","pan","panstart","panmove","panend"].forEach(function(type){var listener=function(event){me.isActive()&&me.emit(type,event)};me.hammer.on(type,listener),me.listeners[type]=listener}),hammerUtil$1.onTouch(this.hammer,function(event){me.emit("touch",event)}.bind(this)),hammerUtil$1.onRelease(this.hammer,function(event){me.emit("release",event)}.bind(this)),this.dom.centerContainer.addEventListener){const wheel="onwheel"in document.createElement("div")?"wheel":void 0===document.onmousewheel?"DOMMouseScroll":"mousewheel";this.dom.centerContainer.addEventListener(wheel,onMouseWheel.bind(this),!1)}else this.dom.centerContainer.attachEvent("onmousewheel",onMouseWheel.bind(this));this.dom.left.parentNode.addEventListener("scroll",onMouseScrollSide.bind(this)),this.dom.right.parentNode.addEventListener("scroll",onMouseScrollSide.bind(this));var itemAddedToTimeline=!1;if(this.dom.center.addEventListener("dragover",handleDragOver.bind(this),!1),this.dom.center.addEventListener("drop",function(event){event.preventDefault&&event.preventDefault(),event.stopPropagation&&event.stopPropagation();try{var itemData=JSON.parse(event.dataTransfer.getData("text"));if(!itemData||!itemData.content)return}catch(err){return!1}return itemAddedToTimeline=!1,event.center={x:event.clientX,y:event.clientY},"item"===itemData.target?me.itemSet._onDropObjectOnItem(event):me.itemSet._onAddItem(event),me.emit("drop",me.getEventProperties(event)),!1}.bind(this),!1),this.customTimes=[],this.touch={},this.redrawCount=0,this.initialDrawDone=!1,this.initialRangeChangeDone=!1,!container)throw new Error("No container provided");container.appendChild(this.dom.root),container.appendChild(this.dom.loadingScreen)},Core.prototype.setOptions=function(options){if(options){if(util.selectiveExtend(["width","height","minHeight","maxHeight","autoResize","start","end","clickToUse","dataAttributes","hiddenDates","locale","locales","moment","rtl","zoomKey","horizontalScroll","verticalScroll"],this.options,options),this.dom.rollingModeBtn.style.visibility="hidden",this.options.rtl&&(this.dom.container.style.direction="rtl",this.dom.backgroundVertical.className="vis-panel vis-background vis-vertical-rtl"),this.options.verticalScroll&&(this.options.rtl?this.dom.rightContainer.className="vis-panel vis-right vis-vertical-scroll":this.dom.leftContainer.className="vis-panel vis-left vis-vertical-scroll"),"object"!=typeof this.options.orientation&&(this.options.orientation={item:void 0,axis:void 0}),"orientation"in options&&("string"==typeof options.orientation?this.options.orientation={item:options.orientation,axis:options.orientation}:"object"==typeof options.orientation&&("item"in options.orientation&&(this.options.orientation.item=options.orientation.item),"axis"in options.orientation&&(this.options.orientation.axis=options.orientation.axis))),"both"===this.options.orientation.axis){if(!this.timeAxis2){var timeAxis2=this.timeAxis2=new TimeAxis(this.body);timeAxis2.setOptions=function(options){var _options=options?util.extend({},options):{};_options.orientation="top",TimeAxis.prototype.setOptions.call(timeAxis2,_options)},this.components.push(timeAxis2)}}else if(this.timeAxis2){var index=this.components.indexOf(this.timeAxis2);-1!==index&&this.components.splice(index,1),this.timeAxis2.destroy(),this.timeAxis2=null}if("function"==typeof options.drawPoints&&(options.drawPoints={onRender:options.drawPoints}),"hiddenDates"in this.options&&DateUtil.convertHiddenOptions(this.options.moment,this.body,this.options.hiddenDates),"clickToUse"in options&&(options.clickToUse?!this.activator&&(this.activator=new Activator$2(this.dom.root)):this.activator&&(this.activator.destroy(),delete this.activator)),"showCustomTime"in options)throw new Error("Option `showCustomTime` is deprecated. Create a custom time bar via timeline.addCustomTime(time [, id])");this._initAutoResize()}if(this.components.forEach(component=>component.setOptions(options)),"configure"in options){this.configurator||(this.configurator=this._createConfigurator()),this.configurator.setOptions(options.configure);var appliedOptions=util.deepExtend({},this.options);this.components.forEach(function(component){util.deepExtend(appliedOptions,component.options)}),this.configurator.setModuleOptions({global:appliedOptions})}this._redraw()},Core.prototype.isActive=function(){return!this.activator||this.activator.active},Core.prototype.destroy=function(){for(var event in this.setItems(null),this.setGroups(null),this.off(),this._stopAutoResize(),this.dom.root.parentNode&&this.dom.root.parentNode.removeChild(this.dom.root),this.dom=null,this.activator&&(this.activator.destroy(),delete this.activator),this.listeners)this.listeners.hasOwnProperty(event)&&delete this.listeners[event];this.listeners=null,this.hammer&&this.hammer.destroy(),this.hammer=null,this.components.forEach(component=>component.destroy()),this.body=null},Core.prototype.setCustomTime=function(time,id){var customTimes=this.customTimes.filter(function(component){return id===component.options.id});if(0===customTimes.length)throw new Error("No custom time bar found with id "+JSON.stringify(id));0<customTimes.length&&customTimes[0].setCustomTime(time)},Core.prototype.getCustomTime=function(id){var customTimes=this.customTimes.filter(function(component){return component.options.id===id});if(0===customTimes.length)throw new Error("No custom time bar found with id "+JSON.stringify(id));return customTimes[0].getCustomTime()},Core.prototype.setCustomTimeTitle=function(title,id){var customTimes=this.customTimes.filter(function(component){return component.options.id===id});if(0===customTimes.length)throw new Error("No custom time bar found with id "+JSON.stringify(id));return 0<customTimes.length?customTimes[0].setCustomTitle(title):void 0},Core.prototype.getEventProperties=function(event){return{event:event}},Core.prototype.addCustomTime=function(time,id,options){var timestamp=void 0===time?new Date:util.convert(time,"Date").valueOf(),exists=this.customTimes.some(function(customTime){return customTime.options.id===id});if(exists)throw new Error("A custom time with id "+JSON.stringify(id)+" already exists");var customTime=new CustomTime(this.body,util.extend({},this.options,options,{time:timestamp,id:id}));return this.customTimes.push(customTime),this.components.push(customTime),this._redraw(),id},Core.prototype.removeCustomTime=function(id){var customTimes=this.customTimes.filter(function(bar){return bar.options.id===id});if(0===customTimes.length)throw new Error("No custom time bar found with id "+JSON.stringify(id));customTimes.forEach(function(customTime){this.customTimes.splice(this.customTimes.indexOf(customTime),1),this.components.splice(this.components.indexOf(customTime),1),customTime.destroy()}.bind(this))},Core.prototype.getVisibleItems=function(){return this.itemSet&&this.itemSet.getVisibleItems()||[]},Core.prototype.getVisibleGroups=function(){return this.itemSet&&this.itemSet.getVisibleGroups()||[]},Core.prototype.fit=function(options,callback){var range=this.getDataRange();if(null!==range.min||null!==range.max){var interval=range.max-range.min,min=new Date(range.min.valueOf()-.01*interval),max=new Date(range.max.valueOf()+.01*interval),animation=!(options&&void 0!==options.animation)||options.animation;this.range.setRange(min,max,{animation:animation},callback)}},Core.prototype.getDataRange=function(){throw new Error("Cannot invoke abstract method getDataRange")},Core.prototype.setWindow=function(start,end,options,callback){"function"==typeof arguments[2]&&(callback=arguments[2],options={});var animation,range;1==arguments.length?(range=arguments[0],animation=!(range.animation!==void 0)||range.animation,this.range.setRange(range.start,range.end,{animation:animation})):2==arguments.length&&"function"==typeof arguments[1]?(range=arguments[0],callback=arguments[1],animation=!(range.animation!==void 0)||range.animation,this.range.setRange(range.start,range.end,{animation:animation},callback)):(animation=!(options&&options.animation!==void 0)||options.animation,this.range.setRange(start,end,{animation:animation},callback))},Core.prototype.moveTo=function(time,options,callback){"function"==typeof arguments[1]&&(callback=arguments[1],options={});var interval=this.range.end-this.range.start,t=util.convert(time,"Date").valueOf(),animation=!(options&&options.animation!==void 0)||options.animation;this.range.setRange(t-interval/2,t+interval/2,{animation:animation},callback)},Core.prototype.getWindow=function(){var range=this.range.getRange();return{start:new Date(range.start),end:new Date(range.end)}},Core.prototype.zoomIn=function(percentage,options,callback){if(!(!percentage||0>percentage||1<percentage)){"function"==typeof arguments[1]&&(callback=arguments[1],options={});var range=this.getWindow(),start=range.start.valueOf(),end=range.end.valueOf(),interval=end-start,distance=(interval-interval/(1+percentage))/2;this.setWindow(start+distance,end-distance,options,callback)}},Core.prototype.zoomOut=function(percentage,options,callback){if(!(!percentage||0>percentage||1<percentage)){"function"==typeof arguments[1]&&(callback=arguments[1],options={});var range=this.getWindow(),start=range.start.valueOf(),end=range.end.valueOf(),interval=end-start;this.setWindow(start-interval*percentage/2,end+interval*percentage/2,options,callback)}},Core.prototype.redraw=function(){this._redraw()},Core.prototype._redraw=function(){this.redrawCount++;var resized=!1,options=this.options,props=this.props,dom=this.dom;if(dom&&dom.container&&0!=dom.root.offsetWidth){DateUtil.updateHiddenDates(this.options.moment,this.body,this.options.hiddenDates),"top"==options.orientation?(util.addClassName(dom.root,"vis-top"),util.removeClassName(dom.root,"vis-bottom")):(util.removeClassName(dom.root,"vis-top"),util.addClassName(dom.root,"vis-bottom")),dom.root.style.maxHeight=util.option.asSize(options.maxHeight,""),dom.root.style.minHeight=util.option.asSize(options.minHeight,""),dom.root.style.width=util.option.asSize(options.width,""),props.border.left=(dom.centerContainer.offsetWidth-dom.centerContainer.clientWidth)/2,props.border.right=props.border.left,props.border.top=(dom.centerContainer.offsetHeight-dom.centerContainer.clientHeight)/2,props.border.bottom=props.border.top,props.borderRootHeight=dom.root.offsetHeight-dom.root.clientHeight,props.borderRootWidth=dom.root.offsetWidth-dom.root.clientWidth,0===dom.centerContainer.clientHeight&&(props.border.left=props.border.top,props.border.right=props.border.left),0===dom.root.clientHeight&&(props.borderRootWidth=props.borderRootHeight),props.center.height=dom.center.offsetHeight,props.left.height=dom.left.offsetHeight,props.right.height=dom.right.offsetHeight,props.top.height=dom.top.clientHeight||-props.border.top,props.bottom.height=dom.bottom.clientHeight||-props.border.bottom;var contentHeight=_Mathmax(props.left.height,props.center.height,props.right.height),autoHeight=props.top.height+contentHeight+props.bottom.height+props.borderRootHeight+props.border.top+props.border.bottom;dom.root.style.height=util.option.asSize(options.height,autoHeight+"px"),props.root.height=dom.root.offsetHeight,props.background.height=props.root.height-props.borderRootHeight;var containerHeight=props.root.height-props.top.height-props.bottom.height-props.borderRootHeight;props.centerContainer.height=containerHeight,props.leftContainer.height=containerHeight,props.rightContainer.height=props.leftContainer.height,props.root.width=dom.root.offsetWidth,props.background.width=props.root.width-props.borderRootWidth,this.initialDrawDone||(props.scrollbarWidth=util.getScrollBarWidth()),options.verticalScroll?options.rtl?(props.left.width=dom.leftContainer.clientWidth||-props.border.left,props.right.width=dom.rightContainer.clientWidth+props.scrollbarWidth||-props.border.right):(props.left.width=dom.leftContainer.clientWidth+props.scrollbarWidth||-props.border.left,props.right.width=dom.rightContainer.clientWidth||-props.border.right):(props.left.width=dom.leftContainer.clientWidth||-props.border.left,props.right.width=dom.rightContainer.clientWidth||-props.border.right),this._setDOM();var offset=this._updateScrollTop();"top"!=options.orientation.item&&(offset+=_Mathmax(props.centerContainer.height-props.center.height-props.border.top-props.border.bottom,0)),dom.center.style.top=offset+"px";var visibilityTop=0==props.scrollTop?"hidden":"",visibilityBottom=props.scrollTop==props.scrollTopMin?"hidden":"";dom.shadowTop.style.visibility=visibilityTop,dom.shadowBottom.style.visibility=visibilityBottom,dom.shadowTopLeft.style.visibility=visibilityTop,dom.shadowBottomLeft.style.visibility=visibilityBottom,dom.shadowTopRight.style.visibility=visibilityTop,dom.shadowBottomRight.style.visibility=visibilityBottom,options.verticalScroll&&(dom.rightContainer.className="vis-panel vis-right vis-vertical-scroll",dom.leftContainer.className="vis-panel vis-left vis-vertical-scroll",dom.shadowTopRight.style.visibility="hidden",dom.shadowBottomRight.style.visibility="hidden",dom.shadowTopLeft.style.visibility="hidden",dom.shadowBottomLeft.style.visibility="hidden",dom.left.style.top="0px",dom.right.style.top="0px"),(!options.verticalScroll||props.center.height<props.centerContainer.height)&&(dom.left.style.top=offset+"px",dom.right.style.top=offset+"px",dom.rightContainer.className=dom.rightContainer.className.replace(/(?:^|\s)vis-vertical-scroll(?:\s|$)/," "),dom.leftContainer.className=dom.leftContainer.className.replace(/(?:^|\s)vis-vertical-scroll(?:\s|$)/," "),props.left.width=dom.leftContainer.clientWidth||-props.border.left,props.right.width=dom.rightContainer.clientWidth||-props.border.right,this._setDOM());var contentsOverflow=props.center.height>props.centerContainer.height;this.hammer.get("pan").set({direction:contentsOverflow?hammer$3.DIRECTION_ALL:hammer$3.DIRECTION_HORIZONTAL}),this.components.forEach(function(component){resized=component.redraw()||resized});if(resized){if(5>this.redrawCount)return void this.body.emitter.emit("_change");console.log("WARNING: infinite loop in redraw?")}else this.redrawCount=0;this.body.emitter.emit("changed")}},Core.prototype._setDOM=function(){var props=this.props,dom=this.dom;props.leftContainer.width=props.left.width,props.rightContainer.width=props.right.width;var centerWidth=props.root.width-props.left.width-props.right.width-props.borderRootWidth;props.center.width=centerWidth,props.centerContainer.width=centerWidth,props.top.width=centerWidth,props.bottom.width=centerWidth,dom.background.style.height=props.background.height+"px",dom.backgroundVertical.style.height=props.background.height+"px",dom.backgroundHorizontal.style.height=props.centerContainer.height+"px",dom.centerContainer.style.height=props.centerContainer.height+"px",dom.leftContainer.style.height=props.leftContainer.height+"px",dom.rightContainer.style.height=props.rightContainer.height+"px",dom.background.style.width=props.background.width+"px",dom.backgroundVertical.style.width=props.centerContainer.width+"px",dom.backgroundHorizontal.style.width=props.background.width+"px",dom.centerContainer.style.width=props.center.width+"px",dom.top.style.width=props.top.width+"px",dom.bottom.style.width=props.bottom.width+"px",dom.background.style.left="0",dom.background.style.top="0",dom.backgroundVertical.style.left=props.left.width+props.border.left+"px",dom.backgroundVertical.style.top="0",dom.backgroundHorizontal.style.left="0",dom.backgroundHorizontal.style.top=props.top.height+"px",dom.centerContainer.style.left=props.left.width+"px",dom.centerContainer.style.top=props.top.height+"px",dom.leftContainer.style.left="0",dom.leftContainer.style.top=props.top.height+"px",dom.rightContainer.style.left=props.left.width+props.center.width+"px",dom.rightContainer.style.top=props.top.height+"px",dom.top.style.left=props.left.width+"px",dom.top.style.top="0",dom.bottom.style.left=props.left.width+"px",dom.bottom.style.top=props.top.height+props.centerContainer.height+"px",dom.center.style.left="0",dom.left.style.left="0",dom.right.style.left="0"},Core.prototype.repaint=function(){throw new Error("Function repaint is deprecated. Use redraw instead.")},Core.prototype.setCurrentTime=function(time){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");this.currentTime.setCurrentTime(time)},Core.prototype.getCurrentTime=function(){if(!this.currentTime)throw new Error("Option showCurrentTime must be true");return this.currentTime.getCurrentTime()},Core.prototype._toTime=function(x){return DateUtil.toTime(this,x,this.props.center.width)},Core.prototype._toGlobalTime=function(x){return DateUtil.toTime(this,x,this.props.root.width)},Core.prototype._toScreen=function(time){return DateUtil.toScreen(this,time,this.props.center.width)},Core.prototype._toGlobalScreen=function(time){return DateUtil.toScreen(this,time,this.props.root.width)},Core.prototype._initAutoResize=function(){!0==this.options.autoResize?this._startAutoResize():this._stopAutoResize()},Core.prototype._startAutoResize=function(){var me=this;this._stopAutoResize(),this._onResize=function(){return!0==me.options.autoResize?void(me.dom.root&&(me.dom.root.offsetWidth!=me.props.lastWidth||me.dom.root.offsetHeight!=me.props.lastHeight)&&(me.props.lastWidth=me.dom.root.offsetWidth,me.props.lastHeight=me.dom.root.offsetHeight,me.props.scrollbarWidth=util.getScrollBarWidth(),me.body.emitter.emit("_change"))):void me._stopAutoResize()},util.addEventListener(window,"resize",this._onResize),me.dom.root&&(me.props.lastWidth=me.dom.root.offsetWidth,me.props.lastHeight=me.dom.root.offsetHeight),this.watchTimer=setInterval(this._onResize,1e3)},Core.prototype._stopAutoResize=function(){this.watchTimer&&(clearInterval(this.watchTimer),this.watchTimer=void 0),this._onResize&&(util.removeEventListener(window,"resize",this._onResize),this._onResize=null)},Core.prototype._onTouch=function(){this.touch.allowDragging=!0,this.touch.initialScrollTop=this.props.scrollTop},Core.prototype._onPinch=function(){this.touch.allowDragging=!1},Core.prototype._onDrag=function(event){if(event&&this.touch.allowDragging){var delta=event.deltaY,oldScrollTop=this._getScrollTop(),newScrollTop=this._setScrollTop(this.touch.initialScrollTop+delta);this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),newScrollTop!=oldScrollTop&&this.emit("verticalDrag")}},Core.prototype._setScrollTop=function(scrollTop){return this.props.scrollTop=scrollTop,this._updateScrollTop(),this.props.scrollTop},Core.prototype._updateScrollTop=function(){var scrollTopMin=_Mathmin(this.props.centerContainer.height-this.props.center.height,0);return scrollTopMin!=this.props.scrollTopMin&&("top"!=this.options.orientation.item&&(this.props.scrollTop+=scrollTopMin-this.props.scrollTopMin),this.props.scrollTopMin=scrollTopMin),0<this.props.scrollTop&&(this.props.scrollTop=0),this.props.scrollTop<scrollTopMin&&(this.props.scrollTop=scrollTopMin),this.options.verticalScroll&&(this.dom.left.parentNode.scrollTop=-this.props.scrollTop,this.dom.right.parentNode.scrollTop=-this.props.scrollTop),this.props.scrollTop},Core.prototype._getScrollTop=function(){return this.props.scrollTop},Core.prototype._createConfigurator=function(){throw new Error("Cannot invoke abstract method _createConfigurator")},CurrentTime.prototype=new Component_1,CurrentTime.prototype._create=function(){var bar=document.createElement("div");bar.className="vis-current-time",bar.style.position="absolute",bar.style.top="0px",bar.style.height="100%",this.bar=bar},CurrentTime.prototype.destroy=function(){this.options.showCurrentTime=!1,this.redraw(),this.body=null},CurrentTime.prototype.setOptions=function(options){options&&util.selectiveExtend(["rtl","showCurrentTime","alignCurrentTime","moment","locale","locales"],this.options,options)},CurrentTime.prototype.redraw=function(){if(this.options.showCurrentTime){var parent=this.body.dom.backgroundVertical;this.bar.parentNode!=parent&&(this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),parent.appendChild(this.bar),this.start());var now=this.options.moment(new Date().valueOf()+this.offset);this.options.alignCurrentTime&&(now=now.startOf(this.options.alignCurrentTime));var x=this.body.util.toScreen(now),locale=this.options.locales[this.options.locale];locale||(!this.warned&&(console.log("WARNING: options.locales['"+this.options.locale+"'] not found. See http://visjs.org/docs/timeline/#Localization"),this.warned=!0),locale=this.options.locales.en);var title=locale.current+" "+locale.time+": "+now.format("dddd, MMMM Do YYYY, H:mm:ss");title=title.charAt(0).toUpperCase()+title.substring(1),this.options.rtl?this.bar.style.right=x+"px":this.bar.style.left=x+"px",this.bar.title=title}else this.bar.parentNode&&this.bar.parentNode.removeChild(this.bar),this.stop();return!1},CurrentTime.prototype.start=function(){function update(){me.stop();var scale=me.body.range.conversion(me.body.domProps.center.width).scale,interval=1/scale/10;30>interval&&(interval=30),1e3<interval&&(interval=1e3),me.redraw(),me.body.emitter.emit("currentTimeTick"),me.currentTimeTimer=setTimeout(update,interval)}var me=this;update()},CurrentTime.prototype.stop=function(){this.currentTimeTimer!==void 0&&(clearTimeout(this.currentTimeTimer),delete this.currentTimeTimer)},CurrentTime.prototype.setCurrentTime=function(time){var t=util.convert(time,"Date").valueOf(),now=new Date().valueOf();this.offset=t-now,this.redraw()},CurrentTime.prototype.getCurrentTime=function(){return new Date(new Date().valueOf()+this.offset)};var CurrentTime_1=CurrentTime,Stack=createCommonjsModule$2(function(module,exports){var EPSILON=.001;exports.orderByStart=function(items){items.sort(function(a,b){return a.data.start-b.data.start})},exports.orderByEnd=function(items){items.sort(function(a,b){var aTime="end"in a.data?a.data.end:a.data.start,bTime="end"in b.data?b.data.end:b.data.start;return aTime-bTime})},exports.stack=function(items,margin,force,shouldBailItemsRedrawFunction){if(force)for(var i=0;i<items.length;i++)items[i].top=null;for(var i=0,item;i<items.length;i++)if(item=items[i],item.stack&&null===item.top){item.top=margin.axis;var shouldBail=!1;do{for(var collidingItem=null,j=0,jj=items.length,other;j<jj;j++){if(other=items[j],shouldBail=shouldBailItemsRedrawFunction()||!1,shouldBail)return!0;if(null!==other.top&&other!==item&&other.stack&&exports.collision(item,other,margin.item,other.options.rtl)){collidingItem=other;break}}null!=collidingItem&&(item.top=collidingItem.top+collidingItem.height+margin.item.vertical)}while(collidingItem)}return shouldBail},exports.substack=function(items,margin,subgroup){for(var i=0;i<items.length;i++)items[i].top=null;var subgroupHeight=subgroup.height;for(i=0;i<items.length;i++){var item=items[i];if(item.stack&&null===item.top){item.top=item.baseTop;do{for(var collidingItem=null,j=0,jj=items.length,other;j<jj;j++)if(other=items[j],null!==other.top&&other!==item&&exports.collision(item,other,margin.item,other.options.rtl)){collidingItem=other;break}null!=collidingItem&&(item.top=collidingItem.top+collidingItem.height+margin.item.vertical),item.top+item.height>subgroupHeight&&(subgroupHeight=item.top+item.height)}while(collidingItem)}}subgroup.height=subgroupHeight-subgroup.top+.5*margin.item.vertical},exports.nostack=function(items,margin,subgroups,stackSubgroups){for(var i=0;i<items.length;i++)if(items[i].data.subgroup==null)items[i].top=margin.item.vertical;else if(items[i].data.subgroup!==void 0&&stackSubgroups){var newTop=0;for(var subgroup in subgroups)subgroups.hasOwnProperty(subgroup)&&!0==subgroups[subgroup].visible&&subgroups[subgroup].index<subgroups[items[i].data.subgroup].index&&(newTop+=subgroups[subgroup].height,subgroups[items[i].data.subgroup].top=newTop);items[i].top=newTop+.5*margin.item.vertical}stackSubgroups||exports.stackSubgroups(items,margin,subgroups)},exports.stackSubgroups=function(items,margin,subgroups){for(var subgroup in subgroups)if(subgroups.hasOwnProperty(subgroup)){subgroups[subgroup].top=0;do{var collidingItem=null;for(var otherSubgroup in subgroups)if(null!==subgroups[otherSubgroup].top&&otherSubgroup!=subgroup&&subgroups[subgroup].index>subgroups[otherSubgroup].index&&exports.collisionByTimes(subgroups[subgroup],subgroups[otherSubgroup])){collidingItem=subgroups[otherSubgroup];break}null!=collidingItem&&(subgroups[subgroup].top=collidingItem.top+collidingItem.height)}while(collidingItem)}for(var i=0;i<items.length;i++)void 0!==items[i].data.subgroup&&(items[i].top=subgroups[items[i].data.subgroup].top+.5*margin.item.vertical)},exports.stackSubgroupsWithInnerStack=function(subgroupItems,margin,subgroups){var doSubStack=!1,subgroupOrder=[];for(var subgroup in subgroups)subgroups[subgroup].hasOwnProperty("index")?subgroupOrder[subgroups[subgroup].index]=subgroup:subgroupOrder.push(subgroup);for(var j=0;j<subgroupOrder.length;j++)if(subgroup=subgroupOrder[j],subgroups.hasOwnProperty(subgroup)){for(var otherSubgroup in doSubStack=doSubStack||subgroups[subgroup].stack,subgroups[subgroup].top=0,subgroups)subgroups[otherSubgroup].visible&&subgroups[subgroup].index>subgroups[otherSubgroup].index&&(subgroups[subgroup].top+=subgroups[otherSubgroup].height);for(var items=subgroupItems[subgroup],i=0;i<items.length;i++)void 0!==items[i].data.subgroup&&(items[i].top=subgroups[items[i].data.subgroup].top+.5*margin.item.vertical,subgroups[subgroup].stack&&(items[i].baseTop=items[i].top));doSubStack&&subgroups[subgroup].stack&&exports.substack(subgroupItems[subgroup],margin,subgroups[subgroup])}},exports.collision=function(a,b,margin,rtl){return rtl?a.right-margin.horizontal+EPSILON<b.right+b.width&&a.right+a.width+margin.horizontal-EPSILON>b.right&&a.top-margin.vertical+EPSILON<b.top+b.height&&a.top+a.height+margin.vertical-EPSILON>b.top:a.left-margin.horizontal+EPSILON<b.left+b.width&&a.left+a.width+margin.horizontal-EPSILON>b.left&&a.top-margin.vertical+EPSILON<b.top+b.height&&a.top+a.height+margin.vertical-EPSILON>b.top},exports.collisionByTimes=function(a,b){return a.start<=b.start&&a.end>=b.start&&a.top<b.top+b.height&&a.top+a.height>b.top||b.start<=a.start&&b.end>=a.start&&b.top<a.top+a.height&&b.top+b.height>a.top}}),Stack_1=Stack.orderByStart,Stack_2=Stack.orderByEnd,Stack_3=Stack.stack,Stack_4=Stack.substack,Stack_5=Stack.nostack,Stack_6=Stack.stackSubgroups,Stack_7=Stack.stackSubgroupsWithInnerStack,Stack_8=Stack.collision,Stack_9=Stack.collisionByTimes;Group.prototype._create=function(){var label=document.createElement("div");label.className=this.itemSet.options.groupEditable.order?"vis-label draggable":"vis-label","vertical"===this.itemSet.options.groupLabelDirection&&(label.className+=" vertical"),this.dom.label=label;var inner=document.createElement("div");inner.className="vis-inner",label.appendChild(inner),this.dom.inner=inner;var foreground=document.createElement("div");foreground.className="vis-group",foreground["timeline-group"]=this,this.dom.foreground=foreground,this.dom.background=document.createElement("div"),this.dom.background.className="vis-group",this.dom.axis=document.createElement("div"),this.dom.axis.className="vis-group",this.dom.marker=document.createElement("div"),this.dom.marker.style.visibility="hidden",this.dom.marker.style.position="absolute",this.dom.marker.innerHTML="",this.dom.background.appendChild(this.dom.marker)},Group.prototype.setData=function(data){var content,templateFunction;if(this.itemSet.options&&this.itemSet.options.groupTemplate?(templateFunction=this.itemSet.options.groupTemplate.bind(this),content=templateFunction(data,this.dom.inner)):content=data&&data.content,content instanceof Element){for(;this.dom.inner.firstChild;)this.dom.inner.removeChild(this.dom.inner.firstChild);this.dom.inner.appendChild(content)}else if(content instanceof Object&&content.isReactComponent);else content instanceof Object?templateFunction(data,this.dom.inner):this.dom.inner.innerHTML=void 0!==content&&null!==content?content:this.groupId||"";if(this.dom.label.title=data&&data.title||"",this.dom.inner.firstChild?util.removeClassName(this.dom.inner,"vis-hidden"):util.addClassName(this.dom.inner,"vis-hidden"),data&&data.nestedGroups){this.nestedGroups&&this.nestedGroups==data.nestedGroups||(this.nestedGroups=data.nestedGroups),(void 0!==data.showNested||void 0===this.showNested)&&(!1==data.showNested?this.showNested=!1:this.showNested=!0),util.addClassName(this.dom.label,"vis-nesting-group");var collapsedDirClassName=this.itemSet.options.rtl?"collapsed-rtl":"collapsed";this.showNested?(util.removeClassName(this.dom.label,collapsedDirClassName),util.addClassName(this.dom.label,"expanded")):(util.removeClassName(this.dom.label,"expanded"),util.addClassName(this.dom.label,collapsedDirClassName))}else this.nestedGroups&&(this.nestedGroups=null,collapsedDirClassName=this.itemSet.options.rtl?"collapsed-rtl":"collapsed",util.removeClassName(this.dom.label,collapsedDirClassName),util.removeClassName(this.dom.label,"expanded"),util.removeClassName(this.dom.label,"vis-nesting-group"));data&&data.nestedInGroup&&(util.addClassName(this.dom.label,"vis-nested-group"),this.itemSet.options&&this.itemSet.options.rtl?this.dom.inner.style.paddingRight="30px":this.dom.inner.style.paddingLeft="30px");var className=data&&data.className||null;className!=this.className&&(this.className&&(util.removeClassName(this.dom.label,this.className),util.removeClassName(this.dom.foreground,this.className),util.removeClassName(this.dom.background,this.className),util.removeClassName(this.dom.axis,this.className)),util.addClassName(this.dom.label,className),util.addClassName(this.dom.foreground,className),util.addClassName(this.dom.background,className),util.addClassName(this.dom.axis,className),this.className=className),this.style&&(util.removeCssText(this.dom.label,this.style),this.style=null),data&&data.style&&(util.addCssText(this.dom.label,data.style),this.style=data.style)},Group.prototype.getLabelWidth=function(){return this.props.label.width},Group.prototype._didMarkerHeightChange=function(){var markerHeight=this.dom.marker.clientHeight;if(markerHeight!=this.lastMarkerHeight){this.lastMarkerHeight=markerHeight;var redrawQueue={},redrawQueueLength=0;util.forEach(this.items,function(item,key){if(item.dirty=!0,item.displayed){redrawQueue[key]=item.redraw(!0),redrawQueueLength=redrawQueue[key].length}});var needRedraw=0<redrawQueueLength;if(needRedraw)for(var i=0;i<redrawQueueLength;i++)util.forEach(redrawQueue,function(fns){fns[i]()});return!0}},Group.prototype._calculateGroupSizeAndPosition=function(){var offsetTop=this.dom.foreground.offsetTop,offsetLeft=this.dom.foreground.offsetLeft,offsetWidth=this.dom.foreground.offsetWidth;this.top=offsetTop,this.right=offsetLeft,this.width=offsetWidth},Group.prototype._shouldBailItemsRedraw=function(){var me=this,timeoutOptions=this.itemSet.options.onTimeout,bailOptions={relativeBailingTime:this.itemSet.itemsSettingTime,bailTimeMs:timeoutOptions&&timeoutOptions.timeoutMs,userBailFunction:timeoutOptions&&timeoutOptions.callback,shouldBailStackItems:this.shouldBailStackItems},bail=null;if(!this.itemSet.initialDrawDone){if(bailOptions.shouldBailStackItems)return!0;_Mathabs(new Date-new Date(bailOptions.relativeBailingTime))>bailOptions.bailTimeMs&&(bailOptions.userBailFunction&&null==this.itemSet.userContinueNotBail?bailOptions.userBailFunction(function(didUserContinue){me.itemSet.userContinueNotBail=didUserContinue,bail=!didUserContinue}):!1==me.itemSet.userContinueNotBail?bail=!0:bail=!1)}return bail},Group.prototype._redrawItems=function(forceRestack,lastIsVisible,margin,range){var restack=forceRestack||this.stackDirty||this.isVisible&&!lastIsVisible;if(restack){var visibleSubgroups={},subgroup=null;if("function"==typeof this.itemSet.options.order){var me=this,redrawQueue={},redrawQueueLength=0;util.forEach(this.items,function(item,key){if(!item.displayed&&(item.isVisible(range)||!item.dom)){redrawQueue[key]=item.show(!0),redrawQueueLength=redrawQueue[key].length,me.visibleItems.push(item)}});var needRedraw=0<redrawQueueLength;if(needRedraw)for(var i=0;i<redrawQueueLength;i++)util.forEach(redrawQueue,function(fns){fns[i]()});if(util.forEach(this.items,function(item){item.displayed&&item.repositionX(!1)}),this.doInnerStack&&this.itemSet.options.stackSubgroups){for(subgroup in this.subgroups)visibleSubgroups[subgroup]=this.subgroups[subgroup].items.slice().sort(function(a,b){return me.itemSet.options.order(a.data,b.data)});Stack.stackSubgroupsWithInnerStack(visibleSubgroups,margin,this.subgroups)}else{var customOrderedItems=this.orderedItems.byStart.slice().sort(function(a,b){return me.itemSet.options.order(a.data,b.data)});this.shouldBailStackItems=Stack.stack(customOrderedItems,margin,!0,this._shouldBailItemsRedraw.bind(this))}this.visibleItems=this._updateItemsInRange(this.orderedItems,this.visibleItems,range)}else if(this.visibleItems=this._updateItemsInRange(this.orderedItems,this.visibleItems,range),!this.itemSet.options.stack)Stack.nostack(this.visibleItems,margin,this.subgroups,this.itemSet.options.stackSubgroups);else if(this.doInnerStack&&this.itemSet.options.stackSubgroups){for(subgroup in this.subgroups)visibleSubgroups[subgroup]=this.subgroups[subgroup].items;Stack.stackSubgroupsWithInnerStack(visibleSubgroups,margin,this.subgroups)}else this.shouldBailStackItems=Stack.stack(this.visibleItems,margin,!0,this._shouldBailItemsRedraw.bind(this));this.shouldBailStackItems&&this.itemSet.body.emitter.emit("destroyTimeline"),this.stackDirty=!1}},Group.prototype._didResize=function(resized,height){resized=util.updateProperty(this,"height",height)||resized;var boundingRect=this.dom.inner.getBoundingClientRect(),labelWidth=boundingRect.width,labelHeight=boundingRect.height;return resized=util.updateProperty(this.props.label,"width",labelWidth)||resized,resized=util.updateProperty(this.props.label,"height",labelHeight)||resized,resized},Group.prototype._applyGroupHeight=function(height){this.dom.background.style.height=height+"px",this.dom.foreground.style.height=height+"px",this.dom.label.style.height=height+"px"},Group.prototype._updateItemsVerticalPosition=function(margin){for(var i=0,ii=this.visibleItems.length,item;i<ii;i++)item=this.visibleItems[i],item.repositionY(margin),!this.isVisible&&"__background__"!=this.groupId&&item.displayed&&item.hide()},Group.prototype.redraw=function(range,margin,forceRestack,returnQueue){var resized=!1,lastIsVisible=this.isVisible,queue=[function(){forceRestack=this._didMarkerHeightChange.bind(this)}.bind(this),this._updateSubGroupHeights.bind(this,margin),this._calculateGroupSizeAndPosition.bind(this),function(){this.isVisible=this._isGroupVisible.bind(this)(range,margin)}.bind(this),function(){this._redrawItems.bind(this)(forceRestack,lastIsVisible,margin,range)}.bind(this),this._updateSubgroupsSizes.bind(this),function(){height=this._calculateHeight.bind(this)(margin)}.bind(this),this._calculateGroupSizeAndPosition.bind(this),function(){resized=this._didResize.bind(this)(resized,height)}.bind(this),function(){this._applyGroupHeight.bind(this)(height)}.bind(this),function(){this._updateItemsVerticalPosition.bind(this)(margin)}.bind(this),function(){return!this.isVisible&&this.height&&(resized=!1),resized}],height;if(returnQueue)return queue;var result;return queue.forEach(function(fn){result=fn()}),result},Group.prototype._updateSubGroupHeights=function(margin){if(0<Object.keys(this.subgroups).length){var me=this;this.resetSubgroups(),util.forEach(this.visibleItems,function(item){item.data.subgroup!==void 0&&(me.subgroups[item.data.subgroup].height=_Mathmax(me.subgroups[item.data.subgroup].height,item.height+margin.item.vertical),me.subgroups[item.data.subgroup].visible=!0)})}},Group.prototype._isGroupVisible=function(range,margin){return this.top<=range.body.domProps.centerContainer.height-range.body.domProps.scrollTop+margin.axis&&this.top+this.height+margin.axis>=-range.body.domProps.scrollTop},Group.prototype._calculateHeight=function(margin){var height,items;if(items="fixed"===this.heightMode?util.toArray(this.items):this.visibleItems,0<items.length){var min=items[0].top,max=items[0].top+items[0].height;if(util.forEach(items,function(item){min=_Mathmin(min,item.top),max=_Mathmax(max,item.top+item.height)}),min>margin.axis){var offset=min-margin.axis;max-=offset,util.forEach(items,function(item){item.top-=offset})}height=max+margin.item.vertical/2}else height=0;return height=_Mathmax(height,this.props.label.height),height},Group.prototype.show=function(){this.dom.label.parentNode||this.itemSet.dom.labelSet.appendChild(this.dom.label),this.dom.foreground.parentNode||this.itemSet.dom.foreground.appendChild(this.dom.foreground),this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background),this.dom.axis.parentNode||this.itemSet.dom.axis.appendChild(this.dom.axis)},Group.prototype.hide=function(){var label=this.dom.label;label.parentNode&&label.parentNode.removeChild(label);var foreground=this.dom.foreground;foreground.parentNode&&foreground.parentNode.removeChild(foreground);var background=this.dom.background;background.parentNode&&background.parentNode.removeChild(background);var axis=this.dom.axis;axis.parentNode&&axis.parentNode.removeChild(axis)},Group.prototype.add=function(item){if(this.items[item.id]=item,item.setParent(this),this.stackDirty=!0,void 0!==item.data.subgroup&&(this._addToSubgroup(item),this.orderSubgroups()),-1==this.visibleItems.indexOf(item)){var range=this.itemSet.body.range;this._checkIfVisible(item,this.visibleItems,range)}},Group.prototype._addToSubgroup=function(item,subgroupId){subgroupId=subgroupId||item.data.subgroup,subgroupId!=null&&this.subgroups[subgroupId]===void 0&&(this.subgroups[subgroupId]={height:0,top:0,start:item.data.start,end:item.data.end||item.data.start,visible:!1,index:this.subgroupIndex,items:[],stack:this.subgroupStackAll||this.subgroupStack[subgroupId]||!1},this.subgroupIndex++),new Date(item.data.start)<new Date(this.subgroups[subgroupId].start)&&(this.subgroups[subgroupId].start=item.data.start);var itemEnd=item.data.end||item.data.start;new Date(itemEnd)>new Date(this.subgroups[subgroupId].end)&&(this.subgroups[subgroupId].end=itemEnd),this.subgroups[subgroupId].items.push(item)},Group.prototype._updateSubgroupsSizes=function(){var me=this;if(me.subgroups)for(var subgroup in me.subgroups){var initialEnd=me.subgroups[subgroup].items[0].data.end||me.subgroups[subgroup].items[0].data.start,newStart=me.subgroups[subgroup].items[0].data.start,newEnd=initialEnd-1;me.subgroups[subgroup].items.forEach(function(item){new Date(item.data.start)<new Date(newStart)&&(newStart=item.data.start);var itemEnd=item.data.end||item.data.start;new Date(itemEnd)>new Date(newEnd)&&(newEnd=itemEnd)}),me.subgroups[subgroup].start=newStart,me.subgroups[subgroup].end=new Date(newEnd-1)}},Group.prototype.orderSubgroups=function(){if(this.subgroupOrderer!==void 0){var sortArray=[],subgroup;if("string"==typeof this.subgroupOrderer){for(subgroup in this.subgroups)sortArray.push({subgroup:subgroup,sortField:this.subgroups[subgroup].items[0].data[this.subgroupOrderer]});sortArray.sort(function(a,b){return a.sortField-b.sortField})}else if("function"==typeof this.subgroupOrderer){for(subgroup in this.subgroups)sortArray.push(this.subgroups[subgroup].items[0].data);sortArray.sort(this.subgroupOrderer)}if(0<sortArray.length)for(var i=0;i<sortArray.length;i++)this.subgroups[sortArray[i].subgroup].index=i}},Group.prototype.resetSubgroups=function(){for(var subgroup in this.subgroups)this.subgroups.hasOwnProperty(subgroup)&&(this.subgroups[subgroup].visible=!1,this.subgroups[subgroup].height=0)},Group.prototype.remove=function(item){delete this.items[item.id],item.setParent(null),this.stackDirty=!0;var index=this.visibleItems.indexOf(item);-1!=index&&this.visibleItems.splice(index,1),item.data.subgroup!==void 0&&(this._removeFromSubgroup(item),this.orderSubgroups())},Group.prototype._removeFromSubgroup=function(item,subgroupId){if(subgroupId=subgroupId||item.data.subgroup,null!=subgroupId){var subgroup=this.subgroups[subgroupId];if(subgroup){var itemIndex=subgroup.items.indexOf(item);0<=itemIndex&&(subgroup.items.splice(itemIndex,1),subgroup.items.length?this._updateSubgroupsSizes():delete this.subgroups[subgroupId])}}},Group.prototype.removeFromDataSet=function(item){this.itemSet.removeItem(item.id)},Group.prototype.order=function(){for(var array=util.toArray(this.items),startArray=[],endArray=[],i=0;i<array.length;i++)void 0!==array[i].data.end&&endArray.push(array[i]),startArray.push(array[i]);this.orderedItems={byStart:startArray,byEnd:endArray},Stack.orderByStart(this.orderedItems.byStart),Stack.orderByEnd(this.orderedItems.byEnd)},Group.prototype._updateItemsInRange=function(orderedItems,oldVisibleItems,range){var visibleItems=[],visibleItemsLookup={},interval=(range.end-range.start)/4,lowerBound=range.start-interval,upperBound=range.end+interval,searchFunction=function(value){return value<lowerBound?-1:value<=upperBound?0:1};if(0<oldVisibleItems.length)for(var i=0;i<oldVisibleItems.length;i++)this._checkIfVisibleWithReference(oldVisibleItems[i],visibleItems,visibleItemsLookup,range);var initialPosByStart=util.binarySearchCustom(orderedItems.byStart,searchFunction,"data","start");if(this._traceVisible(initialPosByStart,orderedItems.byStart,visibleItems,visibleItemsLookup,function(item){return item.data.start<lowerBound||item.data.start>upperBound}),!0==this.checkRangedItems)for(this.checkRangedItems=!1,i=0;i<orderedItems.byEnd.length;i++)this._checkIfVisibleWithReference(orderedItems.byEnd[i],visibleItems,visibleItemsLookup,range);else{var initialPosByEnd=util.binarySearchCustom(orderedItems.byEnd,searchFunction,"data","end");this._traceVisible(initialPosByEnd,orderedItems.byEnd,visibleItems,visibleItemsLookup,function(item){return item.data.end<lowerBound||item.data.end>upperBound})}var redrawQueue={},redrawQueueLength=0;for(i=0;i<visibleItems.length;i++){var item=visibleItems[i];if(!item.displayed){redrawQueue[i]=item.redraw(!0),redrawQueueLength=redrawQueue[i].length}}var needRedraw=0<redrawQueueLength;if(needRedraw)for(var j=0;j<redrawQueueLength;j++)util.forEach(redrawQueue,function(fns){fns[j]()});for(i=0;i<visibleItems.length;i++)visibleItems[i].repositionX();return visibleItems},Group.prototype._traceVisible=function(initialPos,items,visibleItems,visibleItemsLookup,breakCondition){if(-1!=initialPos){var i,item;for(i=initialPos;0<=i&&(item=items[i],!breakCondition(item));i--)void 0===visibleItemsLookup[item.id]&&(visibleItemsLookup[item.id]=!0,visibleItems.push(item));for(i=initialPos+1;i<items.length&&(item=items[i],!breakCondition(item));i++)void 0===visibleItemsLookup[item.id]&&(visibleItemsLookup[item.id]=!0,visibleItems.push(item))}},Group.prototype._checkIfVisible=function(item,visibleItems,range){item.isVisible(range)?(!item.displayed&&item.show(),item.repositionX(),visibleItems.push(item)):item.displayed&&item.hide()},Group.prototype._checkIfVisibleWithReference=function(item,visibleItems,visibleItemsLookup,range){item.isVisible(range)?visibleItemsLookup[item.id]===void 0&&(visibleItemsLookup[item.id]=!0,visibleItems.push(item)):item.displayed&&item.hide()},Group.prototype.changeSubgroup=function(item,oldSubgroup,newSubgroup){this._removeFromSubgroup(item,oldSubgroup),this._addToSubgroup(item,newSubgroup),this.orderSubgroups()};var Group_1=Group;BackgroundGroup.prototype=Object.create(Group_1.prototype),BackgroundGroup.prototype.redraw=function(range,margin){this.visibleItems=this._updateItemsInRange(this.orderedItems,this.visibleItems,range),this.width=this.dom.background.offsetWidth,this.dom.background.style.height="0";for(var i=0,ii=this.visibleItems.length,item;i<ii;i++)item=this.visibleItems[i],item.repositionY(margin);return!1},BackgroundGroup.prototype.show=function(){this.dom.background.parentNode||this.itemSet.dom.background.appendChild(this.dom.background)};var BackgroundGroup_1=BackgroundGroup;Item.prototype.stack=!0,Item.prototype.select=function(){this.selected=!0,this.dirty=!0,this.displayed&&this.redraw()},Item.prototype.unselect=function(){this.selected=!1,this.dirty=!0,this.displayed&&this.redraw()},Item.prototype.setData=function(data){var groupChanged=data.group!=null&&this.data.group!=data.group;groupChanged&&null!=this.parent&&this.parent.itemSet._moveToGroup(this,data.group),this.parent&&(this.parent.stackDirty=!0);var subGroupChanged=data.subgroup!=null&&this.data.subgroup!=data.subgroup;subGroupChanged&&null!=this.parent&&this.parent.changeSubgroup(this,this.data.subgroup,data.subgroup),this.data=data,this._updateEditStatus(),this.dirty=!0,this.displayed&&this.redraw()},Item.prototype.setParent=function(parent){this.displayed?(this.hide(),this.parent=parent,this.parent&&this.show()):this.parent=parent},Item.prototype.isVisible=function(){return!1},Item.prototype.show=function(){return!1},Item.prototype.hide=function(){return!1},Item.prototype.redraw=function(){},Item.prototype.repositionX=function(){},Item.prototype.repositionY=function(){},Item.prototype._repaintDragCenter=function(){if(this.selected&&this.options.editable.updateTime&&!this.dom.dragCenter){var me=this,dragCenter=document.createElement("div");dragCenter.className="vis-drag-center",dragCenter.dragCenterItem=this;var hammer=new hammer$3(dragCenter);hammer.on("tap",function(event){me.parent.itemSet.body.emitter.emit("click",{event:event,item:me.id})}),hammer.on("doubletap",function(event){event.stopPropagation(),me.parent.itemSet._onUpdateItem(me),me.parent.itemSet.body.emitter.emit("doubleClick",{event:event,item:me.id})}),this.dom.box?this.dom.dragLeft?this.dom.box.insertBefore(dragCenter,this.dom.dragLeft):this.dom.box.appendChild(dragCenter):this.dom.point&&this.dom.point.appendChild(dragCenter),this.dom.dragCenter=dragCenter}else!this.selected&&this.dom.dragCenter&&(this.dom.dragCenter.parentNode&&this.dom.dragCenter.parentNode.removeChild(this.dom.dragCenter),this.dom.dragCenter=null)},Item.prototype._repaintDeleteButton=function(anchor){var editable=(this.options.editable.overrideItems||null==this.editable)&&this.options.editable.remove||!this.options.editable.overrideItems&&null!=this.editable&&this.editable.remove;if(this.selected&&editable&&!this.dom.deleteButton){var me=this,deleteButton=document.createElement("div");deleteButton.className=this.options.rtl?"vis-delete-rtl":"vis-delete",deleteButton.title="Delete this item",new hammer$3(deleteButton).on("tap",function(event){event.stopPropagation(),me.parent.removeFromDataSet(me)}),anchor.appendChild(deleteButton),this.dom.deleteButton=deleteButton}else!this.selected&&this.dom.deleteButton&&(this.dom.deleteButton.parentNode&&this.dom.deleteButton.parentNode.removeChild(this.dom.deleteButton),this.dom.deleteButton=null)},Item.prototype._repaintOnItemUpdateTimeTooltip=function(anchor){if(this.options.tooltipOnItemUpdateTime){var editable=(this.options.editable.updateTime||!0===this.data.editable)&&!1!==this.data.editable;if(this.selected&&editable&&!this.dom.onItemUpdateTimeTooltip){var onItemUpdateTimeTooltip=document.createElement("div");onItemUpdateTimeTooltip.className="vis-onUpdateTime-tooltip",anchor.appendChild(onItemUpdateTimeTooltip),this.dom.onItemUpdateTimeTooltip=onItemUpdateTimeTooltip}else!this.selected&&this.dom.onItemUpdateTimeTooltip&&(this.dom.onItemUpdateTimeTooltip.parentNode&&this.dom.onItemUpdateTimeTooltip.parentNode.removeChild(this.dom.onItemUpdateTimeTooltip),this.dom.onItemUpdateTimeTooltip=null);if(this.dom.onItemUpdateTimeTooltip){this.dom.onItemUpdateTimeTooltip.style.visibility=this.parent.itemSet.touchParams.itemIsDragging?"visible":"hidden",this.options.rtl?this.dom.onItemUpdateTimeTooltip.style.right=this.dom.content.style.right:this.dom.onItemUpdateTimeTooltip.style.left=this.dom.content.style.left;var scrollTop=this.parent.itemSet.body.domProps.scrollTop,itemDistanceFromTop;itemDistanceFromTop="top"==this.options.orientation.item?this.top:this.parent.height-this.top-this.height;var isCloseToTop=itemDistanceFromTop+this.parent.top-50<-scrollTop;isCloseToTop?(this.dom.onItemUpdateTimeTooltip.style.bottom="",this.dom.onItemUpdateTimeTooltip.style.top=this.height+2+"px"):(this.dom.onItemUpdateTimeTooltip.style.top="",this.dom.onItemUpdateTimeTooltip.style.bottom=this.height+2+"px");var content,templateFunction;this.options.tooltipOnItemUpdateTime&&this.options.tooltipOnItemUpdateTime.template?(templateFunction=this.options.tooltipOnItemUpdateTime.template.bind(this),content=templateFunction(this.data)):(content="start: "+moment$5(this.data.start).format("MM/DD/YYYY hh:mm"),this.data.end&&(content+="<br> end: "+moment$5(this.data.end).format("MM/DD/YYYY hh:mm"))),this.dom.onItemUpdateTimeTooltip.innerHTML=content}}},Item.prototype._updateContents=function(element){var itemData=this.parent.itemSet.itemsData.get(this.id),frameElement=this.dom.box||this.dom.point,itemVisibleFrameContentElement=frameElement.getElementsByClassName("vis-item-visible-frame")[0],content,changed,templateFunction,itemVisibleFrameContent,visibleFrameTemplateFunction;if(this.options.visibleFrameTemplate?(visibleFrameTemplateFunction=this.options.visibleFrameTemplate.bind(this),itemVisibleFrameContent=visibleFrameTemplateFunction(itemData,frameElement)):itemVisibleFrameContent="",itemVisibleFrameContentElement)if(itemVisibleFrameContent instanceof Object&&!(itemVisibleFrameContent instanceof Element))visibleFrameTemplateFunction(itemData,itemVisibleFrameContentElement);else if(changed=this._contentToString(this.itemVisibleFrameContent)!==this._contentToString(itemVisibleFrameContent),changed){if(itemVisibleFrameContent instanceof Element)itemVisibleFrameContentElement.innerHTML="",itemVisibleFrameContentElement.appendChild(itemVisibleFrameContent);else if(null!=itemVisibleFrameContent)itemVisibleFrameContentElement.innerHTML=itemVisibleFrameContent;else if("background"!=this.data.type||void 0!==this.data.content)throw new Error("Property \"content\" missing in item "+this.id);this.itemVisibleFrameContent=itemVisibleFrameContent}if(this.options.template?(templateFunction=this.options.template.bind(this),content=templateFunction(itemData,element,this.data)):content=this.data.content,content instanceof Object&&!(content instanceof Element))templateFunction(itemData,element);else if(changed=this._contentToString(this.content)!==this._contentToString(content),changed){if(content instanceof Element)element.innerHTML="",element.appendChild(content);else if(null!=content)element.innerHTML=content;else if("background"!=this.data.type||void 0!==this.data.content)throw new Error("Property \"content\" missing in item "+this.id);this.content=content}},Item.prototype._updateDataAttributes=function(element){if(this.options.dataAttributes&&0<this.options.dataAttributes.length){var attributes=[];if(Array.isArray(this.options.dataAttributes))attributes=this.options.dataAttributes;else if("all"==this.options.dataAttributes)attributes=Object.keys(this.data);else return;for(var i=0;i<attributes.length;i++){var name=attributes[i],value=this.data[name];null==value?element.removeAttribute("data-"+name):element.setAttribute("data-"+name,value)}}},Item.prototype._updateStyle=function(element){this.style&&(util.removeCssText(element,this.style),this.style=null),this.data.style&&(util.addCssText(element,this.data.style),this.style=this.data.style)},Item.prototype._contentToString=function(content){return"string"==typeof content?content:content&&"outerHTML"in content?content.outerHTML:content},Item.prototype._updateEditStatus=function(){this.options&&("boolean"==typeof this.options.editable?this.editable={updateTime:this.options.editable,updateGroup:this.options.editable,remove:this.options.editable}:"object"==typeof this.options.editable&&(this.editable={},util.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.options.editable))),this.options&&this.options.editable&&!0===this.options.editable.overrideItems||!this.data||("boolean"==typeof this.data.editable?this.editable={updateTime:this.data.editable,updateGroup:this.data.editable,remove:this.data.editable}:"object"==typeof this.data.editable&&(this.editable={},util.selectiveExtend(["updateTime","updateGroup","remove"],this.editable,this.data.editable)))},Item.prototype.getWidthLeft=function(){return 0},Item.prototype.getWidthRight=function(){return 0},Item.prototype.getTitle=function(){return this.data.title},BoxItem.prototype=new Item(null,null,null),BoxItem.prototype.isVisible=function(range){var align=this.options.align,widthInMs=this.width*range.getMillisecondsPerPixel(),isVisible;return isVisible="right"==align?this.data.start.getTime()>range.start&&this.data.start.getTime()-widthInMs<range.end:"left"==align?this.data.start.getTime()+widthInMs>range.start&&this.data.start.getTime()<range.end:this.data.start.getTime()+widthInMs/2>range.start&&this.data.start.getTime()-widthInMs/2<range.end,isVisible},BoxItem.prototype._createDomElement=function(){this.dom||(this.dom={},this.dom.box=document.createElement("DIV"),this.dom.content=document.createElement("DIV"),this.dom.content.className="vis-item-content",this.dom.box.appendChild(this.dom.content),this.dom.line=document.createElement("DIV"),this.dom.line.className="vis-line",this.dom.dot=document.createElement("DIV"),this.dom.dot.className="vis-dot",this.dom.box["timeline-item"]=this,this.dirty=!0)},BoxItem.prototype._appendDomElement=function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var foreground=this.parent.dom.foreground;if(!foreground)throw new Error("Cannot redraw item: parent has no foreground container element");foreground.appendChild(this.dom.box)}if(!this.dom.line.parentNode){var background=this.parent.dom.background;if(!background)throw new Error("Cannot redraw item: parent has no background container element");background.appendChild(this.dom.line)}if(!this.dom.dot.parentNode){var axis=this.parent.dom.axis;if(!background)throw new Error("Cannot redraw item: parent has no axis container element");axis.appendChild(this.dom.dot)}this.displayed=!0},BoxItem.prototype._updateDirtyDomComponents=function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var editable=this.editable.updateTime||this.editable.updateGroup,className=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(editable?" vis-editable":" vis-readonly");this.dom.box.className="vis-item vis-box"+className,this.dom.line.className="vis-item vis-line"+className,this.dom.dot.className="vis-item vis-dot"+className}},BoxItem.prototype._getDomComponentsSizes=function(){return{previous:{right:this.dom.box.style.right,left:this.dom.box.style.left},dot:{height:this.dom.dot.offsetHeight,width:this.dom.dot.offsetWidth},line:{width:this.dom.line.offsetWidth},box:{width:this.dom.box.offsetWidth,height:this.dom.box.offsetHeight}}},BoxItem.prototype._updateDomComponentsSizes=function(sizes){this.options.rtl?this.dom.box.style.right="0px":this.dom.box.style.left="0px",this.props.dot.height=sizes.dot.height,this.props.dot.width=sizes.dot.width,this.props.line.width=sizes.line.width,this.width=sizes.box.width,this.height=sizes.box.height,this.options.rtl?this.dom.box.style.right=sizes.previous.right:this.dom.box.style.left=sizes.previous.left,this.dirty=!1},BoxItem.prototype._repaintDomAdditionals=function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.box)},BoxItem.prototype.redraw=function(returnQueue){var queue=[this._createDomElement.bind(this),this._appendDomElement.bind(this),this._updateDirtyDomComponents.bind(this),function(){this.dirty&&(sizes=this._getDomComponentsSizes())}.bind(this),function(){this.dirty&&this._updateDomComponentsSizes.bind(this)(sizes)}.bind(this),this._repaintDomAdditionals.bind(this)],sizes;if(returnQueue)return queue;var result;return queue.forEach(function(fn){result=fn()}),result},BoxItem.prototype.show=function(returnQueue){if(!this.displayed)return this.redraw(returnQueue)},BoxItem.prototype.hide=function(){if(this.displayed){var dom=this.dom;dom.box.parentNode&&dom.box.parentNode.removeChild(dom.box),dom.line.parentNode&&dom.line.parentNode.removeChild(dom.line),dom.dot.parentNode&&dom.dot.parentNode.removeChild(dom.dot),this.displayed=!1}},BoxItem.prototype.repositionX=function(){var start=this.conversion.toScreen(this.data.start),align=this.options.align;"right"==align?this.options.rtl?(this.right=start-this.width,this.dom.box.style.right=this.right+"px",this.dom.line.style.right=start-this.props.line.width+"px",this.dom.dot.style.right=start-this.props.line.width/2-this.props.dot.width/2+"px"):(this.left=start-this.width,this.dom.box.style.left=this.left+"px",this.dom.line.style.left=start-this.props.line.width+"px",this.dom.dot.style.left=start-this.props.line.width/2-this.props.dot.width/2+"px"):"left"==align?this.options.rtl?(this.right=start,this.dom.box.style.right=this.right+"px",this.dom.line.style.right=start+"px",this.dom.dot.style.right=start+this.props.line.width/2-this.props.dot.width/2+"px"):(this.left=start,this.dom.box.style.left=this.left+"px",this.dom.line.style.left=start+"px",this.dom.dot.style.left=start+this.props.line.width/2-this.props.dot.width/2+"px"):this.options.rtl?(this.right=start-this.width/2,this.dom.box.style.right=this.right+"px",this.dom.line.style.right=start-this.props.line.width+"px",this.dom.dot.style.right=start-this.props.dot.width/2+"px"):(this.left=start-this.width/2,this.dom.box.style.left=this.left+"px",this.dom.line.style.left=start-this.props.line.width/2+"px",this.dom.dot.style.left=start-this.props.dot.width/2+"px")},BoxItem.prototype.repositionY=function(){var orientation=this.options.orientation.item,box=this.dom.box,line=this.dom.line,dot=this.dom.dot;if("top"==orientation)box.style.top=(this.top||0)+"px",line.style.top="0",line.style.height=this.parent.top+this.top+1+"px",line.style.bottom="";else{var itemSetHeight=this.parent.itemSet.props.height,lineHeight=itemSetHeight-this.parent.top-this.parent.height+this.top;box.style.top=(this.parent.height-this.top-this.height||0)+"px",line.style.top=itemSetHeight-lineHeight+"px",line.style.bottom="0"}dot.style.top=-this.props.dot.height/2+"px"},BoxItem.prototype.getWidthLeft=function(){return this.width/2},BoxItem.prototype.getWidthRight=function(){return this.width/2};var BoxItem_1=BoxItem;PointItem.prototype=new Item(null,null,null),PointItem.prototype.isVisible=function(range){var widthInMs=this.width*range.getMillisecondsPerPixel();return this.data.start.getTime()+widthInMs>range.start&&this.data.start<range.end},PointItem.prototype._createDomElement=function(){this.dom||(this.dom={},this.dom.point=document.createElement("div"),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.point.appendChild(this.dom.content),this.dom.dot=document.createElement("div"),this.dom.point.appendChild(this.dom.dot),this.dom.point["timeline-item"]=this,this.dirty=!0)},PointItem.prototype._appendDomElement=function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.point.parentNode){var foreground=this.parent.dom.foreground;if(!foreground)throw new Error("Cannot redraw item: parent has no foreground container element");foreground.appendChild(this.dom.point)}this.displayed=!0},PointItem.prototype._updateDirtyDomComponents=function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.point),this._updateStyle(this.dom.point);var editable=this.editable.updateTime||this.editable.updateGroup,className=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(editable?" vis-editable":" vis-readonly");this.dom.point.className="vis-item vis-point"+className,this.dom.dot.className="vis-item vis-dot"+className}},PointItem.prototype._getDomComponentsSizes=function(){return{dot:{width:this.dom.dot.offsetWidth,height:this.dom.dot.offsetHeight},content:{width:this.dom.content.offsetWidth,height:this.dom.content.offsetHeight},point:{width:this.dom.point.offsetWidth,height:this.dom.point.offsetHeight}}},PointItem.prototype._updateDomComponentsSizes=function(sizes){this.props.dot.width=sizes.dot.width,this.props.dot.height=sizes.dot.height,this.props.content.height=sizes.content.height,this.options.rtl?this.dom.content.style.marginRight=2*this.props.dot.width+"px":this.dom.content.style.marginLeft=2*this.props.dot.width+"px",this.width=sizes.point.width,this.height=sizes.point.height,this.dom.dot.style.top=(this.height-this.props.dot.height)/2+"px",this.options.rtl?this.dom.dot.style.right=this.props.dot.width/2+"px":this.dom.dot.style.left=this.props.dot.width/2+"px",this.dirty=!1},PointItem.prototype._repaintDomAdditionals=function(){this._repaintOnItemUpdateTimeTooltip(this.dom.point),this._repaintDragCenter(),this._repaintDeleteButton(this.dom.point)},PointItem.prototype.redraw=function(returnQueue){var queue=[this._createDomElement.bind(this),this._appendDomElement.bind(this),this._updateDirtyDomComponents.bind(this),function(){this.dirty&&(sizes=this._getDomComponentsSizes())}.bind(this),function(){this.dirty&&this._updateDomComponentsSizes.bind(this)(sizes)}.bind(this),this._repaintDomAdditionals.bind(this)],sizes;if(returnQueue)return queue;var result;return queue.forEach(function(fn){result=fn()}),result},PointItem.prototype.show=function(returnQueue){if(!this.displayed)return this.redraw(returnQueue)},PointItem.prototype.hide=function(){this.displayed&&(this.dom.point.parentNode&&this.dom.point.parentNode.removeChild(this.dom.point),this.displayed=!1)},PointItem.prototype.repositionX=function(){var start=this.conversion.toScreen(this.data.start);this.options.rtl?(this.right=start-this.props.dot.width,this.dom.point.style.right=this.right+"px"):(this.left=start-this.props.dot.width,this.dom.point.style.left=this.left+"px")},PointItem.prototype.repositionY=function(){var orientation=this.options.orientation.item,point=this.dom.point;point.style.top="top"==orientation?this.top+"px":this.parent.height-this.top-this.height+"px"},PointItem.prototype.getWidthLeft=function(){return this.props.dot.width},PointItem.prototype.getWidthRight=function(){return this.props.dot.width};var PointItem_1=PointItem;RangeItem.prototype=new Item(null,null,null),RangeItem.prototype.baseClassName="vis-item vis-range",RangeItem.prototype.isVisible=function(range){return this.data.start<range.end&&this.data.end>range.start},RangeItem.prototype._createDomElement=function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.visibleFrame=document.createElement("div"),this.dom.visibleFrame.className="vis-item-visible-frame",this.dom.box.appendChild(this.dom.visibleFrame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dom.box["timeline-item"]=this,this.dirty=!0)},RangeItem.prototype._appendDomElement=function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var foreground=this.parent.dom.foreground;if(!foreground)throw new Error("Cannot redraw item: parent has no foreground container element");foreground.appendChild(this.dom.box)}this.displayed=!0},RangeItem.prototype._updateDirtyDomComponents=function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.box),this._updateStyle(this.dom.box);var editable=this.editable.updateTime||this.editable.updateGroup,className=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"")+(editable?" vis-editable":" vis-readonly");this.dom.box.className=this.baseClassName+className,this.dom.content.style.maxWidth="none"}},RangeItem.prototype._getDomComponentsSizes=function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.frame).overflow,{content:{width:this.dom.content.offsetWidth},box:{height:this.dom.box.offsetHeight}}},RangeItem.prototype._updateDomComponentsSizes=function(sizes){this.props.content.width=sizes.content.width,this.height=sizes.box.height,this.dom.content.style.maxWidth="",this.dirty=!1},RangeItem.prototype._repaintDomAdditionals=function(){this._repaintOnItemUpdateTimeTooltip(this.dom.box),this._repaintDeleteButton(this.dom.box),this._repaintDragCenter(),this._repaintDragLeft(),this._repaintDragRight()},RangeItem.prototype.redraw=function(returnQueue){var queue=[this._createDomElement.bind(this),this._appendDomElement.bind(this),this._updateDirtyDomComponents.bind(this),function(){this.dirty&&(sizes=this._getDomComponentsSizes.bind(this)())}.bind(this),function(){this.dirty&&this._updateDomComponentsSizes.bind(this)(sizes)}.bind(this),this._repaintDomAdditionals.bind(this)],sizes;if(returnQueue)return queue;var result;return queue.forEach(function(fn){result=fn()}),result},RangeItem.prototype.show=function(returnQueue){if(!this.displayed)return this.redraw(returnQueue)},RangeItem.prototype.hide=function(){if(this.displayed){var box=this.dom.box;box.parentNode&&box.parentNode.removeChild(box),this.displayed=!1}},RangeItem.prototype.repositionX=function(limitSize){var parentWidth=this.parent.width,start=this.conversion.toScreen(this.data.start),end=this.conversion.toScreen(this.data.end),align=this.data.align===void 0?this.options.align:this.data.align,contentStartPosition,contentWidth;!1!==this.data.limitSize&&(limitSize===void 0||!0===limitSize)&&(start<-parentWidth&&(start=-parentWidth),end>2*parentWidth&&(end=2*parentWidth));var boxWidth=_Mathmax(end-start+.5,1);this.overflow?(this.options.rtl?this.right=start:this.left=start,this.width=boxWidth+this.props.content.width,contentWidth=this.props.content.width):(this.options.rtl?this.right=start:this.left=start,this.width=boxWidth,contentWidth=_Mathmin(end-start,this.props.content.width)),this.options.rtl?this.dom.box.style.right=this.right+"px":this.dom.box.style.left=this.left+"px",this.dom.box.style.width=boxWidth+"px";"left"===align?this.options.rtl?this.dom.content.style.right="0":this.dom.content.style.left="0":"right"===align?this.options.rtl?this.dom.content.style.right=_Mathmax(boxWidth-contentWidth,0)+"px":this.dom.content.style.left=_Mathmax(boxWidth-contentWidth,0)+"px":"center"===align?this.options.rtl?this.dom.content.style.right=_Mathmax((boxWidth-contentWidth)/2,0)+"px":this.dom.content.style.left=_Mathmax((boxWidth-contentWidth)/2,0)+"px":(contentStartPosition=this.overflow?0<end?_Mathmax(-start,0):-contentWidth:0>start?-start:0,this.options.rtl?this.dom.content.style.right=contentStartPosition+"px":(this.dom.content.style.left=contentStartPosition+"px",this.dom.content.style.width="calc(100% - "+contentStartPosition+"px)"))},RangeItem.prototype.repositionY=function(){var orientation=this.options.orientation.item,box=this.dom.box;box.style.top="top"==orientation?this.top+"px":this.parent.height-this.top-this.height+"px"},RangeItem.prototype._repaintDragLeft=function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.options.editable.updateTime&&!this.dom.dragLeft){var dragLeft=document.createElement("div");dragLeft.className="vis-drag-left",dragLeft.dragLeftItem=this,this.dom.box.appendChild(dragLeft),this.dom.dragLeft=dragLeft}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragLeft||(this.dom.dragLeft.parentNode&&this.dom.dragLeft.parentNode.removeChild(this.dom.dragLeft),this.dom.dragLeft=null)},RangeItem.prototype._repaintDragRight=function(){if((this.selected||this.options.itemsAlwaysDraggable.range)&&this.options.editable.updateTime&&!this.dom.dragRight){var dragRight=document.createElement("div");dragRight.className="vis-drag-right",dragRight.dragRightItem=this,this.dom.box.appendChild(dragRight),this.dom.dragRight=dragRight}else this.selected||this.options.itemsAlwaysDraggable.range||!this.dom.dragRight||(this.dom.dragRight.parentNode&&this.dom.dragRight.parentNode.removeChild(this.dom.dragRight),this.dom.dragRight=null)};var RangeItem_1=RangeItem;BackgroundItem.prototype=new Item(null,null,null),BackgroundItem.prototype.baseClassName="vis-item vis-background",BackgroundItem.prototype.stack=!1,BackgroundItem.prototype.isVisible=function(range){return this.data.start<range.end&&this.data.end>range.start},BackgroundItem.prototype._createDomElement=function(){this.dom||(this.dom={},this.dom.box=document.createElement("div"),this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-item-overflow",this.dom.box.appendChild(this.dom.frame),this.dom.content=document.createElement("div"),this.dom.content.className="vis-item-content",this.dom.frame.appendChild(this.dom.content),this.dirty=!0)},BackgroundItem.prototype._appendDomElement=function(){if(!this.parent)throw new Error("Cannot redraw item: no parent attached");if(!this.dom.box.parentNode){var background=this.parent.dom.background;if(!background)throw new Error("Cannot redraw item: parent has no background container element");background.appendChild(this.dom.box)}this.displayed=!0},BackgroundItem.prototype._updateDirtyDomComponents=function(){if(this.dirty){this._updateContents(this.dom.content),this._updateDataAttributes(this.dom.content),this._updateStyle(this.dom.box);var className=(this.data.className?" "+this.data.className:"")+(this.selected?" vis-selected":"");this.dom.box.className=this.baseClassName+className}},BackgroundItem.prototype._getDomComponentsSizes=function(){return this.overflow="hidden"!==window.getComputedStyle(this.dom.content).overflow,{content:{width:this.dom.content.offsetWidth}}},BackgroundItem.prototype._updateDomComponentsSizes=function(sizes){this.props.content.width=sizes.content.width,this.height=0,this.dirty=!1},BackgroundItem.prototype._repaintDomAdditionals=function(){},BackgroundItem.prototype.redraw=function(returnQueue){var queue=[this._createDomElement.bind(this),this._appendDomElement.bind(this),this._updateDirtyDomComponents.bind(this),function(){this.dirty&&(sizes=this._getDomComponentsSizes.bind(this)())}.bind(this),function(){this.dirty&&this._updateDomComponentsSizes.bind(this)(sizes)}.bind(this),this._repaintDomAdditionals.bind(this)],sizes;if(returnQueue)return queue;var result;return queue.forEach(function(fn){result=fn()}),result},BackgroundItem.prototype.show=RangeItem_1.prototype.show,BackgroundItem.prototype.hide=RangeItem_1.prototype.hide,BackgroundItem.prototype.repositionX=RangeItem_1.prototype.repositionX,BackgroundItem.prototype.repositionY=function(){var orientation=this.options.orientation.item,height;if(this.data.subgroup!==void 0){var itemSubgroup=this.data.subgroup;this.dom.box.style.height=this.parent.subgroups[itemSubgroup].height+"px",this.dom.box.style.top="top"==orientation?this.parent.top+this.parent.subgroups[itemSubgroup].top+"px":this.parent.top+this.parent.height-this.parent.subgroups[itemSubgroup].top-this.parent.subgroups[itemSubgroup].height+"px",this.dom.box.style.bottom=""}else this.parent instanceof BackgroundGroup_1?(height=_Mathmax(this.parent.height,this.parent.itemSet.body.domProps.center.height,this.parent.itemSet.body.domProps.centerContainer.height),this.dom.box.style.bottom="bottom"==orientation?"0":"",this.dom.box.style.top="top"==orientation?"0":""):(height=this.parent.height,this.dom.box.style.top=this.parent.top+"px",this.dom.box.style.bottom="");this.dom.box.style.height=height+"px"};var BackgroundItem_1=BackgroundItem;class Popup$1{constructor(container,overflowMethod){this.container=container,this.overflowMethod=overflowMethod||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}setPosition(x,y){this.x=parseInt(x),this.y=parseInt(y)}setText(content){content instanceof Element?(this.frame.innerHTML="",this.frame.appendChild(content)):this.frame.innerHTML=content}show(doShow){if(void 0===doShow&&(doShow=!0),!0===doShow){var height=this.frame.clientHeight,width=this.frame.clientWidth,maxHeight=this.frame.parentNode.clientHeight,maxWidth=this.frame.parentNode.clientWidth,left=0,top=0;if("flip"==this.overflowMethod){var isLeft=!1,isTop=!0;this.y-height<this.padding&&(isTop=!1),this.x+width>maxWidth-this.padding&&(isLeft=!0),left=isLeft?this.x-width:this.x,top=isTop?this.y-height:this.y}else top=this.y-height,top+height+this.padding>maxHeight&&(top=maxHeight-height-this.padding),top<this.padding&&(top=this.padding),left=this.x,left+width+this.padding>maxWidth&&(left=maxWidth-width-this.padding),left<this.padding&&(left=this.padding);this.frame.style.left=left+"px",this.frame.style.top=top+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}hide(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}destroy(){this.frame.parentNode.removeChild(this.frame)}}var BACKGROUND="__background__";ItemSet.prototype=new Component_1,ItemSet.types={background:BackgroundItem_1,box:BoxItem_1,range:RangeItem_1,point:PointItem_1},ItemSet.prototype._create=function(){var frame=document.createElement("div");frame.className="vis-itemset",frame["timeline-itemset"]=this,this.dom.frame=frame;var background=document.createElement("div");background.className="vis-background",frame.appendChild(background),this.dom.background=background;var foreground=document.createElement("div");foreground.className="vis-foreground",frame.appendChild(foreground),this.dom.foreground=foreground;var axis=document.createElement("div");axis.className="vis-axis",this.dom.axis=axis;var labelSet=document.createElement("div");labelSet.className="vis-labelset",this.dom.labelSet=labelSet,this._updateUngrouped();var backgroundGroup=new BackgroundGroup_1(BACKGROUND,null,this);backgroundGroup.show(),this.groups[BACKGROUND]=backgroundGroup,this.hammer=new hammer$3(this.body.dom.centerContainer),this.hammer.on("hammer.input",function(event){event.isFirst&&this._onTouch(event)}.bind(this)),this.hammer.on("panstart",this._onDragStart.bind(this)),this.hammer.on("panmove",this._onDrag.bind(this)),this.hammer.on("panend",this._onDragEnd.bind(this)),this.hammer.get("pan").set({threshold:5,direction:hammer$3.DIRECTION_HORIZONTAL}),this.hammer.on("tap",this._onSelectItem.bind(this)),this.hammer.on("press",this._onMultiSelectItem.bind(this)),this.hammer.on("doubletap",this._onAddItem.bind(this)),this.groupHammer=this.options.rtl?new hammer$3(this.body.dom.rightContainer):new hammer$3(this.body.dom.leftContainer),this.groupHammer.on("tap",this._onGroupClick.bind(this)),this.groupHammer.on("panstart",this._onGroupDragStart.bind(this)),this.groupHammer.on("panmove",this._onGroupDrag.bind(this)),this.groupHammer.on("panend",this._onGroupDragEnd.bind(this)),this.groupHammer.get("pan").set({threshold:5,direction:hammer$3.DIRECTION_VERTICAL}),this.body.dom.centerContainer.addEventListener("mouseover",this._onMouseOver.bind(this)),this.body.dom.centerContainer.addEventListener("mouseout",this._onMouseOut.bind(this)),this.body.dom.centerContainer.addEventListener("mousemove",this._onMouseMove.bind(this)),this.body.dom.centerContainer.addEventListener("contextmenu",this._onDragEnd.bind(this)),this.body.dom.centerContainer.addEventListener("mousewheel",this._onMouseWheel.bind(this)),this.show()},ItemSet.prototype.setOptions=function(options){if(options){util.selectiveExtend(["type","rtl","align","order","stack","stackSubgroups","selectable","multiselect","multiselectPerGroup","groupOrder","dataAttributes","template","groupTemplate","visibleFrameTemplate","hide","snap","groupOrderSwap","showTooltips","tooltip","tooltipOnItemUpdateTime","groupHeightMode","onTimeout","groupLabelDirection"],this.options,options),"itemsAlwaysDraggable"in options&&("boolean"==typeof options.itemsAlwaysDraggable?(this.options.itemsAlwaysDraggable.item=options.itemsAlwaysDraggable,this.options.itemsAlwaysDraggable.range=!1):"object"==typeof options.itemsAlwaysDraggable&&(util.selectiveExtend(["item","range"],this.options.itemsAlwaysDraggable,options.itemsAlwaysDraggable),!this.options.itemsAlwaysDraggable.item&&(this.options.itemsAlwaysDraggable.range=!1))),"orientation"in options&&("string"==typeof options.orientation?this.options.orientation.item="top"===options.orientation?"top":"bottom":"object"==typeof options.orientation&&"item"in options.orientation&&(this.options.orientation.item=options.orientation.item)),"margin"in options&&("number"==typeof options.margin?(this.options.margin.axis=options.margin,this.options.margin.item.horizontal=options.margin,this.options.margin.item.vertical=options.margin):"object"==typeof options.margin&&(util.selectiveExtend(["axis"],this.options.margin,options.margin),"item"in options.margin&&("number"==typeof options.margin.item?(this.options.margin.item.horizontal=options.margin.item,this.options.margin.item.vertical=options.margin.item):"object"==typeof options.margin.item&&util.selectiveExtend(["horizontal","vertical"],this.options.margin.item,options.margin.item)))),"editable"in options&&("boolean"==typeof options.editable?(this.options.editable.updateTime=options.editable,this.options.editable.updateGroup=options.editable,this.options.editable.add=options.editable,this.options.editable.remove=options.editable,this.options.editable.overrideItems=!1):"object"==typeof options.editable&&util.selectiveExtend(["updateTime","updateGroup","add","remove","overrideItems"],this.options.editable,options.editable)),"groupEditable"in options&&("boolean"==typeof options.groupEditable?(this.options.groupEditable.order=options.groupEditable,this.options.groupEditable.add=options.groupEditable,this.options.groupEditable.remove=options.groupEditable):"object"==typeof options.groupEditable&&util.selectiveExtend(["order","add","remove"],this.options.groupEditable,options.groupEditable));var addCallback=function(name){var fn=options[name];if(fn){if(!(fn instanceof Function))throw new Error("option "+name+" must be a function "+name+"(item, callback)");this.options[name]=fn}}.bind(this);["onDropObjectOnItem","onAdd","onUpdate","onRemove","onMove","onMoving","onAddGroup","onMoveGroup","onRemoveGroup"].forEach(addCallback),this.markDirty()}},ItemSet.prototype.markDirty=function(options){this.groupIds=[],options&&options.refreshItems&&util.forEach(this.items,function(item){item.dirty=!0,item.displayed&&item.redraw()})},ItemSet.prototype.destroy=function(){this.clearPopupTimer(),this.hide(),this.setItems(null),this.setGroups(null),this.hammer&&this.hammer.destroy(),this.groupHammer&&this.groupHammer.destroy(),this.hammer=null,this.body=null,this.conversion=null},ItemSet.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.axis.parentNode&&this.dom.axis.parentNode.removeChild(this.dom.axis),this.dom.labelSet.parentNode&&this.dom.labelSet.parentNode.removeChild(this.dom.labelSet)},ItemSet.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame),this.dom.axis.parentNode||this.body.dom.backgroundVertical.appendChild(this.dom.axis),this.dom.labelSet.parentNode||(this.options.rtl?this.body.dom.right.appendChild(this.dom.labelSet):this.body.dom.left.appendChild(this.dom.labelSet))},ItemSet.prototype.setPopupTimer=function(popup){this.clearPopupTimer(),popup&&(this.popupTimer=setTimeout(function(){popup.show()},500))},ItemSet.prototype.clearPopupTimer=function(){null!=this.popupTimer&&(clearTimeout(this.popupTimer),this.popupTimer=null)},ItemSet.prototype.setSelection=function(ids){var i,ii,id,item;for(null==ids&&(ids=[]),Array.isArray(ids)||(ids=[ids]),(i=0,ii=this.selection.length);i<ii;i++)id=this.selection[i],item=this.items[id],item&&item.unselect();for(this.selection=[],i=0,ii=ids.length;i<ii;i++)id=ids[i],item=this.items[id],item&&(this.selection.push(id),item.select())},ItemSet.prototype.getSelection=function(){return this.selection.concat([])},ItemSet.prototype.getVisibleItems=function(){var range=this.body.range.getRange(),right,left;this.options.rtl?(right=this.body.util.toScreen(range.start),left=this.body.util.toScreen(range.end)):(left=this.body.util.toScreen(range.start),right=this.body.util.toScreen(range.end));var ids=[];for(var groupId in this.groups)if(this.groups.hasOwnProperty(groupId))for(var group=this.groups[groupId],rawVisibleItems=group.isVisible?group.visibleItems:[],i=0,item;i<rawVisibleItems.length;i++)item=rawVisibleItems[i],this.options.rtl?item.right<left&&item.right+item.width>right&&ids.push(item.id):item.left<right&&item.left+item.width>left&&ids.push(item.id);return ids},ItemSet.prototype.getVisibleGroups=function(){var ids=[];for(var groupId in this.groups)if(this.groups.hasOwnProperty(groupId)){var group=this.groups[groupId];group.isVisible&&ids.push(groupId)}return ids},ItemSet.prototype._deselect=function(id){for(var selection=this.selection,i=0,ii=selection.length;i<ii;i++)if(selection[i]==id){selection.splice(i,1);break}},ItemSet.prototype.redraw=function(){var margin=this.options.margin,range=this.body.range,asSize=util.option.asSize,options=this.options,orientation=options.orientation.item,resized=!1,frame=this.dom.frame;this.props.top=this.body.domProps.top.height+this.body.domProps.border.top,this.options.rtl?this.props.right=this.body.domProps.right.width+this.body.domProps.border.right:this.props.left=this.body.domProps.left.width+this.body.domProps.border.left,frame.className="vis-itemset",resized=this._orderGroups()||resized;var visibleInterval=range.end-range.start,zoomed=visibleInterval!=this.lastVisibleInterval||this.props.width!=this.props.lastWidth,scrolled=range.start!=this.lastRangeStart,changedStackOption=options.stack!=this.lastStack,changedStackSubgroupsOption=options.stackSubgroups!=this.lastStackSubgroups,forceRestack=zoomed||scrolled||changedStackOption||changedStackSubgroupsOption;this.lastVisibleInterval=visibleInterval,this.lastRangeStart=range.start,this.lastStack=options.stack,this.lastStackSubgroups=options.stackSubgroups,this.props.lastWidth=this.props.width;var firstGroup=this._firstGroup(),firstMargin={item:margin.item,axis:margin.axis},nonFirstMargin={item:margin.item,axis:margin.item.vertical/2},height=0,minHeight=margin.axis+margin.item.vertical;this.groups[BACKGROUND].redraw(range,nonFirstMargin,forceRestack);var redrawQueue={},redrawQueueLength=0;util.forEach(this.groups,function(group,key){if(key!==BACKGROUND){var groupMargin=group==firstGroup?firstMargin:nonFirstMargin;redrawQueue[key]=group.redraw(range,groupMargin,forceRestack,!0),redrawQueueLength=redrawQueue[key].length}});var needRedraw=0<redrawQueueLength;if(needRedraw){for(var redrawResults={},i=0;i<redrawQueueLength;i++)util.forEach(redrawQueue,function(fns,key){redrawResults[key]=fns[i]()});util.forEach(this.groups,function(group,key){if(key!==BACKGROUND){var groupResized=redrawResults[key];resized=groupResized||resized,height+=group.height}}),height=_Mathmax(height,minHeight)}return height=_Mathmax(height,minHeight),frame.style.height=asSize(height),this.props.width=frame.offsetWidth,this.props.height=height,this.dom.axis.style.top=asSize("top"==orientation?this.body.domProps.top.height+this.body.domProps.border.top:this.body.domProps.top.height+this.body.domProps.centerContainer.height),this.options.rtl?this.dom.axis.style.right="0":this.dom.axis.style.left="0",this.initialItemSetDrawn=!0,resized=this._isResized()||resized,resized},ItemSet.prototype._firstGroup=function(){var firstGroupIndex="top"==this.options.orientation.item?0:this.groupIds.length-1,firstGroupId=this.groupIds[firstGroupIndex],firstGroup=this.groups[firstGroupId]||this.groups.__ungrouped__;return firstGroup||null},ItemSet.prototype._updateUngrouped=function(){var ungrouped=this.groups.__ungrouped__,item,itemId;if(this.groupsData){if(ungrouped)for(itemId in ungrouped.hide(),delete this.groups.__ungrouped__,this.items)if(this.items.hasOwnProperty(itemId)){item=this.items[itemId],item.parent&&item.parent.remove(item);var groupId=this._getGroupId(item.data),group=this.groups[groupId];group&&group.add(item)||item.hide()}}else if(!ungrouped){for(itemId in ungrouped=new Group_1(null,null,this),this.groups.__ungrouped__=ungrouped,this.items)this.items.hasOwnProperty(itemId)&&(item=this.items[itemId],ungrouped.add(item));ungrouped.show()}},ItemSet.prototype.getLabelSet=function(){return this.dom.labelSet},ItemSet.prototype.setItems=function(items){this.itemsSettingTime=new Date;var me=this,oldItemsData=this.itemsData,ids;if(!items)this.itemsData=null;else if(items instanceof DataSet||items instanceof DataView)this.itemsData=items;else throw new TypeError("Data must be an instance of DataSet or DataView");if(oldItemsData&&(util.forEach(this.itemListeners,function(callback,event){oldItemsData.off(event,callback)}),ids=oldItemsData.getIds(),this._onRemove(ids)),this.itemsData){var id=this.id;util.forEach(this.itemListeners,function(callback,event){me.itemsData.on(event,callback,id)}),ids=this.itemsData.getIds(),this._onAdd(ids),this._updateUngrouped()}this.body.emitter.emit("_change",{queue:!0})},ItemSet.prototype.getItems=function(){return this.itemsData},ItemSet.prototype.setGroups=function(groups){var me=this,ids;if(this.groupsData&&(util.forEach(this.groupListeners,function(callback,event){me.groupsData.off(event,callback)}),ids=this.groupsData.getIds(),this.groupsData=null,this._onRemoveGroups(ids)),!groups)this.groupsData=null;else if(groups instanceof DataSet||groups instanceof DataView)this.groupsData=groups;else throw new TypeError("Data must be an instance of DataSet or DataView");if(this.groupsData){var groupsData=this.groupsData;this.groupsData instanceof DataView&&(groupsData=this.groupsData.getDataSet()),groupsData.get().forEach(function(group){group.nestedGroups&&group.nestedGroups.forEach(function(nestedGroupId){var updatedNestedGroup=groupsData.get(nestedGroupId);updatedNestedGroup.nestedInGroup=group.id,!1==group.showNested&&(updatedNestedGroup.visible=!1),groupsData.update(updatedNestedGroup)})});var id=this.id;util.forEach(this.groupListeners,function(callback,event){me.groupsData.on(event,callback,id)}),ids=this.groupsData.getIds(),this._onAddGroups(ids)}this._updateUngrouped(),this._order(),this.body.emitter.emit("_change",{queue:!0})},ItemSet.prototype.getGroups=function(){return this.groupsData},ItemSet.prototype.removeItem=function(id){var item=this.itemsData.get(id),dataset=this.itemsData.getDataSet();item&&this.options.onRemove(item,function(item){item&&dataset.remove(id)})},ItemSet.prototype._getType=function(itemData){return itemData.type||this.options.type||(itemData.end?"range":"box")},ItemSet.prototype._getGroupId=function(itemData){var type=this._getType(itemData);return"background"==type&&null==itemData.group?BACKGROUND:this.groupsData?itemData.group:"__ungrouped__"},ItemSet.prototype._onUpdate=function(ids){var me=this;ids.forEach(function(id){var itemData=me.itemsData.get(id,me.itemOptions),item=me.items[id],type=itemData?me._getType(itemData):null,constructor=ItemSet.types[type],selected;if(item&&(constructor&&item instanceof constructor?me._updateItem(item,itemData):(selected=item.selected,me._removeItem(item),item=null)),!item&&itemData)if(constructor)item=new constructor(itemData,me.conversion,me.options),item.id=id,me._addItem(item),selected&&(this.selection.push(id),item.select());else if("rangeoverflow"==type)throw new TypeError("Item type \"rangeoverflow\" is deprecated. Use css styling instead: .vis-item.vis-range .vis-item-content {overflow: visible;}");else throw new TypeError("Unknown item type \""+type+"\"")}.bind(this)),this._order(),this.body.emitter.emit("_change",{queue:!0})},ItemSet.prototype._onAdd=ItemSet.prototype._onUpdate,ItemSet.prototype._onRemove=function(ids){var count=0,me=this;ids.forEach(function(id){var item=me.items[id];item&&(count++,me._removeItem(item))}),count&&(this._order(),this.body.emitter.emit("_change",{queue:!0}))},ItemSet.prototype._order=function(){util.forEach(this.groups,function(group){group.order()})},ItemSet.prototype._onUpdateGroups=function(ids){this._onAddGroups(ids)},ItemSet.prototype._onAddGroups=function(ids){var me=this;ids.forEach(function(id){var groupData=me.groupsData.get(id),group=me.groups[id];if(!group){if("__ungrouped__"==id||id==BACKGROUND)throw new Error("Illegal group id. "+id+" is a reserved id.");var groupOptions=Object.create(me.options);for(var itemId in util.extend(groupOptions,{height:null}),group=new Group_1(id,groupData,me),me.groups[id]=group,me.items)if(me.items.hasOwnProperty(itemId)){var item=me.items[itemId];item.data.group==id&&group.add(item)}group.order(),group.show()}else group.setData(groupData)}),this.body.emitter.emit("_change",{queue:!0})},ItemSet.prototype._onRemoveGroups=function(ids){var groups=this.groups;ids.forEach(function(id){var group=groups[id];group&&(group.hide(),delete groups[id])}),this.markDirty(),this.body.emitter.emit("_change",{queue:!0})},ItemSet.prototype._orderGroups=function(){if(this.groupsData){var groupIds=this.groupsData.getIds({order:this.options.groupOrder});groupIds=this._orderNestedGroups(groupIds);var changed=!util.equalArray(groupIds,this.groupIds);if(changed){var groups=this.groups;groupIds.forEach(function(groupId){groups[groupId].hide()}),groupIds.forEach(function(groupId){groups[groupId].show()}),this.groupIds=groupIds}return changed}return!1},ItemSet.prototype._orderNestedGroups=function(groupIds){function getOrderedNestedGroups(t,groupIds){var result=[];return groupIds.forEach(function(groupId){result.push(groupId);var groupData=t.groupsData.get(groupId);if(groupData.nestedGroups){var nestedGroupIds=t.groupsData.get({filter:function(nestedGroup){return nestedGroup.nestedInGroup==groupId},order:t.options.groupOrder}).map(function(nestedGroup){return nestedGroup.id});result=result.concat(getOrderedNestedGroups(t,nestedGroupIds))}}),result}var topGroupIds=groupIds.filter(groupId=>!this.groupsData.get(groupId).nestedInGroup);return getOrderedNestedGroups(this,topGroupIds)},ItemSet.prototype._addItem=function(item){this.items[item.id]=item;var groupId=this._getGroupId(item.data),group=this.groups[groupId];group?group&&group.data&&group.data.showNested&&(item.groupShowing=!0):item.groupShowing=!1,group&&group.add(item)},ItemSet.prototype._updateItem=function(item,itemData){item.setData(itemData);var groupId=this._getGroupId(item.data),group=this.groups[groupId];group?group&&group.data&&group.data.showNested&&(item.groupShowing=!0):item.groupShowing=!1},ItemSet.prototype._removeItem=function(item){item.hide(),delete this.items[item.id];var index=this.selection.indexOf(item.id);-1!=index&&this.selection.splice(index,1),item.parent&&item.parent.remove(item)},ItemSet.prototype._constructByEndArray=function(array){for(var endArray=[],i=0;i<array.length;i++)array[i]instanceof RangeItem_1&&endArray.push(array[i]);return endArray},ItemSet.prototype._onTouch=function(event){this.touchParams.item=this.itemFromTarget(event),this.touchParams.dragLeftItem=event.target.dragLeftItem||!1,this.touchParams.dragRightItem=event.target.dragRightItem||!1,this.touchParams.itemProps=null},ItemSet.prototype._getGroupIndex=function(groupId){for(var i=0;i<this.groupIds.length;i++)if(groupId==this.groupIds[i])return i},ItemSet.prototype._onDragStart=function(event){if(!this.touchParams.itemIsDragging){var item=this.touchParams.item||null,me=this,props;if(item&&(item.selected||this.options.itemsAlwaysDraggable.item)){if(this.options.editable.overrideItems&&!this.options.editable.updateTime&&!this.options.editable.updateGroup)return;if(null!=item.editable&&!item.editable.updateTime&&!item.editable.updateGroup&&!this.options.editable.overrideItems)return;var dragLeftItem=this.touchParams.dragLeftItem,dragRightItem=this.touchParams.dragRightItem;if(this.touchParams.itemIsDragging=!0,this.touchParams.selectedItem=item,dragLeftItem)props={item:dragLeftItem,initialX:event.center.x,dragLeft:!0,data:this._cloneItemData(item.data)},this.touchParams.itemProps=[props];else if(dragRightItem)props={item:dragRightItem,initialX:event.center.x,dragRight:!0,data:this._cloneItemData(item.data)},this.touchParams.itemProps=[props];else if(this.options.editable.add&&(event.srcEvent.ctrlKey||event.srcEvent.metaKey))this._onDragStartAddItem(event);else{1>this.groupIds.length&&this.redraw();var baseGroupIndex=this._getGroupIndex(item.data.group),itemsToDrag=this.options.itemsAlwaysDraggable.item&&!item.selected?[item.id]:this.getSelection();this.touchParams.itemProps=itemsToDrag.map(function(id){var item=me.items[id],groupIndex=me._getGroupIndex(item.data.group);return{item:item,initialX:event.center.x,groupOffset:baseGroupIndex-groupIndex,data:this._cloneItemData(item.data)}}.bind(this))}event.stopPropagation()}else this.options.editable.add&&(event.srcEvent.ctrlKey||event.srcEvent.metaKey)&&this._onDragStartAddItem(event)}},ItemSet.prototype._onDragStartAddItem=function(event){var snap=this.options.snap||null,xAbs,x;this.options.rtl?(xAbs=util.getAbsoluteRight(this.dom.frame),x=xAbs-event.center.x+10):(xAbs=util.getAbsoluteLeft(this.dom.frame),x=event.center.x-xAbs-10);var time=this.body.util.toTime(x),scale=this.body.util.getScale(),step=this.body.util.getStep(),start=snap?snap(time,scale,step):time,itemData={type:"range",start:start,end:start,content:"new item"},id=util.randomUUID();itemData[this.itemsData._fieldId]=id;var group=this.groupFromTarget(event);group&&(itemData.group=group.groupId);var newItem=new RangeItem_1(itemData,this.conversion,this.options);newItem.id=id,newItem.data=this._cloneItemData(itemData),this._addItem(newItem),this.touchParams.selectedItem=newItem;var props={item:newItem,initialX:event.center.x,data:newItem.data};this.options.rtl?props.dragLeft=!0:props.dragRight=!0,this.touchParams.itemProps=[props],event.stopPropagation()},ItemSet.prototype._onDrag=function(event){if(this.clearPopupTimer(),null!=this.popup&&this.popup.hide(),this.touchParams.itemProps){event.stopPropagation();var me=this,snap=this.options.snap||null,xOffset;xOffset=this.options.rtl?this.body.dom.root.offsetLeft+this.body.domProps.right.width:this.body.dom.root.offsetLeft+this.body.domProps.left.width;var scale=this.body.util.getScale(),step=this.body.util.getStep(),selectedItem=this.touchParams.selectedItem,updateGroupAllowed=(this.options.editable.overrideItems||null==selectedItem.editable)&&this.options.editable.updateGroup||!this.options.editable.overrideItems&&null!=selectedItem.editable&&selectedItem.editable.updateGroup,newGroupBase=null;if(updateGroupAllowed&&selectedItem&&null!=selectedItem.data.group){var group=me.groupFromTarget(event);group&&(newGroupBase=this._getGroupIndex(group.groupId))}this.touchParams.itemProps.forEach(function(props){var current=me.body.util.toTime(event.center.x-xOffset),initial=me.body.util.toTime(props.initialX-xOffset),offset,initialStart,initialEnd,start,end;offset=this.options.rtl?-(current-initial):current-initial;var itemData=this._cloneItemData(props.item.data);if(null==props.item.editable||props.item.editable.updateTime||props.item.editable.updateGroup||me.options.editable.overrideItems){var updateTimeAllowed=(this.options.editable.overrideItems||null==selectedItem.editable)&&this.options.editable.updateTime||!this.options.editable.overrideItems&&null!=selectedItem.editable&&selectedItem.editable.updateTime;if(updateTimeAllowed)if(props.dragLeft)this.options.rtl?null!=itemData.end&&(initialEnd=util.convert(props.data.end,"Date"),end=new Date(initialEnd.valueOf()+offset),itemData.end=snap?snap(end,scale,step):end):null!=itemData.start&&(initialStart=util.convert(props.data.start,"Date"),start=new Date(initialStart.valueOf()+offset),itemData.start=snap?snap(start,scale,step):start);else if(props.dragRight)this.options.rtl?null!=itemData.start&&(initialStart=util.convert(props.data.start,"Date"),start=new Date(initialStart.valueOf()+offset),itemData.start=snap?snap(start,scale,step):start):null!=itemData.end&&(initialEnd=util.convert(props.data.end,"Date"),end=new Date(initialEnd.valueOf()+offset),itemData.end=snap?snap(end,scale,step):end);else if(null!=itemData.start)if(initialStart=util.convert(props.data.start,"Date").valueOf(),start=new Date(initialStart+offset),null!=itemData.end){initialEnd=util.convert(props.data.end,"Date");var duration=initialEnd.valueOf()-initialStart.valueOf();itemData.start=snap?snap(start,scale,step):start,itemData.end=new Date(itemData.start.valueOf()+duration)}else itemData.start=snap?snap(start,scale,step):start;if(updateGroupAllowed&&!props.dragLeft&&!props.dragRight&&null!=newGroupBase&&null!=itemData.group){var newOffset=newGroupBase-props.groupOffset;newOffset=_Mathmax(0,newOffset),newOffset=_Mathmin(me.groupIds.length-1,newOffset),itemData.group=me.groupIds[newOffset]}itemData=this._cloneItemData(itemData),me.options.onMoving(itemData,function(itemData){itemData&&props.item.setData(this._cloneItemData(itemData,"Date"))}.bind(this))}}.bind(this)),this.body.emitter.emit("_change")}},ItemSet.prototype._moveToGroup=function(item,groupId){var group=this.groups[groupId];if(group&&group.groupId!=item.data.group){var oldGroup=item.parent;oldGroup.remove(item),oldGroup.order(),item.data.group=group.groupId,group.add(item),group.order()}},ItemSet.prototype._onDragEnd=function(event){if(this.touchParams.itemIsDragging=!1,this.touchParams.itemProps){event.stopPropagation();var me=this,dataset=this.itemsData.getDataSet(),itemProps=this.touchParams.itemProps;this.touchParams.itemProps=null,itemProps.forEach(function(props){var id=props.item.id,exists=null!=me.itemsData.get(id,me.itemOptions);if(!exists)me.options.onAdd(props.item.data,function(itemData){me._removeItem(props.item),itemData&&me.itemsData.getDataSet().add(itemData),me.body.emitter.emit("_change")});else{var itemData=this._cloneItemData(props.item.data);me.options.onMove(itemData,function(itemData){itemData?(itemData[dataset._fieldId]=id,dataset.update(itemData)):(props.item.setData(props.data),me.body.emitter.emit("_change"))})}}.bind(this))}},ItemSet.prototype._onGroupClick=function(event){var group=this.groupFromTarget(event);if(group&&group.nestedGroups){var groupsData=this.groupsData.getDataSet(),nestingGroup=groupsData.get(group.groupId);null==nestingGroup.showNested&&(nestingGroup.showNested=!0),nestingGroup.showNested=!nestingGroup.showNested;var nestedGroups=groupsData.get(group.nestedGroups).map(function(nestedGroup){return nestedGroup.visible=nestingGroup.showNested,nestedGroup});if(groupsData.update(nestedGroups.concat(nestingGroup)),nestingGroup.showNested)util.removeClassName(group.dom.label,"collapsed"),util.addClassName(group.dom.label,"expanded");else{util.removeClassName(group.dom.label,"expanded");var collapsedDirClassName=this.options.rtl?"collapsed-rtl":"collapsed";util.addClassName(group.dom.label,collapsedDirClassName)}}},ItemSet.prototype._onGroupDragStart=function(event){this.options.groupEditable.order&&(this.groupTouchParams.group=this.groupFromTarget(event),this.groupTouchParams.group&&(event.stopPropagation(),this.groupTouchParams.originalOrder=this.groupsData.getIds({order:this.options.groupOrder})))},ItemSet.prototype._onGroupDrag=function(event){if(this.options.groupEditable.order&&this.groupTouchParams.group){event.stopPropagation();var groupsData=this.groupsData;this.groupsData instanceof DataView&&(groupsData=this.groupsData.getDataSet());var group=this.groupFromTarget(event);if(group&&group.height!=this.groupTouchParams.group.height){var movingUp=group.top<this.groupTouchParams.group.top,clientY=event.center?event.center.y:event.clientY,targetGroupTop=util.getAbsoluteTop(group.dom.foreground),draggedGroupHeight=this.groupTouchParams.group.height;if(!movingUp){var targetGroupHeight=group.height;if(targetGroupTop+targetGroupHeight-draggedGroupHeight>clientY)return}else if(targetGroupTop+draggedGroupHeight<clientY)return}if(group&&group!=this.groupTouchParams.group){var targetGroup=groupsData.get(group.groupId),draggedGroup=groupsData.get(this.groupTouchParams.group.groupId);draggedGroup&&targetGroup&&(this.options.groupOrderSwap(draggedGroup,targetGroup,groupsData),groupsData.update(draggedGroup),groupsData.update(targetGroup));var newOrder=groupsData.getIds({order:this.options.groupOrder});if(!util.equalArray(newOrder,this.groupTouchParams.originalOrder))for(var origOrder=this.groupTouchParams.originalOrder,draggedId=this.groupTouchParams.group.groupId,numGroups=_Mathmin(origOrder.length,newOrder.length),curPos=0,newOffset=0,orgOffset=0;curPos<numGroups;){for(;curPos+newOffset<numGroups&&curPos+orgOffset<numGroups&&newOrder[curPos+newOffset]==origOrder[curPos+orgOffset];)curPos++;if(curPos+newOffset>=numGroups)break;if(newOrder[curPos+newOffset]==draggedId)newOffset=1;else if(origOrder[curPos+orgOffset]==draggedId)orgOffset=1;else{var slippedPosition=newOrder.indexOf(origOrder[curPos+orgOffset]),switchGroup=groupsData.get(newOrder[curPos+newOffset]),shouldBeGroup=groupsData.get(origOrder[curPos+orgOffset]);this.options.groupOrderSwap(switchGroup,shouldBeGroup,groupsData),groupsData.update(switchGroup),groupsData.update(shouldBeGroup);var switchGroupId=newOrder[curPos+newOffset];newOrder[curPos+newOffset]=origOrder[curPos+orgOffset],newOrder[slippedPosition]=switchGroupId,curPos++}}}}},ItemSet.prototype._onGroupDragEnd=function(event){if(this.options.groupEditable.order&&this.groupTouchParams.group){event.stopPropagation();var me=this,id=me.groupTouchParams.group.groupId,dataset=me.groupsData.getDataSet(),groupData=util.extend({},dataset.get(id));me.options.onMoveGroup(groupData,function(groupData){if(groupData)groupData[dataset._fieldId]=id,dataset.update(groupData);else{var newOrder=dataset.getIds({order:me.options.groupOrder});if(!util.equalArray(newOrder,me.groupTouchParams.originalOrder))for(var origOrder=me.groupTouchParams.originalOrder,numGroups=_Mathmin(origOrder.length,newOrder.length),curPos=0;curPos<numGroups;){for(;curPos<numGroups&&newOrder[curPos]==origOrder[curPos];)curPos++;if(curPos>=numGroups)break;var slippedPosition=newOrder.indexOf(origOrder[curPos]),switchGroup=dataset.get(newOrder[curPos]),shouldBeGroup=dataset.get(origOrder[curPos]);me.options.groupOrderSwap(switchGroup,shouldBeGroup,dataset),dataset.update(switchGroup),dataset.update(shouldBeGroup);var switchGroupId=newOrder[curPos];newOrder[curPos]=origOrder[curPos],newOrder[slippedPosition]=switchGroupId,curPos++}}}),me.body.emitter.emit("groupDragged",{groupId:id})}},ItemSet.prototype._onSelectItem=function(event){if(this.options.selectable){var ctrlKey=event.srcEvent&&(event.srcEvent.ctrlKey||event.srcEvent.metaKey),shiftKey=event.srcEvent&&event.srcEvent.shiftKey;if(ctrlKey||shiftKey)return void this._onMultiSelectItem(event);var oldSelection=this.getSelection(),item=this.itemFromTarget(event),selection=item?[item.id]:[];this.setSelection(selection);var newSelection=this.getSelection();(0<newSelection.length||0<oldSelection.length)&&this.body.emitter.emit("select",{items:newSelection,event:event})}},ItemSet.prototype._onMouseOver=function(event){var item=this.itemFromTarget(event);if(item){var related=this.itemFromRelatedTarget(event);if(item!==related){var title=item.getTitle();if(this.options.showTooltips&&title){null==this.popup&&(this.popup=new Popup$1(this.body.dom.root,this.options.tooltip.overflowMethod||"flip")),this.popup.setText(title);var container=this.body.dom.centerContainer;this.popup.setPosition(event.clientX-util.getAbsoluteLeft(container)+container.offsetLeft,event.clientY-util.getAbsoluteTop(container)+container.offsetTop),this.setPopupTimer(this.popup)}else this.clearPopupTimer(),null!=this.popup&&this.popup.hide();this.body.emitter.emit("itemover",{item:item.id,event:event})}}},ItemSet.prototype._onMouseOut=function(event){var item=this.itemFromTarget(event);if(item){var related=this.itemFromRelatedTarget(event);item===related||(this.clearPopupTimer(),null!=this.popup&&this.popup.hide(),this.body.emitter.emit("itemout",{item:item.id,event:event}))}},ItemSet.prototype._onMouseMove=function(event){var item=this.itemFromTarget(event);if(item&&(null!=this.popupTimer&&this.setPopupTimer(this.popup),this.options.showTooltips&&this.options.tooltip.followMouse&&this.popup&&!this.popup.hidden)){var container=this.body.dom.centerContainer;this.popup.setPosition(event.clientX-util.getAbsoluteLeft(container)+container.offsetLeft,event.clientY-util.getAbsoluteTop(container)+container.offsetTop),this.popup.show()}},ItemSet.prototype._onMouseWheel=function(event){this.touchParams.itemIsDragging&&this._onDragEnd(event)},ItemSet.prototype._onUpdateItem=function(item){if(this.options.selectable&&this.options.editable.add){var me=this;if(item){var itemData=me.itemsData.get(item.id);this.options.onUpdate(itemData,function(itemData){itemData&&me.itemsData.getDataSet().update(itemData)})}}},ItemSet.prototype._onDropObjectOnItem=function(event){var item=this.itemFromTarget(event),objectData=JSON.parse(event.dataTransfer.getData("text"));this.options.onDropObjectOnItem(objectData,item)},ItemSet.prototype._onAddItem=function(event){if(this.options.selectable&&this.options.editable.add){var me=this,snap=this.options.snap||null,xAbs,x;this.options.rtl?(xAbs=util.getAbsoluteRight(this.dom.frame),x=xAbs-event.center.x):(xAbs=util.getAbsoluteLeft(this.dom.frame),x=event.center.x-xAbs);var start=this.body.util.toTime(x),scale=this.body.util.getScale(),step=this.body.util.getStep(),end,newItemData;"drop"==event.type?(newItemData=JSON.parse(event.dataTransfer.getData("text")),newItemData.content=newItemData.content?newItemData.content:"new item",newItemData.start=newItemData.start?newItemData.start:snap?snap(start,scale,step):start,newItemData.type=newItemData.type||"box",newItemData[this.itemsData._fieldId]=newItemData.id||util.randomUUID(),"range"==newItemData.type&&!newItemData.end&&(end=this.body.util.toTime(x+this.props.width/5),newItemData.end=snap?snap(end,scale,step):end)):(newItemData={start:snap?snap(start,scale,step):start,content:"new item"},newItemData[this.itemsData._fieldId]=util.randomUUID(),"range"===this.options.type&&(end=this.body.util.toTime(x+this.props.width/5),newItemData.end=snap?snap(end,scale,step):end));var group=this.groupFromTarget(event);group&&(newItemData.group=group.groupId),newItemData=this._cloneItemData(newItemData),this.options.onAdd(newItemData,function(item){item&&(me.itemsData.getDataSet().add(item),"drop"==event.type&&me.setSelection([item.id]))})}},ItemSet.prototype._onMultiSelectItem=function(event){if(this.options.selectable){var item=this.itemFromTarget(event);if(item){var selection=this.options.multiselect?this.getSelection():[],shiftKey=event.srcEvent&&event.srcEvent.shiftKey||!1;if(shiftKey&&this.options.multiselect){var itemGroup=this.itemsData.get(item.id).group,lastSelectedGroup=void 0;this.options.multiselectPerGroup&&0<selection.length&&(lastSelectedGroup=this.itemsData.get(selection[0]).group),this.options.multiselectPerGroup&&null!=lastSelectedGroup&&lastSelectedGroup!=itemGroup||selection.push(item.id);var range=ItemSet._getItemRange(this.itemsData.get(selection,this.itemOptions));if(!this.options.multiselectPerGroup||lastSelectedGroup==itemGroup)for(var id in selection=[],this.items)if(this.items.hasOwnProperty(id)){var _item=this.items[id],start=_item.data.start,end=void 0===_item.data.end?start:_item.data.end;start>=range.min&&end<=range.max&&(!this.options.multiselectPerGroup||lastSelectedGroup==this.itemsData.get(_item.id).group)&&!(_item instanceof BackgroundItem_1)&&selection.push(_item.id)}}else{var index=selection.indexOf(item.id);-1==index?selection.push(item.id):selection.splice(index,1)}this.setSelection(selection),this.body.emitter.emit("select",{items:this.getSelection(),event:event})}}},ItemSet._getItemRange=function(itemsData){var max=null,min=null;return itemsData.forEach(function(data){(null==min||data.start<min)&&(min=data.start),null==data.end?(null==max||data.start>max)&&(max=data.start):(null==max||data.end>max)&&(max=data.end)}),{min:min,max:max}},ItemSet.prototype.itemFromElement=function(element){for(var cur=element;cur;){if(cur.hasOwnProperty("timeline-item"))return cur["timeline-item"];cur=cur.parentNode}return null},ItemSet.prototype.itemFromTarget=function(event){return this.itemFromElement(event.target)},ItemSet.prototype.itemFromRelatedTarget=function(event){return this.itemFromElement(event.relatedTarget)},ItemSet.prototype.groupFromTarget=function(event){var clientY=event.center?event.center.y:event.clientY,groupIds=this.groupIds;0>=groupIds.length&&this.groupsData&&(groupIds=this.groupsData.getIds({order:this.options.groupOrder}));for(var i=0;i<groupIds.length;i++){var groupId=groupIds[i],group=this.groups[groupId],foreground=group.dom.foreground,top=util.getAbsoluteTop(foreground);if(clientY>=top&&clientY<top+foreground.offsetHeight)return group;if("top"===this.options.orientation.item){if(i==this.groupIds.length-1&&clientY>top)return group;}else if(0==i&&clientY<top+foreground.offset)return group}return null},ItemSet.itemSetFromTarget=function(event){for(var target=event.target;target;){if(target.hasOwnProperty("timeline-itemset"))return target["timeline-itemset"];target=target.parentNode}return null},ItemSet.prototype._cloneItemData=function(itemData,type){var clone=util.extend({},itemData);return type||(type=this.itemsData.getDataSet()._options.type),null!=clone.start&&(clone.start=util.convert(clone.start,type&&type.start||"Date")),null!=clone.end&&(clone.end=util.convert(clone.end,type&&type.end||"Date")),clone};let errorFound$2=!1,printStyle$3="background: #FFeeee; color: #dd0000",allOptions$6;class Validator$4{constructor(){}static validate(options,referenceOptions,subObject){errorFound$2=!1,allOptions$6=referenceOptions;let usedOptions=referenceOptions;return void 0!==subObject&&(usedOptions=referenceOptions[subObject]),Validator$4.parse(options,usedOptions,[]),errorFound$2}static parse(options,referenceOptions,path){for(let option in options)options.hasOwnProperty(option)&&Validator$4.check(option,options,referenceOptions,path)}static check(option,options,referenceOptions,path){if(void 0===referenceOptions[option]&&void 0===referenceOptions.__any__)return void Validator$4.getSuggestion(option,referenceOptions,path);let referenceOption=option,is_object=!0;referenceOptions[option]===void 0&&referenceOptions.__any__!==void 0&&(referenceOption="__any__",is_object="object"===Validator$4.getType(options[option]));let refOptionObj=referenceOptions[referenceOption];is_object&&refOptionObj.__type__!==void 0&&(refOptionObj=refOptionObj.__type__),Validator$4.checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path)}static checkFields(option,options,referenceOptions,referenceOption,refOptionObj,path){let log=function(message){console.log("%c"+message+Validator$4.printLocation(path,option),printStyle$3)},optionType=Validator$4.getType(options[option]),refOptionType=refOptionObj[optionType];refOptionType===void 0?refOptionObj.any===void 0&&(log("Invalid type received for \""+option+"\". Expected: "+Validator$4.print(Object.keys(refOptionObj))+". Received ["+optionType+"] \""+options[option]+"\""),errorFound$2=!0):"array"===Validator$4.getType(refOptionType)&&-1===refOptionType.indexOf(options[option])?(log("Invalid option detected in \""+option+"\". Allowed values are:"+Validator$4.print(refOptionType)+" not \""+options[option]+"\". "),errorFound$2=!0):"object"===optionType&&"__any__"!==referenceOption&&(path=util.copyAndExtendArray(path,option),Validator$4.parse(options[option],referenceOptions[referenceOption],path))}static getType(object){var type=typeof object;if("object"==type)return null===object?"null":object instanceof Boolean?"boolean":object instanceof Number?"number":object instanceof String?"string":Array.isArray(object)?"array":object instanceof Date?"date":void 0===object.nodeType?!0===object._isAMomentObject?"moment":"object":"dom";return"number"==type?"number":"boolean"==type?"boolean":"string"==type?"string":void 0===type?"undefined":type}static getSuggestion(option,options,path){let localSearch=Validator$4.findInOptions(option,options,path,!1),globalSearch=Validator$4.findInOptions(option,allOptions$6,[],!0),msg;msg=void 0===localSearch.indexMatch?globalSearch.distance<=4&&localSearch.distance>globalSearch.distance?" in "+Validator$4.printLocation(localSearch.path,option,"")+"Perhaps it was misplaced? Matching option found at: "+Validator$4.printLocation(globalSearch.path,globalSearch.closestMatch,""):localSearch.distance<=8?". Did you mean \""+localSearch.closestMatch+"\"?"+Validator$4.printLocation(localSearch.path,option):". Did you mean one of these: "+Validator$4.print(Object.keys(options))+Validator$4.printLocation(path,option):" in "+Validator$4.printLocation(localSearch.path,option,"")+"Perhaps it was incomplete? Did you mean: \""+localSearch.indexMatch+"\"?\n\n",console.log("%cUnknown option detected: \""+option+"\""+msg,printStyle$3),errorFound$2=!0}static findInOptions(option,options,path,recursive=!1){let min=1e9,closestMatch="",closestMatchPath=[],lowerCaseOption=option.toLowerCase(),indexMatch;for(let op in options){let distance;if(options[op].__type__!==void 0&&!0===recursive){let result=Validator$4.findInOptions(option,options[op],util.copyAndExtendArray(path,op));min>result.distance&&(closestMatch=result.closestMatch,closestMatchPath=result.path,min=result.distance,indexMatch=result.indexMatch)}else-1!==op.toLowerCase().indexOf(lowerCaseOption)&&(indexMatch=op),distance=Validator$4.levenshteinDistance(option,op),min>distance&&(closestMatch=op,closestMatchPath=util.copyArray(path),min=distance)}return{closestMatch:closestMatch,path:closestMatchPath,distance:min,indexMatch:indexMatch}}static printLocation(path,option,prefix="Problem value found at: \n"){let str="\n\n"+prefix+"options = {\n";for(let i=0;i<path.length;i++){for(let j=0;j<i+1;j++)str+="  ";str+=path[i]+": {\n"}for(let j=0;j<path.length+1;j++)str+="  ";str+=option+"\n";for(let i=0;i<path.length+1;i++){for(let j=0;j<path.length-i;j++)str+="  ";str+="}\n"}return str+"\n\n"}static print(options){return JSON.stringify(options).replace(/(\")|(\[)|(\])|(,"__type__")/g,"").replace(/(\,)/g,", ")}static levenshteinDistance(a,b){if(0===a.length)return b.length;if(0===b.length)return a.length;var matrix=[],i;for(i=0;i<=b.length;i++)matrix[i]=[i];var j;for(j=0;j<=a.length;j++)matrix[0][j]=j;for(i=1;i<=b.length;i++)for(j=1;j<=a.length;j++)matrix[i][j]=b.charAt(i-1)==a.charAt(j-1)?matrix[i-1][j-1]:_Mathmin(matrix[i-1][j-1]+1,_Mathmin(matrix[i][j-1]+1,matrix[i-1][j]+1));return matrix[b.length][a.length]}}var Validator$5=Object.freeze({Validator:Validator$4,printStyle:printStyle$3});let bool$2="boolean",number$2="number",array$1="array",date="date",object$2="object",moment$6="moment";var optionsTimeline=Object.freeze({allOptions:{configure:{enabled:{boolean:bool$2},filter:{boolean:bool$2,function:"function"},container:{dom:"dom"},__type__:{object:object$2,boolean:bool$2,function:"function"}},align:{string:"string"},alignCurrentTime:{string:"string",undefined:"undefined"},rtl:{boolean:bool$2,undefined:"undefined"},rollingMode:{follow:{boolean:bool$2},offset:{number:number$2,undefined:"undefined"},__type__:{object:object$2}},onTimeout:{timeoutMs:{number:number$2},callback:{function:"function"},__type__:{object:object$2}},verticalScroll:{boolean:bool$2,undefined:"undefined"},horizontalScroll:{boolean:bool$2,undefined:"undefined"},autoResize:{boolean:bool$2},throttleRedraw:{number:number$2},clickToUse:{boolean:bool$2},dataAttributes:{string:"string",array:array$1},editable:{add:{boolean:bool$2,undefined:"undefined"},remove:{boolean:bool$2,undefined:"undefined"},updateGroup:{boolean:bool$2,undefined:"undefined"},updateTime:{boolean:bool$2,undefined:"undefined"},overrideItems:{boolean:bool$2,undefined:"undefined"},__type__:{boolean:bool$2,object:object$2}},end:{number:number$2,date,string:"string",moment:moment$6},format:{minorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},week:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:object$2,function:"function"}},majorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},week:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:object$2,function:"function"}},__type__:{object:object$2}},moment:{function:"function"},groupHeightMode:{string:"string"},groupLabelDirection:{string:"string"},groupOrder:{string:"string",function:"function"},groupEditable:{add:{boolean:bool$2,undefined:"undefined"},remove:{boolean:bool$2,undefined:"undefined"},order:{boolean:bool$2,undefined:"undefined"},__type__:{boolean:bool$2,object:object$2}},groupOrderSwap:{function:"function"},height:{string:"string",number:number$2},hiddenDates:{start:{date,number:number$2,string:"string",moment:moment$6},end:{date,number:number$2,string:"string",moment:moment$6},repeat:{string:"string"},__type__:{object:object$2,array:array$1}},itemsAlwaysDraggable:{item:{boolean:bool$2,undefined:"undefined"},range:{boolean:bool$2,undefined:"undefined"},__type__:{boolean:bool$2,object:object$2}},limitSize:{boolean:bool$2},locale:{string:"string"},locales:{__any__:{any:"any"},__type__:{object:object$2}},margin:{axis:{number:number$2},item:{horizontal:{number:number$2,undefined:"undefined"},vertical:{number:number$2,undefined:"undefined"},__type__:{object:object$2,number:number$2}},__type__:{object:object$2,number:number$2}},max:{date,number:number$2,string:"string",moment:moment$6},maxHeight:{number:number$2,string:"string"},maxMinorChars:{number:number$2},min:{date,number:number$2,string:"string",moment:moment$6},minHeight:{number:number$2,string:"string"},moveable:{boolean:bool$2},multiselect:{boolean:bool$2},multiselectPerGroup:{boolean:bool$2},onAdd:{function:"function"},onDropObjectOnItem:{function:"function"},onUpdate:{function:"function"},onMove:{function:"function"},onMoving:{function:"function"},onRemove:{function:"function"},onAddGroup:{function:"function"},onMoveGroup:{function:"function"},onRemoveGroup:{function:"function"},onInitialDrawComplete:{function:"function"},order:{function:"function"},orientation:{axis:{string:"string",undefined:"undefined"},item:{string:"string",undefined:"undefined"},__type__:{string:"string",object:object$2}},selectable:{boolean:bool$2},showCurrentTime:{boolean:bool$2},showMajorLabels:{boolean:bool$2},showMinorLabels:{boolean:bool$2},stack:{boolean:bool$2},stackSubgroups:{boolean:bool$2},snap:{function:"function",null:"null"},start:{date,number:number$2,string:"string",moment:moment$6},template:{function:"function"},loadingScreenTemplate:{function:"function"},groupTemplate:{function:"function"},visibleFrameTemplate:{string:"string",function:"function"},showTooltips:{boolean:bool$2},tooltip:{followMouse:{boolean:bool$2},overflowMethod:{string:["cap","flip"]},__type__:{object:object$2}},tooltipOnItemUpdateTime:{template:{function:"function"},__type__:{boolean:bool$2,object:object$2}},timeAxis:{scale:{string:"string",undefined:"undefined"},step:{number:number$2,undefined:"undefined"},__type__:{object:object$2}},type:{string:"string"},width:{string:"string",number:number$2},zoomable:{boolean:bool$2},zoomKey:{string:["ctrlKey","altKey","metaKey",""]},zoomMax:{number:number$2},zoomMin:{number:number$2},__type__:{object:object$2}},configureOptions:{global:{align:["center","left","right"],alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],direction:!1,autoResize:!0,clickToUse:!1,editable:{add:!1,remove:!1,updateGroup:!1,updateTime:!1},end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",week:"w",month:"MMM",quarter:"[Q]Q",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",week:"MMMM YYYY",month:"YYYY",quarter:"YYYY",year:""}},groupHeightMode:["auto","fixed"],groupLabelDirection:["horizontal","vertical"],groupsDraggable:!1,height:"",locale:"",margin:{axis:[20,0,100,1],item:{horizontal:[10,0,100,1],vertical:[10,0,100,1]}},max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!1,multiselect:!1,multiselectPerGroup:!1,orientation:{axis:["both","bottom","top"],item:["bottom","top"]},selectable:!0,showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,stack:!0,stackSubgroups:!0,start:"",showTooltips:!0,tooltip:{followMouse:!1,overflowMethod:"flip"},tooltipOnItemUpdateTime:!1,type:["box","point","range","background"],width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1]}}}),htmlColors$1={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"};class ColorPicker$1{constructor(pixelRatio=1){this.pixelRatio=pixelRatio,this.generated=!1,this.centerCoordinates={x:289/2,y:289/2},this.r=.49*289,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=()=>{},this.closeCallback=()=>{},this._create()}insertTo(container){this.hammer!==void 0&&(this.hammer.destroy(),this.hammer=void 0),this.container=container,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}setUpdateCallback(callback){if("function"==typeof callback)this.updateCallback=callback;else throw new Error("Function attempted to set as colorPicker update callback is not a function.")}setCloseCallback(callback){if("function"==typeof callback)this.closeCallback=callback;else throw new Error("Function attempted to set as colorPicker closing callback is not a function.")}_isColorString(color){if("string"==typeof color)return htmlColors$1[color]}setColor(color,setInitial=!0){if("none"===color)return;let rgba;var htmlColor=this._isColorString(color);if(void 0!==htmlColor&&(color=htmlColor),!0===util.isString(color)){if(!0===util.isValidRGB(color)){let rgbaArray=color.substr(4).substr(0,color.length-5).split(",");rgba={r:rgbaArray[0],g:rgbaArray[1],b:rgbaArray[2],a:1}}else if(!0===util.isValidRGBA(color)){let rgbaArray=color.substr(5).substr(0,color.length-6).split(",");rgba={r:rgbaArray[0],g:rgbaArray[1],b:rgbaArray[2],a:rgbaArray[3]}}else if(!0===util.isValidHex(color)){let rgbObj=util.hexToRGB(color);rgba={r:rgbObj.r,g:rgbObj.g,b:rgbObj.b,a:1}}}else if(color instanceof Object&&void 0!==color.r&&void 0!==color.g&&void 0!==color.b){let alpha=void 0===color.a?"1.0":color.a;rgba={r:color.r,g:color.g,b:color.b,a:alpha}}if(void 0===rgba)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+JSON.stringify(color));else this._setColor(rgba,setInitial)}show(){this.closeCallback!==void 0&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}_hide(storePrevious=!0){!0===storePrevious&&(this.previousColor=util.extend({},this.color)),!0===this.applied&&this.updateCallback(this.initialColor),this.frame.style.display="none",setTimeout(()=>{this.closeCallback!==void 0&&(this.closeCallback(),this.closeCallback=void 0)},0)}_save(){this.updateCallback(this.color),this.applied=!1,this._hide()}_apply(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}_loadLast(){this.previousColor===void 0?alert("There is no last color to load..."):this.setColor(this.previousColor,!1)}_setColor(rgba,setInitial=!0){!0===setInitial&&(this.initialColor=util.extend({},rgba)),this.color=rgba;let hsv=util.RGBToHSV(rgba.r,rgba.g,rgba.b),angleConvert=2*_MathPI,radius=this.r*hsv.s,x=this.centerCoordinates.x+radius*_Mathsin(angleConvert*hsv.h),y=this.centerCoordinates.y+radius*_Mathcos(angleConvert*hsv.h);this.colorPickerSelector.style.left=x-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=y-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(rgba)}_setOpacity(value){this.color.a=value/100,this._updatePicker(this.color)}_setBrightness(value){let hsv=util.RGBToHSV(this.color.r,this.color.g,this.color.b);hsv.v=value/100;let rgba=util.HSVToRGB(hsv.h,hsv.s,hsv.v);rgba.a=this.color.a,this.color=rgba,this._updatePicker()}_updatePicker(rgba=this.color){let hsv=util.RGBToHSV(rgba.r,rgba.g,rgba.b),ctx=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1)),ctx.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);let w=this.colorPickerCanvas.clientWidth,h=this.colorPickerCanvas.clientHeight;ctx.clearRect(0,0,w,h),ctx.putImageData(this.hueCircle,0,0),ctx.fillStyle="rgba(0,0,0,"+(1-hsv.v)+")",ctx.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),ctx.fill(),this.brightnessRange.value=100*hsv.v,this.opacityRange.value=100*rgba.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}_setSize(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}_create(){if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),!this.colorPickerCanvas.getContext){let noCanvas=document.createElement("DIV");noCanvas.style.color="red",noCanvas.style.fontWeight="bold",noCanvas.style.padding="10px",noCanvas.innerHTML="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(noCanvas)}else{let ctx=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch(err){}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch(err){}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var me=this;this.opacityRange.onchange=function(){me._setOpacity(this.value)},this.opacityRange.oninput=function(){me._setOpacity(this.value)},this.brightnessRange.onchange=function(){me._setBrightness(this.value)},this.brightnessRange.oninput=function(){me._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerHTML="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerHTML="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerHTML="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerHTML="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerHTML="cancel",this.cancelButton.onclick=this._hide.bind(this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerHTML="apply",this.applyButton.onclick=this._apply.bind(this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerHTML="save",this.saveButton.onclick=this._save.bind(this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerHTML="load last",this.loadButton.onclick=this._loadLast.bind(this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}_bindHammer(){this.drag={},this.pinch={},this.hammer=new hammer$3(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),hammerUtil$1.onTouch(this.hammer,event=>{this._moveSelector(event)}),this.hammer.on("tap",event=>{this._moveSelector(event)}),this.hammer.on("panstart",event=>{this._moveSelector(event)}),this.hammer.on("panmove",event=>{this._moveSelector(event)}),this.hammer.on("panend",event=>{this._moveSelector(event)})}_generateHueCircle(){if(!1===this.generated){let ctx=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(ctx.webkitBackingStorePixelRatio||ctx.mozBackingStorePixelRatio||ctx.msBackingStorePixelRatio||ctx.oBackingStorePixelRatio||ctx.backingStorePixelRatio||1)),ctx.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);let w=this.colorPickerCanvas.clientWidth,h=this.colorPickerCanvas.clientHeight;ctx.clearRect(0,0,w,h);let x,y,hue,sat;this.centerCoordinates={x:.5*w,y:.5*h},this.r=.49*w;let angleConvert=2*_MathPI/360,sfac=1/this.r,rgb;for(hue=0;360>hue;hue++)for(sat=0;sat<this.r;sat++)x=this.centerCoordinates.x+sat*_Mathsin(angleConvert*hue),y=this.centerCoordinates.y+sat*_Mathcos(angleConvert*hue),rgb=util.HSVToRGB(hue*(1/360),sat*sfac,1),ctx.fillStyle="rgb("+rgb.r+","+rgb.g+","+rgb.b+")",ctx.fillRect(x-.5,y-.5,2,2);ctx.strokeStyle="rgba(0,0,0,1)",ctx.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),ctx.stroke(),this.hueCircle=ctx.getImageData(0,0,w,h)}this.generated=!0}_moveSelector(event){let rect=this.colorPickerDiv.getBoundingClientRect(),left=event.center.x-rect.left,top=event.center.y-rect.top,centerY=.5*this.colorPickerDiv.clientHeight,centerX=.5*this.colorPickerDiv.clientWidth,x=left-centerX,y=top-centerY,angle=_Mathatan(x,y),radius=.98*_Mathmin(_Mathsqrt(x*x+y*y),centerX),newTop=_Mathcos(angle)*radius+centerY,newLeft=_Mathsin(angle)*radius+centerX;this.colorPickerSelector.style.top=newTop-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=newLeft-.5*this.colorPickerSelector.clientWidth+"px";let h=angle/(2*_MathPI);h=0>h?h+1:h;let s=radius/this.r,hsv=util.RGBToHSV(this.color.r,this.color.g,this.color.b);hsv.h=h,hsv.s=s;let rgba=util.HSVToRGB(hsv.h,hsv.s,hsv.v);rgba.a=this.color.a,this.color=rgba,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}class Configurator$1{constructor(parentModule,defaultContainer,configureOptions,pixelRatio=1){this.parent=parentModule,this.changedOptions=[],this.container=defaultContainer,this.allowCreation=!1,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},util.extend(this.options,this.defaultOptions),this.configureOptions=configureOptions,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new ColorPicker$1(pixelRatio),this.wrapper=void 0}setOptions(options){if(options!==void 0){this.popupHistory={},this._removePopup();let enabled=!0;if("string"==typeof options)this.options.filter=options;else if(options instanceof Array)this.options.filter=options.join();else if("object"==typeof options){if(null==options)throw new TypeError("options cannot be null");options.container!==void 0&&(this.options.container=options.container),options.filter!==void 0&&(this.options.filter=options.filter),options.showButton!==void 0&&(this.options.showButton=options.showButton),options.enabled!==void 0&&(enabled=options.enabled)}else"boolean"==typeof options?(this.options.filter=!0,enabled=options):"function"==typeof options&&(this.options.filter=options,enabled=!0);!1===this.options.filter&&(enabled=!1),this.options.enabled=enabled}this._clean()}setModuleOptions(moduleOptions){this.moduleOptions=moduleOptions,!0===this.options.enabled&&(this._clean(),this.options.container!==void 0&&(this.container=this.options.container),this._create())}_create(){this._clean(),this.changedOptions=[];let filter=this.options.filter,counter=0,show=!1;for(let option in this.configureOptions)this.configureOptions.hasOwnProperty(option)&&(this.allowCreation=!1,show=!1,"function"==typeof filter?(show=filter(option,[]),show=show||this._handleObject(this.configureOptions[option],[option],!0)):(!0===filter||-1!==filter.indexOf(option))&&(show=!0),!1!==show&&(this.allowCreation=!0,0<counter&&this._makeItem([]),this._makeHeader(option),this._handleObject(this.configureOptions[option],[option])),counter++);this._makeButton(),this._push()}_push(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var i=0;i<this.domElements.length;i++)this.wrapper.appendChild(this.domElements[i]);this._showPopupIfNeeded()}_clean(){for(var i=0;i<this.domElements.length;i++)this.wrapper.removeChild(this.domElements[i]);this.wrapper!==void 0&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}_getValue(path){let base=this.moduleOptions;for(let i=0;i<path.length;i++)if(base[path[i]]!==void 0)base=base[path[i]];else{base=void 0;break}return base}_makeItem(path,...domElements){if(!0===this.allowCreation){let item=document.createElement("div");return item.className="vis-configuration vis-config-item vis-config-s"+path.length,domElements.forEach(element=>{item.appendChild(element)}),this.domElements.push(item),this.domElements.length}return 0}_makeHeader(name){let div=document.createElement("div");div.className="vis-configuration vis-config-header",div.innerHTML=name,this._makeItem([],div)}_makeLabel(name,path,objectLabel=!1){let div=document.createElement("div");return div.className="vis-configuration vis-config-label vis-config-s"+path.length,div.innerHTML=!0===objectLabel?"<i><b>"+name+":</b></i>":name+":",div}_makeDropdown(arr,value,path){let select=document.createElement("select");select.className="vis-configuration vis-config-select";let selectedValue=0;value!==void 0&&-1!==arr.indexOf(value)&&(selectedValue=arr.indexOf(value));for(let i=0,option;i<arr.length;i++)option=document.createElement("option"),option.value=arr[i],i==selectedValue&&(option.selected="selected"),option.innerHTML=arr[i],select.appendChild(option);let me=this;select.onchange=function(){me._update(this.value,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,select)}_makeRange(arr,value,path){let defaultValue=arr[0],min=arr[1],max=arr[2],step=arr[3],range=document.createElement("input");range.className="vis-configuration vis-config-range";try{range.type="range",range.min=min,range.max=max}catch(err){}range.step=step;let popupString="",popupValue=0;if(value!==void 0){let factor=1.2;0>value&&value*factor<min?(range.min=_Mathceil(value*factor),popupValue=range.min,popupString="range increased"):value/factor<min&&(range.min=_Mathceil(value/factor),popupValue=range.min,popupString="range increased"),value*factor>max&&1!==max&&(range.max=_Mathceil(value*factor),popupValue=range.max,popupString="range increased"),range.value=value}else range.value=defaultValue;let input=document.createElement("input");input.className="vis-configuration vis-config-rangeinput",input.value=range.value;var me=this;range.onchange=function(){input.value=this.value,me._update(+this.value,path)},range.oninput=function(){input.value=this.value};let label=this._makeLabel(path[path.length-1],path),itemIndex=this._makeItem(path,label,range,input);""!=popupString&&this.popupHistory[itemIndex]!==popupValue&&(this.popupHistory[itemIndex]=popupValue,this._setupPopup(popupString,itemIndex))}_makeButton(){if(!0===this.options.showButton){let generateButton=document.createElement("div");generateButton.className="vis-configuration vis-config-button",generateButton.innerHTML="generate options",generateButton.onclick=()=>{this._printOptions()},generateButton.onmouseover=()=>{generateButton.className="vis-configuration vis-config-button hover"},generateButton.onmouseout=()=>{generateButton.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(generateButton)}}_setupPopup(string,index){if(!0===this.initialized&&!0===this.allowCreation&&this.popupCounter<this.popupLimit){let div=document.createElement("div");div.id="vis-configuration-popup",div.className="vis-configuration-popup",div.innerHTML=string,div.onclick=()=>{this._removePopup()},this.popupCounter+=1,this.popupDiv={html:div,index:index}}}_removePopup(){this.popupDiv.html!==void 0&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}_showPopupIfNeeded(){if(this.popupDiv.html!==void 0){let correspondingElement=this.domElements[this.popupDiv.index],rect=correspondingElement.getBoundingClientRect();this.popupDiv.html.style.left=rect.left+"px",this.popupDiv.html.style.top=rect.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=setTimeout(()=>{this.popupDiv.html.style.opacity=0},1500),this.popupDiv.deleteTimeout=setTimeout(()=>{this._removePopup()},1800)}}_makeCheckbox(defaultValue,value,path){var checkbox=document.createElement("input");checkbox.type="checkbox",checkbox.className="vis-configuration vis-config-checkbox",checkbox.checked=defaultValue,value!==void 0&&(checkbox.checked=value,value!==defaultValue&&("object"==typeof defaultValue?value!==defaultValue.enabled&&this.changedOptions.push({path:path,value:value}):this.changedOptions.push({path:path,value:value})));let me=this;checkbox.onchange=function(){me._update(this.checked,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,checkbox)}_makeTextInput(defaultValue,value,path){var checkbox=document.createElement("input");checkbox.type="text",checkbox.className="vis-configuration vis-config-text",checkbox.value=value,value!==defaultValue&&this.changedOptions.push({path:path,value:value});let me=this;checkbox.onchange=function(){me._update(this.value,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,checkbox)}_makeColorField(arr,value,path){let defaultColor=arr[1],div=document.createElement("div");value=value===void 0?defaultColor:value,"none"===value?div.className="vis-configuration vis-config-colorBlock none":(div.className="vis-configuration vis-config-colorBlock",div.style.backgroundColor=value),value=value===void 0?defaultColor:value,div.onclick=()=>{this._showColorPicker(value,div,path)};let label=this._makeLabel(path[path.length-1],path);this._makeItem(path,label,div)}_showColorPicker(value,div,path){div.onclick=function(){},this.colorPicker.insertTo(div),this.colorPicker.show(),this.colorPicker.setColor(value),this.colorPicker.setUpdateCallback(color=>{let colorString="rgba("+color.r+","+color.g+","+color.b+","+color.a+")";div.style.backgroundColor=colorString,this._update(colorString,path)}),this.colorPicker.setCloseCallback(()=>{div.onclick=()=>{this._showColorPicker(value,div,path)}})}_handleObject(obj,path=[],checkOnly=!1){let show=!1,filter=this.options.filter,visibleInSet=!1;for(let subObj in obj)if(obj.hasOwnProperty(subObj)){show=!0;let item=obj[subObj],newPath=util.copyAndExtendArray(path,subObj);if("function"==typeof filter&&(show=filter(subObj,path),!1===show&&!(item instanceof Array)&&"string"!=typeof item&&"boolean"!=typeof item&&item instanceof Object&&(this.allowCreation=!1,show=this._handleObject(item,newPath,!0),this.allowCreation=!1===checkOnly)),!1!==show){visibleInSet=!0;let value=this._getValue(newPath);if(item instanceof Array)this._handleArray(item,value,newPath);else if("string"==typeof item)this._makeTextInput(item,value,newPath);else if("boolean"==typeof item)this._makeCheckbox(item,value,newPath);else if(item instanceof Object){let draw=!0;if(-1!==path.indexOf("physics")&&this.moduleOptions.physics.solver!==subObj&&(draw=!1),!0==draw)if(void 0!==item.enabled){let enabledPath=util.copyAndExtendArray(newPath,"enabled"),enabledValue=this._getValue(enabledPath);if(!0===enabledValue){let label=this._makeLabel(subObj,newPath,!0);this._makeItem(newPath,label),visibleInSet=this._handleObject(item,newPath)||visibleInSet}else this._makeCheckbox(item,enabledValue,newPath)}else{let label=this._makeLabel(subObj,newPath,!0);this._makeItem(newPath,label),visibleInSet=this._handleObject(item,newPath)||visibleInSet}}else console.error("dont know how to handle",item,subObj,newPath)}}return visibleInSet}_handleArray(arr,value,path){"string"==typeof arr[0]&&"color"===arr[0]?(this._makeColorField(arr,value,path),arr[1]!==value&&this.changedOptions.push({path:path,value:value})):"string"==typeof arr[0]?(this._makeDropdown(arr,value,path),arr[0]!==value&&this.changedOptions.push({path:path,value:value})):"number"==typeof arr[0]&&(this._makeRange(arr,value,path),arr[0]!==value&&this.changedOptions.push({path:path,value:+value}))}_update(value,path){let options=this._constructOptions(value,path);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",options),this.initialized=!0,this.parent.setOptions(options)}_constructOptions(value,path,optionsObj={}){let pointer=optionsObj;value=!("true"!==value)||value,value="false"!==value&&value;for(let i=0;i<path.length;i++)"global"!==path[i]&&(void 0===pointer[path[i]]&&(pointer[path[i]]={}),i==path.length-1?pointer[path[i]]=value:pointer=pointer[path[i]]);return optionsObj}_printOptions(){let options=this.getOptions();this.optionsContainer.innerHTML="<pre>var options = "+JSON.stringify(options,null,2)+"</pre>"}getOptions(){let options={};for(var i=0;i<this.changedOptions.length;i++)this._constructOptions(this.changedOptions[i].value,this.changedOptions[i].path,options);return options}}var{DataSet:DataSet$2}=index,{DataView:DataView$3}=index,Validator$6=Validator$5.Validator,printStyle$4=Validator$5.printStyle,allOptions$8=optionsTimeline.allOptions,configureOptions$2=optionsTimeline.configureOptions,Configurator$2=Configurator$1.default;Timeline.prototype=new Core,Timeline.prototype._createConfigurator=function(){return new Configurator$2(this,this.dom.container,configureOptions$2)},Timeline.prototype.redraw=function(){this.itemSet&&this.itemSet.markDirty({refreshItems:!0}),this._redraw()},Timeline.prototype.setOptions=function(options){let errorFound=Validator$6.validate(options,allOptions$8);if(!0===errorFound&&console.log("%cErrors have been found in the supplied options object.",printStyle$4),Core.prototype.setOptions.call(this,options),"type"in options&&options.type!==this.options.type){this.options.type=options.type;var itemsData=this.itemsData;if(itemsData){var selection=this.getSelection();this.setItems(null),this.setItems(itemsData),this.setSelection(selection)}}},Timeline.prototype.setItems=function(items){this.itemsDone=!1;var newDataSet;newDataSet=items?items instanceof DataSet$2||items instanceof DataView$3?items:new DataSet$2(items,{type:{start:"Date",end:"Date"}}):null,this.itemsData=newDataSet,this.itemSet&&this.itemSet.setItems(newDataSet)},Timeline.prototype.setGroups=function(groups){var newDataSet;if(!groups)newDataSet=null;else{var filter=function(group){return!1!==group.visible};newDataSet=groups instanceof DataSet$2||groups instanceof DataView$3?new DataView$3(groups,{filter:filter}):new DataSet$2(groups.filter(filter))}this.groupsData=newDataSet,this.itemSet.setGroups(newDataSet)},Timeline.prototype.setData=function(data){data&&data.groups&&this.setGroups(data.groups),data&&data.items&&this.setItems(data.items)},Timeline.prototype.setSelection=function(ids,options){this.itemSet&&this.itemSet.setSelection(ids),options&&options.focus&&this.focus(ids,options)},Timeline.prototype.getSelection=function(){return this.itemSet&&this.itemSet.getSelection()||[]},Timeline.prototype.focus=function(id,options){if(this.itemsData&&null!=id){var ids=Array.isArray(id)?id:[id],itemsData=this.itemsData.getDataSet().get(ids,{type:{start:"Date",end:"Date"}}),start=null,end=null;if(itemsData.forEach(function(itemData){var s=itemData.start.valueOf(),e="end"in itemData?itemData.end.valueOf():itemData.start.valueOf();(null===start||s<start)&&(start=s),(null===end||e>end)&&(end=e)}),null!==start&&null!==end){var me=this,item=this.itemSet.items[ids[0]],startPos=-1*this._getScrollTop(),initialVerticalScroll=null,verticalAnimationFrame=function(ease,willDraw,done){var verticalScroll=getItemVerticalScroll(me,item);if(!1!==verticalScroll&&(initialVerticalScroll||(initialVerticalScroll=verticalScroll),initialVerticalScroll.itemTop!=verticalScroll.itemTop||initialVerticalScroll.shouldScroll)){initialVerticalScroll.itemTop!=verticalScroll.itemTop&&verticalScroll.shouldScroll&&(initialVerticalScroll=verticalScroll,startPos=-1*me._getScrollTop());var from=startPos,to=initialVerticalScroll.scrollOffset,scrollTop=done?to:from+(to-from)*ease;me._setScrollTop(-scrollTop),willDraw||me._redraw()}},setFinalVerticalPosition=function(){var finalVerticalScroll=getItemVerticalScroll(me,item);finalVerticalScroll.shouldScroll&&finalVerticalScroll.itemTop!=initialVerticalScroll.itemTop&&(me._setScrollTop(-finalVerticalScroll.scrollOffset),me._redraw())},finalVerticalCallback=function(){setFinalVerticalPosition(),setTimeout(setFinalVerticalPosition,100)},middle=(start+end)/2,interval=_Mathmax(this.range.end-this.range.start,1.1*(end-start)),animation=!(options&&void 0!==options.animation)||options.animation;animation||(initialVerticalScroll={shouldScroll:!1,scrollOffset:-1,itemTop:-1}),this.range.setRange(middle-interval/2,middle+interval/2,{animation:animation},finalVerticalCallback,verticalAnimationFrame)}}},Timeline.prototype.fit=function(options,callback){var animation=!(options&&options.animation!==void 0)||options.animation,dataset=this.itemsData&&this.itemsData.getDataSet(),range;1===dataset.length&&dataset.get()[0].end===void 0?(range=this.getDataRange(),this.moveTo(range.min.valueOf(),{animation},callback)):(range=this.getItemRange(),this.range.setRange(range.min,range.max,{animation:animation},callback))},Timeline.prototype.getItemRange=function(){var range=this.getDataRange(),min=null===range.min?null:range.min.valueOf(),max=null===range.max?null:range.max.valueOf(),minItem=null,maxItem=null;if(null!=min&&null!=max){var interval=max-min;0>=interval&&(interval=10);var factor=interval/this.props.center.width,redrawQueue={},redrawQueueLength=0;util.forEach(this.itemSet.items,function(item,key){if(item.groupShowing){redrawQueue[key]=item.redraw(!0),redrawQueueLength=redrawQueue[key].length}});var needRedraw=0<redrawQueueLength;if(needRedraw)for(var i=0;i<redrawQueueLength;i++)util.forEach(redrawQueue,function(fns){fns[i]()});if(util.forEach(this.itemSet.items,function(item){var start=getStart(item),end=getEnd(item),startSide,endSide;this.options.rtl?(startSide=start-(item.getWidthRight()+10)*factor,endSide=end+(item.getWidthLeft()+10)*factor):(startSide=start-(item.getWidthLeft()+10)*factor,endSide=end+(item.getWidthRight()+10)*factor),startSide<min&&(min=startSide,minItem=item),endSide>max&&(max=endSide,maxItem=item)}.bind(this)),minItem&&maxItem){var lhs=minItem.getWidthLeft()+10,rhs=maxItem.getWidthRight()+10,delta=this.props.center.width-lhs-rhs;0<delta&&(this.options.rtl?(min=getStart(minItem)-rhs*interval/delta,max=getEnd(maxItem)+lhs*interval/delta):(min=getStart(minItem)-lhs*interval/delta,max=getEnd(maxItem)+rhs*interval/delta))}}return{min:null==min?null:new Date(min),max:null==max?null:new Date(max)}},Timeline.prototype.getDataRange=function(){var min=null,max=null,dataset=this.itemsData&&this.itemsData.getDataSet();return dataset&&dataset.forEach(function(item){var start=util.convert(item.start,"Date").valueOf(),end=util.convert(null==item.end?item.start:item.end,"Date").valueOf();(null===min||start<min)&&(min=start),(null===max||end>max)&&(max=end)}),{min:null==min?null:new Date(min),max:null==max?null:new Date(max)}},Timeline.prototype.getEventProperties=function(event){var clientX=event.center?event.center.x:event.clientX,clientY=event.center?event.center.y:event.clientY,x;x=this.options.rtl?util.getAbsoluteRight(this.dom.centerContainer)-clientX:clientX-util.getAbsoluteLeft(this.dom.centerContainer);var y=clientY-util.getAbsoluteTop(this.dom.centerContainer),item=this.itemSet.itemFromTarget(event),group=this.itemSet.groupFromTarget(event),customTime=CustomTime.customTimeFromTarget(event),snap=this.itemSet.options.snap||null,scale=this.body.util.getScale(),step=this.body.util.getStep(),time=this._toTime(x),snappedTime=snap?snap(time,scale,step):time,element=util.getTarget(event),what=null;return null==item?null==customTime?util.hasParent(element,this.timeAxis.dom.foreground)?what="axis":this.timeAxis2&&util.hasParent(element,this.timeAxis2.dom.foreground)?what="axis":util.hasParent(element,this.itemSet.dom.labelSet)?what="group-label":util.hasParent(element,this.currentTime.bar)?what="current-time":util.hasParent(element,this.dom.center)&&(what="background"):what="custom-time":what="item",{event:event,item:item?item.id:null,group:group?group.groupId:null,what:what,pageX:event.srcEvent?event.srcEvent.pageX:event.pageX,pageY:event.srcEvent?event.srcEvent.pageY:event.pageY,x:x,y:y,time:time,snappedTime:snappedTime}},Timeline.prototype.toggleRollingMode=function(){this.range.rolling?this.range.stopRolling():(this.options.rollingMode==null&&this.setOptions(this.options),this.range.startRolling())};DataScale.prototype.setCharHeight=function(majorCharHeight){this.majorCharHeight=majorCharHeight},DataScale.prototype.setHeight=function(containerHeight){this.containerHeight=containerHeight},DataScale.prototype.determineScale=function(){var range=this._end-this._start;this.scale=this.containerHeight/range;var minimumStepValue=this.majorCharHeight/this.scale,orderOfMagnitude=0<range?_Mathround(_Mathlog(range)/_MathLN):0;this.minorStepIdx=-1,this.magnitudefactor=_Mathpow(10,orderOfMagnitude);var start=0;0>orderOfMagnitude&&(start=orderOfMagnitude);for(var solutionFound=!1,l=start;_Mathabs(l)<=_Mathabs(orderOfMagnitude);l++){this.magnitudefactor=_Mathpow(10,l);for(var j=0,stepSize;j<this.minorSteps.length;j++)if(stepSize=this.magnitudefactor*this.minorSteps[j],stepSize>=minimumStepValue){solutionFound=!0,this.minorStepIdx=j;break}if(!0===solutionFound)break}},DataScale.prototype.is_major=function(value){return 0==value%(this.magnitudefactor*this.majorSteps[this.minorStepIdx])},DataScale.prototype.getStep=function(){return this.magnitudefactor*this.minorSteps[this.minorStepIdx]},DataScale.prototype.getFirstMajor=function(){var majorStep=this.magnitudefactor*this.majorSteps[this.minorStepIdx];return this.convertValue(this._start+(majorStep-this._start%majorStep)%majorStep)},DataScale.prototype.formatValue=function(current){var returnValue=current.toPrecision(5);return"function"==typeof this.formattingFunction&&(returnValue=this.formattingFunction(current)),"number"==typeof returnValue?""+returnValue:"string"==typeof returnValue?returnValue:current.toPrecision(5)},DataScale.prototype.getLines=function(){for(var lines=[],step=this.getStep(),bottomOffset=(step-this._start%step)%step,i=this._start+bottomOffset;1e-5<this._end-i;i+=step)i!=this._start&&lines.push({major:this.is_major(i),y:this.convertValue(i),val:this.formatValue(i)});return lines},DataScale.prototype.followScale=function(other){var oldStepIdx=this.minorStepIdx,oldStart=this._start,oldEnd=this._end,me=this,increaseMagnitude=function(){me.magnitudefactor*=2},decreaseMagnitude=function(){me.magnitudefactor/=2};if(1>=other.minorStepIdx&&1>=this.minorStepIdx||1<other.minorStepIdx&&1<this.minorStepIdx);else other.minorStepIdx<this.minorStepIdx?(this.minorStepIdx=1,2==oldStepIdx?increaseMagnitude():(increaseMagnitude(),increaseMagnitude())):(this.minorStepIdx=2,1==oldStepIdx?decreaseMagnitude():(decreaseMagnitude(),decreaseMagnitude()));for(var otherZero=other.convertValue(0),otherStep=other.getStep()*other.scale,done=!1,count=0;!done&&5>count++;){this.scale=otherStep/(this.minorSteps[this.minorStepIdx]*this.magnitudefactor);var newRange=this.containerHeight/this.scale;this._start=oldStart,this._end=this._start+newRange;var myOriginalZero=this._end*this.scale,majorStep=this.magnitudefactor*this.majorSteps[this.minorStepIdx],majorOffset=this.getFirstMajor()-other.getFirstMajor();if(this.zeroAlign){this._end+=(otherZero-myOriginalZero)/this.scale,this._start=this._end-newRange}else this.autoScaleStart?(this._start-=majorOffset/this.scale,this._end=this._start+newRange):(this._start+=majorStep-majorOffset/this.scale,this._end=this._start+newRange);if(!this.autoScaleEnd&&this._end>oldEnd+1e-5){decreaseMagnitude(),done=!1;continue}if(!this.autoScaleStart&&this._start<oldStart-1e-5)if(this.zeroAlign&&0<=oldStart)console.warn("Can't adhere to given 'min' range, due to zeroalign");else{decreaseMagnitude(),done=!1;continue}if(this.autoScaleStart&&this.autoScaleEnd&&newRange<oldEnd-oldStart){increaseMagnitude(),done=!1;continue}done=!0}},DataScale.prototype.convertValue=function(value){return this.containerHeight-(value-this._start)*this.scale},DataScale.prototype.screenToValue=function(pixels){return(this.containerHeight-pixels)/this.scale+this._start};var DataScale_1=DataScale;DataAxis.prototype=new Component_1,DataAxis.prototype.addGroup=function(label,graphOptions){this.groups.hasOwnProperty(label)||(this.groups[label]=graphOptions),this.amountOfGroups+=1},DataAxis.prototype.updateGroup=function(label,graphOptions){this.groups.hasOwnProperty(label)||(this.amountOfGroups+=1),this.groups[label]=graphOptions},DataAxis.prototype.removeGroup=function(label){this.groups.hasOwnProperty(label)&&(delete this.groups[label],this.amountOfGroups-=1)},DataAxis.prototype.setOptions=function(options){if(options){var redraw=!1;this.options.orientation!=options.orientation&&options.orientation!==void 0&&(redraw=!0);util.selectiveDeepExtend(["orientation","showMinorLabels","showMajorLabels","icons","majorLinesOffset","minorLinesOffset","labelOffsetX","labelOffsetY","iconWidth","width","visible","left","right","alignZeros"],this.options,options),this.minWidth=+(""+this.options.width).replace("px",""),!0==redraw&&this.dom.frame&&(this.hide(),this.show())}},DataAxis.prototype._create=function(){this.dom.frame=document.createElement("div"),this.dom.frame.style.width=this.options.width,this.dom.frame.style.height=this.height,this.dom.lineContainer=document.createElement("div"),this.dom.lineContainer.style.width="100%",this.dom.lineContainer.style.height=this.height,this.dom.lineContainer.style.position="relative",this.dom.lineContainer.style.visibility="visible",this.dom.lineContainer.style.display="block",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.height="100%",this.svg.style.width="100%",this.svg.style.display="block",this.dom.frame.appendChild(this.svg)},DataAxis.prototype._redrawGroupIcons=function(){DOMutil$2.prepareElements(this.svgElements);var iconWidth=this.options.iconWidth,iconHeight=15,iconOffset=4,y=iconOffset+.5*iconHeight,x;x="left"===this.options.orientation?iconOffset:this.width-iconWidth-iconOffset;var groupArray=Object.keys(this.groups);groupArray.sort(function(a,b){return a<b?-1:1});for(var i=0,groupId;i<groupArray.length;i++)groupId=groupArray[i],!0===this.groups[groupId].visible&&(void 0===this.linegraphOptions.visibility[groupId]||!0===this.linegraphOptions.visibility[groupId])&&(this.groups[groupId].getLegend(iconWidth,iconHeight,this.framework,x,y),y+=iconHeight+iconOffset);DOMutil$2.cleanupElements(this.svgElements),this.iconsRemoved=!1},DataAxis.prototype._cleanupIcons=function(){!1===this.iconsRemoved&&(DOMutil$2.prepareElements(this.svgElements),DOMutil$2.cleanupElements(this.svgElements),this.iconsRemoved=!0)},DataAxis.prototype.show=function(){this.hidden=!1,this.dom.frame.parentNode||("left"===this.options.orientation?this.body.dom.left.appendChild(this.dom.frame):this.body.dom.right.appendChild(this.dom.frame)),this.dom.lineContainer.parentNode||this.body.dom.backgroundHorizontal.appendChild(this.dom.lineContainer),this.dom.lineContainer.style.display="block"},DataAxis.prototype.hide=function(){this.hidden=!0,this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame),this.dom.lineContainer.style.display="none"},DataAxis.prototype.setRange=function(start,end){this.range.start=start,this.range.end=end},DataAxis.prototype.redraw=function(){var resized=!1,activeGroups=0;for(var groupId in this.dom.lineContainer.style.top=this.body.domProps.scrollTop+"px",this.groups)this.groups.hasOwnProperty(groupId)&&!0===this.groups[groupId].visible&&(void 0===this.linegraphOptions.visibility[groupId]||!0===this.linegraphOptions.visibility[groupId])&&activeGroups++;if(0===this.amountOfGroups||0===activeGroups)this.hide();else{this.show(),this.height=+this.linegraphSVG.style.height.replace("px",""),this.dom.lineContainer.style.height=this.height+"px",this.width=!0===this.options.visible?+(""+this.options.width).replace("px",""):0;var props=this.props,frame=this.dom.frame;frame.className="vis-data-axis",this._calculateCharSize();var orientation=this.options.orientation,showMinorLabels=this.options.showMinorLabels,showMajorLabels=this.options.showMajorLabels;props.minorLabelHeight=showMinorLabels?props.minorCharHeight:0,props.majorLabelHeight=showMajorLabels?props.majorCharHeight:0,props.minorLineWidth=this.body.dom.backgroundHorizontal.offsetWidth-this.lineOffset-this.width+2*this.options.minorLinesOffset,props.minorLineHeight=1,props.majorLineWidth=this.body.dom.backgroundHorizontal.offsetWidth-this.lineOffset-this.width+2*this.options.majorLinesOffset,props.majorLineHeight=1,"left"===orientation?(frame.style.top="0",frame.style.left="0",frame.style.bottom="",frame.style.width=this.width+"px",frame.style.height=this.height+"px",this.props.width=this.body.domProps.left.width,this.props.height=this.body.domProps.left.height):(frame.style.top="",frame.style.bottom="0",frame.style.left="0",frame.style.width=this.width+"px",frame.style.height=this.height+"px",this.props.width=this.body.domProps.right.width,this.props.height=this.body.domProps.right.height),resized=this._redrawLabels(),resized=this._isResized()||resized,!0===this.options.icons?this._redrawGroupIcons():this._cleanupIcons(),this._redrawTitle(orientation)}return resized},DataAxis.prototype._redrawLabels=function(){var resized=!1;DOMutil$2.prepareElements(this.DOMelements.lines),DOMutil$2.prepareElements(this.DOMelements.labels);var orientation=this.options.orientation,customRange=null==this.options[orientation].range?{}:this.options[orientation].range,autoScaleEnd=!0;null!=customRange.max&&(this.range.end=customRange.max,autoScaleEnd=!1);var autoScaleStart=!0;null!=customRange.min&&(this.range.start=customRange.min,autoScaleStart=!1),this.scale=new DataScale_1(this.range.start,this.range.end,autoScaleStart,autoScaleEnd,this.dom.frame.offsetHeight,this.props.majorCharHeight,this.options.alignZeros,this.options[orientation].format),!1===this.master&&null!=this.masterAxis?(this.scale.followScale(this.masterAxis.scale),this.dom.lineContainer.style.display="none"):this.dom.lineContainer.style.display="block",this.maxLabelSize=0;var lines=this.scale.getLines();lines.forEach(line=>{var y=line.y,isMajor=line.major;this.options.showMinorLabels&&!1===isMajor&&this._redrawLabel(y-2,line.val,orientation,"vis-y-axis vis-minor",this.props.minorCharHeight),isMajor&&0<=y&&this._redrawLabel(y-2,line.val,orientation,"vis-y-axis vis-major",this.props.majorCharHeight),!0===this.master&&(isMajor?this._redrawLine(y,orientation,"vis-grid vis-horizontal vis-major",this.options.majorLinesOffset,this.props.majorLineWidth):this._redrawLine(y,orientation,"vis-grid vis-horizontal vis-minor",this.options.minorLinesOffset,this.props.minorLineWidth))});var titleWidth=0;void 0!==this.options[orientation].title&&void 0!==this.options[orientation].title.text&&(titleWidth=this.props.titleCharHeight);var offset=!0===this.options.icons?_Mathmax(this.options.iconWidth,titleWidth)+this.options.labelOffsetX+15:titleWidth+this.options.labelOffsetX+15;return this.maxLabelSize>this.width-offset&&!0===this.options.visible?(this.width=this.maxLabelSize+offset,this.options.width=this.width+"px",DOMutil$2.cleanupElements(this.DOMelements.lines),DOMutil$2.cleanupElements(this.DOMelements.labels),this.redraw(),resized=!0):this.maxLabelSize<this.width-offset&&!0===this.options.visible&&this.width>this.minWidth?(this.width=_Mathmax(this.minWidth,this.maxLabelSize+offset),this.options.width=this.width+"px",DOMutil$2.cleanupElements(this.DOMelements.lines),DOMutil$2.cleanupElements(this.DOMelements.labels),this.redraw(),resized=!0):(DOMutil$2.cleanupElements(this.DOMelements.lines),DOMutil$2.cleanupElements(this.DOMelements.labels),resized=!1),resized},DataAxis.prototype.convertValue=function(value){return this.scale.convertValue(value)},DataAxis.prototype.screenToValue=function(x){return this.scale.screenToValue(x)},DataAxis.prototype._redrawLabel=function(y,text,orientation,className,characterHeight){var label=DOMutil$2.getDOMElement("div",this.DOMelements.labels,this.dom.frame);label.className=className,label.innerHTML=text,"left"===orientation?(label.style.left="-"+this.options.labelOffsetX+"px",label.style.textAlign="right"):(label.style.right="-"+this.options.labelOffsetX+"px",label.style.textAlign="left"),label.style.top=y-.5*characterHeight+this.options.labelOffsetY+"px",text+="";var largestWidth=_Mathmax(this.props.majorCharWidth,this.props.minorCharWidth);this.maxLabelSize<text.length*largestWidth&&(this.maxLabelSize=text.length*largestWidth)},DataAxis.prototype._redrawLine=function(y,orientation,className,offset,width){if(!0===this.master){var line=DOMutil$2.getDOMElement("div",this.DOMelements.lines,this.dom.lineContainer);line.className=className,line.innerHTML="","left"===orientation?line.style.left=this.width-offset+"px":line.style.right=this.width-offset+"px",line.style.width=width+"px",line.style.top=y+"px"}},DataAxis.prototype._redrawTitle=function(orientation){if(DOMutil$2.prepareElements(this.DOMelements.title),void 0!==this.options[orientation].title&&void 0!==this.options[orientation].title.text){var title=DOMutil$2.getDOMElement("div",this.DOMelements.title,this.dom.frame);title.className="vis-y-axis vis-title vis-"+orientation,title.innerHTML=this.options[orientation].title.text,void 0!==this.options[orientation].title.style&&util.addCssText(title,this.options[orientation].title.style),"left"===orientation?title.style.left=this.props.titleCharHeight+"px":title.style.right=this.props.titleCharHeight+"px",title.style.width=this.height+"px"}DOMutil$2.cleanupElements(this.DOMelements.title)},DataAxis.prototype._calculateCharSize=function(){if(!("minorCharHeight"in this.props)){var textMinor=document.createTextNode("0"),measureCharMinor=document.createElement("div");measureCharMinor.className="vis-y-axis vis-minor vis-measure",measureCharMinor.appendChild(textMinor),this.dom.frame.appendChild(measureCharMinor),this.props.minorCharHeight=measureCharMinor.clientHeight,this.props.minorCharWidth=measureCharMinor.clientWidth,this.dom.frame.removeChild(measureCharMinor)}if(!("majorCharHeight"in this.props)){var textMajor=document.createTextNode("0"),measureCharMajor=document.createElement("div");measureCharMajor.className="vis-y-axis vis-major vis-measure",measureCharMajor.appendChild(textMajor),this.dom.frame.appendChild(measureCharMajor),this.props.majorCharHeight=measureCharMajor.clientHeight,this.props.majorCharWidth=measureCharMajor.clientWidth,this.dom.frame.removeChild(measureCharMajor)}if(!("titleCharHeight"in this.props)){var textTitle=document.createTextNode("0"),measureCharTitle=document.createElement("div");measureCharTitle.className="vis-y-axis vis-title vis-measure",measureCharTitle.appendChild(textTitle),this.dom.frame.appendChild(measureCharTitle),this.props.titleCharHeight=measureCharTitle.clientHeight,this.props.titleCharWidth=measureCharTitle.clientWidth,this.dom.frame.removeChild(measureCharTitle)}},Points.draw=function(dataset,group,framework,offset){offset=offset||0;for(var callback=getCallback(framework,group),i=0;i<dataset.length;i++)if(!callback)DOMutil$2.drawPoint(dataset[i].screen_x+offset,dataset[i].screen_y,getGroupTemplate(group),framework.svgElements,framework.svg,dataset[i].label);else{var callbackResult=callback(dataset[i],group);(!0===callbackResult||"object"==typeof callbackResult)&&DOMutil$2.drawPoint(dataset[i].screen_x+offset,dataset[i].screen_y,getGroupTemplate(group,callbackResult),framework.svgElements,framework.svg,dataset[i].label)}},Points.drawIcon=function(group,x,y,iconWidth,iconHeight,framework){var fillHeight=.5*iconHeight,outline=DOMutil$2.getSVGElement("rect",framework.svgElements,framework.svg);outline.setAttributeNS(null,"x",x),outline.setAttributeNS(null,"y",y-fillHeight),outline.setAttributeNS(null,"width",iconWidth),outline.setAttributeNS(null,"height",2*fillHeight),outline.setAttributeNS(null,"class","vis-outline"),DOMutil$2.drawPoint(x+.5*iconWidth,y,getGroupTemplate(group),framework.svgElements,framework.svg)};var points=Points;Bargraph.drawIcon=function(group,x,y,iconWidth,iconHeight,framework){var fillHeight=.5*iconHeight,outline=DOMutil$2.getSVGElement("rect",framework.svgElements,framework.svg);outline.setAttributeNS(null,"x",x),outline.setAttributeNS(null,"y",y-fillHeight),outline.setAttributeNS(null,"width",iconWidth),outline.setAttributeNS(null,"height",2*fillHeight),outline.setAttributeNS(null,"class","vis-outline");var barWidth=_Mathround(.3*iconWidth),originalWidth=group.options.barChart.width,bar1Height=_Mathround(.4*iconHeight),bar2Height=_Mathround(.75*iconHeight),offset=_Mathround((iconWidth-2*barWidth)/3);if(DOMutil$2.drawBar(x+.5*barWidth+offset,y+fillHeight-bar1Height-1,barWidth,bar1Height,group.className+" vis-bar",framework.svgElements,framework.svg,group.style),DOMutil$2.drawBar(x+1.5*barWidth+offset+2,y+fillHeight-bar2Height-1,barWidth,bar2Height,group.className+" vis-bar",framework.svgElements,framework.svg,group.style),!0==group.options.drawPoints.enabled){var groupTemplate={style:group.options.drawPoints.style,styles:group.options.drawPoints.styles,size:group.options.drawPoints.size/(originalWidth/barWidth),className:group.className};DOMutil$2.drawPoint(x+.5*barWidth+offset,y+fillHeight-bar1Height-1,groupTemplate,framework.svgElements,framework.svg),DOMutil$2.drawPoint(x+1.5*barWidth+offset+2,y+fillHeight-bar2Height-1,groupTemplate,framework.svgElements,framework.svg)}},Bargraph.draw=function(groupIds,processedGroupData,framework){var combinedData=[],intersections={},barPoints=0,coreDistance,key,drawData,group,i,j;for(i=0;i<groupIds.length;i++)if(group=framework.groups[groupIds[i]],"bar"===group.options.style&&!0===group.visible&&(void 0===framework.options.groups.visibility[groupIds[i]]||!0===framework.options.groups.visibility[groupIds[i]]))for(j=0;j<processedGroupData[groupIds[i]].length;j++)combinedData.push({screen_x:processedGroupData[groupIds[i]][j].screen_x,screen_end:processedGroupData[groupIds[i]][j].screen_end,screen_y:processedGroupData[groupIds[i]][j].screen_y,x:processedGroupData[groupIds[i]][j].x,end:processedGroupData[groupIds[i]][j].end,y:processedGroupData[groupIds[i]][j].y,groupId:groupIds[i],label:processedGroupData[groupIds[i]][j].label}),barPoints+=1;if(0!==barPoints)for(combinedData.sort(function(a,b){return a.screen_x===b.screen_x?a.groupId<b.groupId?-1:1:a.screen_x-b.screen_x}),Bargraph._getDataIntersections(intersections,combinedData),i=0;i<combinedData.length;i++){group=framework.groups[combinedData[i].groupId];var minWidth=null==group.options.barChart.minWidth?.1*group.options.barChart.width:group.options.barChart.minWidth;key=combinedData[i].screen_x;var heightOffset=0;if(void 0===intersections[key])i+1<combinedData.length&&(coreDistance=_Mathabs(combinedData[i+1].screen_x-key)),drawData=Bargraph._getSafeDrawData(coreDistance,group,minWidth);else{var nextKey=i+(intersections[key].amount-intersections[key].resolved);nextKey<combinedData.length&&(coreDistance=_Mathabs(combinedData[nextKey].screen_x-key)),drawData=Bargraph._getSafeDrawData(coreDistance,group,minWidth),intersections[key].resolved+=1,!0===group.options.stack&&!0!==group.options.excludeFromStacking?combinedData[i].screen_y<group.zeroPosition?(heightOffset=intersections[key].accumulatedNegative,intersections[key].accumulatedNegative+=group.zeroPosition-combinedData[i].screen_y):(heightOffset=intersections[key].accumulatedPositive,intersections[key].accumulatedPositive+=group.zeroPosition-combinedData[i].screen_y):!0===group.options.barChart.sideBySide&&(drawData.width/=intersections[key].amount,drawData.offset+=intersections[key].resolved*drawData.width-.5*drawData.width*(intersections[key].amount+1))}let dataWidth=drawData.width,start=combinedData[i].screen_x;if(null==combinedData[i].screen_end?start+=drawData.offset:(dataWidth=combinedData[i].screen_end-combinedData[i].screen_x,start+=.5*dataWidth),DOMutil$2.drawBar(start,combinedData[i].screen_y-heightOffset,dataWidth,group.zeroPosition-combinedData[i].screen_y,group.className+" vis-bar",framework.svgElements,framework.svg,group.style),!0===group.options.drawPoints.enabled){let pointData={screen_x:combinedData[i].screen_x,screen_y:combinedData[i].screen_y-heightOffset,x:combinedData[i].x,y:combinedData[i].y,groupId:combinedData[i].groupId,label:combinedData[i].label};points.draw([pointData],group,framework,drawData.offset)}}},Bargraph._getDataIntersections=function(intersections,combinedData){for(var i=0,coreDistance;i<combinedData.length;i++)i+1<combinedData.length&&(coreDistance=_Mathabs(combinedData[i+1].screen_x-combinedData[i].screen_x)),0<i&&(coreDistance=_Mathmin(coreDistance,_Mathabs(combinedData[i-1].screen_x-combinedData[i].screen_x))),0===coreDistance&&(void 0===intersections[combinedData[i].screen_x]&&(intersections[combinedData[i].screen_x]={amount:0,resolved:0,accumulatedPositive:0,accumulatedNegative:0}),intersections[combinedData[i].screen_x].amount+=1)},Bargraph._getSafeDrawData=function(coreDistance,group,minWidth){var width,offset;return coreDistance<group.options.barChart.width&&0<coreDistance?(width=coreDistance<minWidth?minWidth:coreDistance,offset=0,"left"===group.options.barChart.align?offset-=.5*coreDistance:"right"===group.options.barChart.align&&(offset+=.5*coreDistance)):(width=group.options.barChart.width,offset=0,"left"===group.options.barChart.align?offset-=.5*group.options.barChart.width:"right"===group.options.barChart.align&&(offset+=.5*group.options.barChart.width)),{width:width,offset:offset}},Bargraph.getStackedYRange=function(combinedData,groupRanges,groupIds,groupLabel,orientation){if(0<combinedData.length){combinedData.sort(function(a,b){return a.screen_x===b.screen_x?a.groupId<b.groupId?-1:1:a.screen_x-b.screen_x});var intersections={};Bargraph._getDataIntersections(intersections,combinedData),groupRanges[groupLabel]=Bargraph._getStackedYRange(intersections,combinedData),groupRanges[groupLabel].yAxisOrientation=orientation,groupIds.push(groupLabel)}},Bargraph._getStackedYRange=function(intersections,combinedData){for(var yMin=combinedData[0].screen_y,yMax=combinedData[0].screen_y,i=0,key;i<combinedData.length;i++)key=combinedData[i].screen_x,void 0===intersections[key]?(yMin=yMin>combinedData[i].screen_y?combinedData[i].screen_y:yMin,yMax=yMax<combinedData[i].screen_y?combinedData[i].screen_y:yMax):0>combinedData[i].screen_y?intersections[key].accumulatedNegative+=combinedData[i].screen_y:intersections[key].accumulatedPositive+=combinedData[i].screen_y;for(var xpos in intersections)intersections.hasOwnProperty(xpos)&&(yMin=yMin>intersections[xpos].accumulatedNegative?intersections[xpos].accumulatedNegative:yMin,yMin=yMin>intersections[xpos].accumulatedPositive?intersections[xpos].accumulatedPositive:yMin,yMax=yMax<intersections[xpos].accumulatedNegative?intersections[xpos].accumulatedNegative:yMax,yMax=yMax<intersections[xpos].accumulatedPositive?intersections[xpos].accumulatedPositive:yMax);return{min:yMin,max:yMax}};var bar=Bargraph;Line.calcPath=function(dataset,group){if(null!=dataset&&0<dataset.length){var d=[];return d=!0==group.options.interpolation.enabled?Line._catmullRom(dataset,group):Line._linear(dataset),d}},Line.drawIcon=function(group,x,y,iconWidth,iconHeight,framework){var fillHeight=.5*iconHeight,outline=DOMutil$2.getSVGElement("rect",framework.svgElements,framework.svg),path,fillPath;if(outline.setAttributeNS(null,"x",x),outline.setAttributeNS(null,"y",y-fillHeight),outline.setAttributeNS(null,"width",iconWidth),outline.setAttributeNS(null,"height",2*fillHeight),outline.setAttributeNS(null,"class","vis-outline"),path=DOMutil$2.getSVGElement("path",framework.svgElements,framework.svg),path.setAttributeNS(null,"class",group.className),void 0!==group.style&&path.setAttributeNS(null,"style",group.style),path.setAttributeNS(null,"d","M"+x+","+y+" L"+(x+iconWidth)+","+y+""),!0==group.options.shaded.enabled&&(fillPath=DOMutil$2.getSVGElement("path",framework.svgElements,framework.svg),"top"==group.options.shaded.orientation?fillPath.setAttributeNS(null,"d","M"+x+", "+(y-fillHeight)+"L"+x+","+y+" L"+(x+iconWidth)+","+y+" L"+(x+iconWidth)+","+(y-fillHeight)):fillPath.setAttributeNS(null,"d","M"+x+","+y+" L"+x+","+(y+fillHeight)+" L"+(x+iconWidth)+","+(y+fillHeight)+"L"+(x+iconWidth)+","+y),fillPath.setAttributeNS(null,"class",group.className+" vis-icon-fill"),void 0!==group.options.shaded.style&&""!==group.options.shaded.style&&fillPath.setAttributeNS(null,"style",group.options.shaded.style)),!0==group.options.drawPoints.enabled){var groupTemplate={style:group.options.drawPoints.style,styles:group.options.drawPoints.styles,size:group.options.drawPoints.size,className:group.className};DOMutil$2.drawPoint(x+.5*iconWidth,y,groupTemplate,framework.svgElements,framework.svg)}},Line.drawShading=function(pathArray,group,subPathArray,framework){if(!0==group.options.shaded.enabled){var svgHeight=+framework.svg.style.height.replace("px",""),fillPath=DOMutil$2.getSVGElement("path",framework.svgElements,framework.svg),type="L";!0==group.options.interpolation.enabled&&(type="C");var zero=0,dFill;zero="top"==group.options.shaded.orientation?0:"bottom"==group.options.shaded.orientation?svgHeight:_Mathmin(_Mathmax(0,group.zeroPosition),svgHeight),dFill="group"==group.options.shaded.orientation&&null!=subPathArray&&null!=subPathArray?"M"+pathArray[0][0]+","+pathArray[0][1]+" "+this.serializePath(pathArray,type,!1)+" L"+subPathArray[subPathArray.length-1][0]+","+subPathArray[subPathArray.length-1][1]+" "+this.serializePath(subPathArray,type,!0)+subPathArray[0][0]+","+subPathArray[0][1]+" Z":"M"+pathArray[0][0]+","+pathArray[0][1]+" "+this.serializePath(pathArray,type,!1)+" V"+zero+" H"+pathArray[0][0]+" Z",fillPath.setAttributeNS(null,"class",group.className+" vis-fill"),group.options.shaded.style!==void 0&&fillPath.setAttributeNS(null,"style",group.options.shaded.style),fillPath.setAttributeNS(null,"d",dFill)}},Line.draw=function(pathArray,group,framework){if(null!=pathArray&&pathArray!=null){var path=DOMutil$2.getSVGElement("path",framework.svgElements,framework.svg);path.setAttributeNS(null,"class",group.className),group.style!==void 0&&path.setAttributeNS(null,"style",group.style);var type="L";!0==group.options.interpolation.enabled&&(type="C"),path.setAttributeNS(null,"d","M"+pathArray[0][0]+","+pathArray[0][1]+" "+this.serializePath(pathArray,type,!1))}},Line.serializePath=function(pathArray,type,inverse){if(2>pathArray.length)return"";var d=type,i;if(inverse)for(i=pathArray.length-2;0<i;i--)d+=pathArray[i][0]+","+pathArray[i][1]+" ";else for(i=1;i<pathArray.length;i++)d+=pathArray[i][0]+","+pathArray[i][1]+" ";return d},Line._catmullRomUniform=function(data){var d=[],p0,p1,p2,p3,bp1,bp2;d.push([_Mathround(data[0].screen_x),_Mathround(data[0].screen_y)]);for(var normalization=1/6,length=data.length,i=0;i<length-1;i++)p0=0==i?data[0]:data[i-1],p1=data[i],p2=data[i+1],p3=i+2<length?data[i+2]:p2,bp1={screen_x:(-p0.screen_x+6*p1.screen_x+p2.screen_x)*normalization,screen_y:(-p0.screen_y+6*p1.screen_y+p2.screen_y)*normalization},bp2={screen_x:(p1.screen_x+6*p2.screen_x-p3.screen_x)*normalization,screen_y:(p1.screen_y+6*p2.screen_y-p3.screen_y)*normalization},d.push([bp1.screen_x,bp1.screen_y]),d.push([bp2.screen_x,bp2.screen_y]),d.push([p2.screen_x,p2.screen_y]);return d},Line._catmullRom=function(data,group){var alpha=group.options.interpolation.alpha;if(0==alpha||alpha===void 0)return this._catmullRomUniform(data);var d=[],p0,p1,p2,p3,bp1,bp2,d1,d2,d3,A,B,N,M,d3powA,d2powA,d3pow2A,d2pow2A,d1pow2A,d1powA;d.push([_Mathround(data[0].screen_x),_Mathround(data[0].screen_y)]);for(var length=data.length,i=0;i<length-1;i++)p0=0==i?data[0]:data[i-1],p1=data[i],p2=data[i+1],p3=i+2<length?data[i+2]:p2,d1=_Mathsqrt(_Mathpow(p0.screen_x-p1.screen_x,2)+_Mathpow(p0.screen_y-p1.screen_y,2)),d2=_Mathsqrt(_Mathpow(p1.screen_x-p2.screen_x,2)+_Mathpow(p1.screen_y-p2.screen_y,2)),d3=_Mathsqrt(_Mathpow(p2.screen_x-p3.screen_x,2)+_Mathpow(p2.screen_y-p3.screen_y,2)),d3powA=_Mathpow(d3,alpha),d3pow2A=_Mathpow(d3,2*alpha),d2powA=_Mathpow(d2,alpha),d2pow2A=_Mathpow(d2,2*alpha),d1powA=_Mathpow(d1,alpha),d1pow2A=_Mathpow(d1,2*alpha),A=2*d1pow2A+3*d1powA*d2powA+d2pow2A,B=2*d3pow2A+3*d3powA*d2powA+d2pow2A,N=3*d1powA*(d1powA+d2powA),0<N&&(N=1/N),M=3*d3powA*(d3powA+d2powA),0<M&&(M=1/M),bp1={screen_x:(-d2pow2A*p0.screen_x+A*p1.screen_x+d1pow2A*p2.screen_x)*N,screen_y:(-d2pow2A*p0.screen_y+A*p1.screen_y+d1pow2A*p2.screen_y)*N},bp2={screen_x:(d3pow2A*p1.screen_x+B*p2.screen_x-d2pow2A*p3.screen_x)*M,screen_y:(d3pow2A*p1.screen_y+B*p2.screen_y-d2pow2A*p3.screen_y)*M},0==bp1.screen_x&&0==bp1.screen_y&&(bp1=p1),0==bp2.screen_x&&0==bp2.screen_y&&(bp2=p2),d.push([bp1.screen_x,bp1.screen_y]),d.push([bp2.screen_x,bp2.screen_y]),d.push([p2.screen_x,p2.screen_y]);return d},Line._linear=function(data){for(var d=[],i=0;i<data.length;i++)d.push([data[i].screen_x,data[i].screen_y]);return d};var line=Line;GraphGroup.prototype.setItems=function(items){null==items?this.itemsData=[]:(this.itemsData=items,!0==this.options.sort&&util.insertSort(this.itemsData,function(a,b){return a.x>b.x?1:-1}))},GraphGroup.prototype.getItems=function(){return this.itemsData},GraphGroup.prototype.setZeroPosition=function(pos){this.zeroPosition=pos},GraphGroup.prototype.setOptions=function(options){if(options!==void 0){util.selectiveDeepExtend(["sampling","style","sort","yAxisOrientation","barChart","zIndex","excludeFromStacking","excludeFromLegend"],this.options,options),"function"==typeof options.drawPoints&&(options.drawPoints={onRender:options.drawPoints}),util.mergeOptions(this.options,options,"interpolation"),util.mergeOptions(this.options,options,"drawPoints"),util.mergeOptions(this.options,options,"shaded"),options.interpolation&&"object"==typeof options.interpolation&&options.interpolation.parametrization&&("uniform"==options.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==options.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5))}},GraphGroup.prototype.update=function(group){this.group=group,this.content=group.content||"graph",this.className=group.className||this.className||"vis-graph-group"+this.groupsUsingDefaultStyles[0]%10,this.visible=!(group.visible!==void 0)||group.visible,this.style=group.style,this.setOptions(group.options)},GraphGroup.prototype.getLegend=function(iconWidth,iconHeight,framework,x,y){if(null==framework||null==framework){var svg=document.createElementNS("http://www.w3.org/2000/svg","svg");framework={svg:svg,svgElements:{},options:this.options,groups:[this]}}switch((null==x||null==x)&&(x=0),(null==y||null==y)&&(y=.5*iconHeight),this.options.style){case"line":line.drawIcon(this,x,y,iconWidth,iconHeight,framework);break;case"points":case"point":points.drawIcon(this,x,y,iconWidth,iconHeight,framework);break;case"bar":bar.drawIcon(this,x,y,iconWidth,iconHeight,framework);}return{icon:framework.svg,label:this.content,orientation:this.options.yAxisOrientation}},GraphGroup.prototype.getYRange=function(groupData){for(var yMin=groupData[0].y,yMax=groupData[0].y,j=0;j<groupData.length;j++)yMin=yMin>groupData[j].y?groupData[j].y:yMin,yMax=yMax<groupData[j].y?groupData[j].y:yMax;return{min:yMin,max:yMax,yAxisOrientation:this.options.yAxisOrientation}};var GraphGroup_1=GraphGroup;Legend.prototype=new Component_1,Legend.prototype.clear=function(){this.groups={},this.amountOfGroups=0},Legend.prototype.addGroup=function(label,graphOptions){!0!=graphOptions.options.excludeFromLegend&&(!this.groups.hasOwnProperty(label)&&(this.groups[label]=graphOptions),this.amountOfGroups+=1)},Legend.prototype.updateGroup=function(label,graphOptions){this.groups[label]=graphOptions},Legend.prototype.removeGroup=function(label){this.groups.hasOwnProperty(label)&&(delete this.groups[label],this.amountOfGroups-=1)},Legend.prototype._create=function(){this.dom.frame=document.createElement("div"),this.dom.frame.className="vis-legend",this.dom.frame.style.position="absolute",this.dom.frame.style.top="10px",this.dom.frame.style.display="block",this.dom.textArea=document.createElement("div"),this.dom.textArea.className="vis-legend-text",this.dom.textArea.style.position="relative",this.dom.textArea.style.top="0px",this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="absolute",this.svg.style.top="0px",this.svg.style.width=this.options.iconSize+5+"px",this.svg.style.height="100%",this.dom.frame.appendChild(this.svg),this.dom.frame.appendChild(this.dom.textArea)},Legend.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},Legend.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},Legend.prototype.setOptions=function(options){util.selectiveDeepExtend(["enabled","orientation","icons","left","right"],this.options,options)},Legend.prototype.redraw=function(){var activeGroups=0,groupArray=Object.keys(this.groups);groupArray.sort(function(a,b){return a<b?-1:1});for(var i=0,groupId;i<groupArray.length;i++)groupId=groupArray[i],!0==this.groups[groupId].visible&&(void 0===this.linegraphOptions.visibility[groupId]||!0==this.linegraphOptions.visibility[groupId])&&activeGroups++;if(!1==this.options[this.side].visible||0==this.amountOfGroups||!1==this.options.enabled||0==activeGroups)this.hide();else{if(this.show(),"top-left"==this.options[this.side].position||"bottom-left"==this.options[this.side].position?(this.dom.frame.style.left="4px",this.dom.frame.style.textAlign="left",this.dom.textArea.style.textAlign="left",this.dom.textArea.style.left=this.options.iconSize+15+"px",this.dom.textArea.style.right="",this.svg.style.left="0px",this.svg.style.right=""):(this.dom.frame.style.right="4px",this.dom.frame.style.textAlign="right",this.dom.textArea.style.textAlign="right",this.dom.textArea.style.right=this.options.iconSize+15+"px",this.dom.textArea.style.left="",this.svg.style.right="0px",this.svg.style.left=""),"top-left"==this.options[this.side].position||"top-right"==this.options[this.side].position)this.dom.frame.style.top=4-+this.body.dom.center.style.top.replace("px","")+"px",this.dom.frame.style.bottom="";else{var scrollableHeight=this.body.domProps.center.height-this.body.domProps.centerContainer.height;this.dom.frame.style.bottom=4+scrollableHeight+ +this.body.dom.center.style.top.replace("px","")+"px",this.dom.frame.style.top=""}!1==this.options.icons?(this.dom.frame.style.width=this.dom.textArea.offsetWidth+10+"px",this.dom.textArea.style.right="",this.dom.textArea.style.left="",this.svg.style.width="0px"):(this.dom.frame.style.width=this.options.iconSize+15+this.dom.textArea.offsetWidth+10+"px",this.drawLegendIcons());var content="";for(i=0;i<groupArray.length;i++)groupId=groupArray[i],!0==this.groups[groupId].visible&&(void 0===this.linegraphOptions.visibility[groupId]||!0==this.linegraphOptions.visibility[groupId])&&(content+=this.groups[groupId].content+"<br />");this.dom.textArea.innerHTML=content,this.dom.textArea.style.lineHeight=.75*this.options.iconSize+this.options.iconSpacing+"px"}},Legend.prototype.drawLegendIcons=function(){if(this.dom.frame.parentNode){var groupArray=Object.keys(this.groups);groupArray.sort(function(a,b){return a<b?-1:1}),DOMutil$2.resetElements(this.svgElements);var padding=window.getComputedStyle(this.dom.frame).paddingTop,iconOffset=+padding.replace("px",""),iconWidth=this.options.iconSize,iconHeight=.75*this.options.iconSize,y=iconOffset+.5*iconHeight+3;this.svg.style.width=iconWidth+5+iconOffset+"px";for(var i=0,groupId;i<groupArray.length;i++)groupId=groupArray[i],!0==this.groups[groupId].visible&&(void 0===this.linegraphOptions.visibility[groupId]||!0==this.linegraphOptions.visibility[groupId])&&(this.groups[groupId].getLegend(iconWidth,iconHeight,this.framework,iconOffset,y),y+=iconHeight+this.options.iconSpacing)}};var Legend_1=Legend,{DataSet:DataSet$3}=index,{DataView:DataView$4}=index,UNGROUPED$1="__ungrouped__";LineGraph.prototype=new Component_1,LineGraph.prototype._create=function(){var frame=document.createElement("div");frame.className="vis-line-graph",this.dom.frame=frame,this.svg=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svg.style.position="relative",this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",this.svg.style.display="block",frame.appendChild(this.svg),this.options.dataAxis.orientation="left",this.yAxisLeft=new DataAxis(this.body,this.options.dataAxis,this.svg,this.options.groups),this.options.dataAxis.orientation="right",this.yAxisRight=new DataAxis(this.body,this.options.dataAxis,this.svg,this.options.groups),delete this.options.dataAxis.orientation,this.legendLeft=new Legend_1(this.body,this.options.legend,"left",this.options.groups),this.legendRight=new Legend_1(this.body,this.options.legend,"right",this.options.groups),this.show()},LineGraph.prototype.setOptions=function(options){if(options){options.graphHeight===void 0&&options.height!==void 0?(this.updateSVGheight=!0,this.updateSVGheightOnResize=!0):this.body.domProps.centerContainer.height!==void 0&&options.graphHeight!==void 0&&parseInt((options.graphHeight+"").replace("px",""))<this.body.domProps.centerContainer.height&&(this.updateSVGheight=!0),util.selectiveDeepExtend(["sampling","defaultGroup","stack","height","graphHeight","yAxisOrientation","style","barChart","dataAxis","sort","groups"],this.options,options),util.mergeOptions(this.options,options,"interpolation"),util.mergeOptions(this.options,options,"drawPoints"),util.mergeOptions(this.options,options,"shaded"),util.mergeOptions(this.options,options,"legend"),options.interpolation&&"object"==typeof options.interpolation&&options.interpolation.parametrization&&("uniform"==options.interpolation.parametrization?this.options.interpolation.alpha=0:"chordal"==options.interpolation.parametrization?this.options.interpolation.alpha=1:(this.options.interpolation.parametrization="centripetal",this.options.interpolation.alpha=.5)),this.yAxisLeft&&options.dataAxis!==void 0&&(this.yAxisLeft.setOptions(this.options.dataAxis),this.yAxisRight.setOptions(this.options.dataAxis)),this.legendLeft&&options.legend!==void 0&&(this.legendLeft.setOptions(this.options.legend),this.legendRight.setOptions(this.options.legend)),this.groups.hasOwnProperty(UNGROUPED$1)&&this.groups[UNGROUPED$1].setOptions(options)}this.dom.frame&&(this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0}))},LineGraph.prototype.hide=function(){this.dom.frame.parentNode&&this.dom.frame.parentNode.removeChild(this.dom.frame)},LineGraph.prototype.show=function(){this.dom.frame.parentNode||this.body.dom.center.appendChild(this.dom.frame)},LineGraph.prototype.setItems=function(items){var me=this,oldItemsData=this.itemsData,ids;if(!items)this.itemsData=null;else if(items instanceof DataSet$3||items instanceof DataView$4)this.itemsData=items;else throw new TypeError("Data must be an instance of DataSet or DataView");if(oldItemsData&&(util.forEach(this.itemListeners,function(callback,event){oldItemsData.off(event,callback)}),ids=oldItemsData.getIds(),this._onRemove(ids)),this.itemsData){var id=this.id;util.forEach(this.itemListeners,function(callback,event){me.itemsData.on(event,callback,id)}),ids=this.itemsData.getIds(),this._onAdd(ids)}},LineGraph.prototype.setGroups=function(groups){var me=this,ids;if(this.groupsData){util.forEach(this.groupListeners,function(callback,event){me.groupsData.off(event,callback)}),ids=this.groupsData.getIds(),this.groupsData=null;for(var i=0;i<ids.length;i++)this._removeGroup(ids[i])}if(!groups)this.groupsData=null;else if(groups instanceof DataSet$3||groups instanceof DataView$4)this.groupsData=groups;else throw new TypeError("Data must be an instance of DataSet or DataView");if(this.groupsData){var id=this.id;util.forEach(this.groupListeners,function(callback,event){me.groupsData.on(event,callback,id)}),ids=this.groupsData.getIds(),this._onAddGroups(ids)}},LineGraph.prototype._onUpdate=function(ids){this._updateAllGroupData(ids)},LineGraph.prototype._onAdd=function(ids){this._onUpdate(ids)},LineGraph.prototype._onRemove=function(ids){this._onUpdate(ids)},LineGraph.prototype._onUpdateGroups=function(groupIds){this._updateAllGroupData(null,groupIds)},LineGraph.prototype._onAddGroups=function(groupIds){this._onUpdateGroups(groupIds)},LineGraph.prototype._onRemoveGroups=function(groupIds){for(var i=0;i<groupIds.length;i++)this._removeGroup(groupIds[i]);this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})},LineGraph.prototype._removeGroup=function(groupId){this.groups.hasOwnProperty(groupId)&&("right"==this.groups[groupId].options.yAxisOrientation?(this.yAxisRight.removeGroup(groupId),this.legendRight.removeGroup(groupId),this.legendRight.redraw()):(this.yAxisLeft.removeGroup(groupId),this.legendLeft.removeGroup(groupId),this.legendLeft.redraw()),delete this.groups[groupId])},LineGraph.prototype._updateGroup=function(group,groupId){this.groups.hasOwnProperty(groupId)?(this.groups[groupId].update(group),"right"==this.groups[groupId].options.yAxisOrientation?(this.yAxisRight.updateGroup(groupId,this.groups[groupId]),this.legendRight.updateGroup(groupId,this.groups[groupId]),this.yAxisLeft.removeGroup(groupId),this.legendLeft.removeGroup(groupId)):(this.yAxisLeft.updateGroup(groupId,this.groups[groupId]),this.legendLeft.updateGroup(groupId,this.groups[groupId]),this.yAxisRight.removeGroup(groupId),this.legendRight.removeGroup(groupId))):(this.groups[groupId]=new GraphGroup_1(group,groupId,this.options,this.groupsUsingDefaultStyles),"right"==this.groups[groupId].options.yAxisOrientation?(this.yAxisRight.addGroup(groupId,this.groups[groupId]),this.legendRight.addGroup(groupId,this.groups[groupId])):(this.yAxisLeft.addGroup(groupId,this.groups[groupId]),this.legendLeft.addGroup(groupId,this.groups[groupId]))),this.legendLeft.redraw(),this.legendRight.redraw()},LineGraph.prototype._updateAllGroupData=function(ids,groupIds){if(null!=this.itemsData){var groupsContent={},items=this.itemsData.get(),fieldId=this.itemsData._fieldId,idMap={};ids&&ids.map(function(id){idMap[id]=id});for(var groupCounts={},i=0;i<items.length;i++){var item=items[i],groupId=item.group;(null===groupId||groupId===void 0)&&(groupId=UNGROUPED$1),groupCounts.hasOwnProperty(groupId)?groupCounts[groupId]++:groupCounts[groupId]=1}var existingItemsMap={};if(!groupIds&&ids)for(groupId in this.groups)if(this.groups.hasOwnProperty(groupId)){group=this.groups[groupId];var existing_items=group.getItems();groupsContent[groupId]=existing_items.filter(function(item){return existingItemsMap[item[fieldId]]=item[fieldId],item[fieldId]!==idMap[item[fieldId]]});var newLength=groupCounts[groupId];groupCounts[groupId]-=groupsContent[groupId].length,groupsContent[groupId].length<newLength&&(groupsContent[groupId][newLength-1]={})}for(i=0;i<items.length;i++)if(item=items[i],groupId=item.group,(null===groupId||void 0===groupId)&&(groupId=UNGROUPED$1),!(!groupIds&&ids&&item[fieldId]!==idMap[item[fieldId]]&&existingItemsMap.hasOwnProperty(item[fieldId]))){groupsContent.hasOwnProperty(groupId)||(groupsContent[groupId]=Array(groupCounts[groupId]));var extended=util.bridgeObject(item);extended.x=util.convert(item.x,"Date"),extended.end=util.convert(item.end,"Date"),extended.orginalY=item.y,extended.y=+item.y,extended[fieldId]=item[fieldId];var index=groupsContent[groupId].length-groupCounts[groupId]--;groupsContent[groupId][index]=extended}for(groupId in this.groups)this.groups.hasOwnProperty(groupId)&&(groupsContent.hasOwnProperty(groupId)||(groupsContent[groupId]=[]));for(groupId in groupsContent)if(groupsContent.hasOwnProperty(groupId))if(0==groupsContent[groupId].length)this.groups.hasOwnProperty(groupId)&&this._removeGroup(groupId);else{var group=void 0;null!=this.groupsData&&(group=this.groupsData.get(groupId)),null==group&&(group={id:groupId,content:this.options.defaultGroup+groupId}),this._updateGroup(group,groupId),this.groups[groupId].setItems(groupsContent[groupId])}this.forceGraphUpdate=!0,this.body.emitter.emit("_change",{queue:!0})}},LineGraph.prototype.redraw=function(){var resized=!1;this.props.width=this.dom.frame.offsetWidth,this.props.height=this.body.domProps.centerContainer.height-this.body.domProps.border.top-this.body.domProps.border.bottom,resized=this._isResized()||resized;var visibleInterval=this.body.range.end-this.body.range.start,zoomed=visibleInterval!=this.lastVisibleInterval;if(this.lastVisibleInterval=visibleInterval,!0==resized&&(this.svg.style.width=util.option.asSize(3*this.props.width),this.svg.style.left=util.option.asSize(-this.props.width),(-1!=(this.options.height+"").indexOf("%")||!0==this.updateSVGheightOnResize)&&(this.updateSVGheight=!0)),!0==this.updateSVGheight?(this.options.graphHeight!=this.props.height+"px"&&(this.options.graphHeight=this.props.height+"px",this.svg.style.height=this.props.height+"px"),this.updateSVGheight=!1):this.svg.style.height=(""+this.options.graphHeight).replace("px","")+"px",!0==resized||!0==zoomed||!0==this.abortedGraphUpdate||!0==this.forceGraphUpdate)resized=this._updateGraph()||resized,this.forceGraphUpdate=!1;else if(0!=this.lastStart){var offset=this.body.range.start-this.lastStart,range=this.body.range.end-this.body.range.start;if(0!=this.props.width){var rangePerPixelInv=this.props.width/range;this.svg.style.left=-this.props.width-offset*rangePerPixelInv+"px"}}return this.legendLeft.redraw(),this.legendRight.redraw(),resized},LineGraph.prototype._getSortedGroupIds=function(){var grouplist=[];for(var groupId in this.groups)if(this.groups.hasOwnProperty(groupId)){var group=this.groups[groupId];!0==group.visible&&(this.options.groups.visibility[groupId]===void 0||!0==this.options.groups.visibility[groupId])&&grouplist.push({id:groupId,zIndex:group.options.zIndex})}util.insertSort(grouplist,function(a,b){var az=a.zIndex,bz=b.zIndex;return void 0===az&&(az=0),void 0===bz&&(bz=0),az==bz?0:az<bz?-1:1});for(var groupIds=Array(grouplist.length),i=0;i<grouplist.length;i++)groupIds[i]=grouplist[i].id;return groupIds},LineGraph.prototype._updateGraph=function(){if(DOMutil$2.prepareElements(this.svgElements),0!=this.props.width&&null!=this.itemsData){var groupRanges={},changeCalled=!1,minDate=this.body.util.toGlobalTime(-this.body.domProps.root.width),maxDate=this.body.util.toGlobalTime(2*this.body.domProps.root.width),groupIds=this._getSortedGroupIds(),group,i;if(0<groupIds.length){var groupsData={};for(this._getRelevantData(groupIds,groupsData,minDate,maxDate),this._applySampling(groupIds,groupsData),i=0;i<groupIds.length;i++)this._convertXcoordinates(groupsData[groupIds[i]]);if(this._getYRanges(groupIds,groupsData,groupRanges),changeCalled=this._updateYAxis(groupIds,groupRanges),!0==changeCalled)return DOMutil$2.cleanupElements(this.svgElements),this.abortedGraphUpdate=!0,!0;this.abortedGraphUpdate=!1;var below;for(i=0;i<groupIds.length;i++)group=this.groups[groupIds[i]],!0!==this.options.stack||"line"!==this.options.style||null!=group.options.excludeFromStacking&&group.options.excludeFromStacking||(null!=below&&(this._stack(groupsData[group.id],groupsData[below.id]),!0==group.options.shaded.enabled&&"group"!==group.options.shaded.orientation&&("top"==group.options.shaded.orientation&&"group"!==below.options.shaded.orientation?(below.options.shaded.orientation="group",below.options.shaded.groupId=group.id):(group.options.shaded.orientation="group",group.options.shaded.groupId=below.id))),below=group),this._convertYcoordinates(groupsData[groupIds[i]],group);var paths={};for(i=0;i<groupIds.length;i++)if(group=this.groups[groupIds[i]],"line"===group.options.style&&!0==group.options.shaded.enabled){var dataset=groupsData[groupIds[i]];if(null==dataset||0==dataset.length)continue;if(paths.hasOwnProperty(groupIds[i])||(paths[groupIds[i]]=line.calcPath(dataset,group)),"group"===group.options.shaded.orientation){var subGroupId=group.options.shaded.groupId;if(-1===groupIds.indexOf(subGroupId)){console.log(group.id+": Unknown shading group target given:"+subGroupId);continue}paths.hasOwnProperty(subGroupId)||(paths[subGroupId]=line.calcPath(groupsData[subGroupId],this.groups[subGroupId])),line.drawShading(paths[groupIds[i]],group,paths[subGroupId],this.framework)}else line.drawShading(paths[groupIds[i]],group,void 0,this.framework)}for(bar.draw(groupIds,groupsData,this.framework),i=0;i<groupIds.length;i++)if(group=this.groups[groupIds[i]],0<groupsData[groupIds[i]].length)switch(group.options.style){case"line":paths.hasOwnProperty(groupIds[i])||(paths[groupIds[i]]=line.calcPath(groupsData[groupIds[i]],group)),line.draw(paths[groupIds[i]],group,this.framework);case"point":case"points":("point"==group.options.style||"points"==group.options.style||!0==group.options.drawPoints.enabled)&&points.draw(groupsData[groupIds[i]],group,this.framework);break;case"bar":default:}}}return DOMutil$2.cleanupElements(this.svgElements),!1},LineGraph.prototype._stack=function(data,subData){var index,dx,dy,subPrevPoint,subNextPoint;index=0;for(var j=0;j<data.length;j++){subPrevPoint=void 0,subNextPoint=void 0;for(var k=index;k<subData.length;k++)if(subData[k].x===data[j].x){subPrevPoint=subData[k],subNextPoint=subData[k],index=k;break}else if(subData[k].x>data[j].x){subNextPoint=subData[k],subPrevPoint=0==k?subNextPoint:subData[k-1],index=k;break}subNextPoint===void 0&&(subPrevPoint=subData[subData.length-1],subNextPoint=subData[subData.length-1]),dx=subNextPoint.x-subPrevPoint.x,dy=subNextPoint.y-subPrevPoint.y,data[j].y=0==dx?data[j].orginalY+subNextPoint.y:data[j].orginalY+dy/dx*(data[j].x-subPrevPoint.x)+subPrevPoint.y}},LineGraph.prototype._getRelevantData=function(groupIds,groupsData,minDate,maxDate){var group,i,j,item;if(0<groupIds.length)for(i=0;i<groupIds.length;i++){group=this.groups[groupIds[i]];var itemsData=group.getItems();if(!0==group.options.sort){var dateComparator=function(a,b){return a.getTime()==b.getTime()?0:a<b?-1:1},first=_Mathmax(0,util.binarySearchValue(itemsData,minDate,"x","before",dateComparator)),last=_Mathmin(itemsData.length,util.binarySearchValue(itemsData,maxDate,"x","after",dateComparator)+1);0>=last&&(last=itemsData.length);var dataContainer=Array(last-first);for(j=first;j<last;j++)item=group.itemsData[j],dataContainer[j-first]=item;groupsData[groupIds[i]]=dataContainer}else groupsData[groupIds[i]]=group.itemsData}},LineGraph.prototype._applySampling=function(groupIds,groupsData){var group;if(0<groupIds.length)for(var i=0;i<groupIds.length;i++)if(group=this.groups[groupIds[i]],!0==group.options.sampling){var dataContainer=groupsData[groupIds[i]];if(0<dataContainer.length){var increment=1,amountOfPoints=dataContainer.length,xDistance=this.body.util.toGlobalScreen(dataContainer[dataContainer.length-1].x)-this.body.util.toGlobalScreen(dataContainer[0].x);increment=_Mathmin(_Mathceil(.2*amountOfPoints),_Mathmax(1,_Mathround(amountOfPoints/xDistance)));for(var sampledData=Array(amountOfPoints),j=0,idx;j<amountOfPoints;j+=increment)idx=_Mathround(j/increment),sampledData[idx]=dataContainer[j];groupsData[groupIds[i]]=sampledData.splice(0,_Mathround(amountOfPoints/increment))}}},LineGraph.prototype._getYRanges=function(groupIds,groupsData,groupRanges){var combinedDataLeft=[],combinedDataRight=[],groupData,group,i,options;if(0<groupIds.length){for(i=0;i<groupIds.length;i++)groupData=groupsData[groupIds[i]],options=this.groups[groupIds[i]].options,0<groupData.length&&(group=this.groups[groupIds[i]],!0===options.stack&&"bar"===options.style?"left"===options.yAxisOrientation?combinedDataLeft=combinedDataLeft.concat(groupData):combinedDataRight=combinedDataRight.concat(groupData):groupRanges[groupIds[i]]=group.getYRange(groupData,groupIds[i]));bar.getStackedYRange(combinedDataLeft,groupRanges,groupIds,"__barStackLeft","left"),bar.getStackedYRange(combinedDataRight,groupRanges,groupIds,"__barStackRight","right")}},LineGraph.prototype._updateYAxis=function(groupIds,groupRanges){var resized=!1,yAxisLeftUsed=!1,yAxisRightUsed=!1,minLeft=1e9,minRight=1e9,maxLeft=-1e9,maxRight=-1e9,minVal,maxVal;if(0<groupIds.length){for(var i=0,group;i<groupIds.length;i++)group=this.groups[groupIds[i]],group&&"right"!=group.options.yAxisOrientation?(yAxisLeftUsed=!0,minLeft=1e9,maxLeft=-1e9):group&&group.options.yAxisOrientation&&(yAxisRightUsed=!0,minRight=1e9,maxRight=-1e9);for(i=0;i<groupIds.length;i++)groupRanges.hasOwnProperty(groupIds[i])&&!0!==groupRanges[groupIds[i]].ignore&&(minVal=groupRanges[groupIds[i]].min,maxVal=groupRanges[groupIds[i]].max,"right"==groupRanges[groupIds[i]].yAxisOrientation?(yAxisRightUsed=!0,minRight=minRight>minVal?minVal:minRight,maxRight=maxRight<maxVal?maxVal:maxRight):(yAxisLeftUsed=!0,minLeft=minLeft>minVal?minVal:minLeft,maxLeft=maxLeft<maxVal?maxVal:maxLeft));!0==yAxisLeftUsed&&this.yAxisLeft.setRange(minLeft,maxLeft),!0==yAxisRightUsed&&this.yAxisRight.setRange(minRight,maxRight)}resized=this._toggleAxisVisiblity(yAxisLeftUsed,this.yAxisLeft)||resized,resized=this._toggleAxisVisiblity(yAxisRightUsed,this.yAxisRight)||resized,!0==yAxisRightUsed&&!0==yAxisLeftUsed?(this.yAxisLeft.drawIcons=!0,this.yAxisRight.drawIcons=!0):(this.yAxisLeft.drawIcons=!1,this.yAxisRight.drawIcons=!1),this.yAxisRight.master=!yAxisLeftUsed,this.yAxisRight.masterAxis=this.yAxisLeft,!1==this.yAxisRight.master?(this.yAxisLeft.lineOffset=!0==yAxisRightUsed?this.yAxisRight.width:0,resized=this.yAxisLeft.redraw()||resized,resized=this.yAxisRight.redraw()||resized):resized=this.yAxisRight.redraw()||resized;var tempGroups=["__barStackLeft","__barStackRight","__lineStackLeft","__lineStackRight"];for(i=0;i<tempGroups.length;i++)-1!=groupIds.indexOf(tempGroups[i])&&groupIds.splice(groupIds.indexOf(tempGroups[i]),1);return resized},LineGraph.prototype._toggleAxisVisiblity=function(axisUsed,axis){var changed=!1;return!1==axisUsed?axis.dom.frame.parentNode&&!1==axis.hidden&&(axis.hide(),changed=!0):!axis.dom.frame.parentNode&&!0==axis.hidden&&(axis.show(),changed=!0),changed},LineGraph.prototype._convertXcoordinates=function(datapoints){for(var toScreen=this.body.util.toScreen,i=0;i<datapoints.length;i++)datapoints[i].screen_x=toScreen(datapoints[i].x)+this.props.width,datapoints[i].screen_y=datapoints[i].y,datapoints[i].screen_end=null==datapoints[i].end?void 0:toScreen(datapoints[i].end)+this.props.width},LineGraph.prototype._convertYcoordinates=function(datapoints,group){var axis=this.yAxisLeft,svgHeight=+this.svg.style.height.replace("px","");"right"==group.options.yAxisOrientation&&(axis=this.yAxisRight);for(var i=0;i<datapoints.length;i++)datapoints[i].screen_y=_Mathround(axis.convertValue(datapoints[i].y));group.setZeroPosition(_Mathmin(svgHeight,axis.convertValue(0)))};var LineGraph_1=LineGraph;let bool$3="boolean",number$3="number",date$1="date",object$3="object",moment$7="moment",any$2="any";var optionsGraph2d=Object.freeze({allOptions:{configure:{enabled:{boolean:bool$3},filter:{boolean:bool$3,function:"function"},container:{dom:"dom"},__type__:{object:object$3,boolean:bool$3,function:"function"}},alignCurrentTime:{string:"string",undefined:"undefined"},yAxisOrientation:{string:["left","right"]},defaultGroup:{string:"string"},sort:{boolean:bool$3},sampling:{boolean:bool$3},stack:{boolean:bool$3},graphHeight:{string:"string",number:number$3},shaded:{enabled:{boolean:bool$3},orientation:{string:["bottom","top","zero","group"]},groupId:{object:object$3},__type__:{boolean:bool$3,object:object$3}},style:{string:["line","bar","points"]},barChart:{width:{number:number$3},minWidth:{number:number$3},sideBySide:{boolean:bool$3},align:{string:["left","center","right"]},__type__:{object:object$3}},interpolation:{enabled:{boolean:bool$3},parametrization:{string:["centripetal","chordal","uniform"]},alpha:{number:number$3},__type__:{object:object$3,boolean:bool$3}},drawPoints:{enabled:{boolean:bool$3},onRender:{function:"function"},size:{number:number$3},style:{string:["square","circle"]},__type__:{object:object$3,boolean:bool$3,function:"function"}},dataAxis:{showMinorLabels:{boolean:bool$3},showMajorLabels:{boolean:bool$3},icons:{boolean:bool$3},width:{string:"string",number:number$3},visible:{boolean:bool$3},alignZeros:{boolean:bool$3},left:{range:{min:{number:number$3,undefined:"undefined"},max:{number:number$3,undefined:"undefined"},__type__:{object:object$3}},format:{function:"function"},title:{text:{string:"string",number:number$3,undefined:"undefined"},style:{string:"string",undefined:"undefined"},__type__:{object:object$3}},__type__:{object:object$3}},right:{range:{min:{number:number$3,undefined:"undefined"},max:{number:number$3,undefined:"undefined"},__type__:{object:object$3}},format:{function:"function"},title:{text:{string:"string",number:number$3,undefined:"undefined"},style:{string:"string",undefined:"undefined"},__type__:{object:object$3}},__type__:{object:object$3}},__type__:{object:object$3}},legend:{enabled:{boolean:bool$3},icons:{boolean:bool$3},left:{visible:{boolean:bool$3},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:object$3}},right:{visible:{boolean:bool$3},position:{string:["top-right","bottom-right","top-left","bottom-left"]},__type__:{object:object$3}},__type__:{object:object$3,boolean:bool$3}},groups:{visibility:{any:any$2},__type__:{object:object$3}},autoResize:{boolean:bool$3},throttleRedraw:{number:number$3},clickToUse:{boolean:bool$3},end:{number:number$3,date:date$1,string:"string",moment:moment$7},format:{minorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:object$3}},majorLabels:{millisecond:{string:"string",undefined:"undefined"},second:{string:"string",undefined:"undefined"},minute:{string:"string",undefined:"undefined"},hour:{string:"string",undefined:"undefined"},weekday:{string:"string",undefined:"undefined"},day:{string:"string",undefined:"undefined"},month:{string:"string",undefined:"undefined"},quarter:{string:"string",undefined:"undefined"},year:{string:"string",undefined:"undefined"},__type__:{object:object$3}},__type__:{object:object$3}},moment:{function:"function"},height:{string:"string",number:number$3},hiddenDates:{start:{date:date$1,number:number$3,string:"string",moment:moment$7},end:{date:date$1,number:number$3,string:"string",moment:moment$7},repeat:{string:"string"},__type__:{object:object$3,array:"array"}},locale:{string:"string"},locales:{__any__:{any:any$2},__type__:{object:object$3}},max:{date:date$1,number:number$3,string:"string",moment:moment$7},maxHeight:{number:number$3,string:"string"},maxMinorChars:{number:number$3},min:{date:date$1,number:number$3,string:"string",moment:moment$7},minHeight:{number:number$3,string:"string"},moveable:{boolean:bool$3},multiselect:{boolean:bool$3},orientation:{string:"string"},showCurrentTime:{boolean:bool$3},showMajorLabels:{boolean:bool$3},showMinorLabels:{boolean:bool$3},start:{date:date$1,number:number$3,string:"string",moment:moment$7},timeAxis:{scale:{string:"string",undefined:"undefined"},step:{number:number$3,undefined:"undefined"},__type__:{object:object$3}},width:{string:"string",number:number$3},zoomable:{boolean:bool$3},zoomKey:{string:["ctrlKey","altKey","metaKey",""]},zoomMax:{number:number$3},zoomMin:{number:number$3},zIndex:{number:number$3},__type__:{object:object$3}},configureOptions:{global:{alignCurrentTime:["none","year","month","quarter","week","isoWeek","day","date","hour","minute","second"],sort:!0,sampling:!0,stack:!1,shaded:{enabled:!1,orientation:["zero","top","bottom","group"]},style:["line","bar","points"],barChart:{width:[50,5,100,5],minWidth:[50,5,100,5],sideBySide:!1,align:["left","center","right"]},interpolation:{enabled:!0,parametrization:["centripetal","chordal","uniform"]},drawPoints:{enabled:!0,size:[6,2,30,1],style:["square","circle"]},dataAxis:{showMinorLabels:!0,showMajorLabels:!0,icons:!1,width:[40,0,200,1],visible:!0,alignZeros:!0,left:{title:{text:"",style:""}},right:{title:{text:"",style:""}}},legend:{enabled:!1,icons:!0,left:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]},right:{visible:!0,position:["top-right","bottom-right","top-left","bottom-left"]}},autoResize:!0,clickToUse:!1,end:"",format:{minorLabels:{millisecond:"SSS",second:"s",minute:"HH:mm",hour:"HH:mm",weekday:"ddd D",day:"D",month:"MMM",quarter:"[Q]Q",year:"YYYY"},majorLabels:{millisecond:"HH:mm:ss",second:"D MMMM HH:mm",minute:"ddd D MMMM",hour:"ddd D MMMM",weekday:"MMMM YYYY",day:"MMMM YYYY",month:"YYYY",quarter:"YYYY",year:""}},height:"",locale:"",max:"",maxHeight:"",maxMinorChars:[7,0,20,1],min:"",minHeight:"",moveable:!0,orientation:["both","bottom","top"],showCurrentTime:!1,showMajorLabels:!0,showMinorLabels:!0,start:"",width:"100%",zoomable:!0,zoomKey:["ctrlKey","altKey","metaKey",""],zoomMax:[31536e10,10,31536e10,1],zoomMin:[10,10,31536e10,1],zIndex:0}}}),{DataSet:DataSet$4}=index,{DataView:DataView$5}=index,Validator$7=Validator$5.Validator,printStyle$5=Validator$5.printStyle,allOptions$a=optionsGraph2d.allOptions,configureOptions$4=optionsGraph2d.configureOptions,Configurator$3=Configurator$1.default;Graph2d.prototype=new Core,Graph2d.prototype.setOptions=function(options){let errorFound=Validator$7.validate(options,allOptions$a);!0===errorFound&&console.log("%cErrors have been found in the supplied options object.",printStyle$5),Core.prototype.setOptions.call(this,options)},Graph2d.prototype.setItems=function(items){var initialLoad=null==this.itemsData,newDataSet;if(newDataSet=items?items instanceof DataSet$4||items instanceof DataView$5?items:new DataSet$4(items,{type:{start:"Date",end:"Date"}}):null,this.itemsData=newDataSet,this.linegraph&&this.linegraph.setItems(newDataSet),initialLoad)if(null!=this.options.start||null!=this.options.end){var start=null==this.options.start?null:this.options.start,end=null==this.options.end?null:this.options.end;this.setWindow(start,end,{animation:!1})}else this.fit({animation:!1})},Graph2d.prototype.setGroups=function(groups){var newDataSet;newDataSet=groups?groups instanceof DataSet$4||groups instanceof DataView$5?groups:new DataSet$4(groups):null,this.groupsData=newDataSet,this.linegraph.setGroups(newDataSet)},Graph2d.prototype.getLegend=function(groupId,width,height){return void 0===width&&(width=15),void 0===height&&(height=15),void 0===this.linegraph.groups[groupId]?"cannot find group:'"+groupId+"'":this.linegraph.groups[groupId].getLegend(width,height)},Graph2d.prototype.isGroupVisible=function(groupId){return void 0!==this.linegraph.groups[groupId]&&this.linegraph.groups[groupId].visible&&(void 0===this.linegraph.options.groups.visibility[groupId]||!0==this.linegraph.options.groups.visibility[groupId])},Graph2d.prototype.getDataRange=function(){var min=null,max=null;for(var groupId in this.linegraph.groups)if(this.linegraph.groups.hasOwnProperty(groupId)&&!0==this.linegraph.groups[groupId].visible)for(var i=0;i<this.linegraph.groups[groupId].itemsData.length;i++){var item=this.linegraph.groups[groupId].itemsData[i],value=util.convert(item.x,"Date").valueOf();min=null==min?value:min>value?value:min,max=null==max?value:max<value?value:max}return{min:null==min?null:new Date(min),max:null==max?null:new Date(max)}},Graph2d.prototype.getEventProperties=function(event){var clientX=event.center?event.center.x:event.clientX,clientY=event.center?event.center.y:event.clientY,x=clientX-util.getAbsoluteLeft(this.dom.centerContainer),y=clientY-util.getAbsoluteTop(this.dom.centerContainer),time=this._toTime(x),customTime=CustomTime.customTimeFromTarget(event),element=util.getTarget(event),what=null;util.hasParent(element,this.timeAxis.dom.foreground)?what="axis":this.timeAxis2&&util.hasParent(element,this.timeAxis2.dom.foreground)?what="axis":util.hasParent(element,this.linegraph.yAxisLeft.dom.frame)?what="data-axis":util.hasParent(element,this.linegraph.yAxisRight.dom.frame)?what="data-axis":util.hasParent(element,this.linegraph.legendLeft.dom.frame)?what="legend":util.hasParent(element,this.linegraph.legendRight.dom.frame)?what="legend":null==customTime?util.hasParent(element,this.currentTime.bar)?what="current-time":util.hasParent(element,this.dom.center)&&(what="background"):what="custom-time";var value=[],yAxisLeft=this.linegraph.yAxisLeft,yAxisRight=this.linegraph.yAxisRight;return!yAxisLeft.hidden&&0<this.itemsData.length&&value.push(yAxisLeft.screenToValue(y)),!yAxisRight.hidden&&0<this.itemsData.length&&value.push(yAxisRight.screenToValue(y)),{event:event,what:what,pageX:event.srcEvent?event.srcEvent.pageX:event.pageX,pageY:event.srcEvent?event.srcEvent.pageY:event.pageY,x:x,y:y,time:time,value:value}},Graph2d.prototype._createConfigurator=function(){return new Configurator$3(this,this.dom.container,configureOptions$4)};return{util:util$1,DataSet:DataSet,DataView:DataView,Queue:Queue,Network:Network,network:{Images,dotparser:dotparser$1,gephiParser,allOptions:allOptions$2,convertDot:DOTToGraph_1,convertGephi:parseGephi},Graph3d:Graph3d,graph3d:{Camera:Camera_1,Filter:Filter_1,Point2d:Point2d_1,Point3d:Point3d_1,Slider:Slider_1,StepNumber:StepNumber_1},Timeline:Timeline,Graph2d:Graph2d,timeline:{Core:Core,DateUtil:DateUtil,Range:Range_1$1,stack:Stack,TimeStep:TimeStep_1,components:{items:{Item:Item,BackgroundItem:BackgroundItem_1,BoxItem:BoxItem_1,PointItem:PointItem_1,RangeItem:RangeItem_1},BackgroundGroup:BackgroundGroup_1,Component:Component_1,CurrentTime:CurrentTime_1,CustomTime:CustomTime,DataAxis:DataAxis,DataScale:DataScale_1,GraphGroup:GraphGroup_1,Group:Group_1,ItemSet:ItemSet,Legend:Legend_1,LineGraph:LineGraph_1,TimeAxis:TimeAxis}},DOMutil:DOMutil$2,keycharm:keycharm,moment:moment$5,Hammer:hammer$3}});
//# sourceMappingURL=vis.min.js.map
